!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_15147) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_9284)
    coupl(nGC_15148) = -coupl(nGC_15147)
    coupl(nGC_13663) = coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl(nGC_92)*          &
                       dZHaG0_QED2/2d0 + coupl(nGC_9373) + coupl(nGC_94)*      &
                       dZHh_QED2/2d0 + coupl(nGC_94)*dZZ_QED2/2d0
    coupl(nGC_13665) = -coupl(nGC_13660)
    coupl(nGC_13664) = -coupl(nGC_13663)
    coupl(nGC_15367) = -coupl(nGC_13766)
    coupl(nGC_14788) = coupl(nGC_114)*dZHMinus_QED2/2d0 + coupl(nGC_123)*      &
                       dZHaG0_QED2/2d0 + coupl(nGC_9352) + coupl(              &
                       nGC_TS_GC_41_Hh) + coupl(nGC_TS_GC_48_Hl)
    coupl(nGC_15491) = coupl(nGC_116)*dZGMinus
    coupl(nGC_14786) = coupl(nGC_114)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_13797) = coupl(nGC_124)*dZHl_QED2/2d0 + coupl(nGC_124)*          &
                       dZWMinus_QED2 + coupl(nGC_125)*dZHhHl_QED2/2d0 + coupl( &
                       nGC_9371) + coupl(nGC_TS_GC_61_Hl)
    coupl(nGC_13060) = coupl(nGC_83)*dZZA_QED2
    coupl(nGC_13069) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*dZZ_QED2  &
                        + coupl(nGC_9385) + coupl(nGC_97)*dZAZ_QED2
    coupl(nGC_13538) = coupl(nGC_29)*dZG0/2d0
    coupl(nGC_13532) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_116)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_119)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_9345) + coupl(nGC_TS_GC_23_Hh) + coupl(       &
                       nGC_TS_GC_35_Hl)
    coupl(nGC_13080) = coupl(nGC_102)*dZZA_QED2/2d0 + coupl(nGC_126)*dZA_QED2/ &
                       2d0 + coupl(nGC_126)*dZHMinus_QED2/2d0 + coupl(nGC_126)*&
                       dZWMinus_QED2/2d0 + coupl(nGC_127)*dZGMinusHMinus_QED2/ &
                       2d0 + coupl(nGC_9361) + coupl(nGC_TS_GC_66_Hh) + coupl( &
                       nGC_TS_GC_70_Hl)
    coupl(nGC_13085) = coupl(nGC_109)*dZG0
    coupl(nGC_8756) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 -  &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_8757) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(nGC_89&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8754) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7)**&
                      2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_8755) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_8752) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_8753) = cima*coupl(nGC_7)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +   &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_8750) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(    &
                      nGC_89)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8751) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_8759) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_12931) = coupl(nGC_128)*dZZA_QED2/2d0
    coupl(nGC_12758) = coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_188)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9478)
    coupl(nGC_12751) = coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_195)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9504)
    coupl(nGC_12757) = coupl(nGC_184)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_13330) = coupl(nGC_49)*dZGMinus/2d0
    coupl(nGC_13337) = coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9362)
    coupl(nGC_9409) = coupl(nGC_8536)*db_QED2 + coupl(nGC_8537)*dyt1_QED3 +    &
                      coupl(nGC_8538)*dyt2_QED3
    coupl(nGC_9408) = coupl(nGC_8491)*dyd12x2_QED3 + coupl(nGC_8492)*dys2_QED3 &
                       + coupl(nGC_8493)*db_QED2
    coupl(nGC_9400) = coupl(nGC_8642)*dsw_QED2 + coupl(nGC_8643)*dcw_QED2 +    &
                      coupl(nGC_8644)*dZee_QED2
    coupl(nGC_9405) = coupl(nGC_7904)*db_QED2 + coupl(nGC_7905)*dyc1_QED3 +    &
                      coupl(nGC_7906)*dyc2_QED3
    coupl(nGC_9407) = coupl(nGC_8491)*dyd12x2_QED1_QCD2 + coupl(nGC_8492)*     &
                      dys2_QED1_QCD2
    coupl(nGC_8910) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
    coupl(nGC_8917) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84) - &
                      2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 2d0*&
                      cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cME*&
                      coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMM*    &
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMM*    &
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMM*    &
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMTA*   &
                      coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMTA*   &
                      coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMTA*   &
                      coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*coupl(nGC_126)*  &
                      coupl(nGC_953) - coupl(nGC_1005)*coupl(nGC_125)*coupl(   &
                      nGC_807) - coupl(nGC_102)*coupl(nGC_17)*coupl(nGC_3) +   &
                      6d0*coupl(nGC_102)*coupl(nGC_807)*coupl(nGC_82) - coupl( &
                      nGC_102)*coupl(nGC_82)*coupl(nGC_96) - coupl(nGC_124)*   &
                      coupl(nGC_617)*coupl(nGC_807) + 6d0*coupl(nGC_126)*coupl(&
                      nGC_3)*coupl(nGC_807) - coupl(nGC_128)*coupl(nGC_68)*    &
                      coupl(nGC_807) - coupl(nGC_129)*coupl(nGC_64)*coupl(     &
                      nGC_807))/(32d0*pi**2d0)
    coupl(nGC_9391) = coupl(nGC_8652)*dZee_QED2
    coupl(nGC_9390) = coupl(nGC_8666)*dZee_QED2
    coupl(nGC_9393) = coupl(nGC_8276)*dsw_QED2 + coupl(nGC_8277)*dZee_QED2
    coupl(nGC_9392) = coupl(nGC_411)*dZgs_QCD2
    coupl(nGC_9395) = coupl(nGC_8325)*dsw_QED2 + coupl(nGC_8326)*dcw_QED2 +    &
                      coupl(nGC_8327)*dZee_QED2
    coupl(nGC_9399) = coupl(nGC_8649)*dsw_QED2 + coupl(nGC_8650)*dcw_QED2 +    &
                      coupl(nGC_8651)*dZee_QED2
    coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9243) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0 -  &
                      coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(nGC_173&
                      )**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)**2d0)/(16d0&
                      *pi**2d0)
    coupl(nGC_24901) = coupl(nGC_91)*dZHl_QED2/2d0 + coupl(nGC_91)*dZZ_QED2/2d0&
                        + coupl(nGC_9374) + coupl(nGC_94)*dZHaG0_QED2/2d0 +    &
                       coupl(nGC_94)*dZHhHl_QED2/2d0
    coupl(nGC_24902) = -coupl(nGC_24901)
    coupl(nGC_24903) = -coupl(nGC_24898)
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
