!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_9247) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(  &
                      nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(nGC_145 &
                      )*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173) - coupl(&
                      nGC_177)*coupl(nGC_180) - coupl(nGC_192)*coupl(nGC_195   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_9246) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_80)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_80)**2d0 + 4d0&
                      *cima*coupl(nGC_1005)**2d0*coupl(nGC_1391)*coupl(nGC_617 &
                      ) + 8d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(      &
                      nGC_1611)*coupl(nGC_617) + 4d0*cima*coupl(nGC_1005)*coupl&
                      (nGC_1391)*coupl(nGC_63)*coupl(nGC_68) + 8d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64) +  &
                      9d0*cima*coupl(nGC_1005)*coupl(nGC_3)**2d0*coupl(nGC_63  &
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_63 &
                      )*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_63)*&
                      coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_63)*coupl(nGC_82)**2d0 + 12d0*cima*coupl(      &
                      nGC_1015)*coupl(nGC_99) + 4d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_1611)**2d0*coupl(nGC_617) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68) + 9d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_3)**2d0*coupl(nGC_68) + 8d0*   &
                      cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68)*coupl( &
                      nGC_69) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_68)*coupl(  &
                      nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(nGC_1391)*coupl( &
                      nGC_68)*coupl(nGC_82)**2d0 - 32d0*cima*coupl(nGC_153)**  &
                      2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_161)**2d0*  &
                      coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(     &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_69) + 9d0*cima*coupl(   &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_647)**2d0 + 4d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871&
                      ) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_807 &
                      )**2d0 - 32d0*cima*coupl(nGC_184)**2d0*coupl(nGC_80)**2d0&
                       + 8d0*cima*coupl(nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*&
                      coupl(nGC_91) + 9d0*cima*coupl(nGC_2059)*coupl(nGC_807)**&
                      2d0*coupl(nGC_91) + 9d0*cima*coupl(nGC_2059)*coupl(nGC_82&
                      )**2d0*coupl(nGC_91) + 24d0*cima*coupl(nGC_61)*coupl(    &
                      nGC_78) + 9d0*cima*coupl(nGC_617)*coupl(nGC_647)**2d0*   &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_617)*coupl(nGC_69)*   &
                      coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(nGC_617)*  &
                      coupl(nGC_69)*coupl(nGC_807)**2d0 + 4d0*cima*coupl(nGC_63&
                      )**2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0*cima*coupl(     &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 4d0* &
                      cima*coupl(nGC_64)**2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0&
                      *cima*coupl(nGC_683)*coupl(nGC_72)*coupl(nGC_871)*coupl( &
                      nGC_94) + 9d0*cima*coupl(nGC_683)*coupl(nGC_807)**2d0*   &
                      coupl(nGC_94) + 9d0*cima*coupl(nGC_683)*coupl(nGC_82)**  &
                      2d0*coupl(nGC_94) - 6d0*coupl(nGC_1005)*coupl(nGC_14)*   &
                      coupl(nGC_82) - 6d0*coupl(nGC_1005)*coupl(nGC_3)*coupl(  &
                      nGC_65) + 6d0*coupl(nGC_1005)*coupl(nGC_62)*coupl(nGC_63 &
                      ) - 6d0*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_78) - 6d0&
                      *coupl(nGC_1015)*coupl(nGC_2059)*coupl(nGC_91) - 6d0*    &
                      coupl(nGC_1015)*coupl(nGC_683)*coupl(nGC_94) - 6d0*coupl(&
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_1391&
                      )*coupl(nGC_62)*coupl(nGC_68) - 6d0*coupl(nGC_1391)*coupl&
                      (nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_14)*coupl(nGC_1611&
                      )*coupl(nGC_807) - 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(&
                      nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_617)*coupl(nGC_807) - 6d0&
                      *coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(  &
                      nGC_16)*coupl(nGC_69)*coupl(nGC_807) + 6d0*coupl(nGC_1611&
                      )*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(nGC_1611)*coupl&
                      (nGC_64)*coupl(nGC_78) - 6d0*coupl(nGC_1611)*coupl(      &
                      nGC_647)*coupl(nGC_65) + 6d0*coupl(nGC_2059)*coupl(nGC_62&
                      )*coupl(nGC_91) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(  &
                      nGC_65) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_70) + &
                      36d0*coupl(nGC_61)*coupl(nGC_647)**2d0 + 36d0*coupl(     &
                      nGC_61)*coupl(nGC_807)**2d0 + 6d0*coupl(nGC_617)*coupl(  &
                      nGC_62)*coupl(nGC_69) - 6d0*coupl(nGC_617)*coupl(nGC_647 &
                      )*coupl(nGC_70) - 6d0*coupl(nGC_617)*coupl(nGC_69)*coupl(&
                      nGC_78) + 6d0*coupl(nGC_62)*coupl(nGC_683)*coupl(nGC_94  &
                      ) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_65) - 6d0*&
                      coupl(nGC_647)*coupl(nGC_69)*coupl(nGC_70) + 36d0*coupl( &
                      nGC_82)**2d0*coupl(nGC_99))/(192d0*pi**2d0)
    coupl(nGC_9245) = (20d0*Nc*cima*coupl(nGC_130)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_141)**4d0 + 20d0*Nc*cima*coupl(nGC_145)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_169)**4d0 + 20d0*Nc*cima*coupl(nGC_177 &
                      )**4d0 + 20d0*Nc*cima*coupl(nGC_192)**4d0 - 5d0*cima*    &
                      coupl(nGC_1005)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl&
                      (nGC_1005)*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68) - &
                      5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_68)**2d0 + 20d0* &
                      cima*coupl(nGC_153)**4d0 + 20d0*cima*coupl(nGC_161)**4d0 &
                       - 5d0*cima*coupl(nGC_1611)**2d0*coupl(nGC_64)**2d0 -    &
                      10d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*  &
                      coupl(nGC_69) + 20d0*cima*coupl(nGC_184)**4d0 - 5d0*cima*&
                      coupl(nGC_2059)**2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl&
                      (nGC_2059)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_94) +  &
                      6d0*cima*coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_617)**  &
                      2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_683)**2d0*   &
                      coupl(nGC_94)**2d0 + 3d0*cima*coupl(nGC_99)**2d0 + 3d0*  &
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_24) + 3d0*coupl&
                      (nGC_1005)*coupl(nGC_35)*coupl(nGC_63) - 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_30)*coupl(nGC_68) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_61)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_24)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_35)*coupl(nGC_64) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_28)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_39)*coupl(nGC_91) - 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_91)*coupl(nGC_99) + 3d0*coupl(nGC_24 &
                      )*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl( &
                      nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_683)*&
                      coupl(nGC_91) + 3d0*coupl(nGC_30)*coupl(nGC_617)*coupl(  &
                      nGC_69) + 3d0*coupl(nGC_31)*coupl(nGC_683)*coupl(nGC_94  &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_617)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_99))/(16d0*pi**2d0&
                      )
    coupl(nGC_9244) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 +   &
                      coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(nGC_173&
                      )**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)**2d0)/(16d0&
                      *pi**2d0*Nc)
    coupl(nGC_9248) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl(   &
                      nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(nGC_145 &
                      )*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173) + coupl(&
                      nGC_177)*coupl(nGC_180) + coupl(nGC_192)*coupl(nGC_195   &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_9089) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(nGC_2 &
                      )**4d0 - 10d0*cima*coupl(nGC_3)**4d0 + 6d0*cima*coupl(   &
                      nGC_4)**4d0 - 10d0*cima*coupl(nGC_647)**4d0 + 3d0*cima*  &
                      coupl(nGC_923)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5  &
                      ) + 9d0*coupl(nGC_3)**2d0*coupl(nGC_923) + 3d0*coupl(    &
                      nGC_5)*coupl(nGC_647)**2d0 + 9d0*coupl(nGC_647)**2d0*    &
                      coupl(nGC_923))/(24d0*pi**2d0)
    coupl(nGC_16231) = coupl(nGC_180)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_16230) = coupl(nGC_180)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_16543) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/&
                       2d0
    coupl(nGC_16542) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/&
                       2d0
    coupl(nGC_9257) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0 -  &
                      coupl(nGC_141)**2d0 - coupl(nGC_145)**2d0 - coupl(nGC_169&
                      )**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_192)**2d0)/(16d0&
                      *pi**2d0)
    coupl(nGC_18680) = coupl(nGC_171)*dZsL_QCD2/2d0 + coupl(nGC_171)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9455)
    coupl(nGC_18681) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9453)
    coupl(nGC_18682) = coupl(nGC_171)*dZHa_QED2/2d0 + coupl(nGC_171)*dZsL_QED2/&
                       2d0 + coupl(nGC_171)*dZsR_QED2/2d0 + coupl(nGC_175)*    &
                       dZG0Ha_QED2/2d0 + coupl(nGC_9456)
    coupl(nGC_18683) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*dZsL_QED2/&
                       2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl(nGC_176)*    &
                       dZG0Ha_QED2/2d0 + coupl(nGC_9454)
    coupl(nGC_17087) = coupl(nGC_135)*dZG0/2d0
    coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13657) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2/ &
                       2d0 + coupl(nGC_9372) + coupl(nGC_97)*dZA_QED2/2d0 +    &
                       coupl(nGC_97)*dZHMinus_QED2 + coupl(nGC_97)*dZZ_QED2/2d0
    coupl(nGC_13652) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/2d0
    coupl(nGC_14772) = coupl(nGC_68)*dZGMinus/2d0
    coupl(nGC_14774) = coupl(nGC_63)*dZHlHh_QED2/2d0 + coupl(nGC_68)*dZHh_QED2/&
                       2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9365)
    coupl(nGC_14776) = -coupl(nGC_14772)
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13254) = coupl(nGC_153)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_9523) = coupl(nGC_8667)*db_QED2 + coupl(nGC_8668)*dZee_QED2 +    &
                      coupl(nGC_8669)*dMZ2_QED2 + coupl(nGC_8670)*dsw_QED2 +   &
                      coupl(nGC_8671)*dcw_QED2 + coupl(nGC_8672)*da_QED2
    coupl(nGC_9520) = coupl(nGC_8232)*dsw_QED2 + coupl(nGC_8233)*dcw_QED2 +    &
                      coupl(nGC_8234)*dZee_QED2
    coupl(nGC_9521) = coupl(nGC_8547)*dsw_QED2 + coupl(nGC_8548)*dMW2_QED2 +   &
                      coupl(nGC_8549)*dZee_QED2
    coupl(nGC_9524) = coupl(nGC_8061)*db_QED2 + coupl(nGC_8062)*dZee_QED2 +    &
                      coupl(nGC_8063)*dMZ2_QED2 + coupl(nGC_8064)*dsw_QED2 +   &
                      coupl(nGC_8065)*dcw_QED2 + coupl(nGC_8066)*da_QED2
    coupl(nGC_8722) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) -   &
                      8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) - 8d0*&
                      Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) - 8d0*Nc* &
                      cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) - 8d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_182)*coupl(nGC_183) - 8d0*Nc*cMU**  &
                      2d0*cima*coupl(nGC_197)*coupl(nGC_198) - 8d0*cME**2d0*   &
                      cima*coupl(nGC_159)*coupl(nGC_160) - cMHH**2d0*cima*coupl&
                      (nGC_683)*coupl(nGC_94) - cMHL**2d0*cima*coupl(nGC_2059)*&
                      coupl(nGC_91) - 8d0*cMM**2d0*cima*coupl(nGC_167)*coupl(  &
                      nGC_168) - 8d0*cMTA**2d0*cima*coupl(nGC_190)*coupl(      &
                      nGC_191) - 4d0*cMW**2d0*cima*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 4d0*cMW**2d0*coupl(nGC_62) - cMZ**2d0*cima*coupl(    &
                      nGC_2059)*coupl(nGC_91) - cMZ**2d0*cima*coupl(nGC_683)*  &
                      coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_101))/(32d0*pi**  &
                      2d0)
    coupl(nGC_8721) = cima*(4d0*Nc*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*coupl&
                      (nGC_139)*coupl(nGC_140) + 4d0*Nc*coupl(nGC_151)*coupl(  &
                      nGC_152) + 4d0*Nc*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*&
                      coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*coupl(nGC_197)*   &
                      coupl(nGC_198) + 4d0*coupl(nGC_159)*coupl(nGC_160) + 4d0*&
                      coupl(nGC_167)*coupl(nGC_168) + 4d0*coupl(nGC_190)*coupl(&
                      nGC_191) + coupl(nGC_2059)*coupl(nGC_91) + coupl(nGC_683 &
                      )*coupl(nGC_94) + 2d0*coupl(nGC_72)*coupl(nGC_871))/(96d0&
                      *pi**2d0)
    coupl(nGC_8720) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_84) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_85) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_88) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_84) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_87) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_84) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_87) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_85 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_88) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_85) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_88) + 2d0*cME**2d0*cima&
                      *coupl(nGC_4)*coupl(nGC_86) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_89) + 2d0*cMM**2d0*cima*coupl(nGC_4)*   &
                      coupl(nGC_86) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_89) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_86   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_89) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_82) + 3d0*cMW**2d0* &
                      cima*coupl(nGC_647)*coupl(nGC_807) - 2d0*cMW**2d0*coupl( &
                      nGC_83))/(16d0*pi**2d0)
    coupl(nGC_8727) = cima*(8d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*coupl&
                      (nGC_137)*coupl(nGC_141) + 8d0*Nc*coupl(nGC_145)*coupl(  &
                      nGC_149) + 8d0*Nc*coupl(nGC_169)*coupl(nGC_173) + 8d0*Nc*&
                      coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*coupl(nGC_192)*   &
                      coupl(nGC_195) + coupl(nGC_1005)*coupl(nGC_68) + coupl(  &
                      nGC_1005)*coupl(nGC_69) + coupl(nGC_1391)*coupl(nGC_63   &
                      ) + coupl(nGC_1391)*coupl(nGC_64) + 8d0*coupl(nGC_153)*  &
                      coupl(nGC_157) + 8d0*coupl(nGC_161)*coupl(nGC_165) +     &
                      coupl(nGC_1611)*coupl(nGC_68) + coupl(nGC_1611)*coupl(   &
                      nGC_69) + coupl(nGC_1671)*coupl(nGC_94) + 8d0*coupl(     &
                      nGC_184)*coupl(nGC_188) + coupl(nGC_2059)*coupl(nGC_94   &
                      ) + coupl(nGC_617)*coupl(nGC_63) + coupl(nGC_617)*coupl( &
                      nGC_64) + coupl(nGC_683)*coupl(nGC_91) + coupl(nGC_683)* &
                      coupl(nGC_92))/(192d0*pi**2d0)
    coupl(nGC_8726) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_137)**2d0 - 8d0*Nc*cMC**&
                      2d0*cima*coupl(nGC_133)**2d0 - 8d0*Nc*cMD**2d0*cima*coupl&
                      (nGC_149)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(nGC_173)**2d0&
                       - 8d0*Nc*cMT**2d0*cima*coupl(nGC_180)**2d0 - 8d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_195)**2d0 - 8d0*cME**2d0*cima*coupl(&
                      nGC_157)**2d0 - cMHA**2d0*cima*coupl(nGC_1671)*coupl(    &
                      nGC_92) - cMHC**2d0*cima*coupl(nGC_1005)*coupl(nGC_63) - &
                      cMHC**2d0*cima*coupl(nGC_1611)*coupl(nGC_64) - 8d0*cMM** &
                      2d0*cima*coupl(nGC_165)**2d0 - 8d0*cMTA**2d0*cima*coupl( &
                      nGC_188)**2d0 - cMW**2d0*cima*coupl(nGC_1005)*coupl(     &
                      nGC_63) - 2d0*cMW**2d0*cima*coupl(nGC_1391)*coupl(nGC_68 &
                      ) - cMW**2d0*cima*coupl(nGC_1611)*coupl(nGC_64) - 2d0*cMW&
                      **2d0*cima*coupl(nGC_617)*coupl(nGC_69) - 4d0*cMW**2d0*  &
                      coupl(nGC_61) - cMZ**2d0*cima*coupl(nGC_1671)*coupl(     &
                      nGC_92) - 2d0*cMZ**2d0*cima*coupl(nGC_683)*coupl(nGC_94  &
                      ) - 2d0*cMZ**2d0*coupl(nGC_99) + 4d0*cima*coupl(nGC_125  &
                      )**2d0 + 2d0*cima*coupl(nGC_129)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8725) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137  &
                      )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(      &
                      nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*coupl&
                      (nGC_195)**2d0 + coupl(nGC_1005)*coupl(nGC_63) + coupl(  &
                      nGC_1391)*coupl(nGC_68) + 4d0*coupl(nGC_157)**2d0 + coupl&
                      (nGC_1611)*coupl(nGC_64) + 4d0*coupl(nGC_165)**2d0 +     &
                      coupl(nGC_1671)*coupl(nGC_92) + 4d0*coupl(nGC_188)**2d0  &
                       + coupl(nGC_617)*coupl(nGC_69) + coupl(nGC_683)*coupl(  &
                      nGC_94))/(96d0*pi**2d0)
    coupl(nGC_9501) = coupl(nGC_8539)*dyt1_QED1_QCD2 + coupl(nGC_8541)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_8729) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141  &
                      )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(      &
                      nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*coupl&
                      (nGC_192)**2d0 + coupl(nGC_1005)*coupl(nGC_63) + coupl(  &
                      nGC_1391)*coupl(nGC_68) + 4d0*coupl(nGC_153)**2d0 + 4d0* &
                      coupl(nGC_161)**2d0 + coupl(nGC_1611)*coupl(nGC_64) + 4d0&
                      *coupl(nGC_184)**2d0 + coupl(nGC_2059)*coupl(nGC_91) +   &
                      coupl(nGC_617)*coupl(nGC_69) + coupl(nGC_683)*coupl(     &
                      nGC_94))/(96d0*pi**2d0)
    coupl(nGC_8728) = cima*(-16d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141) -  &
                      16d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) - 16d0*Nc*&
                      cMD**2d0*coupl(nGC_145)*coupl(nGC_149) - 16d0*Nc*cMS**2d0&
                      *coupl(nGC_169)*coupl(nGC_173) - 16d0*Nc*cMT**2d0*coupl( &
                      nGC_177)*coupl(nGC_180) - 16d0*Nc*cMU**2d0*coupl(nGC_192 &
                      )*coupl(nGC_195) - 16d0*cME**2d0*coupl(nGC_153)*coupl(   &
                      nGC_157) - cMHA**2d0*coupl(nGC_1671)*coupl(nGC_94) - cMHA&
                      **2d0*coupl(nGC_683)*coupl(nGC_92) - cMHC**2d0*coupl(    &
                      nGC_1005)*coupl(nGC_69) - cMHC**2d0*coupl(nGC_1391)*coupl&
                      (nGC_64) - cMHC**2d0*coupl(nGC_1611)*coupl(nGC_68) - cMHC&
                      **2d0*coupl(nGC_617)*coupl(nGC_63) - 16d0*cMM**2d0*coupl(&
                      nGC_161)*coupl(nGC_165) - 16d0*cMTA**2d0*coupl(nGC_184)* &
                      coupl(nGC_188) - 2d0*cMW**2d0*coupl(nGC_1005)*coupl(     &
                      nGC_68) - cMW**2d0*coupl(nGC_1005)*coupl(nGC_69) - 2d0*  &
                      cMW**2d0*coupl(nGC_1391)*coupl(nGC_63) - cMW**2d0*coupl( &
                      nGC_1391)*coupl(nGC_64) - cMW**2d0*coupl(nGC_1611)*coupl(&
                      nGC_68) - 2d0*cMW**2d0*coupl(nGC_1611)*coupl(nGC_69) -   &
                      cMW**2d0*coupl(nGC_617)*coupl(nGC_63) - 2d0*cMW**2d0*    &
                      coupl(nGC_617)*coupl(nGC_64) - cMZ**2d0*coupl(nGC_1671)* &
                      coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_2059)*coupl(nGC_94&
                      ) - 2d0*cMZ**2d0*coupl(nGC_683)*coupl(nGC_91) - cMZ**2d0*&
                      coupl(nGC_683)*coupl(nGC_92) + 8d0*coupl(nGC_124)*coupl( &
                      nGC_125) + 4d0*coupl(nGC_128)*coupl(nGC_129))/(64d0*pi** &
                      2d0)
    coupl(nGC_12921) = coupl(nGC_189)*dZGMinus/2d0
    coupl(nGC_19888) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*             &
                       dZmuMinusL_QED2 + coupl(nGC_9399)
    coupl(nGC_13431) = coupl(nGC_42)*dZGMinus/2d0
    coupl(nGC_12749) = coupl(nGC_192)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_12748) = coupl(nGC_192)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_12741) = coupl(nGC_139)*dZbL_QCD2/2d0 + coupl(nGC_139)*dZbR_QCD2/&
                       2d0 + coupl(nGC_9436)
    coupl(nGC_12740) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*dZbR_QCD2/&
                       2d0 + coupl(nGC_9434)
    coupl(nGC_9417) = coupl(nGC_7985)*db_QED2 + coupl(nGC_7986)*dyc1_QED3 +    &
                      coupl(nGC_7987)*dyc2_QED3
    coupl(nGC_13346) = coupl(nGC_27)*dZGMinus/2d0
    coupl(nGC_9415) = coupl(nGC_8601)*db_QED2 + coupl(nGC_8602)*dyup1_QED3 +   &
                      coupl(nGC_8603)*dyup2_QED3
    coupl(nGC_9413) = coupl(nGC_8476)*dydo2_QED1_QCD2 + coupl(nGC_8478)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9410) = coupl(nGC_8537)*dyt1_QED1_QCD2 + coupl(nGC_8538)*        &
                      dyt2_QED1_QCD2
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
