!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl18()
    coupl(nGC_8936) = coupl(nGC_148)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8937) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_147) - coupl(nGC_145)** &
                      2d0*coupl(nGC_148) - coupl(nGC_145)*coupl(nGC_683)*coupl(&
                      nGC_87) - coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_94) -   &
                      coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_193) - coupl(   &
                      nGC_146)*coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_147)** &
                      2d0*coupl(nGC_148) + 8d0*coupl(nGC_147)*coupl(nGC_84)*   &
                      coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_149)**2d0 -     &
                      coupl(nGC_148)*coupl(nGC_151)**2d0 - coupl(nGC_149)*coupl&
                      (nGC_1671)*coupl(nGC_87) - coupl(nGC_149)*coupl(nGC_84)* &
                      coupl(nGC_92) - coupl(nGC_1495)*coupl(nGC_150)*coupl(    &
                      nGC_196))/(32d0*pi**2d0)
    coupl(nGC_8935) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_148) - coupl(nGC_145)** &
                      2d0*coupl(nGC_147) - coupl(nGC_145)*coupl(nGC_683)*coupl(&
                      nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(nGC_94) -   &
                      coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_194) - coupl(    &
                      nGC_146)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_147)*   &
                      coupl(nGC_148)**2d0 - coupl(nGC_147)*coupl(nGC_149)**2d0 &
                       - coupl(nGC_147)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_148&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_149)*coupl(    &
                      nGC_1671)*coupl(nGC_84) - coupl(nGC_149)*coupl(nGC_87)*  &
                      coupl(nGC_92) - coupl(nGC_150)*coupl(nGC_194)*coupl(     &
                      nGC_196))/(32d0*pi**2d0)
    coupl(nGC_9269) = (6d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_5399) - 6d0*Nc*   &
                      cima*coupl(nGC_5399)*coupl(nGC_8) + 10d0*Nc*cima*coupl(  &
                      nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5393)*coupl(nGC_6&
                      )**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_5397)*coupl(nGC_6)**  &
                      2d0*sq2**2d0 - 9d0*Nc*coupl(nGC_5399)*coupl(nGC_6)**2d0* &
                      sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0&
                       - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc&
                      )
    coupl(nGC_9268) = (3d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_5399) - 3d0*Nc*   &
                      cima*coupl(nGC_5399)*coupl(nGC_8) + 5d0*Nc*cima*coupl(   &
                      nGC_6)**4d0*sq2**4d0 + 3d0*Nc*coupl(nGC_5397)*coupl(nGC_6&
                      )**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_5399)*coupl(nGC_6)**  &
                      2d0*sq2**2d0 - 6d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2 &
                      **2d0 - 3d0*cima*coupl(nGC_7)**4d0*sq2**4d0)/(192d0*pi** &
                      2d0*Nc)
    coupl(nGC_9265) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0* &
                      Nc*coupl(nGC_5393)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(     &
                      nGC_5399)*coupl(nGC_6)**2d0 - 30d0*cima*coupl(nGC_7)**4d0&
                      *sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_9264) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(  &
                      nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_9267) = (12d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_5399) - 12d0*Nc* &
                      cima*coupl(nGC_5399)*coupl(nGC_8) + 20d0*Nc*cima*coupl(  &
                      nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5393)*coupl(nGC_6&
                      )**2d0*sq2**2d0 + 15d0*Nc*coupl(nGC_5397)*coupl(nGC_6)** &
                      2d0*sq2**2d0 - 15d0*Nc*coupl(nGC_5399)*coupl(nGC_6)**2d0*&
                      sq2**2d0 - 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**  &
                      2d0 - 12d0*cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**  &
                      2d0*Nc)
    coupl(nGC_9266) = (12d0*Nc*cima*coupl(nGC_5397)**2d0 - 8d0*Nc*cima*coupl(  &
                      nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0 -  &
                      21d0*Nc*coupl(nGC_5397)*coupl(nGC_6)**2d0*sq2**2d0 + 21d0&
                      *Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*cima* &
                      coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_9261) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_84)**2d0 -   &
                      coupl(nGC_85)**2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_9260) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +    &
                      coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_9263) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl( &
                      nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_23252) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_9069) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131  &
                      )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_169)**2d0 +     &
                      coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_173)**2d0 +    &
                      coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_80)**2d0 + &
                      4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9068) = coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6) +  &
                      coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_9067) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_169 &
                      )**2d0 - coupl(nGC_170)**2d0 - coupl(nGC_171)*coupl(     &
                      nGC_172) - coupl(nGC_173)**2d0 - coupl(nGC_174)**2d0 -   &
                      coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_9066) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_131 &
                      )**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_169)**2d0 -     &
                      coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_173)**2d0 -    &
                      coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_80)**2d0 - &
                      4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9065) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_145&
                      )**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_147)*coupl(     &
                      nGC_148) - coupl(nGC_149)**2d0 - coupl(nGC_150)**2d0 -   &
                      coupl(nGC_151)*coupl(nGC_152) - 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_9064) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_145&
                      )**2d0 - coupl(nGC_147)*coupl(nGC_148) - coupl(nGC_149)**&
                      2d0 - coupl(nGC_151)*coupl(nGC_152) - coupl(nGC_193)**2d0&
                       - coupl(nGC_196)**2d0 - 4d0*coupl(nGC_80)**2d0 - 4d0*   &
                      coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9063) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_145 &
                      )**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_147)*coupl(     &
                      nGC_148) + coupl(nGC_149)**2d0 + coupl(nGC_150)**2d0 +   &
                      coupl(nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_9062) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_145 &
                      )**2d0 + coupl(nGC_147)*coupl(nGC_148) + coupl(nGC_149)**&
                      2d0 + coupl(nGC_151)*coupl(nGC_152) + coupl(nGC_193)**2d0&
                       + coupl(nGC_196)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*   &
                      coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9286) = coupl(nGC_8249)*dsw_QED2 + coupl(nGC_8250)*dcw_QED2 +    &
                      coupl(nGC_8251)*dZee_QED2
    coupl(nGC_9285) = coupl(nGC_8235)*dZee_QED2
    coupl(nGC_9283) = coupl(nGC_8170)*dZgs_QCD2
    coupl(nGC_9282) = coupl(nGC_8144)*dZgs_QCD2
    coupl(nGC_9281) = -3d0*cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**  &
                      3d0)
    coupl(nGC_9280) = cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_9289) = coupl(nGC_8266)*dsw_QED2 + coupl(nGC_8267)*dcw_QED2 +    &
                      coupl(nGC_8268)*dZee_QED2
    coupl(nGC_9288) = coupl(nGC_8308)*dsw_QED2 + coupl(nGC_8309)*dcw_QED2 +    &
                      coupl(nGC_8310)*dZee_QED2
    coupl(nGC_17859) = coupl(nGC_122)*dZGMinus/2d0
    coupl(nGC_22850) = coupl(nGC_I)*dZHMinus_QED2
    coupl(nGC_22855) = coupl(nGC_9630) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl( &
                       nGC_TS_GC_110_Hl) + coupl(nGC_TS_GC_118_Hh)
    coupl(nGC_13570) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9500)
    coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16073) = coupl(nGC_7)*dZuR_QCD2
    coupl(nGC_16072) = coupl(nGC_7)*dZuR_QED2
    coupl(nGC_18041) = coupl(nGC_112)*dZG0/2d0
    coupl(nGC_18045) = coupl(nGC_112)*dZHa_QED2/2d0 + coupl(nGC_112)*dZHh_QED2/&
                       2d0 + coupl(nGC_117)*dZG0Ha_QED2/2d0 + coupl(nGC_120)*  &
                       dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHaG0_QED2/2d0 + coupl&
                       (nGC_9351) + coupl(nGC_TS_GC_29_Hh) + coupl(            &
                       nGC_TS_GC_37_Hl)
    coupl(nGC_15753) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_15755) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
    coupl(nGC_15756) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
    coupl(nGC_15758) = coupl(nGC_13752) + coupl(nGC_15755)
    coupl(nGC_9338) = coupl(nGC_8046)*dl3_QED4 + coupl(nGC_8047)*dl1_QED4 +    &
                      coupl(nGC_8048)*dl2_QED4 + coupl(nGC_8049)*dl5_QED4 +    &
                      coupl(nGC_8050)*dl4_QED4 + coupl(nGC_8051)*dvev1_QED1 +  &
                      coupl(nGC_8052)*dvev2_QED1 + coupl(nGC_8053)*da_QED2
    coupl(nGC_9337) = coupl(nGC_8161)*dl3_QED4 + coupl(nGC_8162)*db_QED2 +     &
                      coupl(nGC_8163)*dl2_QED4 + coupl(nGC_8164)*dl5_QED4 +    &
                      coupl(nGC_8165)*dvev2_QED1 + coupl(nGC_8166)*dvev1_QED1  &
                       + coupl(nGC_8167)*dl1_QED4 + coupl(nGC_8168)*dl4_QED4 + &
                      coupl(nGC_8169)*da_QED2
    coupl(nGC_TS_GC_26_Hl) = -coupl(nGC_26)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_26_Hh) = -coupl(nGC_26)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_109_Hl) = -coupl(nGC_109)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13746) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_13749) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_13988) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2/ &
                       2d0 + coupl(nGC_9372) + coupl(nGC_97)*dZA_QED2/2d0 +    &
                       coupl(nGC_97)*dZZ_QED2/2d0
  end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
