!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl19()
    coupl(nGC_13630) = coupl(nGC_67)*dZHlHh_QED2/2d0 + coupl(nGC_71)*dZHh_QED2/&
                       2d0 + coupl(nGC_9517)
    coupl(nGC_13564) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_13295) = coupl(nGC_148)*dZHa_QED2/2d0 + coupl(nGC_148)*dZdL_QED2/&
                       2d0 + coupl(nGC_148)*dZdR_QED2/2d0 + coupl(nGC_152)*    &
                       dZG0Ha_QED2/2d0 + coupl(nGC_9450)
    coupl(nGC_13292) = coupl(nGC_147)*dZdL_QCD2/2d0 + coupl(nGC_147)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9451)
    coupl(nGC_13293) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9449)
    coupl(nGC_13563) = coupl(nGC_133)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
    coupl(nGC_12909) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_8708) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) -   &
                      4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*  &
                      cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**2d0*&
                      coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*coupl(   &
                      nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl(nGC_193)*&
                      coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131)*coupl(   &
                      nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl(nGC_174  &
                      ) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(nGC_142) - 4d0* &
                      Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*cMU** &
                      2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMU**2d0*coupl&
                      (nGC_193)*coupl(nGC_196) - 4d0*cME**2d0*coupl(nGC_154)*  &
                      coupl(nGC_158) - cMHH**2d0*coupl(nGC_1391)*coupl(nGC_1611&
                      ) - cMHH**2d0*coupl(nGC_63)*coupl(nGC_69) - cMHL**2d0*   &
                      coupl(nGC_1005)*coupl(nGC_1391) - cMHL**2d0*coupl(nGC_64 &
                      )*coupl(nGC_69) - 4d0*cMM**2d0*coupl(nGC_162)*coupl(     &
                      nGC_166) - 4d0*cMTA**2d0*coupl(nGC_185)*coupl(nGC_189) - &
                      cMW**2d0*coupl(nGC_1005)*coupl(nGC_1391) - cMW**2d0*coupl&
                      (nGC_1391)*coupl(nGC_1611) - cMW**2d0*coupl(nGC_63)*coupl&
                      (nGC_69) - cMW**2d0*coupl(nGC_64)*coupl(nGC_69) + 8d0*   &
                      coupl(nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(&
                      nGC_127))/(64d0*pi**2d0)
    coupl(nGC_8705) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*coupl&
                      (nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)*coupl(  &
                      nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174) + 4d0*Nc*&
                      coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl(nGC_193)*   &
                      coupl(nGC_196) + coupl(nGC_1005)*coupl(nGC_617) + 4d0*   &
                      coupl(nGC_154)*coupl(nGC_158) + coupl(nGC_1611)*coupl(   &
                      nGC_617) + 4d0*coupl(nGC_162)*coupl(nGC_166) + 4d0*coupl(&
                      nGC_185)*coupl(nGC_189) + coupl(nGC_63)*coupl(nGC_68) +  &
                      coupl(nGC_64)*coupl(nGC_68))/(192d0*pi**2d0)
    coupl(nGC_27166) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_8707) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*coupl&
                      (nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)*coupl(  &
                      nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174) + 4d0*Nc*&
                      coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl(nGC_193)*   &
                      coupl(nGC_196) + coupl(nGC_1005)*coupl(nGC_1391) + coupl(&
                      nGC_1391)*coupl(nGC_1611) + 4d0*coupl(nGC_154)*coupl(    &
                      nGC_158) + 4d0*coupl(nGC_162)*coupl(nGC_166) + 4d0*coupl(&
                      nGC_185)*coupl(nGC_189) + coupl(nGC_63)*coupl(nGC_69) +  &
                      coupl(nGC_64)*coupl(nGC_69))/(192d0*pi**2d0)
    coupl(nGC_8706) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) -   &
                      4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*  &
                      cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**2d0*&
                      coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*coupl(   &
                      nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl(nGC_193)*&
                      coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131)*coupl(   &
                      nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl(nGC_174  &
                      ) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(nGC_142) - 4d0* &
                      Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*cMU** &
                      2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMU**2d0*coupl&
                      (nGC_193)*coupl(nGC_196) - 4d0*cME**2d0*coupl(nGC_154)*  &
                      coupl(nGC_158) - cMHH**2d0*coupl(nGC_1005)*coupl(nGC_617 &
                      ) - cMHH**2d0*coupl(nGC_64)*coupl(nGC_68) - cMHL**2d0*   &
                      coupl(nGC_1611)*coupl(nGC_617) - cMHL**2d0*coupl(nGC_63)*&
                      coupl(nGC_68) - 4d0*cMM**2d0*coupl(nGC_162)*coupl(nGC_166&
                      ) - 4d0*cMTA**2d0*coupl(nGC_185)*coupl(nGC_189) - cMW**  &
                      2d0*coupl(nGC_1005)*coupl(nGC_617) - cMW**2d0*coupl(     &
                      nGC_1611)*coupl(nGC_617) - cMW**2d0*coupl(nGC_63)*coupl( &
                      nGC_68) - cMW**2d0*coupl(nGC_64)*coupl(nGC_68) + 8d0*    &
                      coupl(nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(&
                      nGC_127))/(64d0*pi**2d0)
    coupl(nGC_13183) = coupl(nGC_102)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_107)*&
                       dZWMinus_QED2/2d0 + coupl(nGC_107)*dZZ_QED2/2d0 + coupl(&
                       nGC_127)*dZAZ_QED2/2d0 + coupl(nGC_9381) + coupl(       &
                       nGC_TS_GC_14_Hl) + coupl(nGC_TS_GC_16_Hh)
    coupl(nGC_13180) = coupl(nGC_107)*dZGMinus/2d0
    coupl(nGC_13186) = coupl(nGC_191)*dZG0/2d0
    coupl(nGC_8795) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_12762) = coupl(nGC_37)*dZG0/2d0
    coupl(nGC_8891) = coupl(nGC_198)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8890) = (-coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_193) - coupl(  &
                      nGC_150)*coupl(nGC_152)*coupl(nGC_196) - coupl(nGC_192)**&
                      2d0*coupl(nGC_197) - coupl(nGC_192)*coupl(nGC_2059)*coupl&
                      (nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_91) -  &
                      coupl(nGC_194)**2d0*coupl(nGC_197) - coupl(nGC_195)**2d0*&
                      coupl(nGC_197) - coupl(nGC_195)*coupl(nGC_683)*coupl(    &
                      nGC_88) - coupl(nGC_195)*coupl(nGC_85)*coupl(nGC_94) -   &
                      coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_871) - coupl(     &
                      nGC_197)*coupl(nGC_198)**2d0 + 8d0*coupl(nGC_198)*coupl( &
                      nGC_2)**2d0 + 8d0*coupl(nGC_198)*coupl(nGC_85)*coupl(    &
                      nGC_88))/(32d0*pi**2d0)
    coupl(nGC_13363) = coupl(nGC_23)*dZGMinus
    coupl(nGC_13360) = coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(nGC_19)*dZZ_QED2&
                       /2d0 + coupl(nGC_73)*dZAZ_QED2/2d0 + coupl(nGC_9383)
    coupl(nGC_12786) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_9470) = coupl(nGC_8461)*db_QED2 + coupl(nGC_8462)*dym1_QED3 +    &
                      coupl(nGC_8463)*dym2_QED3
    coupl(nGC_9471) = coupl(nGC_8582)*db_QED2 + coupl(nGC_8583)*dytau1_QED3 +  &
                      coupl(nGC_8584)*dytau2_QED3
    coupl(nGC_9472) = coupl(nGC_8585)*db_QED2 + coupl(nGC_8586)*dytau1_QED3 +  &
                      coupl(nGC_8587)*dytau2_QED3
    coupl(nGC_9473) = coupl(nGC_8400)*da_QED2 + coupl(nGC_8401)*dye1_QED3 +    &
                      coupl(nGC_8402)*dye2_QED3
    coupl(nGC_9474) = coupl(nGC_8449)*dym1_QED3 + coupl(nGC_8450)*dym2_QED3 +  &
                      coupl(nGC_8451)*da_QED2
    coupl(nGC_9476) = coupl(nGC_8659)*da_QED2 + coupl(nGC_8660)*dye1_QED3 +    &
                      coupl(nGC_8661)*dye2_QED3
    coupl(nGC_9479) = coupl(nGC_8394)*db_QED2 + coupl(nGC_8395)*dye2_QED3 +    &
                      coupl(nGC_8396)*dye1_QED3
    coupl(nGC_13163) = -coupl(nGC_13162)
    coupl(nGC_13378) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZbL_QED2/2d0 + coupl(nGC_80)*dZtL_QED2/2d0 + coupl(    &
                       nGC_9393)
    coupl(nGC_8961) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(  &
                      nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc* &
                      cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)**3d0 &
                       + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(nGC_157&
                      )**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*coupl(   &
                      nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(nGC_61) +  &
                      2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl(nGC_1005)* &
                      coupl(nGC_111)*coupl(nGC_617) + coupl(nGC_1005)*coupl(   &
                      nGC_118)*coupl(nGC_63) - coupl(nGC_1005)*coupl(nGC_125)* &
                      coupl(nGC_63) + coupl(nGC_111)*coupl(nGC_1391)*coupl(    &
                      nGC_1611) + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_69) + &
                      coupl(nGC_111)*coupl(nGC_64)*coupl(nGC_68) + coupl(      &
                      nGC_112)*coupl(nGC_1671)*coupl(nGC_94) + coupl(nGC_112)* &
                      coupl(nGC_683)*coupl(nGC_92) + coupl(nGC_116)*coupl(     &
                      nGC_1391)*coupl(nGC_68) + coupl(nGC_116)*coupl(nGC_617)* &
                      coupl(nGC_69) + coupl(nGC_117)*coupl(nGC_683)*coupl(     &
                      nGC_94) + coupl(nGC_118)*coupl(nGC_1611)*coupl(nGC_64) + &
                      coupl(nGC_121)*coupl(nGC_1671)*coupl(nGC_92) - coupl(    &
                      nGC_125)*coupl(nGC_1391)*coupl(nGC_68) - coupl(nGC_125)* &
                      coupl(nGC_1611)*coupl(nGC_64) - coupl(nGC_125)*coupl(    &
                      nGC_617)*coupl(nGC_69) - coupl(nGC_129)*coupl(nGC_1671)* &
                      coupl(nGC_92) - coupl(nGC_129)*coupl(nGC_683)*coupl(     &
                      nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8888) = (-coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_193) - coupl(  &
                      nGC_1495)**2d0*coupl(nGC_198) - coupl(nGC_150)*coupl(    &
                      nGC_151)*coupl(nGC_196) - coupl(nGC_192)**2d0*coupl(     &
                      nGC_198) - coupl(nGC_192)*coupl(nGC_2059)*coupl(nGC_85   &
                      ) - coupl(nGC_192)*coupl(nGC_88)*coupl(nGC_91) - coupl(  &
                      nGC_195)**2d0*coupl(nGC_198) - coupl(nGC_195)*coupl(     &
                      nGC_683)*coupl(nGC_85) - coupl(nGC_195)*coupl(nGC_88)*   &
                      coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_72)*coupl(nGC_80&
                      ) - coupl(nGC_197)**2d0*coupl(nGC_198) + 8d0*coupl(      &
                      nGC_197)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_197)*coupl(   &
                      nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_12894) = -coupl(nGC_12893)
    coupl(nGC_9278) = (-24d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_8) - 8d0*Nc*cima&
                      *coupl(nGC_6)**4d0*sq2**4d0 - 39d0*Nc*coupl(nGC_5397)*   &
                      coupl(nGC_6)**2d0*sq2**2d0 + 3d0*Nc*coupl(nGC_6)**2d0*   &
                      coupl(nGC_8)*sq2**2d0 + 36d0*cima*coupl(nGC_7)**4d0*sq2**&
                      4d0)/(768d0*pi**2d0)
    coupl(nGC_9279) = (-12d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_8) - 4d0*Nc*cima&
                      *coupl(nGC_6)**4d0*sq2**4d0 - 12d0*Nc*coupl(nGC_5397)*   &
                      coupl(nGC_6)**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_6)**2d0*   &
                      coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0*sq2**&
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_9272) = (6d0*cima*coupl(nGC_5399)**2d0 - 10d0*cima*coupl(nGC_6)**&
                      4d0*sq2**4d0 + 3d0*coupl(nGC_5397)*coupl(nGC_6)**2d0*sq2 &
                      **2d0 + 15d0*coupl(nGC_5399)*coupl(nGC_6)**2d0*sq2**2d0  &
                       + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/(192d0*pi&
                      **2d0)
    coupl(nGC_9273) = (6d0*cima*coupl(nGC_5399)**2d0 - 10d0*cima*coupl(nGC_6)**&
                      4d0*sq2**4d0 + 3d0*coupl(nGC_5393)*coupl(nGC_6)**2d0*sq2 &
                      **2d0 + 18d0*coupl(nGC_5399)*coupl(nGC_6)**2d0*sq2**2d0  &
                      )/(192d0*pi**2d0)
    coupl(nGC_9270) = (3d0*cima*coupl(nGC_5397)**2d0 - 6d0*cima*coupl(nGC_5397 &
                      )*coupl(nGC_8) - 5d0*cima*coupl(nGC_6)**4d0*sq2**4d0 +   &
                      3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_5397)*coupl(  &
                      nGC_6)**2d0*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*coupl(nGC_8 &
                      )*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_9271) = (12d0*cima*coupl(nGC_5399)**2d0 - 20d0*cima*coupl(nGC_6  &
                      )**4d0*sq2**4d0 + 3d0*coupl(nGC_5393)*coupl(nGC_6)**2d0* &
                      sq2**2d0 + 3d0*coupl(nGC_5397)*coupl(nGC_6)**2d0*sq2**2d0&
                       + 33d0*coupl(nGC_5399)*coupl(nGC_6)**2d0*sq2**2d0 + 3d0*&
                      coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_9276) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0* &
                      Nc*coupl(nGC_5393)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(     &
                      nGC_5399)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)**4d0&
                      *sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_9277) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0* &
                      Nc*coupl(nGC_5393)*coupl(nGC_6)**2d0 - 9d0*Nc*coupl(     &
                      nGC_5399)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)**4d0&
                      *sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_9274) = (-12d0*Nc*cima*coupl(nGC_5397)*coupl(nGC_8) - 4d0*Nc*cima&
                      *coupl(nGC_6)**4d0*sq2**4d0 - 9d0*Nc*coupl(nGC_5397)*    &
                      coupl(nGC_6)**2d0*sq2**2d0 + 12d0*Nc*coupl(nGC_6)**2d0*  &
                      coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0*sq2**&
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_9275) = (12d0*Nc*cima*coupl(nGC_5397)**2d0 - 8d0*Nc*cima*coupl(  &
                      nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0 -  &
                      3d0*Nc*coupl(nGC_5397)*coupl(nGC_6)**2d0*sq2**2d0 + 39d0*&
                      Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*cima*  &
                      coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_9078) = coupl(nGC_7)*sq2*(-coupl(nGC_146)**2d0 - coupl(nGC_1495)*&
                      coupl(nGC_194) - coupl(nGC_150)**2d0 - coupl(nGC_192)**  &
                      2d0 - coupl(nGC_195)**2d0 - coupl(nGC_197)*coupl(nGC_198 &
                      ) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)**2d0 - 4d0*&
                      coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9079) = coupl(nGC_7)*sq2*(-coupl(nGC_1495)*coupl(nGC_194) - coupl&
                      (nGC_192)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_195)**  &
                      2d0 - coupl(nGC_196)**2d0 - coupl(nGC_197)*coupl(nGC_198 &
                      ) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)**2d0)/(64d0&
                      *pi**2d0*Nc)
    coupl(nGC_9074) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142)** &
                      2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(nGC_891 &
                      ) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl(nGC_183   &
                      ) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_88)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9075) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178)** &
                      2d0 + coupl(nGC_179)*coupl(nGC_891) + coupl(nGC_180)**2d0&
                       + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(nGC_183) + &
                      4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)**2d0)/(64d0*pi &
                      **2d0)
    coupl(nGC_9076) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(  &
                      nGC_7)**3d0)/(768d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
