!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl20()
    coupl(nGC_9077) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl(   &
                      nGC_7)**3d0)/(768d0*pi**2d0)
    coupl(nGC_9070) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169  &
                      )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(     &
                      nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 +   &
                      coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_9071) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6) - &
                      coupl(nGC_7))/(64d0*pi**2d0*Nc)
    coupl(nGC_9072) = coupl(nGC_7)*sq2*(-coupl(nGC_138)**2d0 - coupl(nGC_142)**&
                      2d0 - coupl(nGC_177)**2d0 - coupl(nGC_179)*coupl(nGC_891 &
                      ) - coupl(nGC_180)**2d0 - coupl(nGC_182)*coupl(nGC_183   &
                      ) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)**2d0 - 4d0*&
                      coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9073) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178)**&
                      2d0 - coupl(nGC_179)*coupl(nGC_891) - coupl(nGC_180)**2d0&
                       - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(nGC_183) - &
                      4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)**2d0)/(64d0*pi &
                      **2d0*Nc)
    coupl(nGC_9294) = coupl(nGC_8406)*dl3_QED4 + coupl(nGC_8407)*db_QED2 +     &
                      coupl(nGC_8408)*dl2_QED4 + coupl(nGC_8409)*dl5_QED4 +    &
                      coupl(nGC_8410)*dl4_QED4 + coupl(nGC_8411)*dl1_QED4 +    &
                      coupl(nGC_8412)*da_QED2
    coupl(nGC_9295) = coupl(nGC_8117)*dl3_QED4 + coupl(nGC_8118)*dl1_QED4 +    &
                      coupl(nGC_8119)*dl2_QED4 + coupl(nGC_8120)*dl5_QED4 +    &
                      coupl(nGC_8121)*dl4_QED4 + coupl(nGC_8122)*da_QED2
    coupl(nGC_9296) = coupl(nGC_8123)*dl3_QED4 + coupl(nGC_8124)*dl1_QED4 +    &
                      coupl(nGC_8125)*dl2_QED4 + coupl(nGC_8126)*dl5_QED4 +    &
                      coupl(nGC_8127)*dl4_QED4 + coupl(nGC_8128)*db_QED2
    coupl(nGC_9297) = coupl(nGC_8378)*dl3_QED4 + coupl(nGC_8379)*db_QED2 +     &
                      coupl(nGC_8380)*dl2_QED4 + coupl(nGC_8381)*dl5_QED4 +    &
                      coupl(nGC_8382)*dl4_QED4 + coupl(nGC_8383)*dl1_QED4 +    &
                      coupl(nGC_8384)*da_QED2
    coupl(nGC_9291) = coupl(nGC_7922)*dl3_QED4 + coupl(nGC_7923)*dl1_QED4 +    &
                      coupl(nGC_7924)*dl2_QED4 + coupl(nGC_7925)*dl5_QED4 +    &
                      coupl(nGC_7926)*dl4_QED4 + coupl(nGC_7927)*db_QED2
    coupl(nGC_9292) = coupl(nGC_8691)*dl3_QED4 + coupl(nGC_8692)*dl1_QED4 +    &
                      coupl(nGC_8693)*dl2_QED4 + coupl(nGC_8694)*dl5_QED4 +    &
                      coupl(nGC_8695)*dl4_QED4 + coupl(nGC_8696)*db_QED2
    coupl(nGC_9293) = coupl(nGC_8213)*dl3_QED4 + coupl(nGC_8214)*db_QED2 +     &
                      coupl(nGC_8215)*dl2_QED4 + coupl(nGC_8216)*dl5_QED4 +    &
                      coupl(nGC_8217)*dl4_QED4 + coupl(nGC_8218)*dl1_QED4 +    &
                      coupl(nGC_8219)*da_QED2
    coupl(nGC_9298) = coupl(nGC_8385)*dl3_QED4 + coupl(nGC_8386)*dl1_QED4 +    &
                      coupl(nGC_8387)*dl2_QED4 + coupl(nGC_8388)*dl5_QED4 +    &
                      coupl(nGC_8389)*dl4_QED4 + coupl(nGC_8390)*da_QED2
    coupl(nGC_9299) = coupl(nGC_8138)*dl3_QED4 + coupl(nGC_8139)*dl1_QED4 +    &
                      coupl(nGC_8140)*dl2_QED4 + coupl(nGC_8141)*dl5_QED4 +    &
                      coupl(nGC_8142)*dl4_QED4 + coupl(nGC_8143)*db_QED2
    coupl(nGC_19906) = 2d0*coupl(nGC_46)*dZG0Ha_QED2 + 2d0*coupl(nGC_52)*      &
                       dZHa_QED2 + coupl(nGC_9296)
    coupl(nGC_15911) = -2d0*coupl(nGC_15910)
    coupl(nGC_28417) = 2d0*coupl(nGC_8)*dZg_QCD2 + coupl(nGC_9283)
    coupl(nGC_TS_GC_10_Hl) = -coupl(nGC_10)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9106) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*&
                      coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) + 10d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(   &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_146)*coupl(&
                      nGC_150)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_146)*coupl(nGC_150)*coupl(nGC_88) - 16d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84  &
                      ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(      &
                      nGC_174)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_178)*coupl(nGC_181)*coupl(nGC_85) - 16d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87  &
                      ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(      &
                      nGC_196)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_87) - 16d0*Nc*cima*    &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_85  &
                      ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                      nGC_2)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_138)*coupl(&
                      nGC_142)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(&
                      nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_88) + 10d0&
                      *Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl&
                      (nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*&
                      coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*&
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88  &
                      ) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                      nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(&
                      nGC_181)*coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0&
                      *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl&
                      (nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(&
                      nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(   &
                      nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl(   &
                      nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) + 10d0&
                      *cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(  &
                      nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185)*coupl(   &
                      nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*coupl(    &
                      nGC_63)*coupl(nGC_647)*coupl(nGC_69)*coupl(nGC_807) + 9d0&
                      *cima*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_69)*coupl(  &
                      nGC_807) - 3d0*coupl(nGC_1005)*coupl(nGC_70)*coupl(nGC_82&
                      ) - 3d0*coupl(nGC_1391)*coupl(nGC_66)*coupl(nGC_82) - 3d0&
                      *coupl(nGC_14)*coupl(nGC_647)*coupl(nGC_69) - 3d0*coupl( &
                      nGC_15)*coupl(nGC_647)*coupl(nGC_69) - 3d0*coupl(nGC_16)*&
                      coupl(nGC_63)*coupl(nGC_647) - 3d0*coupl(nGC_16)*coupl(  &
                      nGC_64)*coupl(nGC_647) - 3d0*coupl(nGC_63)*coupl(nGC_69)*&
                      coupl(nGC_83) - 3d0*coupl(nGC_63)*coupl(nGC_70)*coupl(   &
                      nGC_807) - 3d0*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_83  &
                      ) - 3d0*coupl(nGC_65)*coupl(nGC_69)*coupl(nGC_807))/(96d0&
                      *pi**2d0)
    coupl(nGC_9107) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +     &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9102) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 + 6d0* &
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 + 6d0*Nc*   &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 6d0*Nc*cima* &
                      coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 + 6d0*cima*coupl(   &
                      nGC_1015)*coupl(nGC_923) - 20d0*cima*coupl(nGC_3)**2d0*  &
                      coupl(nGC_82)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(   &
                      nGC_86)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_89)**&
                      2d0 - 20d0*cima*coupl(nGC_647)**2d0*coupl(nGC_807)**2d0  &
                       + 9d0*coupl(nGC_1015)*coupl(nGC_3)**2d0 + 9d0*coupl(    &
                      nGC_1015)*coupl(nGC_647)**2d0 + 6d0*coupl(nGC_3)*coupl(  &
                      nGC_82)*coupl(nGC_953) + 6d0*coupl(nGC_647)*coupl(nGC_807&
                      )*coupl(nGC_953) + 9d0*coupl(nGC_807)**2d0*coupl(nGC_923 &
                      ) + 9d0*coupl(nGC_82)**2d0*coupl(nGC_923))/(48d0*pi**2d0)
    coupl(nGC_9103) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 + 12d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 + 12d0*Nc* &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 12d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 - 40d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_82)**2d0 + 12d0*cima*coupl(nGC_4)**&
                      2d0*coupl(nGC_86)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*    &
                      coupl(nGC_89)**2d0 - 40d0*cima*coupl(nGC_647)**2d0*coupl(&
                      nGC_807)**2d0 + 12d0*cima*coupl(nGC_83)**2d0 + 3d0*coupl(&
                      nGC_3)**2d0*coupl(nGC_79) + 36d0*coupl(nGC_3)*coupl(     &
                      nGC_82)*coupl(nGC_83) + 6d0*coupl(nGC_3)*coupl(nGC_82)*  &
                      coupl(nGC_953) + 3d0*coupl(nGC_5)*coupl(nGC_807)**2d0 +  &
                      3d0*coupl(nGC_5)*coupl(nGC_82)**2d0 + 3d0*coupl(nGC_647  &
                      )**2d0*coupl(nGC_79) + 36d0*coupl(nGC_647)*coupl(nGC_807 &
                      )*coupl(nGC_83) + 6d0*coupl(nGC_647)*coupl(nGC_807)*coupl&
                      (nGC_953))/(96d0*pi**2d0)
    coupl(nGC_9108) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_8767) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) + 2d0*&
                      Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0*Nc*  &
                      coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*coupl(    &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*coupl(nGC_1&
                      )*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*coupl(nGC_131)* &
                      coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_138)*coupl&
                      (nGC_142)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_170)*coupl(     &
                      nGC_174)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_178)*coupl(     &
                      nGC_181)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_193)*coupl(     &
                      nGC_196)*coupl(nGC_2) + 2d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_4) + 2d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_4) + 2d0*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4   &
                      ) - 3d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68) - 3d0*  &
                      coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
    coupl(nGC_8766) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) - 2d0&
                      *Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) - 2d0*Nc* &
                      coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) - 2d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174) - 2d0*Nc*coupl(    &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_181) - 2d0*Nc*coupl(nGC_1&
                      )*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*coupl(nGC_131)* &
                      coupl(nGC_134)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_138)*coupl&
                      (nGC_142)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_170)*coupl(     &
                      nGC_174)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_178)*coupl(     &
                      nGC_181)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_193)*coupl(     &
                      nGC_196)*coupl(nGC_2) - 2d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_4) - 2d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_4) - 2d0*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4   &
                      ) - 3d0*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_69))/(48d0*pi**2d0&
                      )
    coupl(nGC_8764) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8763) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(     &
                      nGC_89))/(8d0*pi**2d0)
    coupl(nGC_8761) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_21254) = 2d0*coupl(nGC_10)*dZHlHh_QED2 + 2d0*coupl(nGC_12)*      &
                       dZHh_QED2 + coupl(nGC_9295)
    coupl(nGC_14749) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9473)
    coupl(nGC_13753) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
    coupl(nGC_15439) = coupl(nGC_143)*dZbL_QCD2/2d0 + coupl(nGC_143)*dZbR_QCD2/&
                       2d0 + coupl(nGC_9458)
    coupl(nGC_13751) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
    coupl(nGC_13755) = coupl(nGC_13752) + coupl(nGC_13753)
    coupl(nGC_13754) = coupl(nGC_13751) + coupl(nGC_13752)
    coupl(nGC_TS_GC_39_Hl) = -coupl(nGC_39)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19044) = -coupl(nGC_19043)
    coupl(nGC_13571) = coupl(nGC_13563) + coupl(nGC_13570)
    coupl(nGC_8718) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_84) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_87) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_85  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_88) - coupl(nGC_3)*    &
                      coupl(nGC_82) - 2d0*coupl(nGC_4)*coupl(nGC_86) - 2d0*    &
                      coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_647)*coupl(nGC_807&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8719) = cima*(coupl(nGC_3)*coupl(nGC_82) + coupl(nGC_647)*coupl( &
                      nGC_807))/(48d0*pi**2d0)
    coupl(nGC_8717) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_647)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_923))/(16d0*pi**2d0)
    coupl(nGC_8715) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl( &
                      nGC_647)**2d0)/(32d0*pi**2d0)
    coupl(nGC_14413) = 2d0*coupl(nGC_44)*dZGMinusHMinus_QED2 + 2d0*coupl(nGC_51&
                       )*dZHMinus_QED2 + coupl(nGC_9301)
    coupl(nGC_13193) = coupl(nGC_186)*dZHaG0_QED2/2d0 + coupl(nGC_190)*        &
                       dZtauMinusL_QED2/2d0 + coupl(nGC_190)*dZtauMinusR_QED2/ &
                       2d0 + coupl(nGC_9471)
    coupl(nGC_13192) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*        &
                       dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2/ &
                       2d0 + coupl(nGC_9472)
    coupl(nGC_8882) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(  &
                      nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**&
                      2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_2059)*coupl&
                      (nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(nGC_91) -  &
                      coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(nGC_180)*coupl&
                      (nGC_683)*coupl(nGC_85) - coupl(nGC_180)*coupl(nGC_88)*  &
                      coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_72)*coupl(nGC_80&
                      ) - coupl(nGC_182)**2d0*coupl(nGC_183) + 8d0*coupl(      &
                      nGC_182)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_182)*coupl(   &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_183)*coupl(nGC_891)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_8880) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*  &
                      coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_134)*coupl(    &
                      nGC_135)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(     &
                      nGC_176) - coupl(nGC_169)*coupl(nGC_2059)*coupl(nGC_87   &
                      ) - coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(  &
                      nGC_171)**2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*coupl(&
                      nGC_176) - coupl(nGC_173)*coupl(nGC_683)*coupl(nGC_87) - &
                      coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) - coupl(      &
                      nGC_174)*coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_175)** &
                      2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl(nGC_84)*   &
                      coupl(nGC_87))/(32d0*pi**2d0)
    coupl(nGC_12717) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/2d0&
                        + coupl(nGC_74)*dZWMinus_QED2/2d0 + coupl(nGC_9356)
    coupl(nGC_8886) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)*   &
                      coupl(nGC_2059)*coupl(nGC_86) + coupl(nGC_184)*coupl(    &
                      nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(nGC_191&
                      ) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl(nGC_188)* &
                      coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_188)*coupl(     &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(nGC_191) + 8d0*&
                      coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_190)*   &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
