!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl28()
    coupl(nGC_8776) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80) -   &
                      2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80) -   &
                      2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80) +   &
                      4d0*cima*coupl(nGC_102)*coupl(nGC_953) + 4d0*cima*coupl( &
                      nGC_126)*coupl(nGC_5) + 6d0*coupl(nGC_102)*coupl(nGC_3)* &
                      coupl(nGC_807) - coupl(nGC_124)*coupl(nGC_1391)*coupl(   &
                      nGC_3) - coupl(nGC_125)*coupl(nGC_1611)*coupl(nGC_3) -   &
                      coupl(nGC_126)*coupl(nGC_2297)*coupl(nGC_807) + 6d0*coupl&
                      (nGC_126)*coupl(nGC_3)*coupl(nGC_647) - coupl(nGC_126)*  &
                      coupl(nGC_647)*coupl(nGC_655))/(32d0*pi**2d0)
    coupl(nGC_15464) = -coupl(nGC_15463)
    coupl(nGC_14594) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*      &
                       dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl(   &
                       nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9421)
    coupl(nGC_14595) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*dZtL_QCD2/&
                       2d0 + coupl(nGC_9424)
    coupl(nGC_14596) = coupl(nGC_178)*dZbL_QCD2/2d0 + coupl(nGC_178)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9422)
    coupl(nGC_13928) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9390)
    coupl(nGC_14605) = coupl(nGC_28)*dZHa_QED2/2d0 + coupl(nGC_28)*dZHl_QED2 + &
                       coupl(nGC_31)*dZHaG0_QED2/2d0 + coupl(nGC_37)*          &
                       dZHhHl_QED2 + coupl(nGC_39)*dZG0Ha_QED2/2d0 + coupl(    &
                       nGC_9327)
    coupl(nGC_15268) = coupl(nGC_110)*dZHMinus_QED2 + coupl(nGC_110)*dZHl_QED2/&
                       2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 + coupl(nGC_119)*  &
                       dZGMinusHMinus_QED2 + coupl(nGC_9349) + coupl(          &
                       nGC_TS_GC_22_Hh) + coupl(nGC_TS_GC_30_Hl)
    coupl(nGC_14021) = coupl(nGC_26)*dZHlHh_QED2 + coupl(nGC_29)*dZG0Ha_QED2 + &
                       coupl(nGC_38)*dZHa_QED2 + coupl(nGC_38)*dZHh_QED2 +     &
                       coupl(nGC_9304)
    coupl(nGC_15514) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZcR_QED2 +  &
                       coupl(nGC_9395)
    coupl(nGC_14116) = coupl(nGC_79)*dZWMinus_QED2 + coupl(nGC_79)*dZZ_QED2 +  &
                       coupl(nGC_9289)
    coupl(nGC_14117) = -coupl(nGC_14115)/2d0 + coupl(nGC_14116)
    coupl(nGC_14118) = coupl(nGC_14115) - 2d0*coupl(nGC_14116)
    coupl(nGC_12984) = coupl(nGC_15)*dZHMinus_QED2/2d0 + coupl(nGC_15)*        &
                       dZHh_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_15)*dZZ_QED2/2d0 + coupl(nGC_16)*dZGMinusHMinus_QED2&
                       /2d0 + coupl(nGC_16)*dZHlHh_QED2/2d0 + coupl(nGC_66)*   &
                       dZAZ_QED2/2d0 + coupl(nGC_9380)
    coupl(nGC_13455) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*      &
                       dZGMinusHMinus_QED2 + coupl(nGC_60)*dZHMinus_QED2 +     &
                       coupl(nGC_9315)
    coupl(nGC_14336) = coupl(nGC_9386) + coupl(nGC_99)*dZHl_QED2 + coupl(nGC_99&
                       )*dZZ_QED2
    coupl(nGC_13855) = coupl(nGC_108)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_110)*&
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_111)*dZHhHl_QED2/2d0&
                        + coupl(nGC_119)*dZHMinus_QED2/2d0 + coupl(nGC_119)*   &
                       dZHl_QED2/2d0 + coupl(nGC_9341) + coupl(nGC_TS_GC_24_Hl &
                       ) + coupl(nGC_TS_GC_36_Hh)
    coupl(nGC_13585) = coupl(nGC_124)*dZHlHh_QED2/2d0 + coupl(nGC_125)*        &
                       dZHh_QED2/2d0 + coupl(nGC_125)*dZWMinus_QED2 + coupl(   &
                       nGC_9370) + coupl(nGC_TS_GC_61_Hh)
    coupl(nGC_13851) = coupl(nGC_119)*dZGMinus/2d0
    coupl(nGC_16233) = coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_180)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9502)
    coupl(nGC_12673) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*      &
                       dZGMinusHMinus_QED2 + coupl(nGC_57)*dZHMinus_QED2 +     &
                       coupl(nGC_9308)
    coupl(nGC_8949) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_171) - coupl(nGC_131)*  &
                      coupl(nGC_170)*coupl(nGC_843) - coupl(nGC_134)*coupl(    &
                      nGC_174)*coupl(nGC_843) - coupl(nGC_1671)*coupl(nGC_173)*&
                      coupl(nGC_87) - coupl(nGC_169)**2d0*coupl(nGC_172) -     &
                      coupl(nGC_169)*coupl(nGC_683)*coupl(nGC_87) - coupl(     &
                      nGC_169)*coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_170)*   &
                      coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_171)**2d0*coupl(&
                      nGC_172) + 8d0*coupl(nGC_171)*coupl(nGC_84)*coupl(nGC_87 &
                      ) - coupl(nGC_172)*coupl(nGC_173)**2d0 - coupl(nGC_172)* &
                      coupl(nGC_175)**2d0 - coupl(nGC_173)*coupl(nGC_84)*coupl(&
                      nGC_92))/(32d0*pi**2d0)
    coupl(nGC_16232) = coupl(nGC_16231) + coupl(nGC_9501)
    coupl(nGC_8947) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_172) - coupl(nGC_131)*  &
                      coupl(nGC_132)*coupl(nGC_170) - coupl(nGC_132)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_1671)*coupl(nGC_173)*&
                      coupl(nGC_84) - coupl(nGC_169)**2d0*coupl(nGC_171) -     &
                      coupl(nGC_169)*coupl(nGC_683)*coupl(nGC_84) - coupl(     &
                      nGC_169)*coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_170)*   &
                      coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_171)*coupl(      &
                      nGC_172)**2d0 - coupl(nGC_171)*coupl(nGC_173)**2d0 -     &
                      coupl(nGC_171)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_172)* &
                      coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_173)*coupl(nGC_87&
                      )*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8946) = (-coupl(nGC_161)**2d0*coupl(nGC_163) + coupl(nGC_161)*   &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_161)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_80)*    &
                      coupl(nGC_871) - coupl(nGC_163)*coupl(nGC_164)**2d0 -    &
                      coupl(nGC_163)*coupl(nGC_165)**2d0 - coupl(nGC_163)*coupl&
                      (nGC_168)**2d0 + 8d0*coupl(nGC_164)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_165)*coupl(nGC_1671)*coupl(nGC_89) + coupl(nGC_165)* &
                      coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8945) = (-coupl(nGC_161)**2d0*coupl(nGC_164) + coupl(nGC_161)*   &
                      coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_161)*coupl(     &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_163)**2d0*coupl(nGC_164) + 8d0*&
                      coupl(nGC_163)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_163)*   &
                      coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_164)*coupl(      &
                      nGC_165)**2d0 - coupl(nGC_164)*coupl(nGC_167)**2d0 +     &
                      coupl(nGC_165)*coupl(nGC_1671)*coupl(nGC_86) + coupl(    &
                      nGC_165)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8944) = (-coupl(nGC_153)**2d0*coupl(nGC_155) + coupl(nGC_153)*   &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_153)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_80)*    &
                      coupl(nGC_871) - coupl(nGC_155)*coupl(nGC_156)**2d0 -    &
                      coupl(nGC_155)*coupl(nGC_157)**2d0 - coupl(nGC_155)*coupl&
                      (nGC_160)**2d0 + 8d0*coupl(nGC_156)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_157)*coupl(nGC_1671)*coupl(nGC_89) + coupl(nGC_157)* &
                      coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8943) = (-coupl(nGC_153)**2d0*coupl(nGC_156) + coupl(nGC_153)*   &
                      coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_153)*coupl(     &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_155)**2d0*coupl(nGC_156) + 8d0*&
                      coupl(nGC_155)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_155)*   &
                      coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_156)*coupl(      &
                      nGC_157)**2d0 - coupl(nGC_156)*coupl(nGC_159)**2d0 +     &
                      coupl(nGC_157)*coupl(nGC_1671)*coupl(nGC_86) + coupl(    &
                      nGC_157)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8941) = (-coupl(nGC_130)**2d0*coupl(nGC_843) - coupl(nGC_130)*   &
                      coupl(nGC_683)*coupl(nGC_88) - coupl(nGC_130)*coupl(     &
                      nGC_85)*coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_170)*   &
                      coupl(nGC_172) - coupl(nGC_131)*coupl(nGC_80)*coupl(     &
                      nGC_871) - coupl(nGC_132)**2d0*coupl(nGC_843) + 8d0*coupl&
                      (nGC_132)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_132)*coupl(  &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_133)**2d0*coupl(nGC_843&
                      ) - coupl(nGC_133)*coupl(nGC_1671)*coupl(nGC_88) - coupl(&
                      nGC_133)*coupl(nGC_85)*coupl(nGC_92) - coupl(nGC_134)*   &
                      coupl(nGC_172)*coupl(nGC_174) - coupl(nGC_136)**2d0*coupl&
                      (nGC_843))/(32d0*pi**2d0)
    coupl(nGC_12678) = coupl(nGC_127)*dZGMinus/2d0
    coupl(nGC_17009) = coupl(nGC_17003) + coupl(nGC_17008)
    coupl(nGC_17007) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_13214) = coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*        &
                       dZHa_QED2/2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_9362)
    coupl(nGC_13215) = -coupl(nGC_13214)
    coupl(nGC_9018) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(  &
                      nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1495  &
                      )**2d0*coupl(nGC_192) - coupl(nGC_1495)*coupl(nGC_683)*  &
                      coupl(nGC_88) - coupl(nGC_1495)*coupl(nGC_85)*coupl(     &
                      nGC_94) - coupl(nGC_1611)*coupl(nGC_196)*coupl(nGC_80) - &
                      coupl(nGC_192)**3d0 - coupl(nGC_192)*coupl(nGC_195)**2d0 &
                       - coupl(nGC_192)*coupl(nGC_197)**2d0 + 8d0*coupl(nGC_192&
                      )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_85)*  &
                      coupl(nGC_88) - coupl(nGC_193)*coupl(nGC_69)*coupl(nGC_80&
                      ) - coupl(nGC_197)*coupl(nGC_2059)*coupl(nGC_88) - coupl(&
                      nGC_197)*coupl(nGC_85)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_9019) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(  &
                      nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**&
                      3d0 - coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(nGC_192 &
                      )*coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(nGC_198)**  &
                      2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + 8d0*coupl(  &
                      nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_193)*   &
                      coupl(nGC_617)*coupl(nGC_80) - coupl(nGC_194)*coupl(     &
                      nGC_683)*coupl(nGC_85) - coupl(nGC_194)*coupl(nGC_88)*   &
                      coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*coupl(nGC_80&
                      ) - coupl(nGC_198)*coupl(nGC_2059)*coupl(nGC_85) - coupl(&
                      nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_9013) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(  &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1611)*&
                      coupl(nGC_181)*coupl(nGC_80) - coupl(nGC_177)**3d0 -     &
                      coupl(nGC_177)*coupl(nGC_180)**2d0 - coupl(nGC_177)*coupl&
                      (nGC_182)**2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 +  &
                      8d0*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(  &
                      nGC_177)*coupl(nGC_891)**2d0 - coupl(nGC_178)*coupl(     &
                      nGC_69)*coupl(nGC_80) - coupl(nGC_182)*coupl(nGC_2059)*  &
                      coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_91&
                      ) - coupl(nGC_683)*coupl(nGC_88)*coupl(nGC_891) - coupl( &
                      nGC_85)*coupl(nGC_891)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_9010) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_1005)* &
                      coupl(nGC_174)*coupl(nGC_80) - coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(nGC_134)* &
                      coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl(nGC_169)*   &
                      coupl(nGC_172)**2d0 - coupl(nGC_169)*coupl(nGC_173)**2d0 &
                       - coupl(nGC_169)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_169&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_170)*coupl(    &
                      nGC_68)*coupl(nGC_80) - coupl(nGC_172)*coupl(nGC_683)*   &
                      coupl(nGC_87) - coupl(nGC_172)*coupl(nGC_84)*coupl(nGC_94&
                      ) - coupl(nGC_176)*coupl(nGC_2059)*coupl(nGC_87) - coupl(&
                      nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_16234) = coupl(nGC_16230) + coupl(nGC_16233)
    coupl(nGC_9016) = (coupl(nGC_1611)*coupl(nGC_189)*coupl(nGC_80) - coupl(   &
                      nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_186)**2d0 -     &
                      coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(nGC_184)*coupl&
                      (nGC_190)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_184)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_185)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_186)*   &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_186)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_190)*coupl(nGC_2059)*  &
                      coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_91&
                      ))/(32d0*pi**2d0)
    coupl(nGC_9017) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**  &
                      2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(nGC_184 &
                      )*coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl(nGC_89) +   &
                      coupl(nGC_185)*coupl(nGC_617)*coupl(nGC_80) + coupl(     &
                      nGC_187)*coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_187)*  &
                      coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(nGC_64&
                      )*coupl(nGC_80) + coupl(nGC_191)*coupl(nGC_2059)*coupl(  &
                      nGC_86) + coupl(nGC_191)*coupl(nGC_89)*coupl(nGC_91))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9014) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(  &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**&
                      3d0 - coupl(nGC_177)*coupl(nGC_179)**2d0 - coupl(nGC_177 &
                      )*coupl(nGC_180)**2d0 - coupl(nGC_177)*coupl(nGC_183)**  &
                      2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 + 8d0*coupl(  &
                      nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_178)*   &
                      coupl(nGC_617)*coupl(nGC_80) - coupl(nGC_179)*coupl(     &
                      nGC_683)*coupl(nGC_85) - coupl(nGC_179)*coupl(nGC_88)*   &
                      coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_64)*coupl(nGC_80&
                      ) - coupl(nGC_183)*coupl(nGC_2059)*coupl(nGC_85) - coupl(&
                      nGC_183)*coupl(nGC_88)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_8785) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_84) - &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_87) -   &
                      4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_84) -   &
                      4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_87) -   &
                      4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_84) -   &
                      4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_87) -   &
                      4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_86) - 4d0* &
                      cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_89) - 4d0*cMM* &
                      coupl(nGC_161)*coupl(nGC_4)*coupl(nGC_86) - 4d0*cMM*coupl&
                      (nGC_161)*coupl(nGC_4)*coupl(nGC_89) - 4d0*cMTA*coupl(   &
                      nGC_184)*coupl(nGC_4)*coupl(nGC_86) - 4d0*cMTA*coupl(    &
                      nGC_184)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_124)*coupl(nGC_83) - coupl(nGC_1005)*coupl(nGC_107)* &
                      coupl(nGC_647) - coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_69&
                      ) - coupl(nGC_102)*coupl(nGC_647)*coupl(nGC_68) - coupl( &
                      nGC_107)*coupl(nGC_1611)*coupl(nGC_3) + 6d0*coupl(nGC_124&
                      )*coupl(nGC_3)*coupl(nGC_82) + 6d0*coupl(nGC_124)*coupl( &
                      nGC_647)*coupl(nGC_807) - coupl(nGC_126)*coupl(nGC_1391)*&
                      coupl(nGC_807) - coupl(nGC_126)*coupl(nGC_617)*coupl(    &
                      nGC_82) - coupl(nGC_127)*coupl(nGC_63)*coupl(nGC_807) -  &
                      coupl(nGC_127)*coupl(nGC_64)*coupl(nGC_82))/(32d0*pi**2d0&
                      )
    coupl(nGC_8784) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(&
                      32d0*pi**2d0*Nc)
    coupl(nGC_8831) = (-coupl(nGC_153)*coupl(nGC_63)*coupl(nGC_80) - coupl(    &
                      nGC_157)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_158)*   &
                      coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_158)*coupl(    &
                      nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_158)*coupl(nGC_86)*&
                      coupl(nGC_90) - coupl(nGC_158)*coupl(nGC_90)*coupl(nGC_96&
                      ) - coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_871))/(32d0*pi&
                      **2d0)
    coupl(nGC_8830) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8837) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142  &
                      ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_180)*    &
                      coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_133 &
                      )*coupl(nGC_134) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(      &
                      nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*coupl(nGC_133)*coupl&
                      (nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*    &
                      coupl(nGC_170)*coupl(nGC_173) + 4d0*Nc*cMD*coupl(nGC_146 &
                      )*coupl(nGC_149)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(      &
                      nGC_146)*coupl(nGC_195)*coupl(nGC_196) + 4d0*Nc*cMD*coupl&
                      (nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*cMD*    &
                      coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 2d0*Nc*cMS&
                      *coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174) + 4d0*Nc*  &
                      cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc&
                      *cMS*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0* &
                      Nc*cMS*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0&
                      *Nc*cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) +   &
                      2d0*Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181   &
                      ) + 4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(      &
                      nGC_180) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl&
                      (nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*    &
                      coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(      &
                      nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_193)*coupl&
                      (nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(nGC_154)*coupl( &
                      nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(nGC_162)*coupl(  &
                      nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl(nGC_185)*coupl( &
                      nGC_188)*coupl(nGC_189) + 4d0*cima*coupl(nGC_102)*coupl( &
                      nGC_16) + 4d0*cima*coupl(nGC_107)*coupl(nGC_15) + 4d0*   &
                      cima*coupl(nGC_126)*coupl(nGC_70) + 4d0*cima*coupl(      &
                      nGC_127)*coupl(nGC_66) + coupl(nGC_1005)*coupl(nGC_103)* &
                      coupl(nGC_1611) + coupl(nGC_1005)*coupl(nGC_106)*coupl(  &
                      nGC_1391) - coupl(nGC_102)*coupl(nGC_1391)*coupl(nGC_96  &
                      ) - coupl(nGC_102)*coupl(nGC_683)*coupl(nGC_72) + coupl( &
                      nGC_103)*coupl(nGC_1391)**2d0 + coupl(nGC_105)*coupl(    &
                      nGC_1391)*coupl(nGC_1611) - coupl(nGC_107)*coupl(nGC_1611&
                      )*coupl(nGC_96) - coupl(nGC_107)*coupl(nGC_871)*coupl(   &
                      nGC_92) + coupl(nGC_108)*coupl(nGC_1391)*coupl(nGC_69) + &
                      coupl(nGC_110)*coupl(nGC_1611)*coupl(nGC_64) + coupl(    &
                      nGC_111)*coupl(nGC_17)**2d0 + coupl(nGC_111)*coupl(nGC_63&
                      )*coupl(nGC_64) + coupl(nGC_111)*coupl(nGC_68)*coupl(    &
                      nGC_69) + coupl(nGC_111)*coupl(nGC_96)**2d0 + coupl(     &
                      nGC_112)*coupl(nGC_72)*coupl(nGC_871) + coupl(nGC_114)*  &
                      coupl(nGC_2297)*coupl(nGC_683) + coupl(nGC_114)*coupl(   &
                      nGC_2297)*coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_68)*  &
                      coupl(nGC_871) + coupl(nGC_116)*coupl(nGC_1391)*coupl(   &
                      nGC_63) + coupl(nGC_118)*coupl(nGC_1611)*coupl(nGC_69) + &
                      coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_68) + coupl(      &
                      nGC_119)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_123)*   &
                      coupl(nGC_1671)*coupl(nGC_2297) + coupl(nGC_123)*coupl(  &
                      nGC_2297)*coupl(nGC_92) + coupl(nGC_123)*coupl(nGC_64)*  &
                      coupl(nGC_72) - coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_69&
                      ) - coupl(nGC_125)*coupl(nGC_64)*coupl(nGC_69) - coupl(  &
                      nGC_126)*coupl(nGC_1391)*coupl(nGC_17) - coupl(nGC_127)* &
                      coupl(nGC_1611)*coupl(nGC_17))/(32d0*pi**2d0)
    coupl(nGC_8836) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(      &
                      nGC_144) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_891) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_179)*    &
                      coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_143)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_144)*coupl(      &
                      nGC_178)*coupl(nGC_181) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_132)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_843) + 2d0*Nc*cMC*coupl(nGC_131 &
                      )*coupl(nGC_172)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(      &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl&
                      (nGC_134)*coupl(nGC_170)*coupl(nGC_171) + 2d0*Nc*cMC*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) + 2d0*Nc*cMD&
                      *coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_150) + 2d0*Nc*  &
                      cMD*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150) + 2d0*Nc&
                      *cMD*coupl(nGC_146)*coupl(nGC_194)*coupl(nGC_196) + 2d0* &
                      Nc*cMD*coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 2d0&
                      *Nc*cMD*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) +   &
                      2d0*Nc*cMD*coupl(nGC_1495)*coupl(nGC_150)*coupl(nGC_193  &
                      ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(      &
                      nGC_171) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_172) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_174)*    &
                      coupl(nGC_843) + 2d0*Nc*cMS*coupl(nGC_132)*coupl(nGC_134 &
                      )*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*coupl(      &
                      nGC_171)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_170)*coupl&
                      (nGC_172)*coupl(nGC_174) + 2d0*Nc*cMT*coupl(nGC_138)*    &
                      coupl(nGC_142)*coupl(nGC_179) + 2d0*Nc*cMT*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_891) + 2d0*Nc*cMT*coupl(      &
                      nGC_138)*coupl(nGC_143)*coupl(nGC_178) + 2d0*Nc*cMT*coupl&
                      (nGC_142)*coupl(nGC_144)*coupl(nGC_181) + 2d0*Nc*cMT*    &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_181) + 2d0*Nc*cMT&
                      *coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_891) + 2d0*Nc*  &
                      cMU*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_196) + 2d0*Nc&
                      *cMU*coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150) + 2d0*&
                      Nc*cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194) + 2d0&
                      *Nc*cMU*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193) +   &
                      2d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_196  &
                      ) + 2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_194)*coupl(      &
                      nGC_196) + 2d0*cME*coupl(nGC_154)*coupl(nGC_155)*coupl(  &
                      nGC_158) + 2d0*cME*coupl(nGC_154)*coupl(nGC_156)*coupl(  &
                      nGC_158) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_163)*coupl(  &
                      nGC_166) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_164)*coupl(  &
                      nGC_166) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_186)*coupl( &
                      nGC_189) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_187)*coupl( &
                      nGC_189) + 4d0*cima*coupl(nGC_107)*coupl(nGC_19) + 4d0*  &
                      cima*coupl(nGC_127)*coupl(nGC_73) - coupl(nGC_1005)*coupl&
                      (nGC_102)*coupl(nGC_94) + coupl(nGC_1005)*coupl(nGC_113)*&
                      coupl(nGC_871) - coupl(nGC_102)*coupl(nGC_1391)*coupl(   &
                      nGC_92) - coupl(nGC_107)*coupl(nGC_1391)*coupl(nGC_683   &
                      ) - coupl(nGC_107)*coupl(nGC_1611)*coupl(nGC_1671) -     &
                      coupl(nGC_107)*coupl(nGC_871)*coupl(nGC_96) + coupl(     &
                      nGC_110)*coupl(nGC_64)*coupl(nGC_871) + coupl(nGC_111)*  &
                      coupl(nGC_1671)*coupl(nGC_2297) + coupl(nGC_111)*coupl(  &
                      nGC_2297)*coupl(nGC_92) + coupl(nGC_111)*coupl(nGC_63)*  &
                      coupl(nGC_72) + coupl(nGC_112)*coupl(nGC_1611)*coupl(    &
                      nGC_72) + coupl(nGC_118)*coupl(nGC_69)*coupl(nGC_871) +  &
                      coupl(nGC_119)*coupl(nGC_2297)*coupl(nGC_683) + coupl(   &
                      nGC_119)*coupl(nGC_2297)*coupl(nGC_94) + coupl(nGC_119)* &
                      coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_120)*coupl(      &
                      nGC_1391)*coupl(nGC_72) + coupl(nGC_121)*coupl(nGC_1391)*&
                      coupl(nGC_871) + coupl(nGC_123)*coupl(nGC_17)**2d0 +     &
                      coupl(nGC_123)*coupl(nGC_72)**2d0 + coupl(nGC_123)*coupl(&
                      nGC_96)**2d0 - coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_871&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8835) = (-4d0*Nc*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80) + coupl(     &
                      nGC_1005)**2d0*coupl(nGC_72) + coupl(nGC_1391)**2d0*coupl&
                      (nGC_72) + 4d0*coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80&
                      ) + 4d0*coupl(nGC_166)*coupl(nGC_168)*coupl(nGC_80) + 4d0&
                      *coupl(nGC_189)*coupl(nGC_191)*coupl(nGC_80) - 6d0*coupl(&
                      nGC_2059)*coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(       &
                      nGC_2297)*coupl(nGC_807)*coupl(nGC_871) + coupl(nGC_64)* &
                      coupl(nGC_91)*coupl(nGC_96) - 6d0*coupl(nGC_647)*coupl(  &
                      nGC_655)*coupl(nGC_871) - 6d0*coupl(nGC_683)*coupl(nGC_69&
                      )*coupl(nGC_82) + coupl(nGC_69)*coupl(nGC_94)*coupl(     &
                      nGC_96) + coupl(nGC_72)**3d0)/(96d0*pi**2d0)
    coupl(nGC_8782) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)**2d0&
                       + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) + coupl(   &
                      nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl(nGC_143)*&
                      coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_87)**2d0 +   &
                      coupl(nGC_178)**2d0*coupl(nGC_2) + coupl(nGC_181)**2d0*  &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_647)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
