!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl29()
    coupl(nGC_8839) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) - 4d0&
                      *Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 4d0*Nc*&
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) + coupl(     &
                      nGC_1005)*coupl(nGC_683)*coupl(nGC_871) + coupl(nGC_1391 &
                      )*coupl(nGC_1671)*coupl(nGC_871) + coupl(nGC_1391)*coupl(&
                      nGC_72)*coupl(nGC_91) - 4d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_86) + 4d0*coupl(nGC_154)*coupl(nGC_158)*coupl&
                      (nGC_90) + coupl(nGC_1611)*coupl(nGC_72)*coupl(nGC_94) - &
                      4d0*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_86) + 4d0*   &
                      coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_90) - 4d0*coupl( &
                      nGC_185)*coupl(nGC_189)*coupl(nGC_86) + 4d0*coupl(nGC_185&
                      )*coupl(nGC_189)*coupl(nGC_90) - 6d0*coupl(nGC_63)*coupl(&
                      nGC_69)*coupl(nGC_807) - 6d0*coupl(nGC_64)*coupl(nGC_69)*&
                      coupl(nGC_807))/(96d0*pi**2d0)
    coupl(nGC_8838) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(      &
                      nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*coupl&
                      (nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_177)*    &
                      coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_131 &
                      )*coupl(nGC_134) + 4d0*Nc*cMC*coupl(nGC_130)*coupl(      &
                      nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_169)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*    &
                      coupl(nGC_169)*coupl(nGC_170) + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_146)*coupl(nGC_150) + 4d0*Nc*cMD*coupl(      &
                      nGC_145)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*cMD*coupl&
                      (nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 2d0*Nc*cMD*    &
                      coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_193) + 2d0*Nc*cMS&
                      *coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174) + 2d0*Nc*  &
                      cMS*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc&
                      *cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0* &
                      Nc*cMS*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0&
                      *Nc*cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) +   &
                      4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177   &
                      ) + 2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(      &
                      nGC_181) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl&
                      (nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*    &
                      coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_150 &
                      )*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                      nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(nGC_192)*coupl&
                      (nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(nGC_153)*coupl( &
                      nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_185)*coupl(nGC_189) + 4d0*cima*coupl(nGC_102)*coupl( &
                      nGC_14) + 4d0*cima*coupl(nGC_107)*coupl(nGC_16) + 4d0*   &
                      cima*coupl(nGC_126)*coupl(nGC_65) + 4d0*cima*coupl(      &
                      nGC_127)*coupl(nGC_70) - coupl(nGC_1005)*coupl(nGC_102)* &
                      coupl(nGC_96) + coupl(nGC_1005)*coupl(nGC_104)*coupl(    &
                      nGC_1391) + coupl(nGC_1005)*coupl(nGC_106)*coupl(nGC_1611&
                      ) + coupl(nGC_1005)*coupl(nGC_108)*coupl(nGC_69) + coupl(&
                      nGC_1005)*coupl(nGC_116)*coupl(nGC_63) - coupl(nGC_1005)*&
                      coupl(nGC_126)*coupl(nGC_17) - coupl(nGC_102)*coupl(     &
                      nGC_2059)*coupl(nGC_72) + coupl(nGC_103)*coupl(nGC_1391)*&
                      coupl(nGC_1611) + coupl(nGC_106)*coupl(nGC_1391)**2d0 -  &
                      coupl(nGC_107)*coupl(nGC_1391)*coupl(nGC_96) - coupl(    &
                      nGC_107)*coupl(nGC_871)*coupl(nGC_94) + coupl(nGC_110)*  &
                      coupl(nGC_1391)*coupl(nGC_64) + coupl(nGC_111)*coupl(    &
                      nGC_63)*coupl(nGC_68) + coupl(nGC_111)*coupl(nGC_63)*    &
                      coupl(nGC_69) + coupl(nGC_114)*coupl(nGC_2059)*coupl(    &
                      nGC_2297) + coupl(nGC_114)*coupl(nGC_2297)*coupl(nGC_91  &
                      ) + coupl(nGC_114)*coupl(nGC_63)*coupl(nGC_871) + coupl( &
                      nGC_118)*coupl(nGC_1391)*coupl(nGC_69) + coupl(nGC_119)* &
                      coupl(nGC_17)**2d0 + coupl(nGC_119)*coupl(nGC_63)*coupl( &
                      nGC_64) + coupl(nGC_119)*coupl(nGC_68)*coupl(nGC_69) +   &
                      coupl(nGC_119)*coupl(nGC_96)**2d0 + coupl(nGC_120)*coupl(&
                      nGC_72)*coupl(nGC_871) + coupl(nGC_123)*coupl(nGC_2297)* &
                      coupl(nGC_683) + coupl(nGC_123)*coupl(nGC_2297)*coupl(   &
                      nGC_94) + coupl(nGC_123)*coupl(nGC_68)*coupl(nGC_72) -   &
                      coupl(nGC_124)*coupl(nGC_63)*coupl(nGC_69) - coupl(      &
                      nGC_124)*coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_127)*   &
                      coupl(nGC_1391)*coupl(nGC_17))/(32d0*pi**2d0)
    coupl(nGC_9306) = coupl(nGC_8572)*dl3_QED4 + coupl(nGC_8573)*db_QED2 +     &
                      coupl(nGC_8574)*dl2_QED4 + coupl(nGC_8575)*dl5_QED4 +    &
                      coupl(nGC_8576)*dl4_QED4 + coupl(nGC_8577)*dl1_QED4 +    &
                      coupl(nGC_8578)*da_QED2
    coupl(nGC_9309) = coupl(nGC_8174)*dl3_QED4 + coupl(nGC_8175)*db_QED2 +     &
                      coupl(nGC_8176)*dl2_QED4 + coupl(nGC_8177)*dl5_QED4 +    &
                      coupl(nGC_8178)*dl4_QED4 + coupl(nGC_8179)*dl1_QED4 +    &
                      coupl(nGC_8180)*da_QED2
    coupl(nGC_9162) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170&
                      )*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl( &
                      nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138&
                      )*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*&
                      cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_178)*coupl(   &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150) + 20d0*Nc*   &
                      cima*coupl(nGC_145)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_192 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)**2d0 + 20d0*&
                      Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_170)*coupl(nGC_174 &
                      ) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_178)*coupl&
                      (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(      &
                      nGC_193)*coupl(nGC_196) + 24d0*cima*coupl(nGC_14)*coupl( &
                      nGC_16) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_154)*  &
                      coupl(nGC_158) + 20d0*cima*coupl(nGC_161)**2d0*coupl(    &
                      nGC_162)*coupl(nGC_166) - 10d0*cima*coupl(nGC_1611)*coupl&
                      (nGC_2297)**2d0*coupl(nGC_617) - 5d0*cima*coupl(nGC_1611 &
                      )*coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_72) - 10d0*   &
                      cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_655)**2d0  &
                       - 10d0*cima*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64)*&
                      coupl(nGC_68) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)**&
                      2d0*coupl(nGC_68) + 20d0*cima*coupl(nGC_184)**2d0*coupl( &
                      nGC_185)*coupl(nGC_189) - 5d0*cima*coupl(nGC_2059)*coupl(&
                      nGC_68)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(   &
                      nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_94) -   &
                      5d0*cima*coupl(nGC_2297)*coupl(nGC_617)*coupl(nGC_871)*  &
                      coupl(nGC_91) - 10d0*cima*coupl(nGC_617)*coupl(nGC_63)*  &
                      coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_617)*  &
                      coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*    &
                      coupl(nGC_63)*coupl(nGC_871)*coupl(nGC_94)*coupl(nGC_96  &
                      ) + 24d0*cima*coupl(nGC_65)*coupl(nGC_70) + 3d0*coupl(   &
                      nGC_1005)*coupl(nGC_13)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_60) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_9) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_63) + 3d0*coupl(nGC_11 &
                      )*coupl(nGC_1611)*coupl(nGC_617) + 3d0*coupl(nGC_1391)*  &
                      coupl(nGC_44)*coupl(nGC_68) - 6d0*coupl(nGC_14)*coupl(   &
                      nGC_2297)*coupl(nGC_617) - 6d0*coupl(nGC_14)*coupl(      &
                      nGC_871)*coupl(nGC_94) - 6d0*coupl(nGC_16)*coupl(nGC_1611&
                      )*coupl(nGC_2297) - 6d0*coupl(nGC_16)*coupl(nGC_2059)*   &
                      coupl(nGC_72) + 6d0*coupl(nGC_1611)*coupl(nGC_23)*coupl( &
                      nGC_64) + 6d0*coupl(nGC_1611)*coupl(nGC_35)*coupl(nGC_68 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_45)*coupl(nGC_64) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_57)*coupl(nGC_617) - 6d0*coupl&
                      (nGC_1611)*coupl(nGC_655)*coupl(nGC_70) + 3d0*coupl(     &
                      nGC_2059)*coupl(nGC_43)*coupl(nGC_91) + 6d0*coupl(       &
                      nGC_2059)*coupl(nGC_49)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_58)*coupl(nGC_94) + 6d0*coupl(nGC_22 &
                      )*coupl(nGC_617)*coupl(nGC_68) + 3d0*coupl(nGC_2297)**2d0&
                      *coupl(nGC_24) + 6d0*coupl(nGC_24)*coupl(nGC_63)*coupl(  &
                      nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_655)**2d0 + 6d0*   &
                      coupl(nGC_24)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_28)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_30)*&
                      coupl(nGC_617)*coupl(nGC_63) + 6d0*coupl(nGC_36)*coupl(  &
                      nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64)* &
                      coupl(nGC_69) + 6d0*coupl(nGC_40)*coupl(nGC_683)*coupl(  &
                      nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72   &
                      ) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0* &
                      coupl(nGC_42)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_44)*coupl(nGC_617)*coupl(nGC_69) + 6d0*coupl(nGC_49)*&
                      coupl(nGC_64)*coupl(nGC_871) + 6d0*coupl(nGC_49)*coupl(  &
                      nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_63)* &
                      coupl(nGC_68) + 3d0*coupl(nGC_58)*coupl(nGC_683)*coupl(  &
                      nGC_91) + 3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_69   &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_68) - 3d0* &
                      coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_617)**2d0*coupl(nGC_9) - 6d0*coupl(nGC_617)*coupl(   &
                      nGC_65)*coupl(nGC_655))/(96d0*pi**2d0)
    coupl(nGC_9163) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_80&
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl&
                      (nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150&
                      )*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                      nGC_174)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_178 &
                      )*coupl(nGC_181)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl(nGC_68) + 4d0*&
                      cima*coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl(nGC_69   &
                      ) + 4d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_617)*coupl(  &
                      nGC_63) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(&
                      nGC_617)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1611)**2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1611)**2d0*coupl(nGC_69) + 4d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_63) + &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_617)* &
                      coupl(nGC_64) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_617)**&
                      2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_68&
                      )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1005)*coupl(   &
                      nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*   &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_68) + 4d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_617)**2d0*coupl(nGC_63) + 4d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_617)**2d0*coupl(nGC_64) - &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_80)**  &
                      2d0 + 4d0*cima*coupl(nGC_1611)**2d0*coupl(nGC_617)*coupl(&
                      nGC_64) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_617)**2d0*  &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_68)*  &
                      coupl(nGC_871)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(    &
                      nGC_69)*coupl(nGC_871)**2d0 - 16d0*cima*coupl(nGC_162)*  &
                      coupl(nGC_166)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(     &
                      nGC_185)*coupl(nGC_189)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_2297)**2d0*coupl(nGC_63)*coupl(nGC_68) + 4d0*  &
                      cima*coupl(nGC_2297)**2d0*coupl(nGC_64)*coupl(nGC_68) +  &
                      4d0*cima*coupl(nGC_617)**3d0*coupl(nGC_63) + 4d0*cima*   &
                      coupl(nGC_617)**3d0*coupl(nGC_64) + 4d0*cima*coupl(      &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_72)**2d0 + 4d0*cima*    &
                      coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_871)**2d0 + 4d0*  &
                      cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_72)**2d0 +   &
                      4d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_871)**2d0&
                       + 9d0*cima*coupl(nGC_63)*coupl(nGC_647)**2d0*coupl(     &
                      nGC_68) + 4d0*cima*coupl(nGC_63)*coupl(nGC_655)**2d0*    &
                      coupl(nGC_68) + 9d0*cima*coupl(nGC_63)*coupl(nGC_68)*    &
                      coupl(nGC_807)**2d0 + 9d0*cima*coupl(nGC_64)*coupl(      &
                      nGC_647)**2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_655)**2d0*coupl(nGC_68) + 9d0*cima*coupl(nGC_64&
                      )*coupl(nGC_68)*coupl(nGC_807)**2d0 + 6d0*coupl(nGC_1005 &
                      )*coupl(nGC_61)*coupl(nGC_617) - 6d0*coupl(nGC_14)*coupl(&
                      nGC_68)*coupl(nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_68)*&
                      coupl(nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(  &
                      nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_807 &
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_61)*coupl(nGC_617) -   &
                      6d0*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_70) - 6d0*    &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_78) - 6d0*coupl(   &
                      nGC_64)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_64)*&
                      coupl(nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_647)*coupl(  &
                      nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_647)*coupl(nGC_66)*&
                      coupl(nGC_68))/(192d0*pi**2d0)
    coupl(nGC_9160) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                      coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174) + &
                      20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170 &
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                      (nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_137)** &
                      2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(nGC_180) +  &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_180 &
                      )*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc*cima*coupl(nGC_146&
                      )*coupl(nGC_149)**2d0*coupl(nGC_150) + 20d0*Nc*cima*coupl&
                      (nGC_146)*coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_195 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_193)*&
                      coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_149)*coupl(      &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 20d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_173)**2d0*coupl(nGC_174) + 20d0*&
                      Nc*cima*coupl(nGC_178)*coupl(nGC_180)**2d0*coupl(nGC_181 &
                      ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)**2d0*coupl&
                      (nGC_196) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_2297)**  &
                      2d0*coupl(nGC_617) - 5d0*cima*coupl(nGC_1005)*coupl(     &
                      nGC_2297)*coupl(nGC_871)*coupl(nGC_94) - 10d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_655)**2d0 - 10d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0* &
                      cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                      nGC_68) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*  &
                      cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158) + &
                      20d0*cima*coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(      &
                      nGC_166) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_2297)*coupl&
                      (nGC_617)*coupl(nGC_72) + 20d0*cima*coupl(nGC_185)*coupl(&
                      nGC_188)**2d0*coupl(nGC_189) - 10d0*cima*coupl(nGC_617)* &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69  &
                      ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_72)* &
                      coupl(nGC_96) + 24d0*cima*coupl(nGC_66)*coupl(nGC_70) -  &
                      5d0*cima*coupl(nGC_68)*coupl(nGC_871)*coupl(nGC_92)*coupl&
                      (nGC_96) - 10d0*cima*coupl(nGC_683)*coupl(nGC_72)*coupl( &
                      nGC_871)*coupl(nGC_92) + 3d0*coupl(nGC_10)*coupl(nGC_1005&
                      )*coupl(nGC_1611) + 3d0*coupl(nGC_10)*coupl(nGC_617)**2d0&
                       + 3d0*coupl(nGC_1005)*coupl(nGC_12)*coupl(nGC_617) - 6d0&
                      *coupl(nGC_1005)*coupl(nGC_16)*coupl(nGC_2297) + 6d0*    &
                      coupl(nGC_1005)*coupl(nGC_22)*coupl(nGC_63) + 6d0*coupl( &
                      nGC_1005)*coupl(nGC_34)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_44)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_57)*coupl(nGC_617) - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_655)*coupl(nGC_70) + 3d0*coupl(nGC_13&
                      )*coupl(nGC_1611)*coupl(nGC_617) + 3d0*coupl(nGC_1391)*  &
                      coupl(nGC_1611)*coupl(nGC_60) + 3d0*coupl(nGC_1391)*coupl&
                      (nGC_45)*coupl(nGC_68) - 6d0*coupl(nGC_15)*coupl(nGC_2297&
                      )*coupl(nGC_617) - 6d0*coupl(nGC_15)*coupl(nGC_683)*coupl&
                      (nGC_72) - 6d0*coupl(nGC_16)*coupl(nGC_871)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_44)*coupl(nGC_64) + 3d0&
                      *coupl(nGC_1671)*coupl(nGC_42)*coupl(nGC_92) + 6d0*coupl(&
                      nGC_1671)*coupl(nGC_48)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2297)**2d0*coupl(nGC_27) + 6d0*coupl(nGC_23)*coupl(  &
                      nGC_617)*coupl(nGC_68) + 6d0*coupl(nGC_27)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_27)*coupl(nGC_655)**2d0 +  &
                      6d0*coupl(nGC_27)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_29)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_32 &
                      )*coupl(nGC_617)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(&
                      nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)* &
                      coupl(nGC_69) + 6d0*coupl(nGC_40)*coupl(nGC_683)*coupl(  &
                      nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_871  &
                      ) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0* &
                      coupl(nGC_43)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_45)*coupl(nGC_617)*coupl(nGC_69) + 6d0*coupl(nGC_48)*&
                      coupl(nGC_63)*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(   &
                      nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_64)* &
                      coupl(nGC_68) + 3d0*coupl(nGC_58)*coupl(nGC_683)*coupl(  &
                      nGC_92) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl(nGC_69   &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_68) - 3d0* &
                      coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl(   &
                      nGC_617)*coupl(nGC_655)*coupl(nGC_66))/(96d0*pi**2d0)
    coupl(nGC_9161) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_133&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174) +  &
                      20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169 &
                      )*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl(      &
                      nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*   &
                      coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_177 &
                      )*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(      &
                      nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl(      &
                      nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*   &
                      coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195) +  &
                      10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_192 &
                      )*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl(      &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*   &
                      coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_1611)*coupl(nGC_2297)**2d0 - 5d0*cima*coupl(   &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_655)**2d0 - 5d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_871)*coupl(    &
                      nGC_91) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(  &
                      nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 12d0*cima*coupl(   &
                      nGC_14)*coupl(nGC_15) + 20d0*cima*coupl(nGC_153)*coupl(  &
                      nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*coupl(&
                      nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*  &
                      coupl(nGC_165)*coupl(nGC_166) - 5d0*cima*coupl(nGC_1611)*&
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*    &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69 &
                      ) + 20d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_188&
                      )*coupl(nGC_189) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_72 &
                      )*coupl(nGC_871)*coupl(nGC_92) - 5d0*cima*coupl(nGC_2297 &
                      )**2d0*coupl(nGC_617)**2d0 - 5d0*cima*coupl(nGC_2297)*   &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_72) - 5d0*cima*  &
                      coupl(nGC_617)**2d0*coupl(nGC_655)**2d0 - 5d0*cima*coupl(&
                      nGC_617)*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68  &
                      ) - 5d0*cima*coupl(nGC_617)*coupl(nGC_64)**2d0*coupl(    &
                      nGC_68) - 5d0*cima*coupl(nGC_63)*coupl(nGC_871)*coupl(   &
                      nGC_92)*coupl(nGC_96) + 12d0*cima*coupl(nGC_65)*coupl(   &
                      nGC_66) - 5d0*cima*coupl(nGC_68)*coupl(nGC_683)*coupl(   &
                      nGC_72)*coupl(nGC_96) - 5d0*cima*coupl(nGC_683)*coupl(   &
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) + 12d0*cima*coupl(  &
                      nGC_70)**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1005)*coupl(  &
                      nGC_617) + 3d0*coupl(nGC_1005)*coupl(nGC_13)*coupl(      &
                      nGC_1611) - 3d0*coupl(nGC_1005)*coupl(nGC_14)*coupl(     &
                      nGC_2297) + 3d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl(   &
                      nGC_57) + 3d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl(     &
                      nGC_60) + 3d0*coupl(nGC_1005)*coupl(nGC_22)*coupl(nGC_68 &
                      ) + 3d0*coupl(nGC_1005)*coupl(nGC_30)*coupl(nGC_63) + 3d0&
                      *coupl(nGC_1005)*coupl(nGC_44)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_68) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_65)*coupl(nGC_655) + 3d0*coupl(nGC_13&
                      )*coupl(nGC_617)**2d0 - 3d0*coupl(nGC_14)*coupl(nGC_871)*&
                      coupl(nGC_92) - 3d0*coupl(nGC_15)*coupl(nGC_1611)*coupl( &
                      nGC_2297) - 3d0*coupl(nGC_15)*coupl(nGC_2059)*coupl(     &
                      nGC_72) - 6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_617&
                      ) - 3d0*coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_72) - 3d0*&
                      coupl(nGC_16)*coupl(nGC_871)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_1611)*coupl(nGC_23)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_32)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_44)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_45)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_9) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_655)*coupl(nGC_66) + 3d0*coupl(      &
                      nGC_1671)*coupl(nGC_40)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_40)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_43)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_58)*coupl(nGC_92) + 3d0*coupl(nGC_22 &
                      )*coupl(nGC_617)*coupl(nGC_63) + 3d0*coupl(nGC_2297)**2d0&
                      *coupl(nGC_36) + 3d0*coupl(nGC_23)*coupl(nGC_617)*coupl( &
                      nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68   &
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_34)* &
                      coupl(nGC_617)*coupl(nGC_68) + 3d0*coupl(nGC_35)*coupl(  &
                      nGC_617)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl(nGC_655)**2d0 +  &
                      6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_37)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_40 &
                      )*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl( &
                      nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_40)*coupl(nGC_91)*&
                      coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_92)*coupl(   &
                      nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_683)*coupl(nGC_92  &
                      ) + 3d0*coupl(nGC_48)*coupl(nGC_683)*coupl(nGC_96) + 3d0*&
                      coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(   &
                      nGC_48)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_49)* &
                      coupl(nGC_683)*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(  &
                      nGC_69)*coupl(nGC_871) + 3d0*coupl(nGC_49)*coupl(nGC_94)*&
                      coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_68)**2d0 +   &
                      3d0*coupl(nGC_58)*coupl(nGC_683)*coupl(nGC_94) + 3d0*    &
                      coupl(nGC_60)*coupl(nGC_69)**2d0 - 6d0*coupl(nGC_617)*   &
                      coupl(nGC_655)*coupl(nGC_70))/(96d0*pi**2d0)
    coupl(nGC_9167) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_843 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*coupl(     &
                      nGC_80)*coupl(nGC_843)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_134)*coupl(nGC_80)*coupl(nGC_843)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_147)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_196)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1495)*coupl(    &
                      nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_1495)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) +  &
                      20d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_171)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85)* &
                      coupl(nGC_891) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_80&
                      )*coupl(nGC_87)*coupl(nGC_891) - 16d0*Nc*cima*coupl(     &
                      nGC_181)*coupl(nGC_80)*coupl(nGC_88)*coupl(nGC_891) +    &
                      20d0*cima*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_155)*coupl(nGC_158)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_155)*  &
                      coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_69)*coupl(     &
                      nGC_72) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_683)*coupl( &
                      nGC_72)**2d0 + 20d0*cima*coupl(nGC_163)*coupl(nGC_166)*  &
                      coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_163)*  &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 4d0*cima*coupl(nGC_1671)*coupl(nGC_617)*coupl(nGC_72 &
                      )**2d0 + 9d0*cima*coupl(nGC_1671)*coupl(nGC_68)*coupl(   &
                      nGC_807)*coupl(nGC_82) + 20d0*cima*coupl(nGC_186)*coupl( &
                      nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_186)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_617)* &
                      coupl(nGC_63)*coupl(nGC_72) + 4d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_63)*coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*    &
                      coupl(nGC_2297)*coupl(nGC_68)*coupl(nGC_92)*coupl(nGC_96 &
                      ) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_871)*coupl(nGC_91 &
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_871 &
                      )*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl(nGC_63)*  &
                      coupl(nGC_683)*coupl(nGC_807)*coupl(nGC_82) + 4d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_72)**2d0*coupl(nGC_94) + 4d0*cima&
                      *coupl(nGC_69)*coupl(nGC_72)**2d0*coupl(nGC_91) + 6d0*   &
                      coupl(nGC_14)*coupl(nGC_2297)*coupl(nGC_94) - 6d0*coupl( &
                      nGC_14)*coupl(nGC_683)*coupl(nGC_807) + 6d0*coupl(nGC_15 &
                      )*coupl(nGC_617)*coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(&
                      nGC_1611)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(       &
                      nGC_1671)*coupl(nGC_807) + 6d0*coupl(nGC_16)*coupl(      &
                      nGC_2297)*coupl(nGC_92) - 6d0*coupl(nGC_1671)*coupl(     &
                      nGC_68)*coupl(nGC_79) - 6d0*coupl(nGC_63)*coupl(nGC_683)*&
                      coupl(nGC_79))/(192d0*pi**2d0)
    coupl(nGC_9164) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_84)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)*coupl(nGC_88&
                      ) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(    &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)*coupl(&
                      nGC_150)*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl&
                      (nGC_146)*coupl(nGC_150)*coupl(nGC_88)**2d0 - 16d0*Nc*   &
                      cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84)*&
                      coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174&
                      )*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(&
                      nGC_181)*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178 &
                      )*coupl(nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                      cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl&
                      (nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*    &
                      coupl(nGC_196)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(      &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_2059)*coupl(nGC_94   &
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(      &
                      nGC_683)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1671)*coupl(nGC_617)*coupl(nGC_92) + 4d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_94) -  &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)**  &
                      2d0 + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(     &
                      nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(  &
                      nGC_158)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1611)*  &
                      coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_91) + 4d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_683)*coupl(     &
                      nGC_94) - 16d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl( &
                      nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl(nGC_166)*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_162)*  &
                      coupl(nGC_166)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_617)**2d0*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_94&
                      ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86 &
                      )**2d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(  &
                      nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(  &
                      nGC_189)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_617)**  &
                      2d0*coupl(nGC_683)*coupl(nGC_91) + 9d0*cima*coupl(nGC_63 &
                      )*coupl(nGC_68)*coupl(nGC_82)**2d0 + 9d0*cima*coupl(     &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*coupl&
                      (nGC_683)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_91) +   &
                      3d0*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_99) - 3d0*  &
                      coupl(nGC_1015)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl( &
                      nGC_1015)*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl(nGC_14 &
                      )*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl( &
                      nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)* &
                      coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(   &
                      nGC_82) + 3d0*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_99&
                      ))/(96d0*pi**2d0)
    coupl(nGC_9168) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*coupl(     &
                      nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_1611)**2d0*coupl(nGC_2297&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(      &
                      nGC_2059)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_1611)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(  &
                      nGC_1391)*coupl(nGC_2297)*coupl(nGC_617)**2d0 + 4d0*cima*&
                      coupl(nGC_1391)*coupl(nGC_2297)*coupl(nGC_72)**2d0 + 4d0*&
                      cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_683)*coupl(&
                      nGC_72) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl( &
                      nGC_72)*coupl(nGC_94) + 20d0*cima*coupl(nGC_157)*coupl(  &
                      nGC_158)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_157)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79) +  &
                      4d0*cima*coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_64)*  &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*  &
                      coupl(nGC_683)*coupl(nGC_72) + 20d0*cima*coupl(nGC_165)* &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 4d0*cima*coupl(nGC_1671)**2d0*coupl(   &
                      nGC_2297)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1671)*coupl(&
                      nGC_2297)*coupl(nGC_63)*coupl(nGC_683) + 4d0*cima*coupl( &
                      nGC_1671)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_72) +   &
                      9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_68)*coupl( &
                      nGC_807) + 20d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(&
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_188)*coupl(  &
                      nGC_189)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_188)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0&
                      *cima*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_63)*coupl&
                      (nGC_683) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_617)*coupl&
                      (nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(nGC_2297)*coupl( &
                      nGC_68)*coupl(nGC_683)**2d0 + 4d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_683)*coupl(nGC_871)*coupl(nGC_96) + 4d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_94   &
                      ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)*  &
                      coupl(nGC_91) + 9d0*cima*coupl(nGC_68)*coupl(nGC_807)*   &
                      coupl(nGC_82)*coupl(nGC_96) + 24d0*cima*coupl(nGC_70)*   &
                      coupl(nGC_953) + 9d0*cima*coupl(nGC_807)*coupl(nGC_82)*  &
                      coupl(nGC_871)*coupl(nGC_94) - 6d0*coupl(nGC_100)*coupl( &
                      nGC_68)*coupl(nGC_82) + 6d0*coupl(nGC_1391)*coupl(nGC_14 &
                      )*coupl(nGC_1611) + 6d0*coupl(nGC_1391)*coupl(nGC_16)*   &
                      coupl(nGC_617) + 6d0*coupl(nGC_1391)*coupl(nGC_19)*coupl(&
                      nGC_72) + 6d0*coupl(nGC_15)*coupl(nGC_617)*coupl(nGC_64  &
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_1611)*coupl(nGC_64) - 6d0&
                      *coupl(nGC_16)*coupl(nGC_17)*coupl(nGC_3) + 36d0*coupl(  &
                      nGC_16)*coupl(nGC_807)*coupl(nGC_82) - 6d0*coupl(nGC_16)*&
                      coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_17)*coupl(   &
                      nGC_68)*coupl(nGC_953) + 6d0*coupl(nGC_19)*coupl(nGC_2297&
                      )*coupl(nGC_683) - 6d0*coupl(nGC_19)*coupl(nGC_807)*coupl&
                      (nGC_94) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_97   &
                      ) - 6d0*coupl(nGC_61)*coupl(nGC_68)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_62)*coupl(nGC_68)*coupl(nGC_807) + 36d0*coupl( &
                      nGC_647)*coupl(nGC_70)*coupl(nGC_82) - 6d0*coupl(nGC_68)*&
                      coupl(nGC_79)*coupl(nGC_96) - 6d0*coupl(nGC_68)*coupl(   &
                      nGC_807)*coupl(nGC_99) - 6d0*coupl(nGC_79)*coupl(nGC_871 &
                      )*coupl(nGC_94))/(192d0*pi**2d0)
    coupl(nGC_9169) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1611)**2d0*coupl(nGC_2297&
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(      &
                      nGC_2059)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_2297)*coupl(nGC_617)**2d0 + 4d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_72)**2d0 + 4d0*&
                      cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_683)*coupl(&
                      nGC_72) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl( &
                      nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(nGC_14)*coupl(   &
                      nGC_79) + 20d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl( &
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_153)*coupl(  &
                      nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) +    &
                      20d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_166)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161)*  &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_68)*coupl(     &
                      nGC_69) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_68)*coupl(  &
                      nGC_683)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1671)*coupl( &
                      nGC_2297)*coupl(nGC_68)*coupl(nGC_683) + 4d0*cima*coupl( &
                      nGC_1671)*coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_72) +   &
                      9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_63)*coupl( &
                      nGC_807) + 20d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl(&
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(  &
                      nGC_189)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0&
                      *cima*coupl(nGC_2059)**2d0*coupl(nGC_2297)*coupl(nGC_63  &
                      ) + 4d0*cima*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_68&
                      )*coupl(nGC_683) + 4d0*cima*coupl(nGC_2059)*coupl(       &
                      nGC_2297)*coupl(nGC_871)*coupl(nGC_96) + 4d0*cima*coupl( &
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_68) +   &
                      4d0*cima*coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_683)**  &
                      2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*&
                      coupl(nGC_94) + 9d0*cima*coupl(nGC_63)*coupl(nGC_807)*   &
                      coupl(nGC_82)*coupl(nGC_96) + 24d0*cima*coupl(nGC_65)*   &
                      coupl(nGC_953) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*   &
                      coupl(nGC_72)*coupl(nGC_91) + 9d0*cima*coupl(nGC_807)*   &
                      coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_91) - 6d0*coupl(  &
                      nGC_100)*coupl(nGC_63)*coupl(nGC_82) + 6d0*coupl(nGC_1005&
                      )*coupl(nGC_14)*coupl(nGC_1611) + 6d0*coupl(nGC_1005)*   &
                      coupl(nGC_16)*coupl(nGC_617) + 6d0*coupl(nGC_1005)*coupl(&
                      nGC_19)*coupl(nGC_72) - 6d0*coupl(nGC_14)*coupl(nGC_17)* &
                      coupl(nGC_3) + 36d0*coupl(nGC_14)*coupl(nGC_807)*coupl(  &
                      nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_82)*coupl(nGC_96   &
                      ) + 6d0*coupl(nGC_15)*coupl(nGC_617)*coupl(nGC_68) + 6d0*&
                      coupl(nGC_16)*coupl(nGC_1611)*coupl(nGC_68) - 6d0*coupl( &
                      nGC_17)*coupl(nGC_63)*coupl(nGC_953) + 6d0*coupl(nGC_19)*&
                      coupl(nGC_2059)*coupl(nGC_2297) - 6d0*coupl(nGC_19)*coupl&
                      (nGC_807)*coupl(nGC_91) - 6d0*coupl(nGC_3)*coupl(nGC_63)*&
                      coupl(nGC_97) - 6d0*coupl(nGC_61)*coupl(nGC_63)*coupl(   &
                      nGC_82) - 6d0*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_63)*coupl(nGC_79)*coupl(nGC_96) - 6d0* &
                      coupl(nGC_63)*coupl(nGC_807)*coupl(nGC_99) + 36d0*coupl( &
                      nGC_647)*coupl(nGC_65)*coupl(nGC_82) - 6d0*coupl(nGC_79)*&
                      coupl(nGC_871)*coupl(nGC_91))/(192d0*pi**2d0)
    coupl(nGC_29946) = -coupl(nGC_8840)
    coupl(nGC_16514) = coupl(nGC_16512) + coupl(nGC_16513)
    coupl(nGC_8774) = (coupl(nGC_1005)*coupl(nGC_655)*coupl(nGC_871) + coupl(  &
                      nGC_1611)*coupl(nGC_17)*coupl(nGC_871) - 6d0*coupl(nGC_3 &
                      )*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_63)*coupl( &
                      nGC_647)*coupl(nGC_72))/(96d0*pi**2d0)
    coupl(nGC_8775) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_131)**2d0 + 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_142)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                      nGC_146)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_170)**2d0  &
                       + 4d0*Nc*coupl(nGC_1)*coupl(nGC_178)**2d0 + 4d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_193)**2d0 - 4d0*Nc*coupl(nGC_131)**2d0*&
                      coupl(nGC_2) - 4d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - &
                      4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(  &
                      nGC_170)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_178)**2d0* &
                      coupl(nGC_2) - 4d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_2) - &
                      6d0*coupl(nGC_1391)*coupl(nGC_3)*coupl(nGC_68) + 4d0*    &
                      coupl(nGC_154)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_1611)*  &
                      coupl(nGC_3)*coupl(nGC_64) + 4d0*coupl(nGC_162)**2d0*    &
                      coupl(nGC_4) + coupl(nGC_17)*coupl(nGC_2297)**2d0 + coupl&
                      (nGC_17)*coupl(nGC_655)**2d0 + 4d0*coupl(nGC_185)**2d0*  &
                      coupl(nGC_4) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(     &
                      nGC_871))/(96d0*pi**2d0)
    coupl(nGC_13812) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_8770) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_134)**2d0 + 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_138)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                      nGC_150)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_174)**2d0  &
                       + 4d0*Nc*coupl(nGC_1)*coupl(nGC_181)**2d0 + 4d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_196)**2d0 - 4d0*Nc*coupl(nGC_134)**2d0*&
                      coupl(nGC_2) - 4d0*Nc*coupl(nGC_138)**2d0*coupl(nGC_2) - &
                      4d0*Nc*coupl(nGC_150)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(  &
                      nGC_174)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_181)**2d0* &
                      coupl(nGC_2) - 4d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_2) - &
                      6d0*coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_63) - 6d0*    &
                      coupl(nGC_1391)*coupl(nGC_3)*coupl(nGC_68) + 4d0*coupl(  &
                      nGC_158)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_166)**2d0*    &
                      coupl(nGC_4) + coupl(nGC_17)*coupl(nGC_2297)**2d0 + coupl&
                      (nGC_17)*coupl(nGC_655)**2d0 + 4d0*coupl(nGC_189)**2d0*  &
                      coupl(nGC_4) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(     &
                      nGC_871))/(96d0*pi**2d0)
    coupl(nGC_14933) = coupl(nGC_TS_GC_109_Hl) + coupl(nGC_TS_GC_117_Hh)
    coupl(nGC_14267) = coupl(nGC_13928) + coupl(nGC_14265)
    coupl(nGC_8772) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_137) - 8d0*Nc*  &
                      cMC*coupl(nGC_133)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl( &
                      nGC_1)**2d0*coupl(nGC_149) - 8d0*Nc*cMS*coupl(nGC_1)**2d0&
                      *coupl(nGC_173) - 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2  &
                      )**2d0 - 8d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)**2d0 -   &
                      8d0*cME*coupl(nGC_157)*coupl(nGC_4)**2d0 - 8d0*cMM*coupl(&
                      nGC_165)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_188)*    &
                      coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_125)*coupl(nGC_923&
                      ) - coupl(nGC_1005)*coupl(nGC_126)*coupl(nGC_3) + 6d0*   &
                      coupl(nGC_125)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_125)*   &
                      coupl(nGC_647)**2d0 - coupl(nGC_126)*coupl(nGC_1611)*    &
                      coupl(nGC_647) - coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_63&
                      ) - coupl(nGC_126)*coupl(nGC_64)*coupl(nGC_647) - coupl( &
                      nGC_127)*coupl(nGC_1391)*coupl(nGC_647) - coupl(nGC_127)*&
                      coupl(nGC_3)*coupl(nGC_617) - coupl(nGC_127)*coupl(nGC_3 &
                      )*coupl(nGC_69) - coupl(nGC_127)*coupl(nGC_647)*coupl(   &
                      nGC_68))/(32d0*pi**2d0)
    coupl(nGC_16171) = coupl(nGC_16164) + coupl(nGC_9437)
    coupl(nGC_13931) = coupl(nGC_13927) + coupl(nGC_13928)
    coupl(nGC_14581) = coupl(nGC_9637) + coupl(nGC_TS_GC_184_Hl) + coupl(      &
                       nGC_TS_GC_188_Hh)
    coupl(nGC_14617) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*             &
                       dZeMinusL_QED2 + coupl(nGC_9399)
    coupl(nGC_14616) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*             &
                       dZeMinusR_QED2 + coupl(nGC_9400)
    coupl(nGC_23950) = -coupl(nGC_14836)
    coupl(nGC_13930) = coupl(nGC_13928) + coupl(nGC_13929)
    coupl(nGC_9350) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dl2_QED4 + coupl(&
                      nGC_367)*dl3_QED4 + coupl(nGC_369)*dl5_QED4 + coupl(     &
                      nGC_371)*dl4_QED4 + coupl(nGC_373)*dl1_QED4 + coupl(     &
                      nGC_375)*dvev1_QED1 + coupl(nGC_377)*dvev2_QED1 + coupl( &
                      nGC_379)*da_QED2
    coupl(nGC_17799) = coupl(nGC_175)*dZsL_QCD2/2d0 + coupl(nGC_175)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9431)
    coupl(nGC_29690) = -coupl(nGC_8861)
    coupl(nGC_18875) = coupl(nGC_156)*dZHaG0_QED2/2d0 + coupl(nGC_160)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_160)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_9467)
    coupl(nGC_18874) = coupl(nGC_155)*dZHaG0_QED2/2d0 + coupl(nGC_159)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_159)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_9468)
    coupl(nGC_13731) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_141)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_9442)
    coupl(nGC_13730) = coupl(nGC_13729) + coupl(nGC_9441)
    coupl(nGC_13732) = coupl(nGC_13728) + coupl(nGC_13731)
    coupl(nGC_26169) = 3d0*coupl(nGC_103)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_105)*&
                       dZHh_QED2/2d0 + coupl(nGC_9336) + coupl(nGC_TS_GC_10_Hl &
                       ) + coupl(nGC_TS_GC_12_Hh)
    coupl(nGC_15454) = coupl(nGC_109)*dZG0Ha_QED2/2d0 + coupl(nGC_112)*        &
                       dZHhHl_QED2/2d0 + coupl(nGC_113)*dZHaG0_QED2/2d0 + coupl&
                       (nGC_120)*dZHa_QED2/2d0 + coupl(nGC_120)*dZHl_QED2/2d0  &
                        + coupl(nGC_9343) + coupl(nGC_TS_GC_28_Hl) + coupl(    &
                       nGC_TS_GC_37_Hh)
    coupl(nGC_9154) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174) +  &
                      10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_170 &
                      )*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*   &
                      coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_135)*coupl(nGC_169)*coupl(nGC_170) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_141 &
                      )*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_139)*coupl(nGC_177)*coupl(nGC_178) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_141)*coupl(      &
                      nGC_142) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*   &
                      coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177 &
                      )*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)*coupl(    &
                      nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*   &
                      coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl(      &
                      nGC_197) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*   &
                      coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_193 &
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(      &
                      nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*   &
                      coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_151)*coupl(nGC_192)*coupl(nGC_193) +  &
                      10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174 &
                      )*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*   &
                      coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) +  &
                      10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_196 &
                      )*coupl(nGC_198) - 5d0*cima*coupl(nGC_1005)**2d0*coupl(  &
                      nGC_617)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_871) - 5d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_72) +   &
                      10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_158)*  &
                      coupl(nGC_159) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*&
                      coupl(nGC_158)*coupl(nGC_160) + 12d0*cima*coupl(nGC_16)* &
                      coupl(nGC_19) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)* &
                      coupl(nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(nGC_161)*&
                      coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_64)*coupl(     &
                      nGC_94) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_2297)*coupl(&
                      nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1611)*coupl(  &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(   &
                      nGC_17)**2d0*coupl(nGC_68)*coupl(nGC_871) + 10d0*cima*   &
                      coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                      nGC_190) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(&
                      nGC_189)*coupl(nGC_191) - 5d0*cima*coupl(nGC_2059)*coupl(&
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_63) - 5d0*cima*coupl( &
                      nGC_2059)*coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_72) -   &
                      5d0*cima*coupl(nGC_2297)*coupl(nGC_617)*coupl(nGC_68)*   &
                      coupl(nGC_683) - 5d0*cima*coupl(nGC_64)*coupl(nGC_871)*  &
                      coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_68)*    &
                      coupl(nGC_683)**2d0*coupl(nGC_72) - 5d0*cima*coupl(nGC_68&
                      )*coupl(nGC_871)*coupl(nGC_91)**2d0 - 5d0*cima*coupl(    &
                      nGC_68)*coupl(nGC_871)*coupl(nGC_96)**2d0 + 12d0*cima*   &
                      coupl(nGC_70)*coupl(nGC_73) - 5d0*cima*coupl(nGC_871)**  &
                      2d0*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_1005)*   &
                      coupl(nGC_23)*coupl(nGC_871) + 3d0*coupl(nGC_1005)*coupl(&
                      nGC_45)*coupl(nGC_871) - 3d0*coupl(nGC_14)*coupl(nGC_64)*&
                      coupl(nGC_94) - 3d0*coupl(nGC_14)*coupl(nGC_68)*coupl(   &
                      nGC_91) - 3d0*coupl(nGC_16)*coupl(nGC_2059)*coupl(nGC_63 &
                      ) - 3d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_683) - 3d0*&
                      coupl(nGC_16)*coupl(nGC_871)*coupl(nGC_96) + 3d0*coupl(  &
                      nGC_1611)*coupl(nGC_24)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_43)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_45)*coupl(nGC_871) + 3d0*coupl(nGC_17&
                      )**2d0*coupl(nGC_49) - 3d0*coupl(nGC_17)*coupl(nGC_70)*  &
                      coupl(nGC_871) - 3d0*coupl(nGC_19)*coupl(nGC_2297)*coupl(&
                      nGC_617) - 3d0*coupl(nGC_19)*coupl(nGC_871)*coupl(nGC_94 &
                      ) + 3d0*coupl(nGC_2059)**2d0*coupl(nGC_49) + 3d0*coupl(  &
                      nGC_2059)*coupl(nGC_2297)*coupl(nGC_24) + 6d0*coupl(     &
                      nGC_2059)*coupl(nGC_40)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_2059)*coupl(nGC_43)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_2297)*coupl(nGC_24)*coupl(nGC_91) + 3d0*coupl(       &
                      nGC_2297)*coupl(nGC_36)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_2297)*coupl(nGC_36)*coupl(nGC_94) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_28)*coupl(&
                      nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_35)*coupl(nGC_617)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_36)*coupl(nGC_617)*coupl( &
                      nGC_72) + 3d0*coupl(nGC_37)*coupl(nGC_68)*coupl(nGC_72   &
                      ) + 3d0*coupl(nGC_39)*coupl(nGC_68)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_40)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_43)* &
                      coupl(nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_43)*coupl(  &
                      nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl(nGC_683  &
                      )**2d0 + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_64) + &
                      3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_49)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(   &
                      nGC_96)**2d0 + 3d0*coupl(nGC_56)*coupl(nGC_617)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_57)*coupl(nGC_68)*coupl(nGC_871 &
                      ) + 3d0*coupl(nGC_58)*coupl(nGC_683)*coupl(nGC_96) + 3d0*&
                      coupl(nGC_58)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(   &
                      nGC_58)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_60)* &
                      coupl(nGC_69)*coupl(nGC_871) - 3d0*coupl(nGC_617)*coupl( &
                      nGC_655)*coupl(nGC_73))/(96d0*pi**2d0)
    coupl(nGC_13449) = coupl(nGC_TS_GC_92_Hh) + coupl(nGC_TS_GC_94_Hl)
    coupl(nGC_13118) = coupl(nGC_111)*dZHMinus_QED2/2d0 + coupl(nGC_111)*      &
                       dZHh_QED2/2d0 + coupl(nGC_116)*dZGMinusHMinus_QED2/2d0  &
                        + coupl(nGC_118)*dZHMinusGMinus_QED2/2d0 + coupl(      &
                       nGC_119)*dZHlHh_QED2/2d0 + coupl(nGC_9350) + coupl(     &
                       nGC_TS_GC_27_Hh) + coupl(nGC_TS_GC_36_Hl)
    coupl(nGC_14248) = coupl(nGC_14247) + coupl(nGC_9447)
    coupl(nGC_14249) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*        &
                       dZHl_QED2/2d0 + coupl(nGC_9448)
    coupl(nGC_13445) = coupl(nGC_42)*dZHMinus_QED2 + coupl(nGC_42)*dZHa_QED2/  &
                       2d0 + coupl(nGC_50)*dZHaG0_QED2/2d0 + coupl(nGC_56)*    &
                       dZG0Ha_QED2/2d0 + coupl(nGC_58)*dZGMinusHMinus_QED2 +   &
                       coupl(nGC_9332)
    coupl(nGC_8709) = cima*(4d0*Nc*coupl(nGC_131)**2d0 + 4d0*Nc*coupl(nGC_142  &
                      )**2d0 + 4d0*Nc*coupl(nGC_146)**2d0 + 4d0*Nc*coupl(      &
                      nGC_170)**2d0 + 4d0*Nc*coupl(nGC_178)**2d0 + 4d0*Nc*coupl&
                      (nGC_193)**2d0 + coupl(nGC_1005)*coupl(nGC_63) + coupl(  &
                      nGC_1391)*coupl(nGC_68) + 4d0*coupl(nGC_154)**2d0 + coupl&
                      (nGC_1611)*coupl(nGC_64) + 4d0*coupl(nGC_162)**2d0 +     &
                      coupl(nGC_17)**2d0 + 4d0*coupl(nGC_185)**2d0 + coupl(    &
                      nGC_2297)**2d0 + coupl(nGC_617)*coupl(nGC_69) + coupl(   &
                      nGC_655)**2d0 + 2d0*coupl(nGC_72)*coupl(nGC_871) + coupl(&
                      nGC_96)**2d0)/(192d0*pi**2d0)
    coupl(nGC_13027) = coupl(nGC_62)*dZHa_QED2 + coupl(nGC_62)*dZWMinus_QED2 + &
                       coupl(nGC_9368)
    coupl(nGC_8895) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_843) - 4d0&
                      *Nc*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_80) - 4d0*Nc*   &
                      coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_891) + coupl(     &
                      nGC_1391)*coupl(nGC_2297)*coupl(nGC_94) - 6d0*coupl(     &
                      nGC_1391)*coupl(nGC_683)*coupl(nGC_807) - 4d0*coupl(     &
                      nGC_154)*coupl(nGC_155)*coupl(nGC_80) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_1671)*coupl(nGC_807) + coupl(nGC_1611&
                      )*coupl(nGC_2297)*coupl(nGC_92) - 4d0*coupl(nGC_162)*    &
                      coupl(nGC_163)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(  &
                      nGC_3)*coupl(nGC_871) - 4d0*coupl(nGC_185)*coupl(nGC_186 &
                      )*coupl(nGC_80) + coupl(nGC_63)**2d0*coupl(nGC_72) +     &
                      coupl(nGC_69)**2d0*coupl(nGC_72) + coupl(nGC_72)**3d0 -  &
                      6d0*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_96))/(96d0*pi &
                      **2d0)
    coupl(nGC_8894) = (-4d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_85) + 4d0*Nc*coupl&
                      (nGC_131)**2d0*coupl(nGC_87) + 4d0*Nc*coupl(nGC_142)**2d0&
                      *coupl(nGC_84) - 4d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_88 &
                      ) + 4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_84) - 4d0*Nc*   &
                      coupl(nGC_146)**2d0*coupl(nGC_88) + 4d0*Nc*coupl(nGC_170 &
                      )**2d0*coupl(nGC_84) - 4d0*Nc*coupl(nGC_170)**2d0*coupl( &
                      nGC_88) - 4d0*Nc*coupl(nGC_178)**2d0*coupl(nGC_85) + 4d0*&
                      Nc*coupl(nGC_178)**2d0*coupl(nGC_87) - 4d0*Nc*coupl(     &
                      nGC_193)**2d0*coupl(nGC_85) + 4d0*Nc*coupl(nGC_193)**2d0*&
                      coupl(nGC_87) + coupl(nGC_1005)*coupl(nGC_72)*coupl(     &
                      nGC_92) - 6d0*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_82 &
                      ) + 4d0*coupl(nGC_154)**2d0*coupl(nGC_86) - 4d0*coupl(   &
                      nGC_154)**2d0*coupl(nGC_90) - 6d0*coupl(nGC_1611)*coupl( &
                      nGC_64)*coupl(nGC_82) + 4d0*coupl(nGC_162)**2d0*coupl(   &
                      nGC_86) - 4d0*coupl(nGC_162)**2d0*coupl(nGC_90) + coupl( &
                      nGC_1671)*coupl(nGC_63)*coupl(nGC_871) + 4d0*coupl(      &
                      nGC_185)**2d0*coupl(nGC_86) - 4d0*coupl(nGC_185)**2d0*   &
                      coupl(nGC_90) + coupl(nGC_2297)**2d0*coupl(nGC_96) +     &
                      coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_94) + coupl(      &
                      nGC_655)**2d0*coupl(nGC_96) + coupl(nGC_683)*coupl(nGC_69&
                      )*coupl(nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_82)*coupl(&
                      nGC_871))/(96d0*pi**2d0)
    coupl(nGC_8897) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) + coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_69) + coupl(nGC_1005 &
                      )*coupl(nGC_617)*coupl(nGC_63) - 6d0*coupl(nGC_1391)*    &
                      coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(nGC_1391)*coupl(  &
                      nGC_82)*coupl(nGC_96) - 4d0*coupl(nGC_153)*coupl(nGC_154 &
                      )*coupl(nGC_80) - 4d0*coupl(nGC_161)*coupl(nGC_162)*coupl&
                      (nGC_80) - 4d0*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80&
                      ) + coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_871) + coupl&
                      (nGC_63)**2d0*coupl(nGC_68) + coupl(nGC_68)*coupl(nGC_69 &
                      )**2d0 + coupl(nGC_68)*coupl(nGC_72)**2d0 - 6d0*coupl(   &
                      nGC_807)*coupl(nGC_871)*coupl(nGC_94))/(96d0*pi**2d0)
    coupl(nGC_8896) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) + coupl(     &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_69) + coupl(nGC_1391 &
                      )*coupl(nGC_617)*coupl(nGC_63) - 4d0*coupl(nGC_154)*coupl&
                      (nGC_157)*coupl(nGC_80) - 6d0*coupl(nGC_1611)*coupl(     &
                      nGC_17)*coupl(nGC_3) - 6d0*coupl(nGC_1611)*coupl(nGC_82)*&
                      coupl(nGC_96) - 4d0*coupl(nGC_162)*coupl(nGC_165)*coupl( &
                      nGC_80) + coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_871  &
                      ) - 4d0*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80) +    &
                      coupl(nGC_63)**2d0*coupl(nGC_64) + coupl(nGC_64)*coupl(  &
                      nGC_69)**2d0 + coupl(nGC_64)*coupl(nGC_72)**2d0 - 6d0*   &
                      coupl(nGC_807)*coupl(nGC_871)*coupl(nGC_92))/(96d0*pi**  &
                      2d0)
  end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
