!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_13162) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_18452) = coupl(nGC_75)*dZG0/2d0
    coupl(nGC_13164) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_9290) = coupl(nGC_8653)*dl3_QED4 + coupl(nGC_8654)*dl1_QED4 +    &
                      coupl(nGC_8655)*dl2_QED4 + coupl(nGC_8656)*dl5_QED4 +    &
                      coupl(nGC_8657)*dl4_QED4 + coupl(nGC_8658)*db_QED2
    coupl(nGC_9435) = coupl(nGC_8280)*db_QED2 + coupl(nGC_8281)*dyd13x3_QED3 + &
                      coupl(nGC_8282)*dyb2_QED3
    coupl(nGC_13170) = -coupl(nGC_13164)
    coupl(nGC_15910) = 2d0*coupl(nGC_78)*dZWMinus_QED2 + coupl(nGC_9287)
    coupl(nGC_18872) = coupl(nGC_160)*dZG0/2d0
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16008) = coupl(nGC_185)*dZHMinus_QED2/2d0 + coupl(nGC_185)*      &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_185)*dZtauMinusR_QED2/2d0&
                        + coupl(nGC_189)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                       nGC_9466)
    coupl(nGC_14601) = coupl(nGC_28)*dZG0/2d0
    coupl(nGC_14748) = coupl(nGC_157)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_12627) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_19043) = coupl(nGC_91)*dZZA_QED2/2d0
    coupl(nGC_13574) = coupl(nGC_61)*dZHh_QED2 + coupl(nGC_61)*dZWMinus_QED2 + &
                       coupl(nGC_9369)
    coupl(nGC_13196) = 3d0*coupl(nGC_45)*dZGMinus/2d0
    coupl(nGC_13190) = coupl(nGC_190)*dZG0/2d0
    coupl(nGC_9360) = coupl(nGC_8567)*dvev2_QED1 + coupl(nGC_8568)*dsw_QED2 +  &
                      coupl(nGC_8569)*db_QED2 + coupl(nGC_8570)*dvev1_QED1 +   &
                      coupl(nGC_8571)*dZee_QED2
    coupl(nGC_9449) = coupl(nGC_8350)*dydo2_QED1_QCD2 + coupl(nGC_8352)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_12801) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9040) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_9043) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_24898) = coupl(nGC_91)*dZG0/2d0
    coupl(nGC_16477) = coupl(nGC_56)*dZG0
    coupl(nGC_17470) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_9423) = coupl(nGC_8346)*db_QED2 + coupl(nGC_8347)*dyd13x3_QED3 + &
                      coupl(nGC_8348)*dyb2_QED3
    coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
    coupl(nGC_12846) = coupl(nGC_35)*dZGMinus
    coupl(nGC_13766) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_9355) + coupl(   &
                       nGC_96)*dZZA_QED2/2d0
    coupl(nGC_13764) = coupl(nGC_17)*dZGMinus
    coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14089) = 3d0*coupl(nGC_47)*dZG0/2d0
    coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13962) = coupl(nGC_145)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_13963) = coupl(nGC_145)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14064) = -coupl(nGC_13336)
    coupl(nGC_22578) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_12962) = coupl(nGC_174)*dZGMinus/2d0
    coupl(nGC_12707) = coupl(nGC_MW_GF)*dZGMinus/2d0
    coupl(nGC_12854) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
    coupl(nGC_12709) = coupl(nGC_9652) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_13147) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_9457) = coupl(nGC_8372)*db_QED2 + coupl(nGC_8373)*dyd13x3_QED3 + &
                      coupl(nGC_8374)*dyb2_QED3
    coupl(nGC_9454) = coupl(nGC_8485)*dyd12x2_QED3 + coupl(nGC_8486)*dys2_QED3 &
                       + coupl(nGC_8487)*db_QED2
    coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
    coupl(nGC_12814) = coupl(nGC_138)*dZGMinus/2d0
    coupl(nGC_13545) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_12635) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
