!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl35()
    coupl(nGC_9224) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_132)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_132)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_148)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_172)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_194)*coupl(nGC_80)*coupl(nGC_88) + 9d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1671)*coupl(nGC_807)*    &
                      coupl(nGC_82) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_2297)*&
                      coupl(nGC_92)*coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*  &
                      coupl(nGC_156)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_164 &
                      )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*&
                      coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 4d0*cima*coupl(nGC_1671)*coupl(nGC_64)*coupl(nGC_72  &
                      )**2d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(  &
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(  &
                      nGC_187)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_185)*coupl(nGC_187)*coupl(nGC_80)*coupl(nGC_90) +    &
                      24d0*cima*coupl(nGC_20)*coupl(nGC_79) + 4d0*cima*coupl(  &
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_94)*coupl(nGC_96) +   &
                      9d0*cima*coupl(nGC_2297)*coupl(nGC_807)*coupl(nGC_82)*   &
                      coupl(nGC_871) + 9d0*cima*coupl(nGC_617)*coupl(nGC_683)* &
                      coupl(nGC_807)*coupl(nGC_82) + 4d0*cima*coupl(nGC_64)**  &
                      2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*&
                      coupl(nGC_72)**2d0*coupl(nGC_92) + 9d0*cima*coupl(nGC_647&
                      )*coupl(nGC_655)*coupl(nGC_82)*coupl(nGC_871) + 4d0*cima*&
                      coupl(nGC_68)**2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima&
                      *coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_72)**2d0 + 4d0*  &
                      cima*coupl(nGC_68)*coupl(nGC_72)**2d0*coupl(nGC_94) + 4d0&
                      *cima*coupl(nGC_72)**3d0*coupl(nGC_96) + 24d0*cima*coupl(&
                      nGC_74)*coupl(nGC_953) + 4d0*cima*coupl(nGC_871)*coupl(  &
                      nGC_92)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_871)*    &
                      coupl(nGC_94)**2d0*coupl(nGC_96) - 6d0*coupl(nGC_100)*   &
                      coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl(nGC_1005)*coupl&
                      (nGC_1671)*coupl(nGC_79) - 6d0*coupl(nGC_101)*coupl(     &
                      nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_15)*coupl(nGC_1671&
                      )*coupl(nGC_82) + 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl( &
                      nGC_72) + 6d0*coupl(nGC_15)*coupl(nGC_92)*coupl(nGC_96   &
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_72) - 6d0* &
                      coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_82) + 6d0*coupl(  &
                      nGC_16)*coupl(nGC_94)*coupl(nGC_96) - 6d0*coupl(nGC_20)* &
                      coupl(nGC_2297)*coupl(nGC_807) - 6d0*coupl(nGC_20)*coupl(&
                      nGC_647)*coupl(nGC_655) + 6d0*coupl(nGC_20)*coupl(nGC_72 &
                      )**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_807)*coupl(nGC_82  &
                      ) - 6d0*coupl(nGC_2297)*coupl(nGC_79)*coupl(nGC_871) +   &
                      36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_807) - 6d0*    &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_79) - 6d0*coupl( &
                      nGC_62)*coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl(nGC_62 &
                      )*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_647)*coupl&
                      (nGC_871)*coupl(nGC_97) - 6d0*coupl(nGC_655)*coupl(      &
                      nGC_871)*coupl(nGC_953))/(192d0*pi**2d0)
    coupl(nGC_9227) = (20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_843)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(nGC_148)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_1495)**2d0*coupl(nGC_194)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(nGC_172)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(nGC_891)**2d0 +   &
                      3d0*cima*coupl(nGC_101)**2d0 + 20d0*cima*coupl(nGC_155)**&
                      2d0*coupl(nGC_156)**2d0 + 20d0*cima*coupl(nGC_163)**2d0* &
                      coupl(nGC_164)**2d0 - 5d0*cima*coupl(nGC_1671)**2d0*coupl&
                      (nGC_92)**2d0 - 10d0*cima*coupl(nGC_1671)*coupl(nGC_683)*&
                      coupl(nGC_92)*coupl(nGC_94) + 20d0*cima*coupl(nGC_186)** &
                      2d0*coupl(nGC_187)**2d0 + 6d0*cima*coupl(nGC_62)**2d0 -  &
                      5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 - 10d0*  &
                      cima*coupl(nGC_72)**2d0*coupl(nGC_871)**2d0 - 3d0*coupl( &
                      nGC_101)*coupl(nGC_1671)*coupl(nGC_92) - 3d0*coupl(      &
                      nGC_101)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_26)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_38)*coupl(nGC_92) + 3d0*coupl(nGC_26 &
                      )*coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_31)*coupl(&
                      nGC_683)*coupl(nGC_94) + 6d0*coupl(nGC_50)*coupl(nGC_72)*&
                      coupl(nGC_871) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(  &
                      nGC_871))/(16d0*pi**2d0)
    coupl(nGC_9226) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_68)*coupl&
                      (nGC_96) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl&
                      (nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_96) + 4d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_96) + &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*  &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*&
                      coupl(nGC_72)*coupl(nGC_92) + 20d0*cima*coupl(nGC_153)*  &
                      coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79   &
                      ) + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_162 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161)*&
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_2059)*coupl(nGC_68)*coupl(     &
                      nGC_72) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(  &
                      nGC_683)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1671)*coupl( &
                      nGC_64)*coupl(nGC_69)*coupl(nGC_72) + 20d0*cima*coupl(   &
                      nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl(nGC_185)* &
                      coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_2059)** &
                      2d0*coupl(nGC_617)*coupl(nGC_96) + 9d0*cima*coupl(       &
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_807)*coupl(nGC_82) +  &
                      4d0*cima*coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_871)*  &
                      coupl(nGC_96) + 9d0*cima*coupl(nGC_617)*coupl(nGC_647)*  &
                      coupl(nGC_655)*coupl(nGC_82) + 4d0*cima*coupl(nGC_617)*  &
                      coupl(nGC_683)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_64&
                      )**2d0*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*coupl(     &
                      nGC_64)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_92) + 4d0* &
                      cima*coupl(nGC_68)**2d0*coupl(nGC_69)*coupl(nGC_96) + 4d0&
                      *cima*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_69)*coupl(  &
                      nGC_72) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(    &
                      nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_69)*coupl(    &
                      nGC_72)**2d0*coupl(nGC_96) + 24d0*cima*coupl(nGC_70)*    &
                      coupl(nGC_953) + 9d0*cima*coupl(nGC_807)*coupl(nGC_82)*  &
                      coupl(nGC_871)*coupl(nGC_94) - 6d0*coupl(nGC_100)*coupl( &
                      nGC_617)*coupl(nGC_807) + 6d0*coupl(nGC_14)*coupl(       &
                      nGC_1611)*coupl(nGC_68) + 6d0*coupl(nGC_15)*coupl(nGC_64 &
                      )*coupl(nGC_69) + 6d0*coupl(nGC_16)*coupl(nGC_1611)*coupl&
                      (nGC_64) - 6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(      &
                      nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_647)*coupl(nGC_655&
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_69) + 36d0*&
                      coupl(nGC_16)*coupl(nGC_807)*coupl(nGC_82) + 6d0*coupl(  &
                      nGC_20)*coupl(nGC_683)*coupl(nGC_96) + 6d0*coupl(nGC_20)*&
                      coupl(nGC_69)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_82)*coupl(nGC_94) - 6d0*coupl(nGC_2297)*coupl(nGC_617&
                      )*coupl(nGC_79) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl( &
                      nGC_807) - 6d0*coupl(nGC_61)*coupl(nGC_617)*coupl(nGC_807&
                      ) - 6d0*coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_82) - 6d0*&
                      coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_97) - 6d0*coupl( &
                      nGC_617)*coupl(nGC_655)*coupl(nGC_953) - 6d0*coupl(      &
                      nGC_617)*coupl(nGC_82)*coupl(nGC_99) - 6d0*coupl(nGC_79)*&
                      coupl(nGC_871)*coupl(nGC_94))/(192d0*pi**2d0)
    coupl(nGC_15515) = coupl(nGC_15506) + coupl(nGC_15514)
    coupl(nGC_17598) = -coupl(nGC_17588) + coupl(nGC_17597)
    coupl(nGC_13061) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +    &
                       coupl(nGC_9285)
    coupl(nGC_30309) = -coupl(nGC_8809)
    coupl(nGC_9129) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0*coupl(   &
                      nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0* &
                      coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_145  &
                      )**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_145)**2d0*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_169)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_169)**2d0*coupl(nGC_87) - 12d0*Nc*cima* &
                      coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*&
                      cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(nGC_88) -    &
                      12d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_85) - 12d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_2)* &
                      coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_192)**2d0*coupl(  &
                      nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_192)**2d0* &
                      coupl(nGC_2)*coupl(nGC_88) + 4d0*cima*coupl(nGC_1005)*   &
                      coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_655) + 9d0*cima* &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_647)*coupl(      &
                      nGC_807) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl&
                      (nGC_655)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_647)*coupl(nGC_68)*coupl(nGC_807) - 12d0*cima*coupl( &
                      nGC_153)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*    &
                      coupl(nGC_153)**2d0*coupl(nGC_4)*coupl(nGC_89) - 12d0*   &
                      cima*coupl(nGC_161)**2d0*coupl(nGC_4)*coupl(nGC_86) -    &
                      12d0*cima*coupl(nGC_161)**2d0*coupl(nGC_4)*coupl(nGC_89  &
                      ) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_64)*&
                      coupl(nGC_96) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_3)*   &
                      coupl(nGC_64)*coupl(nGC_82) + 4d0*cima*coupl(nGC_17)*    &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_96) - 12d0*cima*  &
                      coupl(nGC_184)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*   &
                      cima*coupl(nGC_184)**2d0*coupl(nGC_4)*coupl(nGC_89) + 9d0&
                      *cima*coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_69)*coupl(   &
                      nGC_82) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83) - 3d0*   &
                      coupl(nGC_1005)*coupl(nGC_14)*coupl(nGC_647) - 3d0*coupl(&
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_83) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_97) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_647) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_83) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_97) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_70)*coupl(nGC_807) - 3d0*coupl(nGC_14&
                      )*coupl(nGC_1611)*coupl(nGC_3) - 3d0*coupl(nGC_14)*coupl(&
                      nGC_3)*coupl(nGC_64) - 3d0*coupl(nGC_14)*coupl(nGC_63)*  &
                      coupl(nGC_647) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(   &
                      nGC_617) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_69   &
                      ) - 3d0*coupl(nGC_16)*coupl(nGC_647)*coupl(nGC_68) - 3d0*&
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_83) + 3d0*coupl( &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_97) + 18d0*coupl(nGC_3 &
                      )*coupl(nGC_61)*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(&
                      nGC_647)*coupl(nGC_807) - 3d0*coupl(nGC_617)*coupl(nGC_69&
                      )*coupl(nGC_83) + 3d0*coupl(nGC_617)*coupl(nGC_69)*coupl(&
                      nGC_97) - 6d0*coupl(nGC_617)*coupl(nGC_70)*coupl(nGC_82  &
                      ) - 6d0*coupl(nGC_63)*coupl(nGC_65)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_64)*coupl(nGC_65)*coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_29671) = -coupl(nGC_8916)
    coupl(nGC_9124) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0*coupl(   &
                      nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0* &
                      coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_149  &
                      )**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_149)**2d0*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_173)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_173)**2d0*coupl(nGC_87) - 12d0*Nc*cima* &
                      coupl(nGC_133)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*&
                      cima*coupl(nGC_133)**2d0*coupl(nGC_2)*coupl(nGC_88) -    &
                      12d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_85) - 12d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_2)* &
                      coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_195)**2d0*coupl(  &
                      nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_195)**2d0* &
                      coupl(nGC_2)*coupl(nGC_88) + 4d0*cima*coupl(nGC_1005)*   &
                      coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_96) + 9d0*cima*    &
                      coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_82  &
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl(      &
                      nGC_655)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1391)*coupl( &
                      nGC_647)*coupl(nGC_68)*coupl(nGC_807) - 12d0*cima*coupl( &
                      nGC_157)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*    &
                      coupl(nGC_157)**2d0*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima&
                      *coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_64)*coupl(    &
                      nGC_655) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl( &
                      nGC_647)*coupl(nGC_807) - 12d0*cima*coupl(nGC_165)**2d0* &
                      coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_165)**  &
                      2d0*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_17)* &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_96) - 12d0*cima*  &
                      coupl(nGC_188)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*   &
                      cima*coupl(nGC_188)**2d0*coupl(nGC_4)*coupl(nGC_89) + 9d0&
                      *cima*coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_69)*coupl(   &
                      nGC_82) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83) - 3d0*   &
                      coupl(nGC_1005)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl(  &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_83) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_97) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_66)*coupl(nGC_82) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_647) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_83) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_97) - 3d0*coupl(nGC_15 &
                      )*coupl(nGC_1611)*coupl(nGC_647) - 3d0*coupl(nGC_15)*    &
                      coupl(nGC_3)*coupl(nGC_63) - 3d0*coupl(nGC_15)*coupl(    &
                      nGC_64)*coupl(nGC_647) - 3d0*coupl(nGC_16)*coupl(nGC_3)* &
                      coupl(nGC_617) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(   &
                      nGC_69) - 3d0*coupl(nGC_16)*coupl(nGC_647)*coupl(nGC_68  &
                      ) - 3d0*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_83) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_97) - 6d0*coupl(&
                      nGC_1611)*coupl(nGC_66)*coupl(nGC_807) + 18d0*coupl(nGC_3&
                      )*coupl(nGC_61)*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(&
                      nGC_647)*coupl(nGC_807) - 3d0*coupl(nGC_617)*coupl(nGC_69&
                      )*coupl(nGC_83) + 3d0*coupl(nGC_617)*coupl(nGC_69)*coupl(&
                      nGC_97) - 6d0*coupl(nGC_68)*coupl(nGC_70)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_82))/(96d0*&
                      pi**2d0)
    coupl(nGC_9125) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_141 &
                      )*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137&
                      )*coupl(nGC_141)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_84) - 12d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                      nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(&
                      nGC_173)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_169)*coupl(nGC_173)*coupl(nGC_87) - 12d0*Nc*cima*    &
                      coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_85  &
                      ) - 12d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                      nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_177)*coupl(&
                      nGC_180)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(&
                      nGC_177)*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_88) - 12d0&
                      *Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)*coupl&
                      (nGC_85) - 12d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*   &
                      coupl(nGC_2)*coupl(nGC_88) + 4d0*cima*coupl(nGC_1005)*   &
                      coupl(nGC_17)*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*    &
                      coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_655)*coupl(    &
                      nGC_68) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(  &
                      nGC_647)*coupl(nGC_807) + 9d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_64)*coupl(nGC_647)*coupl(nGC_807) - 12d0*cima*coupl( &
                      nGC_153)*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_86) - 12d0&
                      *cima*coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_4)*coupl(  &
                      nGC_89) - 12d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl( &
                      nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_161)*coupl(   &
                      nGC_165)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_1611)*coupl(nGC_17)*coupl(nGC_69)*coupl(nGC_96) + 4d0&
                      *cima*coupl(nGC_1611)*coupl(nGC_2297)*coupl(nGC_655)*    &
                      coupl(nGC_68) - 12d0*cima*coupl(nGC_184)*coupl(nGC_188)* &
                      coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_184)*   &
                      coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_82   &
                      ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_64)*  &
                      coupl(nGC_82) + 3d0*coupl(nGC_1005)*coupl(nGC_68)*coupl( &
                      nGC_97) + 3d0*coupl(nGC_1005)*coupl(nGC_69)*coupl(nGC_97 &
                      ) - 3d0*coupl(nGC_1005)*coupl(nGC_70)*coupl(nGC_82) - 3d0&
                      *coupl(nGC_1391)*coupl(nGC_14)*coupl(nGC_647) - 3d0*coupl&
                      (nGC_1391)*coupl(nGC_15)*coupl(nGC_647) - 3d0*coupl(     &
                      nGC_1391)*coupl(nGC_63)*coupl(nGC_83) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_64)*coupl(nGC_83) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_66)*coupl(nGC_807) - 3d0*coupl(nGC_14&
                      )*coupl(nGC_3)*coupl(nGC_617) - 3d0*coupl(nGC_15)*coupl( &
                      nGC_3)*coupl(nGC_617) - 3d0*coupl(nGC_16)*coupl(nGC_3)*  &
                      coupl(nGC_63) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(    &
                      nGC_64) - 3d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_647  &
                      ) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_647) + 3d0*&
                      coupl(nGC_1611)*coupl(nGC_68)*coupl(nGC_97) + 3d0*coupl( &
                      nGC_1611)*coupl(nGC_69)*coupl(nGC_97) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_70)*coupl(nGC_807) - 3d0*coupl(      &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_83) - 3d0*coupl(nGC_617 &
                      )*coupl(nGC_64)*coupl(nGC_83) - 3d0*coupl(nGC_617)*coupl(&
                      nGC_66)*coupl(nGC_82) - 3d0*coupl(nGC_63)*coupl(nGC_70)* &
                      coupl(nGC_807) - 3d0*coupl(nGC_64)*coupl(nGC_70)*coupl(  &
                      nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68)*coupl(nGC_807  &
                      ) - 3d0*coupl(nGC_65)*coupl(nGC_69)*coupl(nGC_82))/(96d0*&
                      pi**2d0)
    coupl(nGC_9122) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_131 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_170)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_177)*coupl(&
                      nGC_178)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_169&
                      )*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611&
                      )*coupl(nGC_17)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_64) + 4d0*cima*  &
                      coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 24d0*cima*coupl(nGC_16)*coupl(nGC_953) + 4d0*cima*   &
                      coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_64)**2d0*coupl(     &
                      nGC_69) + 4d0*cima*coupl(nGC_17)*coupl(nGC_68)**2d0*coupl&
                      (nGC_69) + 4d0*cima*coupl(nGC_17)*coupl(nGC_69)*coupl(   &
                      nGC_72)**2d0 + 4d0*cima*coupl(nGC_184)*coupl(nGC_185)*   &
                      coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(nGC_2297)*   &
                      coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_807) + 9d0*cima*   &
                      coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_655 &
                      ) + 24d0*cima*coupl(nGC_5)*coupl(nGC_70) + 9d0*cima*coupl&
                      (nGC_647)*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_655)*coupl(nGC_683)*coupl(nGC_871)*   &
                      coupl(nGC_96) + 36d0*coupl(nGC_16)*coupl(nGC_647)*coupl( &
                      nGC_82) + 6d0*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_70 &
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_65)*coupl(nGC_68) - 6d0&
                      *coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(   &
                      nGC_18)*coupl(nGC_617)*coupl(nGC_647) - 6d0*coupl(       &
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_953) - 6d0*coupl(nGC_3&
                      )*coupl(nGC_617)*coupl(nGC_62) + 36d0*coupl(nGC_3)*coupl(&
                      nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_5)*coupl(nGC_617)*&
                      coupl(nGC_655) - 6d0*coupl(nGC_61)*coupl(nGC_617)*coupl( &
                      nGC_647) - 6d0*coupl(nGC_617)*coupl(nGC_807)*coupl(nGC_97&
                      ) + 6d0*coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_69) + 6d0* &
                      coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_70) + 6d0*coupl(   &
                      nGC_683)*coupl(nGC_74)*coupl(nGC_96) + 6d0*coupl(nGC_69)*&
                      coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_70)*coupl(   &
                      nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_74)*coupl(nGC_82)* &
                      coupl(nGC_94) - 6d0*coupl(nGC_871)*coupl(nGC_94)*coupl(  &
                      nGC_953))/(192d0*pi**2d0)
    coupl(nGC_9123) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_143)*coupl(nGC_144 &
                      )*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_143&
                      )*coupl(nGC_144)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_84) - 12d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148)*coupl(   &
                      nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_171)*coupl(&
                      nGC_172)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_171)*coupl(nGC_172)*coupl(nGC_87) - 12d0*Nc*cima*    &
                      coupl(nGC_132)*coupl(nGC_2)*coupl(nGC_843)*coupl(nGC_85  &
                      ) - 12d0*Nc*cima*coupl(nGC_132)*coupl(nGC_2)*coupl(      &
                      nGC_843)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_1495)*   &
                      coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*&
                      coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_88 &
                      ) - 12d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_85&
                      )*coupl(nGC_891) - 12d0*Nc*cima*coupl(nGC_179)*coupl(    &
                      nGC_2)*coupl(nGC_88)*coupl(nGC_891) - 12d0*cima*coupl(   &
                      nGC_155)*coupl(nGC_156)*coupl(nGC_4)*coupl(nGC_86) - 12d0&
                      *cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_4)*coupl(  &
                      nGC_89) - 12d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl( &
                      nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_163)*coupl(   &
                      nGC_164)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_17)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_96) - 12d0&
                      *cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_4)*coupl(  &
                      nGC_86) - 12d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl( &
                      nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_2297)*coupl(   &
                      nGC_655)*coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_72)*coupl(nGC_82)*coupl(nGC_871) + 12d0*&
                      cima*coupl(nGC_62)*coupl(nGC_83) + 9d0*cima*coupl(nGC_647&
                      )*coupl(nGC_72)*coupl(nGC_807)*coupl(nGC_871) - 3d0*coupl&
                      (nGC_19)*coupl(nGC_3)*coupl(nGC_871) - 3d0*coupl(nGC_19)*&
                      coupl(nGC_647)*coupl(nGC_72) - 3d0*coupl(nGC_20)*coupl(  &
                      nGC_3)*coupl(nGC_72) - 3d0*coupl(nGC_20)*coupl(nGC_647)* &
                      coupl(nGC_871) + 18d0*coupl(nGC_3)*coupl(nGC_62)*coupl(  &
                      nGC_82) + 18d0*coupl(nGC_62)*coupl(nGC_647)*coupl(nGC_807&
                      ) - 6d0*coupl(nGC_72)*coupl(nGC_83)*coupl(nGC_871) + 6d0*&
                      coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_97) - 6d0*coupl(  &
                      nGC_73)*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_74)*&
                      coupl(nGC_807)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9120) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_132 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142 &
                      )*coupl(nGC_143)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_172)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(&
                      nGC_179)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_194)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_132)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                      )*coupl(nGC_172)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2&
                      )*coupl(nGC_80) + 9d0*cima*coupl(nGC_1005)*coupl(nGC_1671&
                      )*coupl(nGC_647)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_655)*coupl(nGC_92)*coupl(nGC_96) + 4d0*cima* &
                      coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 4d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_4)* &
                      coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_64)**2d0&
                      *coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_68)**  &
                      2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_72  &
                      )**3d0 + 4d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(   &
                      nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_20)*coupl(    &
                      nGC_953) + 9d0*cima*coupl(nGC_2297)*coupl(nGC_3)*coupl(  &
                      nGC_807)*coupl(nGC_871) + 9d0*cima*coupl(nGC_3)*coupl(   &
                      nGC_647)*coupl(nGC_655)*coupl(nGC_871) + 24d0*cima*coupl(&
                      nGC_5)*coupl(nGC_74) + 9d0*cima*coupl(nGC_617)*coupl(    &
                      nGC_647)*coupl(nGC_683)*coupl(nGC_82) + 4d0*cima*coupl(  &
                      nGC_617)*coupl(nGC_655)*coupl(nGC_94)*coupl(nGC_96) - 6d0&
                      *coupl(nGC_1005)*coupl(nGC_1671)*coupl(nGC_953) - 6d0*   &
                      coupl(nGC_1671)*coupl(nGC_66)*coupl(nGC_82) - 6d0*coupl( &
                      nGC_17)*coupl(nGC_3)*coupl(nGC_74) - 6d0*coupl(nGC_18)*  &
                      coupl(nGC_647)*coupl(nGC_871) + 36d0*coupl(nGC_20)*coupl(&
                      nGC_647)*coupl(nGC_82) - 6d0*coupl(nGC_2297)*coupl(      &
                      nGC_871)*coupl(nGC_953) - 6d0*coupl(nGC_3)*coupl(nGC_62)*&
                      coupl(nGC_871) + 36d0*coupl(nGC_3)*coupl(nGC_647)*coupl( &
                      nGC_74) - 6d0*coupl(nGC_5)*coupl(nGC_655)*coupl(nGC_871  &
                      ) - 6d0*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_953) -   &
                      6d0*coupl(nGC_62)*coupl(nGC_647)*coupl(nGC_871) + 6d0*   &
                      coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_72) + 6d0*coupl(   &
                      nGC_66)*coupl(nGC_92)*coupl(nGC_96) + 6d0*coupl(nGC_68)* &
                      coupl(nGC_70)*coupl(nGC_72) - 6d0*coupl(nGC_683)*coupl(  &
                      nGC_70)*coupl(nGC_82) + 6d0*coupl(nGC_70)*coupl(nGC_94)* &
                      coupl(nGC_96) + 6d0*coupl(nGC_72)**2d0*coupl(nGC_74) -   &
                      6d0*coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl&
                      (nGC_807)*coupl(nGC_871)*coupl(nGC_97))/(192d0*pi**2d0)
    coupl(nGC_9121) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_133 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_173)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(&
                      nGC_180)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_195)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                      )*coupl(nGC_173)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_17)*&
                      coupl(nGC_617)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_2297)*coupl(nGC_3)*coupl(nGC_807) + 9d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_655&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_17)*coupl(nGC_617 &
                      )*coupl(nGC_64) + 24d0*cima*coupl(nGC_15)*coupl(nGC_953  &
                      ) + 4d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_4)* &
                      coupl(nGC_80) + 4d0*cima*coupl(nGC_162)*coupl(nGC_165)*  &
                      coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_1671)*   &
                      coupl(nGC_655)*coupl(nGC_871)*coupl(nGC_96) + 4d0*cima*  &
                      coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_64)**2d0 + 4d0*cima&
                      *coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_68)**2d0 + 4d0*   &
                      cima*coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_72)**2d0 + 4d0&
                      *cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_4)*coupl(  &
                      nGC_80) + 24d0*cima*coupl(nGC_5)*coupl(nGC_66) + 9d0*cima&
                      *coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_92&
                      ) - 6d0*coupl(nGC_1005)*coupl(nGC_18)*coupl(nGC_647) -   &
                      6d0*coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_953) - 6d0*&
                      coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_62) - 6d0*coupl(  &
                      nGC_1005)*coupl(nGC_5)*coupl(nGC_655) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_647) - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_807)*coupl(nGC_97) + 36d0*coupl(     &
                      nGC_15)*coupl(nGC_647)*coupl(nGC_82) + 6d0*coupl(nGC_1671&
                      )*coupl(nGC_74)*coupl(nGC_96) - 6d0*coupl(nGC_17)*coupl( &
                      nGC_3)*coupl(nGC_66) + 36d0*coupl(nGC_3)*coupl(nGC_647)* &
                      coupl(nGC_66) + 6d0*coupl(nGC_617)*coupl(nGC_64)*coupl(  &
                      nGC_70) + 6d0*coupl(nGC_617)*coupl(nGC_65)*coupl(nGC_68  &
                      ) + 6d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_66) + 6d0* &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_70) + 6d0*coupl(   &
                      nGC_63)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_66)* &
                      coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_74)*coupl(   &
                      nGC_82)*coupl(nGC_92) - 6d0*coupl(nGC_871)*coupl(nGC_92)*&
                      coupl(nGC_953))/(192d0*pi**2d0)
    coupl(nGC_13516) = coupl(nGC_42)*dZG0Ha_QED2 + coupl(nGC_42)*              &
                       dZGMinusHMinus_QED2 + coupl(nGC_50)*dZHMinus_QED2 +     &
                       coupl(nGC_50)*dZHa_QED2 + coupl(nGC_9299)
    coupl(nGC_27172) = -coupl(nGC_27166)
    coupl(nGC_12915) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_103_Hh) + coupl(      &
                       nGC_TS_GC_106_Hl)
    coupl(nGC_14348) = -coupl(nGC_14343)
    coupl(nGC_14346) = coupl(nGC_64)*dZHlHh_QED2/2d0 + coupl(nGC_69)*dZHh_QED2/&
                       2d0 + coupl(nGC_69)*dZWMinus_QED2/2d0 + coupl(nGC_9363)
    coupl(nGC_32524) = -coupl(nGC_9077)
    coupl(nGC_32526) = -coupl(nGC_9076)
    coupl(nGC_12778) = coupl(nGC_12774) + coupl(nGC_12775)
    coupl(nGC_12777) = coupl(nGC_12774) + coupl(nGC_12776)
    coupl(nGC_8940) = coupl(nGC_7)**2d0*coupl(nGC_843)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_20559) = coupl(nGC_20550) + coupl(nGC_9643)
    coupl(nGC_20558) = coupl(nGC_20549) + coupl(nGC_20557)
    coupl(nGC_25077) = 2d0*coupl(nGC_11)*dZHl_QED2 + 2d0*coupl(nGC_9)*         &
                       dZHhHl_QED2 + coupl(nGC_9298)
    coupl(nGC_15042) = coupl(nGC_198)*dZuL_QED2/2d0 + coupl(nGC_198)*dZuR_QED2/&
                       2d0 + coupl(nGC_9485)
    coupl(nGC_15044) = coupl(nGC_15040) + coupl(nGC_15042)
    coupl(nGC_15046) = coupl(nGC_198)*dZuL_QCD2/2d0 + coupl(nGC_198)*dZuR_QCD2/&
                       2d0 + coupl(nGC_9486)
    coupl(nGC_8832) = (-coupl(nGC_161)*coupl(nGC_63)*coupl(nGC_80) - coupl(    &
                      nGC_165)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_166)*   &
                      coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_166)*coupl(    &
                      nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_166)*coupl(nGC_86)*&
                      coupl(nGC_90) - coupl(nGC_166)*coupl(nGC_90)*coupl(nGC_96&
                      ) - coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_871))/(32d0*pi&
                      **2d0)
    coupl(nGC_8787) = (coupl(nGC_1)*coupl(nGC_131)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_134)**2d0 + coupl(nGC_130)**2d0*coupl(nGC_2) + coupl(&
                      nGC_132)*coupl(nGC_2)*coupl(nGC_843) + coupl(nGC_133)**  &
                      2d0*coupl(nGC_2) + coupl(nGC_135)*coupl(nGC_136)*coupl(  &
                      nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl( &
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8939) = (-coupl(nGC_130)**2d0*coupl(nGC_132) - coupl(nGC_130)*   &
                      coupl(nGC_683)*coupl(nGC_85) - coupl(nGC_130)*coupl(     &
                      nGC_88)*coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_170)*   &
                      coupl(nGC_171) - coupl(nGC_131)*coupl(nGC_72)*coupl(     &
                      nGC_80) - coupl(nGC_132)*coupl(nGC_133)**2d0 - coupl(    &
                      nGC_132)*coupl(nGC_135)**2d0 - coupl(nGC_132)*coupl(     &
                      nGC_843)**2d0 - coupl(nGC_133)*coupl(nGC_1671)*coupl(    &
                      nGC_85) - coupl(nGC_133)*coupl(nGC_88)*coupl(nGC_92) -   &
                      coupl(nGC_134)*coupl(nGC_171)*coupl(nGC_174) + 8d0*coupl(&
                      nGC_2)**2d0*coupl(nGC_843) + 8d0*coupl(nGC_843)*coupl(   &
                      nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_8834) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(      &
                      nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_182) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_178)*    &
                      coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                      nGC_181)*coupl(nGC_183) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_134)*coupl(nGC_135) + 2d0*Nc*cMC*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_136) + 2d0*Nc*cMC*coupl(nGC_131 &
                      )*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMC*coupl(      &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_175) + 2d0*Nc*cMC*coupl&
                      (nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*    &
                      coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMD&
                      *coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_151) + 2d0*Nc*  &
                      cMD*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc&
                      *cMD*coupl(nGC_146)*coupl(nGC_196)*coupl(nGC_198) + 2d0* &
                      Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 2d0&
                      *Nc*cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) +   &
                      2d0*Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                      ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(      &
                      nGC_175) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_135)*    &
                      coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(nGC_136 &
                      )*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*coupl(      &
                      nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(nGC_170)*coupl&
                      (nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*coupl(nGC_138)*    &
                      coupl(nGC_140)*coupl(nGC_178) + 2d0*Nc*cMT*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_182) + 2d0*Nc*cMT*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_183) + 2d0*Nc*cMT*coupl&
                      (nGC_139)*coupl(nGC_142)*coupl(nGC_181) + 2d0*Nc*cMT*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMT&
                      *coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*  &
                      cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_197) + 2d0*Nc&
                      *cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_198) + 2d0* &
                      Nc*cMU*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_196) + 2d0&
                      *Nc*cMU*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) +   &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                      ) + 2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_159) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_160) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_167) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_168) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_190) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_20) + 4d0*  &
                      cima*coupl(nGC_126)*coupl(nGC_74) + coupl(nGC_1005)*coupl&
                      (nGC_119)*coupl(nGC_72) - coupl(nGC_102)*coupl(nGC_2059)*&
                      coupl(nGC_64) - coupl(nGC_102)*coupl(nGC_2297)*coupl(    &
                      nGC_871) - coupl(nGC_102)*coupl(nGC_683)*coupl(nGC_69) - &
                      coupl(nGC_107)*coupl(nGC_63)*coupl(nGC_94) - coupl(      &
                      nGC_107)*coupl(nGC_69)*coupl(nGC_91) + coupl(nGC_108)*   &
                      coupl(nGC_1391)*coupl(nGC_871) + coupl(nGC_109)*coupl(   &
                      nGC_69)*coupl(nGC_871) + coupl(nGC_111)*coupl(nGC_1391)* &
                      coupl(nGC_72) + coupl(nGC_111)*coupl(nGC_683)*coupl(     &
                      nGC_96) + coupl(nGC_111)*coupl(nGC_94)*coupl(nGC_96) +   &
                      coupl(nGC_112)*coupl(nGC_69)*coupl(nGC_72) + coupl(      &
                      nGC_114)*coupl(nGC_2297)**2d0 + coupl(nGC_114)*coupl(    &
                      nGC_655)**2d0 + coupl(nGC_114)*coupl(nGC_72)**2d0 + coupl&
                      (nGC_116)*coupl(nGC_1611)*coupl(nGC_871) + coupl(nGC_117 &
                      )*coupl(nGC_63)*coupl(nGC_871) + coupl(nGC_119)*coupl(   &
                      nGC_2059)*coupl(nGC_96) + coupl(nGC_119)*coupl(nGC_91)*  &
                      coupl(nGC_96) + coupl(nGC_120)*coupl(nGC_64)*coupl(nGC_72&
                      ) - coupl(nGC_126)*coupl(nGC_655)*coupl(nGC_871))/(32d0* &
                      pi**2d0)
    coupl(nGC_8934) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_85) +   &
                      4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_88) + 4d0*&
                      Nc*coupl(nGC_130)*coupl(nGC_843)*coupl(nGC_85) - 4d0*Nc* &
                      coupl(nGC_130)*coupl(nGC_843)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_1495)*coupl(nGC_192)*coupl(nGC_85) - 4d0*Nc*   &
                      coupl(nGC_1495)*coupl(nGC_192)*coupl(nGC_88) - 4d0*Nc*   &
                      coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_891) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_88)*coupl(nGC_891) - 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_88) - 6d0*coupl( &
                      nGC_1391)*coupl(nGC_72)*coupl(nGC_807) - 4d0*coupl(      &
                      nGC_153)*coupl(nGC_155)*coupl(nGC_86) + 4d0*coupl(nGC_153&
                      )*coupl(nGC_155)*coupl(nGC_89) + 4d0*coupl(nGC_153)*coupl&
                      (nGC_156)*coupl(nGC_86) - 4d0*coupl(nGC_153)*coupl(      &
                      nGC_156)*coupl(nGC_89) - 4d0*coupl(nGC_161)*coupl(nGC_163&
                      )*coupl(nGC_86) + 4d0*coupl(nGC_161)*coupl(nGC_163)*coupl&
                      (nGC_89) + 4d0*coupl(nGC_161)*coupl(nGC_164)*coupl(nGC_86&
                      ) - 4d0*coupl(nGC_161)*coupl(nGC_164)*coupl(nGC_89) +    &
                      coupl(nGC_1671)**2d0*coupl(nGC_683) + coupl(nGC_1671)*   &
                      coupl(nGC_2059)*coupl(nGC_683) - 4d0*coupl(nGC_184)*coupl&
                      (nGC_186)*coupl(nGC_86) + 4d0*coupl(nGC_184)*coupl(      &
                      nGC_186)*coupl(nGC_89) + 4d0*coupl(nGC_184)*coupl(nGC_187&
                      )*coupl(nGC_86) - 4d0*coupl(nGC_184)*coupl(nGC_187)*coupl&
                      (nGC_89) + coupl(nGC_2059)**2d0*coupl(nGC_683) + coupl(  &
                      nGC_2297)*coupl(nGC_68)*coupl(nGC_871) - 6d0*coupl(      &
                      nGC_617)*coupl(nGC_72)*coupl(nGC_82) + coupl(nGC_683)**  &
                      3d0 + coupl(nGC_69)*coupl(nGC_871)*coupl(nGC_96))/(96d0* &
                      pi**2d0)
    coupl(nGC_30448) = -coupl(nGC_8771)
    coupl(nGC_15227) = coupl(nGC_15221) + coupl(nGC_9510)
    coupl(nGC_15226) = -coupl(nGC_15221) - coupl(nGC_9510)
    coupl(nGC_8786) = (coupl(nGC_1)*coupl(nGC_170)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_174)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +    &
                      coupl(nGC_130)**2d0*coupl(nGC_2) + coupl(nGC_132)*coupl( &
                      nGC_2)*coupl(nGC_843) + coupl(nGC_133)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_2) + 4d0*    &
                      coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88)**2d0  &
                       + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_30208) = -coupl(nGC_8857)
    coupl(nGC_9061) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_131  &
                      )**2d0 - coupl(nGC_132)*coupl(nGC_843) - coupl(nGC_133)**&
                      2d0 - coupl(nGC_134)**2d0 - coupl(nGC_135)*coupl(nGC_136 &
                      ) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)**2d0)/(64d0&
                      *pi**2d0)
    coupl(nGC_9060) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_132)*&
                      coupl(nGC_843) - coupl(nGC_133)**2d0 - coupl(nGC_135)*   &
                      coupl(nGC_136) - coupl(nGC_170)**2d0 - coupl(nGC_174)**  &
                      2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)**2d0 -   &
                      4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
    coupl(nGC_13970) = coupl(nGC_13962) + coupl(nGC_13969)
    coupl(nGC_29466) = -coupl(nGC_8815)
    coupl(nGC_29463) = -coupl(nGC_8856)
    coupl(nGC_14076) = -coupl(nGC_14075)
    coupl(nGC_29545) = -coupl(nGC_8778)
    coupl(nGC_28422) = 2d0*coupl(nGC_28417)
    coupl(nGC_28421) = -coupl(nGC_28417)
  end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
