!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_13425) = 2d0*coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_9290)
    coupl(nGC_15886) = coupl(nGC_94)*dZZA_QED2/2d0
    coupl(nGC_12672) = coupl(nGC_57)*dZGMinus
    coupl(nGC_9632) = -cima*dMHH2_QED2
    coupl(nGC_9633) = -cima*dMHA2_QED2
    coupl(nGC_9630) = -cima*dMHC2_QED2
    coupl(nGC_9631) = -cima*dMHL2_QED2
    coupl(nGC_9636) = -cima*dMM_QED2
    coupl(nGC_9637) = -cima*dMTA_QED2
    coupl(nGC_9635) = -cima*dME_QED2
    coupl(nGC_9638) = -cima*dMU_QED2
    coupl(nGC_9639) = -cima*dMU_QCD2
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12971) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_17469) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_17464) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_17461) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_17463) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_17462) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13660) = coupl(nGC_94)*dZG0/2d0
    coupl(nGC_TS_GC_121_Hh) = -coupl(nGC_121)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16022) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_17002) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_22580) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_14097) = coupl(nGC_173)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_14098) = coupl(nGC_173)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_13601) = coupl(nGC_87)*dZdL_QCD2
    coupl(nGC_13603) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZdL_QED2 +  &
                       coupl(nGC_9396)
    coupl(nGC_13602) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2 +  &
                       coupl(nGC_9397)
    coupl(nGC_17592) = coupl(nGC_182)*dZG0/2d0
    coupl(nGC_TS_GC_128_Hl) = -coupl(nGC_128)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13773) = coupl(nGC_186)*dZHa_QED2/2d0 + coupl(nGC_186)*          &
                       dZtauMinusL_QED2/2d0 + coupl(nGC_186)*dZtauMinusR_QED2/ &
                       2d0 + coupl(nGC_190)*dZG0Ha_QED2/2d0 + coupl(nGC_9484)
    coupl(nGC_13777) = coupl(nGC_70)*dZGMinus/2d0
    coupl(nGC_15368) = -coupl(nGC_13764)
    coupl(nGC_12825) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*dZtL_QCD2/&
                       2d0 + coupl(nGC_9412)
    coupl(nGC_12823) = coupl(nGC_138)*dZbR_QED2/2d0 + coupl(nGC_138)*dZtL_QED2/&
                       2d0 + coupl(nGC_142)*dZHMinusGMinus_QED2/2d0 + coupl(   &
                       nGC_9411)
    coupl(nGC_12820) = coupl(nGC_181)*dZGMinus/2d0
    coupl(nGC_13555) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9305) = coupl(nGC_8290)*dl3_QED4 + coupl(nGC_8291)*db_QED2 +     &
                      coupl(nGC_8292)*dl2_QED4 + coupl(nGC_8293)*dl5_QED4 +    &
                      coupl(nGC_8294)*dl4_QED4 + coupl(nGC_8295)*dl1_QED4 +    &
                      coupl(nGC_8296)*da_QED2
    coupl(nGC_17385) = coupl(nGC_152)*dZG0/2d0
    coupl(nGC_9480) = coupl(nGC_8397)*db_QED2 + coupl(nGC_8398)*dye2_QED3 +    &
                      coupl(nGC_8399)*dye1_QED3
    coupl(nGC_9483) = coupl(nGC_8561)*db_QED2 + coupl(nGC_8562)*dytau1_QED3 +  &
                      coupl(nGC_8563)*dytau2_QED3
    coupl(nGC_12903) = coupl(nGC_97)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_9487) = coupl(nGC_8624)*db_QED2 + coupl(nGC_8625)*dyup1_QED3 +   &
                      coupl(nGC_8626)*dyup2_QED3
    coupl(nGC_9488) = coupl(nGC_8625)*dyup1_QED1_QCD2 + coupl(nGC_8626)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_9334) = coupl(nGC_7988)*dl3_QED4 + coupl(nGC_7989)*db_QED2 +     &
                      coupl(nGC_7990)*dl2_QED4 + coupl(nGC_7991)*dl5_QED4 +    &
                      coupl(nGC_7992)*dvev2_QED1 + coupl(nGC_7993)*dvev1_QED1  &
                       + coupl(nGC_7994)*dl1_QED4 + coupl(nGC_7995)*dl4_QED4 + &
                      coupl(nGC_7996)*da_QED2
    coupl(nGC_9333) = coupl(nGC_8181)*dl3_QED4 + coupl(nGC_8182)*dl1_QED4 +    &
                      coupl(nGC_8183)*dl2_QED4 + coupl(nGC_8184)*dl5_QED4 +    &
                      coupl(nGC_8185)*dl4_QED4 + coupl(nGC_8186)*db_QED2
    coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
