!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  implicit none
  contains
  subroutine fill_vertices_mdl11()
    use class_vertices
    use class_couplings
    allocate(vertices(2171)%branchR2(0:0))
    call avR2(2171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(2907)%branchR2(0:0))
    call avR2(2907, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2182)%branchR2(0:0))
    call avR2(2182, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1830)%branchR2(0:0))
    call avR2(1830, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(79)%branchR2(0:0))
    call avR2(79, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(2132)%branchR2(0:0))
    call avR2(2132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9093, nGC_9094])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1277)%branchR2(0:0))
    call avR2(1277, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(3747)%branchR2(0:0))
    call avR2(3747, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(1501)%branchR2(0:0))
    call avR2(1501, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2074)%branchR2(0:0))
    call avR2(2074, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(3748)%branchR2(0:1))
    call avR2(3748, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9165])

    call avR2(3748, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3537)%branchR2(0:0))
    call avR2(3537, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3473)%branchR2(0:0))
    call avR2(3473, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29702])

    allocate(vertices(3142)%branchR2(0:0))
    call avR2(3142, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1301)%branchR2(0:0))
    call avR2(1301, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2873)%branchR2(0:0))
    call avR2(2873, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(237)%branchR2(0:1))
    call avR2(237, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8981, nGC_8982])

    call avR2(237, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8983, nGC_8983])

    allocate(vertices(1217)%branchR2(0:0))
    call avR2(1217, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(1353)%branchR2(0:0))
    call avR2(1353, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1808)%branchR2(0:0))
    call avR2(1808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1803)%branchR2(0:0))
    call avR2(1803, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3280)%branchR2(0:0))
    call avR2(3280, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3336)%branchR2(0:0))
    call avR2(3336, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(1705)%branchR2(0:0))
    call avR2(1705, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8926])

    allocate(vertices(1679)%branchR2(0:0))
    call avR2(1679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1119)%branchR2(0:0))
    call avR2(1119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3110)%branchR2(0:0))
    call avR2(3110, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(821)%branchR2(0:1))
    call avR2(821, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8783, nGC_8782])

    call avR2(821, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(2450)%branchR2(0:1))
    call avR2(2450, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_9003, nGC_9003])

    call avR2(2450, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_9001, nGC_9002])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2192)%branchR2(0:0))
    call avR2(2192, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2842)%branchR2(0:0))
    call avR2(2842, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(521)%branchR2(0:1))
    call avR2(521, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8862, nGC_8864])

    call avR2(521, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8863, nGC_8865])

    allocate(vertices(2545)%branchR2(0:0))
    call avR2(2545, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(2243)%branchR2(0:0))
    call avR2(2243, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1996)%branchR2(0:0))
    call avR2(1996, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2936)%branchR2(0:1))
    call avR2(2936, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8742&
    , nGC_8742])

    call avR2(2936, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8743&
    , nGC_8743])

    allocate(vertices(1431)%branchR2(0:0))
    call avR2(1431, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2035)%branchR2(0:0))
    call avR2(2035, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2231)%branchR2(0:0))
    call avR2(2231, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1557)%branchR2(0:0))
    call avR2(1557, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9127, nGC_9126])

    allocate(vertices(3583)%branchR2(0:0))
    call avR2(3583, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3192)%branchR2(0:0))
    call avR2(3192, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8814])

    allocate(vertices(1958)%branchR2(0:0))
    call avR2(1958, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(369)%branchR2(0:1))
    call avR2(369, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(369, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(2609)%branchR2(0:0))
    call avR2(2609, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9253, nGC_9253&
    ])

    allocate(vertices(2654)%branchR2(0:0))
    call avR2(2654, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9048, nGC_9049])

    allocate(vertices(3749)%branchR2(0:1))
    call avR2(3749, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3749, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(733)%branchR2(0:1))
    call avR2(733, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_9018, nGC_9019])

    call avR2(733, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9020, nGC_9020])

    allocate(vertices(2534)%branchR2(0:0))
    call avR2(2534, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2420)%branchR2(0:0))
    call avR2(2420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1961)%branchR2(0:0))
    call avR2(1961, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3293)%branchR2(0:0))
    call avR2(3293, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8795])

    allocate(vertices(3181)%branchR2(0:0))
    call avR2(3181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(3568)%branchR2(0:0))
    call avR2(3568, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3502)%branchR2(0:0))
    call avR2(3502, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8728, nGC_8727])

    allocate(vertices(3509)%branchR2(0:0))
    call avR2(3509, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(3750)%branchR2(0:0))
    call avR2(3750, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3541)%branchR2(0:0))
    call avR2(3541, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31634])

    allocate(vertices(1656)%branchR2(0:0))
    call avR2(1656, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1263)%branchR2(0:0))
    call avR2(1263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2638)%branchR2(0:0))
    call avR2(2638, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(674)%branchR2(0:1))
    call avR2(674, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(674, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8799, nGC_8798])

    allocate(vertices(2092)%branchR2(0:0))
    call avR2(2092, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1759)%branchR2(0:0))
    call avR2(1759, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3497)%branchR2(0:0))
    call avR2(3497, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8839])

    allocate(vertices(2170)%branchR2(0:0))
    call avR2(2170, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(2517)%branchR2(0:0))
    call avR2(2517, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(3127)%branchR2(0:0))
    call avR2(3127, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30208])

    allocate(vertices(2773)%branchR2(0:0))
    call avR2(2773, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(3136)%branchR2(0:0))
    call avR2(3136, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3751)%branchR2(0:1))
    call avR2(3751, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9257])

    call avR2(3751, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9258])

    allocate(vertices(3548)%branchR2(0:0))
    call avR2(3548, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2884)%branchR2(0:0))
    call avR2(2884, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(1522)%branchR2(0:3))
    call avR2(1522, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(1522, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1522, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(1522, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(3095)%branchR2(0:0))
    call avR2(3095, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_8732, nGC_8731, nGC_8733])

    allocate(vertices(3752)%branchR2(0:0))
    call avR2(3752, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(680)%branchR2(0:0))
    call avR2(680, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1708)%branchR2(0:0))
    call avR2(1708, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3255)%branchR2(0:0))
    call avR2(3255, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2950)%branchR2(0:0))
    call avR2(2950, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1911)%branchR2(0:0))
    call avR2(1911, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(1661)%branchR2(0:0))
    call avR2(1661, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31832])

    allocate(vertices(2913)%branchR2(0:0))
    call avR2(2913, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8757&
    , nGC_8757])

    allocate(vertices(2987)%branchR2(0:0))
    call avR2(2987, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1000)%branchR2(0:0))
    call avR2(1000, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(3391)%branchR2(0:0))
    call avR2(3391, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1854)%branchR2(0:0))
    call avR2(1854, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2827)%branchR2(0:0))
    call avR2(2827, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1233)%branchR2(0:0))
    call avR2(1233, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8962])

    allocate(vertices(2939)%branchR2(0:0))
    call avR2(2939, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1182)%branchR2(0:0))
    call avR2(1182, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1348)%branchR2(0:0))
    call avR2(1348, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(3753)%branchR2(0:0))
    call avR2(3753, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(1432)%branchR2(0:0))
    call avR2(1432, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1761)%branchR2(0:0))
    call avR2(1761, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(1573)%branchR2(0:0))
    call avR2(1573, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2001)%branchR2(0:0))
    call avR2(2001, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2890)%branchR2(0:0))
    call avR2(2890, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8714, nGC_8713])

    allocate(vertices(91)%branchR2(0:1))
    call avR2(91, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(91, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(3754)%branchR2(0:1))
    call avR2(3754, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3754, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(2292)%branchR2(0:1))
    call avR2(2292, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8862, nGC_8864])

    call avR2(2292, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8863, nGC_8865])

    allocate(vertices(3755)%branchR2(0:0))
    call avR2(3755, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2681)%branchR2(0:1))
    call avR2(2681, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(2681, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(315)%branchR2(0:0))
    call avR2(315, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(3756)%branchR2(0:0))
    call avR2(3756, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1691)%branchR2(0:0))
    call avR2(1691, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1075)%branchR2(0:0))
    call avR2(1075, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8992])

    allocate(vertices(1481)%branchR2(0:0))
    call avR2(1481, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30533])

    allocate(vertices(3498)%branchR2(0:0))
    call avR2(3498, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3585)%branchR2(0:0))
    call avR2(3585, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1475)%branchR2(0:0))
    call avR2(1475, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8850])

    allocate(vertices(853)%branchR2(0:0))
    call avR2(853, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2255)%branchR2(0:0))
    call avR2(2255, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2090)%branchR2(0:0))
    call avR2(2090, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2652)%branchR2(0:0))
    call avR2(2652, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8831])

    allocate(vertices(855)%branchR2(0:0))
    call avR2(855, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1583)%branchR2(0:0))
    call avR2(1583, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(3757)%branchR2(0:1))
    call avR2(3757, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9165])

    call avR2(3757, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(2505)%branchR2(0:0))
    call avR2(2505, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8843])

    allocate(vertices(1519)%branchR2(0:0))
    call avR2(1519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

    allocate(vertices(1294)%branchR2(0:0))
    call avR2(1294, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2522)%branchR2(0:0))
    call avR2(2522, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1085)%branchR2(0:1))
    call avR2(1085, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(1085, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3368)%branchR2(0:0))
    call avR2(3368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(172)%branchR2(0:0))
    call avR2(172, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2394)%branchR2(0:0))
    call avR2(2394, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2212)%branchR2(0:0))
    call avR2(2212, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9253, nGC_9253&
    ])

    allocate(vertices(2211)%branchR2(0:0))
    call avR2(2211, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8851])

    allocate(vertices(955)%branchR2(0:0))
    call avR2(955, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2254)%branchR2(0:0))
    call avR2(2254, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2236)%branchR2(0:1))
    call avR2(2236, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8968, nGC_8968])

    call avR2(2236, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8966, nGC_8967])

    allocate(vertices(300)%branchR2(0:0))
    call avR2(300, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1440)%branchR2(0:0))
    call avR2(1440, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1804)%branchR2(0:0))
    call avR2(1804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(1165)%branchR2(0:1))
    call avR2(1165, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    call avR2(1165, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9024])

    allocate(vertices(2353)%branchR2(0:0))
    call avR2(2353, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8922])

    allocate(vertices(3758)%branchR2(0:0))
    call avR2(3758, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1736)%branchR2(0:0))
    call avR2(1736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1593)%branchR2(0:0))
    call avR2(1593, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2991)%branchR2(0:0))
    call avR2(2991, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3496)%branchR2(0:0))
    call avR2(3496, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(3231)%branchR2(0:0))
    call avR2(3231, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2683)%branchR2(0:0))
    call avR2(2683, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8912])

    allocate(vertices(3552)%branchR2(0:0))
    call avR2(3552, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3759)%branchR2(0:1))
    call avR2(3759, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9243])

    call avR2(3759, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9244])

    allocate(vertices(276)%branchR2(0:0))
    call avR2(276, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30370])

    allocate(vertices(1160)%branchR2(0:0))
    call avR2(1160, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1055)%branchR2(0:0))
    call avR2(1055, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8835])

    allocate(vertices(1926)%branchR2(0:0))
    call avR2(1926, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3015)%branchR2(0:0))
    call avR2(3015, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2891)%branchR2(0:0))
    call avR2(2891, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8778])

    allocate(vertices(1801)%branchR2(0:0))
    call avR2(1801, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(2015)%branchR2(0:0))
    call avR2(2015, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1280)%branchR2(0:0))
    call avR2(1280, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1966)%branchR2(0:0))
    call avR2(1966, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1597)%branchR2(0:1))
    call avR2(1597, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8799, nGC_8798])

    call avR2(1597, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(1774)%branchR2(0:0))
    call avR2(1774, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1981)%branchR2(0:0))
    call avR2(1981, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

    allocate(vertices(2923)%branchR2(0:0))
    call avR2(2923, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(1505)%branchR2(0:0))
    call avR2(1505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2612)%branchR2(0:0))
    call avR2(2612, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1846)%branchR2(0:0))
    call avR2(1846, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(879)%branchR2(0:1))
    call avR2(879, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

    call avR2(879, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(2313)%branchR2(0:0))
    call avR2(2313, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(554)%branchR2(0:0))
    call avR2(554, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(2964)%branchR2(0:0))
    call avR2(2964, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(22)%branchR2(0:1))
    call avR2(22, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(22, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(472)%branchR2(0:0))
    call avR2(472, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(2248)%branchR2(0:0))
    call avR2(2248, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(1377)%branchR2(0:0))
    call avR2(1377, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2206)%branchR2(0:0))
    call avR2(2206, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1895)%branchR2(0:1))
    call avR2(1895, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(1895, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(3516)%branchR2(0:0))
    call avR2(3516, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(779)%branchR2(0:1))
    call avR2(779, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(779, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(3351)%branchR2(0:0))
    call avR2(3351, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1236)%branchR2(0:1))
    call avR2(1236, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8986, nGC_8986])

    call avR2(1236, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8984, nGC_8985])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2502)%branchR2(0:0))
    call avR2(2502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(699)%branchR2(0:0))
    call avR2(699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3433)%branchR2(0:0))
    call avR2(3433, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(3760)%branchR2(0:1))
    call avR2(3760, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9165])

    call avR2(3760, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(2801)%branchR2(0:0))
    call avR2(2801, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3267)%branchR2(0:0))
    call avR2(3267, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(24)%branchR2(0:0))
    call avR2(24, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1999)%branchR2(0:1))
    call avR2(1999, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8972, nGC_8973])

    call avR2(1999, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8974, nGC_8974])

    allocate(vertices(1408)%branchR2(0:1))
    call avR2(1408, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_9013, nGC_9014])

    call avR2(1408, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9015, nGC_9015])

    allocate(vertices(1020)%branchR2(0:0))
    call avR2(1020, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2454)%branchR2(0:1))
    call avR2(2454, 0, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    call avR2(2454, 1, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3761)%branchR2(0:1))
    call avR2(3761, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9243])

    call avR2(3761, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9244])

    allocate(vertices(1622)%branchR2(0:0))
    call avR2(1622, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3022)%branchR2(0:0))
    call avR2(3022, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8963])

    allocate(vertices(3762)%branchR2(0:0))
    call avR2(3762, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3478)%branchR2(0:0))
    call avR2(3478, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2164)%branchR2(0:0))
    call avR2(2164, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(2293)%branchR2(0:0))
    call avR2(2293, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1915)%branchR2(0:0))
    call avR2(1915, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1013)%branchR2(0:0))
    call avR2(1013, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8934])

    allocate(vertices(1048)%branchR2(0:0))
    call avR2(1048, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(2384)%branchR2(0:1))
    call avR2(2384, 0, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_9023])

    call avR2(2384, 1, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3763)%branchR2(0:0))
    call avR2(3763, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2442)%branchR2(0:0))
    call avR2(2442, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8861])

    allocate(vertices(2438)%branchR2(0:0))
    call avR2(2438, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2802)%branchR2(0:0))
    call avR2(2802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(3086)%branchR2(0:0))
    call avR2(3086, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29466])

    allocate(vertices(2258)%branchR2(0:3))
    call avR2(2258, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(2258, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2258, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(2258, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2187)%branchR2(0:0))
    call avR2(2187, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2059)%branchR2(0:0))
    call avR2(2059, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3476)%branchR2(0:0))
    call avR2(3476, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2064)%branchR2(0:0))
    call avR2(2064, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1869)%branchR2(0:0))
    call avR2(1869, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9043])

    allocate(vertices(1649)%branchR2(0:0))
    call avR2(1649, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(3084)%branchR2(0:0))
    call avR2(3084, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1086)%branchR2(0:0))
    call avR2(1086, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3366)%branchR2(0:0))
    call avR2(3366, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2366)%branchR2(0:0))
    call avR2(2366, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9255, nGC_9254, nGC_9256&
    ])

    allocate(vertices(2845)%branchR2(0:0))
    call avR2(2845, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2858)%branchR2(0:0))
    call avR2(2858, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(1837)%branchR2(0:0))
    call avR2(1837, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1762)%branchR2(0:0))
    call avR2(1762, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8926])

    allocate(vertices(1074)%branchR2(0:0))
    call avR2(1074, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1521)%branchR2(0:0))
    call avR2(1521, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(562)%branchR2(0:0))
    call avR2(562, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8832])

    allocate(vertices(3200)%branchR2(0:0))
    call avR2(3200, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2705)%branchR2(0:0))
    call avR2(2705, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2128)%branchR2(0:1))
    call avR2(2128, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(2128, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(757)%branchR2(0:0))
    call avR2(757, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3014)%branchR2(0:0))
    call avR2(3014, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1559)%branchR2(0:0))
    call avR2(1559, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

    allocate(vertices(1240)%branchR2(0:0))
    call avR2(1240, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1700)%branchR2(0:0))
    call avR2(1700, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8777])

    allocate(vertices(2678)%branchR2(0:0))
    call avR2(2678, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(297)%branchR2(0:0))
    call avR2(297, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(741)%branchR2(0:0))
    call avR2(741, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2645)%branchR2(0:0))
    call avR2(2645, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3148)%branchR2(0:0))
    call avR2(3148, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2247)%branchR2(0:0))
    call avR2(2247, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2279)%branchR2(0:0))
    call avR2(2279, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(410)%branchR2(0:0))
    call avR2(410, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2441)%branchR2(0:0))
    call avR2(2441, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8929])

    allocate(vertices(2324)%branchR2(0:0))
    call avR2(2324, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(3027)%branchR2(0:0))
    call avR2(3027, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8839])

    allocate(vertices(2114)%branchR2(0:0))
    call avR2(2114, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1701)%branchR2(0:0))
    call avR2(1701, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2481)%branchR2(0:1))
    call avR2(2481, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(2481, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(2662)%branchR2(0:0))
    call avR2(2662, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32089])

    allocate(vertices(2193)%branchR2(0:0))
    call avR2(2193, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(2818)%branchR2(0:0))
    call avR2(2818, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2606)%branchR2(0:0))
    call avR2(2606, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8810])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3764)%branchR2(0:0))
    call avR2(3764, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(1317)%branchR2(0:1))
    call avR2(1317, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(1317, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(2792)%branchR2(0:0))
    call avR2(2792, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2553)%branchR2(0:0))
    call avR2(2553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31832])

    allocate(vertices(1584)%branchR2(0:0))
    call avR2(1584, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9126, nGC_9128&
    ])

    allocate(vertices(3765)%branchR2(0:1))
    call avR2(3765, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9247])

    call avR2(3765, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(720)%branchR2(0:3))
    call avR2(720, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(720, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(720, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(720, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1111)%branchR2(0:0))
    call avR2(1111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(380)%branchR2(0:0))
    call avR2(380, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(450)%branchR2(0:0))
    call avR2(450, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9043])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2935)%branchR2(0:0))
    call avR2(2935, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8795])

    allocate(vertices(2068)%branchR2(0:0))
    call avR2(2068, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2532)%branchR2(0:0))
    call avR2(2532, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8861])

    allocate(vertices(1446)%branchR2(0:0))
    call avR2(1446, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8831])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2133)%branchR2(0:0))
    call avR2(2133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(2835)%branchR2(0:0))
    call avR2(2835, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2940)%branchR2(0:0))
    call avR2(2940, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2219)%branchR2(0:0))
    call avR2(2219, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3071)%branchR2(0:0))
    call avR2(3071, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(3499)%branchR2(0:0))
    call avR2(3499, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(53)%branchR2(0:1))
    call avR2(53, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8998, nGC_8999])

    call avR2(53, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9000, nGC_9000])

    allocate(vertices(3766)%branchR2(0:1))
    call avR2(3766, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3766, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(3004)%branchR2(0:0))
    call avR2(3004, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2102)%branchR2(0:0))
    call avR2(2102, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(1374)%branchR2(0:0))
    call avR2(1374, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32144])

    allocate(vertices(2945)%branchR2(0:0))
    call avR2(2945, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2437)%branchR2(0:1))
    call avR2(2437, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(2437, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(1783)%branchR2(0:0))
    call avR2(1783, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(1449)%branchR2(0:0))
    call avR2(1449, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2574)%branchR2(0:0))
    call avR2(2574, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8911])

    allocate(vertices(510)%branchR2(0:0))
    call avR2(510, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8927])

    allocate(vertices(3028)%branchR2(0:0))
    call avR2(3028, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2859)%branchR2(0:0))
    call avR2(2859, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8795])

    allocate(vertices(1212)%branchR2(0:0))
    call avR2(1212, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2288)%branchR2(0:0))
    call avR2(2288, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1383)%branchR2(0:0))
    call avR2(1383, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9249])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(874)%branchR2(0:1))
    call avR2(874, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(874, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(3767)%branchR2(0:1))
    call avR2(3767, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9202])

    call avR2(3767, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9203])

    allocate(vertices(2607)%branchR2(0:0))
    call avR2(2607, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(3051)%branchR2(0:0))
    call avR2(3051, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(3768)%branchR2(0:0))
    call avR2(3768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1532)%branchR2(0:0))
    call avR2(1532, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(3439)%branchR2(0:0))
    call avR2(3439, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8795])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(465)%branchR2(0:1))
    call avR2(465, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(465, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(2418)%branchR2(0:1))
    call avR2(2418, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9029, nGC_9027])

    call avR2(2418, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    allocate(vertices(3769)%branchR2(0:0))
    call avR2(3769, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(1516)%branchR2(0:0))
    call avR2(1516, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3463)%branchR2(0:0))
    call avR2(3463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1889)%branchR2(0:0))
    call avR2(1889, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30259])

    allocate(vertices(2283)%branchR2(0:0))
    call avR2(2283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(1569)%branchR2(0:1))
    call avR2(1569, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(1569, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(3506)%branchR2(0:0))
    call avR2(3506, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1460)%branchR2(0:0))
    call avR2(1460, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1545)%branchR2(0:0))
    call avR2(1545, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(1779)%branchR2(0:0))
    call avR2(1779, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3026)%branchR2(0:0))
    call avR2(3026, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8706, nGC_8705])

    allocate(vertices(1051)%branchR2(0:1))
    call avR2(1051, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_9012, nGC_9012])

    call avR2(1051, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_9010, nGC_9011])

    allocate(vertices(1943)%branchR2(0:0))
    call avR2(1943, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1299)%branchR2(0:0))
    call avR2(1299, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1290)%branchR2(0:0))
    call avR2(1290, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8833])

    allocate(vertices(993)%branchR2(0:0))
    call avR2(993, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(530)%branchR2(0:0))
    call avR2(530, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1753)%branchR2(0:0))
    call avR2(1753, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(3426)%branchR2(0:0))
    call avR2(3426, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1805)%branchR2(0:1))
    call avR2(1805, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(1805, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32216])

    allocate(vertices(1459)%branchR2(0:0))
    call avR2(1459, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1344)%branchR2(0:0))
    call avR2(1344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1397)%branchR2(0:0))
    call avR2(1397, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31832])

    allocate(vertices(1857)%branchR2(0:0))
    call avR2(1857, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2354)%branchR2(0:0))
    call avR2(2354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(3770)%branchR2(0:0))
    call avR2(3770, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8853])

    allocate(vertices(439)%branchR2(0:1))
    call avR2(439, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(439, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(1286)%branchR2(0:0))
    call avR2(1286, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1148)%branchR2(0:0))
    call avR2(1148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9255, nGC_9254&
    ])

    allocate(vertices(759)%branchR2(0:0))
    call avR2(759, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(1973)%branchR2(0:0))
    call avR2(1973, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3166)%branchR2(0:0))
    call avR2(3166, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2820)%branchR2(0:0))
    call avR2(2820, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2759)%branchR2(0:0))
    call avR2(2759, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3771)%branchR2(0:0))
    call avR2(3771, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9259, nGC_9259, nGC_9259&
    ])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(1180, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(1637)%branchR2(0:0))
    call avR2(1637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3403)%branchR2(0:0))
    call avR2(3403, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(392)%branchR2(0:1))
    call avR2(392, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8972, nGC_8973])

    call avR2(392, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8974, nGC_8974])

    allocate(vertices(2817)%branchR2(0:0))
    call avR2(2817, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3302)%branchR2(0:0))
    call avR2(3302, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(755)%branchR2(0:0))
    call avR2(755, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

    allocate(vertices(2237)%branchR2(0:0))
    call avR2(2237, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(1991)%branchR2(0:0))
    call avR2(1991, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1046)%branchR2(0:1))
    call avR2(1046, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

    call avR2(1046, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(3041)%branchR2(0:0))
    call avR2(3041, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8712, nGC_8711])

    allocate(vertices(3376)%branchR2(0:0))
    call avR2(3376, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2943)%branchR2(0:0))
    call avR2(2943, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2101)%branchR2(0:0))
    call avR2(2101, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2381)%branchR2(0:0))
    call avR2(2381, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1412)%branchR2(0:0))
    call avR2(1412, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(407)%branchR2(0:0))
    call avR2(407, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(960)%branchR2(0:0))
    call avR2(960, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3772)%branchR2(0:0))
    call avR2(3772, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(23)%branchR2(0:0))
    call avR2(23, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8944, nGC_8943])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2271)%branchR2(0:0))
    call avR2(2271, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2694)%branchR2(0:0))
    call avR2(2694, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2905)%branchR2(0:0))
    call avR2(2905, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(3773)%branchR2(0:1))
    call avR2(3773, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9165])

    call avR2(3773, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3223)%branchR2(0:0))
    call avR2(3223, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1544)%branchR2(0:0))
    call avR2(1544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2245)%branchR2(0:0))
    call avR2(2245, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2881)%branchR2(0:0))
    call avR2(2881, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3320)%branchR2(0:0))
    call avR2(3320, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2575)%branchR2(0:0))
    call avR2(2575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(570)%branchR2(0:1))
    call avR2(570, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(570, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(2037)%branchR2(0:0))
    call avR2(2037, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(3209)%branchR2(0:0))
    call avR2(3209, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(3774)%branchR2(0:0))
    call avR2(3774, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1639)%branchR2(0:0))
    call avR2(1639, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8860])

    allocate(vertices(2029)%branchR2(0:0))
    call avR2(2029, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2930)%branchR2(0:0))
    call avR2(2930, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8797])

    allocate(vertices(2691)%branchR2(0:0))
    call avR2(2691, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1503)%branchR2(0:0))
    call avR2(1503, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32144])

    allocate(vertices(1076)%branchR2(0:0))
    call avR2(1076, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3775)%branchR2(0:1))
    call avR2(3775, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9234])

    call avR2(3775, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9235])

    allocate(vertices(2242)%branchR2(0:0))
    call avR2(2242, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2886)%branchR2(0:0))
    call avR2(2886, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1625)%branchR2(0:1))
    call avR2(1625, 0, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    call avR2(1625, 1, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3776)%branchR2(0:0))
    call avR2(3776, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9097])

    allocate(vertices(313)%branchR2(0:0))
    call avR2(313, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(1596)%branchR2(0:0))
    call avR2(1596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3412)%branchR2(0:0))
    call avR2(3412, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(3514)%branchR2(0:0))
    call avR2(3514, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(1200)%branchR2(0:0))
    call avR2(1200, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2924)%branchR2(0:0))
    call avR2(2924, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1411)%branchR2(0:0))
    call avR2(1411, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1657)%branchR2(0:0))
    call avR2(1657, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(317)%branchR2(0:0))
    call avR2(317, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1653)%branchR2(0:0))
    call avR2(1653, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2813)%branchR2(0:0))
    call avR2(2813, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(756)%branchR2(0:0))
    call avR2(756, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2325)%branchR2(0:0))
    call avR2(2325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(1756)%branchR2(0:0))
    call avR2(1756, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2970)%branchR2(0:0))
    call avR2(2970, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3777)%branchR2(0:0))
    call avR2(3777, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2928)%branchR2(0:0))
    call avR2(2928, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(1053)%branchR2(0:0))
    call avR2(1053, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3778)%branchR2(0:1))
    call avR2(3778, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3778, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(2971)%branchR2(0:0))
    call avR2(2971, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2616)%branchR2(0:0))
    call avR2(2616, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(416)%branchR2(0:0))
    call avR2(416, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8769])

    allocate(vertices(2783)%branchR2(0:0))
    call avR2(2783, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1189)%branchR2(0:0))
    call avR2(1189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2075)%branchR2(0:1))
    call avR2(2075, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(2075, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3779)%branchR2(0:0))
    call avR2(3779, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(41)%branchR2(0:1))
    call avR2(41, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(41, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(2833)%branchR2(0:0))
    call avR2(2833, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3147)%branchR2(0:0))
    call avR2(3147, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(9)%branchR2(0:0))
    call avR2(9, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2525)%branchR2(0:1))
    call avR2(2525, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8947, nGC_8949])

    call avR2(2525, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8948, nGC_8950])

    allocate(vertices(2076)%branchR2(0:0))
    call avR2(2076, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(13)%branchR2(0:0))
    call avR2(13, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1430)%branchR2(0:1))
    call avR2(1430, 0, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_9023])

    call avR2(1430, 1, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_9024])

    allocate(vertices(3077)%branchR2(0:0))
    call avR2(3077, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1380)%branchR2(0:0))
    call avR2(1380, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1598)%branchR2(0:0))
    call avR2(1598, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2148)%branchR2(0:0))
    call avR2(2148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3780)%branchR2(0:5))
    call avR2(3780, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3780, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9145, nGC_9145,        &
    nGC_9145])

    call avR2(3780, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3780, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3780, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3780, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9040])

    allocate(vertices(3491)%branchR2(0:0))
    call avR2(3491, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1985)%branchR2(0:1))
    call avR2(1985, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(1985, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(3781)%branchR2(0:5))
    call avR2(3781, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3781, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3781, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3781, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3781, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3781, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    allocate(vertices(2669)%branchR2(0:0))
    call avR2(2669, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8913])

    allocate(vertices(3390)%branchR2(0:0))
    call avR2(3390, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(201)%branchR2(0:23))
    call avR2(201, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9266, nGC_9266, nGC_9265])

    call avR2(201, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9266, nGC_9266, nGC_9265])

    call avR2(201, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9279, nGC_9278])

    call avR2(201, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9276, nGC_9275])

    call avR2(201, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9279, nGC_9278])

    call avR2(201, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9276, nGC_9275])

    call avR2(201, 6, 79, 1, 0, VVVV0, 0, [4, 0], [nGC_9267, nGC_9267, nGC_9267&
    ])

    call avR2(201, 7, 80, 1, 0, VVVV0, 0, [4, 0], [nGC_9268, nGC_9267, nGC_9269&
    ])

    call avR2(201, 8, 81, 1, 0, VVVV0, 0, [4, 0], [nGC_9270, nGC_9271, nGC_9271&
    ])

    call avR2(201, 9, 82, 1, 0, VVVV0, 0, [4, 0], [nGC_9268, nGC_9269, nGC_9267&
    ])

    call avR2(201, 10, 83, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9273,        &
    nGC_9270])

    call avR2(201, 11, 84, 1, 0, VVVV0, 0, [4, 0], [nGC_9271, nGC_9270,        &
    nGC_9271])

    call avR2(201, 12, 85, 1, 0, VVVV0, 0, [4, 0], [nGC_9267, nGC_9269,        &
    nGC_9268])

    call avR2(201, 13, 86, 1, 0, VVVV0, 0, [4, 0], [nGC_9267, nGC_9269,        &
    nGC_9268])

    call avR2(201, 14, 87, 1, 0, VVVV0, 0, [4, 0], [nGC_9268, nGC_9269,        &
    nGC_9267])

    call avR2(201, 15, 88, 1, 0, VVVV0, 0, [4, 0], [nGC_9268, nGC_9267,        &
    nGC_9269])

    call avR2(201, 16, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(201, 17, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    call avR2(201, 18, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    call avR2(201, 19, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    call avR2(201, 20, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_9281, nGC_9281,        &
    nGC_9281])

    call avR2(201, 21, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    call avR2(201, 22, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    call avR2(201, 23, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9280,        &
    nGC_9280])

    allocate(vertices(526)%branchR2(0:0))
    call avR2(526, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2050)%branchR2(0:1))
    call avR2(2050, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(2050, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(1938)%branchR2(0:0))
    call avR2(1938, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(2161)%branchR2(0:0))
    call avR2(2161, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8922])

    allocate(vertices(1698)%branchR2(0:0))
    call avR2(1698, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(141)%branchR2(0:0))
    call avR2(141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2506)%branchR2(0:0))
    call avR2(2506, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(918)%branchR2(0:0))
    call avR2(918, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(703)%branchR2(0:1))
    call avR2(703, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_9015, nGC_9015])

    call avR2(703, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_9013, nGC_9014])

    allocate(vertices(1834)%branchR2(0:0))
    call avR2(1834, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2980)%branchR2(0:0))
    call avR2(2980, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3274)%branchR2(0:0))
    call avR2(3274, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(1734)%branchR2(0:0))
    call avR2(1734, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(1628)%branchR2(0:0))
    call avR2(1628, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1829)%branchR2(0:0))
    call avR2(1829, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9093, nGC_9094&
    ])

    allocate(vertices(2005)%branchR2(0:0))
    call avR2(2005, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2942)%branchR2(0:0))
    call avR2(2942, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3365)%branchR2(0:0))
    call avR2(3365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(309)%branchR2(0:0))
    call avR2(309, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(854)%branchR2(0:0))
    call avR2(854, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8769])

    allocate(vertices(3782)%branchR2(0:0))
    call avR2(3782, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2635)%branchR2(0:0))
    call avR2(2635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1235)%branchR2(0:0))
    call avR2(1235, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3393)%branchR2(0:0))
    call avR2(3393, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2485)%branchR2(0:0))
    call avR2(2485, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8994])

    allocate(vertices(541)%branchR2(0:0))
    call avR2(541, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1302)%branchR2(0:1))
    call avR2(1302, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8972, nGC_8973])

    call avR2(1302, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8974, nGC_8974])

    allocate(vertices(3117)%branchR2(0:0))
    call avR2(3117, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(920)%branchR2(0:1))
    call avR2(920, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(920, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(241)%branchR2(0:0))
    call avR2(241, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8850])

    allocate(vertices(2982)%branchR2(0:0))
    call avR2(2982, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3454)%branchR2(0:0))
    call avR2(3454, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1253)%branchR2(0:0))
    call avR2(1253, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1876)%branchR2(0:0))
    call avR2(1876, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3783)%branchR2(0:1))
    call avR2(3783, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9247])

    call avR2(3783, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(113)%branchR2(0:1))
    call avR2(113, 0, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    call avR2(113, 1, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(894)%branchR2(0:0))
    call avR2(894, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1927)%branchR2(0:0))
    call avR2(1927, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29588])

    allocate(vertices(3784)%branchR2(0:1))
    call avR2(3784, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9150])

    call avR2(3784, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(2044)%branchR2(0:0))
    call avR2(2044, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2351)%branchR2(0:0))
    call avR2(2351, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(3276)%branchR2(0:0))
    call avR2(3276, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(496)%branchR2(0:1))
    call avR2(496, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(496, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3785)%branchR2(0:1))
    call avR2(3785, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3785, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(2810)%branchR2(0:0))
    call avR2(2810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1624)%branchR2(0:0))
    call avR2(1624, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29525])

    allocate(vertices(3786)%branchR2(0:1))
    call avR2(3786, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9247])

    call avR2(3786, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(1410)%branchR2(0:0))
    call avR2(1410, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3787)%branchR2(0:0))
    call avR2(3787, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(2250)%branchR2(0:0))
    call avR2(2250, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2892)%branchR2(0:0))
    call avR2(2892, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8778])

    allocate(vertices(386)%branchR2(0:0))
    call avR2(386, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(3163)%branchR2(0:0))
    call avR2(3163, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(891)%branchR2(0:0))
    call avR2(891, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(184)%branchR2(0:1))
    call avR2(184, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_32524])

    call avR2(184, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_32526])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(951)%branchR2(0:1))
    call avR2(951, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(951, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(961)%branchR2(0:0))
    call avR2(961, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(3788)%branchR2(0:0))
    call avR2(3788, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2642)%branchR2(0:1))
    call avR2(2642, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(2642, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(814)%branchR2(0:1))
    call avR2(814, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(814, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(127)%branchR2(0:0))
    call avR2(127, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2057)%branchR2(0:0))
    call avR2(2057, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8768])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3789)%branchR2(0:1))
    call avR2(3789, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9165])

    call avR2(3789, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(947)%branchR2(0:0))
    call avR2(947, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1773)%branchR2(0:1))
    call avR2(1773, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8799, nGC_8798])

    call avR2(1773, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(2150)%branchR2(0:1))
    call avR2(2150, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(2150, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(1517)%branchR2(0:1))
    call avR2(1517, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1517, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2088)%branchR2(0:0))
    call avR2(2088, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3538)%branchR2(0:0))
    call avR2(3538, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2157)%branchR2(0:0))
    call avR2(2157, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(3310)%branchR2(0:0))
    call avR2(3310, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(359)%branchR2(0:1))
    call avR2(359, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9029, nGC_9027])

    call avR2(359, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

    allocate(vertices(2195)%branchR2(0:0))
    call avR2(2195, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1275)%branchR2(0:0))
    call avR2(1275, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8988, nGC_8987])

    allocate(vertices(2239)%branchR2(0:0))
    call avR2(2239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(153)%branchR2(0:1))
    call avR2(153, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(153, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(1478)%branchR2(0:0))
    call avR2(1478, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3790)%branchR2(0:1))
    call avR2(3790, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3790, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(3469)%branchR2(0:0))
    call avR2(3469, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(372)%branchR2(0:0))
    call avR2(372, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(1362)%branchR2(0:1))
    call avR2(1362, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1362, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(3791)%branchR2(0:1))
    call avR2(3791, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9247])

    call avR2(3791, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(2428)%branchR2(0:3))
    call avR2(2428, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(2428, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(2428, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(2428, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(713)%branchR2(0:0))
    call avR2(713, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2603)%branchR2(0:0))
    call avR2(2603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3399)%branchR2(0:0))
    call avR2(3399, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1540)%branchR2(0:0))
    call avR2(1540, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(1177)%branchR2(0:0))
    call avR2(1177, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2045)%branchR2(0:0))
    call avR2(2045, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9245])

    allocate(vertices(964)%branchR2(0:0))
    call avR2(964, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32144])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(290)%branchR2(0:0))
    call avR2(290, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(15)%branchR2(0:1))
    call avR2(15, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8862, nGC_8864])

    call avR2(15, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8863, nGC_8865])

    allocate(vertices(1216)%branchR2(0:0))
    call avR2(1216, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3522)%branchR2(0:0))
    call avR2(3522, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(3792)%branchR2(0:1))
    call avR2(3792, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9165])

    call avR2(3792, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(1387)%branchR2(0:1))
    call avR2(1387, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(1387, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(2956)%branchR2(0:0))
    call avR2(2956, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(2349)%branchR2(0:0))
    call avR2(2349, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2343)%branchR2(0:0))
    call avR2(2343, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(1289)%branchR2(0:1))
    call avR2(1289, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(1289, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(2496)%branchR2(0:0))
    call avR2(2496, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8944, nGC_8943])

    allocate(vertices(1511)%branchR2(0:0))
    call avR2(1511, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(3487)%branchR2(0:0))
    call avR2(3487, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(1629)%branchR2(0:0))
    call avR2(1629, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8831])

    allocate(vertices(2110)%branchR2(0:0))
    call avR2(2110, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2515)%branchR2(0:0))
    call avR2(2515, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(2168)%branchR2(0:0))
    call avR2(2168, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1036)%branchR2(0:0))
    call avR2(1036, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(159)%branchR2(0:0))
    call avR2(159, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3382)%branchR2(0:0))
    call avR2(3382, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(939)%branchR2(0:0))
    call avR2(939, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(653)%branchR2(0:1))
    call avR2(653, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8991, nGC_8991])

    call avR2(653, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8989, nGC_8990])

    allocate(vertices(2514)%branchR2(0:1))
    call avR2(2514, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(2514, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(506)%branchR2(0:0))
    call avR2(506, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(3793)%branchR2(0:0))
    call avR2(3793, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1017)%branchR2(0:0))
    call avR2(1017, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2599)%branchR2(0:0))
    call avR2(2599, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9048, nGC_9049])

    allocate(vertices(2968)%branchR2(0:0))
    call avR2(2968, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1820)%branchR2(0:0))
    call avR2(1820, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(1696)%branchR2(0:0))
    call avR2(1696, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1608)%branchR2(0:0))
    call avR2(1608, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(3794)%branchR2(0:1))
    call avR2(3794, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9150])

    call avR2(3794, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3369)%branchR2(0:0))
    call avR2(3369, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(2374)%branchR2(0:0))
    call avR2(2374, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8852])

    allocate(vertices(1315)%branchR2(0:0))
    call avR2(1315, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2692)%branchR2(0:0))
    call avR2(2692, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8929])

    allocate(vertices(2961)%branchR2(0:0))
    call avR2(2961, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2463)%branchR2(0:0))
    call avR2(2463, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(710)%branchR2(0:1))
    call avR2(710, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(710, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(3795)%branchR2(0:0))
    call avR2(3795, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1567)%branchR2(0:0))
    call avR2(1567, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2997)%branchR2(0:0))
    call avR2(2997, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(1215)%branchR2(0:0))
    call avR2(1215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8925])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(998)%branchR2(0:0))
    call avR2(998, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2704)%branchR2(0:1))
    call avR2(2704, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

    call avR2(2704, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(1665)%branchR2(0:0))
    call avR2(1665, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(2650)%branchR2(0:0))
    call avR2(2650, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8993])

    allocate(vertices(1188)%branchR2(0:0))
    call avR2(1188, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1103)%branchR2(0:0))
    call avR2(1103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

    allocate(vertices(2364)%branchR2(0:0))
    call avR2(2364, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3796)%branchR2(0:1))
    call avR2(3796, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9247])

    call avR2(3796, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(567)%branchR2(0:0))
    call avR2(567, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30103])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(2202)%branchR2(0:3))
    call avR2(2202, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(2202, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2202, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(2202, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(3379)%branchR2(0:0))
    call avR2(3379, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2626)%branchR2(0:0))
    call avR2(2626, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3285)%branchR2(0:0))
    call avR2(3285, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2320)%branchR2(0:0))
    call avR2(2320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3797)%branchR2(0:0))
    call avR2(3797, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(2452)%branchR2(0:0))
    call avR2(2452, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1960)%branchR2(0:0))
    call avR2(1960, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2145)%branchR2(0:0))
    call avR2(2145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1787)%branchR2(0:0))
    call avR2(1787, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1527)%branchR2(0:0))
    call avR2(1527, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2893)%branchR2(0:0))
    call avR2(2893, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8797])

    allocate(vertices(2915)%branchR2(0:0))
    call avR2(2915, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(462)%branchR2(0:1))
    call avR2(462, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(462, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_8790, nGC_8789])

    allocate(vertices(94)%branchR2(0:0))
    call avR2(94, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2500)%branchR2(0:0))
    call avR2(2500, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30309])

    allocate(vertices(1816)%branchR2(0:0))
    call avR2(1816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(2321)%branchR2(0:0))
    call avR2(2321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2020)%branchR2(0:0))
    call avR2(2020, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1807)%branchR2(0:0))
    call avR2(1807, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8777])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3286)%branchR2(0:0))
    call avR2(3286, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8796])

    allocate(vertices(3798)%branchR2(0:0))
    call avR2(3798, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9102, nGC_9103, nGC_9103&
    ])

    allocate(vertices(3533)%branchR2(0:0))
    call avR2(3533, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2888)%branchR2(0:0))
    call avR2(2888, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(287)%branchR2(0:0))
    call avR2(287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(1754)%branchR2(0:0))
    call avR2(1754, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(1278)%branchR2(0:0))
    call avR2(1278, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(3167)%branchR2(0:0))
    call avR2(3167, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(483)%branchR2(0:0))
    call avR2(483, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1499)%branchR2(0:0))
    call avR2(1499, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8917])

    allocate(vertices(3799)%branchR2(0:0))
    call avR2(3799, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1234)%branchR2(0:0))
    call avR2(1234, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2869)%branchR2(0:0))
    call avR2(2869, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_8758])

    allocate(vertices(1760)%branchR2(0:0))
    call avR2(1760, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3083)%branchR2(0:0))
    call avR2(3083, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2373)%branchR2(0:0))
    call avR2(2373, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(1309)%branchR2(0:0))
    call avR2(1309, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2089)%branchR2(0:0))
    call avR2(2089, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2265)%branchR2(0:0))
    call avR2(2265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1910)%branchR2(0:0))
    call avR2(1910, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2519)%branchR2(0:0))
    call avR2(2519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2544)%branchR2(0:0))
    call avR2(2544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1395)%branchR2(0:0))
    call avR2(1395, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8791, nGC_8792])

    allocate(vertices(1487)%branchR2(0:0))
    call avR2(1487, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(2084)%branchR2(0:0))
    call avR2(2084, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1261)%branchR2(0:0))
    call avR2(1261, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3367)%branchR2(0:0))
    call avR2(3367, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8716, nGC_8715, nGC_8717])

    allocate(vertices(714)%branchR2(0:1))
    call avR2(714, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(714, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(2587)%branchR2(0:0))
    call avR2(2587, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2472)%branchR2(0:0))
    call avR2(2472, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(3201)%branchR2(0:0))
    call avR2(3201, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(986)%branchR2(0:1))
    call avR2(986, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(986, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8805, nGC_8804])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1428)%branchR2(0:1))
    call avR2(1428, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(1428, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8790, nGC_8789])

    allocate(vertices(2124)%branchR2(0:0))
    call avR2(2124, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1337)%branchR2(0:0))
    call avR2(1337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29447])

    allocate(vertices(550)%branchR2(0:0))
    call avR2(550, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(664)%branchR2(0:0))
    call avR2(664, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(3301)%branchR2(0:0))
    call avR2(3301, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8778])

    allocate(vertices(3158)%branchR2(0:0))
    call avR2(3158, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(715)%branchR2(0:0))
    call avR2(715, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3800)%branchR2(0:1))
    call avR2(3800, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9202])

    call avR2(3800, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9203])

    allocate(vertices(1956)%branchR2(0:0))
    call avR2(1956, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1880)%branchR2(0:0))
    call avR2(1880, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2684)%branchR2(0:0))
    call avR2(2684, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8911])

    allocate(vertices(1666)%branchR2(0:0))
    call avR2(1666, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(2268)%branchR2(0:0))
    call avR2(2268, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(871)%branchR2(0:1))
    call avR2(871, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8787, nGC_8786])

    call avR2(871, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(477)%branchR2(0:0))
    call avR2(477, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(238)%branchR2(0:0))
    call avR2(238, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9255, nGC_9256])

    allocate(vertices(2883)%branchR2(0:0))
    call avR2(2883, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30208])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3494)%branchR2(0:0))
    call avR2(3494, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2021)%branchR2(0:1))
    call avR2(2021, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8969, nGC_8970])

    call avR2(2021, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8971, nGC_8971])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(2785)%branchR2(0:0))
    call avR2(2785, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1580)%branchR2(0:1))
    call avR2(1580, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8966, nGC_8967])

    call avR2(1580, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8968, nGC_8968])

    allocate(vertices(427)%branchR2(0:0))
    call avR2(427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2570)%branchR2(0:0))
    call avR2(2570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3801)%branchR2(0:0))
    call avR2(3801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(1939)%branchR2(0:0))
    call avR2(1939, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(867)%branchR2(0:0))
    call avR2(867, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2387)%branchR2(0:0))
    call avR2(2387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1304)%branchR2(0:0))
    call avR2(1304, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1)%branchR2(0:0))
    call avR2(1, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1694)%branchR2(0:0))
    call avR2(1694, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3802)%branchR2(0:0))
    call avR2(3802, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(3457)%branchR2(0:1))
    call avR2(3457, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8761&
    , nGC_8761])

    call avR2(3457, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8762&
    , nGC_8762])

    allocate(vertices(3803)%branchR2(0:1))
    call avR2(3803, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9247])

    call avR2(3803, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(1588)%branchR2(0:0))
    call avR2(1588, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(42)%branchR2(0:0))
    call avR2(42, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(3456)%branchR2(0:0))
    call avR2(3456, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3804)%branchR2(0:1))
    call avR2(3804, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9213])

    call avR2(3804, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(281)%branchR2(0:0))
    call avR2(281, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1157)%branchR2(0:0))
    call avR2(1157, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2993)%branchR2(0:0))
    call avR2(2993, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1303)%branchR2(0:0))
    call avR2(1303, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

  end subroutine fill_vertices_mdl11
end module vertices_info11
