!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  implicit none
  contains
  subroutine fill_vertices_mdl13()
    use class_vertices
    use class_couplings
    allocate(vertices(3867)%branchR2(0:1))
    call avR2(3867, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9165])

    call avR2(3867, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3868)%branchR2(0:0))
    call avR2(3868, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1925)%branchR2(0:0))
    call avR2(1925, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3191)%branchR2(0:1))
    call avR2(3191, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8746&
    , nGC_8746])

    call avR2(3191, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8747&
    , nGC_8747])

    allocate(vertices(3423)%branchR2(0:0))
    call avR2(3423, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_33237])

    allocate(vertices(3869)%branchR2(0:0))
    call avR2(3869, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(1564)%branchR2(0:0))
    call avR2(1564, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8913])

    allocate(vertices(2994)%branchR2(0:0))
    call avR2(2994, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2440)%branchR2(0:0))
    call avR2(2440, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(2141)%branchR2(0:1))
    call avR2(2141, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(2141, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(388)%branchR2(0:0))
    call avR2(388, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2053)%branchR2(0:0))
    call avR2(2053, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2752)%branchR2(0:0))
    call avR2(2752, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(314)%branchR2(0:0))
    call avR2(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1695)%branchR2(0:0))
    call avR2(1695, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8993])

    allocate(vertices(512)%branchR2(0:0))
    call avR2(512, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(931)%branchR2(0:1))
    call avR2(931, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(931, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(3388)%branchR2(0:0))
    call avR2(3388, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3870)%branchR2(0:0))
    call avR2(3870, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9103, nGC_9103, nGC_9102&
    ])

    allocate(vertices(527)%branchR2(0:0))
    call avR2(527, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3358)%branchR2(0:0))
    call avR2(3358, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(3131)%branchR2(0:0))
    call avR2(3131, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1523)%branchR2(0:0))
    call avR2(1523, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8768])

    allocate(vertices(2165)%branchR2(0:0))
    call avR2(2165, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1845)%branchR2(0:0))
    call avR2(1845, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(2938)%branchR2(0:0))
    call avR2(2938, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2837)%branchR2(0:0))
    call avR2(2837, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8767])

    allocate(vertices(997)%branchR2(0:1))
    call avR2(997, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_9015, nGC_9015])

    call avR2(997, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_9013, nGC_9014])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2546)%branchR2(0:0))
    call avR2(2546, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3871)%branchR2(0:1))
    call avR2(3871, 0, 37, 1, 0, VSV0, 0, [2, 1], [nGC_9006])

    call avR2(3871, 1, 38, 1, 0, VSV0, 0, [2, 1], [nGC_9007])

    allocate(vertices(2173)%branchR2(0:0))
    call avR2(2173, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1543)%branchR2(0:0))
    call avR2(1543, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2355)%branchR2(0:0))
    call avR2(2355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(2185)%branchR2(0:0))
    call avR2(2185, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3872)%branchR2(0:1))
    call avR2(3872, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3872, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(1298)%branchR2(0:0))
    call avR2(1298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3130)%branchR2(0:0))
    call avR2(3130, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1659)%branchR2(0:0))
    call avR2(1659, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2113)%branchR2(0:0))
    call avR2(2113, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9255, nGC_9256, nGC_9254&
    ])

    allocate(vertices(1114)%branchR2(0:1))
    call avR2(1114, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1114, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(1919)%branchR2(0:0))
    call avR2(1919, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(28)%branchR2(0:1))
    call avR2(28, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(28, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(1400)%branchR2(0:0))
    call avR2(1400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(2166)%branchR2(0:0))
    call avR2(2166, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3177)%branchR2(0:0))
    call avR2(3177, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8797])

    allocate(vertices(3292)%branchR2(0:0))
    call avR2(3292, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3129)%branchR2(0:0))
    call avR2(3129, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3305)%branchR2(0:0))
    call avR2(3305, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8797])

    allocate(vertices(3873)%branchR2(0:1))
    call avR2(3873, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9165])

    call avR2(3873, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(2729)%branchR2(0:0))
    call avR2(2729, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8732, nGC_8731, nGC_8733])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(349)%branchR2(0:1))
    call avR2(349, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(349, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(1354)%branchR2(0:0))
    call avR2(1354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1338)%branchR2(0:0))
    call avR2(1338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(3338)%branchR2(0:0))
    call avR2(3338, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8774])

    allocate(vertices(2697)%branchR2(0:1))
    call avR2(2697, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8968, nGC_8968])

    call avR2(2697, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8966, nGC_8967])

    allocate(vertices(3328)%branchR2(0:0))
    call avR2(3328, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8796])

    allocate(vertices(2051)%branchR2(0:0))
    call avR2(2051, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(1572)%branchR2(0:0))
    call avR2(1572, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2375)%branchR2(0:0))
    call avR2(2375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1083)%branchR2(0:0))
    call avR2(1083, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2615)%branchR2(0:3))
    call avR2(2615, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(2615, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2615, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(2615, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2576)%branchR2(0:0))
    call avR2(2576, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1239)%branchR2(0:1))
    call avR2(1239, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(1239, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(2177)%branchR2(0:0))
    call avR2(2177, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(3874)%branchR2(0:0))
    call avR2(3874, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(95)%branchR2(0:1))
    call avR2(95, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(95, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(1660)%branchR2(0:0))
    call avR2(1660, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1343)%branchR2(0:1))
    call avR2(1343, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(1343, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(984)%branchR2(0:0))
    call avR2(984, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(1616)%branchR2(0:0))
    call avR2(1616, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8850])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2651)%branchR2(0:0))
    call avR2(2651, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2621)%branchR2(0:0))
    call avR2(2621, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3314)%branchR2(0:0))
    call avR2(3314, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3875)%branchR2(0:1))
    call avR2(3875, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9165])

    call avR2(3875, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3876)%branchR2(0:1))
    call avR2(3876, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9234])

    call avR2(3876, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9235])

    allocate(vertices(2793)%branchR2(0:0))
    call avR2(2793, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1222)%branchR2(0:0))
    call avR2(1222, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(2498)%branchR2(0:0))
    call avR2(2498, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8934])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8988, nGC_8987])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(1894)%branchR2(0:0))
    call avR2(1894, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32216])

    allocate(vertices(2800)%branchR2(0:0))
    call avR2(2800, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8763&
    , nGC_8763])

    allocate(vertices(3355)%branchR2(0:0))
    call avR2(3355, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(279)%branchR2(0:1))
    call avR2(279, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8983, nGC_8983])

    call avR2(279, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8981, nGC_8982])

    allocate(vertices(2065)%branchR2(0:0))
    call avR2(2065, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(3082)%branchR2(0:0))
    call avR2(3082, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1172)%branchR2(0:3))
    call avR2(1172, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(1172, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(1172, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(1172, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2346)%branchR2(0:0))
    call avR2(2346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2877)%branchR2(0:0))
    call avR2(2877, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2403)%branchR2(0:0))
    call avR2(2403, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(246)%branchR2(0:0))
    call avR2(246, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3877)%branchR2(0:0))
    call avR2(3877, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(1414)%branchR2(0:1))
    call avR2(1414, 0, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    call avR2(1414, 1, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3878)%branchR2(0:0))
    call avR2(3878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(2120)%branchR2(0:0))
    call avR2(2120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1964)%branchR2(0:0))
    call avR2(1964, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1547)%branchR2(0:0))
    call avR2(1547, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(704)%branchR2(0:0))
    call avR2(704, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2598)%branchR2(0:0))
    call avR2(2598, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8913])

    allocate(vertices(711)%branchR2(0:0))
    call avR2(711, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9128, nGC_9126])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1576)%branchR2(0:0))
    call avR2(1576, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8770])

    allocate(vertices(1342)%branchR2(0:0))
    call avR2(1342, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2357)%branchR2(0:0))
    call avR2(2357, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29766])

    allocate(vertices(1988)%branchR2(0:0))
    call avR2(1988, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(839)%branchR2(0:1))
    call avR2(839, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(839, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(1450)%branchR2(0:0))
    call avR2(1450, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(1735)%branchR2(0:0))
    call avR2(1735, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1887)%branchR2(0:0))
    call avR2(1887, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(909)%branchR2(0:1))
    call avR2(909, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(909, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(2310)%branchR2(0:0))
    call avR2(2310, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3879)%branchR2(0:1))
    call avR2(3879, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9220])

    call avR2(3879, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8916])

    allocate(vertices(284)%branchR2(0:0))
    call avR2(284, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

  end subroutine fill_vertices_mdl13
end module vertices_info13
