!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  implicit none
  contains
  subroutine fill_vertices_mdl9()
    use class_vertices
    use class_couplings
    allocate(vertices(1671)%branchR2(0:0))
    call avR2(1671, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2701)%branchR2(0:0))
    call avR2(2701, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3000)%branchR2(0:0))
    call avR2(3000, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1142)%branchR2(0:0))
    call avR2(1142, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9084])

    allocate(vertices(618)%branchR2(0:1))
    call avR2(618, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8947, nGC_8949])

    call avR2(618, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8948, nGC_8950])

    allocate(vertices(2347)%branchR2(0:0))
    call avR2(2347, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1765)%branchR2(0:0))
    call avR2(1765, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2761)%branchR2(0:0))
    call avR2(2761, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(2510)%branchR2(0:1))
    call avR2(2510, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(2510, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(3603)%branchR2(0:0))
    call avR2(3603, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2314)%branchR2(0:0))
    call avR2(2314, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(924)%branchR2(0:1))
    call avR2(924, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(924, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(1192)%branchR2(0:0))
    call avR2(1192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(138)%branchR2(0:0))
    call avR2(138, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8791, nGC_8792])

    allocate(vertices(1319)%branchR2(0:0))
    call avR2(1319, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(3604)%branchR2(0:1))
    call avR2(3604, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9220])

    call avR2(3604, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3605)%branchR2(0:0))
    call avR2(3605, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8853])

    allocate(vertices(3606)%branchR2(0:1))
    call avR2(3606, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9150])

    call avR2(3606, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(3171)%branchR2(0:0))
    call avR2(3171, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2034)%branchR2(0:0))
    call avR2(2034, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1147)%branchR2(0:0))
    call avR2(1147, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(1881)%branchR2(0:0))
    call avR2(1881, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(449)%branchR2(0:0))
    call avR2(449, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8925])

    allocate(vertices(3607)%branchR2(0:1))
    call avR2(3607, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3607, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(1933)%branchR2(0:0))
    call avR2(1933, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29412])

    allocate(vertices(2983)%branchR2(0:0))
    call avR2(2983, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2976)%branchR2(0:0))
    call avR2(2976, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1266)%branchR2(0:0))
    call avR2(1266, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(3125)%branchR2(0:0))
    call avR2(3125, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8779])

    allocate(vertices(1493)%branchR2(0:0))
    call avR2(1493, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8817])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(828)%branchR2(0:3))
    call avR2(828, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(828, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(828, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(828, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(3070)%branchR2(0:0))
    call avR2(3070, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1455)%branchR2(0:0))
    call avR2(1455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9093, nGC_9095, nGC_9094])

    allocate(vertices(3608)%branchR2(0:0))
    call avR2(3608, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1718)%branchR2(0:0))
    call avR2(1718, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9126, nGC_9128&
    ])

    allocate(vertices(1047)%branchR2(0:0))
    call avR2(1047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(3609)%branchR2(0:0))
    call avR2(3609, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2850)%branchR2(0:0))
    call avR2(2850, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1594)%branchR2(0:0))
    call avR2(1594, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(1767)%branchR2(0:0))
    call avR2(1767, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

    allocate(vertices(1853)%branchR2(0:0))
    call avR2(1853, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1358)%branchR2(0:0))
    call avR2(1358, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29447])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8899, nGC_8901])

    call avR2(629, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8900, nGC_8902])

    allocate(vertices(2538)%branchR2(0:0))
    call avR2(2538, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(910)%branchR2(0:0))
    call avR2(910, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(3610)%branchR2(0:0))
    call avR2(3610, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9103, nGC_9102, nGC_9103&
    ])

    allocate(vertices(2579)%branchR2(0:0))
    call avR2(2579, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2623)%branchR2(0:0))
    call avR2(2623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(3611)%branchR2(0:1))
    call avR2(3611, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9165])

    call avR2(3611, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3501)%branchR2(0:0))
    call avR2(3501, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3466)%branchR2(0:0))
    call avR2(3466, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29463])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3172)%branchR2(0:0))
    call avR2(3172, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29466])

    allocate(vertices(1271)%branchR2(0:0))
    call avR2(1271, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1563)%branchR2(0:0))
    call avR2(1563, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3025)%branchR2(0:0))
    call avR2(3025, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2790)%branchR2(0:0))
    call avR2(2790, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2360)%branchR2(0:0))
    call avR2(2360, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9240])

    allocate(vertices(1670)%branchR2(0:0))
    call avR2(1670, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8818])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1757)%branchR2(0:0))
    call avR2(1757, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(675)%branchR2(0:1))
    call avR2(675, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(675, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(3612)%branchR2(0:0))
    call avR2(3612, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(3179)%branchR2(0:0))
    call avR2(3179, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2483)%branchR2(0:0))
    call avR2(2483, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1364)%branchR2(0:0))
    call avR2(1364, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(2665)%branchR2(0:0))
    call avR2(2665, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(154)%branchR2(0:0))
    call avR2(154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(134)%branchR2(0:0))
    call avR2(134, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8925])

    allocate(vertices(2393)%branchR2(0:0))
    call avR2(2393, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(182)%branchR2(0:0))
    call avR2(182, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2127)%branchR2(0:0))
    call avR2(2127, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8851])

    allocate(vertices(3417)%branchR2(0:0))
    call avR2(3417, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3307)%branchR2(0:1))
    call avR2(3307, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8764&
    , nGC_8764])

    call avR2(3307, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8765&
    , nGC_8765])

    allocate(vertices(1579)%branchR2(0:0))
    call avR2(1579, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1551)%branchR2(0:0))
    call avR2(1551, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9195])

    allocate(vertices(1468)%branchR2(0:0))
    call avR2(1468, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(3222)%branchR2(0:0))
    call avR2(3222, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3489)%branchR2(0:1))
    call avR2(3489, 0, 15, 1, 0, VV1, 0, [2, 0], [nGC_8752, nGC_8751, nGC_8753])

    call avR2(3489, 1, 16, 1, 0, VV1, 0, [2, 0], [nGC_8755, nGC_8754, nGC_8756])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(3550)%branchR2(0:0))
    call avR2(3550, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1764)%branchR2(0:0))
    call avR2(1764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(489)%branchR2(0:1))
    call avR2(489, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8783, nGC_8782])

    call avR2(489, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(3613)%branchR2(0:0))
    call avR2(3613, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2636)%branchR2(0:0))
    call avR2(2636, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2106)%branchR2(0:0))
    call avR2(2106, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29525])

    allocate(vertices(1039)%branchR2(0:0))
    call avR2(1039, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1052)%branchR2(0:0))
    call avR2(1052, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8914])

    allocate(vertices(1482)%branchR2(0:0))
    call avR2(1482, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(152)%branchR2(0:0))
    call avR2(152, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1965)%branchR2(0:0))
    call avR2(1965, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(174)%branchR2(0:1))
    call avR2(174, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(174, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8799, nGC_8798])

    allocate(vertices(186)%branchR2(0:0))
    call avR2(186, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8777])

    allocate(vertices(2951)%branchR2(0:0))
    call avR2(2951, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1071)%branchR2(0:0))
    call avR2(1071, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1930)%branchR2(0:0))
    call avR2(1930, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2397)%branchR2(0:0))
    call avR2(2397, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2365)%branchR2(0:0))
    call avR2(2365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2259)%branchR2(0:0))
    call avR2(2259, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3240)%branchR2(0:0))
    call avR2(3240, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3090)%branchR2(0:0))
    call avR2(3090, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29545])

    allocate(vertices(2118)%branchR2(0:0))
    call avR2(2118, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1800)%branchR2(0:0))
    call avR2(1800, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3211)%branchR2(0:1))
    call avR2(3211, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8737&
    , nGC_8737])

    call avR2(3211, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8738&
    , nGC_8738])

    allocate(vertices(1554)%branchR2(0:0))
    call avR2(1554, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1484)%branchR2(0:0))
    call avR2(1484, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9084])

    allocate(vertices(387)%branchR2(0:1))
    call avR2(387, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(387, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3614)%branchR2(0:0))
    call avR2(3614, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3287)%branchR2(0:0))
    call avR2(3287, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2523)%branchR2(0:0))
    call avR2(2523, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1417)%branchR2(0:1))
    call avR2(1417, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

    call avR2(1417, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(1419)%branchR2(0:0))
    call avR2(1419, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3319)%branchR2(0:0))
    call avR2(3319, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2610)%branchR2(0:0))
    call avR2(2610, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2625)%branchR2(0:0))
    call avR2(2625, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(882)%branchR2(0:0))
    call avR2(882, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(1719)%branchR2(0:0))
    call avR2(1719, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(3615)%branchR2(0:0))
    call avR2(3615, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9097])

    allocate(vertices(3616)%branchR2(0:1))
    call avR2(3616, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3616, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1300)%branchR2(0:0))
    call avR2(1300, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2796)%branchR2(0:0))
    call avR2(2796, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(581)%branchR2(0:3))
    call avR2(581, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(581, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(581, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(581, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(304)%branchR2(0:0))
    call avR2(304, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29588])

    allocate(vertices(2807)%branchR2(0:0))
    call avR2(2807, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3617)%branchR2(0:1))
    call avR2(3617, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9213])

    call avR2(3617, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2147)%branchR2(0:0))
    call avR2(2147, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

    allocate(vertices(3618)%branchR2(0:1))
    call avR2(3618, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3618, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(1372)%branchR2(0:1))
    call avR2(1372, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(1372, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(1512)%branchR2(0:0))
    call avR2(1512, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9240])

    allocate(vertices(3256)%branchR2(0:0))
    call avR2(3256, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(3262)%branchR2(0:0))
    call avR2(3262, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8767])

    allocate(vertices(881)%branchR2(0:1))
    call avR2(881, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(881, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(3054)%branchR2(0:0))
    call avR2(3054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(132)%branchR2(0:0))
    call avR2(132, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(360)%branchR2(0:0))
    call avR2(360, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8914])

    allocate(vertices(1391)%branchR2(0:0))
    call avR2(1391, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(1448)%branchR2(0:0))
    call avR2(1448, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(1367)%branchR2(0:0))
    call avR2(1367, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1213)%branchR2(0:0))
    call avR2(1213, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(1135)%branchR2(0:1))
    call avR2(1135, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1135, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(3619)%branchR2(0:0))
    call avR2(3619, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(959)%branchR2(0:0))
    call avR2(959, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1833)%branchR2(0:0))
    call avR2(1833, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9084])

    allocate(vertices(1003)%branchR2(0:0))
    call avR2(1003, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9126, nGC_9127&
    ])

    allocate(vertices(2306)%branchR2(0:1))
    call avR2(2306, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2306, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(2953)%branchR2(0:0))
    call avR2(2953, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(857)%branchR2(0:0))
    call avR2(857, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(3620)%branchR2(0:1))
    call avR2(3620, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9243])

    call avR2(3620, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9244])

    allocate(vertices(3441)%branchR2(0:0))
    call avR2(3441, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3102)%branchR2(0:0))
    call avR2(3102, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8708, nGC_8707])

    allocate(vertices(1732)%branchR2(0:0))
    call avR2(1732, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8850])

    allocate(vertices(275)%branchR2(0:0))
    call avR2(275, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(1006)%branchR2(0:3))
    call avR2(1006, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(1006, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1006, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1006, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(2725)%branchR2(0:0))
    call avR2(2725, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1167)%branchR2(0:3))
    call avR2(1167, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(1167, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1167, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(1167, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1929)%branchR2(0:0))
    call avR2(1929, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2686)%branchR2(0:1))
    call avR2(2686, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(2686, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(941)%branchR2(0:0))
    call avR2(941, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1844)%branchR2(0:0))
    call avR2(1844, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(2007)%branchR2(0:0))
    call avR2(2007, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1226)%branchR2(0:1))
    call avR2(1226, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(1226, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(2043)%branchR2(0:0))
    call avR2(2043, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1043)%branchR2(0:0))
    call avR2(1043, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8912])

    allocate(vertices(1115)%branchR2(0:0))
    call avR2(1115, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29671])

    allocate(vertices(2934)%branchR2(0:0))
    call avR2(2934, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8758])

    allocate(vertices(2885)%branchR2(0:0))
    call avR2(2885, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2699)%branchR2(0:0))
    call avR2(2699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(195)%branchR2(0:0))
    call avR2(195, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(16)%branchR2(0:1))
    call avR2(16, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9018, nGC_9019])

    call avR2(16, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9020, nGC_9020])

    allocate(vertices(3187)%branchR2(0:0))
    call avR2(3187, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8748&
    , nGC_8748])

    allocate(vertices(1518)%branchR2(0:0))
    call avR2(1518, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(2136)%branchR2(0:0))
    call avR2(2136, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(1268)%branchR2(0:0))
    call avR2(1268, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(1247)%branchR2(0:0))
    call avR2(1247, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1250)%branchR2(0:0))
    call avR2(1250, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2008)%branchR2(0:0))
    call avR2(2008, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29690])

    allocate(vertices(2383)%branchR2(0:0))
    call avR2(2383, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8926])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3621)%branchR2(0:1))
    call avR2(3621, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3621, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(1813)%branchR2(0:1))
    call avR2(1813, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(1813, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(364)%branchR2(0:0))
    call avR2(364, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3251)%branchR2(0:0))
    call avR2(3251, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29702])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1064)%branchR2(0:0))
    call avR2(1064, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1967)%branchR2(0:1))
    call avR2(1967, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(1967, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(3005)%branchR2(0:0))
    call avR2(3005, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_8758])

    allocate(vertices(1195)%branchR2(0:0))
    call avR2(1195, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1438)%branchR2(0:0))
    call avR2(1438, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(1378)%branchR2(0:0))
    call avR2(1378, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(261)%branchR2(0:0))
    call avR2(261, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(992)%branchR2(0:0))
    call avR2(992, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2529)%branchR2(0:0))
    call avR2(2529, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8913])

    allocate(vertices(3622)%branchR2(0:0))
    call avR2(3622, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9097])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1864)%branchR2(0:0))
    call avR2(1864, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2659)%branchR2(0:0))
    call avR2(2659, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9249])

    allocate(vertices(2512)%branchR2(0:0))
    call avR2(2512, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9126, nGC_9127&
    ])

    allocate(vertices(1370)%branchR2(0:1))
    call avR2(1370, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9029, nGC_9027])

    call avR2(1370, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9030, nGC_9028])

    allocate(vertices(2401)%branchR2(0:0))
    call avR2(2401, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2536)%branchR2(0:0))
    call avR2(2536, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1497)%branchR2(0:0))
    call avR2(1497, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2123)%branchR2(0:0))
    call avR2(2123, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2038)%branchR2(0:0))
    call avR2(2038, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2399)%branchR2(0:3))
    call avR2(2399, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(2399, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2399, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(2399, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(3623)%branchR2(0:1))
    call avR2(3623, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9243])

    call avR2(3623, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9244])

    allocate(vertices(2327)%branchR2(0:0))
    call avR2(2327, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(104)%branchR2(0:0))
    call avR2(104, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2649)%branchR2(0:0))
    call avR2(2649, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3624)%branchR2(0:0))
    call avR2(3624, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(1178)%branchR2(0:0))
    call avR2(1178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8994])

    allocate(vertices(2631)%branchR2(0:0))
    call avR2(2631, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8832])

    allocate(vertices(850)%branchR2(0:0))
    call avR2(850, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9255, nGC_9256])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2791)%branchR2(0:0))
    call avR2(2791, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2188)%branchR2(0:1))
    call avR2(2188, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(2188, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8783, nGC_8782])

    allocate(vertices(1604)%branchR2(0:0))
    call avR2(1604, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2003)%branchR2(0:0))
    call avR2(2003, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3625)%branchR2(0:1))
    call avR2(3625, 0, 37, 1, 0, VSV0, 0, [2, 1], [nGC_8977])

    call avR2(3625, 1, 38, 1, 0, VSV0, 0, [2, 1], [nGC_8978])

    allocate(vertices(1900)%branchR2(0:0))
    call avR2(1900, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3440)%branchR2(0:0))
    call avR2(3440, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1896)%branchR2(0:0))
    call avR2(1896, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(105)%branchR2(0:0))
    call avR2(105, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29766])

    allocate(vertices(2371)%branchR2(0:1))
    call avR2(2371, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_9010, nGC_9011])

    call avR2(2371, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9012, nGC_9012])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

    allocate(vertices(2799)%branchR2(0:0))
    call avR2(2799, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1011)%branchR2(0:0))
    call avR2(1011, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1715)%branchR2(0:0))
    call avR2(1715, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(782)%branchR2(0:1))
    call avR2(782, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(782, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(2046)%branchR2(0:0))
    call avR2(2046, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(2200)%branchR2(0:1))
    call avR2(2200, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(2200, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(1285)%branchR2(0:0))
    call avR2(1285, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(3055)%branchR2(0:0))
    call avR2(3055, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29545])

    allocate(vertices(1646)%branchR2(0:0))
    call avR2(1646, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2342)%branchR2(0:0))
    call avR2(2342, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1908)%branchR2(0:1))
    call avR2(1908, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8790, nGC_8789])

    call avR2(1908, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(1256)%branchR2(0:0))
    call avR2(1256, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1578)%branchR2(0:0))
    call avR2(1578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2380)%branchR2(0:0))
    call avR2(2380, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8832])

    allocate(vertices(2280)%branchR2(0:0))
    call avR2(2280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1134)%branchR2(0:0))
    call avR2(1134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1403)%branchR2(0:0))
    call avR2(1403, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9127, nGC_9126&
    ])

    allocate(vertices(2482)%branchR2(0:0))
    call avR2(2482, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2682)%branchR2(0:0))
    call avR2(2682, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3444)%branchR2(0:0))
    call avR2(3444, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8796])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2194)%branchR2(0:0))
    call avR2(2194, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3170)%branchR2(0:1))
    call avR2(3170, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8737&
    , nGC_8737])

    call avR2(3170, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8738&
    , nGC_8738])

    allocate(vertices(1746)%branchR2(0:0))
    call avR2(1746, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2224)%branchR2(0:0))
    call avR2(2224, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(3123)%branchR2(0:0))
    call avR2(3123, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29815])

    allocate(vertices(3141)%branchR2(0:0))
    call avR2(3141, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(3626)%branchR2(0:1))
    call avR2(3626, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9165])

    call avR2(3626, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(92)%branchR2(0:0))
    call avR2(92, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

    allocate(vertices(1194)%branchR2(0:0))
    call avR2(1194, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9249])

    allocate(vertices(2426)%branchR2(0:0))
    call avR2(2426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3627)%branchR2(0:1))
    call avR2(3627, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3627, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(3383)%branchR2(0:0))
    call avR2(3383, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1725)%branchR2(0:1))
    call avR2(1725, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_9000, nGC_9000])

    call avR2(1725, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8998, nGC_8999])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3492)%branchR2(0:0))
    call avR2(3492, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3212)%branchR2(0:0))
    call avR2(3212, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3237)%branchR2(0:0))
    call avR2(3237, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8856])

    allocate(vertices(2804)%branchR2(0:0))
    call avR2(2804, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1953)%branchR2(0:0))
    call avR2(1953, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(2866)%branchR2(0:0))
    call avR2(2866, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(2391)%branchR2(0:0))
    call avR2(2391, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8809])

    allocate(vertices(382)%branchR2(0:0))
    call avR2(382, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8917])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(3289)%branchR2(0:0))
    call avR2(3289, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3264)%branchR2(0:0))
    call avR2(3264, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(3628)%branchR2(0:1))
    call avR2(3628, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9202])

    call avR2(3628, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9203])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9043])

    allocate(vertices(1324)%branchR2(0:0))
    call avR2(1324, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2154)%branchR2(0:0))
    call avR2(2154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3629)%branchR2(0:0))
    call avR2(3629, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2507)%branchR2(0:0))
    call avR2(2507, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29671])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1743)%branchR2(0:0))
    call avR2(1743, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2786)%branchR2(0:0))
    call avR2(2786, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(2637)%branchR2(0:3))
    call avR2(2637, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(2637, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2637, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(2637, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2661)%branchR2(0:1))
    call avR2(2661, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8968, nGC_8968])

    call avR2(2661, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8966, nGC_8967])

    allocate(vertices(2533)%branchR2(0:0))
    call avR2(2533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(2201)%branchR2(0:0))
    call avR2(2201, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1264)%branchR2(0:0))
    call avR2(1264, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(3486)%branchR2(0:0))
    call avR2(3486, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2658)%branchR2(0:0))
    call avR2(2658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1187)%branchR2(0:0))
    call avR2(1187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2398)%branchR2(0:0))
    call avR2(2398, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3347)%branchR2(0:0))
    call avR2(3347, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2966)%branchR2(0:0))
    call avR2(2966, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29815])

    allocate(vertices(3567)%branchR2(0:0))
    call avR2(3567, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8779])

    allocate(vertices(3137)%branchR2(0:0))
    call avR2(3137, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(1441)%branchR2(0:0))
    call avR2(1441, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(2099)%branchR2(0:0))
    call avR2(2099, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(1273)%branchR2(0:0))
    call avR2(1273, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(3345)%branchR2(0:0))
    call avR2(3345, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2448)%branchR2(0:0))
    call avR2(2448, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2333)%branchR2(0:0))
    call avR2(2333, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9043])

    allocate(vertices(3416)%branchR2(0:0))
    call avR2(3416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(3571)%branchR2(0:0))
    call avR2(3571, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3630)%branchR2(0:0))
    call avR2(3630, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9090, nGC_9090&
    ])

    allocate(vertices(3631)%branchR2(0:0))
    call avR2(3631, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1156)%branchR2(0:0))
    call avR2(1156, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8928])

    allocate(vertices(3065)%branchR2(0:0))
    call avR2(3065, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(2302)%branchR2(0:0))
    call avR2(2302, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(3632)%branchR2(0:0))
    call avR2(3632, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3633)%branchR2(0:0))
    call avR2(3633, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29895])

    allocate(vertices(3362)%branchR2(0:0))
    call avR2(3362, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29588])

    allocate(vertices(1971)%branchR2(0:0))
    call avR2(1971, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2556)%branchR2(0:1))
    call avR2(2556, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(2556, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8898])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2995)%branchR2(0:0))
    call avR2(2995, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3634)%branchR2(0:1))
    call avR2(3634, 0, 35, 1, 0, VVS0, 0, [2, 1], [nGC_8977])

    call avR2(3634, 1, 36, 1, 0, VVS0, 0, [2, 1], [nGC_8978])

    allocate(vertices(280)%branchR2(0:0))
    call avR2(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(3635)%branchR2(0:0))
    call avR2(3635, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2078)%branchR2(0:1))
    call avR2(2078, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(2078, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(3636)%branchR2(0:5))
    call avR2(3636, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3636, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_9145, nGC_9145,        &
    nGC_9145])

    call avR2(3636, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3636, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3636, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3636, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2024)%branchR2(0:0))
    call avR2(2024, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(638)%branchR2(0:1))
    call avR2(638, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_9022])

    call avR2(638, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29927])

    allocate(vertices(1480)%branchR2(0:0))
    call avR2(1480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(838)%branchR2(0:1))
    call avR2(838, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(838, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3637)%branchR2(0:1))
    call avR2(3637, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3637, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(3638)%branchR2(0:1))
    call avR2(3638, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9165])

    call avR2(3638, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(1401)%branchR2(0:0))
    call avR2(1401, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(1068)%branchR2(0:0))
    call avR2(1068, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(130)%branchR2(0:0))
    call avR2(130, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3261)%branchR2(0:0))
    call avR2(3261, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(586)%branchR2(0:0))
    call avR2(586, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2730)%branchR2(0:0))
    call avR2(2730, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29946])

    allocate(vertices(1790)%branchR2(0:0))
    call avR2(1790, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8791, nGC_8792])

    allocate(vertices(2719)%branchR2(0:0))
    call avR2(2719, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1363)%branchR2(0:0))
    call avR2(1363, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2238)%branchR2(0:0))
    call avR2(2238, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(3639)%branchR2(0:0))
    call avR2(3639, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9097])

    allocate(vertices(1504)%branchR2(0:0))
    call avR2(1504, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8852])

    allocate(vertices(1794)%branchR2(0:0))
    call avR2(1794, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1206)%branchR2(0:0))
    call avR2(1206, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2423)%branchR2(0:0))
    call avR2(2423, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1465)%branchR2(0:0))
    call avR2(1465, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3640)%branchR2(0:0))
    call avR2(3640, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9097])

    allocate(vertices(2605)%branchR2(0:0))
    call avR2(2605, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8832])

    allocate(vertices(2693)%branchR2(0:0))
    call avR2(2693, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1331)%branchR2(0:0))
    call avR2(1331, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8926])

    allocate(vertices(2501)%branchR2(0:0))
    call avR2(2501, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8895])

    allocate(vertices(3087)%branchR2(0:0))
    call avR2(3087, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2296)%branchR2(0:0))
    call avR2(2296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3482)%branchR2(0:0))
    call avR2(3482, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2855)%branchR2(0:0))
    call avR2(2855, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1855)%branchR2(0:1))
    call avR2(1855, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(1855, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(1254)%branchR2(0:0))
    call avR2(1254, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(2190)%branchR2(0:0))
    call avR2(2190, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1907)%branchR2(0:0))
    call avR2(1907, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2253)%branchR2(0:0))
    call avR2(2253, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8965])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2963)%branchR2(0:0))
    call avR2(2963, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1690)%branchR2(0:1))
    call avR2(1690, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_9013, nGC_9014])

    call avR2(1690, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9015, nGC_9015])

    allocate(vertices(3140)%branchR2(0:0))
    call avR2(3140, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(576)%branchR2(0:1))
    call avR2(576, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_9010, nGC_9011])

    call avR2(576, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9012, nGC_9012])

    allocate(vertices(1467)%branchR2(0:0))
    call avR2(1467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2840)%branchR2(0:0))
    call avR2(2840, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2541)%branchR2(0:0))
    call avR2(2541, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(2797)%branchR2(0:0))
    call avR2(2797, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1742)%branchR2(0:0))
    call avR2(1742, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9093, nGC_9094, nGC_9095&
    ])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2839)%branchR2(0:0))
    call avR2(2839, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8766])

    allocate(vertices(1630)%branchR2(0:0))
    call avR2(1630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1106)%branchR2(0:0))
    call avR2(1106, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(2189)%branchR2(0:0))
    call avR2(2189, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(3641)%branchR2(0:1))
    call avR2(3641, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9247])

    call avR2(3641, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(3642)%branchR2(0:0))
    call avR2(3642, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(1652)%branchR2(0:0))
    call avR2(1652, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(887)%branchR2(0:0))
    call avR2(887, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8833])

    allocate(vertices(3043)%branchR2(0:0))
    call avR2(3043, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3643)%branchR2(0:1))
    call avR2(3643, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9213])

    call avR2(3643, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(3495)%branchR2(0:0))
    call avR2(3495, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(3182)%branchR2(0:0))
    call avR2(3182, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2713)%branchR2(0:0))
    call avR2(2713, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2596)%branchR2(0:0))
    call avR2(2596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2602)%branchR2(0:0))
    call avR2(2602, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1033)%branchR2(0:0))
    call avR2(1033, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(350)%branchR2(0:0))
    call avR2(350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3156)%branchR2(0:0))
    call avR2(3156, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2679)%branchR2(0:0))
    call avR2(2679, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3644)%branchR2(0:1))
    call avR2(3644, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9257])

    call avR2(3644, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9258])

    allocate(vertices(2563)%branchR2(0:0))
    call avR2(2563, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(1495)%branchR2(0:0))
    call avR2(1495, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1905)%branchR2(0:0))
    call avR2(1905, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(1826)%branchR2(0:0))
    call avR2(1826, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9094, nGC_9093&
    ])

    allocate(vertices(2318)%branchR2(0:0))
    call avR2(2318, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(2137)%branchR2(0:0))
    call avR2(2137, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(785)%branchR2(0:1))
    call avR2(785, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(785, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(3645)%branchR2(0:1))
    call avR2(3645, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3645, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(1640)%branchR2(0:1))
    call avR2(1640, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(1640, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(2023)%branchR2(0:0))
    call avR2(2023, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8925])

    allocate(vertices(1840)%branchR2(0:0))
    call avR2(1840, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30044])

    allocate(vertices(1169)%branchR2(0:0))
    call avR2(1169, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2590)%branchR2(0:0))
    call avR2(2590, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(2180)%branchR2(0:0))
    call avR2(2180, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2655)%branchR2(0:0))
    call avR2(2655, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(3134)%branchR2(0:0))
    call avR2(3134, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(173)%branchR2(0:0))
    call avR2(173, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(2455)%branchR2(0:0))
    call avR2(2455, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3646)%branchR2(0:1))
    call avR2(3646, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9150])

    call avR2(3646, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(2593)%branchR2(0:0))
    call avR2(2593, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8851])

    allocate(vertices(3647)%branchR2(0:1))
    call avR2(3647, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9165])

    call avR2(3647, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(323)%branchR2(0:0))
    call avR2(323, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8777])

    allocate(vertices(3340)%branchR2(0:0))
    call avR2(3340, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(633)%branchR2(0:0))
    call avR2(633, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3380)%branchR2(0:0))
    call avR2(3380, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9127, nGC_9126])

    allocate(vertices(762)%branchR2(0:0))
    call avR2(762, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8915])

    allocate(vertices(1349)%branchR2(0:1))
    call avR2(1349, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8995, nGC_8996])

    call avR2(1349, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8997, nGC_8997])

    allocate(vertices(2445)%branchR2(0:0))
    call avR2(2445, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1883)%branchR2(0:0))
    call avR2(1883, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(2630)%branchR2(0:0))
    call avR2(2630, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3648)%branchR2(0:0))
    call avR2(3648, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1292)%branchR2(0:0))
    call avR2(1292, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1847)%branchR2(0:0))
    call avR2(1847, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1913)%branchR2(0:0))
    call avR2(1913, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9128, nGC_9127&
    ])

    allocate(vertices(3649)%branchR2(0:0))
    call avR2(3649, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(139)%branchR2(0:1))
    call avR2(139, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9022])

    call avR2(139, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2112)%branchR2(0:0))
    call avR2(2112, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(2407)%branchR2(0:0))
    call avR2(2407, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1461)%branchR2(0:0))
    call avR2(1461, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(321)%branchR2(0:1))
    call avR2(321, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(321, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(3227)%branchR2(0:0))
    call avR2(3227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3236)%branchR2(0:0))
    call avR2(3236, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(1763)%branchR2(0:0))
    call avR2(1763, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1899)%branchR2(0:0))
    call avR2(1899, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(1836)%branchR2(0:0))
    call avR2(1836, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9195])

    allocate(vertices(2901)%branchR2(0:0))
    call avR2(2901, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30103])

    allocate(vertices(1205)%branchR2(0:0))
    call avR2(1205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2299)%branchR2(0:0))
    call avR2(2299, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(324)%branchR2(0:3))
    call avR2(324, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(324, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(324, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(324, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1850)%branchR2(0:0))
    call avR2(1850, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(87)%branchR2(0:0))
    call avR2(87, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8777])

    allocate(vertices(899)%branchR2(0:0))
    call avR2(899, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(3452)%branchR2(0:0))
    call avR2(3452, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8914])

    allocate(vertices(3650)%branchR2(0:1))
    call avR2(3650, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9165])

    call avR2(3650, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(1703)%branchR2(0:0))
    call avR2(1703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3063)%branchR2(0:0))
    call avR2(3063, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8785])

    allocate(vertices(1722)%branchR2(0:0))
    call avR2(1722, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2017)%branchR2(0:0))
    call avR2(2017, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(635)%branchR2(0:0))
    call avR2(635, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3573)%branchR2(0:0))
    call avR2(3573, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8785])

    allocate(vertices(3651)%branchR2(0:1))
    call avR2(3651, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3651, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(1904)%branchR2(0:0))
    call avR2(1904, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2140)%branchR2(0:0))
    call avR2(2140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(3652)%branchR2(0:1))
    call avR2(3652, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9165])

    call avR2(3652, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(712)%branchR2(0:3))
    call avR2(712, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(712, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(712, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(712, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(1312)%branchR2(0:0))
    call avR2(1312, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8917])

    allocate(vertices(933)%branchR2(0:0))
    call avR2(933, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2372)%branchR2(0:0))
    call avR2(2372, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2269)%branchR2(0:0))
    call avR2(2269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1591)%branchR2(0:0))
    call avR2(1591, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3315)%branchR2(0:0))
    call avR2(3315, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30145])

    allocate(vertices(2912)%branchR2(0:0))
    call avR2(2912, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1726)%branchR2(0:1))
    call avR2(1726, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(1726, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(1198)%branchR2(0:0))
    call avR2(1198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1072)%branchR2(0:0))
    call avR2(1072, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2666)%branchR2(0:0))
    call avR2(2666, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(488)%branchR2(0:0))
    call avR2(488, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8965])

    allocate(vertices(1491)%branchR2(0:1))
    call avR2(1491, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8971, nGC_8971])

    call avR2(1491, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8969, nGC_8970])

    allocate(vertices(3532)%branchR2(0:0))
    call avR2(3532, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8815])

    allocate(vertices(1272)%branchR2(0:0))
    call avR2(1272, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3042)%branchR2(0:0))
    call avR2(3042, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(1809)%branchR2(0:0))
    call avR2(1809, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8917])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1399)%branchR2(0:0))
    call avR2(1399, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8922])

    allocate(vertices(1716)%branchR2(0:0))
    call avR2(1716, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9127, nGC_9128&
    ])

    allocate(vertices(2461)%branchR2(0:0))
    call avR2(2461, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30169])

    allocate(vertices(3653)%branchR2(0:0))
    call avR2(3653, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1009)%branchR2(0:0))
    call avR2(1009, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1151)%branchR2(0:0))
    call avR2(1151, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2439)%branchR2(0:0))
    call avR2(2439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(75)%branchR2(0:0))
    call avR2(75, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(3654)%branchR2(0:0))
    call avR2(3654, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2972)%branchR2(0:0))
    call avR2(2972, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(2469)%branchR2(0:0))
    call avR2(2469, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(977)%branchR2(0:0))
    call avR2(977, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(524)%branchR2(0:0))
    call avR2(524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1231)%branchR2(0:0))
    call avR2(1231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1550)%branchR2(0:0))
    call avR2(1550, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1785)%branchR2(0:0))
    call avR2(1785, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1741)%branchR2(0:0))
    call avR2(1741, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1260)%branchR2(0:1))
    call avR2(1260, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8989, nGC_8990])

    call avR2(1260, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8991, nGC_8991])

    allocate(vertices(1291)%branchR2(0:0))
    call avR2(1291, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8775])

    allocate(vertices(3655)%branchR2(0:0))
    call avR2(3655, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(2097)%branchR2(0:0))
    call avR2(2097, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1710)%branchR2(0:0))
    call avR2(1710, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3656)%branchR2(0:1))
    call avR2(3656, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3656, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2213)%branchR2(0:0))
    call avR2(2213, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2981)%branchR2(0:0))
    call avR2(2981, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1945)%branchR2(0:1))
    call avR2(1945, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(1945, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(2447)%branchR2(0:0))
    call avR2(2447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3451)%branchR2(0:0))
    call avR2(3451, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8774])

    allocate(vertices(1556)%branchR2(0:0))
    call avR2(1556, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3420)%branchR2(0:0))
    call avR2(3420, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29463])

    allocate(vertices(2986)%branchR2(0:0))
    call avR2(2986, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30208])

    allocate(vertices(1704)%branchR2(0:0))
    call avR2(1704, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3657)%branchR2(0:0))
    call avR2(3657, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8853])

    allocate(vertices(2882)%branchR2(0:0))
    call avR2(2882, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(3658)%branchR2(0:5))
    call avR2(3658, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3658, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3658, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3658, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_9145, nGC_9145,        &
    nGC_9145])

    call avR2(3658, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3658, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(379)%branchR2(0:0))
    call avR2(379, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2261)%branchR2(0:0))
    call avR2(2261, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9127, nGC_9126&
    ])

    allocate(vertices(2577)%branchR2(0:1))
    call avR2(2577, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(2577, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(2777)%branchR2(0:0))
    call avR2(2777, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3013)%branchR2(0:0))
    call avR2(3013, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1944)%branchR2(0:0))
    call avR2(1944, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(719)%branchR2(0:0))
    call avR2(719, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1295)%branchR2(0:0))
    call avR2(1295, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3659)%branchR2(0:0))
    call avR2(3659, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9090, nGC_9090&
    ])

    allocate(vertices(1942)%branchR2(0:0))
    call avR2(1942, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

    allocate(vertices(1025)%branchR2(0:1))
    call avR2(1025, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8981, nGC_8982])

    call avR2(1025, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8983, nGC_8983])

    allocate(vertices(3660)%branchR2(0:0))
    call avR2(3660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(352)%branchR2(0:0))
    call avR2(352, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(1814)%branchR2(0:0))
    call avR2(1814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3149)%branchR2(0:0))
    call avR2(3149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2246)%branchR2(0:0))
    call avR2(2246, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2920)%branchR2(0:0))
    call avR2(2920, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1258)%branchR2(0:0))
    call avR2(1258, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3661)%branchR2(0:0))
    call avR2(3661, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9133, nGC_9133, nGC_9133&
    ])

    allocate(vertices(1566)%branchR2(0:0))
    call avR2(1566, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1352)%branchR2(0:1))
    call avR2(1352, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1352, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(3233)%branchR2(0:0))
    call avR2(3233, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2706)%branchR2(0:0))
    call avR2(2706, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2578)%branchR2(0:0))
    call avR2(2578, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29447])

    allocate(vertices(437)%branchR2(0:0))
    call avR2(437, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2511)%branchR2(0:0))
    call avR2(2511, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30259])

    allocate(vertices(1870)%branchR2(0:0))
    call avR2(1870, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(436)%branchR2(0:0))
    call avR2(436, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1970)%branchR2(0:1))
    call avR2(1970, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1970, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9093, nGC_9095])

    allocate(vertices(455)%branchR2(0:0))
    call avR2(455, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9128, nGC_9127])

    allocate(vertices(2742)%branchR2(0:0))
    call avR2(2742, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1878)%branchR2(0:0))
    call avR2(1878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1849)%branchR2(0:0))
    call avR2(1849, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8926])

    allocate(vertices(1978)%branchR2(0:0))
    call avR2(1978, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2865)%branchR2(0:0))
    call avR2(2865, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8795])

    allocate(vertices(2955)%branchR2(0:0))
    call avR2(2955, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2489)%branchR2(0:0))
    call avR2(2489, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3530)%branchR2(0:0))
    call avR2(3530, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8714, nGC_8713])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(3002)%branchR2(0:0))
    call avR2(3002, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8757&
    , nGC_8757])

    allocate(vertices(3017)%branchR2(0:0))
    call avR2(3017, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(2414)%branchR2(0:0))
    call avR2(2414, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3115)%branchR2(0:0))
    call avR2(3115, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2208)%branchR2(0:1))
    call avR2(2208, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_9022])

    call avR2(2208, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(1030)%branchR2(0:0))
    call avR2(1030, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1393)%branchR2(0:0))
    call avR2(1393, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(2275)%branchR2(0:0))
    call avR2(2275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(2218)%branchR2(0:0))
    call avR2(2218, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8809])

    allocate(vertices(1392)%branchR2(0:0))
    call avR2(1392, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(3150)%branchR2(0:0))
    call avR2(3150, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3662)%branchR2(0:1))
    call avR2(3662, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9165])

    call avR2(3662, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(3663)%branchR2(0:1))
    call avR2(3663, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3663, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(2162)%branchR2(0:0))
    call avR2(2162, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2339)%branchR2(0:0))
    call avR2(2339, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3075)%branchR2(0:0))
    call avR2(3075, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

    allocate(vertices(2460)%branchR2(0:0))
    call avR2(2460, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(342)%branchR2(0:0))
    call avR2(342, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30309])

    allocate(vertices(1365)%branchR2(0:0))
    call avR2(1365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1546)%branchR2(0:0))
    call avR2(1546, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9253, nGC_9252&
    ])

    allocate(vertices(3664)%branchR2(0:0))
    call avR2(3664, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3527)%branchR2(0:1))
    call avR2(3527, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8759&
    , nGC_8759])

    call avR2(3527, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8760&
    , nGC_8760])

    allocate(vertices(3665)%branchR2(0:1))
    call avR2(3665, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9220])

    call avR2(3665, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3666)%branchR2(0:0))
    call avR2(3666, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2361)%branchR2(0:0))
    call avR2(2361, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(1427)%branchR2(0:0))
    call avR2(1427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9043])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(3667)%branchR2(0:0))
    call avR2(3667, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2234)%branchR2(0:1))
    call avR2(2234, 0, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_9023])

    call avR2(2234, 1, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_9024])

    allocate(vertices(381)%branchR2(0:0))
    call avR2(381, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(285)%branchR2(0:0))
    call avR2(285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1946)%branchR2(0:0))
    call avR2(1946, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(2894)%branchR2(0:0))
    call avR2(2894, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1439)%branchR2(0:0))
    call avR2(1439, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3098)%branchR2(0:0))
    call avR2(3098, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2860)%branchR2(0:0))
    call avR2(2860, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2221)%branchR2(0:1))
    call avR2(2221, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(2221, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(2410)%branchR2(0:0))
    call avR2(2410, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(2677)%branchR2(0:0))
    call avR2(2677, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(3488)%branchR2(0:0))
    call avR2(3488, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8710, nGC_8709])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8833])

    allocate(vertices(3204)%branchR2(0:0))
    call avR2(3204, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8771])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(1974)%branchR2(0:0))
    call avR2(1974, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(873)%branchR2(0:3))
    call avR2(873, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(873, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(873, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(873, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(3668)%branchR2(0:0))
    call avR2(3668, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9102, nGC_9103, nGC_9103&
    ])

    allocate(vertices(1947)%branchR2(0:1))
    call avR2(1947, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8801, nGC_8800])

    call avR2(1947, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(1592)%branchR2(0:0))
    call avR2(1592, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(3669)%branchR2(0:1))
    call avR2(3669, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3669, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(1689)%branchR2(0:0))
    call avR2(1689, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30370])

    allocate(vertices(3036)%branchR2(0:0))
    call avR2(3036, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30372])

    allocate(vertices(3221)%branchR2(0:0))
    call avR2(3221, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(3193)%branchR2(0:0))
    call avR2(3193, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8771])

    allocate(vertices(3511)%branchR2(0:0))
    call avR2(3511, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2329)%branchR2(0:0))
    call avR2(2329, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8851])

    allocate(vertices(1986)%branchR2(0:0))
    call avR2(1986, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2018)%branchR2(0:0))
    call avR2(2018, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3445)%branchR2(0:0))
    call avR2(3445, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1530)%branchR2(0:1))
    call avR2(1530, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8971, nGC_8971])

    call avR2(1530, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8969, nGC_8970])

    allocate(vertices(1601)%branchR2(0:0))
    call avR2(1601, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(202)%branchR2(0:0))
    call avR2(202, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(1936)%branchR2(0:0))
    call avR2(1936, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8899, nGC_8901])

    call avR2(1171, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8900, nGC_8902])

    allocate(vertices(1842)%branchR2(0:0))
    call avR2(1842, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3670)%branchR2(0:0))
    call avR2(3670, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3671)%branchR2(0:1))
    call avR2(3671, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9234])

    call avR2(3671, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9235])

    allocate(vertices(3178)%branchR2(0:0))
    call avR2(3178, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(3672)%branchR2(0:0))
    call avR2(3672, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2558)%branchR2(0:0))
    call avR2(2558, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8928])

    allocate(vertices(1257)%branchR2(0:0))
    call avR2(1257, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3673)%branchR2(0:1))
    call avR2(3673, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9213])

    call avR2(3673, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(341)%branchR2(0:0))
    call avR2(341, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(1509)%branchR2(0:0))
    call avR2(1509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2908)%branchR2(0:0))
    call avR2(2908, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1032)%branchR2(0:0))
    call avR2(1032, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1031)%branchR2(0:1))
    call avR2(1031, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8971, nGC_8971])

    call avR2(1031, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8969, nGC_8970])

    allocate(vertices(2203)%branchR2(0:0))
    call avR2(2203, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2392)%branchR2(0:0))
    call avR2(2392, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2739)%branchR2(0:0))
    call avR2(2739, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(403)%branchR2(0:0))
    call avR2(403, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30044])

    allocate(vertices(3126)%branchR2(0:0))
    call avR2(3126, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(3674)%branchR2(0:1))
    call avR2(3674, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3674, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(2340)%branchR2(0:0))
    call avR2(2340, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2013)%branchR2(0:0))
    call avR2(2013, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29927])

    allocate(vertices(2819)%branchR2(0:0))
    call avR2(2819, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1835)%branchR2(0:0))
    call avR2(1835, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2660)%branchR2(0:0))
    call avR2(2660, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29895])

    allocate(vertices(3074)%branchR2(0:0))
    call avR2(3074, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1688)%branchR2(0:0))
    call avR2(1688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(2584)%branchR2(0:0))
    call avR2(2584, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1647)%branchR2(0:0))
    call avR2(1647, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9040])

    allocate(vertices(2367)%branchR2(0:0))
    call avR2(2367, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8917])

    allocate(vertices(1729)%branchR2(0:0))
    call avR2(1729, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1489)%branchR2(0:0))
    call avR2(1489, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8928])

    allocate(vertices(1451)%branchR2(0:0))
    call avR2(1451, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(331)%branchR2(0:3))
    call avR2(331, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(331, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(331, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(331, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1542)%branchR2(0:0))
    call avR2(1542, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(1644)%branchR2(0:1))
    call avR2(1644, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8991, nGC_8991])

    call avR2(1644, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8989, nGC_8990])

    allocate(vertices(1513)%branchR2(0:1))
    call avR2(1513, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8997, nGC_8997])

    call avR2(1513, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8995, nGC_8996])

    allocate(vertices(1524)%branchR2(0:0))
    call avR2(1524, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3438)%branchR2(0:0))
    call avR2(3438, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30448])

    allocate(vertices(1802)%branchR2(0:0))
    call avR2(1802, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1685)%branchR2(0:0))
    call avR2(1685, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2083)%branchR2(0:0))
    call avR2(2083, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2121)%branchR2(0:0))
    call avR2(2121, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1529)%branchR2(0:0))
    call avR2(1529, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1296)%branchR2(0:0))
    call avR2(1296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3048)%branchR2(0:0))
    call avR2(3048, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(549)%branchR2(0:0))
    call avR2(549, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(277)%branchR2(0:1))
    call avR2(277, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8986, nGC_8986])

    call avR2(277, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8984, nGC_8985])

    allocate(vertices(1784)%branchR2(0:0))
    call avR2(1784, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(112)%branchR2(0:0))
    call avR2(112, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(934)%branchR2(0:0))
    call avR2(934, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(805)%branchR2(0:1))
    call avR2(805, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(805, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(858)%branchR2(0:0))
    call avR2(858, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1423)%branchR2(0:0))
    call avR2(1423, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1733)%branchR2(0:0))
    call avR2(1733, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9084])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1636)%branchR2(0:3))
    call avR2(1636, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(1636, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(1636, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(1636, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(1538)%branchR2(0:0))
    call avR2(1538, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3144)%branchR2(0:0))
    call avR2(3144, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8897])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(3675)%branchR2(0:1))
    call avR2(3675, 0, 35, 1, 0, VVS0, 0, [2, 1], [nGC_9006])

    call avR2(3675, 1, 36, 1, 0, VVS0, 0, [2, 1], [nGC_9007])

    allocate(vertices(3299)%branchR2(0:0))
    call avR2(3299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1968)%branchR2(0:0))
    call avR2(1968, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8843])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2175)%branchR2(0:0))
    call avR2(2175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1861)%branchR2(0:0))
    call avR2(1861, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(3303)%branchR2(0:0))
    call avR2(3303, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29463])

    allocate(vertices(1037)%branchR2(0:0))
    call avR2(1037, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2196)%branchR2(0:0))
    call avR2(2196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2456)%branchR2(0:1))
    call avR2(2456, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(2456, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(2336)%branchR2(0:0))
    call avR2(2336, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(1479)%branchR2(0:0))
    call avR2(1479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29927])

    allocate(vertices(1355)%branchR2(0:0))
    call avR2(1355, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(2252)%branchR2(0:0))
    call avR2(2252, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2809)%branchR2(0:0))
    call avR2(2809, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8857])

    allocate(vertices(2229)%branchR2(0:0))
    call avR2(2229, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1626)%branchR2(0:0))
    call avR2(1626, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(3676)%branchR2(0:1))
    call avR2(3676, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9213])

    call avR2(3676, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(2914)%branchR2(0:0))
    call avR2(2914, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3677)%branchR2(0:1))
    call avR2(3677, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9220])

    call avR2(3677, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8791, nGC_8792])

    allocate(vertices(1707)%branchR2(0:0))
    call avR2(1707, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8831])

    allocate(vertices(2572)%branchR2(0:0))
    call avR2(2572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(995)%branchR2(0:0))
    call avR2(995, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29766])

  end subroutine fill_vertices_mdl9
end module vertices_info9
