!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_13865) = coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl(nGC_92)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9373) + coupl(nGC_94)*      &
                       dZHa_QED2/2d0 + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(    &
                       nGC_94)*dZZ_QED2/2d0
    coupl(nGC_13866) = -coupl(nGC_13865)
    coupl(nGC_13041) = coupl(nGC_36)*dZGMinus/2d0
    coupl(nGC_9513) = coupl(nGC_431)*dyt2_QED1_QCD2 + coupl(nGC_435)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_9512) = coupl(nGC_8209)*dyc1_QED1_QCD2 + coupl(nGC_8210)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9511) = coupl(nGC_8208)*db_QED2 + coupl(nGC_8209)*dyc1_QED3 +    &
                      coupl(nGC_8210)*dyc2_QED3
    coupl(nGC_13264) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_9517) = coupl(nGC_7934)*dsw_QED2 + coupl(nGC_7935)*db_QED2 +     &
                      coupl(nGC_7936)*dMW2_QED2 + coupl(nGC_7937)*dZee_QED2 +  &
                      coupl(nGC_7938)*da_QED2
    coupl(nGC_9516) = coupl(nGC_8528)*dsw_QED2 + coupl(nGC_8529)*dMW2_QED2 +   &
                      coupl(nGC_8530)*dZee_QED2
    coupl(nGC_9515) = coupl(nGC_8211)*dMW2_QED2 + coupl(nGC_8212)*dZee_QED2
    coupl(nGC_9514) = coupl(nGC_431)*dyt2_QED3 + coupl(nGC_433)*db_QED2 + coupl&
                      (nGC_435)*dyt1_QED3
    coupl(nGC_9519) = coupl(nGC_8331)*dcw_QED2 + coupl(nGC_8332)*dsw_QED2 +    &
                      coupl(nGC_8333)*dMW2_QED2 + coupl(nGC_8334)*dZee_QED2
    coupl(nGC_9518) = coupl(nGC_8300)*dsw_QED2 + coupl(nGC_8301)*db_QED2 +     &
                      coupl(nGC_8302)*dMW2_QED2 + coupl(nGC_8303)*dZee_QED2 +  &
                      coupl(nGC_8304)*da_QED2
    coupl(nGC_12798) = coupl(nGC_41)*dZHaG0_QED2/2d0 + coupl(nGC_41)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_48)*dZHl_QED2/2d0 + coupl(nGC_9312)
    coupl(nGC_12795) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_12792) = coupl(nGC_40)*dZG0Ha_QED2/2d0 + coupl(nGC_40)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_48)*dZHa_QED2/2d0 + coupl(nGC_48)*dZHh_QED2/  &
                       2d0 + coupl(nGC_9312)
    coupl(nGC_8802) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*coupl(&
                      nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)*coupl(   &
                      nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_8803) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*coupl(&
                      nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8800) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +    &
                      coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl( &
                      nGC_2)*coupl(nGC_891) + coupl(nGC_180)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) + 4d0*    &
                      coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88)**2d0  &
                       + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8801) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(&
                      nGC_179)*coupl(nGC_2)*coupl(nGC_891) + coupl(nGC_180)**  &
                      2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(  &
                      nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl( &
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8804) = (coupl(nGC_1)*coupl(nGC_146)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_150)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +    &
                      coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_2) + coupl(     &
                      nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_195)**2d0*coupl(  &
                      nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2) + 4d0&
                      *coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88)**2d0 &
                       + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8773) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_141) - 8d0*Nc*  &
                      cMC*coupl(nGC_130)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl( &
                      nGC_1)**2d0*coupl(nGC_145) - 8d0*Nc*cMS*coupl(nGC_1)**2d0&
                      *coupl(nGC_169) - 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2  &
                      )**2d0 - 8d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)**2d0 -   &
                      8d0*cME*coupl(nGC_153)*coupl(nGC_4)**2d0 - 8d0*cMM*coupl(&
                      nGC_161)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_184)*    &
                      coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_124)*coupl(nGC_923&
                      ) - coupl(nGC_1005)*coupl(nGC_127)*coupl(nGC_647) + 6d0* &
                      coupl(nGC_124)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_124)*   &
                      coupl(nGC_647)**2d0 - coupl(nGC_126)*coupl(nGC_1391)*    &
                      coupl(nGC_647) - coupl(nGC_126)*coupl(nGC_3)*coupl(      &
                      nGC_617) - coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_69) -   &
                      coupl(nGC_126)*coupl(nGC_647)*coupl(nGC_68) - coupl(     &
                      nGC_127)*coupl(nGC_1611)*coupl(nGC_3) - coupl(nGC_127)*  &
                      coupl(nGC_3)*coupl(nGC_64) - coupl(nGC_127)*coupl(nGC_63 &
                      )*coupl(nGC_647))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13311) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_9359) = coupl(nGC_7918)*dsw_QED2 + coupl(nGC_7919)*db_QED2 +     &
                      coupl(nGC_7920)*dZee_QED2 + coupl(nGC_7921)*da_QED2
    coupl(nGC_9358) = coupl(nGC_7939)*dsw_QED2 + coupl(nGC_7940)*db_QED2 +     &
                      coupl(nGC_7941)*dZee_QED2 + coupl(nGC_7942)*da_QED2
    coupl(nGC_9428) = coupl(nGC_8145)*dydo2_QED3 + coupl(nGC_8146)*db_QED2 +   &
                      coupl(nGC_8147)*dydo1_QED3
    coupl(nGC_9427) = coupl(nGC_8145)*dydo2_QED1_QCD2 + coupl(nGC_8147)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9426) = coupl(nGC_8634)*dydo2_QED3 + coupl(nGC_8635)*db_QED2 +   &
                      coupl(nGC_8636)*dydo1_QED3
    coupl(nGC_9357) = coupl(nGC_8157)*dsw_QED2 + coupl(nGC_8158)*db_QED2 +     &
                      coupl(nGC_8159)*dZee_QED2 + coupl(nGC_8160)*da_QED2
    coupl(nGC_9424) = coupl(nGC_8347)*dyd13x3_QED1_QCD2 + coupl(nGC_8348)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9422) = coupl(nGC_8526)*dyt1_QED1_QCD2 + coupl(nGC_8527)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_9353) = coupl(nGC_8067)*dl4_QED4 + coupl(nGC_8068)*dl5_QED4 +    &
                      coupl(nGC_8069)*db_QED2 + coupl(nGC_8070)*dvev1_QED1 +   &
                      coupl(nGC_8071)*dvev2_QED1
    coupl(nGC_9352) = coupl(nGC_8031)*dl4_QED4 + coupl(nGC_8032)*dl5_QED4 +    &
                      coupl(nGC_8033)*db_QED2 + coupl(nGC_8034)*dvev1_QED1 +   &
                      coupl(nGC_8035)*dvev2_QED1
    coupl(nGC_8976) = (coupl(nGC_1005)*coupl(nGC_154)*coupl(nGC_80) - coupl(   &
                      nGC_153)**2d0*coupl(nGC_157) - coupl(nGC_156)**2d0*coupl(&
                      nGC_157) + coupl(nGC_156)*coupl(nGC_1671)*coupl(nGC_86   &
                      ) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92) - coupl(  &
                      nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160)**2d0 + 8d0*&
                      coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_157)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)*coupl(nGC_69&
                      )*coupl(nGC_80) + coupl(nGC_160)*coupl(nGC_683)*coupl(   &
                      nGC_86) + coupl(nGC_160)*coupl(nGC_89)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8977) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC*   &
                      coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173  &
                      ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**  &
                      2d0)
    coupl(nGC_8974) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8975) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)*   &
                      coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl( &
                      nGC_157) + coupl(nGC_155)*coupl(nGC_1671)*coupl(nGC_89   &
                      ) + coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(  &
                      nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 + 8d0*&
                      coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_157)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)*coupl(      &
                      nGC_617)*coupl(nGC_80) + coupl(nGC_159)*coupl(nGC_683)*  &
                      coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8972) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_1391)* &
                      coupl(nGC_150)*coupl(nGC_80) - coupl(nGC_145)**2d0*coupl(&
                      nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_195   &
                      ) - coupl(nGC_146)*coupl(nGC_64)*coupl(nGC_80) - coupl(  &
                      nGC_148)**2d0*coupl(nGC_149) - coupl(nGC_148)*coupl(     &
                      nGC_1671)*coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_84)*  &
                      coupl(nGC_92) - coupl(nGC_149)**3d0 - coupl(nGC_149)*    &
                      coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149)*coupl(nGC_84)*  &
                      coupl(nGC_87) - coupl(nGC_150)*coupl(nGC_195)*coupl(     &
                      nGC_196) - coupl(nGC_152)*coupl(nGC_683)*coupl(nGC_87) - &
                      coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(32d0*pi**2d0&
                      )
    coupl(nGC_8973) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145)** &
                      2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_1611)*coupl&
                      (nGC_80) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_195   &
                      ) - coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(nGC_147)* &
                      coupl(nGC_1671)*coupl(nGC_84) - coupl(nGC_147)*coupl(    &
                      nGC_87)*coupl(nGC_92) - coupl(nGC_149)**3d0 - coupl(     &
                      nGC_149)*coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149)*coupl( &
                      nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(nGC_195)*   &
                      coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_68)*coupl(     &
                      nGC_80) - coupl(nGC_151)*coupl(nGC_683)*coupl(nGC_84) -  &
                      coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(32d0*pi**2d0&
                      )
    coupl(nGC_8970) = (-coupl(nGC_1005)*coupl(nGC_131)*coupl(nGC_80) - coupl(  &
                      nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)*coupl(     &
                      nGC_170)*coupl(nGC_173) - coupl(nGC_132)**2d0*coupl(     &
                      nGC_133) - coupl(nGC_132)*coupl(nGC_1671)*coupl(nGC_85   &
                      ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(  &
                      nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 + 8d0*&
                      coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_133)*   &
                      coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)*coupl(      &
                      nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(nGC_69)*  &
                      coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_683)*coupl(     &
                      nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8971) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8978) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*    &
                      coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173  &
                      ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_8979) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)*   &
                      coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_163)**2d0*coupl( &
                      nGC_165) + coupl(nGC_163)*coupl(nGC_1671)*coupl(nGC_89   &
                      ) + coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92) - coupl(  &
                      nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167)**2d0 + 8d0*&
                      coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_165)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)*coupl(      &
                      nGC_617)*coupl(nGC_80) + coupl(nGC_167)*coupl(nGC_683)*  &
                      coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_19687) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZsL_QED2 +  &
                       coupl(nGC_9396)
    coupl(nGC_19686) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZsR_QED2 +  &
                       coupl(nGC_9397)
    coupl(nGC_19685) = coupl(nGC_87)*dZsL_QCD2
    coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
    coupl(nGC_19682) = coupl(nGC_84)*dZsR_QCD2
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
