!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_12781) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_8749) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_8748) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(nGC_89&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8741) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_8740) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8743) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8742) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8745) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_8744) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8747) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8746) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_37_Hl) = -coupl(nGC_37)*dtHl_QED1/cMHL**2d0
    coupl(nGC_17170) = coupl(nGC_I)*dZHa_QED2
    coupl(nGC_9348) = coupl(nGC_8697)*dl3_QED4 + coupl(nGC_8698)*dl1_QED4 +    &
                      coupl(nGC_8699)*dl2_QED4 + coupl(nGC_8700)*dl5_QED4 +    &
                      coupl(nGC_8701)*dl4_QED4 + coupl(nGC_8702)*dvev1_QED1 +  &
                      coupl(nGC_8703)*dvev2_QED1 + coupl(nGC_8704)*da_QED2
    coupl(nGC_9349) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dl2_QED4 + coupl(&
                      nGC_347)*dl3_QED4 + coupl(nGC_349)*dl5_QED4 + coupl(     &
                      nGC_351)*dl4_QED4 + coupl(nGC_353)*dl1_QED4 + coupl(     &
                      nGC_355)*dvev1_QED1 + coupl(nGC_357)*dvev2_QED1 + coupl( &
                      nGC_359)*da_QED2
    coupl(nGC_9438) = coupl(nGC_8403)*dydo1_QED3 + coupl(nGC_8404)*dydo2_QED3  &
                       + coupl(nGC_8405)*da_QED2
    coupl(nGC_9342) = coupl(nGC_8109)*dl4_QED4 + coupl(nGC_8110)*dl5_QED4 +    &
                      coupl(nGC_8111)*db_QED2 + coupl(nGC_8112)*dvev1_QED1 +   &
                      coupl(nGC_8113)*dvev2_QED1
    coupl(nGC_9343) = coupl(nGC_8353)*dl3_QED4 + coupl(nGC_8354)*db_QED2 +     &
                      coupl(nGC_8355)*dl2_QED4 + coupl(nGC_8356)*dl5_QED4 +    &
                      coupl(nGC_8357)*dvev2_QED1 + coupl(nGC_8358)*dvev1_QED1  &
                       + coupl(nGC_8359)*dl1_QED4 + coupl(nGC_8360)*dl4_QED4 + &
                      coupl(nGC_8361)*da_QED2
    coupl(nGC_9437) = coupl(nGC_8403)*dydo1_QED1_QCD2 + coupl(nGC_8404)*       &
                      dydo2_QED1_QCD2
    coupl(nGC_9430) = coupl(nGC_8508)*dyd12x2_QED3 + coupl(nGC_8509)*dys2_QED3 &
                       + coupl(nGC_8510)*db_QED2
    coupl(nGC_9347) = coupl(nGC_8081)*dl3_QED4 + coupl(nGC_8082)*db_QED2 +     &
                      coupl(nGC_8083)*dl2_QED4 + coupl(nGC_8084)*dl5_QED4 +    &
                      coupl(nGC_8085)*dvev2_QED1 + coupl(nGC_8086)*dvev1_QED1  &
                       + coupl(nGC_8087)*dl1_QED4 + coupl(nGC_8088)*dl4_QED4 + &
                      coupl(nGC_8089)*da_QED2
    coupl(nGC_9344) = coupl(nGC_8682)*dl3_QED4 + coupl(nGC_8683)*db_QED2 +     &
                      coupl(nGC_8684)*dl2_QED4 + coupl(nGC_8685)*dl5_QED4 +    &
                      coupl(nGC_8686)*dvev2_QED1 + coupl(nGC_8687)*dvev1_QED1  &
                       + coupl(nGC_8688)*dl1_QED4 + coupl(nGC_8689)*dl4_QED4 + &
                      coupl(nGC_8690)*da_QED2
    coupl(nGC_9345) = coupl(nGC_8673)*dl3_QED4 + coupl(nGC_8674)*db_QED2 +     &
                      coupl(nGC_8675)*dl2_QED4 + coupl(nGC_8676)*dl5_QED4 +    &
                      coupl(nGC_8677)*dvev2_QED1 + coupl(nGC_8678)*dvev1_QED1  &
                       + coupl(nGC_8679)*dl1_QED4 + coupl(nGC_8680)*dl4_QED4 + &
                      coupl(nGC_8681)*da_QED2
    coupl(nGC_8902) = coupl(nGC_178)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8900) = coupl(nGC_142)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8906) = coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8904) = coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8908) = coupl(nGC_146)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_125_Hh) = -coupl(nGC_125)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16318) = coupl(nGC_63)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_9236) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0* &
                      Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc*cima&
                      *coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*coupl(&
                      nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl(nGC_177&
                      )*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl&
                      (nGC_195)**3d0 - 5d0*cima*coupl(nGC_1005)**2d0*coupl(    &
                      nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_1391)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_64)*coupl(     &
                      nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl( &
                      nGC_63)**2d0 - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*  &
                      coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_617)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(      &
                      nGC_1391)**2d0*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*   &
                      coupl(nGC_1391)**2d0*coupl(nGC_64)*coupl(nGC_68) - 5d0*  &
                      cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_63)*coupl(&
                      nGC_64) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(&
                      nGC_64)**2d0 - 5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)* &
                      coupl(nGC_68)**2d0 + 40d0*cima*coupl(nGC_153)*coupl(     &
                      nGC_157)**3d0 + 40d0*cima*coupl(nGC_161)*coupl(nGC_165)**&
                      3d0 - 5d0*cima*coupl(nGC_1611)**2d0*coupl(nGC_64)*coupl( &
                      nGC_68) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl( &
                      nGC_69)**2d0 - 5d0*cima*coupl(nGC_1671)**2d0*coupl(nGC_92&
                      )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_2059&
                      )*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1671)*&
                      coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*   &
                      coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)**2d0 - 5d0* &
                      cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_94)**2d0 + &
                      40d0*cima*coupl(nGC_184)*coupl(nGC_188)**3d0 - 5d0*cima* &
                      coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_94)**2d0 - 5d0* &
                      cima*coupl(nGC_617)**2d0*coupl(nGC_63)*coupl(nGC_69) -   &
                      5d0*cima*coupl(nGC_617)**2d0*coupl(nGC_64)*coupl(nGC_69  &
                      ) - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_91)*coupl(    &
                      nGC_94) - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)*    &
                      coupl(nGC_94) + 4d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl&
                      (nGC_27) + 3d0*coupl(nGC_1005)*coupl(nGC_22)*coupl(nGC_63&
                      ) + 2d0*coupl(nGC_1005)*coupl(nGC_32)*coupl(nGC_68) + 2d0&
                      *coupl(nGC_1005)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_1005)*coupl(nGC_36)*coupl(nGC_617) - coupl(nGC_1005)*&
                      coupl(nGC_61)*coupl(nGC_68) - coupl(nGC_1005)*coupl(     &
                      nGC_61)*coupl(nGC_69) + coupl(nGC_1391)**2d0*coupl(nGC_27&
                      ) + 3d0*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_36) +  &
                      3d0*coupl(nGC_1391)*coupl(nGC_23)*coupl(nGC_68) + coupl( &
                      nGC_1391)*coupl(nGC_32)*coupl(nGC_63) + coupl(nGC_1391)* &
                      coupl(nGC_34)*coupl(nGC_64) - 2d0*coupl(nGC_1391)*coupl( &
                      nGC_61)*coupl(nGC_63) - 2d0*coupl(nGC_1391)*coupl(nGC_61 &
                      )*coupl(nGC_64) + 3d0*coupl(nGC_1611)*coupl(nGC_22)*coupl&
                      (nGC_64) + 2d0*coupl(nGC_1611)*coupl(nGC_32)*coupl(nGC_69&
                      ) + 2d0*coupl(nGC_1611)*coupl(nGC_34)*coupl(nGC_68) -    &
                      coupl(nGC_1611)*coupl(nGC_61)*coupl(nGC_68) - coupl(     &
                      nGC_1611)*coupl(nGC_61)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_26)*coupl(nGC_92) + coupl(nGC_1671)* &
                      coupl(nGC_29)*coupl(nGC_91) + 3d0*coupl(nGC_1671)*coupl( &
                      nGC_37)*coupl(nGC_94) + coupl(nGC_1671)*coupl(nGC_38)*   &
                      coupl(nGC_94) - 2d0*coupl(nGC_1671)*coupl(nGC_94)*coupl( &
                      nGC_99) + 2d0*coupl(nGC_2059)*coupl(nGC_29)*coupl(nGC_92 &
                      ) + 2d0*coupl(nGC_2059)*coupl(nGC_33)*coupl(nGC_94) -    &
                      coupl(nGC_2059)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl( &
                      nGC_23)*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_25)*&
                      coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_27)*coupl(      &
                      nGC_617)**2d0 + 2d0*coupl(nGC_27)*coupl(nGC_63)*coupl(   &
                      nGC_64) + 2d0*coupl(nGC_27)*coupl(nGC_68)**2d0 + 2d0*    &
                      coupl(nGC_27)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_29)*    &
                      coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_32)*coupl(      &
                      nGC_617)*coupl(nGC_64) + coupl(nGC_33)*coupl(nGC_683)*   &
                      coupl(nGC_91) + coupl(nGC_34)*coupl(nGC_617)*coupl(nGC_63&
                      ) + 3d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_37)*coupl(nGC_683)*coupl(nGC_92) + 2d0*coupl(nGC_38)*&
                      coupl(nGC_683)*coupl(nGC_92) - 2d0*coupl(nGC_61)*coupl(  &
                      nGC_617)*coupl(nGC_63) - 2d0*coupl(nGC_61)*coupl(nGC_617 &
                      )*coupl(nGC_64) - 2d0*coupl(nGC_683)*coupl(nGC_91)*coupl(&
                      nGC_99) - coupl(nGC_683)*coupl(nGC_92)*coupl(nGC_99))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9237) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 + &
                      120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_173)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_180)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_195)**2d0 -  &
                      5d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_68)**2d0 - 5d0*  &
                      cima*coupl(nGC_1005)**2d0*coupl(nGC_69)**2d0 - 20d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_63)*coupl(     &
                      nGC_68) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl&
                      (nGC_64)*coupl(nGC_68) - 20d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_68)**2d0 - 10d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_69)**2d0 - 20d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(&
                      nGC_69) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(&
                      nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)**2d0*   &
                      coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_1391)**2d0*coupl&
                      (nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1391)**2d0*  &
                      coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_1391)**2d0*coupl&
                      (nGC_68)**2d0 - 10d0*cima*coupl(nGC_1391)*coupl(nGC_1611 &
                      )*coupl(nGC_63)*coupl(nGC_68) - 20d0*cima*coupl(nGC_1391 &
                      )*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68) + 120d0*   &
                      cima*coupl(nGC_153)**2d0*coupl(nGC_157)**2d0 + 120d0*cima&
                      *coupl(nGC_161)**2d0*coupl(nGC_165)**2d0 - 5d0*cima*coupl&
                      (nGC_1611)**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(     &
                      nGC_1611)**2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(     &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_69) -   &
                      20d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*  &
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1671)**2d0*coupl(     &
                      nGC_94)**2d0 - 10d0*cima*coupl(nGC_1671)*coupl(nGC_2059)*&
                      coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl(nGC_1671)* &
                      coupl(nGC_2059)*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_94) -   &
                      20d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)*  &
                      coupl(nGC_94) + 120d0*cima*coupl(nGC_184)**2d0*coupl(    &
                      nGC_188)**2d0 - 5d0*cima*coupl(nGC_2059)**2d0*coupl(     &
                      nGC_94)**2d0 - 20d0*cima*coupl(nGC_2059)*coupl(nGC_683)* &
                      coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_2059)* &
                      coupl(nGC_683)*coupl(nGC_92)*coupl(nGC_94) + 12d0*cima*  &
                      coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_617)**2d0*coupl( &
                      nGC_63)**2d0 - 10d0*cima*coupl(nGC_617)**2d0*coupl(nGC_63&
                      )*coupl(nGC_64) - 5d0*cima*coupl(nGC_617)**2d0*coupl(    &
                      nGC_64)**2d0 - 10d0*cima*coupl(nGC_617)**2d0*coupl(nGC_69&
                      )**2d0 - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_91)**2d0 &
                       - 10d0*cima*coupl(nGC_683)**2d0*coupl(nGC_91)*coupl(    &
                      nGC_92) - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)**2d0&
                       - 10d0*cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 + 6d0&
                      *cima*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_1005)*coupl(    &
                      nGC_1391)*coupl(nGC_27) + 12d0*coupl(nGC_1005)*coupl(    &
                      nGC_1611)*coupl(nGC_36) + 6d0*coupl(nGC_1005)*coupl(     &
                      nGC_22)*coupl(nGC_69) + 6d0*coupl(nGC_1005)*coupl(nGC_23 &
                      )*coupl(nGC_68) + 3d0*coupl(nGC_1005)*coupl(nGC_24)*coupl&
                      (nGC_617) + 3d0*coupl(nGC_1005)*coupl(nGC_30)*coupl(     &
                      nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_32)*coupl(nGC_63 &
                      ) - 6d0*coupl(nGC_1005)*coupl(nGC_61)*coupl(nGC_63) + 6d0&
                      *coupl(nGC_1391)**2d0*coupl(nGC_36) + 3d0*coupl(nGC_1391 &
                      )*coupl(nGC_1611)*coupl(nGC_24) + 6d0*coupl(nGC_1391)*   &
                      coupl(nGC_22)*coupl(nGC_64) + 6d0*coupl(nGC_1391)*coupl( &
                      nGC_23)*coupl(nGC_63) + 3d0*coupl(nGC_1391)*coupl(nGC_34 &
                      )*coupl(nGC_68) + 3d0*coupl(nGC_1391)*coupl(nGC_35)*coupl&
                      (nGC_68) - 6d0*coupl(nGC_1391)*coupl(nGC_61)*coupl(nGC_68&
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_22)*coupl(nGC_68) + 6d0&
                      *coupl(nGC_1611)*coupl(nGC_23)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_1611)*coupl(nGC_27)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_30)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_32)*coupl(nGC_64) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_61)*coupl(nGC_64) + 6d0*coupl(       &
                      nGC_1671)*coupl(nGC_26)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_28)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_31)*coupl(nGC_92) + 6d0*coupl(       &
                      nGC_1671)*coupl(nGC_37)*coupl(nGC_91) - 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_92)*coupl(nGC_99) + 6d0*coupl(       &
                      nGC_2059)*coupl(nGC_25)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_29)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_33)*coupl(nGC_91) + 6d0*coupl(       &
                      nGC_2059)*coupl(nGC_37)*coupl(nGC_92) - 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_91)*coupl(nGC_99) + 6d0*coupl(nGC_22 &
                      )*coupl(nGC_617)*coupl(nGC_63) + 6d0*coupl(nGC_23)*coupl(&
                      nGC_617)*coupl(nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_63)*&
                      coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl(   &
                      nGC_68) + 6d0*coupl(nGC_25)*coupl(nGC_683)*coupl(nGC_91  &
                      ) + 6d0*coupl(nGC_26)*coupl(nGC_683)*coupl(nGC_92) + 3d0*&
                      coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_28)* &
                      coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl(  &
                      nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_34)*coupl(nGC_617 &
                      )*coupl(nGC_69) + 3d0*coupl(nGC_35)*coupl(nGC_617)*coupl(&
                      nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_617)**2d0 + 12d0*  &
                      coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(   &
                      nGC_36)*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_36)*coupl(    &
                      nGC_69)**2d0 + 12d0*coupl(nGC_37)*coupl(nGC_683)*coupl(  &
                      nGC_94) + 3d0*coupl(nGC_38)*coupl(nGC_683)*coupl(nGC_94  &
                      ) + 3d0*coupl(nGC_39)*coupl(nGC_683)*coupl(nGC_94) - 6d0*&
                      coupl(nGC_61)*coupl(nGC_617)*coupl(nGC_69) - 6d0*coupl(  &
                      nGC_683)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9233) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(nGC_180 &
                      )**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 - 5d0*cima*    &
                      coupl(nGC_1005)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl&
                      (nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_69) -  &
                      5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_68)**2d0 - 10d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*coupl(&
                      nGC_68) + 20d0*cima*coupl(nGC_157)**4d0 - 5d0*cima*coupl(&
                      nGC_1611)**2d0*coupl(nGC_64)**2d0 + 20d0*cima*coupl(     &
                      nGC_165)**4d0 - 5d0*cima*coupl(nGC_1671)**2d0*coupl(     &
                      nGC_92)**2d0 - 10d0*cima*coupl(nGC_1671)*coupl(nGC_683)* &
                      coupl(nGC_92)*coupl(nGC_94) + 20d0*cima*coupl(nGC_188)** &
                      4d0 + 6d0*cima*coupl(nGC_61)**2d0 - 5d0*cima*coupl(      &
                      nGC_617)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_683&
                      )**2d0*coupl(nGC_94)**2d0 + 3d0*cima*coupl(nGC_99)**2d0  &
                       + 3d0*coupl(nGC_1005)*coupl(nGC_27)*coupl(nGC_617) + 3d0&
                      *coupl(nGC_1005)*coupl(nGC_34)*coupl(nGC_63) - 3d0*coupl(&
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_27) + 3d0*coupl(     &
                      nGC_1391)*coupl(nGC_32)*coupl(nGC_68) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_61)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_34)*coupl(nGC_64) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_29)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_38)*coupl(nGC_92) - 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_92)*coupl(nGC_99) + 3d0*coupl(nGC_27 &
                      )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl( &
                      nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_29)*coupl(nGC_683)*&
                      coupl(nGC_92) + 3d0*coupl(nGC_32)*coupl(nGC_617)*coupl(  &
                      nGC_69) + 3d0*coupl(nGC_33)*coupl(nGC_683)*coupl(nGC_94  &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_617)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_99))/(16d0*pi**2d0&
                      )
    coupl(nGC_9238) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_80)**2d0 + 4d0&
                      *cima*coupl(nGC_1005)**2d0*coupl(nGC_1391)*coupl(nGC_617 &
                      ) + 8d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(      &
                      nGC_1611)*coupl(nGC_617) + 4d0*cima*coupl(nGC_1005)*coupl&
                      (nGC_1391)*coupl(nGC_63)*coupl(nGC_68) + 8d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64) +  &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*   &
                      coupl(nGC_69) + 9d0*cima*coupl(nGC_1005)*coupl(nGC_63)*  &
                      coupl(nGC_647)**2d0 + 4d0*cima*coupl(nGC_1005)*coupl(    &
                      nGC_63)*coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(   &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_807)**2d0 + 12d0*cima* &
                      coupl(nGC_1015)*coupl(nGC_99) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1611)**2d0*coupl(nGC_617) + 4d0*cima*coupl(    &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68) +  &
                      9d0*cima*coupl(nGC_1391)*coupl(nGC_3)**2d0*coupl(nGC_68  &
                      ) + 8d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68 &
                      )*coupl(nGC_69) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_68)*&
                      coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_68)*coupl(nGC_82)**2d0 - 32d0*cima*coupl(      &
                      nGC_157)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(       &
                      nGC_1611)*coupl(nGC_3)**2d0*coupl(nGC_64) + 4d0*cima*    &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69&
                      ) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*&
                      coupl(nGC_871) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_64)* &
                      coupl(nGC_82)**2d0 - 32d0*cima*coupl(nGC_165)**2d0*coupl(&
                      nGC_80)**2d0 + 8d0*cima*coupl(nGC_1671)*coupl(nGC_72)*   &
                      coupl(nGC_871)*coupl(nGC_92) + 9d0*cima*coupl(nGC_1671)* &
                      coupl(nGC_807)**2d0*coupl(nGC_92) + 9d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_82)**2d0*coupl(nGC_92) - 32d0*cima*  &
                      coupl(nGC_188)**2d0*coupl(nGC_80)**2d0 + 24d0*cima*coupl(&
                      nGC_61)*coupl(nGC_78) + 9d0*cima*coupl(nGC_617)*coupl(   &
                      nGC_647)**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_617)*   &
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871) + 9d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_807)**2d0 + 4d0*  &
                      cima*coupl(nGC_63)**2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0&
                      *cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68)*coupl(   &
                      nGC_69) + 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_68)*coupl&
                      (nGC_69) + 8d0*cima*coupl(nGC_683)*coupl(nGC_72)*coupl(  &
                      nGC_871)*coupl(nGC_94) + 9d0*cima*coupl(nGC_683)*coupl(  &
                      nGC_807)**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_683)*   &
                      coupl(nGC_82)**2d0*coupl(nGC_94) - 6d0*coupl(nGC_1005)*  &
                      coupl(nGC_15)*coupl(nGC_807) + 6d0*coupl(nGC_1005)*coupl(&
                      nGC_62)*coupl(nGC_63) - 6d0*coupl(nGC_1005)*coupl(nGC_63 &
                      )*coupl(nGC_78) - 6d0*coupl(nGC_1005)*coupl(nGC_647)*    &
                      coupl(nGC_66) - 6d0*coupl(nGC_1015)*coupl(nGC_1671)*coupl&
                      (nGC_92) - 6d0*coupl(nGC_1015)*coupl(nGC_683)*coupl(     &
                      nGC_94) - 6d0*coupl(nGC_1391)*coupl(nGC_16)*coupl(nGC_82 &
                      ) - 6d0*coupl(nGC_1391)*coupl(nGC_3)*coupl(nGC_70) + 6d0*&
                      coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68) - 6d0*coupl( &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_1611)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl&
                      (nGC_63)*coupl(nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_64 &
                      )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_617)*coupl(&
                      nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_82  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_1611)*coupl(nGC_3)*coupl(nGC_66) + 6d0*coupl(  &
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_78) + 6d0*coupl(       &
                      nGC_1671)*coupl(nGC_62)*coupl(nGC_92) - 6d0*coupl(nGC_3)*&
                      coupl(nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_68)*coupl(nGC_70) + 36d0*coupl(nGC_61)*coupl(nGC_647 &
                      )**2d0 + 36d0*coupl(nGC_61)*coupl(nGC_807)**2d0 + 6d0*   &
                      coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(  &
                      nGC_617)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_617&
                      )*coupl(nGC_69)*coupl(nGC_78) + 6d0*coupl(nGC_62)*coupl( &
                      nGC_683)*coupl(nGC_94) - 6d0*coupl(nGC_63)*coupl(nGC_647 &
                      )*coupl(nGC_66) - 6d0*coupl(nGC_647)*coupl(nGC_69)*coupl(&
                      nGC_70) + 36d0*coupl(nGC_82)**2d0*coupl(nGC_99))/(192d0* &
                      pi**2d0)
    coupl(nGC_9239) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_80&
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl&
                      (nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149&
                      )*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_169)*coupl(&
                      nGC_173)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_177 &
                      )*coupl(nGC_180)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(&
                      nGC_192)*coupl(nGC_195)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1005)**2d0*coupl(nGC_1391)*coupl(nGC_1611) +   &
                      4d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl(     &
                      nGC_617) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl&
                      (nGC_1611)**2d0 + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391&
                      )*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_1611)**2d0*coupl(nGC_617) + 4d0*cima*coupl(    &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_68) +  &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*  &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*&
                      coupl(nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_69) + 4d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_69&
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_68)*coupl(nGC_72)*&
                      coupl(nGC_871) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_69)* &
                      coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_1611)*coupl(nGC_68)*coupl(nGC_69) + 9d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*   &
                      cima*coupl(nGC_1391)*coupl(nGC_3)**2d0*coupl(nGC_64) +   &
                      9d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_82)**2d0&
                       + 9d0*cima*coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_82)**&
                      2d0 - 32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(     &
                      nGC_80)**2d0 - 32d0*cima*coupl(nGC_161)*coupl(nGC_165)*  &
                      coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(     &
                      nGC_617)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(   &
                      nGC_1611)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) +   &
                      4d0*cima*coupl(nGC_1611)*coupl(nGC_69)*coupl(nGC_72)*    &
                      coupl(nGC_871) + 9d0*cima*coupl(nGC_1671)*coupl(nGC_807  &
                      )**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_1671)*coupl(   &
                      nGC_82)**2d0*coupl(nGC_94) - 32d0*cima*coupl(nGC_184)*   &
                      coupl(nGC_188)*coupl(nGC_80)**2d0 + 8d0*cima*coupl(      &
                      nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_94) +   &
                      9d0*cima*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_647)**2d0&
                       + 9d0*cima*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_807)**&
                      2d0 + 9d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_647&
                      )**2d0 + 9d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(    &
                      nGC_807)**2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)**2d0&
                      *coupl(nGC_69) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*   &
                      coupl(nGC_69)**2d0 + 4d0*cima*coupl(nGC_64)*coupl(nGC_68 &
                      )**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_64)*coupl(     &
                      nGC_68)*coupl(nGC_69)**2d0 + 8d0*cima*coupl(nGC_683)*    &
                      coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_92) + 9d0*cima*   &
                      coupl(nGC_683)*coupl(nGC_807)**2d0*coupl(nGC_91) + 9d0*  &
                      cima*coupl(nGC_683)*coupl(nGC_82)**2d0*coupl(nGC_91) +   &
                      6d0*coupl(nGC_1005)*coupl(nGC_62)*coupl(nGC_68) + 6d0*   &
                      coupl(nGC_1005)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl( &
                      nGC_1015)*coupl(nGC_1671)*coupl(nGC_94) - 6d0*coupl(     &
                      nGC_1015)*coupl(nGC_683)*coupl(nGC_91) - 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_14)*coupl(nGC_82) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_15)*coupl(nGC_82) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(nGC_1391&
                      )*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_1391)*coupl(&
                      nGC_63)*coupl(nGC_78) - 6d0*coupl(nGC_1391)*coupl(nGC_64 &
                      )*coupl(nGC_78) - 6d0*coupl(nGC_14)*coupl(nGC_617)*coupl(&
                      nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_617)*coupl(nGC_807&
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(   &
                      nGC_16)*coupl(nGC_64)*coupl(nGC_807) - 6d0*coupl(nGC_16)*&
                      coupl(nGC_64)*coupl(nGC_82) + 6d0*coupl(nGC_1611)*coupl( &
                      nGC_62)*coupl(nGC_68) + 6d0*coupl(nGC_1611)*coupl(nGC_62 &
                      )*coupl(nGC_69) + 6d0*coupl(nGC_2059)*coupl(nGC_62)*coupl&
                      (nGC_94) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_70   &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_70) - 6d0*  &
                      coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(  &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(nGC_617 &
                      )*coupl(nGC_647)*coupl(nGC_65) - 6d0*coupl(nGC_617)*coupl&
                      (nGC_647)*coupl(nGC_66) + 6d0*coupl(nGC_62)*coupl(nGC_683&
                      )*coupl(nGC_92) - 6d0*coupl(nGC_63)*coupl(nGC_647)*coupl(&
                      nGC_70) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_70  &
                      ))/(192d0*pi**2d0)
    coupl(nGC_17570) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZuL_QED2 +  &
                       coupl(nGC_9394)
    coupl(nGC_14720) = coupl(nGC_135)*dZG0Ha_QED2/2d0
    coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9654) = coupl(nGC_601)*dMZ2_QED2
    coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9414) = coupl(nGC_8476)*dydo2_QED3 + coupl(nGC_8477)*db_QED2 +   &
                      coupl(nGC_8478)*dydo1_QED3
    coupl(nGC_16134) = coupl(nGC_9644) + coupl(nGC_TS_GC_145_Hl) + coupl(      &
                       nGC_TS_GC_149_Hh)
    coupl(nGC_16135) = coupl(nGC_16130) + coupl(nGC_16134)
    coupl(nGC_16136) = coupl(nGC_16131) + coupl(nGC_9645)
    coupl(nGC_14810) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9375) + coupl(  &
                       nGC_96)*dZZ_QED2/2d0
    coupl(nGC_15038) = coupl(nGC_198)*dZG0/2d0
    coupl(nGC_15033) = coupl(nGC_197)*dZG0/2d0
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
