!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_9394) = coupl(nGC_8365)*dsw_QED2 + coupl(nGC_8366)*dcw_QED2 +    &
                      coupl(nGC_8367)*dZee_QED2
    coupl(nGC_9397) = coupl(nGC_8297)*dsw_QED2 + coupl(nGC_8298)*dcw_QED2 +    &
                      coupl(nGC_8299)*dZee_QED2
    coupl(nGC_9396) = coupl(nGC_8368)*dsw_QED2 + coupl(nGC_8369)*dcw_QED2 +    &
                      coupl(nGC_8370)*dZee_QED2
    coupl(nGC_9398) = coupl(nGC_8375)*dsw_QED2 + coupl(nGC_8376)*dcw_QED2 +    &
                      coupl(nGC_8377)*dZee_QED2
    coupl(nGC_16307) = coupl(nGC_169)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_16306) = coupl(nGC_169)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_15816) = coupl(nGC_90)*dZZA_QED2/2d0
    coupl(nGC_13413) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_15967) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_16129) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_16128) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_22579) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_15151) = coupl(nGC_99)*dZZA_QED2/2d0
    coupl(nGC_14687) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9522) = coupl(nGC_8311)*dsw_QED2 + coupl(nGC_8312)*dMZ2_QED2 +   &
                      coupl(nGC_8313)*dZee_QED2
    coupl(nGC_9416) = coupl(nGC_8602)*dyup1_QED1_QCD2 + coupl(nGC_8603)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_9412) = coupl(nGC_8172)*dyd13x3_QED1_QCD2 + coupl(nGC_8173)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9411) = coupl(nGC_8171)*db_QED2 + coupl(nGC_8172)*dyd13x3_QED3 + &
                      coupl(nGC_8173)*dyb2_QED3
    coupl(nGC_9389) = coupl(nGC_8371)*dZee_QED2
    coupl(nGC_9385) = coupl(nGC_8610)*dsw_QED2 + coupl(nGC_8611)*dcw_QED2 +    &
                      coupl(nGC_8612)*dZee_QED2
    coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21730) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_21731) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_21732) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_21733) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
    coupl(nGC_15345) = coupl(nGC_59)*dZG0
    coupl(nGC_9436) = coupl(nGC_8281)*dyd13x3_QED1_QCD2 + coupl(nGC_8282)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_14234) = coupl(nGC_96)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_13519) = coupl(nGC_41)*dZGMinus/2d0
    coupl(nGC_14345) = coupl(nGC_64)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_13424) = 2d0*coupl(nGC_55)*dZG0
    coupl(nGC_14437) = coupl(nGC_76)*dZG0/2d0
    coupl(nGC_9466) = coupl(nGC_8555)*db_QED2 + coupl(nGC_8556)*dytau1_QED3 +  &
                      coupl(nGC_8557)*dytau2_QED3
    coupl(nGC_9287) = coupl(nGC_8314)*dsw_QED2 + coupl(nGC_8315)*dZee_QED2
    coupl(nGC_9284) = coupl(nGC_8349)*dZee_QED2
    coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
    coupl(nGC_21729) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_21728) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_20992) = coupl(nGC_168)*dZG0/2d0
    coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9484) = coupl(nGC_8558)*db_QED2 + coupl(nGC_8559)*dytau1_QED3 +  &
                      coupl(nGC_8560)*dytau2_QED3
    coupl(nGC_15712) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*dZnu_eL_QED2 &
                        + coupl(nGC_9398)
    coupl(nGC_13985) = coupl(nGC_97)*dZGMinus
    coupl(nGC_13298) = coupl(nGC_40)*dZGMinus/2d0
    coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9477) = coupl(nGC_8431)*dym1_QED3 + coupl(nGC_8432)*dym2_QED3 +  &
                      coupl(nGC_8433)*da_QED2
    coupl(nGC_9478) = coupl(nGC_8552)*dytau1_QED3 + coupl(nGC_8553)*dytau2_QED3&
                       + coupl(nGC_8554)*da_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
