!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl21()
    coupl(nGC_8887) = (-coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)*   &
                      coupl(nGC_2059)*coupl(nGC_89) + coupl(nGC_184)*coupl(    &
                      nGC_86)*coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(nGC_190&
                      ) - coupl(nGC_188)**2d0*coupl(nGC_190) + coupl(nGC_188)* &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_188)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(nGC_80)*    &
                      coupl(nGC_871) - coupl(nGC_190)*coupl(nGC_191)**2d0 + 8d0&
                      *coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_191)*  &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    coupl(nGC_8884) = (-coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(  &
                      nGC_140)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**&
                      2d0*coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_2059)*coupl&
                      (nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_91) -  &
                      coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(nGC_180)**2d0*&
                      coupl(nGC_182) - coupl(nGC_180)*coupl(nGC_683)*coupl(    &
                      nGC_88) - coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_94) -   &
                      coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_871) - coupl(     &
                      nGC_182)*coupl(nGC_183)**2d0 + 8d0*coupl(nGC_183)*coupl( &
                      nGC_2)**2d0 + 8d0*coupl(nGC_183)*coupl(nGC_85)*coupl(    &
                      nGC_88))/(32d0*pi**2d0)
    coupl(nGC_8885) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13377) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_8889) = coupl(nGC_197)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9363) = coupl(nGC_7914)*dsw_QED2 + coupl(nGC_7915)*db_QED2 +     &
                      coupl(nGC_7916)*dZee_QED2 + coupl(nGC_7917)*da_QED2
    coupl(nGC_9448) = coupl(nGC_8305)*dyd13x3_QED3 + coupl(nGC_8306)*da_QED2 + &
                      coupl(nGC_8307)*dyb2_QED3
    coupl(nGC_9445) = coupl(nGC_8473)*dys2_QED1_QCD2 + coupl(nGC_8474)*        &
                      dyd12x2_QED1_QCD2
    coupl(nGC_9444) = coupl(nGC_8328)*dydo1_QED3 + coupl(nGC_8329)*dydo2_QED3  &
                       + coupl(nGC_8330)*da_QED2
    coupl(nGC_9447) = coupl(nGC_8305)*dyd13x3_QED1_QCD2 + coupl(nGC_8307)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9446) = coupl(nGC_8473)*dys2_QED3 + coupl(nGC_8474)*dyd12x2_QED3 &
                       + coupl(nGC_8475)*da_QED2
    coupl(nGC_9441) = coupl(nGC_8114)*dyd13x3_QED1_QCD2 + coupl(nGC_8116)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9440) = coupl(nGC_8488)*dys2_QED3 + coupl(nGC_8489)*dyd12x2_QED3 &
                       + coupl(nGC_8490)*da_QED2
    coupl(nGC_9443) = coupl(nGC_8328)*dydo1_QED1_QCD2 + coupl(nGC_8329)*       &
                      dydo2_QED1_QCD2
    coupl(nGC_9442) = coupl(nGC_8114)*dyd13x3_QED3 + coupl(nGC_8115)*da_QED2 + &
                      coupl(nGC_8116)*dyb2_QED3
    coupl(nGC_12803) = coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl(nGC_20)*dZZ_QED2&
                       /2d0 + coupl(nGC_74)*dZAZ_QED2/2d0 + coupl(nGC_9377)
    coupl(nGC_9049) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*coupl&
                      (nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*coupl(     &
                      nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86) +  &
                      4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*coupl(nGC_80)**&
                      2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_90  &
                      ) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9048) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**2d0*&
                      coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl(     &
                      nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(     &
                      nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(      &
                      nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(    &
                      nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9042) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*coupl&
                      (nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*coupl(     &
                      nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_86) +  &
                      4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*coupl(nGC_80)**&
                      2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_90  &
                      ) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9045) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**  &
                      2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88) +  &
                      coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl(     &
                      nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*coupl( &
                      nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_87) +  &
                      4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9044) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**  &
                      2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85) +  &
                      coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*coupl(&
                      nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*coupl(nGC_84&
                      ) + coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_84) + 4d0*   &
                      coupl(nGC_80)**2d0*coupl(nGC_807) + 4d0*coupl(nGC_80)**  &
                      2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/(32d0*pi**2d0&
                      )
    coupl(nGC_9047) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**2d0*&
                      coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_88)*coupl(      &
                      nGC_891) + coupl(nGC_180)**2d0*coupl(nGC_88) + coupl(    &
                      nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*coupl(      &
                      nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                      nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9046) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**2d0*&
                      coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85) + coupl&
                      (nGC_179)*coupl(nGC_85)*coupl(nGC_891) + coupl(nGC_180)**&
                      2d0*coupl(nGC_85) + coupl(nGC_182)*coupl(nGC_183)*coupl( &
                      nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_88) + 4d0*coupl&
                      (nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**2d0*    &
                      coupl(nGC_87) + 4d0*coupl(nGC_88)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9041) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**2d0*&
                      coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl(     &
                      nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(     &
                      nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(      &
                      nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(    &
                      nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_15928) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_17874) = coupl(nGC_7)*dZdR_QED2
    coupl(nGC_17875) = coupl(nGC_7)*dZdR_QCD2
    coupl(nGC_17872) = coupl(nGC_7)*dZdL_QED2
    coupl(nGC_17873) = coupl(nGC_7)*dZdL_QCD2
    coupl(nGC_14507) = coupl(nGC_62)*dZG0
    coupl(nGC_17473) = coupl(nGC_17464) + coupl(nGC_9641)
    coupl(nGC_16478) = coupl(nGC_42)*dZHaG0_QED2 + coupl(nGC_43)*              &
                       dZGMinusHMinus_QED2 + coupl(nGC_56)*dZHMinus_QED2 +     &
                       coupl(nGC_9303)
    coupl(nGC_9133) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_84)**3d0 + 6d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_87)**3d0 + 6d0*Nc*cima*coupl(&
                      nGC_2)*coupl(nGC_85)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*    &
                      coupl(nGC_88)**3d0 + 6d0*cima*coupl(nGC_1015)*coupl(     &
                      nGC_83) - 20d0*cima*coupl(nGC_3)*coupl(nGC_82)**3d0 + 6d0&
                      *cima*coupl(nGC_4)*coupl(nGC_86)**3d0 + 6d0*cima*coupl(  &
                      nGC_4)*coupl(nGC_89)**3d0 - 20d0*cima*coupl(nGC_647)*    &
                      coupl(nGC_807)**3d0 + 9d0*coupl(nGC_1015)*coupl(nGC_3)*  &
                      coupl(nGC_82) + 9d0*coupl(nGC_1015)*coupl(nGC_647)*coupl(&
                      nGC_807) + 3d0*coupl(nGC_3)*coupl(nGC_79)*coupl(nGC_82   &
                      ) + 3d0*coupl(nGC_647)*coupl(nGC_79)*coupl(nGC_807) + 9d0&
                      *coupl(nGC_807)**2d0*coupl(nGC_83) + 3d0*coupl(nGC_807)**&
                      2d0*coupl(nGC_953) + 9d0*coupl(nGC_82)**2d0*coupl(nGC_83 &
                      ) + 3d0*coupl(nGC_82)**2d0*coupl(nGC_953))/(48d0*pi**2d0)
    coupl(nGC_9137) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(    &
                      nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*coupl&
                      (nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi**2d0*Nc)
    coupl(nGC_9136) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(     &
                      nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*coupl&
                      (nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_15288) = coupl(nGC_7)*dZbL_QCD2
    coupl(nGC_15287) = coupl(nGC_7)*dZbL_QED2
    coupl(nGC_15286) = coupl(nGC_7)*dZbR_QCD2
    coupl(nGC_15285) = coupl(nGC_7)*dZbR_QED2
    coupl(nGC_25414) = coupl(nGC_MMW_GF)*dZGMinus/2d0
    coupl(nGC_25417) = coupl(nGC_9653) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_25418) = coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
    coupl(nGC_16700) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2  &
                        + coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9284)
    coupl(nGC_14730) = coupl(nGC_132)*dZHa_QED2/2d0 + coupl(nGC_9511)
    coupl(nGC_15605) = coupl(nGC_TS_GC_64_Hh) + coupl(nGC_TS_GC_68_Hl)
    coupl(nGC_15604) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_15420) = coupl(nGC_92)*dZHa_QED2/2d0 + coupl(nGC_92)*dZHh_QED2/  &
                       2d0 + coupl(nGC_92)*dZZ_QED2/2d0 + coupl(nGC_9376) +    &
                       coupl(nGC_94)*dZG0Ha_QED2/2d0 + coupl(nGC_94)*          &
                       dZHlHh_QED2/2d0
    coupl(nGC_14082) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)*  &
                       dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*            &
                       dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl( &
                       nGC_70)*dZAZ_QED2/2d0 + coupl(nGC_9378)
    coupl(nGC_13615) = coupl(nGC_63)*dZHMinus_QED2/2d0 + coupl(nGC_63)*        &
                       dZHh_QED2/2d0 + coupl(nGC_63)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_69)*dZHlHh_QED2/2d0 + coupl(nGC_9367)
  end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
