!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl22()
    coupl(nGC_13968) = coupl(nGC_13963) + coupl(nGC_9443)
    coupl(nGC_14063) = -coupl(nGC_13337)
    coupl(nGC_17594) = coupl(nGC_183)*dZtL_QCD2/2d0 + coupl(nGC_183)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9495)
    coupl(nGC_12968) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9407)
    coupl(nGC_12966) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174)*&
                       dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl(   &
                       nGC_9408)
    coupl(nGC_12965) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134)*&
                       dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl(   &
                       nGC_9405)
    coupl(nGC_14463) = coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*          &
                       dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 + coupl(&
                       nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9365)
    coupl(nGC_12702) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZWMinus_QED2&
                        + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_9286)
    coupl(nGC_8879) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8878) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*  &
                      coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(    &
                      nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(     &
                      nGC_175) - coupl(nGC_169)*coupl(nGC_2059)*coupl(nGC_84   &
                      ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(  &
                      nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*coupl(&
                      nGC_175) - coupl(nGC_173)*coupl(nGC_683)*coupl(nGC_84) - &
                      coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - coupl(      &
                      nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_175)*   &
                      coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl(nGC_84)*  &
                      coupl(nGC_87))/(32d0*pi**2d0)
    coupl(nGC_8877) = (-coupl(nGC_161)**2d0*coupl(nGC_167) + coupl(nGC_161)*   &
                      coupl(nGC_2059)*coupl(nGC_89) + coupl(nGC_161)*coupl(    &
                      nGC_86)*coupl(nGC_91) - coupl(nGC_164)**2d0*coupl(nGC_167&
                      ) - coupl(nGC_165)**2d0*coupl(nGC_167) + coupl(nGC_165)* &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_165)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_166)*coupl(nGC_80)*    &
                      coupl(nGC_871) - coupl(nGC_167)*coupl(nGC_168)**2d0 + 8d0&
                      *coupl(nGC_168)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_168)*  &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    coupl(nGC_8876) = (-coupl(nGC_161)**2d0*coupl(nGC_168) + coupl(nGC_161)*   &
                      coupl(nGC_2059)*coupl(nGC_86) + coupl(nGC_161)*coupl(    &
                      nGC_89)*coupl(nGC_91) - coupl(nGC_163)**2d0*coupl(nGC_168&
                      ) - coupl(nGC_165)**2d0*coupl(nGC_168) + coupl(nGC_165)* &
                      coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_165)*coupl(     &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_167)**2d0*coupl(nGC_168) + 8d0*&
                      coupl(nGC_167)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_167)*   &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    coupl(nGC_8875) = (-coupl(nGC_153)**2d0*coupl(nGC_159) + coupl(nGC_153)*   &
                      coupl(nGC_2059)*coupl(nGC_89) + coupl(nGC_153)*coupl(    &
                      nGC_86)*coupl(nGC_91) - coupl(nGC_156)**2d0*coupl(nGC_159&
                      ) - coupl(nGC_157)**2d0*coupl(nGC_159) + coupl(nGC_157)* &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_157)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_158)*coupl(nGC_80)*    &
                      coupl(nGC_871) - coupl(nGC_159)*coupl(nGC_160)**2d0 + 8d0&
                      *coupl(nGC_160)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_160)*  &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    coupl(nGC_8874) = (-coupl(nGC_153)**2d0*coupl(nGC_160) + coupl(nGC_153)*   &
                      coupl(nGC_2059)*coupl(nGC_86) + coupl(nGC_153)*coupl(    &
                      nGC_89)*coupl(nGC_91) - coupl(nGC_155)**2d0*coupl(nGC_160&
                      ) - coupl(nGC_157)**2d0*coupl(nGC_160) + coupl(nGC_157)* &
                      coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_157)*coupl(     &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_158)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_159)**2d0*coupl(nGC_160) + 8d0*&
                      coupl(nGC_159)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_159)*   &
                      coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    coupl(nGC_8873) = coupl(nGC_151)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8872) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_151) - coupl(nGC_145)** &
                      2d0*coupl(nGC_152) - coupl(nGC_145)*coupl(nGC_2059)*coupl&
                      (nGC_87) - coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_91) -  &
                      coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_197) - coupl(    &
                      nGC_147)**2d0*coupl(nGC_152) - coupl(nGC_149)**2d0*coupl(&
                      nGC_152) - coupl(nGC_149)*coupl(nGC_683)*coupl(nGC_87) - &
                      coupl(nGC_149)*coupl(nGC_84)*coupl(nGC_94) - coupl(      &
                      nGC_150)*coupl(nGC_196)*coupl(nGC_197) - coupl(nGC_150)* &
                      coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_151)**2d0*coupl(&
                      nGC_152) + 8d0*coupl(nGC_151)*coupl(nGC_84)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_8870) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_152) - coupl(nGC_145)** &
                      2d0*coupl(nGC_151) - coupl(nGC_145)*coupl(nGC_2059)*coupl&
                      (nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(nGC_91) -  &
                      coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_198) - coupl(    &
                      nGC_148)**2d0*coupl(nGC_151) - coupl(nGC_149)**2d0*coupl(&
                      nGC_151) - coupl(nGC_149)*coupl(nGC_683)*coupl(nGC_84) - &
                      coupl(nGC_149)*coupl(nGC_87)*coupl(nGC_94) - coupl(      &
                      nGC_150)*coupl(nGC_196)*coupl(nGC_198) - coupl(nGC_150)* &
                      coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_151)*coupl(      &
                      nGC_152)**2d0 + 8d0*coupl(nGC_152)*coupl(nGC_84)*coupl(  &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_9452) = coupl(nGC_8335)*dydo2_QED3 + coupl(nGC_8336)*db_QED2 +   &
                      coupl(nGC_8337)*dydo1_QED3
    coupl(nGC_13144) = coupl(nGC_131)*dZHMinus_QED2/2d0 + coupl(nGC_131)*      &
                       dZcR_QED2/2d0 + coupl(nGC_131)*dZsL_QED2/2d0 + coupl(   &
                       nGC_134)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9417)
    coupl(nGC_13142) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZsL_QCD2/&
                       2d0 + coupl(nGC_9418)
    coupl(nGC_13143) = coupl(nGC_170)*dZHMinus_QED2/2d0 + coupl(nGC_170)*      &
                       dZcL_QED2/2d0 + coupl(nGC_170)*dZsR_QED2/2d0 + coupl(   &
                       nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9420)
    coupl(nGC_13141) = coupl(nGC_170)*dZcL_QCD2/2d0 + coupl(nGC_170)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9419)
    coupl(nGC_13818) = 3d0*coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9282)
    coupl(nGC_13542) = coupl(nGC_29)*dZHa_QED2/2d0 + coupl(nGC_29)*dZHh_QED2 + &
                       coupl(nGC_33)*dZG0Ha_QED2/2d0 + coupl(nGC_37)*          &
                       dZHlHh_QED2 + coupl(nGC_38)*dZHaG0_QED2/2d0 + coupl(    &
                       nGC_9326)
    coupl(nGC_14263) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_14260) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_14266) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
    coupl(nGC_13428) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_80)*dZtauMinusL_QED2/2d0 &
                        + coupl(nGC_9393)
    coupl(nGC_12638) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*        &
                       dZHh_QED2/2d0 + coupl(nGC_48)*dZHaG0_QED2/2d0 + coupl(  &
                       nGC_49)*dZHlHh_QED2/2d0 + coupl(nGC_9325)
    coupl(nGC_12632) = coupl(nGC_42)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_42)*  &
                       dZHaG0_QED2/2d0 + coupl(nGC_43)*dZG0Ha_QED2/2d0 + coupl(&
                       nGC_43)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_58)*dZHa_QED2/2d0 + coupl(&
                       nGC_9310)
    coupl(nGC_8989) = (-coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(  &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1495  &
                      )**2d0*coupl(nGC_195) - coupl(nGC_1495)*coupl(nGC_1671)* &
                      coupl(nGC_88) - coupl(nGC_1495)*coupl(nGC_85)*coupl(     &
                      nGC_92) - coupl(nGC_192)**2d0*coupl(nGC_195) - coupl(    &
                      nGC_193)*coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_195)**  &
                      3d0 - coupl(nGC_195)*coupl(nGC_197)**2d0 + 8d0*coupl(    &
                      nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl(   &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_617)*   &
                      coupl(nGC_80) - coupl(nGC_197)*coupl(nGC_683)*coupl(     &
                      nGC_88) - coupl(nGC_197)*coupl(nGC_85)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8988) = (coupl(nGC_1005)*coupl(nGC_185)*coupl(nGC_80) + coupl(   &
                      nGC_1671)*coupl(nGC_187)*coupl(nGC_86) - coupl(nGC_184)**&
                      2d0*coupl(nGC_188) - coupl(nGC_187)**2d0*coupl(nGC_188   &
                      ) + coupl(nGC_187)*coupl(nGC_89)*coupl(nGC_92) - coupl(  &
                      nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_191)**2d0 + 8d0*&
                      coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_188)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)*coupl(nGC_69&
                      )*coupl(nGC_80) + coupl(nGC_191)*coupl(nGC_683)*coupl(   &
                      nGC_86) + coupl(nGC_191)*coupl(nGC_89)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8983) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8982) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*  &
                      coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_1611)*coupl(nGC_170)*&
                      coupl(nGC_80) - coupl(nGC_1671)*coupl(nGC_171)*coupl(    &
                      nGC_84) - coupl(nGC_169)**2d0*coupl(nGC_173) - coupl(    &
                      nGC_171)**2d0*coupl(nGC_173) - coupl(nGC_171)*coupl(     &
                      nGC_87)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(     &
                      nGC_173)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_173)*coupl( &
                      nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_68)*    &
                      coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_683)*coupl(     &
                      nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8981) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*  &
                      coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_1391)*coupl(nGC_174)*&
                      coupl(nGC_80) - coupl(nGC_1671)*coupl(nGC_172)*coupl(    &
                      nGC_87) - coupl(nGC_169)**2d0*coupl(nGC_173) - coupl(    &
                      nGC_170)*coupl(nGC_64)*coupl(nGC_80) - coupl(nGC_172)**  &
                      2d0*coupl(nGC_173) - coupl(nGC_172)*coupl(nGC_84)*coupl( &
                      nGC_92) - coupl(nGC_173)**3d0 - coupl(nGC_173)*coupl(    &
                      nGC_176)**2d0 + 8d0*coupl(nGC_173)*coupl(nGC_84)*coupl(  &
                      nGC_87) - coupl(nGC_176)*coupl(nGC_683)*coupl(nGC_87) -  &
                      coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(32d0*pi**2d0&
                      )
    coupl(nGC_8980) = (coupl(nGC_1005)*coupl(nGC_162)*coupl(nGC_80) - coupl(   &
                      nGC_161)**2d0*coupl(nGC_165) - coupl(nGC_164)**2d0*coupl(&
                      nGC_165) + coupl(nGC_164)*coupl(nGC_1671)*coupl(nGC_86   &
                      ) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92) - coupl(  &
                      nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168)**2d0 + 8d0*&
                      coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_165)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)*coupl(nGC_69&
                      )*coupl(nGC_80) + coupl(nGC_168)*coupl(nGC_683)*coupl(   &
                      nGC_86) + coupl(nGC_168)*coupl(nGC_89)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8987) = (coupl(nGC_1671)*coupl(nGC_186)*coupl(nGC_89) - coupl(   &
                      nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)*coupl(     &
                      nGC_63)*coupl(nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_188&
                      ) + coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92) - coupl(  &
                      nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190)**2d0 + 8d0*&
                      coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_188)*   &
                      coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)*coupl(      &
                      nGC_617)*coupl(nGC_80) + coupl(nGC_190)*coupl(nGC_683)*  &
                      coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8986) = coupl(nGC_180)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8985) = (-coupl(nGC_1005)*coupl(nGC_178)*coupl(nGC_80) - coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137)* &
                      coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1671)*coupl(   &
                      nGC_179)*coupl(nGC_85) - coupl(nGC_177)**2d0*coupl(      &
                      nGC_180) - coupl(nGC_179)**2d0*coupl(nGC_180) - coupl(   &
                      nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**  &
                      3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(    &
                      nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl(   &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*    &
                      coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_683)*coupl(     &
                      nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8984) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(  &
                      nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1671)*&
                      coupl(nGC_88)*coupl(nGC_891) - coupl(nGC_177)**2d0*coupl(&
                      nGC_180) - coupl(nGC_178)*coupl(nGC_63)*coupl(nGC_80) -  &
                      coupl(nGC_180)**3d0 - coupl(nGC_180)*coupl(nGC_182)**2d0 &
                       + 8d0*coupl(nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_180)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_180)*   &
                      coupl(nGC_891)**2d0 - coupl(nGC_181)*coupl(nGC_617)*coupl&
                      (nGC_80) - coupl(nGC_182)*coupl(nGC_683)*coupl(nGC_88) - &
                      coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_94) - coupl(nGC_85&
                      )*coupl(nGC_891)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_9056) = (coupl(nGC_146)**2d0*coupl(nGC_84) + coupl(nGC_1495)*    &
                      coupl(nGC_194)*coupl(nGC_85) + coupl(nGC_150)**2d0*coupl(&
                      nGC_84) + coupl(nGC_192)**2d0*coupl(nGC_85) + coupl(     &
                      nGC_195)**2d0*coupl(nGC_85) + coupl(nGC_197)*coupl(      &
                      nGC_198)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                      nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*    &
                      coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)**3d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_9057) = (coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_88) + coupl(   &
                      nGC_192)**2d0*coupl(nGC_88) + coupl(nGC_193)**2d0*coupl( &
                      nGC_87) + coupl(nGC_195)**2d0*coupl(nGC_88) + coupl(     &
                      nGC_196)**2d0*coupl(nGC_87) + coupl(nGC_197)*coupl(      &
                      nGC_198)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                      nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
    coupl(nGC_17041) = coupl(nGC_93)*dZHl_QED2/2d0 + coupl(nGC_95)*dZHhHl_QED2/&
                       2d0 + coupl(nGC_9524)
    coupl(nGC_9055) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_137&
                      )**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_139)*coupl(     &
                      nGC_140) - coupl(nGC_141)**2d0 - coupl(nGC_142)**2d0 -   &
                      coupl(nGC_143)*coupl(nGC_144) - 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_9052) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_137 &
                      )**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_139)*coupl(     &
                      nGC_140) + coupl(nGC_141)**2d0 + coupl(nGC_142)**2d0 +   &
                      coupl(nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_84)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_9053) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_137&
                      )**2d0 - coupl(nGC_139)*coupl(nGC_140) - coupl(nGC_141)**&
                      2d0 - coupl(nGC_143)*coupl(nGC_144) - coupl(nGC_178)**2d0&
                       - coupl(nGC_181)**2d0 - 4d0*coupl(nGC_80)**2d0 - 4d0*   &
                      coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9050) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_137 &
                      )**2d0 + coupl(nGC_139)*coupl(nGC_140) + coupl(nGC_141)**&
                      2d0 + coupl(nGC_143)*coupl(nGC_144) + coupl(nGC_178)**2d0&
                       + coupl(nGC_181)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*   &
                      coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9051) = -coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6   &
                      ) - coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_12918) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_15881) = coupl(nGC_112)*dZG0Ha_QED2 + coupl(nGC_113)*dZHlHh_QED2/&
                       2d0 + coupl(nGC_121)*dZHa_QED2 + coupl(nGC_121)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9337) + coupl(nGC_TS_GC_26_Hl &
                       ) + coupl(nGC_TS_GC_38_Hh)
  end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
