!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl24()
    coupl(nGC_8997) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9023) = coupl(nGC_7)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9022) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_647) + coupl(nGC_2)*coupl(nGC_3) + coupl(      &
                      nGC_807)*coupl(nGC_87) + coupl(nGC_82)*coupl(nGC_88) +   &
                      coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
    coupl(nGC_9021) = (12d0*Nc*coupl(nGC_80)**2d0*coupl(nGC_87) - 12d0*Nc*coupl&
                      (nGC_80)**2d0*coupl(nGC_88) - 11d0*coupl(nGC_647)**2d0*  &
                      coupl(nGC_82) + 12d0*coupl(nGC_80)**2d0*coupl(nGC_89) -  &
                      12d0*coupl(nGC_80)**2d0*coupl(nGC_90) - 11d0*coupl(      &
                      nGC_807)**2d0*coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_9020) = coupl(nGC_192)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9027) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_137)**  &
                      2d0*coupl(nGC_84) + coupl(nGC_139)*coupl(nGC_140)*coupl( &
                      nGC_84) + coupl(nGC_141)**2d0*coupl(nGC_84) + coupl(     &
                      nGC_143)*coupl(nGC_144)*coupl(nGC_84) + coupl(nGC_178)** &
                      2d0*coupl(nGC_85) + coupl(nGC_181)**2d0*coupl(nGC_85) +  &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_807) + 4d0*coupl(nGC_80 &
                      )**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_9026) = coupl(nGC_80)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_807&
                      )*coupl(nGC_90) - coupl(nGC_82)*coupl(nGC_89) + coupl(   &
                      nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
    coupl(nGC_9025) = coupl(nGC_80)*(coupl(nGC_4)*coupl(nGC_647) + coupl(      &
                      nGC_807)*coupl(nGC_89) + coupl(nGC_82)*coupl(nGC_90) +   &
                      coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
    coupl(nGC_9024) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_647) - coupl(      &
                      nGC_807)*coupl(nGC_88) - coupl(nGC_82)*coupl(nGC_87) +   &
                      coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
    coupl(nGC_9029) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**  &
                      2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88) +  &
                      coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl(     &
                      nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*coupl( &
                      nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_87) +  &
                      4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9028) = coupl(nGC_7)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_12738) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*dZbR_QED2/&
                       2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl(nGC_9433)
    coupl(nGC_12739) = coupl(nGC_139)*dZbL_QED2/2d0 + coupl(nGC_139)*dZbR_QED2/&
                       2d0 + coupl(nGC_144)*dZHaG0_QED2/2d0 + coupl(nGC_9435)
    coupl(nGC_12735) = coupl(nGC_139)*dZG0/2d0
    coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_103_Hh) = -coupl(nGC_103)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17678) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_9481) = coupl(nGC_8440)*db_QED2 + coupl(nGC_8441)*dym1_QED3 +    &
                      coupl(nGC_8442)*dym2_QED3
    coupl(nGC_9482) = coupl(nGC_8443)*db_QED2 + coupl(nGC_8444)*dym1_QED3 +    &
                      coupl(nGC_8445)*dym2_QED3
    coupl(nGC_9485) = coupl(nGC_8631)*db_QED2 + coupl(nGC_8632)*dyup1_QED3 +   &
                      coupl(nGC_8633)*dyup2_QED3
    coupl(nGC_9339) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dl2_QED4 + coupl(&
                      nGC_327)*dl3_QED4 + coupl(nGC_329)*dl5_QED4 + coupl(     &
                      nGC_331)*dl4_QED4 + coupl(nGC_333)*dl1_QED4 + coupl(     &
                      nGC_335)*dvev1_QED1 + coupl(nGC_337)*dvev2_QED1 + coupl( &
                      nGC_339)*da_QED2
    coupl(nGC_9486) = coupl(nGC_8632)*dyup1_QED1_QCD2 + coupl(nGC_8633)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_9489) = coupl(nGC_8036)*db_QED2 + coupl(nGC_8037)*dyc1_QED3 +    &
                      coupl(nGC_8038)*dyc2_QED3
    coupl(nGC_9336) = coupl(nGC_8017)*dl3_QED4 + coupl(nGC_8018)*dl1_QED4 +    &
                      coupl(nGC_8019)*dl2_QED4 + coupl(nGC_8020)*dl5_QED4 +    &
                      coupl(nGC_8021)*dl4_QED4 + coupl(nGC_8022)*dvev1_QED1 +  &
                      coupl(nGC_8023)*dvev2_QED1 + coupl(nGC_8024)*da_QED2
    coupl(nGC_9335) = coupl(nGC_8129)*dl3_QED4 + coupl(nGC_8130)*db_QED2 +     &
                      coupl(nGC_8131)*dl2_QED4 + coupl(nGC_8132)*dl5_QED4 +    &
                      coupl(nGC_8133)*dvev2_QED1 + coupl(nGC_8134)*dvev1_QED1  &
                       + coupl(nGC_8135)*dl1_QED4 + coupl(nGC_8136)*dl4_QED4 + &
                      coupl(nGC_8137)*da_QED2
    coupl(nGC_9332) = coupl(nGC_8226)*dl3_QED4 + coupl(nGC_8227)*dl1_QED4 +    &
                      coupl(nGC_8228)*dl2_QED4 + coupl(nGC_8229)*dl5_QED4 +    &
                      coupl(nGC_8230)*dl4_QED4 + coupl(nGC_8231)*db_QED2
    coupl(nGC_9331) = coupl(nGC_8199)*dl3_QED4 + coupl(nGC_8200)*dl1_QED4 +    &
                      coupl(nGC_8201)*dl2_QED4 + coupl(nGC_8202)*dl5_QED4 +    &
                      coupl(nGC_8203)*dl4_QED4 + coupl(nGC_8204)*db_QED2
    coupl(nGC_9330) = coupl(nGC_8236)*dl3_QED4 + coupl(nGC_8237)*dl1_QED4 +    &
                      coupl(nGC_8238)*dl2_QED4 + coupl(nGC_8239)*dl5_QED4 +    &
                      coupl(nGC_8240)*dl4_QED4 + coupl(nGC_8241)*db_QED2
    coupl(nGC_9262) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(  &
                      nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0)
    coupl(nGC_17493) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_17496) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_17498) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_17499) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
    coupl(nGC_9159) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_132&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_843) + 10d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_171)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                      coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_172) +  &
                      10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_170)*coupl(nGC_174 &
                      )*coupl(nGC_843) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_171) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_169)*coupl(nGC_172) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_843) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178)*coupl(      &
                      nGC_179) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_179) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_177 &
                      )*coupl(nGC_178) + 10d0*Nc*cima*coupl(nGC_141)*coupl(    &
                      nGC_142)*coupl(nGC_181)*coupl(nGC_891) + 10d0*Nc*cima*   &
                      coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_177)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_147 &
                      )*coupl(nGC_150) + 10d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_146)*coupl(nGC_148)*coupl(nGC_150) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_1495)*coupl(     &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_147)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193 &
                      )*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_148)*coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(     &
                      nGC_192) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_192)*coupl(nGC_194) + 10d0*Nc*cima*coupl(      &
                      nGC_147)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_193) +  &
                      10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_172)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*   &
                      coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_194 &
                      )*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1671)*coupl(nGC_2059)*coupl(nGC_72) - 5d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_1671)*coupl(nGC_63)*coupl(nGC_96) +  &
                      12d0*cima*coupl(nGC_14)*coupl(nGC_20) + 10d0*cima*coupl( &
                      nGC_153)*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158) +  &
                      10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_156)*  &
                      coupl(nGC_158) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)*&
                      coupl(nGC_163)*coupl(nGC_166) + 10d0*cima*coupl(nGC_161)*&
                      coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_2297)**2d0*coupl(nGC_871) - 5d0&
                      *cima*coupl(nGC_1611)*coupl(nGC_655)**2d0*coupl(nGC_871  &
                      ) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_68)*coupl(nGC_94)*&
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_871)* &
                      coupl(nGC_94)**2d0 + 10d0*cima*coupl(nGC_184)*coupl(     &
                      nGC_185)*coupl(nGC_186)*coupl(nGC_189) + 10d0*cima*coupl(&
                      nGC_184)*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189) -  &
                      5d0*cima*coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_683)*  &
                      coupl(nGC_72) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_871)**&
                      2d0*coupl(nGC_91) - 5d0*cima*coupl(nGC_617)*coupl(nGC_63 &
                      )*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_617)* &
                      coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_96) - 5d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72  &
                      ) - 5d0*cima*coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_92)* &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_617)*coupl(nGC_871)*  &
                      coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*    &
                      coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_871) - 5d0*cima*   &
                      coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_871  &
                      ) + 12d0*cima*coupl(nGC_65)*coupl(nGC_74) - 3d0*coupl(   &
                      nGC_1005)*coupl(nGC_14)*coupl(nGC_1671) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_37)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_60)*coupl(nGC_871) - 3d0*coupl(nGC_14&
                      )*coupl(nGC_2297)*coupl(nGC_871) - 3d0*coupl(nGC_14)*    &
                      coupl(nGC_617)*coupl(nGC_683) - 3d0*coupl(nGC_16)*coupl( &
                      nGC_1611)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(nGC_617&
                      )*coupl(nGC_92) - 3d0*coupl(nGC_1611)*coupl(nGC_20)*coupl&
                      (nGC_2297) + 3d0*coupl(nGC_1611)*coupl(nGC_31)*coupl(    &
                      nGC_871) + 3d0*coupl(nGC_1611)*coupl(nGC_56)*coupl(nGC_72&
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_57)*coupl(nGC_871) -   &
                      3d0*coupl(nGC_1611)*coupl(nGC_655)*coupl(nGC_74) + 3d0*  &
                      coupl(nGC_1671)*coupl(nGC_2059)*coupl(nGC_40) + 3d0*coupl&
                      (nGC_1671)*coupl(nGC_36)*coupl(nGC_96) + 3d0*coupl(      &
                      nGC_1671)*coupl(nGC_48)*coupl(nGC_683) - 3d0*coupl(nGC_20&
                      )*coupl(nGC_2059)*coupl(nGC_72) + 3d0*coupl(nGC_2059)*   &
                      coupl(nGC_49)*coupl(nGC_683) + 3d0*coupl(nGC_2059)*coupl(&
                      nGC_58)*coupl(nGC_96) + 3d0*coupl(nGC_22)*coupl(nGC_68)* &
                      coupl(nGC_871) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_40   &
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_68)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_24)*coupl(nGC_683)*coupl(nGC_96) + 3d0*coupl(  &
                      nGC_24)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_26)* &
                      coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_28)*coupl( &
                      nGC_617)*coupl(nGC_72) + 3d0*coupl(nGC_30)*coupl(nGC_63)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_36)*coupl(nGC_64)*coupl(  &
                      nGC_72) + 3d0*coupl(nGC_36)*coupl(nGC_92)*coupl(nGC_96   &
                      ) + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_64) + 3d0* &
                      coupl(nGC_40)*coupl(nGC_655)**2d0 + 3d0*coupl(nGC_40)*   &
                      coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl(   &
                      nGC_683)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_72)**2d0 +   &
                      3d0*coupl(nGC_42)*coupl(nGC_617)*coupl(nGC_871) + 3d0*   &
                      coupl(nGC_42)*coupl(nGC_683)*coupl(nGC_96) + 3d0*coupl(  &
                      nGC_42)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_42)* &
                      coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_44)*coupl(   &
                      nGC_68)*coupl(nGC_871) + 3d0*coupl(nGC_44)*coupl(nGC_69)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(  &
                      nGC_68) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_58)*coupl(nGC_64)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_58)*coupl(nGC_91)*coupl(nGC_96) - 3d0*coupl(   &
                      nGC_65)*coupl(nGC_655)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9158) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_133&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_134)*coupl(      &
                      nGC_843) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                      coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(nGC_173) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_172 &
                      )*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                      nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170)*coupl(      &
                      nGC_172) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_170)*   &
                      coupl(nGC_174)*coupl(nGC_843) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_843) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(      &
                      nGC_179) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*   &
                      coupl(nGC_181)*coupl(nGC_891) + 10d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_143)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_180) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_180)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_149 &
                      )*coupl(nGC_150) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_148)*coupl(nGC_149)*coupl(nGC_150) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_195)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*   &
                      coupl(nGC_1495)*coupl(nGC_196) + 10d0*Nc*cima*coupl(     &
                      nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(nGC_195) + &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194 &
                      )*coupl(nGC_195) + 10d0*Nc*cima*coupl(nGC_147)*coupl(    &
                      nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_193)*coupl(      &
                      nGC_195) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_194) +  &
                      10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_195&
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_173)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_195 &
                      )*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1671)*coupl(nGC_68)*coupl(nGC_96) - 5d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_72) - &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_68)*    &
                      coupl(nGC_72) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_64)*  &
                      coupl(nGC_68)*coupl(nGC_72) + 10d0*cima*coupl(nGC_154)*  &
                      coupl(nGC_155)*coupl(nGC_157)*coupl(nGC_158) + 10d0*cima*&
                      coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_157)*coupl(      &
                      nGC_158) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) - 5d0*  &
                      cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_94)*coupl(  &
                      nGC_96) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_871)*coupl( &
                      nGC_92)*coupl(nGC_94) + 10d0*cima*coupl(nGC_162)*coupl(  &
                      nGC_163)*coupl(nGC_165)*coupl(nGC_166) + 10d0*cima*coupl(&
                      nGC_162)*coupl(nGC_164)*coupl(nGC_165)*coupl(nGC_166) +  &
                      10d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_188)*  &
                      coupl(nGC_189) + 10d0*cima*coupl(nGC_185)*coupl(nGC_187)*&
                      coupl(nGC_188)*coupl(nGC_189) - 5d0*cima*coupl(nGC_2297  &
                      )**2d0*coupl(nGC_617)*coupl(nGC_871) - 5d0*cima*coupl(   &
                      nGC_2297)*coupl(nGC_871)**2d0*coupl(nGC_94) - 5d0*cima*  &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_92)*coupl(nGC_96  &
                      ) - 5d0*cima*coupl(nGC_617)*coupl(nGC_655)**2d0*coupl(   &
                      nGC_871) - 5d0*cima*coupl(nGC_617)*coupl(nGC_68)*coupl(  &
                      nGC_683)*coupl(nGC_96) - 5d0*cima*coupl(nGC_617)*coupl(  &
                      nGC_683)**2d0*coupl(nGC_72) - 5d0*cima*coupl(nGC_617)*   &
                      coupl(nGC_871)*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_63&
                      )**2d0*coupl(nGC_68)*coupl(nGC_871) - 5d0*cima*coupl(    &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_871) + 12d0&
                      *cima*coupl(nGC_70)*coupl(nGC_74) - 3d0*coupl(nGC_1005)* &
                      coupl(nGC_16)*coupl(nGC_1671) + 3d0*coupl(nGC_1005)*coupl&
                      (nGC_29)*coupl(nGC_72) + 3d0*coupl(nGC_1005)*coupl(nGC_42&
                      )*coupl(nGC_871) + 3d0*coupl(nGC_1391)*coupl(nGC_60)*    &
                      coupl(nGC_871) - 3d0*coupl(nGC_15)*coupl(nGC_1611)*coupl(&
                      nGC_94) - 3d0*coupl(nGC_15)*coupl(nGC_617)*coupl(nGC_92  &
                      ) - 3d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_871) -   &
                      3d0*coupl(nGC_16)*coupl(nGC_617)*coupl(nGC_683) + 3d0*   &
                      coupl(nGC_1611)*coupl(nGC_26)*coupl(nGC_871) + 3d0*coupl(&
                      nGC_1671)**2d0*coupl(nGC_48) + 3d0*coupl(nGC_1671)*coupl(&
                      nGC_27)*coupl(nGC_96) + 6d0*coupl(nGC_1671)*coupl(nGC_40 &
                      )*coupl(nGC_683) + 3d0*coupl(nGC_1671)*coupl(nGC_42)*    &
                      coupl(nGC_96) - 3d0*coupl(nGC_20)*coupl(nGC_2297)*coupl( &
                      nGC_617) - 3d0*coupl(nGC_20)*coupl(nGC_683)*coupl(nGC_72 &
                      ) + 3d0*coupl(nGC_22)*coupl(nGC_63)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_2297)**2d0*coupl(nGC_48) + 3d0*coupl(nGC_27)*  &
                      coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_27)*coupl(   &
                      nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_34)*coupl(nGC_68)* &
                      coupl(nGC_871) + 3d0*coupl(nGC_36)*coupl(nGC_68)*coupl(  &
                      nGC_72) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(nGC_96  &
                      ) + 3d0*coupl(nGC_36)*coupl(nGC_94)*coupl(nGC_96) + 3d0* &
                      coupl(nGC_37)*coupl(nGC_617)*coupl(nGC_72) + 3d0*coupl(  &
                      nGC_38)*coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_40 &
                      )*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_40)*coupl( &
                      nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_42)*coupl(nGC_63)* &
                      coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_92)*coupl(   &
                      nGC_96) + 3d0*coupl(nGC_44)*coupl(nGC_63)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_44)*coupl(nGC_64)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(   &
                      nGC_48)*coupl(nGC_655)**2d0 + 3d0*coupl(nGC_48)*coupl(   &
                      nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_48)*coupl(nGC_72)**&
                      2d0 + 3d0*coupl(nGC_49)*coupl(nGC_683)**2d0 + 3d0*coupl( &
                      nGC_56)*coupl(nGC_617)*coupl(nGC_72) + 3d0*coupl(nGC_57)*&
                      coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_58)*coupl( &
                      nGC_683)*coupl(nGC_96) + 3d0*coupl(nGC_58)*coupl(nGC_69)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_58)*coupl(nGC_94)*coupl(  &
                      nGC_96) - 3d0*coupl(nGC_617)*coupl(nGC_655)*coupl(nGC_74 &
                      ) - 3d0*coupl(nGC_655)*coupl(nGC_70)*coupl(nGC_871))/(   &
                      96d0*pi**2d0)
    coupl(nGC_9153) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_173 &
                      )*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*   &
                      coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_173) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_139 &
                      )*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(      &
                      nGC_183) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181 &
                      )*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_139)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_140)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150 &
                      )*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl(      &
                      nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(    &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*   &
                      coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_195) +  &
                      10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174 &
                      )*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*   &
                      coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_196 &
                      )*coupl(nGC_198) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1391)*coupl(nGC_617)*coupl(nGC_871) - 5d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_63   &
                      ) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_68&
                      )*coupl(nGC_683) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617&
                      )*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_871) + 12d0*cima&
                      *coupl(nGC_15)*coupl(nGC_19) + 10d0*cima*coupl(nGC_154)* &
                      coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*&
                      coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158)*coupl(      &
                      nGC_160) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(&
                      nGC_68)*coupl(nGC_72) + 10d0*cima*coupl(nGC_162)*coupl(  &
                      nGC_165)*coupl(nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(&
                      nGC_162)*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_168) -  &
                      5d0*cima*coupl(nGC_1671)*coupl(nGC_2059)*coupl(nGC_63)*  &
                      coupl(nGC_72) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_68)*  &
                      coupl(nGC_683)*coupl(nGC_72) - 5d0*cima*coupl(nGC_17)**  &
                      2d0*coupl(nGC_64)*coupl(nGC_871) + 10d0*cima*coupl(      &
                      nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_190) +  &
                      10d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189)*  &
                      coupl(nGC_191) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_617)*&
                      coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima*   &
                      coupl(nGC_64)*coupl(nGC_871)*coupl(nGC_94)**2d0 - 5d0*   &
                      cima*coupl(nGC_64)*coupl(nGC_871)*coupl(nGC_96)**2d0 +   &
                      12d0*cima*coupl(nGC_66)*coupl(nGC_73) - 5d0*cima*coupl(  &
                      nGC_68)*coupl(nGC_871)*coupl(nGC_91)*coupl(nGC_94) - 5d0*&
                      cima*coupl(nGC_871)**2d0*coupl(nGC_92)*coupl(nGC_96) -   &
                      3d0*coupl(nGC_1005)*coupl(nGC_19)*coupl(nGC_2297) + 3d0* &
                      coupl(nGC_1005)*coupl(nGC_32)*coupl(nGC_871) + 3d0*coupl(&
                      nGC_1005)*coupl(nGC_56)*coupl(nGC_871) - 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_655)*coupl(nGC_73) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_45)*coupl(nGC_871) - 3d0*coupl(nGC_15&
                      )*coupl(nGC_2059)*coupl(nGC_63) - 3d0*coupl(nGC_15)*coupl&
                      (nGC_68)*coupl(nGC_683) - 3d0*coupl(nGC_15)*coupl(nGC_871&
                      )*coupl(nGC_96) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl( &
                      nGC_94) - 3d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_91   &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_36)*coupl(nGC_72) + 3d0&
                      *coupl(nGC_1671)*coupl(nGC_2059)*coupl(nGC_40) + 3d0*    &
                      coupl(nGC_1671)*coupl(nGC_48)*coupl(nGC_683) + 3d0*coupl(&
                      nGC_1671)*coupl(nGC_58)*coupl(nGC_96) + 3d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_40) - 3d0*coupl(nGC_17)*coupl(nGC_66)*  &
                      coupl(nGC_871) - 3d0*coupl(nGC_19)*coupl(nGC_871)*coupl( &
                      nGC_92) + 3d0*coupl(nGC_2059)*coupl(nGC_2297)*coupl(     &
                      nGC_36) + 3d0*coupl(nGC_2059)*coupl(nGC_49)*coupl(nGC_683&
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_27)*coupl(nGC_683) +   &
                      3d0*coupl(nGC_2297)*coupl(nGC_27)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_2297)*coupl(nGC_36)*coupl(nGC_91) + 3d0*coupl( &
                      nGC_23)*coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_68)*coupl(nGC_871) + 3d0*coupl(nGC_27)*coupl(&
                      nGC_617)*coupl(nGC_72) + 3d0*coupl(nGC_29)*coupl(nGC_68)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_33)*coupl(nGC_64)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_72  &
                      ) + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_64) + 3d0* &
                      coupl(nGC_40)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_40)*coupl(nGC_683)**2d0 + 3d0*coupl(nGC_40)*coupl(   &
                      nGC_72)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_96)**2d0 + 3d0&
                      *coupl(nGC_43)*coupl(nGC_617)*coupl(nGC_72) + 3d0*coupl( &
                      nGC_43)*coupl(nGC_683)*coupl(nGC_96) + 3d0*coupl(nGC_43)*&
                      coupl(nGC_69)*coupl(nGC_871) + 3d0*coupl(nGC_43)*coupl(  &
                      nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_45)*coupl(nGC_617)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(  &
                      nGC_68) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_58)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(   &
                      nGC_58)*coupl(nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_60)* &
                      coupl(nGC_63)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9152) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136)*coupl(      &
                      nGC_843) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_175) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_171 &
                      )*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                      nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(      &
                      nGC_172) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_170)*   &
                      coupl(nGC_176)*coupl(nGC_843) + 10d0*Nc*cima*coupl(      &
                      nGC_136)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_139)*coupl(nGC_178)*coupl(nGC_179) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142)*coupl(      &
                      nGC_144) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_183)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_178 &
                      )*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)*coupl(    &
                      nGC_143)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*   &
                      coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_182) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_150 &
                      )*coupl(nGC_152) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_148)*coupl(nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_196)*coupl(      &
                      nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_1495)*  &
                      coupl(nGC_150)*coupl(nGC_198) + 10d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_1495)*coupl(nGC_152)*coupl(nGC_196) + &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194 &
                      )*coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_147)*coupl(    &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*   &
                      coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_193)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_1495)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) + &
                      10d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193 &
                      )*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*   &
                      coupl(nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196 &
                      )*coupl(nGC_197) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1671)*coupl(nGC_871)*coupl(nGC_96) + 10d0*cima*coupl(&
                      nGC_154)*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_160) +  &
                      10d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158)*  &
                      coupl(nGC_159) + 10d0*cima*coupl(nGC_162)*coupl(nGC_163)*&
                      coupl(nGC_166)*coupl(nGC_168) + 10d0*cima*coupl(nGC_162)*&
                      coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_167) - 5d0*cima* &
                      coupl(nGC_1671)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_94 &
                      ) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_68)**2d0*coupl(   &
                      nGC_91) - 5d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72)*coupl&
                      (nGC_871) + 10d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl&
                      (nGC_189)*coupl(nGC_191) + 10d0*cima*coupl(nGC_185)*coupl&
                      (nGC_187)*coupl(nGC_189)*coupl(nGC_190) + 12d0*cima*coupl&
                      (nGC_19)*coupl(nGC_20) - 5d0*cima*coupl(nGC_2059)*coupl( &
                      nGC_2297)*coupl(nGC_63)*coupl(nGC_871) - 5d0*cima*coupl( &
                      nGC_2059)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_92) - 5d0&
                      *cima*coupl(nGC_2059)*coupl(nGC_63)*coupl(nGC_68)*coupl( &
                      nGC_94) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_68)*coupl(  &
                      nGC_683)*coupl(nGC_871) - 5d0*cima*coupl(nGC_617)*coupl( &
                      nGC_683)*coupl(nGC_871)*coupl(nGC_96) - 5d0*cima*coupl(  &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_94) - 5d0*&
                      cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_683)*coupl(   &
                      nGC_91) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(    &
                      nGC_683)*coupl(nGC_92) - 5d0*cima*coupl(nGC_68)**2d0*    &
                      coupl(nGC_683)*coupl(nGC_94) - 5d0*cima*coupl(nGC_72)*   &
                      coupl(nGC_871)*coupl(nGC_96)**2d0 + 12d0*cima*coupl(     &
                      nGC_73)*coupl(nGC_74) - 3d0*coupl(nGC_1005)*coupl(       &
                      nGC_1671)*coupl(nGC_19) + 3d0*coupl(nGC_1611)*coupl(     &
                      nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_1671)*coupl(nGC_40 &
                      )*coupl(nGC_96) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_58) - &
                      3d0*coupl(nGC_17)*coupl(nGC_74)*coupl(nGC_871) - 3d0*    &
                      coupl(nGC_19)*coupl(nGC_2297)*coupl(nGC_871) - 3d0*coupl(&
                      nGC_19)*coupl(nGC_617)*coupl(nGC_683) - 3d0*coupl(nGC_20 &
                      )*coupl(nGC_2059)*coupl(nGC_63) - 3d0*coupl(nGC_20)*coupl&
                      (nGC_68)*coupl(nGC_683) - 3d0*coupl(nGC_20)*coupl(nGC_871&
                      )*coupl(nGC_96) + 3d0*coupl(nGC_2059)*coupl(nGC_2297)*   &
                      coupl(nGC_40) + 3d0*coupl(nGC_2059)*coupl(nGC_24)*coupl( &
                      nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_36)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_40)*coupl(nGC_91) + 3d0&
                      *coupl(nGC_2297)*coupl(nGC_48)*coupl(nGC_683) + 3d0*coupl&
                      (nGC_2297)*coupl(nGC_48)*coupl(nGC_94) + 3d0*coupl(nGC_27&
                      )*coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(&
                      nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_29)*coupl(nGC_64)* &
                      coupl(nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(  &
                      nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_64   &
                      ) + 3d0*coupl(nGC_37)*coupl(nGC_68)**2d0 + 3d0*coupl(    &
                      nGC_40)*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_40)* &
                      coupl(nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl(   &
                      nGC_617)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_68)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_683)*coupl(  &
                      nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_94)*coupl(nGC_96   &
                      ) + 6d0*coupl(nGC_56)*coupl(nGC_871)**2d0 + 3d0*coupl(   &
                      nGC_57)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_58)*&
                      coupl(nGC_72)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_96)**2d0&
                       + 3d0*coupl(nGC_59)*coupl(nGC_72)*coupl(nGC_871) + 3d0* &
                      coupl(nGC_60)*coupl(nGC_72)*coupl(nGC_871) - 3d0*coupl(  &
                      nGC_655)*coupl(nGC_73)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9151) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 +   &
                      coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_174&
                      )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)**2d0)/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9150) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0 -  &
                      coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_174&
                      )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)**2d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_9157) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134&
                      )*coupl(nGC_843) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_171)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(      &
                      nGC_172) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_170)*   &
                      coupl(nGC_174)*coupl(nGC_843) + 20d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_843) +  &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143 &
                      )*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_891) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_178)*coupl(      &
                      nGC_179) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                      coupl(nGC_181)*coupl(nGC_891) + 20d0*Nc*cima*coupl(      &
                      nGC_143)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) +  &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_148 &
                      )*coupl(nGC_150) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_148)*coupl(nGC_1495)*coupl(nGC_196) + 20d0*Nc*cima*  &
                      coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(     &
                      nGC_194) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_147)*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_194) +  &
                      20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_194&
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_172)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_181)*coupl(      &
                      nGC_891) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*    &
                      coupl(nGC_1671)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_1671)*coupl(nGC_617)*coupl(nGC_92) + 20d0*   &
                      cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_156)*coupl( &
                      nGC_158) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl&
                      (nGC_683)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1611)*coupl(&
                      nGC_72)*coupl(nGC_94)*coupl(nGC_96) + 20d0*cima*coupl(   &
                      nGC_162)*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_166) -  &
                      5d0*cima*coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_68)*  &
                      coupl(nGC_871) + 20d0*cima*coupl(nGC_185)*coupl(nGC_186)*&
                      coupl(nGC_187)*coupl(nGC_189) - 5d0*cima*coupl(nGC_2297)*&
                      coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_871) - 10d0*cima* &
                      coupl(nGC_617)**2d0*coupl(nGC_683)*coupl(nGC_92) - 5d0*  &
                      cima*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_92)*coupl(   &
                      nGC_96) - 10d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(   &
                      nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_64)*coupl(  &
                      nGC_68)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_1005&
                      )*coupl(nGC_1611)*coupl(nGC_26) + 3d0*coupl(nGC_1005)*   &
                      coupl(nGC_38)*coupl(nGC_617) - 6d0*coupl(nGC_1611)*coupl(&
                      nGC_20)*coupl(nGC_94) + 3d0*coupl(nGC_1611)*coupl(nGC_31 &
                      )*coupl(nGC_617) + 3d0*coupl(nGC_1671)*coupl(nGC_27)*    &
                      coupl(nGC_92) + 3d0*coupl(nGC_1671)*coupl(nGC_36)*coupl( &
                      nGC_94) + 6d0*coupl(nGC_1671)*coupl(nGC_48)*coupl(nGC_96 &
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_617)*coupl(nGC_92) + 3d0*&
                      coupl(nGC_2297)**2d0*coupl(nGC_42) + 3d0*coupl(nGC_24)*  &
                      coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(  &
                      nGC_617)**2d0 + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(  &
                      nGC_92) + 6d0*coupl(nGC_40)*coupl(nGC_68)*coupl(nGC_72   &
                      ) + 6d0*coupl(nGC_40)*coupl(nGC_683)*coupl(nGC_96) + 6d0*&
                      coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(   &
                      nGC_42)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_42)*coupl(   &
                      nGC_72)**2d0 + 6d0*coupl(nGC_42)*coupl(nGC_871)**2d0 +   &
                      6d0*coupl(nGC_44)*coupl(nGC_72)*coupl(nGC_871) + 3d0*    &
                      coupl(nGC_46)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(  &
                      nGC_48)*coupl(nGC_64)*coupl(nGC_72) + 6d0*coupl(nGC_48)* &
                      coupl(nGC_92)*coupl(nGC_96) - 3d0*coupl(nGC_62)*coupl(   &
                      nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_64)* &
                      coupl(nGC_68))/(96d0*pi**2d0)
    coupl(nGC_9156) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0* &
                      Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc*cima&
                      *coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*coupl(&
                      nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178&
                      )**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_193)**3d0*&
                      coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)**2d0*coupl(    &
                      nGC_617)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_63) - 5d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_617)**2d0*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_72)*coupl(      &
                      nGC_871) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(&
                      nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(    &
                      nGC_1391)*coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0*cima*   &
                      coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_68)**2d0 + 20d0* &
                      cima*coupl(nGC_154)**3d0*coupl(nGC_158) - 5d0*cima*coupl(&
                      nGC_1611)*coupl(nGC_617)**2d0*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_72)*coupl(      &
                      nGC_871) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_63)*coupl( &
                      nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1611)*coupl(  &
                      nGC_64)**2d0*coupl(nGC_68) + 20d0*cima*coupl(nGC_162)**  &
                      3d0*coupl(nGC_166) + 20d0*cima*coupl(nGC_185)**3d0*coupl(&
                      nGC_189) - 10d0*cima*coupl(nGC_617)*coupl(nGC_63)*coupl( &
                      nGC_68)**2d0 - 10d0*cima*coupl(nGC_617)*coupl(nGC_63)*   &
                      coupl(nGC_68)*coupl(nGC_69) - 15d0*cima*coupl(nGC_63)*   &
                      coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) - 10d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871  &
                      ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72)*  &
                      coupl(nGC_871) + 6d0*coupl(nGC_1005)*coupl(nGC_27)*coupl(&
                      nGC_63) + 6d0*coupl(nGC_1005)*coupl(nGC_36)*coupl(nGC_69 &
                      ) + 6d0*coupl(nGC_1005)*coupl(nGC_48)*coupl(nGC_72) - 6d0&
                      *coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_62) - 6d0*coupl&
                      (nGC_1611)*coupl(nGC_617)*coupl(nGC_62) + 6d0*coupl(     &
                      nGC_17)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_17)*coupl(    &
                      nGC_44)*coupl(nGC_655) + 6d0*coupl(nGC_22)*coupl(nGC_63)*&
                      coupl(nGC_64) + 6d0*coupl(nGC_22)*coupl(nGC_68)**2d0 +   &
                      6d0*coupl(nGC_2297)**2d0*coupl(nGC_44) + 6d0*coupl(      &
                      nGC_2297)*coupl(nGC_44)*coupl(nGC_96) + 6d0*coupl(nGC_24 &
                      )*coupl(nGC_617)*coupl(nGC_69) + 6d0*coupl(nGC_30)*coupl(&
                      nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_34)*coupl(nGC_64)* &
                      coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_617)*coupl(  &
                      nGC_63) + 6d0*coupl(nGC_40)*coupl(nGC_617)*coupl(nGC_72  &
                      ) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_871) + 12d0&
                      *coupl(nGC_42)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl( &
                      nGC_44)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_44)*coupl(   &
                      nGC_96)**2d0 + 6d0*coupl(nGC_48)*coupl(nGC_63)*coupl(    &
                      nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9155) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*coupl(     &
                      nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_134)*coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_139)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_151)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_174)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_182&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_181)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(nGC_197&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_196)*coupl(nGC_197)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*cima*coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_158)*coupl(nGC_159)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_158)*  &
                      coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)**2d0*coupl(nGC_2297)*coupl(nGC_72) + 4d0*&
                      cima*coupl(nGC_1611)*coupl(nGC_2059)*coupl(nGC_72)**2d0  &
                       + 4d0*cima*coupl(nGC_1611)*coupl(nGC_72)**2d0*coupl(    &
                      nGC_91) + 20d0*cima*coupl(nGC_166)*coupl(nGC_167)*coupl( &
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_166)*coupl(  &
                      nGC_167)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_166)*coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_90) + 9d0&
                      *cima*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_807)*coupl(   &
                      nGC_871) + 20d0*cima*coupl(nGC_189)*coupl(nGC_190)*coupl(&
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_189)*coupl(  &
                      nGC_190)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_189)*coupl(nGC_190)*coupl(nGC_80)*coupl(nGC_90) +    &
                      24d0*cima*coupl(nGC_19)*coupl(nGC_79) + 9d0*cima*coupl(  &
                      nGC_2059)*coupl(nGC_63)*coupl(nGC_807)*coupl(nGC_82) +   &
                      4d0*cima*coupl(nGC_2297)*coupl(nGC_617)**2d0*coupl(nGC_72&
                      ) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_91)*&
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_68)*  &
                      coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_72)**3d0 + 4d0*cima*coupl(nGC_2297)*coupl(     &
                      nGC_871)*coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_871)*coupl(nGC_94)**2d0 + 4d0*cima*coupl(      &
                      nGC_617)*coupl(nGC_683)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_72)**2d0*coupl(nGC_94) + 9d0*   &
                      cima*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_807)*coupl(  &
                      nGC_82) + 24d0*cima*coupl(nGC_73)*coupl(nGC_953) + 9d0*  &
                      cima*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_871)*coupl(  &
                      nGC_96) - 6d0*coupl(nGC_100)*coupl(nGC_82)*coupl(nGC_871 &
                      ) - 6d0*coupl(nGC_101)*coupl(nGC_807)*coupl(nGC_871) +   &
                      6d0*coupl(nGC_14)*coupl(nGC_1611)*coupl(nGC_72) - 6d0*   &
                      coupl(nGC_14)*coupl(nGC_2059)*coupl(nGC_807) + 6d0*coupl(&
                      nGC_14)*coupl(nGC_2297)*coupl(nGC_91) + 6d0*coupl(nGC_16 &
                      )*coupl(nGC_2297)*coupl(nGC_94) + 6d0*coupl(nGC_16)*coupl&
                      (nGC_617)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(nGC_683&
                      )*coupl(nGC_807) - 6d0*coupl(nGC_17)*coupl(nGC_19)*coupl(&
                      nGC_3) - 6d0*coupl(nGC_17)*coupl(nGC_871)*coupl(nGC_953  &
                      ) + 6d0*coupl(nGC_19)*coupl(nGC_72)**2d0 + 36d0*coupl(   &
                      nGC_19)*coupl(nGC_807)*coupl(nGC_82) - 6d0*coupl(nGC_19)*&
                      coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_2059)*coupl( &
                      nGC_63)*coupl(nGC_79) - 6d0*coupl(nGC_3)*coupl(nGC_871)* &
                      coupl(nGC_97) - 6d0*coupl(nGC_62)*coupl(nGC_807)*coupl(  &
                      nGC_871) - 6d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_871 &
                      ) + 36d0*coupl(nGC_647)*coupl(nGC_73)*coupl(nGC_82) - 6d0&
                      *coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_79) - 6d0*coupl( &
                      nGC_79)*coupl(nGC_871)*coupl(nGC_96))/(192d0*pi**2d0)
    coupl(nGC_16388) = coupl(nGC_23)*dZHlHh_QED2 + coupl(nGC_27)*              &
                       dZHMinusGMinus_QED2 + coupl(nGC_32)*dZHh_QED2 + coupl(  &
                       nGC_9294)
    coupl(nGC_33237) = -coupl(nGC_8767)
    coupl(nGC_8807) = (4d0*Nc*cMB*coupl(nGC_138)**2d0*coupl(nGC_141) + 4d0*Nc* &
                      cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(nGC_181) + 4d0*Nc&
                      *cMB*coupl(nGC_141)*coupl(nGC_181)**2d0 + 4d0*Nc*cMC*    &
                      coupl(nGC_130)*coupl(nGC_134)**2d0 + 4d0*Nc*cMC*coupl(   &
                      nGC_130)*coupl(nGC_174)**2d0 + 4d0*Nc*cMC*coupl(nGC_134)*&
                      coupl(nGC_169)*coupl(nGC_174) + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_150)**2d0 + 4d0*Nc*cMD*coupl(nGC_145)*coupl( &
                      nGC_196)**2d0 + 4d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*&
                      coupl(nGC_196) + 4d0*Nc*cMS*coupl(nGC_130)*coupl(nGC_134 &
                      )*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_134)**2d0*coupl( &
                      nGC_169) + 4d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_174)**2d0 &
                       + 4d0*Nc*cMT*coupl(nGC_138)**2d0*coupl(nGC_177) + 4d0*Nc&
                      *cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) + 4d0* &
                      Nc*cMT*coupl(nGC_177)*coupl(nGC_181)**2d0 + 4d0*Nc*cMU*  &
                      coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_196) + 4d0*Nc*cMU&
                      *coupl(nGC_150)**2d0*coupl(nGC_192) + 4d0*Nc*cMU*coupl(  &
                      nGC_192)*coupl(nGC_196)**2d0 + 4d0*cME*coupl(nGC_153)*   &
                      coupl(nGC_158)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(      &
                      nGC_166)**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_189)** &
                      2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_128) + 8d0*cima* &
                      coupl(nGC_107)*coupl(nGC_14) + 4d0*cima*coupl(nGC_124)*  &
                      coupl(nGC_62) + 8d0*cima*coupl(nGC_127)*coupl(nGC_65) +  &
                      coupl(nGC_1005)*coupl(nGC_108)*coupl(nGC_1611) + coupl(  &
                      nGC_1005)*coupl(nGC_119)*coupl(nGC_69) - coupl(nGC_1005)*&
                      coupl(nGC_124)*coupl(nGC_63) + coupl(nGC_103)*coupl(     &
                      nGC_617)*coupl(nGC_69) + coupl(nGC_104)*coupl(nGC_1611)* &
                      coupl(nGC_64) + coupl(nGC_106)*coupl(nGC_1611)*coupl(    &
                      nGC_69) + coupl(nGC_106)*coupl(nGC_617)*coupl(nGC_64) -  &
                      coupl(nGC_107)*coupl(nGC_1611)*coupl(nGC_2297) - coupl(  &
                      nGC_107)*coupl(nGC_2059)*coupl(nGC_72) - coupl(nGC_107)* &
                      coupl(nGC_2297)*coupl(nGC_64) - coupl(nGC_107)*coupl(    &
                      nGC_871)*coupl(nGC_91) + coupl(nGC_108)*coupl(nGC_2297)**&
                      2d0 + coupl(nGC_108)*coupl(nGC_63)*coupl(nGC_64) + coupl(&
                      nGC_108)*coupl(nGC_655)**2d0 + coupl(nGC_109)*coupl(     &
                      nGC_72)*coupl(nGC_871) + coupl(nGC_111)*coupl(nGC_1391)* &
                      coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_617)*coupl(     &
                      nGC_68) + coupl(nGC_114)*coupl(nGC_617)*coupl(nGC_871) + &
                      coupl(nGC_115)*coupl(nGC_69)*coupl(nGC_72) + coupl(      &
                      nGC_116)*coupl(nGC_1391)*coupl(nGC_1611) + coupl(nGC_116 &
                      )*coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_119)*coupl(    &
                      nGC_617)*coupl(nGC_63) - coupl(nGC_124)*coupl(nGC_1391)* &
                      coupl(nGC_68) - coupl(nGC_124)*coupl(nGC_72)*coupl(      &
                      nGC_871) - coupl(nGC_127)*coupl(nGC_1611)*coupl(nGC_655  &
                      ) - coupl(nGC_127)*coupl(nGC_64)*coupl(nGC_655) - coupl( &
                      nGC_128)*coupl(nGC_96)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_112_Hh) = -coupl(nGC_112)*dtHh_QED1/cMHH**2d0
    coupl(nGC_24182) = coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9282)
    coupl(nGC_24183) = -coupl(nGC_24182)
    coupl(nGC_16723) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/2d0
  end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
