!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl26()
    coupl(nGC_17800) = coupl(nGC_176)*dZsL_QCD2/2d0 + coupl(nGC_176)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9429)
    coupl(nGC_19891) = coupl(nGC_13706) + coupl(nGC_19888)
    coupl(nGC_9148) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_87  &
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_84)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl(  &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_150)**2d0*coupl(   &
                      nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_150)**2d0*&
                      coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_174)**2d0*   &
                      coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_174)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_174 &
                      )**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_181)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_181)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_181&
                      )**2d0*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_196)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_196)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_196&
                      )**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_1005)*    &
                      coupl(nGC_63)*coupl(nGC_82)**2d0 + 12d0*cima*coupl(      &
                      nGC_1015)*coupl(nGC_62) + 9d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_68)*coupl(nGC_82)**2d0 - 16d0*cima*coupl(nGC_158)**  &
                      2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_158)**2d0*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_158)** &
                      2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl( &
                      nGC_2059)*coupl(nGC_64)*coupl(nGC_91) + 4d0*cima*coupl(  &
                      nGC_1611)*coupl(nGC_2059)*coupl(nGC_69)*coupl(nGC_94) +  &
                      4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_683)*   &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_683)* &
                      coupl(nGC_69)*coupl(nGC_92) - 16d0*cima*coupl(nGC_166)** &
                      2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_166)**2d0*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_166)** &
                      2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1671)*coupl( &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(   &
                      nGC_1671)*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_92) -   &
                      16d0*cima*coupl(nGC_189)**2d0*coupl(nGC_86)**2d0 + 20d0* &
                      cima*coupl(nGC_189)**2d0*coupl(nGC_86)*coupl(nGC_90) -   &
                      16d0*cima*coupl(nGC_189)**2d0*coupl(nGC_90)**2d0 + 4d0*  &
                      cima*coupl(nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*coupl( &
                      nGC_91) + 4d0*cima*coupl(nGC_2297)**2d0*coupl(nGC_96)**  &
                      2d0 + 4d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_683&
                      )*coupl(nGC_91) + 4d0*cima*coupl(nGC_617)*coupl(nGC_683)*&
                      coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_655)**  &
                      2d0*coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_683)*coupl(  &
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) + 9d0*cima*coupl(   &
                      nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_871) + 3d0*coupl(   &
                      nGC_100)*coupl(nGC_2297)**2d0 + 3d0*coupl(nGC_100)*coupl(&
                      nGC_655)**2d0 - 3d0*coupl(nGC_1005)*coupl(nGC_1015)*coupl&
                      (nGC_63) - 6d0*coupl(nGC_1005)*coupl(nGC_14)*coupl(nGC_82&
                      ) + 3d0*coupl(nGC_101)*coupl(nGC_72)*coupl(nGC_871) - 3d0&
                      *coupl(nGC_1015)*coupl(nGC_1391)*coupl(nGC_68) - 3d0*    &
                      coupl(nGC_1015)*coupl(nGC_72)*coupl(nGC_871) - 6d0*coupl(&
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_14 &
                      )*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl( &
                      nGC_68)*coupl(nGC_82) + 3d0*coupl(nGC_1611)*coupl(nGC_64 &
                      )*coupl(nGC_99) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_99) + 18d0&
                      *coupl(nGC_62)*coupl(nGC_807)**2d0 + 18d0*coupl(nGC_62)* &
                      coupl(nGC_82)**2d0)/(96d0*pi**2d0)
    coupl(nGC_9149) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135&
                      )*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*   &
                      coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*cima*coupl(      &
                      nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174) +  &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_140 &
                      )*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_139)*coupl(nGC_178)*coupl(nGC_183) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl(      &
                      nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182) +  &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_151 &
                      )*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196)*coupl(      &
                      nGC_197) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*   &
                      coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima*coupl(      &
                      nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_175 &
                      )*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)*coupl(    &
                      nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*cima*   &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl(      &
                      nGC_198) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl&
                      (nGC_683)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_617)*coupl(nGC_683)*coupl(nGC_94) - 5d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_871) -  &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_683)*coupl(nGC_871)*  &
                      coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)* &
                      coupl(nGC_159)*coupl(nGC_160) - 5d0*cima*coupl(nGC_1611)*&
                      coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_91) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_72)*coupl(      &
                      nGC_871) + 20d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_185)*coupl(&
                      nGC_189)*coupl(nGC_190)*coupl(nGC_191) - 5d0*cima*coupl( &
                      nGC_2059)*coupl(nGC_617)**2d0*coupl(nGC_94) - 5d0*cima*  &
                      coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_871)*coupl(     &
                      nGC_96) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_63)*coupl(  &
                      nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2059)*coupl(  &
                      nGC_63)*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(    &
                      nGC_2297)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_94) - 5d0&
                      *cima*coupl(nGC_2297)*coupl(nGC_68)*coupl(nGC_72)*coupl( &
                      nGC_91) - 5d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                      nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_64)*coupl(   &
                      nGC_68)*coupl(nGC_683)*coupl(nGC_94) - 5d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) - 5d0*&
                      cima*coupl(nGC_68)**2d0*coupl(nGC_683)*coupl(nGC_91) -   &
                      3d0*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_62) + 3d0*  &
                      coupl(nGC_1611)*coupl(nGC_49)*coupl(nGC_72) - 3d0*coupl( &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_62) + 3d0*coupl(nGC_17&
                      )**2d0*coupl(nGC_43) - 6d0*coupl(nGC_19)*coupl(nGC_64)*  &
                      coupl(nGC_94) - 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(   &
                      nGC_91) + 6d0*coupl(nGC_2059)*coupl(nGC_2297)*coupl(     &
                      nGC_49) + 3d0*coupl(nGC_2059)*coupl(nGC_24)*coupl(nGC_91 &
                      ) + 3d0*coupl(nGC_2059)*coupl(nGC_36)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_2059)*coupl(nGC_49)*coupl(nGC_96) + 6d0*coupl(&
                      nGC_2297)*coupl(nGC_40)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_2297)*coupl(nGC_40)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2297)*coupl(nGC_49)*coupl(nGC_91) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_25)*coupl( &
                      nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_683)*coupl(   &
                      nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_64)*coupl(nGC_68   &
                      ) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(nGC_91) + 3d0*&
                      coupl(nGC_39)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_40)*coupl(nGC_617)*coupl(nGC_72) + 3d0*coupl(nGC_40)*&
                      coupl(nGC_68)*coupl(nGC_871) + 3d0*coupl(nGC_40)*coupl(  &
                      nGC_683)*coupl(nGC_96) + 3d0*coupl(nGC_43)*coupl(nGC_72  &
                      )**2d0 + 9d0*coupl(nGC_43)*coupl(nGC_871)**2d0 + 3d0*    &
                      coupl(nGC_43)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_45)*    &
                      coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_47)*coupl(  &
                      nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_49)*coupl(nGC_63)*&
                      coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9140) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)**2d0*coupl(  &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*   &
                      coupl(nGC_171)*coupl(nGC_174) + 20d0*Nc*cima*coupl(      &
                      nGC_132)*coupl(nGC_174)**2d0*coupl(nGC_843) + 20d0*Nc*   &
                      cima*coupl(nGC_134)**2d0*coupl(nGC_171)*coupl(nGC_172) + &
                      20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_174 &
                      )*coupl(nGC_843) + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl&
                      (nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_138)** &
                      2d0*coupl(nGC_179)*coupl(nGC_891) + 20d0*Nc*cima*coupl(  &
                      nGC_138)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_891) +  &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_179 &
                      )*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_143)*coupl(    &
                      nGC_144)*coupl(nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_147&
                      )*coupl(nGC_148)*coupl(nGC_150)**2d0 + 20d0*Nc*cima*coupl&
                      (nGC_147)*coupl(nGC_148)*coupl(nGC_196)**2d0 + 20d0*Nc*  &
                      cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_194)*coupl( &
                      nGC_196) + 20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_1495)*  &
                      coupl(nGC_150)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_1495)*coupl(nGC_150)**2d0*coupl(nGC_194) + 20d0*Nc*  &
                      cima*coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_196)**2d0  &
                       + 20d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(     &
                      nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181&
                      )**2d0*coupl(nGC_891) + 6d0*cima*coupl(nGC_100)*coupl(   &
                      nGC_101) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(&
                      nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_68)*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(  &
                      nGC_155)*coupl(nGC_156)*coupl(nGC_158)**2d0 - 10d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_69)*coupl(     &
                      nGC_94) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl( &
                      nGC_683)*coupl(nGC_94) + 20d0*cima*coupl(nGC_163)*coupl( &
                      nGC_164)*coupl(nGC_166)**2d0 - 10d0*cima*coupl(nGC_1671)*&
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_92) - 10d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_92)*coupl(nGC_96)**2d0 + 20d0* &
                      cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_189)**2d0 - &
                      10d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_683)*   &
                      coupl(nGC_92) + 12d0*cima*coupl(nGC_62)**2d0 - 10d0*cima*&
                      coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 10d0*  &
                      cima*coupl(nGC_72)**2d0*coupl(nGC_871)**2d0 - 3d0*coupl( &
                      nGC_100)*coupl(nGC_1671)*coupl(nGC_92) - 3d0*coupl(      &
                      nGC_100)*coupl(nGC_683)*coupl(nGC_94) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_40)*coupl(nGC_72) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_1391)*coupl(nGC_48)*&
                      coupl(nGC_72) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl( &
                      nGC_68) + 3d0*coupl(nGC_1611)*coupl(nGC_26)*coupl(nGC_69 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_31)*coupl(nGC_64) + 3d0&
                      *coupl(nGC_1671)*coupl(nGC_23)*coupl(nGC_94) + 3d0*coupl(&
                      nGC_1671)*coupl(nGC_32)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_2297)**2d0*coupl(nGC_56) + 3d0*coupl(nGC_23)*coupl(  &
                      nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_26)*coupl(nGC_617 &
                      )*coupl(nGC_64) + 3d0*coupl(nGC_35)*coupl(nGC_683)*coupl(&
                      nGC_94) + 3d0*coupl(nGC_38)*coupl(nGC_617)*coupl(nGC_69  &
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_871) + 6d0*&
                      coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_56)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_57)*coupl(   &
                      nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_58)*coupl(nGC_72  &
                      )**2d0 + 6d0*coupl(nGC_58)*coupl(nGC_871)**2d0 + 3d0*    &
                      coupl(nGC_59)*coupl(nGC_72)*coupl(nGC_871) - 9d0*coupl(  &
                      nGC_62)*coupl(nGC_72)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9141) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_134)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_174)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_173 &
                      )*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl&
                      (nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                      nGC_138)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(  &
                      nGC_181)**2d0 + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138&
                      )*coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                      nGC_138)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_149)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_149)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*cima*coupl(  &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_196) +  &
                      20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_195)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_174)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_181)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0 +   &
                      6d0*cima*coupl(nGC_100)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1005)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68) -  &
                      10d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*  &
                      coupl(nGC_69) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_63)* &
                      coupl(nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*   &
                      coupl(nGC_1391)*coupl(nGC_683)*coupl(nGC_72)*coupl(nGC_96&
                      ) + 20d0*cima*coupl(nGC_157)**2d0*coupl(nGC_158)**2d0 +  &
                      24d0*cima*coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_165)**&
                      2d0*coupl(nGC_166)**2d0 - 10d0*cima*coupl(nGC_1671)*coupl&
                      (nGC_92)*coupl(nGC_96)**2d0 + 20d0*cima*coupl(nGC_188)** &
                      2d0*coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2297)**2d0*&
                      coupl(nGC_617)*coupl(nGC_69) - 5d0*cima*coupl(nGC_2297)* &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_72) - 5d0*cima*  &
                      coupl(nGC_2297)*coupl(nGC_69)*coupl(nGC_871)*coupl(nGC_94&
                      ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_655)**2d0*coupl(nGC_69) - 10d0* &
                      cima*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*coupl(   &
                      nGC_871) - 5d0*cima*coupl(nGC_68)*coupl(nGC_871)*coupl(  &
                      nGC_94)*coupl(nGC_96) - 10d0*cima*coupl(nGC_683)*coupl(  &
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) - 10d0*cima*coupl(  &
                      nGC_683)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima*   &
                      coupl(nGC_70)**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1611)*  &
                      coupl(nGC_69) + 3d0*coupl(nGC_10)*coupl(nGC_617)*coupl(  &
                      nGC_64) - 3d0*coupl(nGC_100)*coupl(nGC_1671)*coupl(nGC_92&
                      ) - 3d0*coupl(nGC_100)*coupl(nGC_683)*coupl(nGC_94) + 6d0&
                      *coupl(nGC_1005)*coupl(nGC_23)*coupl(nGC_617) + 6d0*coupl&
                      (nGC_1005)*coupl(nGC_27)*coupl(nGC_68) + 12d0*coupl(     &
                      nGC_1005)*coupl(nGC_36)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_41)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(nGC_12 &
                      )*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_13)*coupl(&
                      nGC_1611)*coupl(nGC_64) + 3d0*coupl(nGC_1391)*coupl(     &
                      nGC_1611)*coupl(nGC_45) + 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_27)*coupl(nGC_63) + 6d0*coupl(nGC_1391)*coupl(nGC_32 &
                      )*coupl(nGC_617) + 3d0*coupl(nGC_1391)*coupl(nGC_54)*    &
                      coupl(nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_61)*coupl( &
                      nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68 &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_617) -   &
                      6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_69) - 6d0*   &
                      coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_72) - 6d0*coupl(  &
                      nGC_16)*coupl(nGC_871)*coupl(nGC_94) + 3d0*coupl(nGC_1611&
                      )*coupl(nGC_57)*coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl&
                      (nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_1671)*coupl(nGC_43&
                      )*coupl(nGC_94) + 3d0*coupl(nGC_1671)*coupl(nGC_56)*coupl&
                      (nGC_92) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_32) + 6d0* &
                      coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_32)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_32)*coupl(   &
                      nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_33)*coupl(nGC_72)* &
                      coupl(nGC_871) + 6d0*coupl(nGC_40)*coupl(nGC_63)*coupl(  &
                      nGC_72) + 3d0*coupl(nGC_43)*coupl(nGC_683)*coupl(nGC_92  &
                      ) + 3d0*coupl(nGC_45)*coupl(nGC_63)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_45)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(   &
                      nGC_53)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_54)*&
                      coupl(nGC_617)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl(  &
                      nGC_72)*coupl(nGC_871) - 3d0*coupl(nGC_617)*coupl(nGC_62 &
                      )*coupl(nGC_69) - 6d0*coupl(nGC_617)*coupl(nGC_655)*coupl&
                      (nGC_70) - 6d0*coupl(nGC_655)*coupl(nGC_69)*coupl(nGC_70 &
                      ) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9142) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_134&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl&
                      (nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_130)*coupl(      &
                      nGC_134)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_169&
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_138)**2d0*coupl(nGC_141) + 20d0*Nc*cima*coupl(nGC_137&
                      )*coupl(nGC_138)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                      cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_181)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_177)*coupl(   &
                      nGC_180) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_149)*coupl(nGC_150)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_196)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_149)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*   &
                      coupl(nGC_150)**2d0*coupl(nGC_192)*coupl(nGC_195) + 20d0*&
                      Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_174)**2d0&
                       + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(     &
                      nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195&
                      )*coupl(nGC_196)**2d0 - 5d0*cima*coupl(nGC_1005)**2d0*   &
                      coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(     &
                      nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl( &
                      nGC_63)**2d0 - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*  &
                      coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_683)*coupl(nGC_72)*coupl(nGC_96) - 5d0*cima*   &
                      coupl(nGC_1005)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871&
                      ) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_68&
                      )*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_617 &
                      )*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_68) + 24d0*cima*  &
                      coupl(nGC_14)*coupl(nGC_16) + 20d0*cima*coupl(nGC_153)*  &
                      coupl(nGC_157)*coupl(nGC_158)**2d0 + 20d0*cima*coupl(    &
                      nGC_161)*coupl(nGC_165)*coupl(nGC_166)**2d0 - 5d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_2297)**2d0*coupl(nGC_69) - 5d0*&
                      cima*coupl(nGC_1611)*coupl(nGC_655)**2d0*coupl(nGC_69) - &
                      5d0*cima*coupl(nGC_1611)*coupl(nGC_69)*coupl(nGC_72)*    &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_94)* &
                      coupl(nGC_96)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(     &
                      nGC_188)*coupl(nGC_189)**2d0 - 5d0*cima*coupl(nGC_2059)* &
                      coupl(nGC_2297)*coupl(nGC_617)*coupl(nGC_72) - 5d0*cima* &
                      coupl(nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_94&
                      ) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_94)*coupl(nGC_96  &
                      )**2d0 - 5d0*cima*coupl(nGC_2297)**2d0*coupl(nGC_617)*   &
                      coupl(nGC_64) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_69)*  &
                      coupl(nGC_871)*coupl(nGC_91) - 5d0*cima*coupl(nGC_617)*  &
                      coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_655)**2d0 - 5d0*  &
                      cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_72)*coupl(   &
                      nGC_871) - 5d0*cima*coupl(nGC_63)*coupl(nGC_871)*coupl(  &
                      nGC_94)*coupl(nGC_96) + 24d0*cima*coupl(nGC_65)*coupl(   &
                      nGC_70) - 5d0*cima*coupl(nGC_683)*coupl(nGC_72)*coupl(   &
                      nGC_871)*coupl(nGC_91) - 5d0*cima*coupl(nGC_683)*coupl(  &
                      nGC_91)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_683)*    &
                      coupl(nGC_92)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_10)*    &
                      coupl(nGC_617)*coupl(nGC_69) - 3d0*coupl(nGC_100)*coupl( &
                      nGC_1671)*coupl(nGC_94) - 3d0*coupl(nGC_100)*coupl(      &
                      nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_1005)*coupl(      &
                      nGC_1611)*coupl(nGC_23) + 6d0*coupl(nGC_1005)*coupl(     &
                      nGC_1611)*coupl(nGC_45) + 6d0*coupl(nGC_1005)*coupl(     &
                      nGC_24)*coupl(nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_35 &
                      )*coupl(nGC_617) + 3d0*coupl(nGC_1005)*coupl(nGC_36)*    &
                      coupl(nGC_68) + 3d0*coupl(nGC_1005)*coupl(nGC_36)*coupl( &
                      nGC_69) + 3d0*coupl(nGC_1005)*coupl(nGC_48)*coupl(nGC_871&
                      ) + 3d0*coupl(nGC_1005)*coupl(nGC_54)*coupl(nGC_68) + 3d0&
                      *coupl(nGC_1005)*coupl(nGC_57)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_13)*coupl(nGC_1611)*coupl(nGC_69) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_617)*coupl(nGC_64) + 3d0*coupl(nGC_1391)*    &
                      coupl(nGC_1611)*coupl(nGC_32) + 3d0*coupl(nGC_1391)*coupl&
                      (nGC_23)*coupl(nGC_617) + 3d0*coupl(nGC_1391)*coupl(     &
                      nGC_27)*coupl(nGC_69) + 3d0*coupl(nGC_1391)*coupl(nGC_36 &
                      )*coupl(nGC_63) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl&
                      (nGC_63) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_64&
                      ) - 3d0*coupl(nGC_14)*coupl(nGC_2297)*coupl(nGC_617) -   &
                      3d0*coupl(nGC_14)*coupl(nGC_2297)*coupl(nGC_69) - 3d0*   &
                      coupl(nGC_14)*coupl(nGC_683)*coupl(nGC_72) - 3d0*coupl(  &
                      nGC_14)*coupl(nGC_871)*coupl(nGC_94) - 3d0*coupl(nGC_16)*&
                      coupl(nGC_1611)*coupl(nGC_2297) - 3d0*coupl(nGC_16)*coupl&
                      (nGC_2059)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(      &
                      nGC_2297)*coupl(nGC_64) - 3d0*coupl(nGC_16)*coupl(nGC_871&
                      )*coupl(nGC_91) + 3d0*coupl(nGC_1611)*coupl(nGC_54)*coupl&
                      (nGC_69) + 3d0*coupl(nGC_1611)*coupl(nGC_57)*coupl(nGC_68&
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_9) - 3d0*&
                      coupl(nGC_1611)*coupl(nGC_655)*coupl(nGC_70) + 3d0*coupl(&
                      nGC_2059)*coupl(nGC_43)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_53)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2297)**2d0*coupl(nGC_23) + 3d0*coupl(nGC_23)*coupl(  &
                      nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_23)*coupl(nGC_655  &
                      )**2d0 + 3d0*coupl(nGC_23)*coupl(nGC_68)*coupl(nGC_69) + &
                      3d0*coupl(nGC_25)*coupl(nGC_72)*coupl(nGC_871) + 3d0*    &
                      coupl(nGC_27)*coupl(nGC_617)*coupl(nGC_68) + 3d0*coupl(  &
                      nGC_32)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_35)* &
                      coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(   &
                      nGC_617)*coupl(nGC_63) + 3d0*coupl(nGC_40)*coupl(nGC_69)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_617)*coupl(  &
                      nGC_871) + 3d0*coupl(nGC_43)*coupl(nGC_683)*coupl(nGC_94 &
                      ) + 3d0*coupl(nGC_45)*coupl(nGC_68)**2d0 + 3d0*coupl(    &
                      nGC_45)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_49)*coupl(    &
                      nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_56)*coupl(nGC_683)*&
                      coupl(nGC_92) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl(  &
                      nGC_63) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_64  &
                      ) - 3d0*coupl(nGC_617)*coupl(nGC_65)*coupl(nGC_655) - 3d0&
                      *coupl(nGC_64)*coupl(nGC_655)*coupl(nGC_70) - 3d0*coupl( &
                      nGC_65)*coupl(nGC_655)*coupl(nGC_69))/(96d0*pi**2d0)
    coupl(nGC_9146) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_134)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_174)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169 &
                      )*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl&
                      (nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl( &
                      nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(  &
                      nGC_177)**2d0 + 40d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141&
                      )*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                      nGC_141)**2d0*coupl(nGC_181)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*cima*coupl(  &
                      nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_196) +  &
                      20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_192)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_174)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_181)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_196)**2d0 +   &
                      6d0*cima*coupl(nGC_100)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64) -  &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_2059)*coupl(nGC_72)*  &
                      coupl(nGC_96) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_617)*&
                      coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_69&
                      ) + 24d0*cima*coupl(nGC_14)**2d0 + 20d0*cima*coupl(      &
                      nGC_153)**2d0*coupl(nGC_158)**2d0 + 20d0*cima*coupl(     &
                      nGC_161)**2d0*coupl(nGC_166)**2d0 - 5d0*cima*coupl(      &
                      nGC_1611)*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_72   &
                      ) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_2297)**2d0*coupl(&
                      nGC_64) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl( &
                      nGC_655)**2d0 - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)* &
                      coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(nGC_184)**&
                      2d0*coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2059)*coupl&
                      (nGC_72)*coupl(nGC_871)*coupl(nGC_91) - 10d0*cima*coupl( &
                      nGC_2059)*coupl(nGC_91)*coupl(nGC_96)**2d0 - 5d0*cima*   &
                      coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_871)*coupl(nGC_91&
                      ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 5d0*cima*coupl(nGC_63)*coupl(nGC_871)*coupl(nGC_91)* &
                      coupl(nGC_96) + 24d0*cima*coupl(nGC_65)**2d0 - 10d0*cima*&
                      coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 3d0*   &
                      coupl(nGC_100)*coupl(nGC_2059)*coupl(nGC_91) - 3d0*coupl(&
                      nGC_100)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_45) + 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_35) + 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_24)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_54)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(nGC_11 &
                      )*coupl(nGC_1611)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl&
                      (nGC_617)*coupl(nGC_69) + 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_1611)*coupl(nGC_23) + 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_1391)*coupl(nGC_57 &
                      )*coupl(nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_61)*coupl&
                      (nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68&
                      ) - 6d0*coupl(nGC_14)*coupl(nGC_1611)*coupl(nGC_2297) -  &
                      6d0*coupl(nGC_14)*coupl(nGC_2059)*coupl(nGC_72) - 6d0*   &
                      coupl(nGC_14)*coupl(nGC_2297)*coupl(nGC_64) - 6d0*coupl( &
                      nGC_14)*coupl(nGC_871)*coupl(nGC_91) + 3d0*coupl(nGC_1611&
                      )*coupl(nGC_45)*coupl(nGC_617) + 3d0*coupl(nGC_1611)*    &
                      coupl(nGC_54)*coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl( &
                      nGC_62)*coupl(nGC_64) - 6d0*coupl(nGC_1611)*coupl(nGC_65 &
                      )*coupl(nGC_655) + 3d0*coupl(nGC_1611)*coupl(nGC_69)*    &
                      coupl(nGC_9) + 3d0*coupl(nGC_2059)*coupl(nGC_43)*coupl(  &
                      nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_53)*coupl(nGC_91 &
                      ) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_35) + 6d0*coupl(  &
                      nGC_23)*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_24)* &
                      coupl(nGC_617)*coupl(nGC_63) + 6d0*coupl(nGC_35)*coupl(  &
                      nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_35)*coupl(nGC_655  &
                      )**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_617)*coupl(nGC_68   &
                      ) + 3d0*coupl(nGC_39)*coupl(nGC_72)*coupl(nGC_871) + 3d0*&
                      coupl(nGC_43)*coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(  &
                      nGC_45)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_45)* &
                      coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_48)*coupl(   &
                      nGC_617)*coupl(nGC_871) + 6d0*coupl(nGC_49)*coupl(nGC_69 &
                      )*coupl(nGC_72) + 3d0*coupl(nGC_56)*coupl(nGC_683)*coupl(&
                      nGC_94) + 3d0*coupl(nGC_57)*coupl(nGC_617)*coupl(nGC_69  &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_871) - 3d0*&
                      coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_69) + 3d0*coupl(  &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_9) - 6d0*coupl(nGC_64)* &
                      coupl(nGC_65)*coupl(nGC_655) - 3d0*coupl(nGC_96)**2d0*   &
                      coupl(nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9147) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_80)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_80)**2d0 +    &
                      12d0*cima*coupl(nGC_100)*coupl(nGC_1015) + 4d0*cima*coupl&
                      (nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64) + &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_68)*  &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*&
                      coupl(nGC_69)**2d0 + 4d0*cima*coupl(nGC_1005)*coupl(     &
                      nGC_1611)*coupl(nGC_871)**2d0 + 4d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_2297)**2d0*coupl(nGC_63) + 4d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_69) +   &
                      9d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_647)**  &
                      2d0 + 4d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(      &
                      nGC_655)**2d0 + 9d0*cima*coupl(nGC_1005)*coupl(nGC_63)*  &
                      coupl(nGC_807)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(  &
                      nGC_1391)*coupl(nGC_2297)**2d0*coupl(nGC_68) + 4d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_64&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_64 &
                      )**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(  &
                      nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1391)*coupl(  &
                      nGC_617)*coupl(nGC_871)**2d0 + 9d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_647)**2d0*coupl(nGC_68) + 4d0*cima*coupl(      &
                      nGC_1391)*coupl(nGC_655)**2d0*coupl(nGC_68) + 9d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_807)**2d0 - 16d0*&
                      cima*coupl(nGC_158)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*  &
                      coupl(nGC_1611)**2d0*coupl(nGC_64)**2d0 + 4d0*cima*coupl(&
                      nGC_1611)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*   &
                      coupl(nGC_1611)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*coupl(&
                      nGC_1611)**2d0*coupl(nGC_871)**2d0 + 8d0*cima*coupl(     &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69) -   &
                      16d0*cima*coupl(nGC_166)**2d0*coupl(nGC_80)**2d0 + 9d0*  &
                      cima*coupl(nGC_17)**2d0*coupl(nGC_3)**2d0 + 9d0*cima*    &
                      coupl(nGC_17)**2d0*coupl(nGC_647)**2d0 + 18d0*cima*coupl(&
                      nGC_17)*coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_96) + 18d0* &
                      cima*coupl(nGC_17)*coupl(nGC_647)*coupl(nGC_807)*coupl(  &
                      nGC_96) + 12d0*cima*coupl(nGC_18)*coupl(nGC_923) - 16d0* &
                      cima*coupl(nGC_189)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*  &
                      coupl(nGC_2297)**2d0*coupl(nGC_72)*coupl(nGC_871) + 4d0* &
                      cima*coupl(nGC_617)**2d0*coupl(nGC_63)*coupl(nGC_64) +   &
                      4d0*cima*coupl(nGC_617)**2d0*coupl(nGC_64)**2d0 + 4d0*   &
                      cima*coupl(nGC_617)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*  &
                      coupl(nGC_617)**2d0*coupl(nGC_871)**2d0 + 24d0*cima*coupl&
                      (nGC_62)*coupl(nGC_78) + 4d0*cima*coupl(nGC_63)*coupl(   &
                      nGC_64)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_64)**2d0*&
                      coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_647)**2d0*coupl( &
                      nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_655)**2d0*   &
                      coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_68)*   &
                      coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_69 &
                      )**2d0*coupl(nGC_72)**2d0 + 8d0*cima*coupl(nGC_72)**2d0* &
                      coupl(nGC_871)**2d0 + 9d0*cima*coupl(nGC_72)*coupl(      &
                      nGC_807)**2d0*coupl(nGC_871) + 9d0*cima*coupl(nGC_807)** &
                      2d0*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_82)**2d0*    &
                      coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_83)*coupl(nGC_97&
                      ) + 36d0*coupl(nGC_100)*coupl(nGC_82)**2d0 - 6d0*coupl(  &
                      nGC_1005)*coupl(nGC_14)*coupl(nGC_807) - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_647)*coupl(nGC_65) - 6d0*coupl(      &
                      nGC_1015)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_1391)*coupl(&
                      nGC_16)*coupl(nGC_807) - 6d0*coupl(nGC_1391)*coupl(      &
                      nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_1391)*coupl(nGC_68&
                      )*coupl(nGC_78) - 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl( &
                      nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_807 &
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_61)*coupl(nGC_64) - 6d0&
                      *coupl(nGC_17)**2d0*coupl(nGC_923) - 12d0*coupl(nGC_17)* &
                      coupl(nGC_3)*coupl(nGC_62) - 12d0*coupl(nGC_17)*coupl(   &
                      nGC_62)*coupl(nGC_647) - 12d0*coupl(nGC_17)*coupl(nGC_83 &
                      )*coupl(nGC_96) + 36d0*coupl(nGC_18)*coupl(nGC_3)**2d0 - &
                      6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_807) - 6d0*    &
                      coupl(nGC_20)*coupl(nGC_807)*coupl(nGC_871) + 6d0*coupl( &
                      nGC_2297)**2d0*coupl(nGC_62) + 72d0*coupl(nGC_3)*coupl(  &
                      nGC_82)*coupl(nGC_97) + 6d0*coupl(nGC_61)*coupl(nGC_617)*&
                      coupl(nGC_69) + 36d0*coupl(nGC_62)*coupl(nGC_647)**2d0 + &
                      6d0*coupl(nGC_62)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_62 &
                      )*coupl(nGC_72)*coupl(nGC_871) + 36d0*coupl(nGC_62)*coupl&
                      (nGC_807)**2d0 - 12d0*coupl(nGC_62)*coupl(nGC_807)*coupl(&
                      nGC_96) - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_96  &
                      ) - 6d0*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_65) - 6d0*&
                      coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(  &
                      nGC_647)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_647 &
                      )*coupl(nGC_74)*coupl(nGC_871) - 6d0*coupl(nGC_72)*coupl(&
                      nGC_78)*coupl(nGC_871))/(192d0*pi**2d0)
    coupl(nGC_19765) = coupl(nGC_9646) + coupl(nGC_TS_GC_169_Hl) + coupl(      &
                       nGC_TS_GC_173_Hh)
    coupl(nGC_19766) = coupl(nGC_19757) + coupl(nGC_19765)
    coupl(nGC_19767) = coupl(nGC_19758) + coupl(nGC_9647)
    coupl(nGC_16286) = 2d0*coupl(nGC_45)*dZHMinusGMinus_QED2 + coupl(nGC_9292)
    coupl(nGC_14914) = coupl(nGC_TS_GC_63_Hh) + coupl(nGC_TS_GC_69_Hl)
    coupl(nGC_14915) = -coupl(nGC_14914)
    coupl(nGC_13688) = coupl(nGC_43)*dZHMinus_QED2/2d0 + coupl(nGC_53)*        &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_56)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_58)*dZHaG0_QED2 +   &
                       coupl(nGC_9329)
    coupl(nGC_14705) = coupl(nGC_63)*dZHl_QED2/2d0 + coupl(nGC_63)*            &
                       dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_9367)
    coupl(nGC_14706) = -coupl(nGC_14700) + coupl(nGC_14705)
    coupl(nGC_15476) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/2d0 &
                        + coupl(nGC_9520)
    coupl(nGC_15477) = -coupl(nGC_15476)
    coupl(nGC_14671) = coupl(nGC_7)*dZg_QCD2/2d0 + coupl(nGC_9392)
    coupl(nGC_14673) = coupl(nGC_14670) + coupl(nGC_14671)
    coupl(nGC_14672) = coupl(nGC_14668) + coupl(nGC_14671)
    coupl(nGC_13005) = coupl(nGC_42)*dZHMinusGMinus_QED2 + coupl(nGC_43)*      &
                       dZG0Ha_QED2 + coupl(nGC_56)*dZHa_QED2 + coupl(nGC_9303)
    coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13489) = coupl(nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*        &
                       dZHl_QED2 + coupl(nGC_30)*dZHMinusGMinus_QED2/2d0 +     &
                       coupl(nGC_35)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_36)*  &
                       dZHhHl_QED2 + coupl(nGC_9324)
    coupl(nGC_8911) = (-coupl(nGC_1391)*coupl(nGC_153)*coupl(nGC_80) - coupl(  &
                      nGC_154)*coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_154)* &
                      coupl(nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_154)*coupl(  &
                      nGC_86)*coupl(nGC_90) - coupl(nGC_154)*coupl(nGC_90)*    &
                      coupl(nGC_96) - coupl(nGC_156)*coupl(nGC_80)*coupl(      &
                      nGC_871) - coupl(nGC_157)*coupl(nGC_1611)*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_13480) = coupl(nGC_162)*dZHMinus_QED2/2d0 + coupl(nGC_162)*      &
                       dZmuMinusR_QED2/2d0 + coupl(nGC_162)*dZnu_muL_QED2/2d0  &
                        + coupl(nGC_166)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                       nGC_9465)
    coupl(nGC_26223) = coupl(nGC_TS_GC_91_Hl) + coupl(nGC_TS_GC_94_Hh)
    coupl(nGC_26222) = coupl(nGC_9654) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_26597) = coupl(nGC_9632) + coupl(nGC_MHH)*dZHh_QED2 + coupl(     &
                       nGC_TS_GC_103_Hl) + coupl(nGC_TS_GC_105_Hh)
    coupl(nGC_19375) = 3d0*coupl(nGC_104)*dZHl_QED2/2d0 + 3d0*coupl(nGC_106)*  &
                       dZHhHl_QED2/2d0 + coupl(nGC_9348) + coupl(              &
                       nGC_TS_GC_11_Hl) + coupl(nGC_TS_GC_9_Hh)
    coupl(nGC_13710) = coupl(nGC_13706) + coupl(nGC_13708)
    coupl(nGC_12681) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*          &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0 + &
                       coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_9360) +    &
                       coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
    coupl(nGC_12990) = coupl(nGC_83)*dZA_QED2/2d0 + coupl(nGC_83)*dZWMinus_QED2&
                        + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_9288)
    coupl(nGC_12991) = -2d0*coupl(nGC_12989) + coupl(nGC_12990)
    coupl(nGC_12841) = coupl(nGC_67)*dZHl_QED2/2d0 + coupl(nGC_71)*dZHhHl_QED2/&
                       2d0 + coupl(nGC_9518)
    coupl(nGC_12667) = coupl(nGC_114)*dZG0Ha_QED2/2d0 + coupl(nGC_123)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_123)*dZHa_QED2/2d0 + coupl&
                       (nGC_9340) + coupl(nGC_TS_GC_41_Hl) + coupl(            &
                       nGC_TS_GC_49_Hh)
    coupl(nGC_12660) = coupl(nGC_14)*dZHlHh_QED2/2d0 + coupl(nGC_15)*          &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*dZHh_QED2/2d0 + &
                       coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2&
                       /2d0 + coupl(nGC_70)*dZAZ_QED2/2d0 + coupl(nGC_9378)
    coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9009) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_164)**  &
                      2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(nGC_161 &
                      )*coupl(nGC_168)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89) +   &
                      coupl(nGC_162)*coupl(nGC_617)*coupl(nGC_80) + coupl(     &
                      nGC_164)*coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_164)*  &
                      coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(nGC_64&
                      )*coupl(nGC_80) + coupl(nGC_168)*coupl(nGC_2059)*coupl(  &
                      nGC_86) + coupl(nGC_168)*coupl(nGC_89)*coupl(nGC_91))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9008) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_163)**  &
                      2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(nGC_161 &
                      )*coupl(nGC_167)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89) +   &
                      coupl(nGC_1611)*coupl(nGC_166)*coupl(nGC_80) + coupl(    &
                      nGC_162)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_163)*   &
                      coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_163)*coupl(     &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_167)*coupl(nGC_2059)*  &
                      coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_91&
                      ))/(32d0*pi**2d0)
    coupl(nGC_9005) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_156)**  &
                      2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(nGC_153 &
                      )*coupl(nGC_160)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl(nGC_89) +   &
                      coupl(nGC_154)*coupl(nGC_617)*coupl(nGC_80) + coupl(     &
                      nGC_156)*coupl(nGC_683)*coupl(nGC_86) + coupl(nGC_156)*  &
                      coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*coupl(nGC_64&
                      )*coupl(nGC_80) + coupl(nGC_160)*coupl(nGC_2059)*coupl(  &
                      nGC_86) + coupl(nGC_160)*coupl(nGC_89)*coupl(nGC_91))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9004) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_155)**  &
                      2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(nGC_153 &
                      )*coupl(nGC_159)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl(nGC_89) +   &
                      coupl(nGC_154)*coupl(nGC_69)*coupl(nGC_80) + coupl(      &
                      nGC_155)*coupl(nGC_683)*coupl(nGC_89) + coupl(nGC_155)*  &
                      coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_158)*coupl(      &
                      nGC_1611)*coupl(nGC_80) + coupl(nGC_159)*coupl(nGC_2059)*&
                      coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_91&
                      ))/(32d0*pi**2d0)
    coupl(nGC_9007) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*    &
                      coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169  &
                      ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_9006) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC*   &
                      coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169  &
                      ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**  &
                      2d0)
    coupl(nGC_9001) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_1005)* &
                      coupl(nGC_150)*coupl(nGC_80) - coupl(nGC_145)**3d0 -     &
                      coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(nGC_145)*coupl&
                      (nGC_149)**2d0 - coupl(nGC_145)*coupl(nGC_152)**2d0 + 8d0&
                      *coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_87) - coupl(     &
                      nGC_146)*coupl(nGC_192)*coupl(nGC_193) - coupl(nGC_146)* &
                      coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_148)*coupl(      &
                      nGC_683)*coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_84)*   &
                      coupl(nGC_94) - coupl(nGC_150)*coupl(nGC_192)*coupl(     &
                      nGC_196) - coupl(nGC_152)*coupl(nGC_2059)*coupl(nGC_87   &
                      ) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91))/(32d0*pi &
                      **2d0)
    coupl(nGC_9003) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9002) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_1391)* &
                      coupl(nGC_146)*coupl(nGC_80) - coupl(nGC_145)**3d0 -     &
                      coupl(nGC_145)*coupl(nGC_147)**2d0 - coupl(nGC_145)*coupl&
                      (nGC_149)**2d0 - coupl(nGC_145)*coupl(nGC_151)**2d0 + 8d0&
                      *coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_87) - coupl(     &
                      nGC_146)*coupl(nGC_192)*coupl(nGC_193) - coupl(nGC_147)* &
                      coupl(nGC_683)*coupl(nGC_84) - coupl(nGC_147)*coupl(     &
                      nGC_87)*coupl(nGC_94) - coupl(nGC_150)*coupl(nGC_192)*   &
                      coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_63)*coupl(     &
                      nGC_80) - coupl(nGC_151)*coupl(nGC_2059)*coupl(nGC_84) - &
                      coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_91))/(32d0*pi**2d0&
                      )
    coupl(nGC_8846) = (8d0*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_134)*coupl(nGC_655) - coupl(nGC_130)*   &
                      coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_130)*coupl(    &
                      nGC_64)*coupl(nGC_80) - coupl(nGC_133)*coupl(nGC_173)*   &
                      coupl(nGC_174) - coupl(nGC_133)*coupl(nGC_69)*coupl(     &
                      nGC_80) - coupl(nGC_134)*coupl(nGC_17)*coupl(nGC_2) -    &
                      coupl(nGC_134)*coupl(nGC_2297)*coupl(nGC_87) + 8d0*coupl(&
                      nGC_134)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_134)*   &
                      coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_135)*coupl(      &
                      nGC_174)*coupl(nGC_176) - coupl(nGC_135)*coupl(nGC_80)*  &
                      coupl(nGC_871) - coupl(nGC_172)*coupl(nGC_174)*coupl(    &
                      nGC_843))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
