!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl27()
    coupl(nGC_8847) = (8d0*coupl(nGC_1)*coupl(nGC_174)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_174)*coupl(nGC_655) - coupl(nGC_1005)*  &
                      coupl(nGC_169)*coupl(nGC_80) - coupl(nGC_130)*coupl(     &
                      nGC_134)*coupl(nGC_169) - coupl(nGC_132)*coupl(nGC_134)* &
                      coupl(nGC_171) - coupl(nGC_133)*coupl(nGC_134)*coupl(    &
                      nGC_173) - coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_175   &
                      ) - coupl(nGC_1391)*coupl(nGC_173)*coupl(nGC_80) - coupl(&
                      nGC_17)*coupl(nGC_174)*coupl(nGC_2) - coupl(nGC_174)*    &
                      coupl(nGC_2297)*coupl(nGC_84) + 8d0*coupl(nGC_174)*coupl(&
                      nGC_84)*coupl(nGC_88) - coupl(nGC_174)*coupl(nGC_88)*    &
                      coupl(nGC_96) - coupl(nGC_175)*coupl(nGC_72)*coupl(nGC_80&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8844) = (coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl(nGC_137)*coupl&
                      (nGC_180)*coupl(nGC_181) + coupl(nGC_137)*coupl(nGC_69)* &
                      coupl(nGC_80) + coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_655&
                      ) + coupl(nGC_138)*coupl(nGC_2297)*coupl(nGC_88) + 8d0*  &
                      coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88) + coupl(      &
                      nGC_138)*coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_139)*   &
                      coupl(nGC_181)*coupl(nGC_183) + coupl(nGC_139)*coupl(    &
                      nGC_80)*coupl(nGC_871) - coupl(nGC_141)*coupl(nGC_177)*  &
                      coupl(nGC_181) + coupl(nGC_141)*coupl(nGC_64)*coupl(     &
                      nGC_80) - coupl(nGC_144)*coupl(nGC_179)*coupl(nGC_181))/(&
                      32d0*pi**2d0)
    coupl(nGC_8845) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_181) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_181)*coupl(nGC_2) + coupl(nGC_1005)*    &
                      coupl(nGC_177)*coupl(nGC_80) - coupl(nGC_137)*coupl(     &
                      nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(nGC_140)* &
                      coupl(nGC_182) - coupl(nGC_138)*coupl(nGC_141)*coupl(    &
                      nGC_177) - coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_891   &
                      ) + coupl(nGC_1391)*coupl(nGC_180)*coupl(nGC_80) + coupl(&
                      nGC_181)*coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_181)*   &
                      coupl(nGC_2297)*coupl(nGC_85) + 8d0*coupl(nGC_181)*coupl(&
                      nGC_85)*coupl(nGC_87) + coupl(nGC_181)*coupl(nGC_87)*    &
                      coupl(nGC_96) + coupl(nGC_182)*coupl(nGC_72)*coupl(nGC_80&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8842) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) + coupl(     &
                      nGC_1005)**2d0*coupl(nGC_1611) + coupl(nGC_1005)*coupl(  &
                      nGC_68)*coupl(nGC_69) + coupl(nGC_1391)**2d0*coupl(      &
                      nGC_1611) + coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_69   &
                      ) + 4d0*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80) + 4d0&
                      *coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80) + coupl(    &
                      nGC_1611)*coupl(nGC_72)**2d0 + 4d0*coupl(nGC_184)*coupl( &
                      nGC_189)*coupl(nGC_80) + coupl(nGC_2059)*coupl(nGC_871)* &
                      coupl(nGC_96) - 6d0*coupl(nGC_2297)*coupl(nGC_64)*coupl( &
                      nGC_807) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_655&
                      ) - 6d0*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_91))/(96d0&
                      *pi**2d0)
    coupl(nGC_8843) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84) - &
                      2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) - 2d0*&
                      cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cME*&
                      coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*coupl(nGC_127)*  &
                      coupl(nGC_953) - coupl(nGC_1005)*coupl(nGC_128)*coupl(   &
                      nGC_807) - coupl(nGC_107)*coupl(nGC_17)*coupl(nGC_3) +   &
                      6d0*coupl(nGC_107)*coupl(nGC_807)*coupl(nGC_82) - coupl( &
                      nGC_107)*coupl(nGC_82)*coupl(nGC_96) - coupl(nGC_124)*   &
                      coupl(nGC_64)*coupl(nGC_807) - coupl(nGC_125)*coupl(     &
                      nGC_69)*coupl(nGC_807) + 6d0*coupl(nGC_127)*coupl(nGC_3)*&
                      coupl(nGC_807) - coupl(nGC_129)*coupl(nGC_1391)*coupl(   &
                      nGC_807))/(32d0*pi**2d0)
    coupl(nGC_8840) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) + coupl(     &
                      nGC_1005)*coupl(nGC_68)*coupl(nGC_72) + coupl(nGC_1391)* &
                      coupl(nGC_64)*coupl(nGC_72) + 4d0*coupl(nGC_156)*coupl(  &
                      nGC_158)*coupl(nGC_80) + 4d0*coupl(nGC_164)*coupl(nGC_166&
                      )*coupl(nGC_80) - 6d0*coupl(nGC_1671)*coupl(nGC_69)*coupl&
                      (nGC_82) + 4d0*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80&
                      ) - 6d0*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_82) +     &
                      coupl(nGC_64)*coupl(nGC_94)*coupl(nGC_96) + coupl(nGC_69 &
                      )*coupl(nGC_92)*coupl(nGC_96))/(96d0*pi**2d0)
    coupl(nGC_8841) = (-4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) + coupl(     &
                      nGC_1005)**2d0*coupl(nGC_617) + coupl(nGC_1005)*coupl(   &
                      nGC_63)*coupl(nGC_68) + coupl(nGC_1391)**2d0*coupl(      &
                      nGC_617) + coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_64) + &
                      4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) + 4d0*   &
                      coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl( &
                      nGC_188)*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(       &
                      nGC_2297)*coupl(nGC_69)*coupl(nGC_807) + coupl(nGC_617)* &
                      coupl(nGC_72)**2d0 - 6d0*coupl(nGC_647)*coupl(nGC_655)*  &
                      coupl(nGC_69) + coupl(nGC_683)*coupl(nGC_871)*coupl(     &
                      nGC_96) - 6d0*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_94  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
    coupl(nGC_8848) = (coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_150)*coupl(nGC_2) - coupl(nGC_145)*coupl&
                      (nGC_192)*coupl(nGC_196) + coupl(nGC_145)*coupl(nGC_64)* &
                      coupl(nGC_80) - coupl(nGC_147)*coupl(nGC_194)*coupl(     &
                      nGC_196) - coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196   &
                      ) + coupl(nGC_149)*coupl(nGC_69)*coupl(nGC_80) + coupl(  &
                      nGC_150)*coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_150)*   &
                      coupl(nGC_2297)*coupl(nGC_88) + 8d0*coupl(nGC_150)*coupl(&
                      nGC_84)*coupl(nGC_88) + coupl(nGC_150)*coupl(nGC_84)*    &
                      coupl(nGC_96) - coupl(nGC_151)*coupl(nGC_196)*coupl(     &
                      nGC_198) + coupl(nGC_151)*coupl(nGC_80)*coupl(nGC_871))/(&
                      32d0*pi**2d0)
    coupl(nGC_8849) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_196) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_196)*coupl(nGC_2) + coupl(nGC_1005)*    &
                      coupl(nGC_192)*coupl(nGC_80) + coupl(nGC_1391)*coupl(    &
                      nGC_195)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_150)*  &
                      coupl(nGC_192) - coupl(nGC_148)*coupl(nGC_1495)*coupl(   &
                      nGC_150) - coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_195   &
                      ) - coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_197) + coupl(&
                      nGC_196)*coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_196)*   &
                      coupl(nGC_2297)*coupl(nGC_85) + 8d0*coupl(nGC_196)*coupl(&
                      nGC_85)*coupl(nGC_87) + coupl(nGC_196)*coupl(nGC_87)*    &
                      coupl(nGC_96) + coupl(nGC_197)*coupl(nGC_72)*coupl(nGC_80&
                      ))/(32d0*pi**2d0)
    coupl(nGC_13969) = coupl(nGC_145)*dZHl_QED2/2d0 + coupl(nGC_149)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9444)
    coupl(nGC_17652) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9474)
    coupl(nGC_17653) = coupl(nGC_17651) + coupl(nGC_17652)
    coupl(nGC_32216) = -coupl(nGC_8860)
    coupl(nGC_9319) = coupl(nGC_7965)*dl3_QED4 + coupl(nGC_7966)*db_QED2 +     &
                      coupl(nGC_7967)*dl2_QED4 + coupl(nGC_7968)*dl5_QED4 +    &
                      coupl(nGC_7969)*dl4_QED4 + coupl(nGC_7970)*dl1_QED4 +    &
                      coupl(nGC_7971)*da_QED2
    coupl(nGC_9318) = coupl(nGC_8467)*dl3_QED4 + coupl(nGC_8468)*dl1_QED4 +    &
                      coupl(nGC_8469)*dl2_QED4 + coupl(nGC_8470)*dl5_QED4 +    &
                      coupl(nGC_8471)*dl4_QED4 + coupl(nGC_8472)*da_QED2
    coupl(nGC_9311) = coupl(nGC_7955)*db_QED2 + coupl(nGC_7956)*dl5_QED4 +     &
                      coupl(nGC_7957)*dl4_QED4 + coupl(nGC_7958)*da_QED2
    coupl(nGC_9313) = coupl(nGC_8102)*dl3_QED4 + coupl(nGC_8103)*db_QED2 +     &
                      coupl(nGC_8104)*dl2_QED4 + coupl(nGC_8105)*dl5_QED4 +    &
                      coupl(nGC_8106)*dl4_QED4 + coupl(nGC_8107)*dl1_QED4 +    &
                      coupl(nGC_8108)*da_QED2
    coupl(nGC_9315) = coupl(nGC_8516)*dl3_QED4 + coupl(nGC_8517)*dl1_QED4 +    &
                      coupl(nGC_8518)*dl2_QED4 + coupl(nGC_8519)*dl5_QED4 +    &
                      coupl(nGC_8520)*dl4_QED4 + coupl(nGC_8521)*db_QED2
    coupl(nGC_9314) = coupl(nGC_8269)*dl3_QED4 + coupl(nGC_8270)*db_QED2 +     &
                      coupl(nGC_8271)*dl2_QED4 + coupl(nGC_8272)*dl5_QED4 +    &
                      coupl(nGC_8273)*dl4_QED4 + coupl(nGC_8274)*dl1_QED4 +    &
                      coupl(nGC_8275)*da_QED2
    coupl(nGC_9317) = coupl(nGC_8054)*dl3_QED4 + coupl(nGC_8055)*db_QED2 +     &
                      coupl(nGC_8056)*dl2_QED4 + coupl(nGC_8057)*dl5_QED4 +    &
                      coupl(nGC_8058)*dl4_QED4 + coupl(nGC_8059)*dl1_QED4 +    &
                      coupl(nGC_8060)*da_QED2
    coupl(nGC_13305) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZcL_QED2/2d0 + coupl(nGC_80)*dZsL_QED2/2d0 + coupl(    &
                       nGC_9393)
    coupl(nGC_9175) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*coupl(     &
                      nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_134)*coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_140)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_152)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_174)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_183&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_181)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(nGC_198&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_196)*coupl(nGC_198)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)**2d0*coupl(nGC_72)*coupl(nGC_96) + &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_2059)*coupl(nGC_72)** &
                      2d0 + 4d0*cima*coupl(nGC_1005)*coupl(nGC_72)**2d0*coupl( &
                      nGC_91) + 4d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_72)*   &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_683)* &
                      coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(     &
                      nGC_72)**2d0*coupl(nGC_94) + 20d0*cima*coupl(nGC_158)*   &
                      coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 20d0*cima*coupl(nGC_166)*coupl(nGC_168 &
                      )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_166)*&
                      coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_166)*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 20d0*cima*coupl(nGC_189)*coupl(nGC_191)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_189)*coupl(nGC_191 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_189)*&
                      coupl(nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 24d0*cima*  &
                      coupl(nGC_20)*coupl(nGC_79) + 9d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_64)*coupl(nGC_807)*coupl(nGC_82) + 4d0*cima*   &
                      coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_91)*coupl(nGC_96 &
                      ) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_69)*coupl(nGC_94)*&
                      coupl(nGC_96) + 9d0*cima*coupl(nGC_2297)*coupl(nGC_807)* &
                      coupl(nGC_82)*coupl(nGC_871) + 9d0*cima*coupl(nGC_647)*  &
                      coupl(nGC_655)*coupl(nGC_82)*coupl(nGC_871) + 9d0*cima*  &
                      coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_807)*coupl(nGC_82 &
                      ) + 4d0*cima*coupl(nGC_72)**3d0*coupl(nGC_96) + 24d0*cima&
                      *coupl(nGC_74)*coupl(nGC_953) + 4d0*cima*coupl(nGC_871)* &
                      coupl(nGC_91)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_871&
                      )*coupl(nGC_94)**2d0*coupl(nGC_96) - 6d0*coupl(nGC_100)* &
                      coupl(nGC_807)*coupl(nGC_871) + 6d0*coupl(nGC_1005)*coupl&
                      (nGC_14)*coupl(nGC_72) - 6d0*coupl(nGC_101)*coupl(nGC_82 &
                      )*coupl(nGC_871) + 6d0*coupl(nGC_1391)*coupl(nGC_16)*    &
                      coupl(nGC_72) - 6d0*coupl(nGC_14)*coupl(nGC_2059)*coupl( &
                      nGC_82) + 6d0*coupl(nGC_14)*coupl(nGC_91)*coupl(nGC_96   &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_82) + 6d0*&
                      coupl(nGC_16)*coupl(nGC_94)*coupl(nGC_96) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_2297)*coupl(nGC_807) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_647)*coupl(nGC_655) + 6d0*coupl(nGC_20)*coupl&
                      (nGC_72)**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_807)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_79 &
                      ) - 6d0*coupl(nGC_2297)*coupl(nGC_79)*coupl(nGC_871) +   &
                      36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_807) - 6d0*    &
                      coupl(nGC_62)*coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl( &
                      nGC_62)*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_647 &
                      )*coupl(nGC_871)*coupl(nGC_97) - 6d0*coupl(nGC_655)*coupl&
                      (nGC_871)*coupl(nGC_953) - 6d0*coupl(nGC_683)*coupl(     &
                      nGC_69)*coupl(nGC_79))/(192d0*pi**2d0)
    coupl(nGC_9174) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl(      &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174) +  &
                      10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_170 &
                      )*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*   &
                      coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_136)*coupl(nGC_169)*coupl(nGC_170) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_141 &
                      )*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_140)*coupl(nGC_141)*coupl(nGC_142) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_177)*coupl(      &
                      nGC_178) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*   &
                      coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177 &
                      )*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)*coupl(    &
                      nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*   &
                      coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_177)*coupl(      &
                      nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_141)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*   &
                      coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_193 &
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(      &
                      nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*   &
                      coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_152)*coupl(nGC_192)*coupl(nGC_193) +  &
                      10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174 &
                      )*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*   &
                      coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) +  &
                      10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_196 &
                      )*coupl(nGC_198) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_871) - 5d0*cima*coupl&
                      (nGC_1005)*coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_72) - &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_94)*    &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_69)*  &
                      coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_1611)**2d0*coupl(nGC_871) - 5d0*cima*coupl(    &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72) -  &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_2059)*coupl(nGC_64)*  &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_683)* &
                      coupl(nGC_69)*coupl(nGC_96) + 10d0*cima*coupl(nGC_153)*  &
                      coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*&
                      coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_158)*coupl(      &
                      nGC_160) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) + 10d0* &
                      cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_166)*coupl( &
                      nGC_167) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(&
                      nGC_166)*coupl(nGC_168) + 10d0*cima*coupl(nGC_184)*coupl(&
                      nGC_185)*coupl(nGC_189)*coupl(nGC_190) + 10d0*cima*coupl(&
                      nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_191) -  &
                      5d0*cima*coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_683)*   &
                      coupl(nGC_72) - 5d0*cima*coupl(nGC_2297)**2d0*coupl(     &
                      nGC_69)*coupl(nGC_871) - 5d0*cima*coupl(nGC_2297)*coupl( &
                      nGC_871)**2d0*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*    &
                      coupl(nGC_871)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*   &
                      coupl(nGC_655)**2d0*coupl(nGC_69)*coupl(nGC_871) - 5d0*  &
                      cima*coupl(nGC_683)**2d0*coupl(nGC_69)*coupl(nGC_72) -   &
                      5d0*cima*coupl(nGC_69)*coupl(nGC_871)*coupl(nGC_91)**2d0 &
                       + 12d0*cima*coupl(nGC_70)*coupl(nGC_74) + 3d0*coupl(    &
                      nGC_1005)*coupl(nGC_24)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_43)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_871) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_17)*coupl(nGC_74) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_20)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_35)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_36)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_56)*coupl(nGC_871) - 3d0*coupl(nGC_14&
                      )*coupl(nGC_63)*coupl(nGC_94) - 3d0*coupl(nGC_14)*coupl( &
                      nGC_69)*coupl(nGC_91) - 3d0*coupl(nGC_16)*coupl(nGC_2059 &
                      )*coupl(nGC_64) - 3d0*coupl(nGC_16)*coupl(nGC_2297)*coupl&
                      (nGC_871) - 3d0*coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_69&
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_23)*coupl(nGC_871) +   &
                      3d0*coupl(nGC_1611)*coupl(nGC_45)*coupl(nGC_871) - 3d0*  &
                      coupl(nGC_20)*coupl(nGC_871)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_2059)**2d0*coupl(nGC_48) + 3d0*coupl(nGC_2059)*coupl(&
                      nGC_2297)*coupl(nGC_43) + 3d0*coupl(nGC_2059)*coupl(     &
                      nGC_24)*coupl(nGC_96) + 6d0*coupl(nGC_2059)*coupl(nGC_41 &
                      )*coupl(nGC_683) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_48 &
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_43)*coupl(nGC_91) + 3d0&
                      *coupl(nGC_2297)*coupl(nGC_58)*coupl(nGC_683) + 3d0*coupl&
                      (nGC_2297)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_24&
                      )*coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_25)*coupl( &
                      nGC_63)*coupl(nGC_871) + 3d0*coupl(nGC_28)*coupl(nGC_64)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(  &
                      nGC_96) + 3d0*coupl(nGC_36)*coupl(nGC_94)*coupl(nGC_96   &
                      ) + 3d0*coupl(nGC_37)*coupl(nGC_69)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_39)*coupl(nGC_69)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_41)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_41)* &
                      coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(   &
                      nGC_63)*coupl(nGC_871) + 3d0*coupl(nGC_48)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_48)*coupl(nGC_655)**2d0 +  &
                      3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_48)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(   &
                      nGC_683)**2d0 + 3d0*coupl(nGC_57)*coupl(nGC_69)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_58)*coupl(nGC_68)*coupl(nGC_72  &
                      ) + 3d0*coupl(nGC_60)*coupl(nGC_68)*coupl(nGC_871) - 3d0*&
                      coupl(nGC_655)*coupl(nGC_70)*coupl(nGC_871))/(96d0*pi**  &
                      2d0)
    coupl(nGC_9177) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134&
                      )*coupl(nGC_843) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_172)*coupl(nGC_174)*coupl(      &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_171) + 20d0*Nc*cima*coupl(      &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) +  &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143 &
                      )*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_891) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_178)*coupl(      &
                      nGC_891) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*   &
                      coupl(nGC_179)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_143)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) +  &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_148 &
                      )*coupl(nGC_150) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_147)*coupl(nGC_194)*coupl(nGC_196) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(     &
                      nGC_194) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_148)*coupl(nGC_1495)*coupl(nGC_150)*coupl(nGC_193) + &
                      20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_194&
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_172)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_181)*coupl(      &
                      nGC_891) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*    &
                      coupl(nGC_683)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_94) - 5d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_72)*coupl(     &
                      nGC_94) - 10d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_683)* &
                      coupl(nGC_92) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_1611 &
                      )*coupl(nGC_1671)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1391&
                      )*coupl(nGC_2297)*coupl(nGC_72)*coupl(nGC_92) + 20d0*cima&
                      *coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_156)*coupl(     &
                      nGC_158) + 20d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl(&
                      nGC_164)*coupl(nGC_166) - 5d0*cima*coupl(nGC_1671)*coupl(&
                      nGC_69)*coupl(nGC_871)*coupl(nGC_96) + 20d0*cima*coupl(  &
                      nGC_185)*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_189) -  &
                      10d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*coupl&
                      (nGC_871) - 5d0*cima*coupl(nGC_64)*coupl(nGC_683)*coupl( &
                      nGC_871)*coupl(nGC_96) - 10d0*cima*coupl(nGC_64)*coupl(  &
                      nGC_69)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_1005&
                      )*coupl(nGC_1391)*coupl(nGC_31) + 3d0*coupl(nGC_1005)*   &
                      coupl(nGC_1611)*coupl(nGC_26) - 6d0*coupl(nGC_1005)*coupl&
                      (nGC_19)*coupl(nGC_94) + 3d0*coupl(nGC_1391)**2d0*coupl( &
                      nGC_26) + 3d0*coupl(nGC_1391)*coupl(nGC_1611)*coupl(     &
                      nGC_38) - 6d0*coupl(nGC_1391)*coupl(nGC_19)*coupl(nGC_92 &
                      ) + 6d0*coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_49) +  &
                      3d0*coupl(nGC_1671)*coupl(nGC_27)*coupl(nGC_92) + 3d0*   &
                      coupl(nGC_1671)*coupl(nGC_36)*coupl(nGC_94) + 3d0*coupl( &
                      nGC_17)**2d0*coupl(nGC_42) + 6d0*coupl(nGC_2297)*coupl(  &
                      nGC_41)*coupl(nGC_683) + 6d0*coupl(nGC_2297)*coupl(nGC_41&
                      )*coupl(nGC_94) + 6d0*coupl(nGC_2297)*coupl(nGC_49)*coupl&
                      (nGC_92) + 3d0*coupl(nGC_24)*coupl(nGC_683)*coupl(nGC_94 &
                      ) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(nGC_92) + 6d0*&
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_72) + 6d0*coupl(   &
                      nGC_42)*coupl(nGC_72)**2d0 + 6d0*coupl(nGC_42)*coupl(    &
                      nGC_871)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_96)**2d0 +   &
                      6d0*coupl(nGC_44)*coupl(nGC_72)*coupl(nGC_871) + 3d0*    &
                      coupl(nGC_46)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(  &
                      nGC_49)*coupl(nGC_63)*coupl(nGC_72) - 3d0*coupl(nGC_62)* &
                      coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_62)*coupl(   &
                      nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
    coupl(nGC_19882) = coupl(nGC_113)*dZHa_QED2 + coupl(nGC_113)*dZHl_QED2/2d0 &
                        + coupl(nGC_120)*dZG0Ha_QED2 + coupl(nGC_121)*         &
                       dZHhHl_QED2/2d0 + coupl(nGC_9347) + coupl(              &
                       nGC_TS_GC_26_Hh) + coupl(nGC_TS_GC_31_Hl)
    coupl(nGC_9171) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135&
                      )*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_174)*coupl(      &
                      nGC_176) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*   &
                      coupl(nGC_170)*coupl(nGC_175) + 20d0*Nc*cima*coupl(      &
                      nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174) +  &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_140 &
                      )*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_140)*coupl(nGC_178)*coupl(nGC_182) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl(      &
                      nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_139)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183) +  &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_151 &
                      )*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*   &
                      coupl(nGC_193)*coupl(nGC_197) + 20d0*Nc*cima*coupl(      &
                      nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_175 &
                      )*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)*coupl(    &
                      nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*cima*   &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl(      &
                      nGC_198) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl&
                      (nGC_2059)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1005)*coupl&
                      (nGC_1391)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_683)*coupl(nGC_91) - &
                      5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_2059)*coupl(     &
                      nGC_94) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(&
                      nGC_683)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1391)*coupl( &
                      nGC_1611)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl( &
                      nGC_1391)*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_871  &
                      ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159&
                      )*coupl(nGC_160) - 5d0*cima*coupl(nGC_1611)*coupl(       &
                      nGC_2297)*coupl(nGC_683)*coupl(nGC_871) + 20d0*cima*coupl&
                      (nGC_162)*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) + &
                      20d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190)*  &
                      coupl(nGC_191) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_63)* &
                      coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*    &
                      coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_94  &
                      ) - 5d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*  &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_63)*coupl(nGC_72)*   &
                      coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*   &
                      coupl(nGC_683)*coupl(nGC_69)**2d0*coupl(nGC_91) - 5d0*   &
                      cima*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_91)*coupl(    &
                      nGC_96) - 3d0*coupl(nGC_1005)*coupl(nGC_1391)*coupl(     &
                      nGC_62) + 3d0*coupl(nGC_1005)*coupl(nGC_48)*coupl(nGC_72 &
                      ) - 3d0*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_62) +  &
                      3d0*coupl(nGC_1391)*coupl(nGC_41)*coupl(nGC_72) - 6d0*   &
                      coupl(nGC_20)*coupl(nGC_63)*coupl(nGC_94) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_2059 &
                      )*coupl(nGC_2297)*coupl(nGC_48) + 3d0*coupl(nGC_2059)*   &
                      coupl(nGC_24)*coupl(nGC_91) + 3d0*coupl(nGC_2059)*coupl( &
                      nGC_36)*coupl(nGC_94) + 6d0*coupl(nGC_2059)*coupl(nGC_48 &
                      )*coupl(nGC_96) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_43  &
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_41)*coupl(nGC_683) +   &
                      3d0*coupl(nGC_25)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl&
                      (nGC_25)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_27)*coupl(   &
                      nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_63)*&
                      coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(  &
                      nGC_91) + 3d0*coupl(nGC_39)*coupl(nGC_64)*coupl(nGC_69   &
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_683)*coupl(nGC_96) + 3d0*&
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_41)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_43)* &
                      coupl(nGC_655)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_72)**  &
                      2d0 + 9d0*coupl(nGC_43)*coupl(nGC_871)**2d0 + 6d0*coupl( &
                      nGC_45)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_47)*&
                      coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_48)*coupl(  &
                      nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_48)*coupl(nGC_91)*&
                      coupl(nGC_96))/(96d0*pi**2d0)
    coupl(nGC_9170) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 -   &
                      5d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_1391)**2d0 - 10d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1391)**2d0*coupl(nGC_1611&
                      ) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(     &
                      nGC_64)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1611)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871) -   &
                      5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_1611)**2d0 - 10d0&
                      *cima*coupl(nGC_1391)**2d0*coupl(nGC_69)**2d0 - 10d0*cima&
                      *coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_63)*coupl(    &
                      nGC_69) - 20d0*cima*coupl(nGC_1391)*coupl(nGC_69)*coupl( &
                      nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(nGC_154)**2d0*  &
                      coupl(nGC_158)**2d0 - 10d0*cima*coupl(nGC_1611)*coupl(   &
                      nGC_63)*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(  &
                      nGC_162)**2d0*coupl(nGC_166)**2d0 + 20d0*cima*coupl(     &
                      nGC_185)**2d0*coupl(nGC_189)**2d0 - 5d0*cima*coupl(nGC_63&
                      )**2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_63)*coupl&
                      (nGC_64)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_64)**2d0&
                      *coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_72)**2d0*coupl(&
                      nGC_871)**2d0 + 6d0*coupl(nGC_1005)*coupl(nGC_1391)*coupl&
                      (nGC_24) + 6d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl(    &
                      nGC_36) + 6d0*coupl(nGC_1005)*coupl(nGC_41)*coupl(nGC_871&
                      ) + 6d0*coupl(nGC_1391)**2d0*coupl(nGC_36) + 6d0*coupl(  &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_27) + 6d0*coupl(     &
                      nGC_1391)*coupl(nGC_48)*coupl(nGC_72) + 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_49)*coupl(nGC_871) + 6d0*coupl(      &
                      nGC_1611)*coupl(nGC_41)*coupl(nGC_72) + 6d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_60) + 6d0*coupl(nGC_17)*coupl(nGC_60)*  &
                      coupl(nGC_655) + 6d0*coupl(nGC_2297)**2d0*coupl(nGC_60   &
                      ) + 6d0*coupl(nGC_2297)*coupl(nGC_60)*coupl(nGC_96) + 6d0&
                      *coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(  &
                      nGC_27)*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl(nGC_36)* &
                      coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(   &
                      nGC_69)**2d0 + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(    &
                      nGC_871) + 6d0*coupl(nGC_41)*coupl(nGC_64)*coupl(nGC_72  &
                      ) + 6d0*coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_871) + 6d0*&
                      coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_72) + 12d0*coupl(  &
                      nGC_58)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_60)*&
                      coupl(nGC_655)**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_96)**  &
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_9173) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl(      &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_173 &
                      )*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*   &
                      coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*   &
                      coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_134)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_173) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_139 &
                      )*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181 &
                      )*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_140)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_139)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150 &
                      )*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(    &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*cima*   &
                      coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_195) +  &
                      10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174 &
                      )*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl(      &
                      nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*   &
                      coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_196 &
                      )*coupl(nGC_198) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_1391)*coupl(nGC_617)*coupl(nGC_871) - 5d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_69)*coupl(nGC_72) -  &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_617)* &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_1611 &
                      )*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_63)*coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*    &
                      coupl(nGC_1391)*coupl(nGC_69)*coupl(nGC_91)*coupl(nGC_96 &
                      ) + 12d0*cima*coupl(nGC_15)*coupl(nGC_20) + 10d0*cima*   &
                      coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158)*coupl(      &
                      nGC_159) + 10d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(&
                      nGC_158)*coupl(nGC_160) - 5d0*cima*coupl(nGC_1611)*coupl(&
                      nGC_2059)*coupl(nGC_64)*coupl(nGC_96) - 5d0*cima*coupl(  &
                      nGC_1611)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_96) +   &
                      10d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_166)*  &
                      coupl(nGC_167) + 10d0*cima*coupl(nGC_162)*coupl(nGC_165)*&
                      coupl(nGC_166)*coupl(nGC_168) - 5d0*cima*coupl(nGC_1671)*&
                      coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_72&
                      ) + 10d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189&
                      )*coupl(nGC_190) + 10d0*cima*coupl(nGC_185)*coupl(nGC_188&
                      )*coupl(nGC_189)*coupl(nGC_191) - 5d0*cima*coupl(nGC_2297&
                      )**2d0*coupl(nGC_63)*coupl(nGC_871) - 5d0*cima*coupl(    &
                      nGC_2297)*coupl(nGC_871)**2d0*coupl(nGC_92) - 5d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_655)**2d0*coupl(nGC_871) - 5d0*  &
                      cima*coupl(nGC_63)*coupl(nGC_871)*coupl(nGC_94)**2d0 +   &
                      12d0*cima*coupl(nGC_66)*coupl(nGC_74) - 5d0*cima*coupl(  &
                      nGC_69)*coupl(nGC_871)*coupl(nGC_91)*coupl(nGC_94) + 3d0*&
                      coupl(nGC_1005)*coupl(nGC_36)*coupl(nGC_72) + 3d0*coupl( &
                      nGC_1391)*coupl(nGC_23)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_27)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_43)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_45)*coupl(nGC_871) - 3d0*coupl(nGC_15&
                      )*coupl(nGC_2059)*coupl(nGC_64) - 3d0*coupl(nGC_15)*coupl&
                      (nGC_2297)*coupl(nGC_871) - 3d0*coupl(nGC_15)*coupl(     &
                      nGC_683)*coupl(nGC_69) - 3d0*coupl(nGC_16)*coupl(nGC_63)*&
                      coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(nGC_69)*coupl(   &
                      nGC_91) - 3d0*coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_74 &
                      ) - 3d0*coupl(nGC_1611)*coupl(nGC_20)*coupl(nGC_96) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_32)*coupl(nGC_871) + 3d0*coupl&
                      (nGC_1611)*coupl(nGC_56)*coupl(nGC_871) + 3d0*coupl(     &
                      nGC_1671)*coupl(nGC_2059)*coupl(nGC_41) + 3d0*coupl(     &
                      nGC_1671)*coupl(nGC_2297)*coupl(nGC_58) + 3d0*coupl(     &
                      nGC_1671)*coupl(nGC_49)*coupl(nGC_683) - 3d0*coupl(nGC_20&
                      )*coupl(nGC_871)*coupl(nGC_92) + 3d0*coupl(nGC_2059)*    &
                      coupl(nGC_36)*coupl(nGC_96) + 3d0*coupl(nGC_2059)*coupl( &
                      nGC_48)*coupl(nGC_683) + 3d0*coupl(nGC_2297)**2d0*coupl( &
                      nGC_41) + 3d0*coupl(nGC_2297)*coupl(nGC_43)*coupl(nGC_683&
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_43)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_2297)*coupl(nGC_58)*coupl(nGC_92) + 3d0*coupl(&
                      nGC_25)*coupl(nGC_69)*coupl(nGC_871) + 3d0*coupl(nGC_27)*&
                      coupl(nGC_683)*coupl(nGC_96) + 3d0*coupl(nGC_27)*coupl(  &
                      nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_29)*coupl(nGC_69)* &
                      coupl(nGC_72) + 3d0*coupl(nGC_33)*coupl(nGC_63)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_36)*coupl(nGC_91)*coupl(nGC_96  &
                      ) + 3d0*coupl(nGC_37)*coupl(nGC_64)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(   &
                      nGC_41)*coupl(nGC_655)**2d0 + 3d0*coupl(nGC_41)*coupl(   &
                      nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_41)*coupl(nGC_683  &
                      )**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_72)**2d0 + 3d0*coupl&
                      (nGC_43)*coupl(nGC_68)*coupl(nGC_871) + 3d0*coupl(nGC_45 &
                      )*coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_48)*coupl&
                      (nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_48)*coupl(nGC_64)*&
                      coupl(nGC_69) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_58)*coupl(nGC_64)*coupl(nGC_72  &
                      ) + 3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_871) - 3d0*&
                      coupl(nGC_655)*coupl(nGC_66)*coupl(nGC_871))/(96d0*pi**  &
                      2d0)
    coupl(nGC_9172) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134&
                      )*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_136)*coupl(nGC_843) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(      &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_172)*coupl(nGC_175) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_135)*coupl(nGC_172)*coupl(nGC_174) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_176 &
                      )*coupl(nGC_843) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*   &
                      coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*   &
                      coupl(nGC_170)*coupl(nGC_171) + 10d0*Nc*cima*coupl(      &
                      nGC_136)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_140)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_178)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_183)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_178 &
                      )*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_139)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*   &
                      coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_181)*coupl(nGC_183) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_150 &
                      )*coupl(nGC_152) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_147)*coupl(nGC_196)*coupl(nGC_198) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150)*coupl(      &
                      nGC_151) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_1495)*  &
                      coupl(nGC_150)*coupl(nGC_198) + 10d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_197) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_194 &
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_147)*coupl(    &
                      nGC_152)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193)*coupl(      &
                      nGC_197) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_1495)*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + &
                      10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_196&
                      )*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*   &
                      coupl(nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196 &
                      )*coupl(nGC_197) - 5d0*cima*coupl(nGC_1391)*coupl(       &
                      nGC_2297)*coupl(nGC_683)*coupl(nGC_871) + 10d0*cima*coupl&
                      (nGC_154)*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_160) + &
                      10d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158)*  &
                      coupl(nGC_159) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_1671 &
                      )*coupl(nGC_2297)*coupl(nGC_871) + 10d0*cima*coupl(      &
                      nGC_162)*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_168) +  &
                      10d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166)*  &
                      coupl(nGC_167) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_63)* &
                      coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1671)*  &
                      coupl(nGC_69)**2d0*coupl(nGC_91) + 10d0*cima*coupl(      &
                      nGC_185)*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_191) +  &
                      10d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189)*  &
                      coupl(nGC_190) + 12d0*cima*coupl(nGC_19)*coupl(nGC_20) - &
                      5d0*cima*coupl(nGC_2059)*coupl(nGC_63)*coupl(nGC_64)*    &
                      coupl(nGC_92) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_64)*  &
                      coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_64)*coupl(nGC_871)*coupl(nGC_96) - 5d0*cima*   &
                      coupl(nGC_2297)**2d0*coupl(nGC_72)*coupl(nGC_871) - 5d0* &
                      cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_683)*coupl(   &
                      nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_683)*coupl(   &
                      nGC_69)*coupl(nGC_92) - 5d0*cima*coupl(nGC_64)*coupl(    &
                      nGC_683)*coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*coupl(   &
                      nGC_655)**2d0*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*   &
                      coupl(nGC_683)*coupl(nGC_69)**2d0*coupl(nGC_94) - 5d0*   &
                      cima*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_871)*coupl(  &
                      nGC_96) + 12d0*cima*coupl(nGC_73)*coupl(nGC_74) + 3d0*   &
                      coupl(nGC_1005)*coupl(nGC_41)*coupl(nGC_72) - 3d0*coupl( &
                      nGC_1391)*coupl(nGC_20)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_49)*coupl(nGC_72) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_1671)*coupl(nGC_20) + 3d0*coupl(     &
                      nGC_1671)*coupl(nGC_2297)*coupl(nGC_41) - 3d0*coupl(     &
                      nGC_17)*coupl(nGC_74)*coupl(nGC_871) - 3d0*coupl(nGC_19)*&
                      coupl(nGC_2059)*coupl(nGC_64) - 3d0*coupl(nGC_19)*coupl( &
                      nGC_2297)*coupl(nGC_871) - 3d0*coupl(nGC_19)*coupl(      &
                      nGC_683)*coupl(nGC_69) - 3d0*coupl(nGC_20)*coupl(nGC_871 &
                      )*coupl(nGC_96) + 3d0*coupl(nGC_2059)*coupl(nGC_24)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_36)*coupl(nGC_92&
                      ) + 3d0*coupl(nGC_2059)*coupl(nGC_41)*coupl(nGC_96) + 3d0&
                      *coupl(nGC_2297)**2d0*coupl(nGC_58) + 3d0*coupl(nGC_2297 &
                      )*coupl(nGC_41)*coupl(nGC_92) + 3d0*coupl(nGC_2297)*coupl&
                      (nGC_48)*coupl(nGC_683) + 3d0*coupl(nGC_2297)*coupl(     &
                      nGC_48)*coupl(nGC_94) + 3d0*coupl(nGC_27)*coupl(nGC_683)*&
                      coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(nGC_64)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_29)*coupl(nGC_63)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_36)*coupl(nGC_683)*coupl(nGC_94) + 3d0*&
                      coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(   &
                      nGC_37)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_41)*coupl(    &
                      nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_91)* &
                      coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl(nGC_69)*coupl(   &
                      nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_683)*coupl(nGC_96  &
                      ) + 3d0*coupl(nGC_49)*coupl(nGC_94)*coupl(nGC_96) + 6d0* &
                      coupl(nGC_56)*coupl(nGC_871)**2d0 + 3d0*coupl(nGC_57)*   &
                      coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_58)*coupl(  &
                      nGC_655)**2d0 + 6d0*coupl(nGC_58)*coupl(nGC_72)**2d0 +   &
                      3d0*coupl(nGC_59)*coupl(nGC_72)*coupl(nGC_871) + 3d0*    &
                      coupl(nGC_60)*coupl(nGC_72)*coupl(nGC_871) - 3d0*coupl(  &
                      nGC_655)*coupl(nGC_73)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_19889) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*             &
                       dZmuMinusR_QED2 + coupl(nGC_9400)
    coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9179) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_132&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_843) + 10d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_172)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                      coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_171) +  &
                      10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_170)*coupl(nGC_174 &
                      )*coupl(nGC_843) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_171) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_172) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_169)*   &
                      coupl(nGC_174)*coupl(nGC_843) + 10d0*Nc*cima*coupl(      &
                      nGC_132)*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_179) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_177 &
                      )*coupl(nGC_178) + 10d0*Nc*cima*coupl(nGC_141)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*   &
                      coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_177)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_147 &
                      )*coupl(nGC_150) + 10d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_146)*coupl(nGC_148)*coupl(nGC_150) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_194)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_147)*   &
                      coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_1495)*coupl(nGC_150&
                      )*coupl(nGC_193) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_147)*coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(     &
                      nGC_192) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_192)*coupl(nGC_194) + 10d0*Nc*cima*coupl(      &
                      nGC_148)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_193) +  &
                      10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_172)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*   &
                      coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_194 &
                      )*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_17 &
                      )**2d0*coupl(nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_2297)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_871)*coupl(nGC_94)**2d0 - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_871)*coupl(nGC_96)**2d0 - 5d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_2059)*coupl(nGC_683)*coupl&
                      (nGC_72) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl&
                      (nGC_64)*coupl(nGC_683) - 5d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_2297)*coupl(nGC_69)*coupl(nGC_92) - 5d0*cima*coupl(  &
                      nGC_1391)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) - 5d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_69)*coupl( &
                      nGC_72) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_871)*coupl( &
                      nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(nGC_14)*coupl(   &
                      nGC_19) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl( &
                      nGC_155)*coupl(nGC_158) + 10d0*cima*coupl(nGC_153)*coupl(&
                      nGC_154)*coupl(nGC_156)*coupl(nGC_158) + 10d0*cima*coupl(&
                      nGC_161)*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) +  &
                      10d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_164)*  &
                      coupl(nGC_166) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_1671 &
                      )*coupl(nGC_2059)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1611&
                      )*coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_64) + 10d0*  &
                      cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_186)*coupl( &
                      nGC_189) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(&
                      nGC_187)*coupl(nGC_189) - 5d0*cima*coupl(nGC_63)*coupl(  &
                      nGC_68)*coupl(nGC_69)*coupl(nGC_871) - 5d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_871) + 12d0&
                      *cima*coupl(nGC_65)*coupl(nGC_73) - 5d0*cima*coupl(      &
                      nGC_871)**2d0*coupl(nGC_91)*coupl(nGC_96) - 3d0*coupl(   &
                      nGC_1005)*coupl(nGC_16)*coupl(nGC_94) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_17)*coupl(nGC_73) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_19)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_31)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_56)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_57)*coupl(nGC_871) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_14)*coupl(nGC_683) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_26)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_28)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_42)*coupl(nGC_871) - 3d0*coupl(nGC_14&
                      )*coupl(nGC_1611)*coupl(nGC_1671) - 3d0*coupl(nGC_14)*   &
                      coupl(nGC_871)*coupl(nGC_96) + 3d0*coupl(nGC_1611)*coupl(&
                      nGC_37)*coupl(nGC_72) + 3d0*coupl(nGC_1611)*coupl(nGC_60 &
                      )*coupl(nGC_871) + 3d0*coupl(nGC_1671)*coupl(nGC_2059)*  &
                      coupl(nGC_41) + 3d0*coupl(nGC_1671)*coupl(nGC_2297)*coupl&
                      (nGC_36) + 3d0*coupl(nGC_1671)*coupl(nGC_49)*coupl(      &
                      nGC_683) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_41) - 3d0*   &
                      coupl(nGC_17)*coupl(nGC_65)*coupl(nGC_871) - 3d0*coupl(  &
                      nGC_19)*coupl(nGC_2059)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_2297)*coupl(nGC_58) + 3d0*coupl(     &
                      nGC_2059)*coupl(nGC_48)*coupl(nGC_683) + 3d0*coupl(nGC_22&
                      )*coupl(nGC_69)*coupl(nGC_871) + 3d0*coupl(nGC_2297)*    &
                      coupl(nGC_24)*coupl(nGC_683) + 3d0*coupl(nGC_2297)*coupl(&
                      nGC_24)*coupl(nGC_94) + 3d0*coupl(nGC_2297)*coupl(nGC_36 &
                      )*coupl(nGC_92) + 3d0*coupl(nGC_2297)*coupl(nGC_42)*coupl&
                      (nGC_683) + 3d0*coupl(nGC_2297)*coupl(nGC_42)*coupl(     &
                      nGC_94) + 3d0*coupl(nGC_2297)*coupl(nGC_58)*coupl(nGC_91 &
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_69)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_30)*coupl(nGC_64)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_36)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_41)* &
                      coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_41)*coupl(   &
                      nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_41)*coupl(nGC_683  &
                      )**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_72)**2d0 + 3d0*coupl&
                      (nGC_41)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_42)*coupl(   &
                      nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_44)*coupl(nGC_68)* &
                      coupl(nGC_871) + 3d0*coupl(nGC_44)*coupl(nGC_69)*coupl(  &
                      nGC_871) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_68  &
                      ) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_58)*coupl(nGC_63)*coupl(nGC_871))/(96d0*pi**2d0&
                      )
    coupl(nGC_9178) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_133&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_133)*coupl(nGC_134)*coupl(nGC_843) + 10d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_172)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_171)*coupl(nGC_173) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_173) +  &
                      10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174 &
                      )*coupl(nGC_843) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                      nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_170)*coupl(      &
                      nGC_173) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_171) + 10d0*Nc*cima*coupl(      &
                      nGC_133)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142 &
                      )*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*   &
                      coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_143)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_179)*coupl(nGC_180) + 10d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl(      &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*   &
                      coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_180)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_149 &
                      )*coupl(nGC_150) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                      nGC_147)*coupl(nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_149)*coupl(      &
                      nGC_150) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*   &
                      coupl(nGC_194)*coupl(nGC_196) + 10d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_1495)*coupl(nGC_150)*coupl(nGC_195) + &
                      10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194 &
                      )*coupl(nGC_195) + 10d0*Nc*cima*coupl(nGC_147)*coupl(    &
                      nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_193)*coupl(      &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*   &
                      coupl(nGC_193)*coupl(nGC_195) + 10d0*Nc*cima*coupl(      &
                      nGC_149)*coupl(nGC_1495)*coupl(nGC_150)*coupl(nGC_193) + &
                      10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_195&
                      )*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_170)*coupl(    &
                      nGC_171)*coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_173)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_891) +  &
                      10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_195 &
                      )*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*coupl(       &
                      nGC_2297)*coupl(nGC_63)*coupl(nGC_94) - 5d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_871)*coupl(nGC_92)*coupl(nGC_94) -   &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_17)**2d0*coupl(nGC_871&
                      ) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl(nGC_63&
                      )*coupl(nGC_92) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_2297&
                      )*coupl(nGC_683)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391 &
                      )*coupl(nGC_683)**2d0*coupl(nGC_72) - 5d0*cima*coupl(    &
                      nGC_1391)*coupl(nGC_871)*coupl(nGC_92)**2d0 - 5d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_871)*coupl(nGC_96)**2d0 + 10d0*&
                      cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_157)*coupl( &
                      nGC_158) + 10d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(&
                      nGC_157)*coupl(nGC_158) + 12d0*cima*coupl(nGC_16)*coupl( &
                      nGC_19) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_1671)*coupl(&
                      nGC_2297)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1611)*coupl(&
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_72) - 5d0*cima*coupl( &
                      nGC_1611)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) - 5d0&
                      *cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_69)*coupl( &
                      nGC_72) + 10d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl( &
                      nGC_165)*coupl(nGC_166) + 10d0*cima*coupl(nGC_162)*coupl(&
                      nGC_164)*coupl(nGC_165)*coupl(nGC_166) + 10d0*cima*coupl(&
                      nGC_185)*coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_189) +  &
                      10d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_188)*  &
                      coupl(nGC_189) - 5d0*cima*coupl(nGC_63)*coupl(nGC_64)*   &
                      coupl(nGC_69)*coupl(nGC_871) - 5d0*cima*coupl(nGC_64)**  &
                      2d0*coupl(nGC_69)*coupl(nGC_871) + 12d0*cima*coupl(nGC_70&
                      )*coupl(nGC_73) - 5d0*cima*coupl(nGC_871)**2d0*coupl(    &
                      nGC_94)*coupl(nGC_96) - 3d0*coupl(nGC_1005)*coupl(nGC_15 &
                      )*coupl(nGC_94) + 3d0*coupl(nGC_1005)*coupl(nGC_26)*coupl&
                      (nGC_871) - 3d0*coupl(nGC_1391)*coupl(nGC_15)*coupl(     &
                      nGC_92) - 3d0*coupl(nGC_1391)*coupl(nGC_16)*coupl(nGC_683&
                      ) - 3d0*coupl(nGC_1391)*coupl(nGC_17)*coupl(nGC_73) - 3d0&
                      *coupl(nGC_1391)*coupl(nGC_19)*coupl(nGC_96) + 3d0*coupl(&
                      nGC_1391)*coupl(nGC_37)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_38)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_56)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_57)*coupl(nGC_871) - 3d0*coupl(nGC_16&
                      )*coupl(nGC_1611)*coupl(nGC_1671) - 3d0*coupl(nGC_16)*   &
                      coupl(nGC_871)*coupl(nGC_96) + 3d0*coupl(nGC_1611)*coupl(&
                      nGC_29)*coupl(nGC_72) + 3d0*coupl(nGC_1611)*coupl(nGC_42 &
                      )*coupl(nGC_871) + 3d0*coupl(nGC_1671)**2d0*coupl(nGC_49 &
                      ) + 3d0*coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_27) +  &
                      3d0*coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_42) + 6d0* &
                      coupl(nGC_1671)*coupl(nGC_41)*coupl(nGC_683) + 3d0*coupl(&
                      nGC_17)**2d0*coupl(nGC_49) - 3d0*coupl(nGC_17)*coupl(    &
                      nGC_70)*coupl(nGC_871) - 3d0*coupl(nGC_19)*coupl(nGC_683 &
                      )*coupl(nGC_72) + 3d0*coupl(nGC_22)*coupl(nGC_64)*coupl( &
                      nGC_871) + 3d0*coupl(nGC_2297)*coupl(nGC_27)*coupl(nGC_92&
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_36)*coupl(nGC_683) +   &
                      3d0*coupl(nGC_2297)*coupl(nGC_36)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_2297)*coupl(nGC_42)*coupl(nGC_92) + 3d0*coupl( &
                      nGC_2297)*coupl(nGC_58)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_2297)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_27 &
                      )*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_34)*coupl( &
                      nGC_69)*coupl(nGC_871) + 3d0*coupl(nGC_36)*coupl(nGC_69)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl(   &
                      nGC_68) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_42)*coupl(nGC_64)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_44)*coupl(nGC_63)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_44)*coupl(nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_48)*&
                      coupl(nGC_683)**2d0 + 3d0*coupl(nGC_49)*coupl(nGC_63)*   &
                      coupl(nGC_64) + 3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_49)*coupl(nGC_72)**2d0 + 3d0*    &
                      coupl(nGC_49)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_58)*    &
                      coupl(nGC_68)*coupl(nGC_871) + 3d0*coupl(nGC_60)*coupl(  &
                      nGC_617)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9242) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_85&
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl&
                      (nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_130)*    &
                      coupl(nGC_133)*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_137)*coupl(nGC_141)*coupl(nGC_84)**2d0 + 40d0*Nc*cima&
                      *coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87&
                      ) - 32d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(    &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149 &
                      )*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_145)*coupl(&
                      nGC_149)*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl&
                      (nGC_145)*coupl(nGC_149)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84)*&
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173&
                      )*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_177)*coupl(&
                      nGC_180)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177 &
                      )*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*  &
                      cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85  &
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl&
                      (nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192)*    &
                      coupl(nGC_195)*coupl(nGC_88)**2d0 + 4d0*cima*coupl(      &
                      nGC_1005)*coupl(nGC_2297)**2d0*coupl(nGC_68) + 4d0*cima* &
                      coupl(nGC_1005)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 9d0*  &
                      cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_807)**2d0 + &
                      9d0*cima*coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_807)**  &
                      2d0 - 32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(     &
                      nGC_86)**2d0 + 40d0*cima*coupl(nGC_153)*coupl(nGC_157)*  &
                      coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_153)*  &
                      coupl(nGC_157)*coupl(nGC_89)**2d0 - 32d0*cima*coupl(     &
                      nGC_161)*coupl(nGC_165)*coupl(nGC_86)**2d0 + 40d0*cima*  &
                      coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89 &
                      ) - 32d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_89 &
                      )**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(nGC_2297)**2d0*  &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_69)*  &
                      coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_1671)*coupl(     &
                      nGC_683)*coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_1671)*  &
                      coupl(nGC_683)*coupl(nGC_94)**2d0 - 32d0*cima*coupl(     &
                      nGC_184)*coupl(nGC_188)*coupl(nGC_86)**2d0 + 40d0*cima*  &
                      coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89 &
                      ) - 32d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_89 &
                      )**2d0 + 4d0*cima*coupl(nGC_2059)**2d0*coupl(nGC_91)*    &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_2059)**2d0*coupl(     &
                      nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2059)*coupl(  &
                      nGC_683)*coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_683)*coupl(nGC_94)**2d0 + 9d0*cima*coupl(      &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_82)**2d0 + 9d0*cima*    &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_82)**2d0 + 4d0*   &
                      cima*coupl(nGC_683)**2d0*coupl(nGC_91)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)*coupl(nGC_94  &
                      ) + 3d0*coupl(nGC_100)*coupl(nGC_1005)*coupl(nGC_68) +   &
                      3d0*coupl(nGC_100)*coupl(nGC_1005)*coupl(nGC_69) + 3d0*  &
                      coupl(nGC_100)*coupl(nGC_1611)*coupl(nGC_68) + 3d0*coupl(&
                      nGC_100)*coupl(nGC_1611)*coupl(nGC_69) + 3d0*coupl(      &
                      nGC_101)*coupl(nGC_2059)*coupl(nGC_94) + 3d0*coupl(      &
                      nGC_101)*coupl(nGC_683)*coupl(nGC_92) - 3d0*coupl(       &
                      nGC_1015)*coupl(nGC_1391)*coupl(nGC_63) - 3d0*coupl(     &
                      nGC_1015)*coupl(nGC_1391)*coupl(nGC_64) - 3d0*coupl(     &
                      nGC_1015)*coupl(nGC_617)*coupl(nGC_63) - 3d0*coupl(      &
                      nGC_1015)*coupl(nGC_617)*coupl(nGC_64) - 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_14)*coupl(nGC_807) - 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_15)*coupl(nGC_807) - 6d0*coupl(nGC_14&
                      )*coupl(nGC_617)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(&
                      nGC_617)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*&
                      coupl(nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(  &
                      nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82))/(96d0*&
                      pi**2d0)
    coupl(nGC_9241) = (40d0*Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_133) + 40d0* &
                      Nc*cima*coupl(nGC_137)*coupl(nGC_141)**3d0 + 40d0*Nc*cima&
                      *coupl(nGC_145)**3d0*coupl(nGC_149) + 40d0*Nc*cima*coupl(&
                      nGC_169)**3d0*coupl(nGC_173) + 40d0*Nc*cima*coupl(nGC_177&
                      )**3d0*coupl(nGC_180) + 40d0*Nc*cima*coupl(nGC_192)**3d0*&
                      coupl(nGC_195) - 5d0*cima*coupl(nGC_1005)**2d0*coupl(    &
                      nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_1391)*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_68)**2d0 - 5d0*&
                      cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*coupl(&
                      nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(&
                      nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_617)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_1391)** &
                      2d0*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1391&
                      )**2d0*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(     &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_68)**2d0 + 40d0*cima*&
                      coupl(nGC_153)**3d0*coupl(nGC_157) + 40d0*cima*coupl(    &
                      nGC_161)**3d0*coupl(nGC_165) - 5d0*cima*coupl(nGC_1611)**&
                      2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1611&
                      )*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)**2d0 - 5d0* &
                      cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_69)**2d0 - &
                      5d0*cima*coupl(nGC_1671)*coupl(nGC_2059)*coupl(nGC_91)*  &
                      coupl(nGC_94) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_683)* &
                      coupl(nGC_94)**2d0 + 40d0*cima*coupl(nGC_184)**3d0*coupl(&
                      nGC_188) - 5d0*cima*coupl(nGC_2059)**2d0*coupl(nGC_91)*  &
                      coupl(nGC_94) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_683)* &
                      coupl(nGC_91)**2d0 - 5d0*cima*coupl(nGC_2059)*coupl(     &
                      nGC_683)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(   &
                      nGC_2059)*coupl(nGC_683)*coupl(nGC_94)**2d0 - 5d0*cima*  &
                      coupl(nGC_617)**2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*   &
                      cima*coupl(nGC_617)**2d0*coupl(nGC_64)*coupl(nGC_69) -   &
                      5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_91)*coupl(nGC_94  &
                      ) - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)*coupl(    &
                      nGC_94) + 3d0*coupl(nGC_1005)*coupl(nGC_1391)*coupl(     &
                      nGC_36) + 2d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl(     &
                      nGC_24) + 3d0*coupl(nGC_1005)*coupl(nGC_23)*coupl(nGC_63 &
                      ) + coupl(nGC_1005)*coupl(nGC_30)*coupl(nGC_69) + coupl( &
                      nGC_1005)*coupl(nGC_35)*coupl(nGC_68) - 2d0*coupl(       &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_68) - 2d0*coupl(       &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_69) + 2d0*coupl(       &
                      nGC_1391)**2d0*coupl(nGC_24) + 3d0*coupl(nGC_1391)*coupl(&
                      nGC_22)*coupl(nGC_68) + 2d0*coupl(nGC_1391)*coupl(nGC_30 &
                      )*coupl(nGC_64) + 2d0*coupl(nGC_1391)*coupl(nGC_35)*coupl&
                      (nGC_63) - coupl(nGC_1391)*coupl(nGC_61)*coupl(nGC_63) - &
                      coupl(nGC_1391)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl( &
                      nGC_1611)*coupl(nGC_23)*coupl(nGC_64) + coupl(nGC_1611)* &
                      coupl(nGC_30)*coupl(nGC_68) + coupl(nGC_1611)*coupl(     &
                      nGC_35)*coupl(nGC_69) + 3d0*coupl(nGC_1611)*coupl(nGC_36 &
                      )*coupl(nGC_617) - 2d0*coupl(nGC_1611)*coupl(nGC_61)*    &
                      coupl(nGC_68) - 2d0*coupl(nGC_1611)*coupl(nGC_61)*coupl( &
                      nGC_69) + 2d0*coupl(nGC_1671)*coupl(nGC_28)*coupl(nGC_91 &
                      ) + 2d0*coupl(nGC_1671)*coupl(nGC_31)*coupl(nGC_94) -    &
                      coupl(nGC_1671)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl( &
                      nGC_2059)*coupl(nGC_25)*coupl(nGC_91) + coupl(nGC_2059)* &
                      coupl(nGC_28)*coupl(nGC_92) + 3d0*coupl(nGC_2059)*coupl( &
                      nGC_37)*coupl(nGC_94) + coupl(nGC_2059)*coupl(nGC_39)*   &
                      coupl(nGC_94) - 2d0*coupl(nGC_2059)*coupl(nGC_94)*coupl( &
                      nGC_99) + 3d0*coupl(nGC_22)*coupl(nGC_617)*coupl(nGC_69  &
                      ) + 2d0*coupl(nGC_24)*coupl(nGC_617)**2d0 + 4d0*coupl(   &
                      nGC_24)*coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_24)*coupl&
                      (nGC_68)**2d0 + coupl(nGC_24)*coupl(nGC_69)**2d0 + 3d0*  &
                      coupl(nGC_26)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_28)*coupl(nGC_683)*coupl(nGC_94) + 2d0*coupl(nGC_30)*&
                      coupl(nGC_617)*coupl(nGC_63) + coupl(nGC_31)*coupl(      &
                      nGC_683)*coupl(nGC_92) + 2d0*coupl(nGC_35)*coupl(nGC_617 &
                      )*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl(nGC_63)*coupl( &
                      nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_37)*coupl(nGC_683)*coupl(nGC_91) + 2d0*&
                      coupl(nGC_39)*coupl(nGC_683)*coupl(nGC_91) - coupl(nGC_61&
                      )*coupl(nGC_617)*coupl(nGC_63) - coupl(nGC_61)*coupl(    &
                      nGC_617)*coupl(nGC_64) - coupl(nGC_683)*coupl(nGC_91)*   &
                      coupl(nGC_99) - 2d0*coupl(nGC_683)*coupl(nGC_92)*coupl(  &
                      nGC_99))/(32d0*pi**2d0)
    coupl(nGC_9240) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_88) - 32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_88  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_84)**&
                      2d0 + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(  &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(   &
                      nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_149)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_149)**2d0*&
                      coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_173)**2d0*   &
                      coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_173)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_173 &
                      )**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_180)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_180)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_180&
                      )**2d0*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_195)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_195)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_195&
                      )**2d0*coupl(nGC_88)**2d0 + 9d0*cima*coupl(nGC_1005)*    &
                      coupl(nGC_63)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(       &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_96)**2d0 + 12d0*cima*  &
                      coupl(nGC_1015)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_2297)**2d0*coupl(nGC_68) + 9d0*cima*coupl(     &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_807)**2d0 - 32d0*cima* &
                      coupl(nGC_157)**2d0*coupl(nGC_86)**2d0 + 40d0*cima*coupl(&
                      nGC_157)**2d0*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*   &
                      coupl(nGC_157)**2d0*coupl(nGC_89)**2d0 + 4d0*cima*coupl( &
                      nGC_1611)*coupl(nGC_2297)**2d0*coupl(nGC_64) + 9d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_807)**2d0 - 32d0*&
                      cima*coupl(nGC_165)**2d0*coupl(nGC_86)**2d0 + 40d0*cima* &
                      coupl(nGC_165)**2d0*coupl(nGC_86)*coupl(nGC_89) - 32d0*  &
                      cima*coupl(nGC_165)**2d0*coupl(nGC_89)**2d0 + 4d0*cima*  &
                      coupl(nGC_1671)**2d0*coupl(nGC_92)**2d0 + 4d0*cima*coupl(&
                      nGC_1671)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)*   &
                      coupl(nGC_94) - 32d0*cima*coupl(nGC_188)**2d0*coupl(     &
                      nGC_86)**2d0 + 40d0*cima*coupl(nGC_188)**2d0*coupl(nGC_86&
                      )*coupl(nGC_89) - 32d0*cima*coupl(nGC_188)**2d0*coupl(   &
                      nGC_89)**2d0 + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)*  &
                      coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_683)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*   &
                      cima*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_96)**2d0 +   &
                      4d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)**2d0 + 4d0*   &
                      cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl( &
                      nGC_100)*coupl(nGC_1005)*coupl(nGC_63) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1391)*coupl(nGC_68) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1611)*coupl(nGC_64) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_617)*coupl(nGC_69) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_1015)*coupl(nGC_63) - 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_15)*coupl(nGC_82) + 3d0*coupl(nGC_101&
                      )*coupl(nGC_1671)*coupl(nGC_92) + 3d0*coupl(nGC_101)*    &
                      coupl(nGC_683)*coupl(nGC_94) - 3d0*coupl(nGC_1015)*coupl(&
                      nGC_1391)*coupl(nGC_68) - 3d0*coupl(nGC_1015)*coupl(     &
                      nGC_1611)*coupl(nGC_64) - 3d0*coupl(nGC_1015)*coupl(     &
                      nGC_617)*coupl(nGC_69) - 6d0*coupl(nGC_1391)*coupl(nGC_16&
                      )*coupl(nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_1611)*    &
                      coupl(nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(  &
                      nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_617)*coupl(nGC_82) - 6d0*&
                      coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_807) - 6d0*coupl(  &
                      nGC_16)*coupl(nGC_69)*coupl(nGC_82) + 18d0*coupl(nGC_61)*&
                      coupl(nGC_807)**2d0 + 18d0*coupl(nGC_61)*coupl(nGC_82)** &
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_16291) = coupl(nGC_128)*dZHl_QED2/2d0 + coupl(nGC_128)*dZZ_QED2  &
                        + coupl(nGC_129)*dZHhHl_QED2/2d0 + coupl(nGC_9388) +   &
                       coupl(nGC_TS_GC_99_Hl)
    coupl(nGC_18820) = -coupl(nGC_18819)
    coupl(nGC_9085) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_146)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_170)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_178)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 + 40d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(nGC_2) + 40d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(nGC_2) + 40d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_2) + &
                      40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)**2d0*coupl(nGC_2&
                      ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)**2d0*coupl( &
                      nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)**2d0*  &
                      coupl(nGC_2) - 32d0*Nc*cima*coupl(nGC_131)**2d0*coupl(   &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_142)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_146)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_170)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_178)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_193)**2d0*coupl(    &
                      nGC_2)**2d0 + 9d0*cima*coupl(nGC_1005)*coupl(nGC_63)*    &
                      coupl(nGC_647)**2d0 + 9d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_3)**2d0*coupl(nGC_68) - 32d0*cima*coupl(nGC_154)**2d0&
                      *coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1611)*coupl(nGC_3&
                      )**2d0*coupl(nGC_64) - 32d0*cima*coupl(nGC_162)**2d0*    &
                      coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(   &
                      nGC_2297)**2d0 + 8d0*cima*coupl(nGC_17)**2d0*coupl(      &
                      nGC_655)**2d0 - 32d0*cima*coupl(nGC_185)**2d0*coupl(nGC_4&
                      )**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72)*coupl( &
                      nGC_871) + 9d0*cima*coupl(nGC_617)*coupl(nGC_647)**2d0*  &
                      coupl(nGC_69) + 24d0*cima*coupl(nGC_62)*coupl(nGC_923) + &
                      9d0*cima*coupl(nGC_647)**2d0*coupl(nGC_72)*coupl(nGC_871 &
                      ) + 4d0*cima*coupl(nGC_655)**2d0*coupl(nGC_96)**2d0 - 6d0&
                      *coupl(nGC_1005)*coupl(nGC_647)*coupl(nGC_66) - 6d0*coupl&
                      (nGC_1391)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_923) - 6d0*coupl(      &
                      nGC_1611)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_1611&
                      )*coupl(nGC_64)*coupl(nGC_923) + 6d0*coupl(nGC_18)*coupl(&
                      nGC_2297)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_655)**2d0 + &
                      36d0*coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)* &
                      coupl(nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_68)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_72)*  &
                      coupl(nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*coupl(    &
                      nGC_871) - 6d0*coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_70&
                      ) + 36d0*coupl(nGC_62)*coupl(nGC_647)**2d0 - 6d0*coupl(  &
                      nGC_63)*coupl(nGC_647)*coupl(nGC_66) - 6d0*coupl(nGC_647 &
                      )*coupl(nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_647)*coupl(&
                      nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_647)*coupl(nGC_73)*&
                      coupl(nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_871)*coupl( &
                      nGC_923))/(192d0*pi**2d0)
    coupl(nGC_9084) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_134)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_150)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_174)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_181)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(nGC_2) + 40d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_138)**2d0*coupl(nGC_2) + 40d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_2) + &
                      40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)**2d0*coupl(nGC_2&
                      ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_181)**2d0*coupl( &
                      nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_196)**2d0*  &
                      coupl(nGC_2) - 32d0*Nc*cima*coupl(nGC_134)**2d0*coupl(   &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_174)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_181)**2d0*coupl(    &
                      nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_196)**2d0*coupl(    &
                      nGC_2)**2d0 + 9d0*cima*coupl(nGC_1005)*coupl(nGC_3)**2d0*&
                      coupl(nGC_63) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_3)**  &
                      2d0*coupl(nGC_68) - 32d0*cima*coupl(nGC_158)**2d0*coupl( &
                      nGC_4)**2d0 + 9d0*cima*coupl(nGC_1611)*coupl(nGC_64)*    &
                      coupl(nGC_647)**2d0 - 32d0*cima*coupl(nGC_166)**2d0*coupl&
                      (nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_2297&
                      )**2d0 + 8d0*cima*coupl(nGC_17)**2d0*coupl(nGC_655)**2d0 &
                       - 32d0*cima*coupl(nGC_189)**2d0*coupl(nGC_4)**2d0 + 9d0*&
                      cima*coupl(nGC_3)**2d0*coupl(nGC_72)*coupl(nGC_871) + 9d0&
                      *cima*coupl(nGC_617)*coupl(nGC_647)**2d0*coupl(nGC_69) + &
                      24d0*cima*coupl(nGC_62)*coupl(nGC_923) + 9d0*cima*coupl( &
                      nGC_647)**2d0*coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*   &
                      coupl(nGC_655)**2d0*coupl(nGC_96)**2d0 - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(nGC_1005&
                      )*coupl(nGC_63)*coupl(nGC_923) - 6d0*coupl(nGC_1391)*    &
                      coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1391)*coupl(  &
                      nGC_68)*coupl(nGC_923) - 6d0*coupl(nGC_1611)*coupl(      &
                      nGC_647)*coupl(nGC_65) + 6d0*coupl(nGC_18)*coupl(nGC_2297&
                      )**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_655)**2d0 + 36d0*   &
                      coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)*coupl(&
                      nGC_63)*coupl(nGC_65) - 6d0*coupl(nGC_3)*coupl(nGC_68)*  &
                      coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(    &
                      nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_871   &
                      ) - 6d0*coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_70) +    &
                      36d0*coupl(nGC_62)*coupl(nGC_647)**2d0 - 6d0*coupl(nGC_64&
                      )*coupl(nGC_647)*coupl(nGC_65) - 6d0*coupl(nGC_647)*coupl&
                      (nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_647)*coupl(nGC_72 &
                      )*coupl(nGC_74) - 6d0*coupl(nGC_647)*coupl(nGC_73)*coupl(&
                      nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_923&
                      ))/(192d0*pi**2d0)
    coupl(nGC_14907) = coupl(nGC_13595) + coupl(nGC_14906)
    coupl(nGC_14905) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZbL_QED2 +  &
                       coupl(nGC_9396)
    coupl(nGC_9081) = coupl(nGC_7)*sq2*(coupl(nGC_1495)*coupl(nGC_194) + coupl(&
                      nGC_192)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_195)**2d0&
                       + coupl(nGC_196)**2d0 + coupl(nGC_197)*coupl(nGC_198) + &
                      4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)**2d0)/(64d0*pi &
                      **2d0)
    coupl(nGC_12767) = coupl(nGC_25)*dZG0Ha_QED2/2d0 + coupl(nGC_26)*          &
                       dZHaG0_QED2/2d0 + coupl(nGC_28)*dZHlHh_QED2/2d0 + coupl(&
                       nGC_29)*dZHhHl_QED2/2d0 + coupl(nGC_37)*dZHa_QED2/2d0 + &
                       coupl(nGC_37)*dZHh_QED2/2d0 + coupl(nGC_37)*dZHl_QED2/  &
                       2d0 + coupl(nGC_9314)
    coupl(nGC_9080) = coupl(nGC_7)*sq2*(coupl(nGC_146)**2d0 + coupl(nGC_1495)* &
                      coupl(nGC_194) + coupl(nGC_150)**2d0 + coupl(nGC_192)**  &
                      2d0 + coupl(nGC_195)**2d0 + coupl(nGC_197)*coupl(nGC_198 &
                      ) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_88)**2d0)/(64d0*pi**2d0)
    coupl(nGC_20995) = coupl(nGC_164)*dZHaG0_QED2/2d0 + coupl(nGC_168)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_168)*dZmuMinusR_QED2/2d0&
                        + coupl(nGC_9469)
    coupl(nGC_20994) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/2d0&
                        + coupl(nGC_9470)
    coupl(nGC_9083) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl(   &
                      nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138)*&
                      coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + 40d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2  &
                      ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(      &
                      nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_2) + 40d0*Nc*cima*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) + 40d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                      (nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(&
                      nGC_196)*coupl(nGC_2) - 32d0*Nc*cima*coupl(nGC_131)*coupl&
                      (nGC_134)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl( &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc&
                      *cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)**&
                      2d0 + 9d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(    &
                      nGC_3)**2d0 + 9d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*  &
                      coupl(nGC_3)**2d0 - 32d0*cima*coupl(nGC_154)*coupl(      &
                      nGC_158)*coupl(nGC_4)**2d0 - 32d0*cima*coupl(nGC_162)*   &
                      coupl(nGC_166)*coupl(nGC_4)**2d0 - 32d0*cima*coupl(      &
                      nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 + 9d0*cima*    &
                      coupl(nGC_63)*coupl(nGC_647)**2d0*coupl(nGC_69) + 9d0*   &
                      cima*coupl(nGC_64)*coupl(nGC_647)**2d0*coupl(nGC_69) -   &
                      6d0*coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_70) - 6d0*    &
                      coupl(nGC_1391)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(  &
                      nGC_1391)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_1611&
                      )*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_63)*coupl(  &
                      nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_63)*coupl(nGC_69)*&
                      coupl(nGC_923) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl( &
                      nGC_70) - 6d0*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_923  &
                      ) - 6d0*coupl(nGC_647)*coupl(nGC_65)*coupl(nGC_69) - 6d0*&
                      coupl(nGC_647)*coupl(nGC_66)*coupl(nGC_69))/(192d0*pi**  &
                      2d0)
    coupl(nGC_9082) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl(   &
                      nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138)*&
                      coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + 40d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2  &
                      ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(      &
                      nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_2) + 40d0*Nc*cima*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) + 40d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                      (nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(&
                      nGC_196)*coupl(nGC_2) - 32d0*Nc*cima*coupl(nGC_131)*coupl&
                      (nGC_134)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl( &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc&
                      *cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)**&
                      2d0 + 9d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(     &
                      nGC_647)**2d0 - 32d0*cima*coupl(nGC_154)*coupl(nGC_158)* &
                      coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1611)*coupl(      &
                      nGC_617)*coupl(nGC_647)**2d0 - 32d0*cima*coupl(nGC_162)* &
                      coupl(nGC_166)*coupl(nGC_4)**2d0 - 32d0*cima*coupl(      &
                      nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 + 9d0*cima*    &
                      coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(nGC_68) + 9d0*cima*&
                      coupl(nGC_3)**2d0*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl&
                      (nGC_1005)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(     &
                      nGC_1611)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_3 &
                      )*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(  &
                      nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_65)*  &
                      coupl(nGC_68) - 6d0*coupl(nGC_3)*coupl(nGC_66)*coupl(    &
                      nGC_68) - 6d0*coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_65 &
                      ) - 6d0*coupl(nGC_617)*coupl(nGC_647)*coupl(nGC_66) - 6d0&
                      *coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_923) - 6d0*coupl( &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_923))/(192d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
