!******************************************************************************!
!                                                                              !
!    fill_ctcouplings31.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings31.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings31
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl31()
    coupl(nGC_13088) = coupl(nGC_109)*dZHl_QED2/2d0 + coupl(nGC_117)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_120)*dZHaG0_QED2 + coupl(   &
                       nGC_9344) + coupl(nGC_TS_GC_25_Hh) + coupl(             &
                       nGC_TS_GC_39_Hl)
    coupl(nGC_13312) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZdL_QED2/2d0 + coupl(nGC_80)*dZuL_QED2/2d0 + coupl(    &
                       nGC_9393)
    coupl(nGC_22025) = coupl(nGC_22022) + coupl(nGC_22024)
    coupl(nGC_16761) = coupl(nGC_16760) + coupl(nGC_9497)
    coupl(nGC_16763) = coupl(nGC_16759) + coupl(nGC_16762)
    coupl(nGC_16169) = coupl(nGC_145)*dZHlHh_QED2/2d0 + coupl(nGC_149)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9438)
    coupl(nGC_30044) = -coupl(nGC_8895)
    coupl(nGC_16160) = coupl(nGC_15974) - coupl(nGC_15978)
    coupl(nGC_12759) = coupl(nGC_12757) + coupl(nGC_12758)
    coupl(nGC_12750) = coupl(nGC_12749) + coupl(nGC_9503)
    coupl(nGC_12752) = coupl(nGC_12748) + coupl(nGC_12751)
    coupl(nGC_13333) = coupl(nGC_41)*dZG0Ha_QED2/2d0 + coupl(nGC_41)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_49)*dZHa_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/  &
                       2d0 + coupl(nGC_9311)
    coupl(nGC_15291) = coupl(nGC_14671) + coupl(nGC_15286)
    coupl(nGC_15292) = coupl(nGC_14671) + coupl(nGC_15288)
    coupl(nGC_15668) = coupl(nGC_14700) - coupl(nGC_14705)
    coupl(nGC_8912) = (-coupl(nGC_1391)*coupl(nGC_161)*coupl(nGC_80) - coupl(  &
                      nGC_1611)*coupl(nGC_165)*coupl(nGC_80) - coupl(nGC_162)* &
                      coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_162)*coupl(    &
                      nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_162)*coupl(nGC_86)*&
                      coupl(nGC_90) - coupl(nGC_162)*coupl(nGC_90)*coupl(nGC_96&
                      ) - coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_871))/(32d0*pi&
                      **2d0)
    coupl(nGC_8913) = (coupl(nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(      &
                      nGC_184)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_185)*   &
                      coupl(nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_185)*coupl(&
                      nGC_86)*coupl(nGC_90) + coupl(nGC_185)*coupl(nGC_86)*    &
                      coupl(nGC_96) + coupl(nGC_187)*coupl(nGC_72)*coupl(nGC_80&
                      ) + coupl(nGC_188)*coupl(nGC_63)*coupl(nGC_80))/(32d0*pi &
                      **2d0)
    coupl(nGC_8914) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80) - 6d0*coupl( &
                      nGC_1005)*coupl(nGC_1671)*coupl(nGC_82) + coupl(nGC_1005 &
                      )*coupl(nGC_92)*coupl(nGC_96) + 4d0*coupl(nGC_154)*coupl(&
                      nGC_156)*coupl(nGC_80) + 4d0*coupl(nGC_162)*coupl(nGC_164&
                      )*coupl(nGC_80) + 4d0*coupl(nGC_185)*coupl(nGC_187)*coupl&
                      (nGC_80) - 6d0*coupl(nGC_2297)*coupl(nGC_807)*coupl(     &
                      nGC_871) - 6d0*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_82&
                      ) + coupl(nGC_617)*coupl(nGC_94)*coupl(nGC_96) + coupl(  &
                      nGC_64)**2d0*coupl(nGC_72) - 6d0*coupl(nGC_647)*coupl(   &
                      nGC_655)*coupl(nGC_871) + coupl(nGC_68)**2d0*coupl(nGC_72&
                      ) + coupl(nGC_72)**3d0)/(96d0*pi**2d0)
    coupl(nGC_8915) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) - 6d0*coupl( &
                      nGC_1005)*coupl(nGC_2297)*coupl(nGC_807) + coupl(nGC_1005&
                      )*coupl(nGC_617)*coupl(nGC_68) - 6d0*coupl(nGC_1005)*    &
                      coupl(nGC_647)*coupl(nGC_655) + coupl(nGC_1391)*coupl(   &
                      nGC_617)*coupl(nGC_64) + 4d0*coupl(nGC_154)*coupl(nGC_157&
                      )*coupl(nGC_80) + 4d0*coupl(nGC_162)*coupl(nGC_165)*coupl&
                      (nGC_80) + coupl(nGC_1671)*coupl(nGC_871)*coupl(nGC_96   &
                      ) + 4d0*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80) +    &
                      coupl(nGC_63)*coupl(nGC_64)**2d0 + coupl(nGC_63)*coupl(  &
                      nGC_68)**2d0 + coupl(nGC_63)*coupl(nGC_72)**2d0 - 6d0*   &
                      coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_92))/(96d0*pi**2d0&
                      )
    coupl(nGC_8916) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) + coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_68) + coupl(nGC_1391 &
                      )*coupl(nGC_1611)*coupl(nGC_64) + 4d0*coupl(nGC_153)*    &
                      coupl(nGC_154)*coupl(nGC_80) + 4d0*coupl(nGC_161)*coupl( &
                      nGC_162)*coupl(nGC_80) + 4d0*coupl(nGC_184)*coupl(nGC_185&
                      )*coupl(nGC_80) - 6d0*coupl(nGC_2297)*coupl(nGC_617)*    &
                      coupl(nGC_807) - 6d0*coupl(nGC_617)*coupl(nGC_647)*coupl(&
                      nGC_655) + coupl(nGC_64)**2d0*coupl(nGC_69) + coupl(     &
                      nGC_68)**2d0*coupl(nGC_69) + coupl(nGC_683)*coupl(nGC_871&
                      )*coupl(nGC_96) + coupl(nGC_69)*coupl(nGC_72)**2d0 - 6d0*&
                      coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_94))/(96d0*pi**2d0&
                      )
    coupl(nGC_8918) = (coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_142)*coupl(nGC_2) + coupl(nGC_1005)*    &
                      coupl(nGC_137)*coupl(nGC_80) - coupl(nGC_137)*coupl(     &
                      nGC_178)*coupl(nGC_180) - coupl(nGC_139)*coupl(nGC_178)* &
                      coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_177)*coupl(    &
                      nGC_178) + coupl(nGC_141)*coupl(nGC_617)*coupl(nGC_80) + &
                      coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_655) + coupl(      &
                      nGC_142)*coupl(nGC_2297)*coupl(nGC_88) + 8d0*coupl(      &
                      nGC_142)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_142)*   &
                      coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_144)*coupl(      &
                      nGC_178)*coupl(nGC_179) + coupl(nGC_144)*coupl(nGC_80)*  &
                      coupl(nGC_871))/(32d0*pi**2d0)
    coupl(nGC_8919) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_178) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(nGC_137)*coupl&
                      (nGC_142)*coupl(nGC_180) - coupl(nGC_140)*coupl(nGC_142)*&
                      coupl(nGC_182) - coupl(nGC_141)*coupl(nGC_142)*coupl(    &
                      nGC_177) - coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_891   &
                      ) + coupl(nGC_177)*coupl(nGC_68)*coupl(nGC_80) + coupl(  &
                      nGC_178)*coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_178)*   &
                      coupl(nGC_2297)*coupl(nGC_85) + 8d0*coupl(nGC_178)*coupl(&
                      nGC_85)*coupl(nGC_87) + coupl(nGC_178)*coupl(nGC_87)*    &
                      coupl(nGC_96) + coupl(nGC_180)*coupl(nGC_64)*coupl(nGC_80&
                      ) + coupl(nGC_72)*coupl(nGC_80)*coupl(nGC_891))/(32d0*pi &
                      **2d0)
    coupl(nGC_9228) = (20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_133)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_132)*coupl(nGC_133)**2d0*coupl(   &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_843&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_143  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_143)*&
                      coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                      nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(  &
                      nGC_149)**2d0 + 80d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148&
                      )*coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl(nGC_148)**2d0*&
                      coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl(nGC_1495)**2d0* &
                      coupl(nGC_195)**2d0 + 80d0*Nc*cima*coupl(nGC_1495)*coupl(&
                      nGC_194)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_171&
                      )**2d0*coupl(nGC_173)**2d0 + 80d0*Nc*cima*coupl(nGC_171)*&
                      coupl(nGC_172)*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl( &
                      nGC_172)**2d0*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_179)**2d0*coupl(nGC_180)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_179)*coupl(nGC_180)**2d0*coupl(nGC_891) + 20d0*Nc*   &
                      cima*coupl(nGC_180)**2d0*coupl(nGC_891)**2d0 + 20d0*Nc*  &
                      cima*coupl(nGC_194)**2d0*coupl(nGC_195)**2d0 - 5d0*cima* &
                      coupl(nGC_1005)**2d0*coupl(nGC_72)**2d0 - 20d0*cima*coupl&
                      (nGC_1005)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_871) +  &
                      6d0*cima*coupl(nGC_101)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) +   &
                      20d0*cima*coupl(nGC_155)**2d0*coupl(nGC_157)**2d0 + 80d0*&
                      cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_157)**2d0 + &
                      20d0*cima*coupl(nGC_156)**2d0*coupl(nGC_157)**2d0 - 5d0* &
                      cima*coupl(nGC_1611)**2d0*coupl(nGC_72)**2d0 - 20d0*cima*&
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871&
                      ) + 20d0*cima*coupl(nGC_163)**2d0*coupl(nGC_165)**2d0 +  &
                      80d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_165)** &
                      2d0 + 20d0*cima*coupl(nGC_164)**2d0*coupl(nGC_165)**2d0  &
                       - 10d0*cima*coupl(nGC_1671)**2d0*coupl(nGC_92)**2d0 -   &
                      20d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)*  &
                      coupl(nGC_94) + 20d0*cima*coupl(nGC_186)**2d0*coupl(     &
                      nGC_188)**2d0 + 80d0*cima*coupl(nGC_186)*coupl(nGC_187)* &
                      coupl(nGC_188)**2d0 + 20d0*cima*coupl(nGC_187)**2d0*coupl&
                      (nGC_188)**2d0 + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - &
                      10d0*cima*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*    &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_63)**2d0*coupl(      &
                      nGC_871)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_871&
                      )**2d0 - 10d0*cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0&
                       + 3d0*coupl(nGC_10)*coupl(nGC_1671)*coupl(nGC_94) + 3d0*&
                      coupl(nGC_10)*coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(  &
                      nGC_1005)*coupl(nGC_42)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_50)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_1671)*coupl(nGC_92) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_12)*coupl(  &
                      nGC_1671)*coupl(nGC_92) + 3d0*coupl(nGC_13)*coupl(nGC_683&
                      )*coupl(nGC_94) + 3d0*coupl(nGC_1391)*coupl(nGC_1611)*   &
                      coupl(nGC_42) + 6d0*coupl(nGC_1391)*coupl(nGC_48)*coupl( &
                      nGC_871) + 3d0*coupl(nGC_1391)*coupl(nGC_56)*coupl(nGC_68&
                      ) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_50)*coupl(nGC_64) - 3d0*coupl(&
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_64) + 6d0*coupl(       &
                      nGC_1671)**2d0*coupl(nGC_38) + 6d0*coupl(nGC_1671)*coupl(&
                      nGC_26)*coupl(nGC_683) + 6d0*coupl(nGC_1671)*coupl(nGC_29&
                      )*coupl(nGC_683) + 3d0*coupl(nGC_1671)*coupl(nGC_46)*    &
                      coupl(nGC_94) + 3d0*coupl(nGC_1671)*coupl(nGC_52)*coupl( &
                      nGC_92) - 3d0*coupl(nGC_1671)*coupl(nGC_92)*coupl(nGC_99 &
                      ) + 6d0*coupl(nGC_26)*coupl(nGC_92)*coupl(nGC_94) + 6d0* &
                      coupl(nGC_29)*coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(   &
                      nGC_34)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_37)*&
                      coupl(nGC_683)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_94)**  &
                      2d0 + 6d0*coupl(nGC_38)*coupl(nGC_92)**2d0 + 3d0*coupl(  &
                      nGC_42)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_42)* &
                      coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_46)*coupl(   &
                      nGC_683)*coupl(nGC_92) + 6d0*coupl(nGC_48)*coupl(nGC_69)*&
                      coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(nGC_617)*coupl(  &
                      nGC_871) + 6d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72  &
                      ) + 3d0*coupl(nGC_56)*coupl(nGC_617)*coupl(nGC_69) + 3d0*&
                      coupl(nGC_59)*coupl(nGC_683)*coupl(nGC_94) - 6d0*coupl(  &
                      nGC_61)*coupl(nGC_72)*coupl(nGC_871) - 3d0*coupl(nGC_617 &
                      )*coupl(nGC_62)*coupl(nGC_69) - 3d0*coupl(nGC_683)*coupl(&
                      nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
    coupl(nGC_23949) = coupl(nGC_14833) - coupl(nGC_14838)
    coupl(nGC_9249) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_88) - 32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_88  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_84)**&
                      2d0 + 40d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl(  &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_145)**2d0*coupl(   &
                      nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_145)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_145)**2d0*&
                      coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_169)**2d0*   &
                      coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_169)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_169 &
                      )**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_177)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_177&
                      )**2d0*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_192)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_192)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192&
                      )**2d0*coupl(nGC_88)**2d0 + 4d0*cima*coupl(nGC_1005)*    &
                      coupl(nGC_2297)**2d0*coupl(nGC_63) + 9d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_807)**2d0 + 12d0*cima* &
                      coupl(nGC_1015)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_2297)**2d0*coupl(nGC_68) + 9d0*cima*coupl(     &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_807)**2d0 - 32d0*cima* &
                      coupl(nGC_153)**2d0*coupl(nGC_86)**2d0 + 40d0*cima*coupl(&
                      nGC_153)**2d0*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*   &
                      coupl(nGC_153)**2d0*coupl(nGC_89)**2d0 - 32d0*cima*coupl(&
                      nGC_161)**2d0*coupl(nGC_86)**2d0 + 40d0*cima*coupl(      &
                      nGC_161)**2d0*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*   &
                      coupl(nGC_161)**2d0*coupl(nGC_89)**2d0 + 9d0*cima*coupl( &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_82)**2d0 + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_96)**2d0 + 4d0*  &
                      cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_91)*coupl( &
                      nGC_94) + 4d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl( &
                      nGC_92)*coupl(nGC_94) - 32d0*cima*coupl(nGC_184)**2d0*   &
                      coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_184)**2d0*coupl(&
                      nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_184)**2d0*   &
                      coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_2059)**2d0*coupl(&
                      nGC_91)**2d0 + 4d0*cima*coupl(nGC_2059)**2d0*coupl(nGC_94&
                      )**2d0 + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)*coupl(  &
                      nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2059)*coupl(  &
                      nGC_683)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl(   &
                      nGC_617)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*    &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*   &
                      cima*coupl(nGC_683)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*  &
                      coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1005)*coupl(nGC_63) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1391)*coupl(nGC_68) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1611)*coupl(nGC_64) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_617)*coupl(nGC_69) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_1015)*coupl(nGC_63) - 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_14)*coupl(nGC_807) + 3d0*coupl(      &
                      nGC_101)*coupl(nGC_2059)*coupl(nGC_91) + 3d0*coupl(      &
                      nGC_101)*coupl(nGC_683)*coupl(nGC_94) - 3d0*coupl(       &
                      nGC_1015)*coupl(nGC_1391)*coupl(nGC_68) - 3d0*coupl(     &
                      nGC_1015)*coupl(nGC_1611)*coupl(nGC_64) - 3d0*coupl(     &
                      nGC_1015)*coupl(nGC_617)*coupl(nGC_69) - 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_807) - 6d0*coupl(nGC_14&
                      )*coupl(nGC_1611)*coupl(nGC_82) - 6d0*coupl(nGC_14)*coupl&
                      (nGC_63)*coupl(nGC_807) - 6d0*coupl(nGC_14)*coupl(nGC_64 &
                      )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_617)*coupl(&
                      nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_807  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_82) + 18d0*&
                      coupl(nGC_61)*coupl(nGC_807)**2d0 + 18d0*coupl(nGC_61)*  &
                      coupl(nGC_82)**2d0)/(96d0*pi**2d0)
    coupl(nGC_29927) = -coupl(nGC_8894)
    coupl(nGC_15207) = coupl(nGC_15197) + coupl(nGC_9513)
    coupl(nGC_17095) = coupl(nGC_135)*dZcL_QCD2/2d0 + coupl(nGC_135)*dZcR_QCD2/&
                       2d0 + coupl(nGC_9492)
    coupl(nGC_17090) = coupl(nGC_136)*dZcL_QED2/2d0 + coupl(nGC_136)*dZcR_QED2/&
                       2d0 + coupl(nGC_9489)
    coupl(nGC_15202) = coupl(nGC_179)*dZHa_QED2/2d0 + coupl(nGC_9514)
    coupl(nGC_17093) = coupl(nGC_17089) + coupl(nGC_17090)
    coupl(nGC_9088) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_143)*coupl(   &
                      nGC_144) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_147)*&
                      coupl(nGC_148) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_171)*coupl(nGC_172) - 24d0*Nc*cima*coupl(nGC_132)*   &
                      coupl(nGC_2)**2d0*coupl(nGC_843) - 24d0*Nc*cima*coupl(   &
                      nGC_1495)*coupl(nGC_194)*coupl(nGC_2)**2d0 - 24d0*Nc*cima&
                      *coupl(nGC_179)*coupl(nGC_2)**2d0*coupl(nGC_891) - 24d0* &
                      cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_4)**2d0 -   &
                      24d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_4)**2d0&
                       + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72)*coupl(      &
                      nGC_871) - 24d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(&
                      nGC_4)**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72)*  &
                      coupl(nGC_871) + 12d0*cima*coupl(nGC_62)*coupl(nGC_923   &
                      ) + 9d0*cima*coupl(nGC_647)**2d0*coupl(nGC_72)*coupl(    &
                      nGC_871) + 4d0*cima*coupl(nGC_655)**2d0*coupl(nGC_72)*   &
                      coupl(nGC_871) + 6d0*coupl(nGC_18)*coupl(nGC_72)*coupl(  &
                      nGC_871) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0*   &
                      coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_73)*coupl(nGC_871) + 18d0*coupl(nGC_62)*&
                      coupl(nGC_647)**2d0 - 6d0*coupl(nGC_647)*coupl(nGC_72)*  &
                      coupl(nGC_73) - 6d0*coupl(nGC_647)*coupl(nGC_74)*coupl(  &
                      nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_923&
                      ))/(96d0*pi**2d0)
    coupl(nGC_13694) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9375) + coupl(  &
                       nGC_96)*dZHMinus_QED2 + coupl(nGC_96)*dZZ_QED2/2d0
    coupl(nGC_13695) = -coupl(nGC_13694)
    coupl(nGC_16545) = coupl(nGC_12774) + coupl(nGC_16542)
    coupl(nGC_16544) = coupl(nGC_12774) + coupl(nGC_16543)
    coupl(nGC_19890) = coupl(nGC_13706) + coupl(nGC_19889)
    coupl(nGC_14734) = coupl(nGC_14727) + coupl(nGC_9512)
    coupl(nGC_14135) = coupl(nGC_154)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_158)*&
                       dZeMinusR_QED2/2d0 + coupl(nGC_158)*dZnu_eL_QED2/2d0 +  &
                       coupl(nGC_9461)
    coupl(nGC_15333) = coupl(nGC_14671) + coupl(nGC_15330)
    coupl(nGC_15440) = coupl(nGC_144)*dZbL_QCD2/2d0 + coupl(nGC_144)*dZbR_QCD2/&
                       2d0 + coupl(nGC_9460)
    coupl(nGC_15334) = coupl(nGC_14671) + coupl(nGC_15332)
    coupl(nGC_14250) = coupl(nGC_14246) + coupl(nGC_14249)
    coupl(nGC_8712) = cima*(-8d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143) -   &
                      8d0*Nc*cMB**2d0*coupl(nGC_140)*coupl(nGC_144) - 8d0*Nc*  &
                      cMC**2d0*coupl(nGC_132)*coupl(nGC_135) - 8d0*Nc*cMC**2d0*&
                      coupl(nGC_136)*coupl(nGC_843) - 8d0*Nc*cMD**2d0*coupl(   &
                      nGC_147)*coupl(nGC_152) - 8d0*Nc*cMD**2d0*coupl(nGC_148)*&
                      coupl(nGC_151) - 8d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(   &
                      nGC_176) - 8d0*Nc*cMS**2d0*coupl(nGC_172)*coupl(nGC_175  &
                      ) - 8d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(nGC_182) - 8d0* &
                      Nc*cMT**2d0*coupl(nGC_183)*coupl(nGC_891) - 8d0*Nc*cMU** &
                      2d0*coupl(nGC_1495)*coupl(nGC_198) - 8d0*Nc*cMU**2d0*    &
                      coupl(nGC_194)*coupl(nGC_197) - 8d0*cME**2d0*coupl(      &
                      nGC_155)*coupl(nGC_160) - 8d0*cME**2d0*coupl(nGC_156)*   &
                      coupl(nGC_159) - cMHH**2d0*coupl(nGC_1671)*coupl(nGC_94  &
                      ) - cMHH**2d0*coupl(nGC_683)*coupl(nGC_92) - cMHL**2d0*  &
                      coupl(nGC_2059)*coupl(nGC_94) - cMHL**2d0*coupl(nGC_683)*&
                      coupl(nGC_91) - 8d0*cMM**2d0*coupl(nGC_163)*coupl(nGC_168&
                      ) - 8d0*cMM**2d0*coupl(nGC_164)*coupl(nGC_167) - 8d0*cMTA&
                      **2d0*coupl(nGC_186)*coupl(nGC_191) - 8d0*cMTA**2d0*coupl&
                      (nGC_187)*coupl(nGC_190) - cMZ**2d0*coupl(nGC_1671)*coupl&
                      (nGC_94) - cMZ**2d0*coupl(nGC_2059)*coupl(nGC_94) - cMZ**&
                      2d0*coupl(nGC_683)*coupl(nGC_91) - cMZ**2d0*coupl(nGC_683&
                      )*coupl(nGC_92))/(64d0*pi**2d0)
    coupl(nGC_8713) = cima*(4d0*Nc*coupl(nGC_134)**2d0 + 4d0*Nc*coupl(nGC_138  &
                      )**2d0 + 4d0*Nc*coupl(nGC_150)**2d0 + 4d0*Nc*coupl(      &
                      nGC_174)**2d0 + 4d0*Nc*coupl(nGC_181)**2d0 + 4d0*Nc*coupl&
                      (nGC_196)**2d0 + coupl(nGC_1005)*coupl(nGC_63) + coupl(  &
                      nGC_1391)*coupl(nGC_68) + 4d0*coupl(nGC_158)**2d0 + coupl&
                      (nGC_1611)*coupl(nGC_64) + 4d0*coupl(nGC_166)**2d0 +     &
                      coupl(nGC_17)**2d0 + 4d0*coupl(nGC_189)**2d0 + coupl(    &
                      nGC_2297)**2d0 + coupl(nGC_617)*coupl(nGC_69) + coupl(   &
                      nGC_655)**2d0 + 2d0*coupl(nGC_72)*coupl(nGC_871) + coupl(&
                      nGC_96)**2d0)/(192d0*pi**2d0)
    coupl(nGC_8710) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_142)**2d0 - 4d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_178)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_131)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_170)**2d0&
                       - 4d0*Nc*cMD**2d0*cima*coupl(nGC_146)**2d0 - 4d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_193)**2d0 - 4d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_131)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_170 &
                      )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_142)**2d0 - 4d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_178)**2d0 - 4d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_146)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_193)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_154)**2d0 -  &
                      2d0*cMHA**2d0*cima*coupl(nGC_72)*coupl(nGC_871) - cMHC** &
                      2d0*cima*coupl(nGC_17)**2d0 - cMHC**2d0*cima*coupl(      &
                      nGC_2297)**2d0 - cMHC**2d0*cima*coupl(nGC_655)**2d0 -    &
                      cMHC**2d0*cima*coupl(nGC_96)**2d0 - cMHH**2d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_63) - cMHH**2d0*cima*coupl(nGC_1611)*&
                      coupl(nGC_64) - cMHL**2d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_68) - cMHL**2d0*cima*coupl(nGC_617)*coupl(nGC_69) -  &
                      4d0*cMM**2d0*cima*coupl(nGC_162)**2d0 - 4d0*cMTA**2d0*   &
                      cima*coupl(nGC_185)**2d0 - cMW**2d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_63) - cMW**2d0*cima*coupl(nGC_1391)*coupl(     &
                      nGC_68) - cMW**2d0*cima*coupl(nGC_1611)*coupl(nGC_64) -  &
                      cMW**2d0*cima*coupl(nGC_617)*coupl(nGC_69) - 2d0*cMW**2d0&
                      *cima*coupl(nGC_72)*coupl(nGC_871) - 8d0*cMW**2d0*coupl( &
                      nGC_62) - cMZ**2d0*cima*coupl(nGC_2297)**2d0 - cMZ**2d0* &
                      cima*coupl(nGC_96)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) +  &
                      8d0*cima*coupl(nGC_102)**2d0 + 8d0*cima*coupl(nGC_126)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_8711) = cima*(4d0*Nc*coupl(nGC_132)*coupl(nGC_135) + 4d0*Nc*coupl&
                      (nGC_136)*coupl(nGC_843) + 4d0*Nc*coupl(nGC_139)*coupl(  &
                      nGC_143) + 4d0*Nc*coupl(nGC_140)*coupl(nGC_144) + 4d0*Nc*&
                      coupl(nGC_147)*coupl(nGC_152) + 4d0*Nc*coupl(nGC_148)*   &
                      coupl(nGC_151) + 4d0*Nc*coupl(nGC_1495)*coupl(nGC_198) + &
                      4d0*Nc*coupl(nGC_171)*coupl(nGC_176) + 4d0*Nc*coupl(     &
                      nGC_172)*coupl(nGC_175) + 4d0*Nc*coupl(nGC_179)*coupl(   &
                      nGC_182) + 4d0*Nc*coupl(nGC_183)*coupl(nGC_891) + 4d0*Nc*&
                      coupl(nGC_194)*coupl(nGC_197) + 4d0*coupl(nGC_155)*coupl(&
                      nGC_160) + 4d0*coupl(nGC_156)*coupl(nGC_159) + 4d0*coupl(&
                      nGC_163)*coupl(nGC_168) + 4d0*coupl(nGC_164)*coupl(      &
                      nGC_167) + coupl(nGC_1671)*coupl(nGC_94) + 4d0*coupl(    &
                      nGC_186)*coupl(nGC_191) + 4d0*coupl(nGC_187)*coupl(      &
                      nGC_190) + coupl(nGC_2059)*coupl(nGC_94) + coupl(nGC_683 &
                      )*coupl(nGC_91) + coupl(nGC_683)*coupl(nGC_92))/(192d0*pi&
                      **2d0)
    coupl(nGC_8714) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_138)**2d0 - 4d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_181)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_134)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_174)**2d0&
                       - 4d0*Nc*cMD**2d0*cima*coupl(nGC_150)**2d0 - 4d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_134)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_174 &
                      )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_138)**2d0 - 4d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_181)**2d0 - 4d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_150)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_196)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_158)**2d0 -  &
                      cMHH**2d0*cima*coupl(nGC_1391)*coupl(nGC_68) - cMHH**2d0*&
                      cima*coupl(nGC_617)*coupl(nGC_69) - cMHL**2d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_63) - cMHL**2d0*cima*coupl(nGC_1611)*&
                      coupl(nGC_64) - 4d0*cMM**2d0*cima*coupl(nGC_166)**2d0 -  &
                      4d0*cMTA**2d0*cima*coupl(nGC_189)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_63) - cMW**2d0*cima*coupl(     &
                      nGC_1391)*coupl(nGC_68) - cMW**2d0*cima*coupl(nGC_1611)* &
                      coupl(nGC_64) - cMW**2d0*cima*coupl(nGC_17)**2d0 - cMW** &
                      2d0*cima*coupl(nGC_2297)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_617)*coupl(nGC_69) - cMW**2d0*cima*coupl(nGC_655)**  &
                      2d0 - 2d0*cMW**2d0*cima*coupl(nGC_72)*coupl(nGC_871) -   &
                      cMW**2d0*cima*coupl(nGC_96)**2d0 - 8d0*cMW**2d0*coupl(   &
                      nGC_62) - cMZ**2d0*cima*coupl(nGC_2297)**2d0 - 2d0*cMZ** &
                      2d0*cima*coupl(nGC_72)*coupl(nGC_871) - cMZ**2d0*cima*   &
                      coupl(nGC_96)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) + 8d0*  &
                      cima*coupl(nGC_107)**2d0 + 8d0*cima*coupl(nGC_127)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_16121) = 3d0*coupl(nGC_10)*dZHh_QED2/2d0 + coupl(nGC_10)*        &
                       dZHl_QED2/2d0 + coupl(nGC_12)*dZHhHl_QED2/2d0 + 3d0*    &
                       coupl(nGC_13)*dZHlHh_QED2/2d0 + coupl(nGC_9318)
    coupl(nGC_13055) = coupl(nGC_13054) + coupl(nGC_9505)
  end subroutine fill_CTcouplings_mdl31
end module fill_ctcouplings31
