!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl33()
    coupl(nGC_9210) = (-16d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_85&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*coupl&
                      (nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_132)*    &
                      coupl(nGC_135)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_136)*coupl(nGC_843)*coupl(nGC_85)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_136)*coupl(nGC_843)*coupl(nGC_85)*coupl(nGC_88&
                      ) - 16d0*Nc*cima*coupl(nGC_136)*coupl(nGC_843)*coupl(    &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143 &
                      )*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_139)*coupl(&
                      nGC_143)*coupl(nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_139)*coupl(nGC_143)*coupl(nGC_87)**2d0 - 16d0*Nc*   &
                      cima*coupl(nGC_140)*coupl(nGC_144)*coupl(nGC_84)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*coupl(nGC_84)*&
                      coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144&
                      )*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_147)*coupl(&
                      nGC_152)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_147 &
                      )*coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_87) - 16d0*Nc*  &
                      cima*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_84  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*coupl&
                      (nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_148)*    &
                      coupl(nGC_151)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_1495)*coupl(nGC_198)*coupl(nGC_85)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_1495)*coupl(nGC_198)*coupl(nGC_85)*coupl( &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_198)*   &
                      coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_171)*coupl(  &
                      nGC_176)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_171 &
                      )*coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_87) - 16d0*Nc*  &
                      cima*coupl(nGC_171)*coupl(nGC_176)*coupl(nGC_87)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_84  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*coupl&
                      (nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_172)*    &
                      coupl(nGC_175)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_179)*coupl(nGC_182)*coupl(nGC_85)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88&
                      ) - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182)*coupl(    &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_183)*coupl(nGC_85  &
                      )**2d0*coupl(nGC_891) + 20d0*Nc*cima*coupl(nGC_183)*coupl&
                      (nGC_85)*coupl(nGC_88)*coupl(nGC_891) - 16d0*Nc*cima*    &
                      coupl(nGC_183)*coupl(nGC_88)**2d0*coupl(nGC_891) - 16d0* &
                      Nc*cima*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_85)**2d0 &
                       + 20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_197)*coupl(     &
                      nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_194)*coupl&
                      (nGC_197)*coupl(nGC_88)**2d0 - 16d0*cima*coupl(nGC_155)* &
                      coupl(nGC_160)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(     &
                      nGC_155)*coupl(nGC_160)*coupl(nGC_86)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_89)**  &
                      2d0 - 16d0*cima*coupl(nGC_156)*coupl(nGC_159)*coupl(     &
                      nGC_86)**2d0 + 20d0*cima*coupl(nGC_156)*coupl(nGC_159)*  &
                      coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(nGC_156)*  &
                      coupl(nGC_159)*coupl(nGC_89)**2d0 - 16d0*cima*coupl(     &
                      nGC_163)*coupl(nGC_168)*coupl(nGC_86)**2d0 + 20d0*cima*  &
                      coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_86)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_89 &
                      )**2d0 - 16d0*cima*coupl(nGC_164)*coupl(nGC_167)*coupl(  &
                      nGC_86)**2d0 + 20d0*cima*coupl(nGC_164)*coupl(nGC_167)*  &
                      coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(nGC_164)*  &
                      coupl(nGC_167)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_92)**2d0 + 4d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_94)**2d0 - 16d0*&
                      cima*coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_86)**2d0 +  &
                      20d0*cima*coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_86)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_186)*coupl(nGC_191)* &
                      coupl(nGC_89)**2d0 - 16d0*cima*coupl(nGC_187)*coupl(     &
                      nGC_190)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_187)*  &
                      coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_89)**2d0 + 4d0*  &
                      cima*coupl(nGC_2059)**2d0*coupl(nGC_91)*coupl(nGC_94) +  &
                      4d0*cima*coupl(nGC_2059)**2d0*coupl(nGC_92)*coupl(nGC_94 &
                      ) + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_92 &
                      )**2d0 + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)*coupl(  &
                      nGC_94)**2d0 + 4d0*cima*coupl(nGC_683)**2d0*coupl(nGC_91 &
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_683)**2d0*coupl(    &
                      nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_94 &
                      )*coupl(nGC_99) + 3d0*coupl(nGC_683)*coupl(nGC_92)*coupl(&
                      nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9211) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_132)*coupl(  &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_171&
                      )*coupl(nGC_172) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_171) + 20d0*Nc*cima*   &
                      coupl(nGC_131)*coupl(nGC_170)*coupl(nGC_172)*coupl(      &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_170)**  &
                      2d0*coupl(nGC_843) + 20d0*Nc*cima*coupl(nGC_142)**2d0*   &
                      coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(      &
                      nGC_142)**2d0*coupl(nGC_179)*coupl(nGC_891) + 20d0*Nc*   &
                      cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_178)*coupl( &
                      nGC_891) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*   &
                      coupl(nGC_178)*coupl(nGC_179) + 20d0*Nc*cima*coupl(      &
                      nGC_143)*coupl(nGC_144)*coupl(nGC_178)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_146)**2d0*coupl(nGC_147)*coupl(nGC_148) + &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_1495)*coupl(  &
                      nGC_194) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*   &
                      coupl(nGC_193)*coupl(nGC_194) + 20d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_148)*coupl(nGC_1495)*coupl(nGC_193) + &
                      20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_193 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)**2d0&
                      *coupl(nGC_194) + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(&
                      nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(nGC_178)**  &
                      2d0*coupl(nGC_179)*coupl(nGC_891) + 6d0*cima*coupl(      &
                      nGC_100)*coupl(nGC_101) - 10d0*cima*coupl(nGC_1005)*coupl&
                      (nGC_1671)*coupl(nGC_63)*coupl(nGC_92) - 10d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_1671)*coupl(nGC_69)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_1671)*coupl(nGC_871)* &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*&
                      coupl(nGC_683)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1391 &
                      )*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*&
                      coupl(nGC_154)**2d0*coupl(nGC_155)*coupl(nGC_156) - 5d0* &
                      cima*coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_2297)*    &
                      coupl(nGC_871) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)*&
                      coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(nGC_162)**&
                      2d0*coupl(nGC_163)*coupl(nGC_164) - 10d0*cima*coupl(     &
                      nGC_1671)*coupl(nGC_92)*coupl(nGC_96)**2d0 + 20d0*cima*  &
                      coupl(nGC_185)**2d0*coupl(nGC_186)*coupl(nGC_187) + 24d0*&
                      cima*coupl(nGC_19)*coupl(nGC_20) - 10d0*cima*coupl(      &
                      nGC_2297)**2d0*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*  &
                      coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92 &
                      ) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_68)*coupl(nGC_72)*&
                      coupl(nGC_94) - 10d0*cima*coupl(nGC_617)*coupl(nGC_63)*  &
                      coupl(nGC_683)*coupl(nGC_92) - 10d0*cima*coupl(nGC_617)* &
                      coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*   &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_871)*coupl(nGC_96&
                      ) + 12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_63 &
                      )*coupl(nGC_72)*coupl(nGC_92)*coupl(nGC_96) - 10d0*cima* &
                      coupl(nGC_655)**2d0*coupl(nGC_72)*coupl(nGC_871) - 10d0* &
                      cima*coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_96)**2d0 -   &
                      5d0*cima*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94)*coupl(&
                      nGC_96) - 10d0*cima*coupl(nGC_72)**2d0*coupl(nGC_871)**  &
                      2d0 + 24d0*cima*coupl(nGC_73)*coupl(nGC_74) - 3d0*coupl( &
                      nGC_100)*coupl(nGC_1671)*coupl(nGC_92) - 3d0*coupl(      &
                      nGC_100)*coupl(nGC_683)*coupl(nGC_94) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_1671)*coupl(nGC_19) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_26)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_38)*coupl(nGC_63) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_1391)*coupl(nGC_62)*&
                      coupl(nGC_68) - 3d0*coupl(nGC_1611)*coupl(nGC_62)*coupl( &
                      nGC_64) + 3d0*coupl(nGC_1671)*coupl(nGC_22)*coupl(nGC_94 &
                      ) + 3d0*coupl(nGC_1671)*coupl(nGC_34)*coupl(nGC_92) - 6d0&
                      *coupl(nGC_19)*coupl(nGC_2297)*coupl(nGC_871) - 6d0*coupl&
                      (nGC_19)*coupl(nGC_617)*coupl(nGC_683) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_2297)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl&
                      (nGC_63)*coupl(nGC_92) - 6d0*coupl(nGC_20)*coupl(nGC_69)*&
                      coupl(nGC_94) + 3d0*coupl(nGC_22)*coupl(nGC_683)*coupl(  &
                      nGC_92) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_50) + 3d0*  &
                      coupl(nGC_26)*coupl(nGC_617)*coupl(nGC_63) + 3d0*coupl(  &
                      nGC_30)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_31)*&
                      coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_50)*coupl(  &
                      nGC_655)**2d0 + 6d0*coupl(nGC_50)*coupl(nGC_72)**2d0 +   &
                      6d0*coupl(nGC_50)*coupl(nGC_871)**2d0 + 6d0*coupl(nGC_51 &
                      )*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_52)*coupl(&
                      nGC_72)*coupl(nGC_871) - 9d0*coupl(nGC_62)*coupl(nGC_72)*&
                      coupl(nGC_871) - 6d0*coupl(nGC_655)*coupl(nGC_72)*coupl( &
                      nGC_74) - 6d0*coupl(nGC_655)*coupl(nGC_73)*coupl(nGC_871 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_9212) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_133)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_173)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_170 &
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                      (nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                      nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(  &
                      nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142&
                      )*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*coupl(    &
                      nGC_142)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_146)**2d0*coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_146)**2d0*coupl(nGC_195)**2d0 + 40d0*Nc*cima*coupl(  &
                      nGC_146)*coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_195) +  &
                      20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_193)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_173)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_180)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0 +   &
                      6d0*cima*coupl(nGC_100)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68) -  &
                      10d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)* &
                      coupl(nGC_64) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_2297 &
                      )**2d0*coupl(nGC_63) - 5d0*cima*coupl(nGC_1005)*coupl(   &
                      nGC_2297)*coupl(nGC_871)*coupl(nGC_92) - 10d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_655)**2d0 - 10d0*cima* &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_871&
                      ) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68&
                      )*coupl(nGC_69) + 24d0*cima*coupl(nGC_15)**2d0 + 20d0*   &
                      cima*coupl(nGC_154)**2d0*coupl(nGC_157)**2d0 - 10d0*cima*&
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69&
                      ) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_871)*coupl(nGC_92 &
                      )*coupl(nGC_96) + 20d0*cima*coupl(nGC_162)**2d0*coupl(   &
                      nGC_165)**2d0 - 5d0*cima*coupl(nGC_1671)*coupl(nGC_2297)*&
                      coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1671)*  &
                      coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima*   &
                      coupl(nGC_1671)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_92&
                      ) - 10d0*cima*coupl(nGC_1671)*coupl(nGC_92)*coupl(nGC_96 &
                      )**2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_188)**  &
                      2d0 + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima* &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871 &
                      ) + 24d0*cima*coupl(nGC_66)**2d0 - 10d0*cima*coupl(      &
                      nGC_683)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 3d0*coupl(   &
                      nGC_10)*coupl(nGC_1005)*coupl(nGC_69) + 3d0*coupl(nGC_10 &
                      )*coupl(nGC_617)*coupl(nGC_63) - 3d0*coupl(nGC_100)*coupl&
                      (nGC_1671)*coupl(nGC_92) - 3d0*coupl(nGC_100)*coupl(     &
                      nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_1005)*coupl(nGC_12&
                      )*coupl(nGC_63) + 6d0*coupl(nGC_1005)*coupl(nGC_1391)*   &
                      coupl(nGC_22) - 6d0*coupl(nGC_1005)*coupl(nGC_15)*coupl( &
                      nGC_2297) + 6d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl(   &
                      nGC_34) + 3d0*coupl(nGC_1005)*coupl(nGC_44)*coupl(nGC_617&
                      ) + 3d0*coupl(nGC_1005)*coupl(nGC_51)*coupl(nGC_63) - 3d0&
                      *coupl(nGC_1005)*coupl(nGC_62)*coupl(nGC_63) - 6d0*coupl(&
                      nGC_1005)*coupl(nGC_655)*coupl(nGC_66) + 3d0*coupl(nGC_13&
                      )*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_1391)*    &
                      coupl(nGC_1611)*coupl(nGC_44) + 6d0*coupl(nGC_1391)*coupl&
                      (nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_1391)*coupl(nGC_57&
                      )*coupl(nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_61)*coupl&
                      (nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68&
                      ) - 6d0*coupl(nGC_15)*coupl(nGC_1671)*coupl(nGC_72) - 6d0&
                      *coupl(nGC_15)*coupl(nGC_2297)*coupl(nGC_63) - 6d0*coupl(&
                      nGC_15)*coupl(nGC_871)*coupl(nGC_92) + 6d0*coupl(nGC_1611&
                      )*coupl(nGC_27)*coupl(nGC_69) + 3d0*coupl(nGC_1611)*coupl&
                      (nGC_51)*coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl(nGC_61&
                      )*coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl(nGC_62)*coupl&
                      (nGC_64) + 3d0*coupl(nGC_1671)*coupl(nGC_42)*coupl(nGC_94&
                      ) + 3d0*coupl(nGC_1671)*coupl(nGC_50)*coupl(nGC_92) + 6d0&
                      *coupl(nGC_22)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(  &
                      nGC_2297)**2d0*coupl(nGC_34) + 6d0*coupl(nGC_27)*coupl(  &
                      nGC_617)*coupl(nGC_64) + 6d0*coupl(nGC_34)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_34)*coupl(nGC_655)**2d0 +  &
                      6d0*coupl(nGC_36)*coupl(nGC_617)*coupl(nGC_68) + 3d0*    &
                      coupl(nGC_38)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(  &
                      nGC_42)*coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_44)*&
                      coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_44)*coupl(   &
                      nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_48)*coupl(nGC_69)* &
                      coupl(nGC_871) + 6d0*coupl(nGC_49)*coupl(nGC_617)*coupl( &
                      nGC_72) + 3d0*coupl(nGC_56)*coupl(nGC_683)*coupl(nGC_94  &
                      ) + 3d0*coupl(nGC_57)*coupl(nGC_617)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_871) - 3d0*coupl(  &
                      nGC_617)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(nGC_63)*&
                      coupl(nGC_655)*coupl(nGC_66) - 3d0*coupl(nGC_96)**2d0*   &
                      coupl(nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9213) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_132)*coupl(  &
                      nGC_135) - coupl(nGC_136)*coupl(nGC_843) - coupl(nGC_139 &
                      )*coupl(nGC_143) - coupl(nGC_140)*coupl(nGC_144) - coupl(&
                      nGC_147)*coupl(nGC_152) - coupl(nGC_148)*coupl(nGC_151   &
                      ) - coupl(nGC_1495)*coupl(nGC_198) - coupl(nGC_171)*coupl&
                      (nGC_176) - coupl(nGC_172)*coupl(nGC_175) - coupl(nGC_179&
                      )*coupl(nGC_182) - coupl(nGC_183)*coupl(nGC_891) - coupl(&
                      nGC_194)*coupl(nGC_197))/(32d0*pi**2d0)
    coupl(nGC_17876) = coupl(nGC_14671) + coupl(nGC_17875)
    coupl(nGC_17877) = coupl(nGC_14671) + coupl(nGC_17873)
    coupl(nGC_17471) = coupl(nGC_9640) + coupl(nGC_TS_GC_130_Hl) + coupl(      &
                       nGC_TS_GC_133_Hh)
    coupl(nGC_9131) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0* &
                      Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc*cima&
                      *coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*coupl(&
                      nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl(nGC_178&
                      )*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl&
                      (nGC_196)**3d0 - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391 &
                      )*coupl(nGC_1611)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1005&
                      )*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68) - 5d0*cima&
                      *coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_72)*coupl(    &
                      nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl&
                      (nGC_617)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_64) - 5d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_617)**2d0*coupl(nGC_68) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_617)**2d0*coupl(nGC_69) - 10d0*&
                      cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_72)*coupl( &
                      nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63)**2d0*  &
                      coupl(nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63)*  &
                      coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(       &
                      nGC_1391)*coupl(nGC_64)*coupl(nGC_68)**2d0 + 20d0*cima*  &
                      coupl(nGC_154)*coupl(nGC_158)**3d0 - 5d0*cima*coupl(     &
                      nGC_1611)**2d0*coupl(nGC_617)*coupl(nGC_64) - 5d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_617)**2d0*coupl(nGC_69) - 5d0* &
                      cima*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_72)*coupl( &
                      nGC_871) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_63)*coupl( &
                      nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1611)*coupl(  &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_69) + 20d0*cima*coupl(   &
                      nGC_162)*coupl(nGC_166)**3d0 + 20d0*cima*coupl(nGC_185)* &
                      coupl(nGC_189)**3d0 - 5d0*cima*coupl(nGC_617)*coupl(     &
                      nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_617)*    &
                      coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*    &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871  &
                      ) - 10d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72)* &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_64)*coupl(nGC_69)*   &
                      coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_23) + 3d0*coupl(nGC_1005)*coupl(     &
                      nGC_24)*coupl(nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_32 &
                      )*coupl(nGC_617) + 3d0*coupl(nGC_1005)*coupl(nGC_36)*    &
                      coupl(nGC_68) + 3d0*coupl(nGC_1005)*coupl(nGC_49)*coupl( &
                      nGC_871) - 3d0*coupl(nGC_1005)*coupl(nGC_617)*coupl(     &
                      nGC_62) + 3d0*coupl(nGC_1391)*coupl(nGC_27)*coupl(nGC_68 &
                      ) + 3d0*coupl(nGC_1391)*coupl(nGC_36)*coupl(nGC_63) + 3d0&
                      *coupl(nGC_1391)*coupl(nGC_40)*coupl(nGC_871) + 3d0*coupl&
                      (nGC_1611)*coupl(nGC_24)*coupl(nGC_64) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_35)*coupl(nGC_617) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_36)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_49)*coupl(nGC_871) - 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_62) + 6d0*coupl(nGC_17&
                      )**2d0*coupl(nGC_45) + 6d0*coupl(nGC_17)*coupl(nGC_45)*  &
                      coupl(nGC_655) + 6d0*coupl(nGC_2297)**2d0*coupl(nGC_45   &
                      ) + 6d0*coupl(nGC_2297)*coupl(nGC_45)*coupl(nGC_96) + 3d0&
                      *coupl(nGC_23)*coupl(nGC_617)**2d0 + 3d0*coupl(nGC_23)*  &
                      coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_23)*coupl(   &
                      nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_617)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_32)*coupl(nGC_64)*coupl(nGC_68   &
                      ) + 3d0*coupl(nGC_35)*coupl(nGC_63)*coupl(nGC_68) + 3d0* &
                      coupl(nGC_36)*coupl(nGC_617)*coupl(nGC_64) + 3d0*coupl(  &
                      nGC_40)*coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_40 &
                      )*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl( &
                      nGC_69)*coupl(nGC_72) + 12d0*coupl(nGC_43)*coupl(nGC_72)*&
                      coupl(nGC_871) + 6d0*coupl(nGC_45)*coupl(nGC_655)**2d0 + &
                      6d0*coupl(nGC_45)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_49)*&
                      coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(   &
                      nGC_64)*coupl(nGC_72) - 3d0*coupl(nGC_62)*coupl(nGC_63)* &
                      coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl(   &
                      nGC_68))/(96d0*pi**2d0)
    coupl(nGC_9130) = (20d0*Nc*cima*coupl(nGC_134)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_138)**4d0 + 20d0*Nc*cima*coupl(nGC_150)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_174)**4d0 + 20d0*Nc*cima*coupl(nGC_181 &
                      )**4d0 + 20d0*Nc*cima*coupl(nGC_196)**4d0 + 12d0*cima*   &
                      coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1005)**2d0*coupl&
                      (nGC_63)**2d0 - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1391 &
                      )*coupl(nGC_63)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima&
                      *coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_64)*coupl(     &
                      nGC_68) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl( &
                      nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_64)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(   &
                      nGC_1391)**2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(     &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_69) -  &
                      10d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68)*  &
                      coupl(nGC_69) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_68)* &
                      coupl(nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*  &
                      coupl(nGC_158)**4d0 - 5d0*cima*coupl(nGC_1611)**2d0*coupl&
                      (nGC_64)**2d0 - 10d0*cima*coupl(nGC_1611)*coupl(nGC_617)*&
                      coupl(nGC_64)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1611)* &
                      coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_871) - 10d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871&
                      ) + 20d0*cima*coupl(nGC_166)**4d0 - 5d0*cima*coupl(nGC_17&
                      )**4d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(nGC_655)**2d0&
                       - 10d0*cima*coupl(nGC_17)**2d0*coupl(nGC_96)**2d0 - 20d0&
                      *cima*coupl(nGC_17)*coupl(nGC_2297)*coupl(nGC_655)*coupl(&
                      nGC_96) + 12d0*cima*coupl(nGC_18)**2d0 + 20d0*cima*coupl(&
                      nGC_189)**4d0 - 5d0*cima*coupl(nGC_2297)**4d0 - 10d0*cima&
                      *coupl(nGC_2297)**2d0*coupl(nGC_655)**2d0 - 10d0*cima*   &
                      coupl(nGC_2297)**2d0*coupl(nGC_96)**2d0 - 5d0*cima*coupl(&
                      nGC_617)**2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(      &
                      nGC_617)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) -    &
                      10d0*cima*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*    &
                      coupl(nGC_871) + 24d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*&
                      coupl(nGC_655)**4d0 - 20d0*cima*coupl(nGC_72)**2d0*coupl(&
                      nGC_871)**2d0 - 5d0*cima*coupl(nGC_96)**4d0 + 24d0*cima* &
                      coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_2297)**&
                      2d0 - 6d0*coupl(nGC_100)*coupl(nGC_96)**2d0 + 6d0*coupl( &
                      nGC_1005)*coupl(nGC_23)*coupl(nGC_68) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_35)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_23)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_32)*coupl(nGC_68) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_23)*coupl(nGC_69) + 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_35)*coupl(nGC_64) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*coupl(     &
                      nGC_54) + 6d0*coupl(nGC_17)*coupl(nGC_54)*coupl(nGC_655  &
                      ) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(nGC_97) - 6d0*&
                      coupl(nGC_18)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_2297)**&
                      2d0*coupl(nGC_54) + 6d0*coupl(nGC_2297)*coupl(nGC_54)*   &
                      coupl(nGC_96) - 12d0*coupl(nGC_2297)*coupl(nGC_655)*coupl&
                      (nGC_97) + 6d0*coupl(nGC_23)*coupl(nGC_617)*coupl(nGC_64 &
                      ) + 6d0*coupl(nGC_32)*coupl(nGC_617)*coupl(nGC_69) + 12d0&
                      *coupl(nGC_53)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl( &
                      nGC_54)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_54)*coupl(   &
                      nGC_96)**2d0 - 6d0*coupl(nGC_617)*coupl(nGC_62)*coupl(   &
                      nGC_69) - 12d0*coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_871 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_9132) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 -   &
                      5d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_617)**2d0 - 10d0*&
                      cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_617)**2d0 &
                       - 10d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63&
                      )*coupl(nGC_64) - 10d0*cima*coupl(nGC_1005)*coupl(nGC_617&
                      )*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*&
                      coupl(nGC_154)**2d0*coupl(nGC_158)**2d0 - 5d0*cima*coupl(&
                      nGC_1611)**2d0*coupl(nGC_617)**2d0 - 10d0*cima*coupl(    &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_68) -   &
                      10d0*cima*coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_72)*   &
                      coupl(nGC_871) + 20d0*cima*coupl(nGC_162)**2d0*coupl(    &
                      nGC_166)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl(     &
                      nGC_189)**2d0 - 10d0*cima*coupl(nGC_617)**2d0*coupl(     &
                      nGC_68)**2d0 - 20d0*cima*coupl(nGC_617)*coupl(nGC_68)*   &
                      coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_63)**  &
                      2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(  &
                      nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*&
                      coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_72)**2d0*coupl( &
                      nGC_871)**2d0 + 6d0*coupl(nGC_1005)*coupl(nGC_1611)*coupl&
                      (nGC_36) + 6d0*coupl(nGC_1005)*coupl(nGC_27)*coupl(      &
                      nGC_617) + 6d0*coupl(nGC_1005)*coupl(nGC_40)*coupl(nGC_72&
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_24)*coupl(nGC_617) +   &
                      6d0*coupl(nGC_1611)*coupl(nGC_40)*coupl(nGC_871) + 6d0*  &
                      coupl(nGC_17)**2d0*coupl(nGC_60) + 6d0*coupl(nGC_17)*    &
                      coupl(nGC_60)*coupl(nGC_655) + 6d0*coupl(nGC_2297)**2d0* &
                      coupl(nGC_60) + 6d0*coupl(nGC_2297)*coupl(nGC_60)*coupl( &
                      nGC_96) + 6d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68   &
                      ) + 6d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 6d0* &
                      coupl(nGC_36)*coupl(nGC_617)**2d0 + 6d0*coupl(nGC_36)*   &
                      coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(   &
                      nGC_68)**2d0 + 6d0*coupl(nGC_40)*coupl(nGC_63)*coupl(    &
                      nGC_72) + 6d0*coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_871  &
                      ) + 6d0*coupl(nGC_48)*coupl(nGC_617)*coupl(nGC_871) + 6d0&
                      *coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl(  &
                      nGC_49)*coupl(nGC_617)*coupl(nGC_72) + 6d0*coupl(nGC_49)*&
                      coupl(nGC_68)*coupl(nGC_871) + 12d0*coupl(nGC_58)*coupl( &
                      nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_60)*coupl(nGC_655 &
                      )**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_96)**2d0)/(96d0*pi**&
                      2d0)
    coupl(nGC_9135) = (20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_135)*coupl(  &
                      nGC_136) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_175&
                      )*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_134)*coupl(    &
                      nGC_135)*coupl(nGC_174)*coupl(nGC_176) + 20d0*Nc*cima*   &
                      coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_174)*coupl(      &
                      nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*   &
                      coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*  &
                      coupl(nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(      &
                      nGC_138)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*   &
                      cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181)*coupl( &
                      nGC_183) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*   &
                      coupl(nGC_181)*coupl(nGC_182) + 20d0*Nc*cima*coupl(      &
                      nGC_139)*coupl(nGC_140)*coupl(nGC_181)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_150)**2d0*coupl(nGC_151)*coupl(nGC_152) + &
                      20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_197)*coupl(   &
                      nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*   &
                      coupl(nGC_196)*coupl(nGC_198) + 20d0*Nc*cima*coupl(      &
                      nGC_150)*coupl(nGC_152)*coupl(nGC_196)*coupl(nGC_197) +  &
                      20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_196 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_175)*&
                      coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_181)**2d0*coupl( &
                      nGC_182)*coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_196)**  &
                      2d0*coupl(nGC_197)*coupl(nGC_198) + 6d0*cima*coupl(      &
                      nGC_100)*coupl(nGC_101) - 5d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_2297)*coupl(nGC_72)*coupl(nGC_91) - 10d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_871) -   &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl(nGC_72)*  &
                      coupl(nGC_94) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_68)* &
                      coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(nGC_158)**&
                      2d0*coupl(nGC_159)*coupl(nGC_160) - 10d0*cima*coupl(     &
                      nGC_1611)*coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_91) -  &
                      10d0*cima*coupl(nGC_1611)*coupl(nGC_683)*coupl(nGC_69)*  &
                      coupl(nGC_91) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_72)*  &
                      coupl(nGC_91)*coupl(nGC_96) + 20d0*cima*coupl(nGC_166)** &
                      2d0*coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(     &
                      nGC_189)**2d0*coupl(nGC_190)*coupl(nGC_191) + 24d0*cima* &
                      coupl(nGC_19)*coupl(nGC_20) - 5d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_871) - 10d0*cima*&
                      coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_94&
                      ) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_871 &
                      )*coupl(nGC_96) - 10d0*cima*coupl(nGC_2059)*coupl(nGC_91 &
                      )*coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_2297)**2d0*   &
                      coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_2297)* &
                      coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_871) - 10d0*cima* &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_94 &
                      ) - 5d0*cima*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_94)* &
                      coupl(nGC_96) + 12d0*cima*coupl(nGC_62)**2d0 - 10d0*cima*&
                      coupl(nGC_655)**2d0*coupl(nGC_72)*coupl(nGC_871) - 5d0*  &
                      cima*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_871)*coupl(  &
                      nGC_96) - 10d0*cima*coupl(nGC_683)*coupl(nGC_94)*coupl(  &
                      nGC_96)**2d0 - 10d0*cima*coupl(nGC_72)**2d0*coupl(nGC_871&
                      )**2d0 + 24d0*cima*coupl(nGC_73)*coupl(nGC_74) - 3d0*    &
                      coupl(nGC_100)*coupl(nGC_2059)*coupl(nGC_91) - 3d0*coupl(&
                      nGC_100)*coupl(nGC_683)*coupl(nGC_94) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_1391)*coupl(nGC_62)*&
                      coupl(nGC_68) - 6d0*coupl(nGC_1611)*coupl(nGC_20)*coupl( &
                      nGC_91) + 3d0*coupl(nGC_1611)*coupl(nGC_25)*coupl(nGC_69 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_39)*coupl(nGC_64) - 6d0&
                      *coupl(nGC_19)*coupl(nGC_2059)*coupl(nGC_64) - 6d0*coupl(&
                      nGC_19)*coupl(nGC_2297)*coupl(nGC_871) - 6d0*coupl(nGC_19&
                      )*coupl(nGC_683)*coupl(nGC_69) - 6d0*coupl(nGC_20)*coupl(&
                      nGC_2297)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl(nGC_617&
                      )*coupl(nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_23)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_35)*coupl(nGC_91&
                      ) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_53) + 3d0*coupl(  &
                      nGC_23)*coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_25)*&
                      coupl(nGC_617)*coupl(nGC_64) + 3d0*coupl(nGC_32)*coupl(  &
                      nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_617 &
                      )*coupl(nGC_69) + 3d0*coupl(nGC_53)*coupl(nGC_655)**2d0  &
                       + 6d0*coupl(nGC_53)*coupl(nGC_72)**2d0 + 6d0*coupl(     &
                      nGC_53)*coupl(nGC_871)**2d0 + 6d0*coupl(nGC_54)*coupl(   &
                      nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_55)*coupl(nGC_72)*&
                      coupl(nGC_871) - 9d0*coupl(nGC_62)*coupl(nGC_72)*coupl(  &
                      nGC_871) - 6d0*coupl(nGC_655)*coupl(nGC_72)*coupl(nGC_74 &
                      ) - 6d0*coupl(nGC_655)*coupl(nGC_73)*coupl(nGC_871))/(   &
                      96d0*pi**2d0)
    coupl(nGC_9134) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0* &
                      Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc*cima&
                      *coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*coupl(&
                      nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl(nGC_178&
                      )*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl&
                      (nGC_196)**3d0 - 5d0*cima*coupl(nGC_1005)**2d0*coupl(    &
                      nGC_1391)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1391)**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_63) - 5d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_1611)*coupl(   &
                      nGC_64) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(&
                      nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_64) - 5d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 5d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_64)*coupl( &
                      nGC_69) - 5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_1611)* &
                      coupl(nGC_68) - 5d0*cima*coupl(nGC_1391)**2d0*coupl(     &
                      nGC_1611)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_1611)*coupl(nGC_617)*coupl(nGC_69) - 10d0*cima*coupl(&
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_72)*coupl(nGC_871) - &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68)*    &
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_63)*  &
                      coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_154)*coupl(     &
                      nGC_158)**3d0 - 5d0*cima*coupl(nGC_1611)*coupl(nGC_617)* &
                      coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1611)* &
                      coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*    &
                      coupl(nGC_1611)*coupl(nGC_64)**2d0*coupl(nGC_69) + 20d0* &
                      cima*coupl(nGC_162)*coupl(nGC_166)**3d0 + 20d0*cima*coupl&
                      (nGC_185)*coupl(nGC_189)**3d0 - 5d0*cima*coupl(nGC_617)* &
                      coupl(nGC_63)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_617&
                      )*coupl(nGC_64)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(     &
                      nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) - 10d0&
                      *cima*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*coupl(   &
                      nGC_871) - 5d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(   &
                      nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_1005)*coupl(      &
                      nGC_1391)*coupl(nGC_35) + 6d0*coupl(nGC_1005)*coupl(     &
                      nGC_1611)*coupl(nGC_23) + 3d0*coupl(nGC_1005)*coupl(     &
                      nGC_24)*coupl(nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_36 &
                      )*coupl(nGC_68) + 3d0*coupl(nGC_1005)*coupl(nGC_48)*coupl&
                      (nGC_871) + 6d0*coupl(nGC_1391)**2d0*coupl(nGC_23) + 6d0*&
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_32) + 3d0*coupl&
                      (nGC_1391)*coupl(nGC_27)*coupl(nGC_68) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_36)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_41)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_24)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_36)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_48)*coupl(nGC_871) + 9d0*coupl(nGC_17&
                      )**2d0*coupl(nGC_45) + 6d0*coupl(nGC_17)*coupl(nGC_45)*  &
                      coupl(nGC_655) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_45   &
                      ) + 6d0*coupl(nGC_2297)*coupl(nGC_45)*coupl(nGC_96) + 3d0&
                      *coupl(nGC_27)*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl( &
                      nGC_36)*coupl(nGC_617)*coupl(nGC_64) + 3d0*coupl(nGC_41)*&
                      coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_41)*coupl( &
                      nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_69)* &
                      coupl(nGC_72) + 12d0*coupl(nGC_43)*coupl(nGC_72)*coupl(  &
                      nGC_871) + 3d0*coupl(nGC_45)*coupl(nGC_655)**2d0 + 9d0*  &
                      coupl(nGC_45)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_48)*    &
                      coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_48)*coupl(   &
                      nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(nGC_63)* &
                      coupl(nGC_69) - 6d0*coupl(nGC_62)*coupl(nGC_64)*coupl(   &
                      nGC_69))/(96d0*pi**2d0)
    coupl(nGC_9139) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 +   &
                      6d0*cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1391)**2d0*coupl(nGC_1611) - 10d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_617  &
                      ) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_63&
                      )*coupl(nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1611&
                      )*coupl(nGC_617)**2d0 - 5d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_1611)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_69) -   &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_64)*   &
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63)*  &
                      coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1391)**&
                      2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(  &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_69) -  &
                      10d0*cima*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_72)*   &
                      coupl(nGC_871) + 20d0*cima*coupl(nGC_154)**2d0*coupl(    &
                      nGC_158)**2d0 - 5d0*cima*coupl(nGC_1611)*coupl(nGC_617)* &
                      coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1611)*  &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69&
                      ) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*&
                      coupl(nGC_871) + 20d0*cima*coupl(nGC_162)**2d0*coupl(    &
                      nGC_166)**2d0 - 5d0*cima*coupl(nGC_17)**4d0 - 5d0*cima*  &
                      coupl(nGC_17)**2d0*coupl(nGC_655)**2d0 - 10d0*cima*coupl(&
                      nGC_17)**2d0*coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_2297)*coupl(nGC_655)*coupl(nGC_96) + 6d0*cima&
                      *coupl(nGC_18)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl&
                      (nGC_189)**2d0 - 5d0*cima*coupl(nGC_2297)**2d0*coupl(    &
                      nGC_96)**2d0 + 12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*  &
                      coupl(nGC_72)**2d0*coupl(nGC_871)**2d0 - 5d0*cima*coupl( &
                      nGC_96)**4d0 + 12d0*cima*coupl(nGC_97)**2d0 - 6d0*coupl( &
                      nGC_100)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_1005)*coupl( &
                      nGC_1391)*coupl(nGC_24) + 3d0*coupl(nGC_1005)*coupl(     &
                      nGC_1611)*coupl(nGC_36) + 3d0*coupl(nGC_1005)*coupl(     &
                      nGC_23)*coupl(nGC_69) + 3d0*coupl(nGC_1005)*coupl(nGC_32 &
                      )*coupl(nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_40)*coupl&
                      (nGC_871) - 3d0*coupl(nGC_1005)*coupl(nGC_62)*coupl(     &
                      nGC_63) + 3d0*coupl(nGC_1391)**2d0*coupl(nGC_36) + 3d0*  &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_27) + 3d0*coupl&
                      (nGC_1391)*coupl(nGC_48)*coupl(nGC_871) + 3d0*coupl(     &
                      nGC_1391)*coupl(nGC_49)*coupl(nGC_72) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_62)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_22)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_30)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_40)*coupl(nGC_72) - 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*coupl(     &
                      nGC_57) + 6d0*coupl(nGC_17)*coupl(nGC_57)*coupl(nGC_655  &
                      ) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(nGC_97) + 3d0*&
                      coupl(nGC_22)*coupl(nGC_617)*coupl(nGC_64) + 6d0*coupl(  &
                      nGC_2297)**2d0*coupl(nGC_57) + 6d0*coupl(nGC_2297)*coupl(&
                      nGC_57)*coupl(nGC_96) + 3d0*coupl(nGC_23)*coupl(nGC_617)*&
                      coupl(nGC_63) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(   &
                      nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68   &
                      ) + 3d0*coupl(nGC_34)*coupl(nGC_617)*coupl(nGC_69) + 3d0*&
                      coupl(nGC_35)*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(  &
                      nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_36)* &
                      coupl(nGC_68)**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_63)*    &
                      coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl(   &
                      nGC_871) + 3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_871 &
                      ) + 3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 6d0* &
                      coupl(nGC_56)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(  &
                      nGC_57)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_57)*coupl(   &
                      nGC_96)**2d0 + 6d0*coupl(nGC_58)*coupl(nGC_72)*coupl(    &
                      nGC_871) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_871 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_9138) = (10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)**2d0*coupl(  &
                      nGC_135) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*   &
                      coupl(nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(      &
                      nGC_132)*coupl(nGC_135)*coupl(nGC_174)**2d0 + 10d0*Nc*   &
                      cima*coupl(nGC_134)**2d0*coupl(nGC_136)*coupl(nGC_843) + &
                      10d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_171)*coupl(   &
                      nGC_176) + 10d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_172&
                      )*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_134)*coupl(    &
                      nGC_135)*coupl(nGC_172)*coupl(nGC_174) + 10d0*Nc*cima*   &
                      coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_171)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_174)*   &
                      coupl(nGC_176)*coupl(nGC_843) + 10d0*Nc*cima*coupl(      &
                      nGC_136)*coupl(nGC_174)**2d0*coupl(nGC_843) + 10d0*Nc*   &
                      cima*coupl(nGC_138)**2d0*coupl(nGC_139)*coupl(nGC_143) + &
                      10d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_140)*coupl(   &
                      nGC_144) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_179&
                      )*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl&
                      (nGC_183)*coupl(nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*  &
                      coupl(nGC_139)*coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*  &
                      cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181)*coupl( &
                      nGC_891) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*   &
                      coupl(nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_144)*coupl(nGC_181)*coupl(nGC_183) +  &
                      10d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_181 &
                      )**2d0 + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*coupl&
                      (nGC_181)**2d0 + 10d0*Nc*cima*coupl(nGC_147)*coupl(      &
                      nGC_150)**2d0*coupl(nGC_152) + 10d0*Nc*cima*coupl(nGC_147&
                      )*coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_198) + 10d0*Nc*&
                      cima*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_196)**2d0 + &
                      10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)**2d0*coupl(   &
                      nGC_151) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*   &
                      coupl(nGC_196)*coupl(nGC_197) + 10d0*Nc*cima*coupl(      &
                      nGC_148)*coupl(nGC_151)*coupl(nGC_196)**2d0 + 10d0*Nc*   &
                      cima*coupl(nGC_1495)*coupl(nGC_150)**2d0*coupl(nGC_198   &
                      ) + 10d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_150)*coupl(   &
                      nGC_152)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_1495)*  &
                      coupl(nGC_196)**2d0*coupl(nGC_198) + 10d0*Nc*cima*coupl( &
                      nGC_150)**2d0*coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc*   &
                      cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_194)*coupl( &
                      nGC_196) + 10d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)**  &
                      2d0*coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_172)*coupl(  &
                      nGC_174)**2d0*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_179&
                      )*coupl(nGC_181)**2d0*coupl(nGC_182) + 10d0*Nc*cima*coupl&
                      (nGC_181)**2d0*coupl(nGC_183)*coupl(nGC_891) + 10d0*Nc*  &
                      cima*coupl(nGC_194)*coupl(nGC_196)**2d0*coupl(nGC_197) - &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_72)*  &
                      coupl(nGC_94) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*&
                      coupl(nGC_72)*coupl(nGC_92) + 10d0*cima*coupl(nGC_155)*  &
                      coupl(nGC_158)**2d0*coupl(nGC_160) + 10d0*cima*coupl(    &
                      nGC_156)*coupl(nGC_158)**2d0*coupl(nGC_159) - 5d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_69)*coupl(     &
                      nGC_91) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_2059)*coupl(&
                      nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1611)*coupl(  &
                      nGC_64)*coupl(nGC_683)*coupl(nGC_91) - 5d0*cima*coupl(   &
                      nGC_1611)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_94) +   &
                      10d0*cima*coupl(nGC_163)*coupl(nGC_166)**2d0*coupl(      &
                      nGC_168) + 10d0*cima*coupl(nGC_164)*coupl(nGC_166)**2d0* &
                      coupl(nGC_167) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_2297 &
                      )*coupl(nGC_68)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1671 &
                      )*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima* &
                      coupl(nGC_1671)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 10d0* &
                      cima*coupl(nGC_186)*coupl(nGC_189)**2d0*coupl(nGC_191) + &
                      10d0*cima*coupl(nGC_187)*coupl(nGC_189)**2d0*coupl(      &
                      nGC_190) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_617)*coupl(&
                      nGC_64)*coupl(nGC_92) - 5d0*cima*coupl(nGC_2059)*coupl(  &
                      nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_2297)*   &
                      coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_871) - 5d0*cima*  &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_94 &
                      ) - 5d0*cima*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_69)*&
                      coupl(nGC_92) - 5d0*cima*coupl(nGC_683)*coupl(nGC_91)*   &
                      coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_683)*coupl(nGC_92&
                      )*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_1671 &
                      )*coupl(nGC_94) - 3d0*coupl(nGC_100)*coupl(nGC_683)*coupl&
                      (nGC_91) + 3d0*coupl(nGC_1005)*coupl(nGC_49)*coupl(nGC_72&
                      ) + 3d0*coupl(nGC_1391)*coupl(nGC_40)*coupl(nGC_72) - 3d0&
                      *coupl(nGC_1611)*coupl(nGC_20)*coupl(nGC_94) + 3d0*coupl(&
                      nGC_1611)*coupl(nGC_28)*coupl(nGC_64) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_37)*coupl(nGC_69) - 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_19)*coupl(nGC_69) - 3d0*coupl(nGC_19 &
                      )*coupl(nGC_64)*coupl(nGC_683) - 3d0*coupl(nGC_20)*coupl(&
                      nGC_617)*coupl(nGC_92) + 3d0*coupl(nGC_2059)*coupl(nGC_23&
                      )*coupl(nGC_92) + 3d0*coupl(nGC_2059)*coupl(nGC_35)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_2297)**2d0*coupl(nGC_43) + 3d0* &
                      coupl(nGC_23)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_29)*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_32)*&
                      coupl(nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(  &
                      nGC_617)*coupl(nGC_64) + 3d0*coupl(nGC_41)*coupl(nGC_68)*&
                      coupl(nGC_871) + 3d0*coupl(nGC_43)*coupl(nGC_655)**2d0 + &
                      6d0*coupl(nGC_43)*coupl(nGC_72)**2d0 + 6d0*coupl(nGC_43)*&
                      coupl(nGC_871)**2d0 + 6d0*coupl(nGC_45)*coupl(nGC_72)*   &
                      coupl(nGC_871) + 3d0*coupl(nGC_47)*coupl(nGC_72)*coupl(  &
                      nGC_871) + 3d0*coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_871 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_33353) = -coupl(nGC_8781)
    coupl(nGC_12992) = coupl(nGC_12989) - coupl(nGC_12990)/2d0
    coupl(nGC_13500) = coupl(nGC_154)*dZHMinus_QED2/2d0 + coupl(nGC_154)*      &
                       dZeMinusR_QED2/2d0 + coupl(nGC_154)*dZnu_eL_QED2/2d0 +  &
                       coupl(nGC_158)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9464)
    coupl(nGC_8723) = cima*(4d0*Nc*coupl(nGC_132)*coupl(nGC_843) + 4d0*Nc*coupl&
                      (nGC_143)*coupl(nGC_144) + 4d0*Nc*coupl(nGC_147)*coupl(  &
                      nGC_148) + 4d0*Nc*coupl(nGC_1495)*coupl(nGC_194) + 4d0*Nc&
                      *coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*coupl(nGC_179)*  &
                      coupl(nGC_891) + 4d0*coupl(nGC_155)*coupl(nGC_156) + 4d0*&
                      coupl(nGC_163)*coupl(nGC_164) + coupl(nGC_1671)*coupl(   &
                      nGC_92) + 4d0*coupl(nGC_186)*coupl(nGC_187) + coupl(     &
                      nGC_683)*coupl(nGC_94) + 2d0*coupl(nGC_72)*coupl(nGC_871 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_8724) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_143)*coupl(nGC_144) -   &
                      8d0*Nc*cMC**2d0*cima*coupl(nGC_132)*coupl(nGC_843) - 8d0*&
                      Nc*cMD**2d0*cima*coupl(nGC_147)*coupl(nGC_148) - 8d0*Nc* &
                      cMS**2d0*cima*coupl(nGC_171)*coupl(nGC_172) - 8d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_179)*coupl(nGC_891) - 8d0*Nc*cMU**  &
                      2d0*cima*coupl(nGC_1495)*coupl(nGC_194) - 8d0*cME**2d0*  &
                      cima*coupl(nGC_155)*coupl(nGC_156) - 2d0*cMHC**2d0*cima* &
                      coupl(nGC_72)*coupl(nGC_871) - cMHH**2d0*cima*coupl(     &
                      nGC_1671)*coupl(nGC_92) - cMHL**2d0*cima*coupl(nGC_683)* &
                      coupl(nGC_94) - 8d0*cMM**2d0*cima*coupl(nGC_163)*coupl(  &
                      nGC_164) - 8d0*cMTA**2d0*cima*coupl(nGC_186)*coupl(      &
                      nGC_187) - 2d0*cMW**2d0*cima*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 4d0*cMW**2d0*coupl(nGC_62) - cMZ**2d0*cima*coupl(    &
                      nGC_1671)*coupl(nGC_92) - cMZ**2d0*cima*coupl(nGC_683)*  &
                      coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_101))/(32d0*pi**  &
                      2d0)
    coupl(nGC_12847) = coupl(nGC_23)*dZHhHl_QED2 + coupl(nGC_24)*              &
                       dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2 + coupl(  &
                       nGC_9306)
    coupl(nGC_12923) = coupl(nGC_185)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_189)*&
                       dZnu_tauL_QED2/2d0 + coupl(nGC_189)*dZtauMinusR_QED2/2d0&
                        + coupl(nGC_9463)
    coupl(nGC_14420) = coupl(nGC_103)*dZHh_QED2 + coupl(nGC_103)*dZHl_QED2/2d0 &
                        + coupl(nGC_105)*dZHhHl_QED2/2d0 + coupl(nGC_106)*     &
                       dZHlHh_QED2 + coupl(nGC_9346) + coupl(nGC_TS_GC_10_Hh   &
                       ) + coupl(nGC_TS_GC_13_Hl)
    coupl(nGC_16409) = coupl(nGC_25)*dZHlHh_QED2 + coupl(nGC_29)*dZHaG0_QED2 + &
                       coupl(nGC_33)*dZHh_QED2 + coupl(nGC_9293)
    coupl(nGC_30169) = -coupl(nGC_8897)
    coupl(nGC_29447) = -coupl(nGC_8915)
    coupl(nGC_13435) = coupl(nGC_42)*dZHMinus_QED2/2d0 + coupl(nGC_42)*        &
                       dZHa_QED2 + coupl(nGC_50)*dZHMinusGMinus_QED2/2d0 +     &
                       coupl(nGC_56)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*  &
                       dZG0Ha_QED2 + coupl(nGC_9332)
    coupl(nGC_14839) = -coupl(nGC_14833) + coupl(nGC_14838)
    coupl(nGC_8929) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_85) +   &
                      4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_88) + 4d0*&
                      Nc*coupl(nGC_133)*coupl(nGC_843)*coupl(nGC_85) - 4d0*Nc* &
                      coupl(nGC_133)*coupl(nGC_843)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_1495)*coupl(nGC_195)*coupl(nGC_85) - 4d0*Nc*   &
                      coupl(nGC_1495)*coupl(nGC_195)*coupl(nGC_88) - 4d0*Nc*   &
                      coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_891) - 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_88)*coupl(nGC_891) - 4d0*Nc*    &
                      coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_88) - 6d0*coupl( &
                      nGC_1005)*coupl(nGC_72)*coupl(nGC_82) - 4d0*coupl(nGC_155&
                      )*coupl(nGC_157)*coupl(nGC_86) + 4d0*coupl(nGC_155)*coupl&
                      (nGC_157)*coupl(nGC_89) + 4d0*coupl(nGC_156)*coupl(      &
                      nGC_157)*coupl(nGC_86) - 4d0*coupl(nGC_156)*coupl(nGC_157&
                      )*coupl(nGC_89) - 6d0*coupl(nGC_1611)*coupl(nGC_72)*coupl&
                      (nGC_807) - 4d0*coupl(nGC_163)*coupl(nGC_165)*coupl(     &
                      nGC_86) + 4d0*coupl(nGC_163)*coupl(nGC_165)*coupl(nGC_89 &
                      ) + 4d0*coupl(nGC_164)*coupl(nGC_165)*coupl(nGC_86) - 4d0&
                      *coupl(nGC_164)*coupl(nGC_165)*coupl(nGC_89) + coupl(    &
                      nGC_1671)**3d0 + 2d0*coupl(nGC_1671)*coupl(nGC_683)**2d0 &
                       - 4d0*coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_86) + 4d0*&
                      coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_89) + 4d0*coupl( &
                      nGC_187)*coupl(nGC_188)*coupl(nGC_86) - 4d0*coupl(nGC_187&
                      )*coupl(nGC_188)*coupl(nGC_89) + coupl(nGC_2059)*coupl(  &
                      nGC_683)**2d0 + coupl(nGC_2297)*coupl(nGC_64)*coupl(     &
                      nGC_871) + coupl(nGC_63)*coupl(nGC_871)*coupl(nGC_96))/( &
                      96d0*pi**2d0)
    coupl(nGC_8928) = (4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_143)**2d0 + 16d0*Nc*&
                      cMB*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_144) + 4d0*Nc&
                      *cMB*coupl(nGC_141)*coupl(nGC_144)**2d0 + 4d0*Nc*cMC*    &
                      coupl(nGC_130)*coupl(nGC_132)**2d0 + 16d0*Nc*cMC*coupl(  &
                      nGC_130)*coupl(nGC_132)*coupl(nGC_843) + 4d0*Nc*cMC*coupl&
                      (nGC_130)*coupl(nGC_843)**2d0 + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_147)**2d0 + 16d0*Nc*cMD*coupl(nGC_145)*coupl(&
                      nGC_147)*coupl(nGC_148) + 4d0*Nc*cMD*coupl(nGC_145)*coupl&
                      (nGC_148)**2d0 + 4d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_171 &
                      )**2d0 + 16d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_171)*coupl(&
                      nGC_172) + 4d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_172)**2d0 &
                       + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_179)**2d0 + 16d0* &
                      Nc*cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_891) + 4d0&
                      *Nc*cMT*coupl(nGC_177)*coupl(nGC_891)**2d0 + 4d0*Nc*cMU* &
                      coupl(nGC_1495)**2d0*coupl(nGC_192) + 16d0*Nc*cMU*coupl( &
                      nGC_1495)*coupl(nGC_192)*coupl(nGC_194) + 4d0*Nc*cMU*    &
                      coupl(nGC_192)*coupl(nGC_194)**2d0 + 4d0*cME*coupl(      &
                      nGC_153)*coupl(nGC_155)**2d0 + 16d0*cME*coupl(nGC_153)*  &
                      coupl(nGC_155)*coupl(nGC_156) + 4d0*cME*coupl(nGC_153)*  &
                      coupl(nGC_156)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(      &
                      nGC_163)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_163)*  &
                      coupl(nGC_164) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_164)** &
                      2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_186)**2d0 + 16d0*&
                      cMTA*coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_187) + 4d0* &
                      cMTA*coupl(nGC_184)*coupl(nGC_187)**2d0 + 2d0*cima*coupl(&
                      nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(nGC_124)*coupl( &
                      nGC_62) + coupl(nGC_1005)*coupl(nGC_122)*coupl(nGC_871   &
                      ) + coupl(nGC_103)*coupl(nGC_1671)*coupl(nGC_92) + coupl(&
                      nGC_104)*coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_106)*  &
                      coupl(nGC_1671)*coupl(nGC_94) + coupl(nGC_106)*coupl(    &
                      nGC_683)*coupl(nGC_92) + 2d0*coupl(nGC_110)*coupl(nGC_72 &
                      )*coupl(nGC_871) + coupl(nGC_112)*coupl(nGC_1671)*coupl( &
                      nGC_2059) + coupl(nGC_112)*coupl(nGC_91)*coupl(nGC_92) + &
                      coupl(nGC_113)*coupl(nGC_683)**2d0 + coupl(nGC_113)*coupl&
                      (nGC_94)**2d0 + coupl(nGC_120)*coupl(nGC_2059)*coupl(    &
                      nGC_683) + coupl(nGC_120)*coupl(nGC_91)*coupl(nGC_94) +  &
                      coupl(nGC_121)*coupl(nGC_1671)*coupl(nGC_683) + coupl(   &
                      nGC_121)*coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_122)*   &
                      coupl(nGC_64)*coupl(nGC_72) + coupl(nGC_123)*coupl(      &
                      nGC_1611)*coupl(nGC_871) + coupl(nGC_123)*coupl(nGC_63)* &
                      coupl(nGC_72) - 2d0*coupl(nGC_124)*coupl(nGC_72)*coupl(  &
                      nGC_871) - coupl(nGC_128)*coupl(nGC_1671)*coupl(nGC_92   &
                      ) - coupl(nGC_128)*coupl(nGC_683)*coupl(nGC_94))/(32d0*pi&
                      **2d0)
    coupl(nGC_8925) = (coupl(nGC_1005)*coupl(nGC_165)*coupl(nGC_80) + coupl(   &
                      nGC_161)*coupl(nGC_617)*coupl(nGC_80) + coupl(nGC_162)*  &
                      coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_162)*coupl(       &
                      nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_162)*coupl(nGC_86&
                      )*coupl(nGC_90) + coupl(nGC_162)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_871))/( &
                      32d0*pi**2d0)
    coupl(nGC_8924) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_193) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl(nGC_145)*coupl&
                      (nGC_146)*coupl(nGC_192) - coupl(nGC_146)*coupl(nGC_148)*&
                      coupl(nGC_1495) - coupl(nGC_146)*coupl(nGC_149)*coupl(   &
                      nGC_195) - coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_197   &
                      ) + coupl(nGC_1495)*coupl(nGC_72)*coupl(nGC_80) + coupl( &
                      nGC_192)*coupl(nGC_68)*coupl(nGC_80) + coupl(nGC_193)*   &
                      coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_193)*coupl(      &
                      nGC_2297)*coupl(nGC_85) + 8d0*coupl(nGC_193)*coupl(nGC_85&
                      )*coupl(nGC_87) + coupl(nGC_193)*coupl(nGC_87)*coupl(    &
                      nGC_96) + coupl(nGC_195)*coupl(nGC_64)*coupl(nGC_80))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8927) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_143)**2d0 + 16d0*Nc*&
                      cMB*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_144) + 4d0*Nc&
                      *cMB*coupl(nGC_137)*coupl(nGC_144)**2d0 + 4d0*Nc*cMC*    &
                      coupl(nGC_132)**2d0*coupl(nGC_133) + 16d0*Nc*cMC*coupl(  &
                      nGC_132)*coupl(nGC_133)*coupl(nGC_843) + 4d0*Nc*cMC*coupl&
                      (nGC_133)*coupl(nGC_843)**2d0 + 4d0*Nc*cMD*coupl(nGC_147 &
                      )**2d0*coupl(nGC_149) + 16d0*Nc*cMD*coupl(nGC_147)*coupl(&
                      nGC_148)*coupl(nGC_149) + 4d0*Nc*cMD*coupl(nGC_148)**2d0*&
                      coupl(nGC_149) + 4d0*Nc*cMS*coupl(nGC_171)**2d0*coupl(   &
                      nGC_173) + 16d0*Nc*cMS*coupl(nGC_171)*coupl(nGC_172)*    &
                      coupl(nGC_173) + 4d0*Nc*cMS*coupl(nGC_172)**2d0*coupl(   &
                      nGC_173) + 4d0*Nc*cMT*coupl(nGC_179)**2d0*coupl(nGC_180  &
                      ) + 16d0*Nc*cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(     &
                      nGC_891) + 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_891)**2d0 &
                       + 4d0*Nc*cMU*coupl(nGC_1495)**2d0*coupl(nGC_195) + 16d0*&
                      Nc*cMU*coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_195) +   &
                      4d0*Nc*cMU*coupl(nGC_194)**2d0*coupl(nGC_195) + 4d0*cME* &
                      coupl(nGC_155)**2d0*coupl(nGC_157) + 16d0*cME*coupl(     &
                      nGC_155)*coupl(nGC_156)*coupl(nGC_157) + 4d0*cME*coupl(  &
                      nGC_156)**2d0*coupl(nGC_157) + 4d0*cMM*coupl(nGC_163)**  &
                      2d0*coupl(nGC_165) + 16d0*cMM*coupl(nGC_163)*coupl(      &
                      nGC_164)*coupl(nGC_165) + 4d0*cMM*coupl(nGC_164)**2d0*   &
                      coupl(nGC_165) + 4d0*cMTA*coupl(nGC_186)**2d0*coupl(     &
                      nGC_188) + 16d0*cMTA*coupl(nGC_186)*coupl(nGC_187)*coupl(&
                      nGC_188) + 4d0*cMTA*coupl(nGC_187)**2d0*coupl(nGC_188) + &
                      2d0*cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima*coupl( &
                      nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_1671)* &
                      coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_683)*coupl(     &
                      nGC_92) + coupl(nGC_105)*coupl(nGC_1671)*coupl(nGC_92) + &
                      coupl(nGC_106)*coupl(nGC_683)*coupl(nGC_94) + coupl(     &
                      nGC_112)*coupl(nGC_1671)*coupl(nGC_683) + coupl(nGC_112)*&
                      coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_113)*coupl(      &
                      nGC_1671)*coupl(nGC_683) + coupl(nGC_113)*coupl(nGC_92)* &
                      coupl(nGC_94) + 2d0*coupl(nGC_118)*coupl(nGC_72)*coupl(  &
                      nGC_871) + coupl(nGC_120)*coupl(nGC_683)**2d0 + coupl(   &
                      nGC_120)*coupl(nGC_94)**2d0 + coupl(nGC_121)*coupl(      &
                      nGC_1671)**2d0 + coupl(nGC_121)*coupl(nGC_92)**2d0 +     &
                      coupl(nGC_122)*coupl(nGC_1391)*coupl(nGC_871) + coupl(   &
                      nGC_122)*coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_123)*   &
                      coupl(nGC_617)*coupl(nGC_871) + coupl(nGC_123)*coupl(    &
                      nGC_68)*coupl(nGC_72) - 2d0*coupl(nGC_125)*coupl(nGC_72)*&
                      coupl(nGC_871) - coupl(nGC_129)*coupl(nGC_1671)*coupl(   &
                      nGC_92) - coupl(nGC_129)*coupl(nGC_683)*coupl(nGC_94))/( &
                      32d0*pi**2d0)
    coupl(nGC_8926) = (-coupl(nGC_184)*coupl(nGC_68)*coupl(nGC_80) - coupl(    &
                      nGC_185)*coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_185)* &
                      coupl(nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_185)*coupl(  &
                      nGC_86)*coupl(nGC_90) - coupl(nGC_185)*coupl(nGC_90)*    &
                      coupl(nGC_96) - coupl(nGC_186)*coupl(nGC_72)*coupl(nGC_80&
                      ) - coupl(nGC_188)*coupl(nGC_64)*coupl(nGC_80))/(32d0*pi &
                      **2d0)
    coupl(nGC_8921) = (8d0*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_170)*coupl(nGC_655) - coupl(nGC_130)*   &
                      coupl(nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(    &
                      nGC_132)*coupl(nGC_171) - coupl(nGC_131)*coupl(nGC_133)* &
                      coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_136)*coupl(    &
                      nGC_175) - coupl(nGC_169)*coupl(nGC_68)*coupl(nGC_80) -  &
                      coupl(nGC_17)*coupl(nGC_170)*coupl(nGC_2) - coupl(nGC_170&
                      )*coupl(nGC_2297)*coupl(nGC_84) + 8d0*coupl(nGC_170)*    &
                      coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_170)*coupl(nGC_88&
                      )*coupl(nGC_96) - coupl(nGC_171)*coupl(nGC_72)*coupl(    &
                      nGC_80) - coupl(nGC_173)*coupl(nGC_64)*coupl(nGC_80))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8920) = (8d0*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_131)*coupl(nGC_655) - coupl(nGC_1005)*  &
                      coupl(nGC_133)*coupl(nGC_80) - coupl(nGC_130)*coupl(     &
                      nGC_169)*coupl(nGC_170) - coupl(nGC_130)*coupl(nGC_617)* &
                      coupl(nGC_80) - coupl(nGC_131)*coupl(nGC_17)*coupl(nGC_2 &
                      ) - coupl(nGC_131)*coupl(nGC_2297)*coupl(nGC_87) + 8d0*  &
                      coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_87) - coupl(      &
                      nGC_131)*coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_133)*   &
                      coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_135)*coupl(    &
                      nGC_170)*coupl(nGC_176) - coupl(nGC_170)*coupl(nGC_172)* &
                      coupl(nGC_843) - coupl(nGC_80)*coupl(nGC_843)*coupl(     &
                      nGC_871))/(32d0*pi**2d0)
    coupl(nGC_8923) = (coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_146)*coupl(nGC_2) + coupl(nGC_1005)*    &
                      coupl(nGC_149)*coupl(nGC_80) - coupl(nGC_145)*coupl(     &
                      nGC_192)*coupl(nGC_193) + coupl(nGC_145)*coupl(nGC_617)* &
                      coupl(nGC_80) + coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_655&
                      ) + coupl(nGC_146)*coupl(nGC_2297)*coupl(nGC_88) + 8d0*  &
                      coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88) + coupl(      &
                      nGC_146)*coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_147)*   &
                      coupl(nGC_193)*coupl(nGC_194) + coupl(nGC_147)*coupl(    &
                      nGC_80)*coupl(nGC_871) - coupl(nGC_149)*coupl(nGC_193)*  &
                      coupl(nGC_195) - coupl(nGC_151)*coupl(nGC_193)*coupl(    &
                      nGC_198))/(32d0*pi**2d0)
    coupl(nGC_8922) = (coupl(nGC_1005)*coupl(nGC_157)*coupl(nGC_80) + coupl(   &
                      nGC_153)*coupl(nGC_617)*coupl(nGC_80) + coupl(nGC_154)*  &
                      coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_154)*coupl(       &
                      nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_154)*coupl(nGC_86&
                      )*coupl(nGC_90) + coupl(nGC_154)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_155)*coupl(nGC_80)*coupl(nGC_871))/( &
                      32d0*pi**2d0)
    coupl(nGC_30533) = -coupl(nGC_9021)
    coupl(nGC_14630) = coupl(nGC_26)*dZHhHl_QED2 + coupl(nGC_28)*dZG0Ha_QED2 + &
                       coupl(nGC_31)*dZHa_QED2 + coupl(nGC_31)*dZHl_QED2 +     &
                       coupl(nGC_9297)
    coupl(nGC_14882) = coupl(nGC_163)*dZHa_QED2/2d0 + coupl(nGC_163)*          &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_163)*dZmuMinusR_QED2/2d0&
                        + coupl(nGC_167)*dZG0Ha_QED2/2d0 + coupl(nGC_9481)
    coupl(nGC_14883) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*          &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/2d0&
                        + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_9482)
    coupl(nGC_15230) = -coupl(nGC_15220) + coupl(nGC_15222) - coupl(nGC_15228)
    coupl(nGC_15231) = coupl(nGC_15228) + coupl(nGC_15229)
    coupl(nGC_14731) = coupl(nGC_14720) - coupl(nGC_14726) - coupl(nGC_14730)
    coupl(nGC_14732) = coupl(nGC_14729) + coupl(nGC_14730)
    coupl(nGC_14733) = -coupl(nGC_14727) - coupl(nGC_9512)
    coupl(nGC_9092) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)*coupl(   &
                      nGC_141) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145)*&
                      coupl(nGC_149) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_169)*coupl(nGC_173) - 48d0*Nc*cima*coupl(nGC_130)*   &
                      coupl(nGC_133)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl(   &
                      nGC_177)*coupl(nGC_180)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*&
                      coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)**2d0 + 4d0*   &
                      cima*coupl(nGC_1005)*coupl(nGC_17)**2d0*coupl(nGC_69) +  &
                      9d0*cima*coupl(nGC_1005)*coupl(nGC_3)**2d0*coupl(nGC_69  &
                      ) + 9d0*cima*coupl(nGC_1005)*coupl(nGC_647)**2d0*coupl(  &
                      nGC_68) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_655)**2d0*  &
                      coupl(nGC_68) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_63)*  &
                      coupl(nGC_647)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_63)*coupl(nGC_655)**2d0 + 9d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_64)*coupl(nGC_647)**2d0 + 4d0*cima*coupl(      &
                      nGC_1391)*coupl(nGC_64)*coupl(nGC_655)**2d0 - 48d0*cima* &
                      coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_4)**2d0 - 48d0*  &
                      cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_4)**2d0 +   &
                      4d0*cima*coupl(nGC_1611)*coupl(nGC_17)**2d0*coupl(nGC_69 &
                      ) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_3)**2d0*coupl(    &
                      nGC_69) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_647)**2d0*  &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_655)**&
                      2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_17)**2d0*coupl(   &
                      nGC_617)*coupl(nGC_63) + 4d0*cima*coupl(nGC_17)**2d0*    &
                      coupl(nGC_617)*coupl(nGC_64) - 48d0*cima*coupl(nGC_184)* &
                      coupl(nGC_188)*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_3  &
                      )**2d0*coupl(nGC_617)*coupl(nGC_63) + 9d0*cima*coupl(    &
                      nGC_3)**2d0*coupl(nGC_617)*coupl(nGC_64) + 6d0*coupl(    &
                      nGC_1005)*coupl(nGC_18)*coupl(nGC_68) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_18)*coupl(nGC_69) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1005&
                      )*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_1391)*    &
                      coupl(nGC_63)*coupl(nGC_923) - 6d0*coupl(nGC_1391)*coupl(&
                      nGC_64)*coupl(nGC_923) - 6d0*coupl(nGC_1391)*coupl(      &
                      nGC_647)*coupl(nGC_65) - 6d0*coupl(nGC_1391)*coupl(      &
                      nGC_647)*coupl(nGC_66) + 6d0*coupl(nGC_1611)*coupl(nGC_18&
                      )*coupl(nGC_68) + 6d0*coupl(nGC_1611)*coupl(nGC_18)*coupl&
                      (nGC_69) - 6d0*coupl(nGC_1611)*coupl(nGC_3)*coupl(nGC_70 &
                      ) - 6d0*coupl(nGC_1611)*coupl(nGC_647)*coupl(nGC_70) -   &
                      6d0*coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_65) - 6d0*coupl&
                      (nGC_3)*coupl(nGC_617)*coupl(nGC_66) - 6d0*coupl(nGC_3)* &
                      coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_65)*  &
                      coupl(nGC_69) - 6d0*coupl(nGC_3)*coupl(nGC_66)*coupl(    &
                      nGC_69) - 6d0*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_923 &
                      ) - 6d0*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_923) - 6d0&
                      *coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl( &
                      nGC_64)*coupl(nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_647 &
                      )*coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_647)*coupl(&
                      nGC_66)*coupl(nGC_68))/(192d0*pi**2d0)
    coupl(nGC_9091) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)**2d0 -   &
                      24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_149)**2d0 - 24d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_173)**2d0 - 24d0*Nc*&
                      cima*coupl(nGC_133)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima&
                      *coupl(nGC_180)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima*   &
                      coupl(nGC_195)**2d0*coupl(nGC_2)**2d0 + 4d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_17)**2d0*coupl(nGC_63) + 9d0*cima*   &
                      coupl(nGC_1005)*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*   &
                      cima*coupl(nGC_1391)*coupl(nGC_647)**2d0*coupl(nGC_68) + &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_655)**2d0*coupl(nGC_68&
                      ) - 24d0*cima*coupl(nGC_157)**2d0*coupl(nGC_4)**2d0 + 9d0&
                      *cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_647)**2d0  &
                       + 4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_655  &
                      )**2d0 - 24d0*cima*coupl(nGC_165)**2d0*coupl(nGC_4)**2d0 &
                       + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_617)*coupl(     &
                      nGC_69) - 24d0*cima*coupl(nGC_188)**2d0*coupl(nGC_4)**2d0&
                       + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_617)*coupl(nGC_69&
                      ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_923) + 3d0*coupl(  &
                      nGC_1005)*coupl(nGC_18)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_3)*coupl(nGC_66) - 3d0*coupl(nGC_1005&
                      )*coupl(nGC_63)*coupl(nGC_923) + 3d0*coupl(nGC_1391)*    &
                      coupl(nGC_18)*coupl(nGC_68) - 6d0*coupl(nGC_1391)*coupl( &
                      nGC_647)*coupl(nGC_70) - 3d0*coupl(nGC_1391)*coupl(nGC_68&
                      )*coupl(nGC_923) + 3d0*coupl(nGC_1611)*coupl(nGC_18)*    &
                      coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl(nGC_64)*coupl( &
                      nGC_923) - 6d0*coupl(nGC_1611)*coupl(nGC_647)*coupl(     &
                      nGC_66) + 3d0*coupl(nGC_18)*coupl(nGC_617)*coupl(nGC_69  &
                      ) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_61) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_617)*coupl(nGC_70) - 6d0*coupl(nGC_3)*  &
                      coupl(nGC_63)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_69)*coupl(nGC_70) + 18d0*coupl(nGC_61)*coupl(nGC_647 &
                      )**2d0 - 3d0*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_923  &
                      ) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_66) - 6d0*&
                      coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_70))/(96d0*pi**2d0&
                      )
    coupl(nGC_9096) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(    &
                      nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0* &
                      coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138  &
                      )**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_138)**2d0*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_150)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_88) - 16d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_174)**2d0*coupl(nGC_84) + 10d0*Nc*&
                      cima*coupl(nGC_1)*coupl(nGC_174)**2d0*coupl(nGC_88) +    &
                      10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_181)**2d0*coupl(     &
                      nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_181)**2d0* &
                      coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_196  &
                      )**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_196)**2d0*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_134 &
                      )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(  &
                      nGC_134)**2d0*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc*cima* &
                      coupl(nGC_138)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*&
                      cima*coupl(nGC_138)**2d0*coupl(nGC_2)*coupl(nGC_88) +    &
                      10d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_84) - 16d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_2)* &
                      coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_174)**2d0*coupl(  &
                      nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_174)**2d0* &
                      coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_181  &
                      )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(  &
                      nGC_181)**2d0*coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima* &
                      coupl(nGC_196)**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*&
                      cima*coupl(nGC_196)**2d0*coupl(nGC_2)*coupl(nGC_87) + 9d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_63)*coupl(  &
                      nGC_82) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_3)*coupl(   &
                      nGC_68)*coupl(nGC_82) - 16d0*cima*coupl(nGC_158)**2d0*   &
                      coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_158)**  &
                      2d0*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl(nGC_166 &
                      )**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(     &
                      nGC_166)**2d0*coupl(nGC_4)*coupl(nGC_90) + 4d0*cima*coupl&
                      (nGC_17)*coupl(nGC_2297)**2d0*coupl(nGC_96) + 4d0*cima*  &
                      coupl(nGC_17)*coupl(nGC_655)**2d0*coupl(nGC_96) - 16d0*  &
                      cima*coupl(nGC_189)**2d0*coupl(nGC_4)*coupl(nGC_86) +    &
                      10d0*cima*coupl(nGC_189)**2d0*coupl(nGC_4)*coupl(nGC_90  &
                      ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_82)*   &
                      coupl(nGC_871) + 12d0*cima*coupl(nGC_62)*coupl(nGC_83) - &
                      3d0*coupl(nGC_1005)*coupl(nGC_14)*coupl(nGC_3) - 3d0*    &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_83) - 3d0*coupl( &
                      nGC_1005)*coupl(nGC_65)*coupl(nGC_82) - 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_3) - 3d0*coupl(nGC_1391&
                      )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_1391)*coupl&
                      (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)* &
                      coupl(nGC_63) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(    &
                      nGC_68) - 3d0*coupl(nGC_1611)*coupl(nGC_65)*coupl(nGC_807&
                      ) - 3d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_72) - 3d0*  &
                      coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_871) + 3d0*coupl(   &
                      nGC_2297)**2d0*coupl(nGC_97) + 18d0*coupl(nGC_3)*coupl(  &
                      nGC_62)*coupl(nGC_82) - 3d0*coupl(nGC_617)*coupl(nGC_70)*&
                      coupl(nGC_807) + 18d0*coupl(nGC_62)*coupl(nGC_647)*coupl(&
                      nGC_807) + 3d0*coupl(nGC_655)**2d0*coupl(nGC_97) - 3d0*  &
                      coupl(nGC_72)*coupl(nGC_73)*coupl(nGC_82) - 3d0*coupl(   &
                      nGC_72)*coupl(nGC_74)*coupl(nGC_807) - 3d0*coupl(nGC_72)*&
                      coupl(nGC_83)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9097) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 -   &
                      24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145)**2d0 - 24d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_169)**2d0 - 24d0*Nc*&
                      cima*coupl(nGC_130)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima&
                      *coupl(nGC_177)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima*   &
                      coupl(nGC_192)**2d0*coupl(nGC_2)**2d0 + 9d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_647)**2d0 + 4d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_655)**2d0 + 9d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_647)**2d0*coupl(nGC_68) + &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_655)**2d0*coupl(nGC_68&
                      ) - 24d0*cima*coupl(nGC_153)**2d0*coupl(nGC_4)**2d0 -    &
                      24d0*cima*coupl(nGC_161)**2d0*coupl(nGC_4)**2d0 + 4d0*   &
                      cima*coupl(nGC_1611)*coupl(nGC_17)**2d0*coupl(nGC_64) +  &
                      9d0*cima*coupl(nGC_1611)*coupl(nGC_3)**2d0*coupl(nGC_64  &
                      ) + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_617)*coupl(    &
                      nGC_69) - 24d0*cima*coupl(nGC_184)**2d0*coupl(nGC_4)**2d0&
                       + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_617)*coupl(nGC_69&
                      ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_923) + 3d0*coupl(  &
                      nGC_1005)*coupl(nGC_18)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_923) - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_647)*coupl(nGC_65) + 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_18)*coupl(nGC_68) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_647)*coupl(nGC_70) - 3d0*coupl(      &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_923) + 3d0*coupl(      &
                      nGC_1611)*coupl(nGC_18)*coupl(nGC_64) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_3)*coupl(nGC_65) - 3d0*coupl(nGC_1611&
                      )*coupl(nGC_64)*coupl(nGC_923) + 3d0*coupl(nGC_18)*coupl(&
                      nGC_617)*coupl(nGC_69) + 18d0*coupl(nGC_3)**2d0*coupl(   &
                      nGC_61) - 6d0*coupl(nGC_3)*coupl(nGC_617)*coupl(nGC_70   &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_65) - 6d0*  &
                      coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_70) + 18d0*coupl(   &
                      nGC_61)*coupl(nGC_647)**2d0 - 3d0*coupl(nGC_617)*coupl(  &
                      nGC_69)*coupl(nGC_923) - 6d0*coupl(nGC_63)*coupl(nGC_647 &
                      )*coupl(nGC_65) - 6d0*coupl(nGC_647)*coupl(nGC_68)*coupl(&
                      nGC_70))/(96d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
