!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl34()
    coupl(nGC_9098) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_135 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138 &
                      )*coupl(nGC_139)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_174)*coupl(nGC_175)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_181)*coupl(&
                      nGC_182)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_196)*coupl(nGC_197)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_134)*coupl(nGC_135)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_174&
                      )*coupl(nGC_175)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_158)*coupl(nGC_159)*&
                      coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_1611)**  &
                      2d0*coupl(nGC_655)*coupl(nGC_72) + 4d0*cima*coupl(nGC_166&
                      )*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                      coupl(nGC_17)*coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_91 &
                      ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_2297)*coupl(nGC_68)*&
                      coupl(nGC_94) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl&
                      (nGC_647)*coupl(nGC_871) + 4d0*cima*coupl(nGC_189)*coupl(&
                      nGC_190)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(   &
                      nGC_19)*coupl(nGC_953) + 9d0*cima*coupl(nGC_2059)*coupl( &
                      nGC_3)*coupl(nGC_63)*coupl(nGC_807) + 9d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_807) + 24d0&
                      *cima*coupl(nGC_5)*coupl(nGC_73) + 4d0*cima*coupl(nGC_617&
                      )**2d0*coupl(nGC_655)*coupl(nGC_72) + 9d0*cima*coupl(    &
                      nGC_647)*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_96) + 4d0&
                      *cima*coupl(nGC_655)*coupl(nGC_72)**3d0 + 6d0*coupl(     &
                      nGC_1611)*coupl(nGC_65)*coupl(nGC_72) - 6d0*coupl(nGC_17 &
                      )*coupl(nGC_5)*coupl(nGC_871) - 6d0*coupl(nGC_18)*coupl( &
                      nGC_3)*coupl(nGC_871) + 36d0*coupl(nGC_19)*coupl(nGC_3)* &
                      coupl(nGC_807) - 6d0*coupl(nGC_2059)*coupl(nGC_63)*coupl(&
                      nGC_953) - 6d0*coupl(nGC_2059)*coupl(nGC_65)*coupl(      &
                      nGC_807) + 6d0*coupl(nGC_2297)*coupl(nGC_65)*coupl(nGC_91&
                      ) + 6d0*coupl(nGC_2297)*coupl(nGC_70)*coupl(nGC_94) - 6d0&
                      *coupl(nGC_2297)*coupl(nGC_73)*coupl(nGC_807) - 6d0*coupl&
                      (nGC_3)*coupl(nGC_62)*coupl(nGC_871) + 36d0*coupl(nGC_3)*&
                      coupl(nGC_647)*coupl(nGC_73) + 6d0*coupl(nGC_617)*coupl( &
                      nGC_70)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(nGC_647)*&
                      coupl(nGC_871) - 6d0*coupl(nGC_647)*coupl(nGC_655)*coupl(&
                      nGC_73) - 6d0*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_953 &
                      ) - 6d0*coupl(nGC_683)*coupl(nGC_70)*coupl(nGC_807) + 6d0&
                      *coupl(nGC_72)**2d0*coupl(nGC_73) - 6d0*coupl(nGC_82)*   &
                      coupl(nGC_871)*coupl(nGC_97) - 6d0*coupl(nGC_871)*coupl( &
                      nGC_953)*coupl(nGC_96))/(192d0*pi**2d0)
    coupl(nGC_15541) = coupl(nGC_14671) + coupl(nGC_15540)
    coupl(nGC_15542) = coupl(nGC_14671) + coupl(nGC_15536)
    coupl(nGC_15421) = -coupl(nGC_15420)
    coupl(nGC_13681) = coupl(nGC_12774) + coupl(nGC_13678)
    coupl(nGC_13680) = coupl(nGC_12774) + coupl(nGC_13679)
    coupl(nGC_9176) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0* &
                      Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc*cima&
                      *coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*coupl(&
                      nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178&
                      )**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_193)**3d0*&
                      coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391 &
                      )**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_1005)*coupl(   &
                      nGC_1391)**2d0*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)* &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_63) - 5d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_1611)*coupl(   &
                      nGC_64) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(&
                      nGC_617)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1391)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_63) - &
                      5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_72)*   &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63)**&
                      2d0*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_63&
                      )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391  &
                      )**2d0*coupl(nGC_1611)*coupl(nGC_68) - 5d0*cima*coupl(   &
                      nGC_1391)*coupl(nGC_1611)**2d0*coupl(nGC_64) - 5d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_72)*coupl(     &
                      nGC_871) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_64)*coupl( &
                      nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*coupl(  &
                      nGC_64)*coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_154)**  &
                      3d0*coupl(nGC_158) - 5d0*cima*coupl(nGC_1611)*coupl(     &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(    &
                      nGC_1611)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) +    &
                      20d0*cima*coupl(nGC_162)**3d0*coupl(nGC_166) + 20d0*cima*&
                      coupl(nGC_185)**3d0*coupl(nGC_189) - 5d0*cima*coupl(     &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_69)**2d0 - 5d0*cima*    &
                      coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69)**2d0 - 5d0*   &
                      cima*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*coupl(    &
                      nGC_871) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(   &
                      nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_64)*coupl(  &
                      nGC_69)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_1005&
                      )*coupl(nGC_1391)*coupl(nGC_30) - 3d0*coupl(nGC_1005)*   &
                      coupl(nGC_1391)*coupl(nGC_62) + 3d0*coupl(nGC_1005)*coupl&
                      (nGC_1611)*coupl(nGC_22) + 6d0*coupl(nGC_1005)*coupl(    &
                      nGC_27)*coupl(nGC_63) + 6d0*coupl(nGC_1005)*coupl(nGC_36 &
                      )*coupl(nGC_69) + 6d0*coupl(nGC_1005)*coupl(nGC_49)*coupl&
                      (nGC_72) + 3d0*coupl(nGC_1391)**2d0*coupl(nGC_22) + 3d0* &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_34) - 3d0*coupl&
                      (nGC_1391)*coupl(nGC_1611)*coupl(nGC_62) + 3d0*coupl(    &
                      nGC_17)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_17)*coupl(    &
                      nGC_44)*coupl(nGC_655) + 3d0*coupl(nGC_22)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_22)*coupl(nGC_69)**2d0 +   &
                      9d0*coupl(nGC_2297)**2d0*coupl(nGC_44) + 6d0*coupl(      &
                      nGC_2297)*coupl(nGC_44)*coupl(nGC_96) + 6d0*coupl(nGC_24 &
                      )*coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_30)*coupl(&
                      nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_34)*coupl(nGC_63)* &
                      coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_617)*coupl(  &
                      nGC_63) + 6d0*coupl(nGC_41)*coupl(nGC_617)*coupl(nGC_72  &
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_871) + 12d0&
                      *coupl(nGC_42)*coupl(nGC_72)*coupl(nGC_871) + 9d0*coupl( &
                      nGC_44)*coupl(nGC_655)**2d0 + 3d0*coupl(nGC_44)*coupl(   &
                      nGC_96)**2d0 + 6d0*coupl(nGC_49)*coupl(nGC_63)*coupl(    &
                      nGC_871) - 3d0*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_69  &
                      ) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_69))/(96d0*&
                      pi**2d0)
    coupl(nGC_15979) = -coupl(nGC_15974) + coupl(nGC_15978)
    coupl(nGC_13616) = coupl(nGC_13614) - coupl(nGC_13615)
    coupl(nGC_14646) = coupl(nGC_26)*dZHa_QED2 + coupl(nGC_26)*dZHh_QED2/2d0 + &
                       coupl(nGC_26)*dZHl_QED2/2d0 + coupl(nGC_31)*dZHlHh_QED2/&
                       2d0 + coupl(nGC_37)*dZG0Ha_QED2 + coupl(nGC_38)*        &
                       dZHhHl_QED2/2d0 + coupl(nGC_9319)
    coupl(nGC_9218) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_87  &
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_84)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(  &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(   &
                      nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_146)**2d0*&
                      coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)**2d0*   &
                      coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_170 &
                      )**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_178)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_178&
                      )**2d0*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_193)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_193)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                      )**2d0*coupl(nGC_87)**2d0 + 4d0*cima*coupl(nGC_1005)*    &
                      coupl(nGC_1671)*coupl(nGC_63)*coupl(nGC_92) + 4d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_2059)*coupl(nGC_69)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(  &
                      nGC_683)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_683)*coupl(nGC_69)*coupl(nGC_92) + 12d0*cima*coupl(  &
                      nGC_1015)*coupl(nGC_62) + 9d0*cima*coupl(nGC_1391)*coupl(&
                      nGC_68)*coupl(nGC_82)**2d0 - 16d0*cima*coupl(nGC_154)**  &
                      2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_154)**2d0*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_154)** &
                      2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl(nGC_1611)*coupl( &
                      nGC_64)*coupl(nGC_82)**2d0 - 16d0*cima*coupl(nGC_162)**  &
                      2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_162)** &
                      2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1671)*coupl( &
                      nGC_617)*coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(   &
                      nGC_1671)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_92) -   &
                      16d0*cima*coupl(nGC_185)**2d0*coupl(nGC_86)**2d0 + 20d0* &
                      cima*coupl(nGC_185)**2d0*coupl(nGC_86)*coupl(nGC_90) -   &
                      16d0*cima*coupl(nGC_185)**2d0*coupl(nGC_90)**2d0 + 4d0*  &
                      cima*coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_69)*coupl( &
                      nGC_91) + 4d0*cima*coupl(nGC_2297)**2d0*coupl(nGC_96)**  &
                      2d0 + 4d0*cima*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_683&
                      )*coupl(nGC_91) + 4d0*cima*coupl(nGC_617)*coupl(nGC_683)*&
                      coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_655)**  &
                      2d0*coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_683)*coupl(  &
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) + 9d0*cima*coupl(   &
                      nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_871) + 3d0*coupl(   &
                      nGC_100)*coupl(nGC_2297)**2d0 + 3d0*coupl(nGC_100)*coupl(&
                      nGC_655)**2d0 + 3d0*coupl(nGC_1005)*coupl(nGC_63)*coupl( &
                      nGC_99) + 3d0*coupl(nGC_101)*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 3d0*coupl(nGC_1015)*coupl(nGC_1391)*coupl(nGC_68) -  &
                      3d0*coupl(nGC_1015)*coupl(nGC_1611)*coupl(nGC_64) - 3d0* &
                      coupl(nGC_1015)*coupl(nGC_72)*coupl(nGC_871) - 6d0*coupl(&
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_1611)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl&
                      (nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*&
                      coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(   &
                      nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_99) + 18d0&
                      *coupl(nGC_62)*coupl(nGC_807)**2d0 + 18d0*coupl(nGC_62)* &
                      coupl(nGC_82)**2d0)/(96d0*pi**2d0)
    coupl(nGC_9219) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_843 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_80)*coupl(nGC_843)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_80)*coupl(nGC_843)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_147)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1495)*coupl(    &
                      nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_1495)*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) +  &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_171)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85)* &
                      coupl(nGC_891) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_80&
                      )*coupl(nGC_87)*coupl(nGC_891) - 16d0*Nc*cima*coupl(     &
                      nGC_178)*coupl(nGC_80)*coupl(nGC_88)*coupl(nGC_891) + 4d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl(nGC_94)*coupl&
                      (nGC_96) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_683)*coupl(&
                      nGC_807)*coupl(nGC_82) + 20d0*cima*coupl(nGC_154)*coupl( &
                      nGC_155)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_154)*coupl(nGC_155)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_1671)*&
                      coupl(nGC_807)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1611)* &
                      coupl(nGC_2297)*coupl(nGC_92)*coupl(nGC_96) + 20d0*cima* &
                      coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*coupl(nGC_163 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1671)*&
                      coupl(nGC_63)*coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_3)*coupl(nGC_807)*coupl(nGC_871) + 20d0*cima*&
                      coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_186 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 24d0*cima*coupl(nGC_19)* &
                      coupl(nGC_79) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_63)** &
                      2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_69&
                      )**2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_2297)*coupl(   &
                      nGC_72)**3d0 + 4d0*cima*coupl(nGC_2297)*coupl(nGC_871)*  &
                      coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_2297)*coupl(     &
                      nGC_871)*coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_63)*    &
                      coupl(nGC_72)**2d0*coupl(nGC_92) + 4d0*cima*coupl(nGC_683&
                      )*coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(     &
                      nGC_69)*coupl(nGC_72)**2d0*coupl(nGC_94) + 24d0*cima*    &
                      coupl(nGC_73)*coupl(nGC_953) + 9d0*cima*coupl(nGC_807)*  &
                      coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_96) - 6d0*coupl(  &
                      nGC_100)*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_101&
                      )*coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl(nGC_1391)*   &
                      coupl(nGC_683)*coupl(nGC_79) - 6d0*coupl(nGC_15)*coupl(  &
                      nGC_1671)*coupl(nGC_807) + 6d0*coupl(nGC_15)*coupl(      &
                      nGC_2297)*coupl(nGC_92) + 6d0*coupl(nGC_15)*coupl(nGC_63 &
                      )*coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl&
                      (nGC_94) - 6d0*coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_807&
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_72) - 6d0* &
                      coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_79) - 6d0*coupl&
                      (nGC_17)*coupl(nGC_19)*coupl(nGC_3) - 6d0*coupl(nGC_17)* &
                      coupl(nGC_871)*coupl(nGC_953) + 6d0*coupl(nGC_19)*coupl( &
                      nGC_72)**2d0 + 36d0*coupl(nGC_19)*coupl(nGC_807)*coupl(  &
                      nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_82)*coupl(nGC_96   &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_871)*coupl(nGC_97) - 6d0* &
                      coupl(nGC_62)*coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl( &
                      nGC_62)*coupl(nGC_82)*coupl(nGC_871) + 36d0*coupl(nGC_647&
                      )*coupl(nGC_73)*coupl(nGC_82) - 6d0*coupl(nGC_79)*coupl( &
                      nGC_871)*coupl(nGC_96))/(192d0*pi**2d0)
    coupl(nGC_29412) = -coupl(nGC_8929)
    coupl(nGC_14308) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_eL_QED2/2d0 +   &
                       coupl(nGC_9393)
    coupl(nGC_9214) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_132)*coupl(   &
                      nGC_135) + coupl(nGC_136)*coupl(nGC_843) + coupl(nGC_139 &
                      )*coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144) + coupl(&
                      nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl(nGC_151   &
                      ) + coupl(nGC_1495)*coupl(nGC_198) + coupl(nGC_171)*coupl&
                      (nGC_176) + coupl(nGC_172)*coupl(nGC_175) + coupl(nGC_179&
                      )*coupl(nGC_182) + coupl(nGC_183)*coupl(nGC_891) + coupl(&
                      nGC_194)*coupl(nGC_197))/(32d0*pi**2d0*Nc)
    coupl(nGC_14992) = coupl(nGC_14459) - coupl(nGC_14463)
    coupl(nGC_17597) = coupl(nGC_182)*dZtL_QED2/2d0 + coupl(nGC_182)*dZtR_QED2/&
                       2d0 + coupl(nGC_9494)
    coupl(nGC_9217) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_80)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_80)**2d0 +    &
                      12d0*cima*coupl(nGC_100)*coupl(nGC_1015) + 4d0*cima*coupl&
                      (nGC_1005)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*coupl(     &
                      nGC_1005)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*   &
                      coupl(nGC_1005)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*coupl(&
                      nGC_1005)**2d0*coupl(nGC_72)**2d0 + 4d0*cima*coupl(      &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68) +  &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_63)*  &
                      coupl(nGC_64) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*&
                      coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_1611)*coupl(nGC_69)**2d0 + 4d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_72)**2d0 + 8d0*cima* &
                      coupl(nGC_1005)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_69&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_2297)**2d0*coupl( &
                      nGC_68) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl( &
                      nGC_63)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(nGC_617)*  &
                      coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*   &
                      coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_72)**2d0 + 9d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_647)**2d0*coupl(nGC_68) + &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_655)**2d0*coupl(nGC_68&
                      ) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_807 &
                      )**2d0 - 16d0*cima*coupl(nGC_154)**2d0*coupl(nGC_80)**2d0&
                       + 4d0*cima*coupl(nGC_1611)*coupl(nGC_2297)**2d0*coupl(  &
                      nGC_64) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_617)*coupl( &
                      nGC_64)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1611)*coupl(  &
                      nGC_64)*coupl(nGC_647)**2d0 + 4d0*cima*coupl(nGC_1611)*  &
                      coupl(nGC_64)*coupl(nGC_655)**2d0 + 9d0*cima*coupl(      &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_807)**2d0 - 16d0*cima* &
                      coupl(nGC_162)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl( &
                      nGC_17)**2d0*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_17)**&
                      2d0*coupl(nGC_647)**2d0 + 18d0*cima*coupl(nGC_17)*coupl( &
                      nGC_3)*coupl(nGC_82)*coupl(nGC_96) + 18d0*cima*coupl(    &
                      nGC_17)*coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_96) +    &
                      12d0*cima*coupl(nGC_18)*coupl(nGC_923) - 16d0*cima*coupl(&
                      nGC_185)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl(       &
                      nGC_2297)**2d0*coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*  &
                      coupl(nGC_617)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*coupl( &
                      nGC_617)**2d0*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*    &
                      coupl(nGC_617)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*coupl( &
                      nGC_617)**2d0*coupl(nGC_72)**2d0 + 24d0*cima*coupl(nGC_62&
                      )*coupl(nGC_78) + 4d0*cima*coupl(nGC_63)**2d0*coupl(     &
                      nGC_871)**2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)*    &
                      coupl(nGC_871)**2d0 + 9d0*cima*coupl(nGC_647)**2d0*coupl(&
                      nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_655)**2d0*   &
                      coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_68)*   &
                      coupl(nGC_69)*coupl(nGC_871)**2d0 + 4d0*cima*coupl(nGC_69&
                      )**2d0*coupl(nGC_871)**2d0 + 8d0*cima*coupl(nGC_72)**2d0*&
                      coupl(nGC_871)**2d0 + 9d0*cima*coupl(nGC_72)*coupl(      &
                      nGC_807)**2d0*coupl(nGC_871) + 9d0*cima*coupl(nGC_807)** &
                      2d0*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_82)**2d0*    &
                      coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_83)*coupl(nGC_97&
                      ) + 36d0*coupl(nGC_100)*coupl(nGC_82)**2d0 + 6d0*coupl(  &
                      nGC_1005)*coupl(nGC_61)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1015)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_1391)*coupl(&
                      nGC_16)*coupl(nGC_807) - 6d0*coupl(nGC_1391)*coupl(      &
                      nGC_647)*coupl(nGC_70) - 6d0*coupl(nGC_1391)*coupl(nGC_68&
                      )*coupl(nGC_78) - 6d0*coupl(nGC_15)*coupl(nGC_1611)*coupl&
                      (nGC_807) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_807&
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl( &
                      nGC_1611)*coupl(nGC_647)*coupl(nGC_66) - 6d0*coupl(nGC_17&
                      )**2d0*coupl(nGC_923) - 12d0*coupl(nGC_17)*coupl(nGC_3)* &
                      coupl(nGC_62) - 12d0*coupl(nGC_17)*coupl(nGC_62)*coupl(  &
                      nGC_647) - 12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(nGC_96 &
                      ) + 36d0*coupl(nGC_18)*coupl(nGC_3)**2d0 - 6d0*coupl(    &
                      nGC_19)*coupl(nGC_72)*coupl(nGC_807) - 6d0*coupl(nGC_20)*&
                      coupl(nGC_807)*coupl(nGC_871) + 6d0*coupl(nGC_2297)**2d0*&
                      coupl(nGC_62) + 72d0*coupl(nGC_3)*coupl(nGC_82)*coupl(   &
                      nGC_97) + 6d0*coupl(nGC_61)*coupl(nGC_617)*coupl(nGC_69  &
                      ) + 36d0*coupl(nGC_62)*coupl(nGC_647)**2d0 + 6d0*coupl(  &
                      nGC_62)*coupl(nGC_655)**2d0 + 6d0*coupl(nGC_62)*coupl(   &
                      nGC_72)*coupl(nGC_871) + 36d0*coupl(nGC_62)*coupl(nGC_807&
                      )**2d0 - 12d0*coupl(nGC_62)*coupl(nGC_807)*coupl(nGC_96  &
                      ) - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_96) - 6d0*&
                      coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_66) - 6d0*coupl(  &
                      nGC_647)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(nGC_647 &
                      )*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_647)*coupl(&
                      nGC_74)*coupl(nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_78)*&
                      coupl(nGC_871))/(192d0*pi**2d0)
    coupl(nGC_16111) = -coupl(nGC_14769) + coupl(nGC_14774)
    coupl(nGC_14464) = -coupl(nGC_14459) + coupl(nGC_14463)
    coupl(nGC_29525) = -coupl(nGC_8896)
    coupl(nGC_13046) = coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*  &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/2d0 &
                        + coupl(nGC_27)*dZHhHl_QED2/2d0 + coupl(nGC_36)*       &
                       dZHMinus_QED2/2d0 + coupl(nGC_36)*dZHh_QED2/2d0 + coupl(&
                       nGC_36)*dZHl_QED2/2d0 + coupl(nGC_9313)
    coupl(nGC_17094) = coupl(nGC_136)*dZcL_QCD2/2d0 + coupl(nGC_136)*dZcR_QCD2/&
                       2d0 + coupl(nGC_9490)
    coupl(nGC_14908) = coupl(nGC_13595) + coupl(nGC_14905)
    coupl(nGC_15206) = -coupl(nGC_15197) - coupl(nGC_9513)
    coupl(nGC_9087) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl(   &
                      nGC_140) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_151)*&
                      coupl(nGC_152) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_175)*coupl(nGC_176) - 24d0*Nc*cima*coupl(nGC_135)*   &
                      coupl(nGC_136)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl(   &
                      nGC_182)*coupl(nGC_183)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*&
                      coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)**2d0 - 24d0*  &
                      cima*coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4)**2d0 -   &
                      24d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4)**2d0&
                       + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72)*coupl(      &
                      nGC_871) - 24d0*cima*coupl(nGC_190)*coupl(nGC_191)*coupl(&
                      nGC_4)**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72)*  &
                      coupl(nGC_871) + 12d0*cima*coupl(nGC_62)*coupl(nGC_923   &
                      ) + 9d0*cima*coupl(nGC_647)**2d0*coupl(nGC_72)*coupl(    &
                      nGC_871) + 4d0*cima*coupl(nGC_655)**2d0*coupl(nGC_72)*   &
                      coupl(nGC_871) + 6d0*coupl(nGC_18)*coupl(nGC_72)*coupl(  &
                      nGC_871) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0*   &
                      coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_73)*coupl(nGC_871) + 18d0*coupl(nGC_62)*&
                      coupl(nGC_647)**2d0 - 6d0*coupl(nGC_647)*coupl(nGC_72)*  &
                      coupl(nGC_73) - 6d0*coupl(nGC_647)*coupl(nGC_74)*coupl(  &
                      nGC_871) - 6d0*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_923&
                      ))/(96d0*pi**2d0)
    coupl(nGC_8808) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(      &
                      nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_178)*    &
                      coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                      nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_134)*coupl(nGC_135) + 2d0*Nc*cMC*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_136) + 2d0*Nc*cMC*coupl(nGC_131 &
                      )*coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMC*coupl(      &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 2d0*Nc*cMC*coupl&
                      (nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*    &
                      coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMD&
                      *coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_151) + 2d0*Nc*  &
                      cMD*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc&
                      *cMD*coupl(nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0* &
                      Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0&
                      *Nc*cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) +   &
                      2d0*Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                      ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(      &
                      nGC_175) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*    &
                      coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(nGC_135 &
                      )*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*coupl(      &
                      nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(nGC_170)*coupl&
                      (nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*coupl(nGC_138)*    &
                      coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc*cMT*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_182) + 2d0*Nc*cMT*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_183) + 2d0*Nc*cMT*coupl&
                      (nGC_140)*coupl(nGC_142)*coupl(nGC_181) + 2d0*Nc*cMT*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMT&
                      *coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*  &
                      cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_197) + 2d0*Nc&
                      *cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_198) + 2d0* &
                      Nc*cMU*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0&
                      *Nc*cMU*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) +   &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                      ) + 2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_159) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_160) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_167) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_168) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_190) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*  &
                      cima*coupl(nGC_126)*coupl(nGC_73) + coupl(nGC_1005)*coupl&
                      (nGC_116)*coupl(nGC_871) - coupl(nGC_102)*coupl(nGC_2059 &
                      )*coupl(nGC_63) - coupl(nGC_102)*coupl(nGC_68)*coupl(    &
                      nGC_683) - coupl(nGC_102)*coupl(nGC_871)*coupl(nGC_96) - &
                      coupl(nGC_107)*coupl(nGC_64)*coupl(nGC_94) - coupl(      &
                      nGC_107)*coupl(nGC_68)*coupl(nGC_91) + coupl(nGC_108)*   &
                      coupl(nGC_617)*coupl(nGC_871) + coupl(nGC_109)*coupl(    &
                      nGC_68)*coupl(nGC_871) + coupl(nGC_111)*coupl(nGC_2297)* &
                      coupl(nGC_683) + coupl(nGC_111)*coupl(nGC_2297)*coupl(   &
                      nGC_94) + coupl(nGC_111)*coupl(nGC_617)*coupl(nGC_72) +  &
                      coupl(nGC_112)*coupl(nGC_68)*coupl(nGC_72) + coupl(      &
                      nGC_115)*coupl(nGC_17)**2d0 + coupl(nGC_115)*coupl(nGC_72&
                      )**2d0 + coupl(nGC_115)*coupl(nGC_96)**2d0 + coupl(      &
                      nGC_117)*coupl(nGC_64)*coupl(nGC_871) + coupl(nGC_119)*  &
                      coupl(nGC_1611)*coupl(nGC_72) + coupl(nGC_119)*coupl(    &
                      nGC_2059)*coupl(nGC_2297) + coupl(nGC_119)*coupl(nGC_2297&
                      )*coupl(nGC_91) + coupl(nGC_120)*coupl(nGC_63)*coupl(    &
                      nGC_72) - coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_871))/( &
                      32d0*pi**2d0)
    coupl(nGC_8809) = (-4d0*Nc*coupl(nGC_134)**2d0*coupl(nGC_85) + 4d0*Nc*coupl&
                      (nGC_134)**2d0*coupl(nGC_87) + 4d0*Nc*coupl(nGC_138)**2d0&
                      *coupl(nGC_84) - 4d0*Nc*coupl(nGC_138)**2d0*coupl(nGC_88 &
                      ) + 4d0*Nc*coupl(nGC_150)**2d0*coupl(nGC_84) - 4d0*Nc*   &
                      coupl(nGC_150)**2d0*coupl(nGC_88) + 4d0*Nc*coupl(nGC_174 &
                      )**2d0*coupl(nGC_84) - 4d0*Nc*coupl(nGC_174)**2d0*coupl( &
                      nGC_88) - 4d0*Nc*coupl(nGC_181)**2d0*coupl(nGC_85) + 4d0*&
                      Nc*coupl(nGC_181)**2d0*coupl(nGC_87) - 4d0*Nc*coupl(     &
                      nGC_196)**2d0*coupl(nGC_85) + 4d0*Nc*coupl(nGC_196)**2d0*&
                      coupl(nGC_87) - 6d0*coupl(nGC_1005)*coupl(nGC_63)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_82 &
                      ) + 4d0*coupl(nGC_158)**2d0*coupl(nGC_86) - 4d0*coupl(   &
                      nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_1611)*coupl(     &
                      nGC_2059)*coupl(nGC_871) + 4d0*coupl(nGC_166)**2d0*coupl(&
                      nGC_86) - 4d0*coupl(nGC_166)**2d0*coupl(nGC_90) + 4d0*   &
                      coupl(nGC_189)**2d0*coupl(nGC_86) - 4d0*coupl(nGC_189)** &
                      2d0*coupl(nGC_90) + coupl(nGC_2297)**2d0*coupl(nGC_96) + &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_871) + coupl(    &
                      nGC_64)*coupl(nGC_72)*coupl(nGC_91) + coupl(nGC_655)**2d0&
                      *coupl(nGC_96) + coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94&
                      ) - 6d0*coupl(nGC_72)*coupl(nGC_82)*coupl(nGC_871))/(96d0&
                      *pi**2d0)
    coupl(nGC_8778) = (-6d0*coupl(nGC_1391)*coupl(nGC_647)*coupl(nGC_72) +     &
                      coupl(nGC_17)*coupl(nGC_69)*coupl(nGC_871) - 6d0*coupl(  &
                      nGC_3)*coupl(nGC_617)*coupl(nGC_72) + coupl(nGC_655)*    &
                      coupl(nGC_68)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_8779) = (-6d0*coupl(nGC_1005)*coupl(nGC_3)*coupl(nGC_72) - 6d0*  &
                      coupl(nGC_1611)*coupl(nGC_647)*coupl(nGC_72) + coupl(    &
                      nGC_17)*coupl(nGC_63)*coupl(nGC_871) + coupl(nGC_64)*    &
                      coupl(nGC_655)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_8806) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)**2d0 + 4d0*Nc* &
                      cMB*coupl(nGC_137)*coupl(nGC_181)**2d0 + 4d0*Nc*cMB*coupl&
                      (nGC_138)*coupl(nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*    &
                      coupl(nGC_133)*coupl(nGC_134)**2d0 + 4d0*Nc*cMC*coupl(   &
                      nGC_133)*coupl(nGC_174)**2d0 + 4d0*Nc*cMC*coupl(nGC_134)*&
                      coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMD*coupl(nGC_149 &
                      )*coupl(nGC_150)**2d0 + 4d0*Nc*cMD*coupl(nGC_149)*coupl( &
                      nGC_196)**2d0 + 4d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_195)*&
                      coupl(nGC_196) + 4d0*Nc*cMS*coupl(nGC_133)*coupl(nGC_134 &
                      )*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_134)**2d0*coupl( &
                      nGC_173) + 4d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_174)**2d0 &
                       + 4d0*Nc*cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181&
                      ) + 4d0*Nc*cMT*coupl(nGC_138)**2d0*coupl(nGC_180) + 4d0* &
                      Nc*cMT*coupl(nGC_180)*coupl(nGC_181)**2d0 + 4d0*Nc*cMU*  &
                      coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_196) + 4d0*Nc*cMU&
                      *coupl(nGC_150)**2d0*coupl(nGC_195) + 4d0*Nc*cMU*coupl(  &
                      nGC_195)*coupl(nGC_196)**2d0 + 4d0*cME*coupl(nGC_157)*   &
                      coupl(nGC_158)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(      &
                      nGC_166)**2d0 + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_189)** &
                      2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_129) + 8d0*cima* &
                      coupl(nGC_107)*coupl(nGC_16) + 4d0*cima*coupl(nGC_125)*  &
                      coupl(nGC_62) + 8d0*cima*coupl(nGC_127)*coupl(nGC_70) +  &
                      coupl(nGC_1005)*coupl(nGC_108)*coupl(nGC_617) + coupl(   &
                      nGC_1005)*coupl(nGC_111)*coupl(nGC_68) + coupl(nGC_1005)*&
                      coupl(nGC_114)*coupl(nGC_871) + 2d0*coupl(nGC_1005)*coupl&
                      (nGC_119)*coupl(nGC_63) - coupl(nGC_1005)*coupl(nGC_125)*&
                      coupl(nGC_63) + coupl(nGC_103)*coupl(nGC_1611)*coupl(    &
                      nGC_69) + coupl(nGC_103)*coupl(nGC_617)*coupl(nGC_64) +  &
                      coupl(nGC_105)*coupl(nGC_617)*coupl(nGC_69) + coupl(     &
                      nGC_106)*coupl(nGC_1611)*coupl(nGC_64) - coupl(nGC_107)* &
                      coupl(nGC_2297)*coupl(nGC_617) - coupl(nGC_107)*coupl(   &
                      nGC_2297)*coupl(nGC_69) - coupl(nGC_107)*coupl(nGC_683)* &
                      coupl(nGC_72) - coupl(nGC_107)*coupl(nGC_871)*coupl(     &
                      nGC_94) + coupl(nGC_108)*coupl(nGC_63)*coupl(nGC_69) +   &
                      coupl(nGC_111)*coupl(nGC_1391)*coupl(nGC_63) + coupl(    &
                      nGC_115)*coupl(nGC_63)*coupl(nGC_72) + coupl(nGC_116)*   &
                      coupl(nGC_1391)*coupl(nGC_617) + coupl(nGC_116)*coupl(   &
                      nGC_2297)**2d0 + coupl(nGC_116)*coupl(nGC_655)**2d0 +    &
                      coupl(nGC_116)*coupl(nGC_68)*coupl(nGC_69) + coupl(      &
                      nGC_117)*coupl(nGC_72)*coupl(nGC_871) - coupl(nGC_125)*  &
                      coupl(nGC_1391)*coupl(nGC_68) - coupl(nGC_125)*coupl(    &
                      nGC_72)*coupl(nGC_871) - coupl(nGC_127)*coupl(nGC_617)*  &
                      coupl(nGC_655) - coupl(nGC_127)*coupl(nGC_655)*coupl(    &
                      nGC_69) - coupl(nGC_129)*coupl(nGC_96)**2d0)/(32d0*pi**  &
                      2d0)
    coupl(nGC_8771) = (coupl(nGC_1391)*coupl(nGC_655)*coupl(nGC_871) + coupl(  &
                      nGC_17)*coupl(nGC_617)*coupl(nGC_871) - 6d0*coupl(nGC_3)*&
                      coupl(nGC_69)*coupl(nGC_72) - 6d0*coupl(nGC_647)*coupl(  &
                      nGC_68)*coupl(nGC_72))/(96d0*pi**2d0)
    coupl(nGC_17091) = coupl(nGC_135)*dZcL_QED2/2d0 + coupl(nGC_135)*dZcR_QED2/&
                       2d0 + coupl(nGC_9491)
    coupl(nGC_9086) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl(nGC_143 &
                      ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_140)*coupl(nGC_144) - &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_147)*coupl(nGC_152) - Nc* &
                      coupl(nGC_1)**2d0*coupl(nGC_148)*coupl(nGC_151) - Nc*    &
                      coupl(nGC_1)**2d0*coupl(nGC_171)*coupl(nGC_176) - Nc*    &
                      coupl(nGC_1)**2d0*coupl(nGC_172)*coupl(nGC_175) - Nc*    &
                      coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_2)**2d0 - Nc*    &
                      coupl(nGC_136)*coupl(nGC_2)**2d0*coupl(nGC_843) - Nc*    &
                      coupl(nGC_1495)*coupl(nGC_198)*coupl(nGC_2)**2d0 - Nc*   &
                      coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_2)**2d0 - Nc*    &
                      coupl(nGC_183)*coupl(nGC_2)**2d0*coupl(nGC_891) - Nc*    &
                      coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_2)**2d0 - coupl( &
                      nGC_155)*coupl(nGC_160)*coupl(nGC_4)**2d0 - coupl(nGC_156&
                      )*coupl(nGC_159)*coupl(nGC_4)**2d0 - coupl(nGC_163)*coupl&
                      (nGC_168)*coupl(nGC_4)**2d0 - coupl(nGC_164)*coupl(      &
                      nGC_167)*coupl(nGC_4)**2d0 - coupl(nGC_186)*coupl(nGC_191&
                      )*coupl(nGC_4)**2d0 - coupl(nGC_187)*coupl(nGC_190)*coupl&
                      (nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_32144) = -coupl(nGC_8770)
    coupl(nGC_14486) = -coupl(nGC_14485)
    coupl(nGC_9058) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_132)* &
                      coupl(nGC_843) + coupl(nGC_133)**2d0 + coupl(nGC_135)*   &
                      coupl(nGC_136) + coupl(nGC_170)**2d0 + coupl(nGC_174)**  &
                      2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)**2d0 +   &
                      4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9059) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_131)**&
                      2d0 + coupl(nGC_132)*coupl(nGC_843) + coupl(nGC_133)**2d0&
                       + coupl(nGC_134)**2d0 + coupl(nGC_135)*coupl(nGC_136) + &
                      4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)**2d0)/(64d0*pi &
                      **2d0*Nc)
    coupl(nGC_30372) = -coupl(nGC_8774)
    coupl(nGC_30370) = -coupl(nGC_8841)
    coupl(nGC_19689) = coupl(nGC_13595) + coupl(nGC_19687)
    coupl(nGC_19688) = coupl(nGC_13595) + coupl(nGC_19686)
    coupl(nGC_24259) = coupl(nGC_24254) + coupl(nGC_9639)
    coupl(nGC_24257) = coupl(nGC_9638) + coupl(nGC_TS_GC_192_Hl) + coupl(      &
                       nGC_TS_GC_195_Hh)
    coupl(nGC_9229) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)**2d0*coupl(  &
                      nGC_133) + 80d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                      coupl(nGC_133)*coupl(nGC_843) + 20d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_133)*coupl(nGC_843)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_143)**2d0 + &
                      80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_143 &
                      )*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_141)*coupl(nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145&
                      )*coupl(nGC_147)**2d0*coupl(nGC_149) + 80d0*Nc*cima*coupl&
                      (nGC_145)*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_149) + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_148)**2d0*coupl(   &
                      nGC_149) + 20d0*Nc*cima*coupl(nGC_1495)**2d0*coupl(      &
                      nGC_192)*coupl(nGC_195) + 80d0*Nc*cima*coupl(nGC_1495)*  &
                      coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_195) + 20d0*Nc*  &
                      cima*coupl(nGC_169)*coupl(nGC_171)**2d0*coupl(nGC_173) + &
                      80d0*Nc*cima*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_172 &
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_172)**2d0*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_177&
                      )*coupl(nGC_179)**2d0*coupl(nGC_180) + 80d0*Nc*cima*coupl&
                      (nGC_177)*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_891) + &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_891 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_194)**2d0*&
                      coupl(nGC_195) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_617)*&
                      coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_1005)*coupl(     &
                      nGC_68)*coupl(nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871) -   &
                      5d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_72)** &
                      2d0 - 5d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_72&
                      )*coupl(nGC_871) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_64&
                      )*coupl(nGC_72)*coupl(nGC_871) + 20d0*cima*coupl(nGC_153 &
                      )*coupl(nGC_155)**2d0*coupl(nGC_157) + 80d0*cima*coupl(  &
                      nGC_153)*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_157) +  &
                      20d0*cima*coupl(nGC_153)*coupl(nGC_156)**2d0*coupl(      &
                      nGC_157) + 20d0*cima*coupl(nGC_161)*coupl(nGC_163)**2d0* &
                      coupl(nGC_165) + 80d0*cima*coupl(nGC_161)*coupl(nGC_163)*&
                      coupl(nGC_164)*coupl(nGC_165) + 20d0*cima*coupl(nGC_161)*&
                      coupl(nGC_164)**2d0*coupl(nGC_165) - 10d0*cima*coupl(    &
                      nGC_1611)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) -   &
                      5d0*cima*coupl(nGC_1611)*coupl(nGC_69)*coupl(nGC_72)*    &
                      coupl(nGC_871) - 5d0*cima*coupl(nGC_1671)**2d0*coupl(    &
                      nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1671)*coupl(  &
                      nGC_2059)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(  &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_92) -   &
                      5d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)**  &
                      2d0 - 5d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(     &
                      nGC_94)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(nGC_186)** &
                      2d0*coupl(nGC_188) + 80d0*cima*coupl(nGC_184)*coupl(     &
                      nGC_186)*coupl(nGC_187)*coupl(nGC_188) + 20d0*cima*coupl(&
                      nGC_184)*coupl(nGC_187)**2d0*coupl(nGC_188) - 5d0*cima*  &
                      coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_94)**2d0 - 10d0*&
                      cima*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_72)*coupl(   &
                      nGC_871) - 5d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(  &
                      nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_63)*coupl(   &
                      nGC_69)*coupl(nGC_871)**2d0 - 5d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_68)*coupl(nGC_871)**2d0 - 5d0*cima*coupl(      &
                      nGC_683)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*    &
                      coupl(nGC_683)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_10)*coupl(nGC_1671)*coupl(nGC_92) + 6d0*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_42) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_48)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_50)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_56)*coupl(nGC_68) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_1671)*coupl(nGC_94) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_13)*coupl(  &
                      nGC_1671)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(nGC_683&
                      )*coupl(nGC_92) + 3d0*coupl(nGC_1391)*coupl(nGC_40)*coupl&
                      (nGC_871) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(     &
                      nGC_63) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_64 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_49)*coupl(nGC_871) +   &
                      3d0*coupl(nGC_1611)*coupl(nGC_50)*coupl(nGC_68) + 3d0*   &
                      coupl(nGC_1611)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl( &
                      nGC_1671)**2d0*coupl(nGC_26) + 3d0*coupl(nGC_1671)*coupl(&
                      nGC_2059)*coupl(nGC_29) + 3d0*coupl(nGC_1671)*coupl(     &
                      nGC_31)*coupl(nGC_683) + 3d0*coupl(nGC_1671)*coupl(nGC_37&
                      )*coupl(nGC_683) + 3d0*coupl(nGC_1671)*coupl(nGC_38)*    &
                      coupl(nGC_683) + 3d0*coupl(nGC_2059)*coupl(nGC_37)*coupl(&
                      nGC_683) + 3d0*coupl(nGC_2059)*coupl(nGC_46)*coupl(nGC_92&
                      ) + 3d0*coupl(nGC_2059)*coupl(nGC_59)*coupl(nGC_94) + 6d0&
                      *coupl(nGC_22)*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl( &
                      nGC_26)*coupl(nGC_683)**2d0 + 3d0*coupl(nGC_26)*coupl(   &
                      nGC_92)**2d0 + 3d0*coupl(nGC_26)*coupl(nGC_94)**2d0 + 3d0&
                      *coupl(nGC_28)*coupl(nGC_683)**2d0 + 3d0*coupl(nGC_28)*  &
                      coupl(nGC_94)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_91)*    &
                      coupl(nGC_92) + 3d0*coupl(nGC_31)*coupl(nGC_92)*coupl(   &
                      nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94   &
                      ) + 3d0*coupl(nGC_37)*coupl(nGC_92)*coupl(nGC_94) + 3d0* &
                      coupl(nGC_38)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(   &
                      nGC_40)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_41)* &
                      coupl(nGC_617)*coupl(nGC_871) + 3d0*coupl(nGC_41)*coupl( &
                      nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_68)**&
                      2d0 + 3d0*coupl(nGC_42)*coupl(nGC_69)**2d0 + 3d0*coupl(  &
                      nGC_46)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_48)*&
                      coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(   &
                      nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_52)*coupl(nGC_683)*&
                      coupl(nGC_92) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl(  &
                      nGC_63) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_64  &
                      ) + 3d0*coupl(nGC_683)*coupl(nGC_9)*coupl(nGC_94))/(96d0*&
                      pi**2d0)
    coupl(nGC_14762) = coupl(nGC_102)*dZHMinus_QED2/2d0 + coupl(nGC_102)*      &
                       dZWMinus_QED2/2d0 + coupl(nGC_102)*dZZ_QED2/2d0 + coupl(&
                       nGC_107)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_126)*      &
                       dZAZ_QED2/2d0 + coupl(nGC_9382) + coupl(nGC_TS_GC_15_Hh &
                       ) + coupl(nGC_TS_GC_16_Hl)
    coupl(nGC_17569) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZuR_QED2 +  &
                       coupl(nGC_9395)
    coupl(nGC_9223) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(nGC_2297)*   &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*&
                      coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_2059)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_617)*coupl(    &
                      nGC_63) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_617)*coupl( &
                      nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_63)*coupl(nGC_683)*coupl(nGC_72) + 9d0*cima*coupl(   &
                      nGC_1391)*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_807) + 4d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_2059)**2d0*coupl(nGC_2297&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_2297)*coupl(      &
                      nGC_683)**2d0 + 9d0*cima*coupl(nGC_1391)*coupl(nGC_807)* &
                      coupl(nGC_82)*coupl(nGC_96) + 20d0*cima*coupl(nGC_153)*  &
                      coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79   &
                      ) + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_162 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161)*&
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_2297)*coupl(   &
                      nGC_683) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_2059)*coupl&
                      (nGC_2297)*coupl(nGC_683) + 4d0*cima*coupl(nGC_1671)*    &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72) + 20d0*cima*   &
                      coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_2297)*&
                      coupl(nGC_63)**2d0*coupl(nGC_68) + 4d0*cima*coupl(       &
                      nGC_2297)*coupl(nGC_68)*coupl(nGC_69)**2d0 + 4d0*cima*   &
                      coupl(nGC_2297)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*  &
                      cima*coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_871)*coupl(&
                      nGC_96) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                      nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(nGC_68)*coupl(    &
                      nGC_683)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(   &
                      nGC_68)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94) + 24d0*&
                      cima*coupl(nGC_70)*coupl(nGC_953) + 9d0*cima*coupl(      &
                      nGC_807)*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_94) - 6d0&
                      *coupl(nGC_100)*coupl(nGC_1391)*coupl(nGC_82) + 6d0*coupl&
                      (nGC_1005)*coupl(nGC_14)*coupl(nGC_69) + 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_16)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_17)*coupl(nGC_953) - 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_3)*coupl(nGC_97) - 6d0*coupl(nGC_1391&
                      )*coupl(nGC_61)*coupl(nGC_82) - 6d0*coupl(nGC_1391)*coupl&
                      (nGC_62)*coupl(nGC_807) - 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_79)*coupl(nGC_96) - 6d0*coupl(nGC_1391)*coupl(nGC_807&
                      )*coupl(nGC_99) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl( &
                      nGC_68) - 6d0*coupl(nGC_16)*coupl(nGC_17)*coupl(nGC_3) + &
                      6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_69) + 36d0*    &
                      coupl(nGC_16)*coupl(nGC_807)*coupl(nGC_82) - 6d0*coupl(  &
                      nGC_16)*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_19)* &
                      coupl(nGC_2297)*coupl(nGC_683) + 6d0*coupl(nGC_19)*coupl(&
                      nGC_68)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_807)*&
                      coupl(nGC_94) + 36d0*coupl(nGC_647)*coupl(nGC_70)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_79)*coupl(nGC_871)*coupl(nGC_94  &
                      ))/(192d0*pi**2d0)
    coupl(nGC_9222) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_2297)*   &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*&
                      coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_1671)*coupl(nGC_2297)*coupl(nGC_683) + 4d0*cima&
                      *coupl(nGC_1391)*coupl(nGC_2059)*coupl(nGC_2297)*coupl(  &
                      nGC_683) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_2059)*coupl&
                      (nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1391)*coupl( &
                      nGC_2297)*coupl(nGC_617)*coupl(nGC_63) + 4d0*cima*coupl( &
                      nGC_1391)*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_92) +   &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_683)*   &
                      coupl(nGC_72) + 24d0*cima*coupl(nGC_15)*coupl(nGC_79) +  &
                      20d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(nGC_157)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*  &
                      coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_1671)**2d0*coupl(nGC_2297) +   &
                      9d0*cima*coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_3)*coupl&
                      (nGC_807) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_2297)*    &
                      coupl(nGC_683)**2d0 + 9d0*cima*coupl(nGC_1611)*coupl(    &
                      nGC_807)*coupl(nGC_82)*coupl(nGC_96) + 20d0*cima*coupl(  &
                      nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*coupl(nGC_165)* &
                      coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1671)*  &
                      coupl(nGC_2297)*coupl(nGC_871)*coupl(nGC_96) + 4d0*cima* &
                      coupl(nGC_1671)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72 &
                      ) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*&
                      coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_2297)*coupl(nGC_63)**2d0*coupl(nGC_64) + 4d0*  &
                      cima*coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_69)**2d0 +  &
                      4d0*cima*coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_72)**2d0&
                       + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72)*   &
                      coupl(nGC_92) + 4d0*cima*coupl(nGC_64)*coupl(nGC_683)*   &
                      coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94) + 24d0*cima*   &
                      coupl(nGC_66)*coupl(nGC_953) + 9d0*cima*coupl(nGC_807)*  &
                      coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_92) - 6d0*coupl(  &
                      nGC_100)*coupl(nGC_1611)*coupl(nGC_82) + 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_14)*coupl(nGC_69) + 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_16)*coupl(nGC_63) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_15)*coupl(  &
                      nGC_63)*coupl(nGC_64) + 36d0*coupl(nGC_15)*coupl(nGC_807 &
                      )*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_82)*coupl( &
                      nGC_96) + 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_69   &
                      ) - 6d0*coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_953) -   &
                      6d0*coupl(nGC_1611)*coupl(nGC_3)*coupl(nGC_97) - 6d0*    &
                      coupl(nGC_1611)*coupl(nGC_61)*coupl(nGC_82) - 6d0*coupl( &
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_807) - 6d0*coupl(      &
                      nGC_1611)*coupl(nGC_79)*coupl(nGC_96) - 6d0*coupl(       &
                      nGC_1611)*coupl(nGC_807)*coupl(nGC_99) + 6d0*coupl(      &
                      nGC_1671)*coupl(nGC_19)*coupl(nGC_2297) + 6d0*coupl(     &
                      nGC_19)*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_19)* &
                      coupl(nGC_807)*coupl(nGC_92) + 36d0*coupl(nGC_647)*coupl(&
                      nGC_66)*coupl(nGC_82) - 6d0*coupl(nGC_79)*coupl(nGC_871)*&
                      coupl(nGC_92))/(192d0*pi**2d0)
    coupl(nGC_9225) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_1671)**2d0*coupl(nGC_96  &
                      ) + 9d0*cima*coupl(nGC_1005)*coupl(nGC_2297)*coupl(      &
                      nGC_807)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_617)*coupl(nGC_68)*coupl(nGC_96) + 4d0*cima*coupl(   &
                      nGC_1005)*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_94) +   &
                      9d0*cima*coupl(nGC_1005)*coupl(nGC_647)*coupl(nGC_655)*  &
                      coupl(nGC_82) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_683)**&
                      2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_1391)*coupl(      &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_96) + 4d0*cima*coupl(   &
                      nGC_1391)*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_92) +   &
                      24d0*cima*coupl(nGC_15)*coupl(nGC_79) + 20d0*cima*coupl( &
                      nGC_154)*coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_157)* &
                      coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_162)*  &
                      coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 4d0*cima*coupl(nGC_1671)*coupl(nGC_2297&
                      )*coupl(nGC_871)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1671 &
                      )*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_96) + 4d0*cima*&
                      coupl(nGC_1671)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72 &
                      ) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*&
                      coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_68)*coupl(nGC_72&
                      ) + 4d0*cima*coupl(nGC_2059)*coupl(nGC_617)*coupl(nGC_683&
                      )*coupl(nGC_96) + 4d0*cima*coupl(nGC_617)*coupl(nGC_64)* &
                      coupl(nGC_683)*coupl(nGC_72) + 4d0*cima*coupl(nGC_63)*   &
                      coupl(nGC_64)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_63 &
                      )*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_68)**2d0*coupl(nGC_96) + 4d0*cima&
                      *coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_72 &
                      ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*  &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(nGC_72)**2d0&
                      *coupl(nGC_96) + 24d0*cima*coupl(nGC_66)*coupl(nGC_953   &
                      ) + 9d0*cima*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_871)*&
                      coupl(nGC_92) - 6d0*coupl(nGC_100)*coupl(nGC_1005)*coupl(&
                      nGC_807) - 6d0*coupl(nGC_1005)*coupl(nGC_2297)*coupl(    &
                      nGC_79) - 6d0*coupl(nGC_1005)*coupl(nGC_61)*coupl(nGC_807&
                      ) - 6d0*coupl(nGC_1005)*coupl(nGC_62)*coupl(nGC_82) - 6d0&
                      *coupl(nGC_1005)*coupl(nGC_647)*coupl(nGC_97) - 6d0*coupl&
                      (nGC_1005)*coupl(nGC_655)*coupl(nGC_953) - 6d0*coupl(    &
                      nGC_1005)*coupl(nGC_82)*coupl(nGC_99) + 6d0*coupl(nGC_14 &
                      )*coupl(nGC_617)*coupl(nGC_68) - 6d0*coupl(nGC_15)*coupl(&
                      nGC_2297)*coupl(nGC_807) + 6d0*coupl(nGC_15)*coupl(nGC_63&
                      )*coupl(nGC_64) - 6d0*coupl(nGC_15)*coupl(nGC_647)*coupl(&
                      nGC_655) + 36d0*coupl(nGC_15)*coupl(nGC_807)*coupl(nGC_82&
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_617)*coupl(nGC_64) + 6d0*&
                      coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(   &
                      nGC_1671)*coupl(nGC_20)*coupl(nGC_96) + 6d0*coupl(nGC_20 &
                      )*coupl(nGC_63)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl( &
                      nGC_82)*coupl(nGC_92) + 36d0*coupl(nGC_3)*coupl(nGC_66)* &
                      coupl(nGC_807) - 6d0*coupl(nGC_79)*coupl(nGC_871)*coupl( &
                      nGC_92))/(192d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
