!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl36()
    coupl(nGC_14268) = coupl(nGC_13928) + coupl(nGC_14266)
    coupl(nGC_9117) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_133 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_173)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(&
                      nGC_180)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_195)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                      )*coupl(nGC_173)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611&
                      )*coupl(nGC_655)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1391 &
                      )*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_655) + 24d0*cima&
                      *coupl(nGC_15)*coupl(nGC_953) + 4d0*cima*coupl(nGC_154)* &
                      coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*    &
                      coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_647 &
                      ) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_647)*coupl(nGC_82 &
                      )*coupl(nGC_96) + 4d0*cima*coupl(nGC_162)*coupl(nGC_165)*&
                      coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_1671)*   &
                      coupl(nGC_17)*coupl(nGC_2297)*coupl(nGC_871) + 4d0*cima* &
                      coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_807)*coupl(nGC_871)* &
                      coupl(nGC_92) + 24d0*cima*coupl(nGC_5)*coupl(nGC_66) +   &
                      4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_64)*coupl(nGC_655  &
                      ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_655)*coupl(nGC_69)**&
                      2d0 + 4d0*cima*coupl(nGC_64)*coupl(nGC_655)*coupl(nGC_72 &
                      )**2d0 + 6d0*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_70  &
                      ) + 6d0*coupl(nGC_1391)*coupl(nGC_65)*coupl(nGC_69) +    &
                      36d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_807) - 6d0*    &
                      coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_5) - 6d0*coupl(  &
                      nGC_1611)*coupl(nGC_18)*coupl(nGC_3) - 6d0*coupl(nGC_1611&
                      )*coupl(nGC_3)*coupl(nGC_61) - 6d0*coupl(nGC_1611)*coupl(&
                      nGC_62)*coupl(nGC_647) - 6d0*coupl(nGC_1611)*coupl(nGC_82&
                      )*coupl(nGC_97) - 6d0*coupl(nGC_1611)*coupl(nGC_953)*    &
                      coupl(nGC_96) + 6d0*coupl(nGC_1671)*coupl(nGC_2297)*coupl&
                      (nGC_73) - 6d0*coupl(nGC_2297)*coupl(nGC_66)*coupl(      &
                      nGC_807) + 36d0*coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_66 &
                      ) + 6d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_66) + 6d0* &
                      coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_70) + 6d0*coupl(   &
                      nGC_64)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_647)*&
                      coupl(nGC_655)*coupl(nGC_66) - 6d0*coupl(nGC_73)*coupl(  &
                      nGC_807)*coupl(nGC_92) - 6d0*coupl(nGC_871)*coupl(nGC_92 &
                      )*coupl(nGC_953))/(192d0*pi**2d0)
    coupl(nGC_9116) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(    &
                      nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0* &
                      coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142  &
                      )**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_142)**2d0*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_146)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_88) - 16d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_170)**2d0*coupl(nGC_84) + 10d0*Nc*&
                      cima*coupl(nGC_1)*coupl(nGC_170)**2d0*coupl(nGC_88) +    &
                      10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)**2d0*coupl(     &
                      nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)**2d0* &
                      coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193  &
                      )**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_193)**2d0*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_131 &
                      )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(  &
                      nGC_131)**2d0*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc*cima* &
                      coupl(nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*&
                      cima*coupl(nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_88) +    &
                      10d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_84) - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_2)* &
                      coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_170)**2d0*coupl(  &
                      nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)**2d0* &
                      coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_178  &
                      )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(  &
                      nGC_178)**2d0*coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima* &
                      coupl(nGC_193)**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*&
                      cima*coupl(nGC_193)**2d0*coupl(nGC_2)*coupl(nGC_87) + 9d0&
                      *cima*coupl(nGC_1391)*coupl(nGC_3)*coupl(nGC_68)*coupl(  &
                      nGC_82) - 16d0*cima*coupl(nGC_154)**2d0*coupl(nGC_4)*    &
                      coupl(nGC_86) + 10d0*cima*coupl(nGC_154)**2d0*coupl(nGC_4&
                      )*coupl(nGC_90) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_3)* &
                      coupl(nGC_64)*coupl(nGC_82) - 16d0*cima*coupl(nGC_162)** &
                      2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_162 &
                      )**2d0*coupl(nGC_4)*coupl(nGC_90) + 4d0*cima*coupl(nGC_17&
                      )*coupl(nGC_2297)**2d0*coupl(nGC_96) + 4d0*cima*coupl(   &
                      nGC_17)*coupl(nGC_655)**2d0*coupl(nGC_96) - 16d0*cima*   &
                      coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0*   &
                      cima*coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(nGC_90) + 9d0&
                      *cima*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_82)*coupl(    &
                      nGC_871) + 12d0*cima*coupl(nGC_62)*coupl(nGC_83) - 3d0*  &
                      coupl(nGC_1391)*coupl(nGC_16)*coupl(nGC_3) - 3d0*coupl(  &
                      nGC_1391)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_15 &
                      )*coupl(nGC_1611)*coupl(nGC_3) - 3d0*coupl(nGC_15)*coupl(&
                      nGC_3)*coupl(nGC_64) - 3d0*coupl(nGC_16)*coupl(nGC_3)*   &
                      coupl(nGC_68) - 3d0*coupl(nGC_1611)*coupl(nGC_64)*coupl( &
                      nGC_83) - 3d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_72) - &
                      3d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_871) + 3d0*coupl&
                      (nGC_2297)**2d0*coupl(nGC_97) + 18d0*coupl(nGC_3)*coupl( &
                      nGC_62)*coupl(nGC_82) + 18d0*coupl(nGC_62)*coupl(nGC_647 &
                      )*coupl(nGC_807) - 3d0*coupl(nGC_63)*coupl(nGC_66)*coupl(&
                      nGC_807) - 3d0*coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_82  &
                      ) + 3d0*coupl(nGC_655)**2d0*coupl(nGC_97) - 3d0*coupl(   &
                      nGC_68)*coupl(nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_69)* &
                      coupl(nGC_70)*coupl(nGC_807) - 3d0*coupl(nGC_72)*coupl(  &
                      nGC_73)*coupl(nGC_82) - 3d0*coupl(nGC_72)*coupl(nGC_74)* &
                      coupl(nGC_807) - 3d0*coupl(nGC_72)*coupl(nGC_83)*coupl(  &
                      nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9115) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80)*&
                      coupl(nGC_843) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*&
                      coupl(nGC_144)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80) - 16d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_1495)*coupl(nGC_193)*coupl(  &
                      nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl( &
                      nGC_171)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_178)*coupl(nGC_80)*coupl(nGC_891) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_2)*coupl(nGC_80)*coupl(nGC_843) -    &
                      16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147&
                      )*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1495&
                      )*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*   &
                      cima*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_2)*coupl(   &
                      nGC_80) + 4d0*Nc*cima*coupl(nGC_178)*coupl(nGC_2)*coupl( &
                      nGC_80)*coupl(nGC_891) + 4d0*cima*coupl(nGC_1391)*coupl( &
                      nGC_17)*coupl(nGC_2297)*coupl(nGC_94) + 9d0*cima*coupl(  &
                      nGC_1391)*coupl(nGC_3)*coupl(nGC_683)*coupl(nGC_807) +   &
                      4d0*cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_4)*coupl&
                      (nGC_80) + 9d0*cima*coupl(nGC_1611)*coupl(nGC_1671)*coupl&
                      (nGC_3)*coupl(nGC_807) + 4d0*cima*coupl(nGC_1611)*coupl( &
                      nGC_17)*coupl(nGC_2297)*coupl(nGC_92) + 4d0*cima*coupl(  &
                      nGC_162)*coupl(nGC_163)*coupl(nGC_4)*coupl(nGC_80) + 9d0*&
                      cima*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_647)*coupl(    &
                      nGC_871) + 4d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl( &
                      nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_19)*coupl(    &
                      nGC_953) + 24d0*cima*coupl(nGC_5)*coupl(nGC_73) + 4d0*   &
                      cima*coupl(nGC_63)**2d0*coupl(nGC_655)*coupl(nGC_72) +   &
                      9d0*cima*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_871)*    &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_655)*coupl(nGC_69)**  &
                      2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_655)*coupl(nGC_72 &
                      )**3d0 - 6d0*coupl(nGC_1391)*coupl(nGC_683)*coupl(nGC_953&
                      ) - 6d0*coupl(nGC_1611)*coupl(nGC_1671)*coupl(nGC_953) - &
                      6d0*coupl(nGC_1671)*coupl(nGC_66)*coupl(nGC_807) - 6d0*  &
                      coupl(nGC_17)*coupl(nGC_5)*coupl(nGC_871) - 6d0*coupl(   &
                      nGC_18)*coupl(nGC_3)*coupl(nGC_871) + 36d0*coupl(nGC_19)*&
                      coupl(nGC_3)*coupl(nGC_807) + 6d0*coupl(nGC_2297)*coupl( &
                      nGC_66)*coupl(nGC_92) + 6d0*coupl(nGC_2297)*coupl(nGC_70 &
                      )*coupl(nGC_94) - 6d0*coupl(nGC_2297)*coupl(nGC_73)*coupl&
                      (nGC_807) - 6d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_871 &
                      ) + 36d0*coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_73) - 6d0*&
                      coupl(nGC_62)*coupl(nGC_647)*coupl(nGC_871) + 6d0*coupl( &
                      nGC_63)*coupl(nGC_66)*coupl(nGC_72) - 6d0*coupl(nGC_647)*&
                      coupl(nGC_655)*coupl(nGC_73) - 6d0*coupl(nGC_683)*coupl( &
                      nGC_70)*coupl(nGC_807) + 6d0*coupl(nGC_69)*coupl(nGC_70)*&
                      coupl(nGC_72) + 6d0*coupl(nGC_72)**2d0*coupl(nGC_73) -   &
                      6d0*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_97) - 6d0*    &
                      coupl(nGC_871)*coupl(nGC_953)*coupl(nGC_96))/(192d0*pi** &
                      2d0)
    coupl(nGC_9114) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140 &
                      )*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139&
                      )*coupl(nGC_140)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_84) - 12d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                      nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_175)*coupl(&
                      nGC_176)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_175)*coupl(nGC_176)*coupl(nGC_87) - 12d0*Nc*cima*    &
                      coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_85  &
                      ) - 12d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                      nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_182)*coupl(&
                      nGC_183)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(&
                      nGC_182)*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_88) - 12d0&
                      *Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*coupl&
                      (nGC_85) - 12d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*   &
                      coupl(nGC_2)*coupl(nGC_88) - 12d0*cima*coupl(nGC_159)*   &
                      coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*   &
                      coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_89  &
                      ) - 12d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4)*&
                      coupl(nGC_86) - 12d0*cima*coupl(nGC_167)*coupl(nGC_168)* &
                      coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_17)*coupl&
                      (nGC_72)*coupl(nGC_871)*coupl(nGC_96) - 12d0*cima*coupl( &
                      nGC_190)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_86) - 12d0&
                      *cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4)*coupl(  &
                      nGC_89) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_655)*coupl( &
                      nGC_72)*coupl(nGC_871) + 9d0*cima*coupl(nGC_3)*coupl(    &
                      nGC_72)*coupl(nGC_82)*coupl(nGC_871) + 12d0*cima*coupl(  &
                      nGC_62)*coupl(nGC_83) + 9d0*cima*coupl(nGC_647)*coupl(   &
                      nGC_72)*coupl(nGC_807)*coupl(nGC_871) - 3d0*coupl(nGC_19 &
                      )*coupl(nGC_3)*coupl(nGC_871) - 3d0*coupl(nGC_19)*coupl( &
                      nGC_647)*coupl(nGC_72) - 3d0*coupl(nGC_20)*coupl(nGC_3)* &
                      coupl(nGC_72) - 3d0*coupl(nGC_20)*coupl(nGC_647)*coupl(  &
                      nGC_871) + 18d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_82  &
                      ) + 18d0*coupl(nGC_62)*coupl(nGC_647)*coupl(nGC_807) -   &
                      6d0*coupl(nGC_72)*coupl(nGC_83)*coupl(nGC_871) + 6d0*    &
                      coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_97) - 6d0*coupl(  &
                      nGC_73)*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_74)*&
                      coupl(nGC_807)*coupl(nGC_871))/(96d0*pi**2d0)
    coupl(nGC_9113) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_136 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_140 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_176)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(&
                      nGC_183)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_198)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                      )*coupl(nGC_176)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_655 &
                      )*coupl(nGC_69)*coupl(nGC_871) + 4d0*cima*coupl(nGC_154)*&
                      coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*    &
                      coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_2059)*coupl(nGC_2297&
                      )*coupl(nGC_68) + 4d0*cima*coupl(nGC_17)*coupl(nGC_2297)*&
                      coupl(nGC_64)*coupl(nGC_683) + 4d0*cima*coupl(nGC_185)*  &
                      coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_807)*coupl(nGC_94   &
                      ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_807)*  &
                      coupl(nGC_91) + 4d0*cima*coupl(nGC_617)*coupl(nGC_64)*   &
                      coupl(nGC_655)*coupl(nGC_871) + 6d0*coupl(nGC_1005)*coupl&
                      (nGC_70)*coupl(nGC_871) + 6d0*coupl(nGC_2059)*coupl(     &
                      nGC_2297)*coupl(nGC_70) - 6d0*coupl(nGC_2059)*coupl(     &
                      nGC_70)*coupl(nGC_82) + 6d0*coupl(nGC_2297)*coupl(nGC_66 &
                      )*coupl(nGC_683) + 6d0*coupl(nGC_617)*coupl(nGC_65)*coupl&
                      (nGC_871) - 6d0*coupl(nGC_64)*coupl(nGC_94)*coupl(nGC_953&
                      ) - 6d0*coupl(nGC_66)*coupl(nGC_683)*coupl(nGC_82) - 6d0*&
                      coupl(nGC_68)*coupl(nGC_91)*coupl(nGC_953))/(192d0*pi**  &
                      2d0)
    coupl(nGC_9112) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_135 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_175)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*coupl(&
                      nGC_182)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_197)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_135)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                      )*coupl(nGC_175)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_17)*&
                      coupl(nGC_63)*coupl(nGC_871) + 4d0*cima*coupl(nGC_154)*  &
                      coupl(nGC_159)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*    &
                      coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_68)*coupl(nGC_871&
                      ) + 4d0*cima*coupl(nGC_162)*coupl(nGC_167)*coupl(nGC_4)* &
                      coupl(nGC_80) + 4d0*cima*coupl(nGC_185)*coupl(nGC_190)*  &
                      coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_2059)*   &
                      coupl(nGC_655)*coupl(nGC_69)*coupl(nGC_96) + 9d0*cima*   &
                      coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_94  &
                      ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_655)*coupl(nGC_683)*&
                      coupl(nGC_96) + 9d0*cima*coupl(nGC_647)*coupl(nGC_69)*   &
                      coupl(nGC_82)*coupl(nGC_91) + 6d0*coupl(nGC_1391)*coupl( &
                      nGC_65)*coupl(nGC_871) + 6d0*coupl(nGC_1611)*coupl(nGC_70&
                      )*coupl(nGC_871) - 6d0*coupl(nGC_2059)*coupl(nGC_70)*    &
                      coupl(nGC_807) + 6d0*coupl(nGC_2059)*coupl(nGC_70)*coupl(&
                      nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_94)*coupl(nGC_953  &
                      ) - 6d0*coupl(nGC_66)*coupl(nGC_683)*coupl(nGC_807) + 6d0&
                      *coupl(nGC_66)*coupl(nGC_683)*coupl(nGC_96) - 6d0*coupl( &
                      nGC_69)*coupl(nGC_91)*coupl(nGC_953))/(192d0*pi**2d0)
    coupl(nGC_9111) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_134 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138 &
                      )*coupl(nGC_141)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_174)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_177)*coupl(&
                      nGC_181)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_192)*coupl(nGC_196)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_169&
                      )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)**2d0*coupl(   &
                      nGC_1611)*coupl(nGC_17) + 4d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_17)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(    &
                      nGC_1391)**2d0*coupl(nGC_1611)*coupl(nGC_17) + 4d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_17)*coupl(nGC_64)*coupl(nGC_69 &
                      ) + 24d0*cima*coupl(nGC_14)*coupl(nGC_953) + 4d0*cima*   &
                      coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_4)*coupl(nGC_80  &
                      ) + 4d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_4)* &
                      coupl(nGC_80) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_17)*  &
                      coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_184)*coupl(      &
                      nGC_189)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(    &
                      nGC_2059)*coupl(nGC_655)*coupl(nGC_871)*coupl(nGC_96) +  &
                      9d0*cima*coupl(nGC_2297)*coupl(nGC_3)*coupl(nGC_64)*coupl&
                      (nGC_807) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(   &
                      nGC_647)*coupl(nGC_655) + 24d0*cima*coupl(nGC_5)*coupl(  &
                      nGC_65) + 9d0*cima*coupl(nGC_647)*coupl(nGC_82)*coupl(   &
                      nGC_871)*coupl(nGC_91) + 6d0*coupl(nGC_1005)*coupl(      &
                      nGC_1611)*coupl(nGC_65) + 6d0*coupl(nGC_1005)*coupl(     &
                      nGC_69)*coupl(nGC_70) + 6d0*coupl(nGC_1391)*coupl(       &
                      nGC_1611)*coupl(nGC_70) + 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_66)*coupl(nGC_69) + 36d0*coupl(nGC_14)*coupl(nGC_647 &
                      )*coupl(nGC_82) + 6d0*coupl(nGC_1611)*coupl(nGC_72)*coupl&
                      (nGC_74) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_65   &
                      ) - 6d0*coupl(nGC_18)*coupl(nGC_64)*coupl(nGC_647) + 6d0*&
                      coupl(nGC_2059)*coupl(nGC_74)*coupl(nGC_96) - 6d0*coupl( &
                      nGC_2297)*coupl(nGC_64)*coupl(nGC_953) - 6d0*coupl(nGC_3 &
                      )*coupl(nGC_62)*coupl(nGC_64) + 36d0*coupl(nGC_3)*coupl( &
                      nGC_647)*coupl(nGC_65) - 6d0*coupl(nGC_5)*coupl(nGC_64)* &
                      coupl(nGC_655) - 6d0*coupl(nGC_61)*coupl(nGC_64)*coupl(  &
                      nGC_647) - 6d0*coupl(nGC_64)*coupl(nGC_807)*coupl(nGC_97 &
                      ) - 6d0*coupl(nGC_65)*coupl(nGC_82)*coupl(nGC_96) - 6d0* &
                      coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_91) - 6d0*coupl(   &
                      nGC_871)*coupl(nGC_91)*coupl(nGC_953))/(192d0*pi**2d0)
    coupl(nGC_9110) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_133)*coupl(nGC_134 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137 &
                      )*coupl(nGC_138)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_174)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_180)*coupl(&
                      nGC_181)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_195)*coupl(nGC_196)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_133)*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_173&
                      )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)**2d0*coupl(   &
                      nGC_17)*coupl(nGC_617) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_17)*coupl(nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(    &
                      nGC_1391)**2d0*coupl(nGC_17)*coupl(nGC_617) + 4d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_64 &
                      ) + 4d0*cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_4)* &
                      coupl(nGC_80) + 24d0*cima*coupl(nGC_16)*coupl(nGC_953) + &
                      4d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_4)*coupl&
                      (nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_617)*coupl(  &
                      nGC_72)**2d0 + 4d0*cima*coupl(nGC_188)*coupl(nGC_189)*   &
                      coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(nGC_2297)*   &
                      coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_807) + 9d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_655)*coupl(nGC_69  &
                      ) + 24d0*cima*coupl(nGC_5)*coupl(nGC_70) + 9d0*cima*coupl&
                      (nGC_647)*coupl(nGC_82)*coupl(nGC_871)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_655)*coupl(nGC_683)*coupl(nGC_871)*   &
                      coupl(nGC_96) + 6d0*coupl(nGC_1005)*coupl(nGC_617)*coupl(&
                      nGC_65) + 6d0*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_70 &
                      ) + 6d0*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_70) +   &
                      6d0*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_66) + 36d0*  &
                      coupl(nGC_16)*coupl(nGC_647)*coupl(nGC_82) - 6d0*coupl(  &
                      nGC_17)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_18)*  &
                      coupl(nGC_647)*coupl(nGC_69) - 6d0*coupl(nGC_2297)*coupl(&
                      nGC_69)*coupl(nGC_953) - 6d0*coupl(nGC_3)*coupl(nGC_62)* &
                      coupl(nGC_69) + 36d0*coupl(nGC_3)*coupl(nGC_647)*coupl(  &
                      nGC_70) - 6d0*coupl(nGC_5)*coupl(nGC_655)*coupl(nGC_69   &
                      ) - 6d0*coupl(nGC_61)*coupl(nGC_647)*coupl(nGC_69) + 6d0*&
                      coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_74) + 6d0*coupl(  &
                      nGC_683)*coupl(nGC_74)*coupl(nGC_96) - 6d0*coupl(nGC_69)*&
                      coupl(nGC_807)*coupl(nGC_97) - 6d0*coupl(nGC_70)*coupl(  &
                      nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_74)*coupl(nGC_82)* &
                      coupl(nGC_94) - 6d0*coupl(nGC_871)*coupl(nGC_94)*coupl(  &
                      nGC_953))/(192d0*pi**2d0)
    coupl(nGC_14573) = coupl(nGC_14566) + coupl(nGC_9507)
    coupl(nGC_9119) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_131 &
                      )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141 &
                      )*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1 &
                      )*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) + 4d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_170)*coupl(   &
                      nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_177)*coupl(&
                      nGC_178)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80) + 4d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_2)*coupl(nGC_80) -    &
                      16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_2)* &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_169&
                      )*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima&
                      *coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80 &
                      ) + 4d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611&
                      )*coupl(nGC_655)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_655) + 9d0*cima*&
                      coupl(nGC_1391)*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_647 &
                      ) + 9d0*cima*coupl(nGC_1391)*coupl(nGC_647)*coupl(nGC_82 &
                      )*coupl(nGC_96) + 4d0*cima*coupl(nGC_153)*coupl(nGC_154)*&
                      coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_16)*    &
                      coupl(nGC_953) + 4d0*cima*coupl(nGC_161)*coupl(nGC_162)* &
                      coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl&
                      (nGC_2297)*coupl(nGC_683)*coupl(nGC_871) + 4d0*cima*coupl&
                      (nGC_184)*coupl(nGC_185)*coupl(nGC_4)*coupl(nGC_80) + 9d0&
                      *cima*coupl(nGC_3)*coupl(nGC_807)*coupl(nGC_871)*coupl(  &
                      nGC_94) + 24d0*cima*coupl(nGC_5)*coupl(nGC_70) + 4d0*cima&
                      *coupl(nGC_63)**2d0*coupl(nGC_655)*coupl(nGC_68) + 4d0*  &
                      cima*coupl(nGC_655)*coupl(nGC_68)*coupl(nGC_69)**2d0 +   &
                      4d0*cima*coupl(nGC_655)*coupl(nGC_68)*coupl(nGC_72)**2d0 &
                       + 6d0*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_70) + 6d0*&
                      coupl(nGC_1005)*coupl(nGC_65)*coupl(nGC_69) - 6d0*coupl( &
                      nGC_1391)*coupl(nGC_17)*coupl(nGC_5) - 6d0*coupl(nGC_1391&
                      )*coupl(nGC_18)*coupl(nGC_3) - 6d0*coupl(nGC_1391)*coupl(&
                      nGC_3)*coupl(nGC_61) - 6d0*coupl(nGC_1391)*coupl(nGC_62)*&
                      coupl(nGC_647) - 6d0*coupl(nGC_1391)*coupl(nGC_82)*coupl(&
                      nGC_97) - 6d0*coupl(nGC_1391)*coupl(nGC_953)*coupl(nGC_96&
                      ) + 36d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_807) + 6d0*&
                      coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_73) - 6d0*coupl(&
                      nGC_2297)*coupl(nGC_70)*coupl(nGC_807) + 36d0*coupl(nGC_3&
                      )*coupl(nGC_647)*coupl(nGC_70) + 6d0*coupl(nGC_63)*coupl(&
                      nGC_66)*coupl(nGC_68) - 6d0*coupl(nGC_647)*coupl(nGC_655 &
                      )*coupl(nGC_70) + 6d0*coupl(nGC_68)*coupl(nGC_69)*coupl( &
                      nGC_70) + 6d0*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_73   &
                      ) - 6d0*coupl(nGC_73)*coupl(nGC_807)*coupl(nGC_94) - 6d0*&
                      coupl(nGC_871)*coupl(nGC_94)*coupl(nGC_953))/(192d0*pi** &
                      2d0)
    coupl(nGC_14571) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_180)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9508)
    coupl(nGC_13258) = coupl(nGC_153)*dZHl_QED2/2d0 + coupl(nGC_157)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9476)
    coupl(nGC_13259) = coupl(nGC_13254) + coupl(nGC_13258)
    coupl(nGC_8866) = (-coupl(nGC_130)**2d0*coupl(nGC_136) - coupl(nGC_130)*   &
                      coupl(nGC_2059)*coupl(nGC_85) - coupl(nGC_130)*coupl(    &
                      nGC_88)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)*   &
                      coupl(nGC_175) - coupl(nGC_133)**2d0*coupl(nGC_136) -    &
                      coupl(nGC_133)*coupl(nGC_683)*coupl(nGC_85) - coupl(     &
                      nGC_133)*coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_134)*   &
                      coupl(nGC_174)*coupl(nGC_175) - coupl(nGC_134)*coupl(    &
                      nGC_72)*coupl(nGC_80) - coupl(nGC_135)**2d0*coupl(nGC_136&
                      ) + 8d0*coupl(nGC_135)*coupl(nGC_2)**2d0 + 8d0*coupl(    &
                      nGC_135)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_136)*   &
                      coupl(nGC_843)**2d0)/(32d0*pi**2d0)
    coupl(nGC_14203) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*      &
                       dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl(   &
                       nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9415)
    coupl(nGC_14204) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*      &
                       dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl(   &
                       nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9414)
    coupl(nGC_14206) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*dZuL_QCD2/&
                       2d0 + coupl(nGC_9413)
    coupl(nGC_9207) = (-16d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_80&
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_136)*coupl(nGC_80)**2d0* &
                      coupl(nGC_843) - 16d0*Nc*cima*coupl(nGC_139)*coupl(      &
                      nGC_143)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_140 &
                      )*coupl(nGC_144)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(&
                      nGC_147)*coupl(nGC_152)*coupl(nGC_80)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_80)**2d0 - 16d0*&
                      Nc*cima*coupl(nGC_1495)*coupl(nGC_198)*coupl(nGC_80)**2d0&
                       - 16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_176)*coupl(     &
                      nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175 &
                      )*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_179)*coupl(&
                      nGC_182)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_183 &
                      )*coupl(nGC_80)**2d0*coupl(nGC_891) - 16d0*Nc*cima*coupl(&
                      nGC_194)*coupl(nGC_197)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1005)*coupl(nGC_2059)*coupl(nGC_63)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_2059)*coupl(&
                      nGC_68)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1005)*coupl(  &
                      nGC_2059)*coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_92) +   &
                      4d0*cima*coupl(nGC_1391)*coupl(nGC_2059)*coupl(nGC_68)*  &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_63)*  &
                      coupl(nGC_683)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_94) + 4d0*cima*   &
                      coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_92&
                      ) - 16d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_80 &
                      )**2d0 - 16d0*cima*coupl(nGC_156)*coupl(nGC_159)*coupl(  &
                      nGC_80)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(nGC_2059)* &
                      coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1611)*  &
                      coupl(nGC_2059)*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*  &
                      coupl(nGC_1611)*coupl(nGC_2059)*coupl(nGC_69)*coupl(     &
                      nGC_92) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(  &
                      nGC_683)*coupl(nGC_92) - 16d0*cima*coupl(nGC_163)*coupl( &
                      nGC_168)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_164)*  &
                      coupl(nGC_167)*coupl(nGC_80)**2d0 + 9d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_807)**2d0*coupl(nGC_94) + 9d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_82)**2d0*coupl(nGC_94) - 16d0* &
                      cima*coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_80)**2d0 -  &
                      16d0*cima*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_80)**  &
                      2d0 + 4d0*cima*coupl(nGC_2059)*coupl(nGC_617)*coupl(     &
                      nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_617)*coupl(   &
                      nGC_63)*coupl(nGC_683)*coupl(nGC_94) + 4d0*cima*coupl(   &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_94) + 4d0&
                      *cima*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_69)*coupl( &
                      nGC_92) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                      nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_63)*coupl(   &
                      nGC_69)*coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_871) + 4d0*&
                      cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)*coupl(    &
                      nGC_871) + 9d0*cima*coupl(nGC_683)*coupl(nGC_807)**2d0*  &
                      coupl(nGC_91) + 9d0*cima*coupl(nGC_683)*coupl(nGC_82)**  &
                      2d0*coupl(nGC_91) - 6d0*coupl(nGC_1015)*coupl(nGC_1671)* &
                      coupl(nGC_94) - 6d0*coupl(nGC_1015)*coupl(nGC_683)*coupl(&
                      nGC_91) + 6d0*coupl(nGC_2059)*coupl(nGC_61)*coupl(nGC_94 &
                      ) + 6d0*coupl(nGC_61)*coupl(nGC_683)*coupl(nGC_92))/(    &
                      192d0*pi**2d0)
    coupl(nGC_13091) = coupl(nGC_81)*dZWMinus_QED2/2d0 + coupl(nGC_9520)
    coupl(nGC_13092) = -coupl(nGC_13091)
    coupl(nGC_14517) = coupl(nGC_22)*dZHlHh_QED2 + coupl(nGC_27)*              &
                       dZGMinusHMinus_QED2 + coupl(nGC_34)*dZHMinus_QED2 +     &
                       coupl(nGC_34)*dZHh_QED2 + coupl(nGC_9309)
    coupl(nGC_14619) = coupl(nGC_13706) + coupl(nGC_14617)
    coupl(nGC_14618) = coupl(nGC_13706) + coupl(nGC_14616)
    coupl(nGC_13815) = coupl(nGC_40)*dZHaG0_QED2/2d0 + coupl(nGC_40)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_49)*dZHl_QED2/2d0 + coupl(nGC_9311)
    coupl(nGC_16075) = coupl(nGC_14671) + coupl(nGC_16069)
    coupl(nGC_16074) = coupl(nGC_14671) + coupl(nGC_16073)
    coupl(nGC_16170) = coupl(nGC_16163) + coupl(nGC_16169)
    coupl(nGC_18656) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/2d0 &
                        + coupl(nGC_9286)
    coupl(nGC_17175) = coupl(nGC_9633) + coupl(nGC_MHA)*dZHa_QED2 + coupl(     &
                       nGC_TS_GC_113_Hl) + coupl(nGC_TS_GC_121_Hh)
    coupl(nGC_17074) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_112_Hh &
                       ) + coupl(nGC_TS_GC_120_Hl)
    coupl(nGC_8903) = (coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_131)*coupl(nGC_2) + coupl(nGC_130)*coupl&
                      (nGC_1391)*coupl(nGC_80) - coupl(nGC_130)*coupl(nGC_169)*&
                      coupl(nGC_170) + coupl(nGC_131)*coupl(nGC_2)*coupl(      &
                      nGC_655) + coupl(nGC_131)*coupl(nGC_2297)*coupl(nGC_85   &
                      ) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_87) +     &
                      coupl(nGC_131)*coupl(nGC_87)*coupl(nGC_96) - coupl(      &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_171) + coupl(nGC_132)* &
                      coupl(nGC_80)*coupl(nGC_871) + coupl(nGC_133)*coupl(     &
                      nGC_1611)*coupl(nGC_80) - coupl(nGC_133)*coupl(nGC_170)* &
                      coupl(nGC_173) - coupl(nGC_136)*coupl(nGC_170)*coupl(    &
                      nGC_175))/(32d0*pi**2d0)
    coupl(nGC_8901) = (8d0*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_655) - coupl(nGC_137)*   &
                      coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_139)*coupl(    &
                      nGC_142)*coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_142)* &
                      coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_144)*coupl(    &
                      nGC_179) - coupl(nGC_17)*coupl(nGC_178)*coupl(nGC_2) -   &
                      coupl(nGC_177)*coupl(nGC_69)*coupl(nGC_80) - coupl(      &
                      nGC_178)*coupl(nGC_2297)*coupl(nGC_87) + 8d0*coupl(      &
                      nGC_178)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_178)*   &
                      coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_179)*coupl(nGC_72&
                      )*coupl(nGC_80) - coupl(nGC_180)*coupl(nGC_63)*coupl(    &
                      nGC_80))/(32d0*pi**2d0)
    coupl(nGC_8907) = (8d0*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_146)*coupl(nGC_655) - coupl(nGC_1391)*  &
                      coupl(nGC_145)*coupl(nGC_80) - coupl(nGC_145)*coupl(     &
                      nGC_192)*coupl(nGC_193) - coupl(nGC_146)*coupl(nGC_17)*  &
                      coupl(nGC_2) - coupl(nGC_146)*coupl(nGC_2297)*coupl(     &
                      nGC_84) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88  &
                      ) - coupl(nGC_146)*coupl(nGC_88)*coupl(nGC_96) - coupl(  &
                      nGC_148)*coupl(nGC_1495)*coupl(nGC_193) - coupl(nGC_148)*&
                      coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_149)*coupl(     &
                      nGC_1611)*coupl(nGC_80) - coupl(nGC_149)*coupl(nGC_193)* &
                      coupl(nGC_195) - coupl(nGC_152)*coupl(nGC_193)*coupl(    &
                      nGC_197))/(32d0*pi**2d0)
    coupl(nGC_8905) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_170) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_170)*coupl(nGC_2) - coupl(nGC_130)*coupl&
                      (nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(nGC_133)*&
                      coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_135)*coupl(    &
                      nGC_176) - coupl(nGC_131)*coupl(nGC_172)*coupl(nGC_843   &
                      ) + coupl(nGC_169)*coupl(nGC_69)*coupl(nGC_80) + coupl(  &
                      nGC_170)*coupl(nGC_2)*coupl(nGC_655) + coupl(nGC_170)*   &
                      coupl(nGC_2297)*coupl(nGC_88) + 8d0*coupl(nGC_170)*coupl(&
                      nGC_84)*coupl(nGC_88) + coupl(nGC_170)*coupl(nGC_84)*    &
                      coupl(nGC_96) + coupl(nGC_172)*coupl(nGC_72)*coupl(nGC_80&
                      ) + coupl(nGC_173)*coupl(nGC_63)*coupl(nGC_80))/(32d0*pi &
                      **2d0)
    coupl(nGC_8909) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_193)*coupl(nGC_655) - coupl(nGC_145)*   &
                      coupl(nGC_146)*coupl(nGC_192) - coupl(nGC_146)*coupl(    &
                      nGC_147)*coupl(nGC_194) - coupl(nGC_146)*coupl(nGC_149)* &
                      coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_151)*coupl(    &
                      nGC_198) - coupl(nGC_17)*coupl(nGC_193)*coupl(nGC_2) -   &
                      coupl(nGC_192)*coupl(nGC_69)*coupl(nGC_80) - coupl(      &
                      nGC_193)*coupl(nGC_2297)*coupl(nGC_87) + 8d0*coupl(      &
                      nGC_193)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_193)*   &
                      coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_194)*coupl(nGC_72&
                      )*coupl(nGC_80) - coupl(nGC_195)*coupl(nGC_63)*coupl(    &
                      nGC_80))/(32d0*pi**2d0)
    coupl(nGC_31832) = -coupl(nGC_8934)
    coupl(nGC_29766) = -coupl(nGC_8835)
    coupl(nGC_15757) = coupl(nGC_13752) + coupl(nGC_15756)
    coupl(nGC_16319) = coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*          &
                       dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 + coupl(&
                       nGC_69)*dZWMinus_QED2/2d0 + coupl(nGC_9363)
    coupl(nGC_14582) = coupl(nGC_14576) + coupl(nGC_14581)
    coupl(nGC_16312) = coupl(nGC_16307) + coupl(nGC_9445)
    coupl(nGC_16313) = coupl(nGC_169)*dZHl_QED2/2d0 + coupl(nGC_173)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9446)
    coupl(nGC_9234) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_132)*coupl(  &
                      nGC_843) - coupl(nGC_143)*coupl(nGC_144) - coupl(nGC_147 &
                      )*coupl(nGC_148) - coupl(nGC_1495)*coupl(nGC_194) - coupl&
                      (nGC_171)*coupl(nGC_172) - coupl(nGC_179)*coupl(nGC_891  &
                      ))/(16d0*pi**2d0)
    coupl(nGC_9235) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_132)*coupl(   &
                      nGC_843) + coupl(nGC_143)*coupl(nGC_144) + coupl(nGC_147 &
                      )*coupl(nGC_148) + coupl(nGC_1495)*coupl(nGC_194) + coupl&
                      (nGC_171)*coupl(nGC_172) + coupl(nGC_179)*coupl(nGC_891  &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_9232) = (-32d0*Nc*cima*coupl(nGC_132)*coupl(nGC_843)*coupl(nGC_85&
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_132)*coupl(nGC_843)*coupl&
                      (nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_132)*    &
                      coupl(nGC_843)*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_143)*coupl(nGC_144)*coupl(nGC_84)**2d0 + 40d0*Nc*cima&
                      *coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_84)*coupl(nGC_87&
                      ) - 32d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*coupl(    &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148 &
                      )*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_147)*coupl(&
                      nGC_148)*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl&
                      (nGC_147)*coupl(nGC_148)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_85)**2d0 + &
                      40d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_194)*coupl(nGC_85 &
                      )*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_1495)*coupl(    &
                      nGC_194)*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_171 &
                      )*coupl(nGC_172)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(&
                      nGC_171)*coupl(nGC_172)*coupl(nGC_84)*coupl(nGC_87) -    &
                      32d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_179)*coupl(nGC_85)**2d0* &
                      coupl(nGC_891) + 40d0*Nc*cima*coupl(nGC_179)*coupl(nGC_85&
                      )*coupl(nGC_88)*coupl(nGC_891) - 32d0*Nc*cima*coupl(     &
                      nGC_179)*coupl(nGC_88)**2d0*coupl(nGC_891) + 12d0*cima*  &
                      coupl(nGC_1015)*coupl(nGC_62) - 32d0*cima*coupl(nGC_155)*&
                      coupl(nGC_156)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(     &
                      nGC_155)*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) -    &
                      32d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_89)**  &
                      2d0 - 32d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(     &
                      nGC_86)**2d0 + 40d0*cima*coupl(nGC_163)*coupl(nGC_164)*  &
                      coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_163)*  &
                      coupl(nGC_164)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)**2d0*coupl(nGC_92)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*coupl(      &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_92)*   &
                      coupl(nGC_94) - 32d0*cima*coupl(nGC_186)*coupl(nGC_187)* &
                      coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_186)*coupl(     &
                      nGC_187)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(  &
                      nGC_186)*coupl(nGC_187)*coupl(nGC_89)**2d0 + 4d0*cima*   &
                      coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_94&
                      ) + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_92 &
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_2297)**2d0*coupl(   &
                      nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(nGC_683)**2d0*   &
                      coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_683)**2d0*coupl( &
                      nGC_94)**2d0 + 9d0*cima*coupl(nGC_72)*coupl(nGC_807)**2d0&
                      *coupl(nGC_871) + 9d0*cima*coupl(nGC_72)*coupl(nGC_82)** &
                      2d0*coupl(nGC_871) + 4d0*cima*coupl(nGC_72)*coupl(nGC_871&
                      )*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_100)*coupl(nGC_72)* &
                      coupl(nGC_871) - 6d0*coupl(nGC_1015)*coupl(nGC_72)*coupl(&
                      nGC_871) + 3d0*coupl(nGC_1671)*coupl(nGC_92)*coupl(nGC_99&
                      ) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_19)*coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(  &
                      nGC_20)*coupl(nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_20)* &
                      coupl(nGC_807)*coupl(nGC_871) + 18d0*coupl(nGC_62)*coupl(&
                      nGC_807)**2d0 + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0 +  &
                      3d0*coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi &
                      **2d0)
    coupl(nGC_9230) = (-32d0*Nc*cima*coupl(nGC_132)*coupl(nGC_80)**2d0*coupl(  &
                      nGC_843) - 32d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*   &
                      coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_147)*coupl(  &
                      nGC_148)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_1495&
                      )*coupl(nGC_194)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(&
                      nGC_171)*coupl(nGC_172)*coupl(nGC_80)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_179)*coupl(nGC_80)**2d0*coupl(nGC_891) + 4d0* &
                      cima*coupl(nGC_1005)*coupl(nGC_1671)*coupl(nGC_63)*coupl(&
                      nGC_92) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(  &
                      nGC_683)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_63)*coupl(nGC_72)*coupl(nGC_871) + 4d0*cima*coupl(   &
                      nGC_1005)*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_92) +   &
                      4d0*cima*coupl(nGC_1005)*coupl(nGC_683)*coupl(nGC_69)*   &
                      coupl(nGC_92) + 12d0*cima*coupl(nGC_101)*coupl(nGC_1015  &
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1671)*coupl(nGC_63&
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1671&
                      )*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1671)*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_94&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_72)*&
                      coupl(nGC_871) - 32d0*cima*coupl(nGC_155)*coupl(nGC_156)*&
                      coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1611)*coupl(     &
                      nGC_1671)*coupl(nGC_64)*coupl(nGC_92) + 4d0*cima*coupl(  &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_94) +   &
                      4d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72)*    &
                      coupl(nGC_871) + 4d0*cima*coupl(nGC_1611)*coupl(nGC_68)* &
                      coupl(nGC_683)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1611)* &
                      coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_92) - 32d0*cima*  &
                      coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_80)**2d0 + 4d0*  &
                      cima*coupl(nGC_1671)*coupl(nGC_617)*coupl(nGC_63)*coupl( &
                      nGC_94) + 4d0*cima*coupl(nGC_1671)*coupl(nGC_617)*coupl( &
                      nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1671)*coupl(  &
                      nGC_617)*coupl(nGC_69)*coupl(nGC_92) + 9d0*cima*coupl(   &
                      nGC_1671)*coupl(nGC_807)**2d0*coupl(nGC_92) + 9d0*cima*  &
                      coupl(nGC_1671)*coupl(nGC_82)**2d0*coupl(nGC_92) - 32d0* &
                      cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_80)**2d0 +  &
                      9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72)*coupl(nGC_871   &
                      ) + 4d0*cima*coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_69)*&
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_617)*coupl(nGC_69)*   &
                      coupl(nGC_72)*coupl(nGC_871) + 24d0*cima*coupl(nGC_62)*  &
                      coupl(nGC_78) + 9d0*cima*coupl(nGC_647)**2d0*coupl(nGC_72&
                      )*coupl(nGC_871) + 9d0*cima*coupl(nGC_683)*coupl(nGC_807 &
                      )**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_683)*coupl(    &
                      nGC_82)**2d0*coupl(nGC_94) + 8d0*cima*coupl(nGC_72)**2d0*&
                      coupl(nGC_871)**2d0 + 9d0*cima*coupl(nGC_72)*coupl(      &
                      nGC_807)**2d0*coupl(nGC_871) + 9d0*cima*coupl(nGC_72)*   &
                      coupl(nGC_82)**2d0*coupl(nGC_871) + 36d0*coupl(nGC_101)* &
                      coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1015)*coupl(nGC_1671)*&
                      coupl(nGC_92) - 6d0*coupl(nGC_1015)*coupl(nGC_683)*coupl(&
                      nGC_94) + 6d0*coupl(nGC_1671)*coupl(nGC_61)*coupl(nGC_92 &
                      ) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_19)*coupl(nGC_807)*coupl(nGC_871) - 6d0*coupl( &
                      nGC_20)*coupl(nGC_72)*coupl(nGC_807) - 6d0*coupl(nGC_20)*&
                      coupl(nGC_82)*coupl(nGC_871) - 6d0*coupl(nGC_3)*coupl(   &
                      nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*  &
                      coupl(nGC_871) + 6d0*coupl(nGC_61)*coupl(nGC_683)*coupl( &
                      nGC_94) + 36d0*coupl(nGC_62)*coupl(nGC_647)**2d0 + 12d0* &
                      coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_871) + 36d0*coupl( &
                      nGC_62)*coupl(nGC_807)**2d0 - 6d0*coupl(nGC_647)*coupl(  &
                      nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_647)*coupl(nGC_73)*&
                      coupl(nGC_871) - 12d0*coupl(nGC_72)*coupl(nGC_78)*coupl( &
                      nGC_871))/(192d0*pi**2d0)
    coupl(nGC_9231) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_132)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_132)*coupl(   &
                      nGC_843) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_843&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_143  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_143)*&
                      coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                      nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_147)**2d0 + 80d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_147)*coupl(nGC_148) + 20d0*Nc*cima*coupl(nGC_145)**  &
                      2d0*coupl(nGC_148)**2d0 + 20d0*Nc*cima*coupl(nGC_1495)** &
                      2d0*coupl(nGC_192)**2d0 + 80d0*Nc*cima*coupl(nGC_1495)*  &
                      coupl(nGC_192)**2d0*coupl(nGC_194) + 20d0*Nc*cima*coupl( &
                      nGC_169)**2d0*coupl(nGC_171)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_169)**2d0*coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*   &
                      cima*coupl(nGC_169)**2d0*coupl(nGC_172)**2d0 + 20d0*Nc*  &
                      cima*coupl(nGC_177)**2d0*coupl(nGC_179)**2d0 + 80d0*Nc*  &
                      cima*coupl(nGC_177)**2d0*coupl(nGC_179)*coupl(nGC_891) + &
                      20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_891)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_194)**2d0 -   &
                      10d0*cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_72)*   &
                      coupl(nGC_871) + 6d0*cima*coupl(nGC_101)*coupl(nGC_99) - &
                      5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_72)**2d0 - 20d0* &
                      cima*coupl(nGC_1391)*coupl(nGC_68)*coupl(nGC_72)*coupl(  &
                      nGC_871) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)**&
                      2d0 + 80d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)*coupl(&
                      nGC_156) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_156)**&
                      2d0 + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_163)**2d0  &
                       + 80d0*cima*coupl(nGC_161)**2d0*coupl(nGC_163)*coupl(   &
                      nGC_164) + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_164)**&
                      2d0 - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(     &
                      nGC_72)*coupl(nGC_871) - 10d0*cima*coupl(nGC_1671)*coupl(&
                      nGC_2059)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl( &
                      nGC_1671)*coupl(nGC_683)*coupl(nGC_92)*coupl(nGC_94) +   &
                      20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_186)**2d0 + 80d0*&
                      cima*coupl(nGC_184)**2d0*coupl(nGC_186)*coupl(nGC_187) + &
                      20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_187)**2d0 - 10d0*&
                      cima*coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_91)*coupl( &
                      nGC_94) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 5d0*   &
                      cima*coupl(nGC_617)**2d0*coupl(nGC_72)**2d0 - 20d0*cima* &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_871)**2d0 -    &
                      10d0*cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 - 5d0*  &
                      cima*coupl(nGC_69)**2d0*coupl(nGC_871)**2d0 + 3d0*coupl( &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_42) + 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_40)*coupl(nGC_871) + 3d0*coupl(      &
                      nGC_1005)*coupl(nGC_56)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_101&
                      )*coupl(nGC_2059)*coupl(nGC_91) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(  &
                      nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(nGC_1671&
                      )*coupl(nGC_92) + 3d0*coupl(nGC_1391)*coupl(nGC_50)*coupl&
                      (nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68&
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_41)*coupl(nGC_871) +   &
                      3d0*coupl(nGC_1611)*coupl(nGC_42)*coupl(nGC_617) + 3d0*  &
                      coupl(nGC_1611)*coupl(nGC_56)*coupl(nGC_64) - 3d0*coupl( &
                      nGC_1611)*coupl(nGC_62)*coupl(nGC_64) + 6d0*coupl(       &
                      nGC_1671)*coupl(nGC_2059)*coupl(nGC_37) + 6d0*coupl(     &
                      nGC_1671)*coupl(nGC_26)*coupl(nGC_683) + 3d0*coupl(      &
                      nGC_1671)*coupl(nGC_9)*coupl(nGC_94) - 3d0*coupl(nGC_1671&
                      )*coupl(nGC_92)*coupl(nGC_99) + 6d0*coupl(nGC_2059)*coupl&
                      (nGC_28)*coupl(nGC_683) + 3d0*coupl(nGC_2059)*coupl(     &
                      nGC_46)*coupl(nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_59 &
                      )*coupl(nGC_91) + 6d0*coupl(nGC_26)*coupl(nGC_92)*coupl( &
                      nGC_94) + 6d0*coupl(nGC_28)*coupl(nGC_91)*coupl(nGC_94   &
                      ) + 6d0*coupl(nGC_30)*coupl(nGC_72)*coupl(nGC_871) + 6d0*&
                      coupl(nGC_31)*coupl(nGC_683)**2d0 + 6d0*coupl(nGC_31)*   &
                      coupl(nGC_94)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_91)*    &
                      coupl(nGC_92) + 6d0*coupl(nGC_40)*coupl(nGC_64)*coupl(   &
                      nGC_72) + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72   &
                      ) + 3d0*coupl(nGC_42)*coupl(nGC_63)*coupl(nGC_68) + 3d0* &
                      coupl(nGC_42)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_46)*coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_50)*&
                      coupl(nGC_617)*coupl(nGC_69) + 3d0*coupl(nGC_52)*coupl(  &
                      nGC_683)*coupl(nGC_94) - 6d0*coupl(nGC_61)*coupl(nGC_72)*&
                      coupl(nGC_871) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl( &
                      nGC_69) + 3d0*coupl(nGC_683)*coupl(nGC_9)*coupl(nGC_92   &
                      ) - 3d0*coupl(nGC_683)*coupl(nGC_94)*coupl(nGC_99))/(96d0&
                      *pi**2d0)
    coupl(nGC_17572) = coupl(nGC_15506) + coupl(nGC_17570)
    coupl(nGC_17571) = coupl(nGC_15506) + coupl(nGC_17569)
  end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
