!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl37()
    coupl(nGC_14750) = coupl(nGC_14748) + coupl(nGC_14749)
    coupl(nGC_23257) = coupl(nGC_9631) + coupl(nGC_MHL)*dZHl_QED2 + coupl(     &
                       nGC_TS_GC_104_Hl) + coupl(nGC_TS_GC_106_Hh)
    coupl(nGC_30259) = -coupl(nGC_8914)
    coupl(nGC_13063) = -coupl(nGC_13060)/2d0 + coupl(nGC_13061)
    coupl(nGC_30103) = -coupl(nGC_8816)
    coupl(nGC_29588) = -coupl(nGC_8810)
    coupl(nGC_23400) = -coupl(nGC_14345) + coupl(nGC_14346)
    coupl(nGC_17092) = -coupl(nGC_17089) + coupl(nGC_17091)
    coupl(nGC_30145) = -coupl(nGC_8779)
    coupl(nGC_17472) = coupl(nGC_17463) + coupl(nGC_17471)
    coupl(nGC_15205) = coupl(nGC_15202) + coupl(nGC_15203)
    coupl(nGC_15204) = -coupl(nGC_15196) + coupl(nGC_15198) - coupl(nGC_15202)
    coupl(nGC_16314) = coupl(nGC_16306) + coupl(nGC_16313)
    coupl(nGC_16320) = coupl(nGC_16318) - coupl(nGC_16319)
    coupl(nGC_14105) = coupl(nGC_14097) + coupl(nGC_14104)
    coupl(nGC_13062) = coupl(nGC_13060) - 2d0*coupl(nGC_13061)
    coupl(nGC_18657) = -coupl(nGC_18656)
    coupl(nGC_24258) = coupl(nGC_24253) + coupl(nGC_24257)
    coupl(nGC_14347) = coupl(nGC_14345) - coupl(nGC_14346)
    coupl(nGC_14572) = coupl(nGC_14565) + coupl(nGC_14571)
    coupl(nGC_19503) = -coupl(nGC_16318) + coupl(nGC_16319)
  end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
