!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_8805) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_196)**2d0 + coupl(nGC_1495)*coupl(nGC_194)*coupl(    &
                      nGC_2) + coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_195&
                      )**2d0*coupl(nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl&
                      (nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(&
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_15693) = coupl(nGC_129)*dZZA_QED2/2d0
    coupl(nGC_9351) = coupl(nGC_8072)*dl3_QED4 + coupl(nGC_8073)*db_QED2 +     &
                      coupl(nGC_8074)*dl2_QED4 + coupl(nGC_8075)*dl5_QED4 +    &
                      coupl(nGC_8076)*dvev2_QED1 + coupl(nGC_8077)*dvev1_QED1  &
                       + coupl(nGC_8078)*dl1_QED4 + coupl(nGC_8079)*dl4_QED4 + &
                      coupl(nGC_8080)*da_QED2
    coupl(nGC_9459) = coupl(nGC_8419)*db_QED2 + coupl(nGC_8420)*dyd13x3_QED3 + &
                      coupl(nGC_8421)*dyb2_QED3
    coupl(nGC_14103) = coupl(nGC_14098) + coupl(nGC_9439)
    coupl(nGC_15329) = coupl(nGC_7)*dZsR_QED2
    coupl(nGC_15450) = coupl(nGC_120)*dZG0/2d0
    coupl(nGC_13114) = coupl(nGC_111)*dZGMinus/2d0
    coupl(nGC_13441) = coupl(nGC_42)*dZG0/2d0
    coupl(nGC_13446) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
    coupl(nGC_12862) = coupl(nGC_25)*dZG0
    coupl(nGC_13598) = coupl(nGC_84)*dZdR_QCD2
    coupl(nGC_12866) = coupl(nGC_25)*dZHh_QED2/2d0 + coupl(nGC_25)*dZHl_QED2/  &
                       2d0 + coupl(nGC_33)*dZHhHl_QED2/2d0 + coupl(nGC_37)*    &
                       dZHaG0_QED2 + coupl(nGC_39)*dZHlHh_QED2/2d0 + coupl(    &
                       nGC_9316)
    coupl(nGC_9429) = coupl(nGC_8508)*dyd12x2_QED1_QCD2 + coupl(nGC_8509)*     &
                      dys2_QED1_QCD2
    coupl(nGC_13595) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_13021) = coupl(nGC_193)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_196)*&
                       dZdL_QED2/2d0 + coupl(nGC_196)*dZuR_QED2/2d0 + coupl(   &
                       nGC_9401)
    coupl(nGC_13020) = coupl(nGC_146)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_150)*&
                       dZdR_QED2/2d0 + coupl(nGC_150)*dZuL_QED2/2d0 + coupl(   &
                       nGC_9404)
    coupl(nGC_9425) = coupl(nGC_8634)*dydo2_QED1_QCD2 + coupl(nGC_8636)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9356) = coupl(nGC_8323)*dsw_QED2 + coupl(nGC_8324)*dZee_QED2
    coupl(nGC_8958) = coupl(nGC_1495)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
    coupl(nGC_8954) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_12881) = coupl(nGC_65)*dZGMinus/2d0
    coupl(nGC_8950) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8952) = coupl(nGC_7)**2d0*coupl(nGC_891)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9421) = coupl(nGC_8525)*db_QED2 + coupl(nGC_8526)*dyt1_QED3 +    &
                      coupl(nGC_8527)*dyt2_QED3
    coupl(nGC_9420) = coupl(nGC_8479)*dyd12x2_QED3 + coupl(nGC_8480)*dys2_QED3 &
                       + coupl(nGC_8481)*db_QED2
    coupl(nGC_8792) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*coupl(&
                      nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8822) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8796) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8797) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8826) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8828) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8798) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)**2d0&
                       + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) + coupl(   &
                      nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl(nGC_175)*&
                      coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_87)**2d0 +   &
                      coupl(nGC_131)**2d0*coupl(nGC_2) + coupl(nGC_134)**2d0*  &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_647)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8799) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)**2d0&
                       + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) + coupl(   &
                      nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl(nGC_175)*&
                      coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(nGC_174)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9373) = coupl(nGC_8097)*dcw_QED2 + coupl(nGC_8098)*db_QED2 +     &
                      coupl(nGC_8099)*dsw_QED2 + coupl(nGC_8100)*dZee_QED2 +   &
                      coupl(nGC_8101)*da_QED2
    coupl(nGC_9372) = coupl(nGC_8260)*dsw_QED2 + coupl(nGC_8261)*dcw_QED2 +    &
                      coupl(nGC_8262)*dZee_QED2
    coupl(nGC_9371) = coupl(nGC_8511)*dsw_QED2 + coupl(nGC_8512)*dvev2_QED1 +  &
                      coupl(nGC_8513)*dvev1_QED1 + coupl(nGC_8514)*dZee_QED2 + &
                      coupl(nGC_8515)*da_QED2
    coupl(nGC_9370) = coupl(nGC_8500)*dsw_QED2 + coupl(nGC_8501)*dvev2_QED1 +  &
                      coupl(nGC_8502)*dvev1_QED1 + coupl(nGC_8503)*dZee_QED2 + &
                      coupl(nGC_8504)*da_QED2
    coupl(nGC_9377) = coupl(nGC_7912)*dcw_QED2 + coupl(nGC_7913)*dZee_QED2
    coupl(nGC_9376) = coupl(nGC_7997)*dcw_QED2 + coupl(nGC_7998)*db_QED2 +     &
                      coupl(nGC_7999)*dsw_QED2 + coupl(nGC_8000)*dZee_QED2 +   &
                      coupl(nGC_8001)*da_QED2
    coupl(nGC_9374) = coupl(nGC_7947)*dcw_QED2 + coupl(nGC_7948)*db_QED2 +     &
                      coupl(nGC_7949)*dsw_QED2 + coupl(nGC_7950)*dZee_QED2 +   &
                      coupl(nGC_7951)*da_QED2
    coupl(nGC_9379) = coupl(nGC_8597)*dcw_QED2 + coupl(nGC_8598)*db_QED2 +     &
                      coupl(nGC_8599)*dZee_QED2 + coupl(nGC_8600)*da_QED2
    coupl(nGC_9378) = coupl(nGC_8457)*dcw_QED2 + coupl(nGC_8458)*db_QED2 +     &
                      coupl(nGC_8459)*dZee_QED2 + coupl(nGC_8460)*da_QED2
    coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12641) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_12644) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
    coupl(nGC_17588) = coupl(nGC_179)*dZHaG0_QED2/2d0
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
