!******************************************************************************!
!                                                                              !
!    currents_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info2
  implicit none
  contains
  subroutine fill_current_2(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_A, P_Hl, P_A, 3832, check)
    call createCurrent(P_Z, P_GMinus, P_Hl, P_WPlus, 2643, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_A, 2284, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hh, 895, check)
    call createCurrent(P_A, P_g, P_g, P_g, 3658, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_GMinus, 3392, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, 3375, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 1475, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_G0, 3337, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, 2373, check)
    call createCurrent(P_A, P_Hl, P_HMinus, P_WPlus, 1508, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_Hl, 890, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_GMinus, 2933, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_A, 3486, check)
    call createCurrent(P_HPlus, P_Z, P_G0, P_WMinus, 3266, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, 3086, check)
    call createCurrent(P_WMinus, P_Ha, P_Z, P_HPlus, 1231, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_G0, 3240, check)
    call createCurrent(P_Hh, P_Ha, P_G0, 1830, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, 3410, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 150, check)
    call createCurrent(P_HPlus, P_Ha, P_G0, P_GMinus, 1208, check)
    call createCurrent(P_dAnti, P_d, 2871, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Ha, 3217, check)
    call createCurrent(P_HPlus, P_Ha, P_A, P_WMinus, 499, check)
    call createCurrent(P_Hh, P_Z, P_Hh, P_A, 3478, check)
    call createCurrent(P_s, P_sAnti, P_Z, 1352, check)
    call createCurrent(P_A, P_Hl, P_Ha, 3055, check)
    call createCurrent(P_HPlus, P_G0, P_WMinus, P_A, 3498, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_HMinus, 2301, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_G0, 3468, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Ha, 2894, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, P_Z, 2463, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 2550, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Hl, 3493, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_Z, 2197, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hl, 152, check)
    call createCurrent(P_Z, P_G0, P_Hl, 2369, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Hl, 1150, check)
    call createCurrent(P_Z, P_Hh, P_WMinus, P_GPlus, 2691, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, 1436, check)
    call createCurrent(P_g, P_d, P_dAnti, 1599, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, 3295, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, P_A, 2203, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Ha, 3590, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Ha, 1191, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_Z, 2863, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, 3155, check)
    call createCurrent(P_cAnti, P_g, P_c, 970, check)
    call createCurrent(P_Z, P_Z, P_G0, P_Ha, 3138, check)
    call createCurrent(P_HPlus, P_G0, P_Hh, P_HMinus, 2722, check)
    call createCurrent(P_A, P_cAnti, P_c, 940, check)
    call createCurrent(P_HMinus, P_bAnti, P_t, 1085, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Ha, 3580, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_HMinus, 2099, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 772, check)
    call createCurrent(P_Ha, P_A, P_WMinus, P_HPlus, 13, check)
    call createCurrent(P_Ha, P_Hl, P_Ha, P_Hl, 1018, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_A, 3724, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 1874, check)
    call createCurrent(P_GPlus, P_A, P_A, P_HMinus, 3560, check)
    call createCurrent(P_g, P_tAnti, P_t, 592, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_Ha, 2954, check)
    call createCurrent(P_GPlus, P_g, P_g, P_HMinus, 3861, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, P_Z, 1550, check)
    call createCurrent(P_A, P_A, P_A, P_A, 3858, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_HPlus, 310, check)
    call createCurrent(P_cAnti, P_Hl, P_c, 860, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hh, 407, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_G0, 3660, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_G0, 3490, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 3659, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, 25, check)
    call createCurrent(P_nu_mu, P_muPlus, P_HMinus, 673, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 3771, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_Z, 3713, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 3691, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Ha, 2053, check)
    call createCurrent(P_Hh, P_WPlus, P_Hh, P_WMinus, 1161, check)
    call createCurrent(P_t, P_g, P_tAnti, 324, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hl, 33, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_Hl, 3044, check)
    call createCurrent(P_Hl, P_Z, P_HMinus, P_WPlus, 1216, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_Z, 356, check)
    call createCurrent(P_g, P_g, P_Ha, P_G0, 3829, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 2688, check)
    call createCurrent(P_G0, P_HMinus, P_Z, P_WPlus, 2875, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hh, 691, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 2143, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_Z, 159, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 2703, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, P_Z, 962, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_A, 3700, check)
    call createCurrent(P_HMinus, P_Hl, P_Ha, P_GPlus, 255, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 175, check)
    call createCurrent(P_A, P_HMinus, P_A, P_GPlus, 3369, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 54, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hl, P_A, 71, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hl, 2887, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 1141, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, 191, check)
    call createCurrent(P_Ha, P_Z, P_Ha, P_A, 3162, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, P_A, 757, check)
    call createCurrent(P_Hl, P_d, P_dAnti, 1496, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, 682, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hl, 2494, check)
    call createCurrent(P_u, P_Hh, P_uAnti, 653, check)
    call createCurrent(P_muPlus, P_muMinus, 3002, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 1670, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 1013, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 553, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Ha, 223, check)
    call createCurrent(P_Ha, P_G0, P_GMinus, P_GPlus, 365, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_GPlus, 362, check)
    call createCurrent(P_G0, P_Ha, P_Hl, 452, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hl, 2155, check)
    call createCurrent(P_uAnti, P_G0, P_u, 551, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 716, check)
    call createCurrent(P_Ha, P_Hh, P_Hl, P_G0, 514, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_G0, 144, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_A, 1936, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 1859, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 2011, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hl, 3614, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, 114, check)
    call createCurrent(P_Hh, P_dAnti, P_d, 1999, check)
    call createCurrent(P_WPlus, P_Hh, P_Hh, P_WMinus, 2225, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 1946, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, 2470, check)
    call createCurrent(P_Z, P_G0, P_Ha, P_A, 3795, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 1310, check)
    call createCurrent(P_Ha, P_A, P_A, P_Ha, 3811, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_G0, 2991, check)
    call createCurrent(P_d, P_Hl, P_dAnti, 543, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 3779, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 1932, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 3766, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, 2511, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 2268, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, 2560, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_HMinus, 3308, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_G0, 1543, check)
    call createCurrent(P_Z, P_b, P_bAnti, 2464, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 1304, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, 3244, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_GPlus, 1547, check)
    call createCurrent(P_muMinus, P_Hl, P_muPlus, 1266, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 2362, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 798, check)
    call createCurrent(P_HPlus, P_Hh, P_G0, P_HMinus, 2927, check)
    call createCurrent(P_G0, P_Hl, P_HPlus, P_GMinus, 1286, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_Hh, 933, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 964, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_HMinus, 993, check)
    call createCurrent(P_Hh, P_Ha, P_Z, 1933, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 1882, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Ha, 2849, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, 984, check)
    call createCurrent(P_Ha, P_Z, P_WPlus, P_HMinus, 1309, check)
    call createCurrent(P_g, P_u, P_uAnti, 958, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 2341, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 138, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hl, 261, check)
    call createCurrent(P_Hh, P_Hh, P_HMinus, P_HPlus, 722, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_Z, 3257, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_Z, 3082, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_G0, 1160, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_A, 2286, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1307, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 2380, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_Hl, 2036, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, P_A, 2939, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 3725, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Hl, 2227, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 729, check)
    call createCurrent(P_Hl, P_Hh, P_WMinus, P_WPlus, 2792, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hl, 3845, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_Z, 1978, check)
    call createCurrent(P_HPlus, P_GMinus, P_GMinus, P_HPlus, 1858, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_Z, 133, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 136, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 1441, check)
    call createCurrent(P_Z, P_GMinus, P_Ha, P_WPlus, 3256, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hh, 654, check)
    call createCurrent(P_bAnti, P_Ha, P_b, 19, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Ha, 3230, check)
    call createCurrent(P_sAnti, P_s, P_A, 674, check)
    call createCurrent(P_G0, P_Hh, P_HPlus, P_HMinus, 2836, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, 1515, check)
    call createCurrent(P_muMinus, P_muPlus, P_Ha, 2279, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, 1095, check)
    call createCurrent(P_HMinus, P_G0, P_Hl, P_HPlus, 3341, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Ha, 2263, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, P_Z, 463, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_HPlus, 2733, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 1401, check)
    call createCurrent(P_A, P_HPlus, P_Hh, P_WMinus, 1591, check)
    call createCurrent(P_HMinus, P_Hh, P_WPlus, P_Z, 67, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_GPlus, 2588, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_HPlus, 2320, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1406, check)
    call createCurrent(P_g, P_sAnti, P_s, 1635, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 357, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_HPlus, 440, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 1585, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_A, 579, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 1923, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_G0, 894, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, 3198, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_A, 3592, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 2528, check)
    call createCurrent(P_t, P_Ha, P_tAnti, 423, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, P_Z, 1838, check)
    call createCurrent(P_ePlus, P_Ha, P_eMinus, 2477, check)
    call createCurrent(P_Hl, P_GMinus, P_Hl, P_HPlus, 1988, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_GMinus, 3333, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, 3532, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 2210, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_HPlus, 141, check)
    call createCurrent(P_cAnti, P_c, P_g, 1334, check)
    call createCurrent(P_cAnti, P_Ha, P_c, 330, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 3010, check)
    call createCurrent(P_dAnti, P_Hh, P_d, 2670, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_Ha, 939, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_HMinus, 1818, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1866, check)
    call createCurrent(P_nu_e, P_ePlus, P_HMinus, 1399, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_G0, 2964, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 3785, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 2497, check)
    call createCurrent(P_Ha, P_eMinus, P_ePlus, 23, check)
    call createCurrent(P_Z, P_Ha, 3578, check)
    call createCurrent(P_HPlus, P_HMinus, P_WPlus, P_WMinus, 2518, check)
    call createCurrent(P_HPlus, P_WMinus, 3175, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, P_Z, 3261, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hl, 3642, check)
    call createCurrent(P_A, P_A, P_G0, P_Ha, 3692, check)
    call createCurrent(P_Hh, P_HPlus, P_Hh, P_HMinus, 905, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_HMinus, 549, check)
    call createCurrent(P_A, P_sAnti, P_s, 1773, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_GMinus, 2129, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hl, 2788, check)
    call createCurrent(P_HMinus, P_Ha, P_A, P_WPlus, 2054, check)
    call createCurrent(P_Ha, P_GMinus, P_G0, P_HPlus, 1087, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 1707, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_HMinus, 3535, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 445, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Hh, 1715, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, 3161, check)
    call createCurrent(P_Ha, P_HMinus, P_Ha, P_GPlus, 1462, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, P_Z, 3013, check)
    call createCurrent(P_d, P_dAnti, P_Z, 1517, check)
    call createCurrent(P_WMinus, P_Ha, P_A, P_GPlus, 2784, check)
    call createCurrent(P_dAnti, P_Ha, P_d, 924, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Hl, 2910, check)
    call createCurrent(P_HMinus, P_tauPlus, P_nu_tau, 535, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_G0, 2608, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_HPlus, 2610, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 1506, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Ha, 1480, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_HMinus, 115, check)
    call createCurrent(P_g, P_g, P_Hh, 3634, check)
    call createCurrent(P_G0, P_Hh, P_G0, 755, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 392, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, P_Z, 2957, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Hh, 3363, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 2047, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_GPlus, 2719, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 2230, check)
    call createCurrent(P_Ha, P_GMinus, P_G0, P_GPlus, 1986, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 1726, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 1998, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 3733, check)
    call createCurrent(P_u, P_Hl, P_uAnti, 1533, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, 2715, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_GPlus, 651, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, 3497, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, 3581, check)
    call createCurrent(P_HPlus, P_g, P_HMinus, P_g, 3738, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 460, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 1239, check)
    call createCurrent(P_Hh, P_HPlus, P_Ha, P_GMinus, 1040, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_GMinus, 1951, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Ha, 3327, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Ha, 2387, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hl, 1277, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 1747, check)
    call createCurrent(P_Z, P_Ha, P_HPlus, P_WMinus, 305, check)
    call createCurrent(P_Ha, P_A, P_WMinus, P_GPlus, 2995, check)
    call createCurrent(P_Hh, P_Z, P_GMinus, P_WPlus, 1225, check)
    call createCurrent(P_Ha, P_G0, P_HPlus, P_GMinus, 1344, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 2157, check)
    call createCurrent(P_A, P_Z, P_Hl, 3063, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 3141, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 3800, check)
    call createCurrent(P_Hl, P_GMinus, P_Ha, P_GPlus, 3038, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, P_Z, 2607, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hh, 2870, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 2935, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 238, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hh, 2821, check)
    call createCurrent(P_sAnti, P_G0, P_s, 931, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_GMinus, 2830, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1093, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 3593, check)
    call createCurrent(P_Ha, P_tauMinus, P_tauPlus, 1539, check)
    call createCurrent(P_Hh, P_G0, P_Z, 2552, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, P_A, 2344, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Ha, 1837, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 2311, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_G0, 433, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_Z, 504, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, P_Z, 1346, check)
    call createCurrent(P_Z, P_s, P_sAnti, 2516, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 3751, check)
    call createCurrent(P_b, P_bAnti, P_A, 489, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 646, check)
    call createCurrent(P_A, P_G0, 2949, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_GPlus, 2222, check)
    call createCurrent(P_GPlus, P_WMinus, P_HMinus, P_WPlus, 3393, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 2568, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hh, 2835, check)
    call createCurrent(P_A, P_Hh, P_GPlus, P_WMinus, 1593, check)
    call createCurrent(P_Z, P_t, P_tAnti, 1777, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hh, 2742, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 179, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_HPlus, 2063, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_HMinus, 1784, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, 1159, check)
    call createCurrent(P_HPlus, P_g, P_GMinus, P_g, 3650, check)
    call createCurrent(P_g, P_g, P_g, P_g, 201, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_GPlus, 2976, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 2208, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hl, 2624, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hh, 1019, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, 1686, check)
    call createCurrent(P_A, P_Ha, P_HMinus, P_WPlus, 1965, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_HPlus, 3167, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_HPlus, 2259, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1871, check)
    call createCurrent(P_Z, P_G0, P_HMinus, P_WPlus, 3587, check)
    call createCurrent(P_bAnti, P_b, P_Hh, 2661, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_G0, 2177, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_GPlus, 2083, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 1178, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, 2558, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, 2461, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_Ha, 1588, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, 1700, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 486, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hh, 476, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Ha, 2440, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hl, 3728, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 565, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_GPlus, 3324, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, P_A, 2956, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 2961, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_Hl, 154, check)
    call createCurrent(P_G0, P_A, P_A, P_Ha, 3695, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 113, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hh, 731, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 2605, check)
    call createCurrent(P_Hl, P_c, P_cAnti, 1582, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hl, 536, check)
    call createCurrent(P_b, P_bAnti, P_Hl, 2169, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_G0, 3464, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hl, 545, check)
    call createCurrent(P_t, P_tAnti, P_Ha, 471, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_G0, 1332, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 1733, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 1560, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 129, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1682, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, P_A, 2716, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 3637, check)
    call createCurrent(P_A, P_HPlus, P_Hl, P_WMinus, 889, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_HPlus, 1206, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_G0, 1298, check)
    call createCurrent(P_Hl, P_GPlus, P_Hh, P_HMinus, 1342, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 176, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 244, check)
    call createCurrent(P_bAnti, P_A, P_b, 1934, check)
    call createCurrent(P_Hh, P_Ha, P_HPlus, P_GMinus, 1263, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_G0, 80, check)
    call createCurrent(P_HMinus, P_ePlus, P_nu_e, 1702, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 3595, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_GMinus, 2571, check)
    call createCurrent(P_G0, P_t, P_tAnti, 1912, check)
    call createCurrent(P_Hl, P_HMinus, P_Hh, P_GPlus, 1834, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_G0, 131, check)
    call createCurrent(P_tAnti, P_Hl, P_t, 703, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Hh, 2070, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 1725, check)
    call createCurrent(P_bAnti, P_g, P_b, 873, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, 2136, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hh, 1952, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 515, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_GMinus, 627, check)
    call createCurrent(P_GMinus, P_GMinus, P_HPlus, P_GPlus, 79, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 2569, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, P_Hl, 2175, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_G0, 3585, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, P_Z, 3447, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 969, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 2527, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_Z, 1880, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_Hl, 537, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_GPlus, 3539, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 578, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, 834, check)
    call createCurrent(P_Z, P_c, P_cAnti, 2412, check)
    call createCurrent(P_Hh, P_HMinus, P_Ha, P_HPlus, 3371, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 402, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 2539, check)
    call createCurrent(P_Ha, P_Hh, P_G0, 857, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, 1077, check)
    call createCurrent(P_g, P_uAnti, P_u, 1110, check)
    call createCurrent(P_Ha, P_Z, P_GMinus, P_WPlus, 3576, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Ha, 2687, check)
    call createCurrent(P_Ha, P_Hl, P_A, 3301, check)
    call createCurrent(P_HMinus, P_Ha, P_Hl, P_GPlus, 96, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 2465, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_Z, 3320, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, 2764, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Hl, 1971, check)
    call createCurrent(P_G0, P_Hl, P_A, 3338, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 1351, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_HMinus, 702, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_Hl, 2614, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, 3423, check)
    call createCurrent(P_WMinus, P_A, P_Ha, P_HPlus, 2037, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 817, check)
    call createCurrent(P_A, P_G0, P_Ha, P_A, 3877, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hh, 3589, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1259, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 37, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, 957, check)
    call createCurrent(P_G0, P_Ha, P_A, P_Z, 3703, check)
    call createCurrent(P_tauMinus, P_Hl, P_tauPlus, 1706, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 1080, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 1580, check)
    call createCurrent(P_Ha, P_HPlus, P_Hh, P_GMinus, 837, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 173, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hh, 2102, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_A, 3060, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, P_Z, 1345, check)
    call createCurrent(P_HPlus, P_GMinus, P_WMinus, P_WPlus, 2914, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hl, 2018, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 2361, check)
    call createCurrent(P_Hh, P_Ha, P_GPlus, P_GMinus, 3168, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_Ha, 841, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 485, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 849, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 3630, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Ha, 3526, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, 528, check)
    call createCurrent(P_Ha, P_Ha, P_g, P_g, 3671, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_Ha, 1762, check)
    call createCurrent(P_Ha, P_Z, P_A, P_G0, 3763, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 3684, check)
    call createCurrent(P_Hh, P_Hl, P_Ha, P_Ha, 2239, check)
    call createCurrent(P_Z, P_Hh, P_HMinus, P_WPlus, 2118, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 2146, check)
    call createCurrent(P_d, P_Hh, P_dAnti, 631, check)
    call createCurrent(P_Ha, P_cAnti, P_c, 1041, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 1793, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_Z, 3033, check)
    call createCurrent(P_Hh, P_Hh, P_g, P_g, 3623, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_G0, 1814, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_HMinus, 2965, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, 3566, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 3702, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, P_Hh, 1479, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_Ha, 1280, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, P_Z, 232, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, 3570, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_Z, 3351, check)
    call createCurrent(P_Z, P_cAnti, P_c, 728, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hl, 26, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 2076, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_Ha, 2010, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 3293, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1520, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Ha, 3869, check)
    call createCurrent(P_HPlus, P_HPlus, P_GMinus, P_HMinus, 2334, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Hh, 325, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, P_Z, 2135, check)
    call createCurrent(P_HMinus, P_GPlus, P_HMinus, P_HPlus, 2144, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hl, 2160, check)
    call createCurrent(P_WMinus, P_HPlus, 2823, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hh, 3840, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Hl, 2241, check)
    call createCurrent(P_WMinus, P_HPlus, P_Ha, 2215, check)
    call createCurrent(P_muMinus, P_HPlus, P_nu_muAnti, 2683, check)
    call createCurrent(P_g, P_A, P_g, P_A, 3749, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, 1287, check)
    call createCurrent(P_G0, P_HPlus, P_Hl, P_HMinus, 3185, check)
    call createCurrent(P_Z, P_Z, P_Hh, 488, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, P_Z, 2915, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_HPlus, 1463, check)
    call createCurrent(P_bAnti, P_b, P_Ha, 2690, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 2686, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, 418, check)
    call createCurrent(P_cAnti, P_c, P_A, 401, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 273, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, 1832, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_Ha, 396, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 2627, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_A, 1659, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_HPlus, 3143, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 2509, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 1049, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 3826, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_GPlus, 2391, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_HPlus, 752, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 558, check)
    call createCurrent(P_u, P_uAnti, P_G0, 1407, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_GMinus, 3231, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 2696, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_A, 3568, check)
    call createCurrent(P_HPlus, P_Hl, P_Hl, P_GMinus, 493, check)
    call createCurrent(P_Hl, P_Hl, P_HMinus, P_GPlus, 2084, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_Z, 2009, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_GMinus, 364, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_G0, 934, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, 3318, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 1426, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 373, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_GPlus, 1270, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Hh, 7, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_Hh, 2153, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hl, 3499, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Ha, 3277, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hh, 825, check)
    call createCurrent(P_WMinus, P_Ha, P_Ha, P_WPlus, 1256, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 2410, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hh, 1696, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Ha, 2526, check)
    call createCurrent(P_Hh, P_HMinus, P_Hl, P_GPlus, 1326, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hh, 568, check)
    call createCurrent(P_GMinus, P_HPlus, P_A, 3011, check)
    call createCurrent(P_G0, P_Ha, P_GMinus, P_GPlus, 122, check)
    call createCurrent(P_g, P_g, P_GPlus, P_HMinus, 3792, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, 3174, check)
    call createCurrent(P_t, P_bAnti, P_HMinus, 395, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, P_A, 2878, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Hh, 2812, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 2323, check)
    call createCurrent(P_Ha, P_A, P_WPlus, P_GMinus, 3571, check)
    call createCurrent(P_Z, P_G0, P_Hh, 1639, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hl, 2787, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_GMinus, 3469, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_GMinus, 2123, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_Ha, 656, check)
    call createCurrent(P_g, P_GMinus, P_g, P_HPlus, 3686, check)
    call createCurrent(P_Hl, P_WMinus, P_Hh, P_WPlus, 3264, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_GMinus, 3425, check)
    call createCurrent(P_Hh, P_Hl, P_HMinus, P_GPlus, 1650, check)
    call createCurrent(P_HMinus, P_Hh, P_Z, P_WPlus, 1803, check)
    call createCurrent(P_A, P_G0, P_A, P_Ha, 3844, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hh, 1900, check)
    call createCurrent(P_Hh, P_Z, P_Ha, 2692, check)
    call createCurrent(P_uAnti, P_u, P_A, 986, check)
    call createCurrent(P_tAnti, P_G0, P_t, 2078, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, 2977, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, 3471, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hh, 3270, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 1375, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_G0, 607, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 1113, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_A, 1529, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 481, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_G0, 3035, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hh, 1665, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, 298, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1970, check)
    call createCurrent(P_Hh, P_Hh, 3448, check)
    call createCurrent(P_G0, P_Ha, P_Hh, P_Hl, 1338, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 973, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 1322, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_GPlus, 1505, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Ha, 730, check)
    call createCurrent(P_GPlus, P_Ha, P_Hl, P_HMinus, 2479, check)
    call createCurrent(P_g, P_G0, P_Ha, P_g, 3712, check)
    call createCurrent(P_WMinus, P_Hh, P_Z, P_GPlus, 2488, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, 1992, check)
    call createCurrent(P_Hl, P_A, P_GPlus, P_WMinus, 1561, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 3754, check)
    call createCurrent(P_Z, P_Ha, P_WMinus, P_GPlus, 3289, check)
    call createCurrent(P_c, P_cAnti, P_G0, 2427, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_Hh, 2724, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 2581, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 1183, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 1993, check)
    call createCurrent(P_b, P_bAnti, P_g, 1636, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_HMinus, 1467, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_GPlus, 918, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 315, check)
    call createCurrent(P_Ha, P_G0, P_WPlus, P_WMinus, 3453, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_GMinus, 1613, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 707, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 467, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 561, check)
    call createCurrent(P_Hl, P_Ha, P_Hl, P_G0, 1804, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_Z, 1498, check)
    call createCurrent(P_Hl, P_WPlus, P_Hh, P_WMinus, 3319, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hl, 3782, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, 1942, check)
    call createCurrent(P_g, P_A, P_A, P_g, 3645, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 2017, check)
    call createCurrent(P_Ha, P_g, P_g, P_Ha, 3734, check)
    call createCurrent(P_G0, P_Ha, P_G0, 3657, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1125, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hh, 2213, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, P_Hl, 320, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_G0, 2131, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Hl, 1825, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 2647, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 3722, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 3651, check)
    call createCurrent(P_G0, P_Ha, P_Hh, 1100, check)
    call createCurrent(P_A, P_GMinus, P_Hl, P_WPlus, 594, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, P_A, 1893, check)
    call createCurrent(P_WPlus, P_Z, P_Hh, P_GMinus, 2237, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_GMinus, 2166, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, 2436, check)
    call createCurrent(P_eMinus, P_ePlus, P_Hl, 2403, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1985, check)
    call createCurrent(P_HMinus, P_HMinus, P_GPlus, P_GPlus, 2473, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 2039, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_G0, 3441, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_HPlus, 3403, check)
    call createCurrent(P_dAnti, P_A, P_d, 462, check)
    call createCurrent(P_Hl, P_G0, P_A, 3228, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_A, 2873, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, 382, check)
    call createCurrent(P_GPlus, P_WMinus, 3275, check)
    call createCurrent(P_Ha, P_WMinus, P_Z, P_HPlus, 1116, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1135, check)
    call createCurrent(P_Ha, P_A, P_Z, P_G0, 3682, check)
    call createCurrent(P_Ha, P_GMinus, P_A, P_WPlus, 2881, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1336, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1253, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hh, 3689, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 3870, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1968, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 304, check)
    call createCurrent(P_A, P_Hl, P_WMinus, P_GPlus, 235, check)
    call createCurrent(P_Z, P_Ha, P_G0, P_Z, 3538, check)
    call createCurrent(P_Hh, P_Ha, P_HMinus, P_HPlus, 3030, check)
    call createCurrent(P_s, P_sAnti, 3067, check)
    call createCurrent(P_HMinus, P_Z, P_Hl, P_WPlus, 2130, check)
    call createCurrent(P_dAnti, P_d, P_Ha, 650, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Ha, 1760, check)
    call createCurrent(P_Ha, P_HPlus, P_A, P_WMinus, 2576, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_HPlus, 2958, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, 327, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 1626, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 1815, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hl, 883, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 51, check)
    call createCurrent(P_A, P_Ha, P_Z, P_G0, 3631, check)
    call createCurrent(P_Ha, P_Hh, P_Hh, P_Ha, 634, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 2586, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, 1750, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_HPlus, 3156, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_G0, 119, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 3767, check)
    call createCurrent(P_WMinus, P_HMinus, P_GPlus, P_WPlus, 3340, check)
    call createCurrent(P_GMinus, P_A, P_A, P_HPlus, 2790, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1173, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hh, 3708, check)
    call createCurrent(P_Hl, P_A, P_GMinus, P_WPlus, 977, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 1973, check)
    call createCurrent(P_uAnti, P_u, P_Z, 1721, check)
    call createCurrent(P_Z, P_G0, P_A, P_Ha, 3824, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, 3557, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, 358, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, P_Hl, 554, check)
    call createCurrent(P_GPlus, P_HMinus, 3450, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 1096, check)
    call createCurrent(P_HPlus, P_G0, P_Hl, P_HMinus, 3349, check)
    call createCurrent(P_Ha, P_G0, 2918, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_Z, 3272, check)
    call createCurrent(P_HMinus, P_Hl, P_G0, P_GPlus, 2020, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 638, check)
    call createCurrent(P_GMinus, P_HPlus, 3528, check)
    call createCurrent(P_WPlus, P_Hl, P_Hh, P_WMinus, 3061, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 2108, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Hh, 2068, check)
    call createCurrent(P_G0, P_HPlus, P_WMinus, P_Z, 2993, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_GMinus, 2845, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_GPlus, 2758, check)
    call createCurrent(P_Z, P_HMinus, P_GPlus, 3235, check)
    call createCurrent(P_G0, P_Z, P_Ha, P_A, 3799, check)
    call createCurrent(P_c, P_cAnti, P_g, 456, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, 1001, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_Hl, 914, check)
    call createCurrent(P_cAnti, P_c, P_G0, 1180, check)
    call createCurrent(P_G0, P_G0, 2824, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 2254, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, 705, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Ha, 882, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 2234, check)
    call createCurrent(P_nu_tau, P_HMinus, P_tauPlus, 1705, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_HMinus, 1852, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_HPlus, 3133, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_GMinus, 3336, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 2567, check)
    call createCurrent(P_Hh, P_Z, P_WPlus, P_GMinus, 1864, check)
    call createCurrent(P_GPlus, P_Ha, P_G0, P_GMinus, 353, check)
    call createCurrent(P_GMinus, P_Z, P_Hh, P_WPlus, 719, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_Ha, 437, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 105, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_HPlus, 1324, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Ha, 1925, check)
    call createCurrent(P_Z, P_HMinus, P_Hh, P_WPlus, 1797, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_G0, 813, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 644, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 809, check)
    call createCurrent(P_Z, P_HMinus, P_Hl, P_WPlus, 457, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hl, 1265, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, 1624, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_A, 1926, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 41, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 225, check)
    call createCurrent(P_Ha, P_WMinus, P_WPlus, P_G0, 3126, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 1640, check)
    call createCurrent(P_A, P_HPlus, P_A, P_HMinus, 2014, check)
    call createCurrent(P_Hl, P_Z, P_WPlus, P_HMinus, 732, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, 859, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 932, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, 601, check)
    call createCurrent(P_HMinus, P_Ha, P_Ha, P_GPlus, 1759, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 2016, check)
    call createCurrent(P_Ha, P_GPlus, P_A, P_WMinus, 2880, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 2475, check)
    call createCurrent(P_Hh, P_sAnti, P_s, 1025, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_HMinus, 2832, check)
    call createCurrent(P_GPlus, P_Hl, P_Ha, P_GMinus, 3268, check)
    call createCurrent(P_HPlus, P_HPlus, P_HMinus, P_GMinus, 1962, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 47, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 61, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 3784, check)
    call createCurrent(P_Hl, P_HPlus, P_G0, P_HMinus, 3238, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 2652, check)
    call createCurrent(P_G0, P_Hh, P_GMinus, P_HPlus, 2265, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 721, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_GMinus, 790, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 2095, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Hl, 2081, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_G0, 2035, check)
    call createCurrent(P_Hh, P_HPlus, P_Hl, P_GMinus, 2540, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 1576, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_GPlus, 1272, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_Ha, 1170, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_GMinus, 2393, check)
    call createCurrent(P_Z, P_WMinus, P_Hl, P_HPlus, 2421, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_G0, 3414, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 3816, check)
    call createCurrent(P_g, P_bAnti, P_b, 421, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_G0, 2789, check)
    call createCurrent(P_Z, P_Hl, P_WMinus, P_HPlus, 1461, check)
    call createCurrent(P_Hl, P_GPlus, P_G0, P_HMinus, 880, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 587, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_HPlus, 1379, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_A, 2077, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, 1499, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Ha, 3176, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 1213, check)
    call createCurrent(P_Hl, P_HPlus, P_Hl, P_HMinus, 480, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 2089, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, 1778, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 74, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hh, 2317, check)
    call createCurrent(P_Ha, P_G0, P_Ha, P_G0, 1828, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 1367, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 3863, check)
    call createCurrent(P_Hl, P_Hl, P_g, P_g, 3717, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hh, 505, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1417, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 187, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 2695, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_GMinus, 1405, check)
    call createCurrent(P_A, P_Ha, P_WPlus, P_GMinus, 3579, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_G0, 1435, check)
    call createCurrent(P_bAnti, P_b, P_A, 534, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 2609, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 633, check)
    call createCurrent(P_GPlus, P_Ha, P_A, P_WMinus, 2777, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_A, 2648, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_HMinus, 1201, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 1729, check)
    call createCurrent(P_WPlus, P_Ha, P_Z, P_HMinus, 867, check)
    call createCurrent(P_WMinus, P_Ha, P_Z, P_GPlus, 2971, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, 58, check)
    call createCurrent(P_Z, P_WPlus, P_Hh, P_GMinus, 2180, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_HPlus, 2486, check)
    call createCurrent(P_Hh, P_Hl, P_HPlus, P_GMinus, 1555, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 1594, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, 1102, check)
    call createCurrent(P_ePlus, P_HMinus, P_nu_e, 2161, check)
    call createCurrent(P_Hh, P_A, P_WMinus, P_HPlus, 1518, check)
    call createCurrent(P_Ha, P_Z, P_A, P_Ha, 3322, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_HMinus, 3540, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_Z, 3166, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 1851, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hh, 2447, check)
    call createCurrent(P_G0, P_g, P_g, P_Ha, 3676, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 2251, check)
    call createCurrent(P_HMinus, P_g, P_GPlus, P_g, 3744, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_G0, 109, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_HPlus, 1004, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 1895, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, P_Z, 3298, check)
    call createCurrent(P_Ha, P_u, P_uAnti, 2128, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hh, 1187, check)
    call createCurrent(P_Ha, P_Hh, P_HPlus, P_GMinus, 199, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_HPlus, 140, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hl, 3115, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 164, check)
    call createCurrent(P_WMinus, P_HPlus, P_WPlus, P_GMinus, 2860, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, 1067, check)
    call createCurrent(P_WMinus, P_GPlus, P_HMinus, P_WPlus, 2842, check)
    call createCurrent(P_g, P_GPlus, P_HMinus, P_g, 3647, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, P_A, 2630, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Hl, 2757, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 783, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, 3132, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 911, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Ha, 2541, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, 186, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 2435, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Ha, 503, check)
    call createCurrent(P_g, P_g, P_Ha, P_Ha, 3876, check)
    call createCurrent(P_Hl, P_Ha, P_Hh, P_G0, 745, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 2295, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_GPlus, 1361, check)
    call createCurrent(P_HMinus, P_Hl, P_Ha, P_HPlus, 3562, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_GPlus, 2340, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hl, 1943, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hh, 2335, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 56, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Ha, 1881, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, P_Z, 3130, check)
    call createCurrent(P_g, P_HPlus, P_g, P_GMinus, 3662, check)
    call createCurrent(P_Ha, P_HMinus, P_A, P_WPlus, 1109, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, 2545, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_GMinus, 2625, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, P_A, 1792, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_HMinus, 1456, check)
    call createCurrent(P_Ha, P_G0, P_HMinus, P_GPlus, 1054, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Hh, 2163, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 1153, check)
    call createCurrent(P_G0, P_Hl, P_GMinus, P_GPlus, 2868, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 929, check)
    call createCurrent(P_Z, P_G0, 3546, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, 3091, check)
    call createCurrent(P_A, P_A, P_HPlus, P_GMinus, 2955, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_G0, 1413, check)
    call createCurrent(P_Hh, P_GMinus, P_Ha, P_GPlus, 2795, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_HPlus, 2779, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 1608, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1146, check)
    call createCurrent(P_GPlus, P_A, P_Ha, P_WMinus, 3376, check)
    call createCurrent(P_HPlus, P_Ha, P_Ha, P_HMinus, 725, check)
    call createCurrent(P_G0, P_HMinus, P_WPlus, 2809, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_HMinus, 3282, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_HPlus, 1126, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, 363, check)
    call createCurrent(P_A, P_HPlus, P_Ha, P_WMinus, 48, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 2673, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, 2986, check)
    call createCurrent(P_uAnti, P_g, P_u, 842, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_G0, 3561, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 3667, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Ha, 1734, check)
    call createCurrent(P_Hh, P_Z, P_Z, 602, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 781, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 2513, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, 3344, check)
    call createCurrent(P_G0, P_A, 3271, check)
    call createCurrent(P_Hl, P_uAnti, P_u, 733, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 3714, check)
    call createCurrent(P_G0, P_Ha, P_Z, P_A, 3591, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 106, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_HPlus, 605, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_HMinus, 1717, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, 2754, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 3851, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 1308, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Ha, 2296, check)
    call createCurrent(P_uAnti, P_Hl, P_u, 2492, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_GMinus, 44, check)
    call createCurrent(P_Hl, P_A, P_WMinus, P_HPlus, 2110, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hh, 3756, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1359, check)
    call createCurrent(P_b, P_Ha, P_bAnti, 1470, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 1494, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_HMinus, 2285, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 748, check)
    call createCurrent(P_Z, P_G0, P_Z, P_Ha, 2783, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hh, 3346, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, P_Z, 2786, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 2549, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_HMinus, 2346, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_Ha, 2603, check)
    call createCurrent(P_HPlus, P_cAnti, P_s, 434, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_HPlus, 1198, check)
    call createCurrent(P_dAnti, P_d, P_G0, 1568, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_A, 2192, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_G0, 2280, check)
    call createCurrent(P_G0, P_cAnti, P_c, 1888, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 2432, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 3613, check)
    call createCurrent(P_c, P_G0, P_cAnti, 709, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 1528, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_HMinus, 516, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 2329, check)
    call createCurrent(P_GMinus, P_Ha, P_A, P_WPlus, 3378, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_HMinus, 2030, check)
    call createCurrent(P_WMinus, P_Hh, P_HPlus, 2106, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_G0, 3212, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Ha, 671, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Hh, 3480, check)
    call createCurrent(P_Hl, P_WMinus, P_Z, P_GPlus, 1641, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, 293, check)
    call createCurrent(P_Z, P_Ha, P_Hh, 1445, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 1223, check)
    call createCurrent(P_Ha, P_HPlus, P_Ha, P_HMinus, 2281, check)
    call createCurrent(P_HPlus, P_Hh, P_Hh, P_GMinus, 775, check)
    call createCurrent(P_Hh, P_eMinus, P_ePlus, 2238, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1323, check)
    call createCurrent(P_A, P_A, P_Ha, P_Ha, 3653, check)
    call createCurrent(P_c, P_cAnti, P_Ha, 465, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hh, 2026, check)
    call createCurrent(P_Hh, P_A, P_A, 3709, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hh, 2195, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, P_A, 2929, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_HPlus, 417, check)
    call createCurrent(P_Ha, P_WMinus, P_GPlus, P_Z, 3073, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_HMinus, 1234, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, 510, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, P_Z, 2799, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 904, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 3618, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 2256, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 1439, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 2950, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 1433, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hl, 3529, check)
    call createCurrent(P_Ha, P_G0, P_g, P_g, 3825, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_Ha, 3279, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 3347, check)
    call createCurrent(P_Ha, P_g, P_Ha, P_g, 3849, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 2370, check)
    call createCurrent(P_Ha, P_Z, P_Hh, 2156, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hl, 2489, check)
    call createCurrent(P_g, P_g, P_g, P_A, 3636, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 250, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_Z, 345, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 1374, check)
    call createCurrent(P_GPlus, P_Z, P_Ha, P_WMinus, 2711, check)
    call createCurrent(P_A, P_dAnti, P_d, 1908, check)
    call createCurrent(P_HMinus, P_GPlus, P_WMinus, P_WPlus, 3043, check)
    call createCurrent(P_HPlus, P_Hl, P_Hl, P_HMinus, 569, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 2653, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 1383, check)
    call createCurrent(P_Z, P_u, P_uAnti, 2306, check)
    call createCurrent(P_d, P_HPlus, P_uAnti, 2437, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, 3260, check)
    call createCurrent(P_Hl, P_Z, P_WMinus, P_HPlus, 1732, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, 3184, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 2050, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 1138, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, 264, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 259, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, 70, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Ha, 741, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 1438, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_GPlus, 1592, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 243, check)
    call createCurrent(P_Hh, P_G0, P_HMinus, P_HPlus, 2984, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_HMinus, 2434, check)
    call createCurrent(P_A, P_Hl, P_Z, 2720, check)
    call createCurrent(P_HMinus, P_Z, P_G0, P_WPlus, 3364, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_A, 3194, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_HPlus, 3121, check)
    call createCurrent(P_d, P_dAnti, P_Hl, 652, check)
    call createCurrent(P_Z, P_Z, P_Hl, 1137, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hh, 1579, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, P_A, 3544, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Ha, 2542, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, 469, check)
    call createCurrent(P_G0, P_GMinus, P_Hl, P_GPlus, 2763, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 2383, check)
    call createCurrent(P_G0, P_Ha, P_G0, P_Ha, 1898, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, P_A, 1195, check)
    call createCurrent(P_eMinus, P_HPlus, P_nu_eAnti, 137, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, 339, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_HMinus, 52, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hh, 3797, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_HMinus, 843, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_HMinus, 35, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hl, 3352, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_GPlus, 108, check)
    call createCurrent(P_dAnti, P_Hl, P_d, 2409, check)
    call createCurrent(P_t, P_G0, P_tAnti, 838, check)
    call createCurrent(P_g, P_Hl, P_g, 3871, check)
    call createCurrent(P_d, P_Ha, P_dAnti, 95, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_Z, 588, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 2385, check)
    call createCurrent(P_WMinus, P_Hh, P_A, P_HPlus, 683, check)
    call createCurrent(P_HPlus, P_HMinus, 3488, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hh, 2140, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, P_Z, 2811, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 2257, check)
    call createCurrent(P_HMinus, P_G0, P_Hh, P_GPlus, 2596, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_HPlus, 1189, check)
    call createCurrent(P_Ha, P_Ha, P_HMinus, P_HPlus, 2405, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 2034, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_GPlus, 2822, check)
    call createCurrent(P_HPlus, P_g, P_g, P_HMinus, 3723, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_GMinus, 3504, check)
    call createCurrent(P_Hl, P_Hh, P_Ha, P_G0, 45, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_GMinus, 2938, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 846, check)
    call createCurrent(P_Z, P_A, P_Hh, 3050, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Ha, 1655, check)
    call createCurrent(P_uAnti, P_HPlus, P_d, 369, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, 1147, check)
    call createCurrent(P_cAnti, P_c, P_Z, 91, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hl, 1148, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_G0, 2867, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, 2472, check)
    call createCurrent(P_Ha, P_Ha, P_WMinus, P_WPlus, 620, check)
    call createCurrent(P_Ha, P_Hh, P_GMinus, P_GPlus, 2864, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 425, check)
    call createCurrent(P_A, P_Hh, P_Ha, 2967, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_HMinus, 2739, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_HMinus, 2770, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 807, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 468, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_GMinus, 2394, check)
    call createCurrent(P_G0, P_Ha, 3041, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Ha, 1572, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_GMinus, 2121, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 3016, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 726, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_A, 2291, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_Z, 2761, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Ha, 3383, check)
    call createCurrent(P_Ha, P_GMinus, P_Hl, P_GPlus, 3062, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_G0, 2765, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_HMinus, 1, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 689, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 1372, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_GPlus, 2228, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, 1889, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 3300, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, P_Z, 3248, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hl, 2747, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 385, check)
    call createCurrent(P_WPlus, P_GPlus, P_HMinus, P_WMinus, 2743, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, 2170, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hh, 355, check)
    call createCurrent(P_GMinus, P_Ha, P_Z, P_WPlus, 3179, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 2193, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 1654, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 1581, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, 3466, check)
    call createCurrent(P_HPlus, P_g, P_g, P_GMinus, 3823, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 206, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hh, 1538, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Ha, 3183, check)
    call createCurrent(P_WPlus, P_G0, P_HMinus, P_A, 2994, check)
    call createCurrent(P_u, P_A, P_uAnti, 262, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 59, check)
    call createCurrent(P_GMinus, P_Hh, P_Z, P_WPlus, 1091, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_HPlus, 1722, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_HPlus, 2972, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, 3101, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 2594, check)
    call createCurrent(P_Hh, P_b, P_bAnti, 2422, check)
    call createCurrent(P_A, P_u, P_uAnti, 2348, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 1034, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hh, 257, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_G0, 2838, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hh, 3020, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hh, 2755, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 987, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_Ha, 2120, check)
    call createCurrent(P_s, P_sAnti, P_Hh, 1620, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_HMinus, 251, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_G0, 1443, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hl, 968, check)
    call createCurrent(P_Ha, P_G0, P_A, P_A, 3831, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hl, 961, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 639, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_Ha, 1969, check)
    call createCurrent(P_HMinus, P_GPlus, 3026, check)
    call createCurrent(P_GMinus, P_Ha, P_Hh, P_HPlus, 1642, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, 3443, check)
    call createCurrent(P_HMinus, P_nu_tau, P_tauPlus, 1849, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 1363, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hl, 610, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 693, check)
    call createCurrent(P_bAnti, P_Hl, P_b, 260, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hh, 1288, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 1941, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_G0, 2572, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_A, 3103, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 1164, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_A, 1842, check)
    call createCurrent(P_Ha, P_muMinus, P_muPlus, 1350, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hh, 269, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 1556, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1870, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_HMinus, 3519, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 130, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 3711, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_A, 3283, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_GMinus, 350, check)
    call createCurrent(P_WMinus, P_Ha, P_WPlus, P_G0, 2725, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_GPlus, 2982, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 2025, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, 3400, check)
    call createCurrent(P_HMinus, P_Hh, P_Hh, P_GPlus, 2196, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1003, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1558, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 2024, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_G0, 1039, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_G0, 397, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 3444, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 1754, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 352, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hh, 1472, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 2591, check)
    call createCurrent(P_Ha, P_Ha, P_Z, P_A, 3416, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 3833, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 1285, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, 2728, check)
    call createCurrent(P_HPlus, P_HMinus, P_g, P_g, 3699, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, 3214, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_A, 1207, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Ha, 1284, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, P_Z, 2721, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_G0, 1415, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_GPlus, 1238, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_GMinus, 1242, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 2675, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hl, 220, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 541, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hh, 3031, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 3853, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_G0, 598, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_HMinus, 3417, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 2302, check)
    call createCurrent(P_Z, P_Hl, P_GMinus, P_WPlus, 334, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 2338, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 3616, check)
    call createCurrent(P_G0, P_A, P_Ha, P_A, 3741, check)
    call createCurrent(P_HMinus, P_A, P_Hl, P_WPlus, 1885, check)
    call createCurrent(P_Ha, P_G0, P_WMinus, P_WPlus, 3246, check)
    call createCurrent(P_GMinus, P_WPlus, P_Ha, P_A, 3424, check)
    call createCurrent(P_Hh, P_G0, P_A, 2903, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 797, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 2119, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Ha, 3046, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 2019, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hl, 3791, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hl, 2411, check)
    call createCurrent(P_Hh, P_WPlus, P_Z, P_HMinus, 679, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_Ha, 410, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 272, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_HMinus, 1907, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 349, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, 2617, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 2451, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 2218, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 253, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 3838, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 282, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 376, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Hl, 3106, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Ha, 1688, check)
    call createCurrent(P_Ha, P_tauPlus, P_tauMinus, 177, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_G0, 2909, check)
    call createCurrent(P_muPlus, P_nu_mu, P_HMinus, 2023, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, 3027, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 3836, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_Z, 3384, check)
    call createCurrent(P_g, P_g, P_HMinus, P_GPlus, 3873, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_HPlus, 3354, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 342, check)
    call createCurrent(P_bAnti, P_t, P_HMinus, 1805, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_HMinus, 704, check)
    call createCurrent(P_s, P_sAnti, P_Ha, 120, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 2045, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, 1291, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_GMinus, 3015, check)
    call createCurrent(P_HPlus, P_G0, P_Z, P_WMinus, 2942, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_HPlus, 2381, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hl, 991, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 1577, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 550, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1633, check)
    call createCurrent(P_uAnti, P_Hh, P_u, 760, check)
    call createCurrent(P_g, P_HPlus, P_g, P_HMinus, 3842, check)
    call createCurrent(P_muMinus, P_Ha, P_muPlus, 1653, check)
    call createCurrent(P_g, P_HMinus, P_g, P_GPlus, 3867, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 2233, check)
    call createCurrent(P_nu_tauAnti, P_HPlus, P_tauMinus, 2669, check)
    call createCurrent(P_g, P_A, P_g, P_g, 3780, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, P_A, 770, check)
    call createCurrent(P_Ha, P_g, P_g, P_G0, 3617, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, P_A, 723, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 2580, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hh, 1743, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 1553, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_HPlus, 1434, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 714, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 1389, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 1500, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 1648, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 267, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_G0, 1134, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 3669, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, P_Z, 1139, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_HPlus, 2953, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 2248, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, 2843, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 922, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_HPlus, 1785, check)
    call createCurrent(P_G0, P_HMinus, P_Ha, P_HPlus, 2502, check)
    call createCurrent(P_cAnti, P_Hh, P_c, 1530, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Ha, 2776, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_GMinus, 32, check)
    call createCurrent(P_A, P_Hl, P_GPlus, P_WMinus, 195, check)
    call createCurrent(P_A, P_A, P_Hl, 3839, check)
    call createCurrent(P_G0, P_Z, P_HPlus, P_WMinus, 3511, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, 1845, check)
    call createCurrent(P_GPlus, P_HMinus, P_GMinus, P_GPlus, 2074, check)
    call createCurrent(P_Hl, P_Hl, P_WMinus, P_WPlus, 1865, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 494, check)
    call createCurrent(P_GPlus, P_GMinus, 2890, check)
    call createCurrent(P_WPlus, P_Ha, P_G0, P_WMinus, 2911, check)
    call createCurrent(P_c, P_g, P_cAnti, 286, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 3661, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, P_Z, 1823, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_Ha, 332, check)
    call createCurrent(P_Ha, P_G0, P_G0, 3770, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_Ha, 2444, check)
    call createCurrent(P_G0, P_Z, P_HMinus, P_WPlus, 3199, check)
    call createCurrent(P_c, P_cAnti, P_Z, 497, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Hl, 165, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hl, 524, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_HPlus, 3032, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 2419, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Hh, 388, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, 1863, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hh, 1052, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 526, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, 1075, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, P_A, 3552, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Hl, 694, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Ha, 3265, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_GPlus, 1703, check)
    call createCurrent(P_GMinus, P_Ha, P_WPlus, P_A, 3550, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hh, 622, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Ha, 2619, check)
    call createCurrent(P_Z, P_Hl, P_HMinus, P_WPlus, 1615, check)
    call createCurrent(P_u, P_Ha, P_uAnti, 779, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, 1262, check)
    call createCurrent(P_dAnti, P_Z, P_d, 1789, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1460, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hl, 3809, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hl, 3054, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, P_Z, 812, check)
    call createCurrent(P_Hl, P_Z, P_HPlus, P_WMinus, 300, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, 1514, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_G0, 2973, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1022, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_GPlus, 3572, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 1371, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 135, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1314, check)
    call createCurrent(P_uAnti, P_u, P_G0, 1813, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 1855, check)
    call createCurrent(P_s, P_HPlus, P_cAnti, 2642, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 852, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, 1800, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, P_A, 2194, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hl, 1097, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 2029, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 2181, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_G0, 2817, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, 3262, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_A, 2185, check)
    call createCurrent(P_G0, P_Hh, P_Z, 1997, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, 2899, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 626, check)
    call createCurrent(P_g, P_g, P_HPlus, P_HMinus, 3742, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hh, 1440, check)
    call createCurrent(P_Hl, P_b, P_bAnti, 2604, check)
    call createCurrent(P_GPlus, P_Hl, P_Ha, P_HMinus, 853, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_Z, 3455, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_HPlus, 2796, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_GMinus, 207, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 771, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Hl, 642, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hl, 800, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 3177, check)
    call createCurrent(P_Ha, P_G0, P_A, P_Z, 3608, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_A, 2752, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_Ha, 3462, check)
    call createCurrent(P_Hl, P_GMinus, P_G0, P_HPlus, 1447, check)
    call createCurrent(P_HMinus, P_Ha, P_Hl, P_HPlus, 2766, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_A, 3624, check)
    call createCurrent(P_GPlus, P_Hh, P_Ha, P_HMinus, 157, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 1032, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, P_A, 2905, check)
    call createCurrent(P_A, P_Ha, P_WMinus, P_GPlus, 2745, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 2204, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 490, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, 3563, check)
    call createCurrent(P_A, P_A, 3367, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_GPlus, 597, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, P_Z, 1595, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_HPlus, 1774, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1812, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_G0, 1928, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_Z, 3843, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_G0, 566, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_Ha, 98, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 1481, check)
    call createCurrent(P_HPlus, P_Hh, P_Hl, P_HMinus, 1819, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, 3196, check)
    call createCurrent(P_GMinus, P_Z, P_Ha, P_WPlus, 3118, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_Z, 2536, check)
    call createCurrent(P_WMinus, P_Ha, P_A, P_HPlus, 1902, check)
    call createCurrent(P_b, P_bAnti, 3211, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, 92, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_HMinus, 3226, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 600, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_GPlus, 1071, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 2522, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 1015, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_HPlus, 1010, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_HMinus, 517, check)
    call createCurrent(P_A, P_A, P_g, P_g, 3627, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_HPlus, 1950, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, P_A, 3150, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_HMinus, 1575, check)
    call createCurrent(P_s, P_Hl, P_sAnti, 2176, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 1503, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 3753, check)
    call createCurrent(P_Hl, P_HMinus, P_Ha, P_GPlus, 303, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_GMinus, 1072, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_HPlus, 1373, check)
    call createCurrent(P_Hh, P_HMinus, P_Z, P_WPlus, 43, check)
    call createCurrent(P_Hl, P_tAnti, P_t, 1690, check)
    call createCurrent(P_HPlus, P_HMinus, P_WMinus, P_WPlus, 530, check)
    call createCurrent(P_Z, P_G0, P_HPlus, P_WMinus, 3234, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, P_Hh, 2698, check)
    call createCurrent(P_Ha, P_G0, P_Hh, P_Hh, 833, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 2098, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_HMinus, 448, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_HMinus, 2189, check)
    call createCurrent(P_Hl, P_G0, P_HPlus, P_GMinus, 438, check)
    call createCurrent(P_Hh, P_WMinus, P_Hh, P_WPlus, 2178, check)
    call createCurrent(P_HPlus, P_GMinus, 3102, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1826, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_HMinus, 1921, check)
    call createCurrent(P_GPlus, P_HMinus, P_HMinus, P_GPlus, 1311, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hl, 2398, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_GMinus, 2270, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, 563, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Ha, 2097, check)
    call createCurrent(P_Ha, P_muPlus, P_muMinus, 1306, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, 3007, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 1924, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_A, 557, check)
    call createCurrent(P_GMinus, P_g, P_g, P_HPlus, 3652, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1618, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 982, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_HMinus, 1331, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hl, 3796, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_HMinus, 1235, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Ha, 3678, check)
    call createCurrent(P_GPlus, P_HMinus, P_GPlus, P_GMinus, 287, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_GPlus, 678, check)
    call createCurrent(P_WMinus, P_GPlus, 2709, check)
    call createCurrent(P_Ha, P_HMinus, P_Hl, P_GPlus, 420, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 1975, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 444, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 2397, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_HPlus, 1771, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, 2360, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_G0, 1154, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_Hh, 1991, check)
    call createCurrent(P_HPlus, P_tauMinus, P_nu_tauAnti, 1564, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, 2476, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Ha, 3003, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hl, 3523, check)
    call createCurrent(P_HPlus, P_A, P_Ha, P_WMinus, 219, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hh, 1446, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_Ha, 2496, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_HPlus, 1559, check)
    call createCurrent(P_Z, P_WMinus, P_Ha, P_HPlus, 1101, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 90, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_HMinus, 769, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_GMinus, 466, check)
    call createCurrent(P_A, P_Ha, P_Z, P_Ha, 3358, check)
    call createCurrent(P_HPlus, P_tAnti, P_b, 629, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, 3556, check)
    call createCurrent(P_Z, P_Ha, P_Hl, 258, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_GPlus, 340, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_HMinus, 1106, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 1267, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_Ha, 2187, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_Hl, 1069, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 1047, check)
    call createCurrent(P_g, P_g, P_HPlus, P_GMinus, 3638, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_GPlus, 263, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hh, 431, check)
    call createCurrent(P_Hh, P_tauPlus, P_tauMinus, 974, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hl, 368, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, 1026, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 740, check)
    call createCurrent(P_HMinus, P_G0, P_Z, P_WPlus, 3042, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, 1156, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_G0, 1736, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_GMinus, 454, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 3790, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 2165, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, P_Z, 2945, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 3586, check)
    call createCurrent(P_HPlus, P_A, P_A, P_HMinus, 1140, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 700, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1453, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hl, 1215, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_G0, 830, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_G0, 442, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 2515, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 2565, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 2267, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_Z, 4, check)
    call createCurrent(P_G0, P_A, P_HPlus, P_WMinus, 3588, check)
    call createCurrent(P_HMinus, P_GPlus, P_g, P_g, 3602, check)
    call createCurrent(P_G0, P_g, P_Ha, P_g, 3852, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_HMinus, 3148, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_Z, 3311, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 196, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 1051, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_A, 672, check)
    call createCurrent(P_Hh, P_GPlus, P_Z, P_WMinus, 2655, check)
    call createCurrent(P_Hh, P_Z, P_HMinus, P_WPlus, 2423, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Ha, 3243, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 97, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_A, 2885, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_HMinus, 3024, check)
    call createCurrent(P_HPlus, P_WMinus, P_GMinus, P_WPlus, 3022, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, 927, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, 3411, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_Z, 2734, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 913, check)
    call createCurrent(P_A, P_WMinus, P_Ha, P_HPlus, 461, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_GPlus, 2856, check)
    call createCurrent(P_G0, P_Hl, P_Z, 2532, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 1209, check)
    call createCurrent(P_cAnti, P_c, P_Hh, 1031, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Hh, 1704, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 1179, check)
    call createCurrent(P_HPlus, P_uAnti, P_d, 874, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_GPlus, 3505, check)
    call createCurrent(P_WPlus, P_HPlus, P_GMinus, P_WMinus, 2782, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Hl, 1604, check)
    call createCurrent(P_Hl, P_A, P_A, 3707, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_Ha, 62, check)
    call createCurrent(P_Ha, P_A, P_Ha, P_A, 3666, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Ha, 1571, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, P_A, 3429, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 3668, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 1302, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 367, check)
    call createCurrent(P_g, P_s, P_sAnti, 422, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 1808, check)
    call createCurrent(P_GMinus, P_HPlus, P_WPlus, P_WMinus, 3188, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hl, 2519, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hh, 2351, check)
    call createCurrent(P_Ha, P_A, P_HPlus, P_WMinus, 64, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 990, check)
    call createCurrent(P_Ha, P_Ha, P_WPlus, P_WMinus, 65, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hl, 2431, check)
    call createCurrent(P_Z, P_A, P_G0, P_Ha, 3848, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 242, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 229, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_Z, 2922, check)
    call createCurrent(P_c, P_A, P_cAnti, 2033, check)
    call createCurrent(P_Hl, P_Ha, P_Hl, P_Ha, 660, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 942, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 1181, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, 2803, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Hh, 1956, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 832, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_GMinus, 3359, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, 3397, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 1035, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, P_A, 3355, check)
    call createCurrent(P_Ha, P_G0, P_Hl, 621, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 1271, check)
    call createCurrent(P_HPlus, P_Hl, P_G0, P_GMinus, 75, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 1491, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1963, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 2508, check)
    call createCurrent(P_HPlus, P_GMinus, P_GPlus, P_GMinus, 2282, check)
    call createCurrent(P_Hh, P_g, P_Hh, P_g, 3761, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_A, 2884, check)
    call createCurrent(P_g, P_g, P_g, 184, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 585, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Ha, 427, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 742, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_HMinus, 3509, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_Hl, 1111, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 3794, check)
    call createCurrent(P_Hl, P_G0, P_GMinus, P_GPlus, 2798, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_GMinus, 2814, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_Z, 1228, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_HPlus, 2592, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, 1059, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_HPlus, 338, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_Hh, 3135, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 3186, check)
    call createCurrent(P_A, P_G0, P_HMinus, P_WPlus, 2924, check)
    call createCurrent(P_t, P_tAnti, P_Z, 81, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 570, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 3286, check)
    call createCurrent(P_Ha, P_Z, P_G0, P_A, 3705, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 3726, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, P_Z, 3140, check)
    call createCurrent(P_Ha, P_ghWp, P_ghWpAnti, 3009, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_Z, 1217, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 391, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_HMinus, 2067, check)
    call createCurrent(P_HMinus, P_Ha, P_Z, P_WPlus, 717, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_A, 3815, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 412, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_HMinus, 88, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 1222, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hl, P_Z, 1534, check)
    call createCurrent(P_u, P_uAnti, P_A, 482, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_HPlus, 3456, check)
    call createCurrent(P_HMinus, P_g, P_g, P_GPlus, 3760, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 2491, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1647, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 3641, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 1916, check)
    call createCurrent(P_tAnti, P_Hh, P_t, 1236, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_G0, 1904, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 897, check)
    call createCurrent(P_g, P_Ha, P_g, P_G0, 3804, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_G0, 3515, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_A, 3810, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 2278, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 3698, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_HPlus, 1423, check)
    call createCurrent(P_A, P_Ha, P_A, P_G0, 3601, check)
    call createCurrent(P_Ha, P_Ha, P_G0, P_G0, 383, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_HPlus, 3263, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, 3123, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 1811, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_A, 3583, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 2209, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, 3169, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_GPlus, 3273, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 743, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_GMinus, 2900, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_HPlus, 3173, check)
    call createCurrent(P_HMinus, P_Ha, P_G0, P_HPlus, 2064, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 2634, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 2356, check)
    call createCurrent(P_HMinus, P_HPlus, P_GPlus, P_HMinus, 1483, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 2685, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hl, 648, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_Hl, 1063, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, 3172, check)
    call createCurrent(P_Ha, P_GPlus, P_G0, P_HMinus, 1687, check)
    call createCurrent(P_GMinus, P_WPlus, 3373, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1081, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Ha, 3377, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 2048, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_GPlus, 1144, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, 1695, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 1122, check)
    call createCurrent(P_G0, P_Hh, P_A, 3193, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_GPlus, 926, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, 3404, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 1430, check)
    call createCurrent(P_A, P_G0, P_Hl, 3451, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 2150, check)
    call createCurrent(P_s, P_sAnti, P_G0, 2601, check)
    call createCurrent(P_Hl, P_Z, P_GPlus, P_WMinus, 2310, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 3864, check)
    call createCurrent(P_u, P_uAnti, P_Hl, 16, check)
    call createCurrent(P_Ha, P_HMinus, P_Z, P_WPlus, 2094, check)
    call createCurrent(P_c, P_Ha, P_cAnti, 1586, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_GPlus, 1128, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 1728, check)
    call createCurrent(P_Hl, P_s, P_sAnti, 2371, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_GMinus, 1929, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 1609, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_Ha, 542, check)
    call createCurrent(P_Ha, P_WPlus, P_WMinus, P_G0, 3223, check)
    call createCurrent(P_Hh, P_A, P_Ha, 3125, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 118, check)
    call createCurrent(P_Ha, P_Hh, P_GPlus, P_GMinus, 2948, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 2512, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 3739, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hh, 142, check)
    call createCurrent(P_HMinus, P_Hh, P_G0, P_GPlus, 1320, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, 3317, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Ha, 2974, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 746, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 507, check)
    call createCurrent(P_d, P_G0, P_dAnti, 2514, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, 1824, check)
    call createCurrent(P_A, P_GMinus, P_Ha, P_WPlus, 2946, check)
    call createCurrent(P_Z, P_GPlus, P_Hh, P_WMinus, 2448, check)
    call createCurrent(P_sAnti, P_Ha, P_s, 768, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, 518, check)
    call createCurrent(P_Hl, P_Hh, 3502, check)
    call createCurrent(P_Hh, P_Hl, P_WMinus, P_WPlus, 3549, check)
    call createCurrent(P_GMinus, P_Ha, P_Ha, P_GPlus, 687, check)
    call createCurrent(P_cAnti, P_c, P_Ha, 2404, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 839, check)
    call createCurrent(P_A, P_HMinus, P_Hh, P_WPlus, 1551, check)
    call createCurrent(P_muPlus, P_Hl, P_muMinus, 1860, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hl, 3715, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_G0, 1257, check)
    call createCurrent(P_G0, P_A, P_Hl, 3034, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, 1843, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_GPlus, 296, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hh, 908, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, 577, check)
    call createCurrent(P_d, P_dAnti, P_Ha, 459, check)
    call createCurrent(P_Ha, P_GPlus, P_Ha, P_GMinus, 1983, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, 1200, check)
    call createCurrent(P_G0, P_Ha, P_HPlus, P_GMinus, 753, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 2430, check)
    call createCurrent(P_b, P_g, P_bAnti, 720, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_G0, 2941, check)
    call createCurrent(P_HPlus, P_Hl, P_Hh, P_GMinus, 1606, check)
    call createCurrent(P_Ha, P_HMinus, P_Hh, P_GPlus, 1117, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Ha, 1282, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 123, check)
    call createCurrent(P_HPlus, P_b, P_tAnti, 936, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 2646, check)
    call createCurrent(P_HMinus, P_GPlus, P_HPlus, P_GMinus, 283, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_Z, 3159, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Hh, 100, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Hl, 234, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hh, 3759, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 1875, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Ha, 3343, check)
    call createCurrent(P_tauPlus, P_HMinus, P_nu_tau, 1243, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Ha, 2902, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 3765, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, P_Z, 189, check)
    call createCurrent(P_HMinus, P_HPlus, P_WMinus, P_WPlus, 878, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 125, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_HMinus, 2460, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1540, check)
    call createCurrent(P_HMinus, P_GPlus, P_GPlus, P_GMinus, 2559, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, 1083, check)
    call createCurrent(P_WMinus, P_G0, P_HPlus, 3306, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 1616, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hl, 2262, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_A, 3868, check)
    call createCurrent(P_Hl, P_Hl, P_WPlus, P_WMinus, 2214, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_Hl, 2216, check)
    call createCurrent(P_t, P_HMinus, P_bAnti, 311, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 1574, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Hh, 868, check)
    call createCurrent(P_HPlus, P_WMinus, P_WPlus, P_GMinus, 3229, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Hl, 1064, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 3644, check)
    call createCurrent(P_Ha, P_Hl, P_Hh, P_Ha, 1909, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_Ha, 271, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_G0, 2818, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_Z, 1737, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 2080, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Hl, 2426, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Ha, 2635, check)
    call createCurrent(P_HMinus, P_g, P_g, P_HPlus, 3677, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_GMinus, 3006, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 2090, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 2308, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hl, 2659, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, 2944, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Ha, 2979, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_HMinus, 3284, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_A, 3672, check)
    call createCurrent(P_Ha, P_A, P_A, P_G0, 3764, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_GPlus, 2671, check)
    call createCurrent(P_HPlus, P_Ha, P_Z, P_WMinus, 1664, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 436, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, 1981, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Ha, 2, check)
    call createCurrent(P_A, P_WPlus, P_Hl, P_HMinus, 1519, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_HPlus, 2145, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_GPlus, 2731, check)
    call createCurrent(P_tauPlus, P_Ha, P_tauMinus, 2217, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 2681, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hl, 750, check)
    call createCurrent(P_Z, P_Z, P_Hl, P_Hh, 3537, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 1765, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 289, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_HMinus, 72, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_G0, 3142, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, 409, check)
    call createCurrent(P_Hl, P_Z, P_A, 3446, check)
    call createCurrent(P_g, P_dAnti, P_d, 1502, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_Hl, 509, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 2184, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_G0, 1299, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_G0, 1652, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, 2837, check)
    call createCurrent(P_d, P_Z, P_dAnti, 153, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 710, check)
    call createCurrent(P_Ha, P_G0, P_GPlus, P_HMinus, 2240, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 1684, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, 2425, check)
    call createCurrent(P_t, P_A, P_tAnti, 2389, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, 2139, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_GMinus, 3195, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Ha, 3350, check)
    call createCurrent(P_HPlus, P_A, P_Hh, P_WMinus, 1651, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 2802, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hl, 688, check)
    call createCurrent(P_A, P_Hl, P_G0, 3036, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, P_Z, 3361, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, 544, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_HMinus, 2710, check)
    call createCurrent(P_GMinus, P_Hl, P_G0, P_HPlus, 1854, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 387, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hl, 1628, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hl, 1954, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 2366, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Hh, 917, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 640, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Hl, 2407, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Ha, 3525, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 1911, check)
    call createCurrent(P_Z, P_Hh, P_Z, 1174, check)
    call createCurrent(P_GPlus, P_A, P_HMinus, P_A, 2940, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, 869, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 3299, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 985, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 2046, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Hl, 1798, check)
    call createCurrent(P_G0, P_Ha, P_g, P_g, 3706, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 1123, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 2372, check)
    call createCurrent(P_A, P_HMinus, P_G0, P_WPlus, 3131, check)
    call createCurrent(P_d, P_dAnti, P_g, 2615, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Ha, 1011, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghWp, 3058, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hl, 2677, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 3137, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Hh, 1212, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_HMinus, 3070, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_A, 818, check)
    call createCurrent(P_HMinus, P_Hl, P_A, P_WPlus, 351, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hh, 3788, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, 2091, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_GPlus, 2007, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, 2501, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 907, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1643, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_G0, 2321, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 792, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_HPlus, 992, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 3856, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_G0, 2771, check)
    call createCurrent(P_GMinus, P_Hh, P_A, P_WPlus, 1495, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 1429, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 2925, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_HPlus, 2022, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Ha, 3415, check)
    call createCurrent(P_Hl, P_Hl, P_HMinus, P_HPlus, 1078, check)
    call createCurrent(P_dAnti, P_G0, P_d, 1488, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_G0, 2700, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_Hl, 1175, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_HMinus, 1333, check)
    call createCurrent(P_A, P_GPlus, P_Hl, P_WMinus, 1691, check)
    call createCurrent(P_A, P_Ha, P_G0, P_Z, 3860, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hh, 2493, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 758, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 1421, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 1157, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 313, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, 2111, check)
    call createCurrent(P_Hh, P_muPlus, P_muMinus, 2314, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 2261, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_GMinus, 955, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 2384, check)
    call createCurrent(P_G0, P_Hl, P_Ha, 1418, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 976, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_HPlus, 690, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_A, 3252, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_HMinus, 2756, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 203, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_Z, 3163, check)
    call createCurrent(P_tAnti, P_g, P_t, 1755, check)
    call createCurrent(P_cAnti, P_G0, P_c, 749, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, 3473, check)
    call createCurrent(P_HMinus, P_Hl, P_G0, P_HPlus, 2990, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_A, 3442, check)
    call createCurrent(P_g, P_g, P_Hl, 3675, check)
    call createCurrent(P_Hh, P_muMinus, P_muPlus, 1658, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 2326, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 1029, check)
    call createCurrent(P_muPlus, P_muMinus, P_Ha, 354, check)
    call createCurrent(P_G0, P_HPlus, P_Hh, P_HMinus, 2750, check)
    call createCurrent(P_G0, P_WMinus, P_Ha, P_WPlus, 3360, check)
    call createCurrent(P_tAnti, P_t, P_Hh, 2100, check)
    call createCurrent(P_cAnti, P_s, P_HPlus, 909, check)
    call createCurrent(P_Z, P_Ha, P_A, P_G0, 3654, check)
    call createCurrent(P_WPlus, P_G0, P_Ha, P_WMinus, 2981, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_G0, 3381, check)
    call createCurrent(P_G0, P_HMinus, P_Hh, P_HPlus, 3508, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 885, check)
    call createCurrent(P_Hh, P_Hh, P_HPlus, P_HMinus, 2439, check)
    call createCurrent(P_A, P_Z, P_Ha, P_Ha, 3405, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 1509, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_HPlus, 1246, check)
    call createCurrent(P_tAnti, P_HPlus, P_b, 816, check)
    call createCurrent(P_Hl, P_HMinus, P_Hl, P_GPlus, 1914, check)
    call createCurrent(P_Ha, P_GPlus, P_WMinus, P_Z, 2829, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_Z, 2781, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Ha, 2466, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 1877, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_G0, 2325, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hh, 2260, check)
    call createCurrent(P_Ha, P_HPlus, P_G0, P_HMinus, 1764, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1742, check)
    call createCurrent(P_G0, P_Hl, P_GPlus, P_HMinus, 2079, check)
    call createCurrent(P_WPlus, P_Hh, P_A, P_HMinus, 2701, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_HMinus, 2767, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_HPlus, 625, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, 2650, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Ha, 415, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_HPlus, 487, check)
    call createCurrent(P_g, P_Hh, P_Hh, P_g, 3862, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 1385, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_Z, 205, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_HPlus, 2363, check)
    call createCurrent(P_g, P_HMinus, P_GPlus, P_g, 3773, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Hh, 411, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 1076, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 2126, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Hl, 1108, check)
    call createCurrent(P_WMinus, P_Ha, P_G0, P_WPlus, 3517, check)
    call createCurrent(P_WPlus, P_A, P_Hl, P_HMinus, 2483, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 3854, check)
    call createCurrent(P_WMinus, P_G0, P_HPlus, P_A, 3501, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hl, 3481, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_G0, 1300, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_Z, 3574, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Hh, 2154, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_Ha, 2395, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 1448, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hl, 3808, check)
    call createCurrent(P_b, P_tAnti, P_HPlus, 1712, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 1485, check)
    call createCurrent(P_g, P_g, P_A, P_A, 3704, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 1673, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 2245, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 1391, check)
  end subroutine fill_current_2
end module currents_info2
