!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(3678)%branchR2(0:0))
    call avR2(3678, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9040])

    allocate(vertices(3544)%branchR2(0:0))
    call avR2(3544, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(2080)%branchR2(0:0))
    call avR2(2080, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(7)%branchR2(0:0))
    call avR2(7, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1602)%branchR2(0:0))
    call avR2(1602, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8791, nGC_8792])

    allocate(vertices(2917)%branchR2(0:0))
    call avR2(2917, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1535)%branchR2(0:0))
    call avR2(1535, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2411)%branchR2(0:0))
    call avR2(2411, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1811)%branchR2(0:0))
    call avR2(1811, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30533])

    allocate(vertices(930)%branchR2(0:0))
    call avR2(930, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3405)%branchR2(0:0))
    call avR2(3405, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1611)%branchR2(0:0))
    call avR2(1611, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8912])

    allocate(vertices(273)%branchR2(0:0))
    call avR2(273, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1007)%branchR2(0:0))
    call avR2(1007, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(3160)%branchR2(0:0))
    call avR2(3160, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8856])

    allocate(vertices(1634)%branchR2(0:0))
    call avR2(1634, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8993])

    allocate(vertices(3203)%branchR2(0:0))
    call avR2(3203, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2700)%branchR2(0:0))
    call avR2(2700, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(880)%branchR2(0:0))
    call avR2(880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(2614)%branchR2(0:0))
    call avR2(2614, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3679)%branchR2(0:0))
    call avR2(3679, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9133, nGC_9133, nGC_9133&
    ])

    allocate(vertices(3551)%branchR2(0:0))
    call avR2(3551, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30448])

    allocate(vertices(1553)%branchR2(0:0))
    call avR2(1553, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9095, nGC_9093&
    ])

    allocate(vertices(1539)%branchR2(0:0))
    call avR2(1539, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(2289)%branchR2(0:0))
    call avR2(2289, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(252)%branchR2(0:1))
    call avR2(252, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(252, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(84)%branchR2(0:0))
    call avR2(84, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8769])

    allocate(vertices(2872)%branchR2(0:0))
    call avR2(2872, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1361)%branchR2(0:0))
    call avR2(1361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8993])

    allocate(vertices(295)%branchR2(0:0))
    call avR2(295, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1245)%branchR2(0:0))
    call avR2(1245, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8922])

    allocate(vertices(1738)%branchR2(0:0))
    call avR2(1738, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2932)%branchR2(0:0))
    call avR2(2932, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8763&
    , nGC_8763])

    allocate(vertices(616)%branchR2(0:1))
    call avR2(616, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8989, nGC_8990])

    call avR2(616, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8991, nGC_8991])

    allocate(vertices(2216)%branchR2(0:0))
    call avR2(2216, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1865)%branchR2(0:0))
    call avR2(1865, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2518)%branchR2(0:0))
    call avR2(2518, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(3510)%branchR2(0:0))
    call avR2(3510, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2214)%branchR2(0:0))
    call avR2(2214, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(3462)%branchR2(0:0))
    call avR2(3462, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(2330)%branchR2(0:0))
    call avR2(2330, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1041)%branchR2(0:1))
    call avR2(1041, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(1041, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1379)%branchR2(0:0))
    call avR2(1379, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1780)%branchR2(0:0))
    call avR2(1780, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(516)%branchR2(0:0))
    call avR2(516, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2959)%branchR2(0:0))
    call avR2(2959, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1867)%branchR2(0:1))
    call avR2(1867, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1867, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(475)%branchR2(0:0))
    call avR2(475, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29671])

    allocate(vertices(3375)%branchR2(0:0))
    call avR2(3375, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(3680)%branchR2(0:1))
    call avR2(3680, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3680, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1775)%branchR2(0:1))
    call avR2(1775, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_9012, nGC_9012])

    call avR2(1775, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_9010, nGC_9011])

    allocate(vertices(2060)%branchR2(0:0))
    call avR2(2060, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8963])

    allocate(vertices(3326)%branchR2(0:0))
    call avR2(3326, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1934)%branchR2(0:1))
    call avR2(1934, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(1934, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_8783, nGC_8782])

    allocate(vertices(2726)%branchR2(0:0))
    call avR2(2726, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2079)%branchR2(0:0))
    call avR2(2079, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(2096)%branchR2(0:0))
    call avR2(2096, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(952)%branchR2(0:0))
    call avR2(952, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1332)%branchR2(0:0))
    call avR2(1332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(520)%branchR2(0:0))
    call avR2(520, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

    allocate(vertices(2222)%branchR2(0:0))
    call avR2(2222, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3306)%branchR2(0:0))
    call avR2(3306, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8856])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1462)%branchR2(0:0))
    call avR2(1462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(413)%branchR2(0:1))
    call avR2(413, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(413, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(2284)%branchR2(0:0))
    call avR2(2284, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3173)%branchR2(0:0))
    call avR2(3173, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1798)%branchR2(0:0))
    call avR2(1798, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2491)%branchR2(0:0))
    call avR2(2491, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2396)%branchR2(0:0))
    call avR2(2396, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(2573)%branchR2(0:0))
    call avR2(2573, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2412)%branchR2(0:1))
    call avR2(2412, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(2412, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(1851)%branchR2(0:0))
    call avR2(1851, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8768])

    allocate(vertices(2244)%branchR2(0:0))
    call avR2(2244, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(3681)%branchR2(0:1))
    call avR2(3681, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9247])

    call avR2(3681, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(1795)%branchR2(0:0))
    call avR2(1795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(2680)%branchR2(0:0))
    call avR2(2680, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(728)%branchR2(0:1))
    call avR2(728, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(728, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(3138)%branchR2(0:0))
    call avR2(3138, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(19)%branchR2(0:1))
    call avR2(19, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(19, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(3073)%branchR2(0:0))
    call avR2(3073, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1949)%branchR2(0:1))
    call avR2(1949, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(1949, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1609)%branchR2(0:0))
    call avR2(1609, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(1749)%branchR2(0:0))
    call avR2(1749, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3309)%branchR2(0:0))
    call avR2(3309, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8758])

    allocate(vertices(3012)%branchR2(0:0))
    call avR2(3012, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(8)%branchR2(0:1))
    call avR2(8, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(8, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(135)%branchR2(0:0))
    call avR2(135, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2830)%branchR2(0:0))
    call avR2(2830, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(249)%branchR2(0:0))
    call avR2(249, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30259])

    allocate(vertices(760)%branchR2(0:1))
    call avR2(760, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8991, nGC_8991])

    call avR2(760, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8989, nGC_8990])

    allocate(vertices(2698)%branchR2(0:0))
    call avR2(2698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3029)%branchR2(0:0))
    call avR2(3029, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(3682)%branchR2(0:0))
    call avR2(3682, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3683)%branchR2(0:0))
    call avR2(3683, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(2643)%branchR2(0:0))
    call avR2(2643, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2822)%branchR2(0:0))
    call avR2(2822, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(169)%branchR2(0:0))
    call avR2(169, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(2900)%branchR2(0:0))
    call avR2(2900, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2172)%branchR2(0:1))
    call avR2(2172, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(2172, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(2746)%branchR2(0:0))
    call avR2(2746, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(584)%branchR2(0:0))
    call avR2(584, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(3684)%branchR2(0:1))
    call avR2(3684, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3684, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(3685)%branchR2(0:1))
    call avR2(3685, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9150])

    call avR2(3685, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(3686)%branchR2(0:1))
    call avR2(3686, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9165])

    call avR2(3686, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(2197)%branchR2(0:0))
    call avR2(2197, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(2618)%branchR2(0:0))
    call avR2(2618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1219)%branchR2(0:0))
    call avR2(1219, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3687)%branchR2(0:1))
    call avR2(3687, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9165])

    call avR2(3687, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(861)%branchR2(0:0))
    call avR2(861, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(1283)%branchR2(0:0))
    call avR2(1283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2344)%branchR2(0:0))
    call avR2(2344, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8831])

    allocate(vertices(3050)%branchR2(0:0))
    call avR2(3050, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8780])

    allocate(vertices(2434)%branchR2(0:0))
    call avR2(2434, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1997)%branchR2(0:0))
    call avR2(1997, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8860])

    allocate(vertices(2290)%branchR2(0:1))
    call avR2(2290, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(2290, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(1906)%branchR2(0:0))
    call avR2(1906, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(2291)%branchR2(0:0))
    call avR2(2291, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2125)%branchR2(0:0))
    call avR2(2125, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3421)%branchR2(0:0))
    call avR2(3421, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3558)%branchR2(0:0))
    call avR2(3558, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1520)%branchR2(0:0))
    call avR2(1520, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(2784)%branchR2(0:0))
    call avR2(2784, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1822)%branchR2(0:0))
    call avR2(1822, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8912])

    allocate(vertices(1152)%branchR2(0:0))
    call avR2(1152, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3216)%branchR2(0:0))
    call avR2(3216, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2004)%branchR2(0:0))
    call avR2(2004, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29895])

    allocate(vertices(3688)%branchR2(0:0))
    call avR2(3688, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(347)%branchR2(0:0))
    call avR2(347, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8842])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3034)%branchR2(0:0))
    call avR2(3034, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30372])

    allocate(vertices(248)%branchR2(0:0))
    call avR2(248, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2929)%branchR2(0:0))
    call avR2(2929, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(1955)%branchR2(0:0))
    call avR2(1955, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8917])

    allocate(vertices(2240)%branchR2(0:0))
    call avR2(2240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(3689)%branchR2(0:1))
    call avR2(3689, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9247])

    call avR2(3689, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8899, nGC_8901])

    call avR2(936, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8900, nGC_8902])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1163)%branchR2(0:0))
    call avR2(1163, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3690)%branchR2(0:0))
    call avR2(3690, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(2647)%branchR2(0:0))
    call avR2(2647, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8806])

    allocate(vertices(3691)%branchR2(0:1))
    call avR2(3691, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9150])

    call avR2(3691, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(2814)%branchR2(0:0))
    call avR2(2814, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1112)%branchR2(0:0))
    call avR2(1112, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(3333)%branchR2(0:0))
    call avR2(3333, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2476)%branchR2(0:0))
    call avR2(2476, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(1109)%branchR2(0:0))
    call avR2(1109, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1314)%branchR2(0:1))
    call avR2(1314, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9022])

    call avR2(1314, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(355)%branchR2(0:0))
    call avR2(355, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1633)%branchR2(0:0))
    call avR2(1633, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(3692)%branchR2(0:0))
    call avR2(3692, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3693)%branchR2(0:0))
    call avR2(3693, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(1577)%branchR2(0:0))
    call avR2(1577, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1607)%branchR2(0:1))
    call avR2(1607, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(1607, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(2152)%branchR2(0:1))
    call avR2(2152, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9029, nGC_9027])

    call avR2(2152, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9030, nGC_9028])

    allocate(vertices(464)%branchR2(0:0))
    call avR2(464, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9126, nGC_9128])

    allocate(vertices(3694)%branchR2(0:1))
    call avR2(3694, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9257])

    call avR2(3694, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9258])

    allocate(vertices(2040)%branchR2(0:0))
    call avR2(2040, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8768])

    allocate(vertices(3352)%branchR2(0:0))
    call avR2(3352, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2033)%branchR2(0:1))
    call avR2(2033, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(2033, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8787, nGC_8786])

    allocate(vertices(1777)%branchR2(0:1))
    call avR2(1777, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1777, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(72)%branchR2(0:0))
    call avR2(72, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2947)%branchR2(0:0))
    call avR2(2947, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1693)%branchR2(0:0))
    call avR2(1693, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1466)%branchR2(0:1))
    call avR2(1466, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9022])

    call avR2(1466, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(142)%branchR2(0:0))
    call avR2(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2530)%branchR2(0:0))
    call avR2(2530, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9249])

    allocate(vertices(1514)%branchR2(0:0))
    call avR2(1514, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(1389)%branchR2(0:0))
    call avR2(1389, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(1662)%branchR2(0:0))
    call avR2(1662, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2443)%branchR2(0:0))
    call avR2(2443, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8832])

    allocate(vertices(2000)%branchR2(0:0))
    call avR2(2000, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8851])

    allocate(vertices(1923)%branchR2(0:1))
    call avR2(1923, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8984, nGC_8985])

    call avR2(1923, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8986, nGC_8986])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2300)%branchR2(0:0))
    call avR2(2300, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1697)%branchR2(0:0))
    call avR2(1697, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3243)%branchR2(0:0))
    call avR2(3243, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1422)%branchR2(0:0))
    call avR2(1422, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9021])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1474)%branchR2(0:0))
    call avR2(1474, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8988, nGC_8987])

    allocate(vertices(3128)%branchR2(0:0))
    call avR2(3128, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2632)%branchR2(0:0))
    call avR2(2632, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(1108)%branchR2(0:0))
    call avR2(1108, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2557)%branchR2(0:1))
    call avR2(2557, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    call avR2(2557, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9024])

    allocate(vertices(911)%branchR2(0:0))
    call avR2(911, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9127, nGC_9128])

    allocate(vertices(1237)%branchR2(0:0))
    call avR2(1237, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2070)%branchR2(0:0))
    call avR2(2070, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(460)%branchR2(0:0))
    call avR2(460, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3695)%branchR2(0:0))
    call avR2(3695, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(1498)%branchR2(0:0))
    call avR2(1498, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9240])

    allocate(vertices(3133)%branchR2(0:0))
    call avR2(3133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(3696)%branchR2(0:1))
    call avR2(3696, 0, 33, 1, 0, SVV0, 0, [2, 1], [nGC_8977])

    call avR2(3696, 1, 34, 1, 0, SVV0, 0, [2, 1], [nGC_8978])

    allocate(vertices(3697)%branchR2(0:0))
    call avR2(3697, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(211)%branchR2(0:1))
    call avR2(211, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_9001, nGC_9002])

    call avR2(211, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9003, nGC_9003])

    allocate(vertices(348)%branchR2(0:0))
    call avR2(348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1724)%branchR2(0:0))
    call avR2(1724, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1819)%branchR2(0:0))
    call avR2(1819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(566)%branchR2(0:0))
    call avR2(566, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(3698)%branchR2(0:1))
    call avR2(3698, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9150])

    call avR2(3698, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8896])

    allocate(vertices(2058)%branchR2(0:0))
    call avR2(2058, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(2160)%branchR2(0:0))
    call avR2(2160, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3395)%branchR2(0:0))
    call avR2(3395, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(652)%branchR2(0:1))
    call avR2(652, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9001, nGC_9002])

    call avR2(652, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9003, nGC_9003])

    allocate(vertices(1092)%branchR2(0:1))
    call avR2(1092, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8969, nGC_8970])

    call avR2(1092, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8971, nGC_8971])

    allocate(vertices(1330)%branchR2(0:0))
    call avR2(1330, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3308)%branchR2(0:0))
    call avR2(3308, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(330)%branchR2(0:1))
    call avR2(330, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(330, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1242)%branchR2(0:0))
    call avR2(1242, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(3699)%branchR2(0:1))
    call avR2(3699, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9220])

    call avR2(3699, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3384)%branchR2(0:0))
    call avR2(3384, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8775])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(1510)%branchR2(0:1))
    call avR2(1510, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8899, nGC_8901])

    call avR2(1510, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8900, nGC_8902])

    allocate(vertices(3325)%branchR2(0:0))
    call avR2(3325, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(716)%branchR2(0:0))
    call avR2(716, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9039])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1884)%branchR2(0:0))
    call avR2(1884, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3700)%branchR2(0:0))
    call avR2(3700, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2069)%branchR2(0:1))
    call avR2(2069, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(2069, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1464)%branchR2(0:0))
    call avR2(1464, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(2073)%branchR2(0:0))
    call avR2(2073, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(1941)%branchR2(0:0))
    call avR2(1941, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1549)%branchR2(0:1))
    call avR2(1549, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(1549, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(2592)%branchR2(0:0))
    call avR2(2592, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(203)%branchR2(0:1))
    call avR2(203, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8984, nGC_8985])

    call avR2(203, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8986, nGC_8986])

    allocate(vertices(2611)%branchR2(0:0))
    call avR2(2611, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1686)%branchR2(0:0))
    call avR2(1686, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(1116)%branchR2(0:0))
    call avR2(1116, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(311)%branchR2(0:1))
    call avR2(311, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(311, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(2484)%branchR2(0:0))
    call avR2(2484, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(325)%branchR2(0:0))
    call avR2(325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1828)%branchR2(0:0))
    call avR2(1828, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2672)%branchR2(0:0))
    call avR2(2672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(225)%branchR2(0:0))
    call avR2(225, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8818])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(1745)%branchR2(0:0))
    call avR2(1745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1429)%branchR2(0:0))
    call avR2(1429, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8964])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(178)%branchR2(0:0))
    call avR2(178, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2030)%branchR2(0:0))
    call avR2(2030, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(3447)%branchR2(0:0))
    call avR2(3447, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1932)%branchR2(0:1))
    call avR2(1932, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_9018, nGC_9019])

    call avR2(1932, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9020, nGC_9020])

    allocate(vertices(3164)%branchR2(0:0))
    call avR2(3164, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(2421)%branchR2(0:0))
    call avR2(2421, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1249)%branchR2(0:0))
    call avR2(1249, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8852])

    allocate(vertices(3232)%branchR2(0:0))
    call avR2(3232, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8710, nGC_8709])

    allocate(vertices(3701)%branchR2(0:0))
    call avR2(3701, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2191)%branchR2(0:1))
    call avR2(2191, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(2191, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(2232)%branchR2(0:0))
    call avR2(2232, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1098)%branchR2(0:0))
    call avR2(1098, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2580)%branchR2(0:0))
    call avR2(2580, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8769])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(2973)%branchR2(0:0))
    call avR2(2973, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(2282)%branchR2(0:0))
    call avR2(2282, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(1470)%branchR2(0:1))
    call avR2(1470, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(1470, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(2298)%branchR2(0:0))
    call avR2(2298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2466)%branchR2(0:0))
    call avR2(2466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2402)%branchR2(0:0))
    call avR2(2402, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2962)%branchR2(0:0))
    call avR2(2962, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2049)%branchR2(0:0))
    call avR2(2049, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(2286)%branchR2(0:0))
    call avR2(2286, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(262)%branchR2(0:1))
    call avR2(262, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(262, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8805, nGC_8804])

    allocate(vertices(2555)%branchR2(0:0))
    call avR2(2555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(81)%branchR2(0:1))
    call avR2(81, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(81, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(1983)%branchR2(0:0))
    call avR2(1983, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(1050)%branchR2(0:0))
    call avR2(1050, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9255, nGC_9254, nGC_9256&
    ])

    allocate(vertices(114)%branchR2(0:0))
    call avR2(114, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30952])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2273)%branchR2(0:0))
    call avR2(2273, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1875)%branchR2(0:0))
    call avR2(1875, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8963])

    allocate(vertices(3702)%branchR2(0:0))
    call avR2(3702, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9103, nGC_9102, nGC_9103&
    ])

    allocate(vertices(2036)%branchR2(0:0))
    call avR2(2036, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2199)%branchR2(0:0))
    call avR2(2199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2032)%branchR2(0:0))
    call avR2(2032, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1792)%branchR2(0:0))
    call avR2(1792, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1340)%branchR2(0:0))
    call avR2(1340, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(3703)%branchR2(0:0))
    call avR2(3703, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2056)%branchR2(0:1))
    call avR2(2056, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8984, nGC_8985])

    call avR2(2056, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8986, nGC_8986])

    allocate(vertices(3704)%branchR2(0:1))
    call avR2(3704, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3704, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1940)%branchR2(0:1))
    call avR2(1940, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(1940, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(1184, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_8805, nGC_8804])

    allocate(vertices(2588)%branchR2(0:0))
    call avR2(2588, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(1619)%branchR2(0:0))
    call avR2(1619, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1810)%branchR2(0:0))
    call avR2(1810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1473)%branchR2(0:0))
    call avR2(1473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8927])

    allocate(vertices(2582)%branchR2(0:0))
    call avR2(2582, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(2492)%branchR2(0:1))
    call avR2(2492, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_9020, nGC_9020])

    call avR2(2492, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_9018, nGC_9019])

    allocate(vertices(3554)%branchR2(0:0))
    call avR2(3554, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1843)%branchR2(0:0))
    call avR2(1843, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(2227)%branchR2(0:0))
    call avR2(2227, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1416)%branchR2(0:0))
    call avR2(1416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3199)%branchR2(0:0))
    call avR2(3199, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3235)%branchR2(0:0))
    call avR2(3235, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29815])

    allocate(vertices(1336)%branchR2(0:0))
    call avR2(1336, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8833])

    allocate(vertices(3705)%branchR2(0:0))
    call avR2(3705, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3531)%branchR2(0:0))
    call avR2(3531, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1620)%branchR2(0:1))
    call avR2(1620, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8981, nGC_8982])

    call avR2(1620, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8983, nGC_8983])

    allocate(vertices(2091)%branchR2(0:0))
    call avR2(2091, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

    allocate(vertices(2359)%branchR2(0:0))
    call avR2(2359, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8894])

    allocate(vertices(3229)%branchR2(0:0))
    call avR2(3229, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1356)%branchR2(0:0))
    call avR2(1356, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3448)%branchR2(0:0))
    call avR2(3448, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8726, nGC_8725])

    allocate(vertices(1125)%branchR2(0:1))
    call avR2(1125, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1125, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(2567)%branchR2(0:0))
    call avR2(2567, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(2311)%branchR2(0:0))
    call avR2(2311, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(3162)%branchR2(0:0))
    call avR2(3162, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(119)%branchR2(0:0))
    call avR2(119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1281)%branchR2(0:0))
    call avR2(1281, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2207)%branchR2(0:0))
    call avR2(2207, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8852])

    allocate(vertices(3706)%branchR2(0:1))
    call avR2(3706, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9213])

    call avR2(3706, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30533])

    allocate(vertices(404)%branchR2(0:0))
    call avR2(404, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8944, nGC_8943])

    allocate(vertices(3252)%branchR2(0:0))
    call avR2(3252, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1723)%branchR2(0:1))
    call avR2(1723, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8974, nGC_8974])

    call avR2(1723, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8972, nGC_8973])

    allocate(vertices(2918)%branchR2(0:0))
    call avR2(2918, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_8712, nGC_8711])

    allocate(vertices(3561)%branchR2(0:0))
    call avR2(3561, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1225)%branchR2(0:0))
    call avR2(1225, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1204)%branchR2(0:0))
    call avR2(1204, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(3707)%branchR2(0:0))
    call avR2(3707, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8773])

    allocate(vertices(428)%branchR2(0:1))
    call avR2(428, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(428, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(288)%branchR2(0:0))
    call avR2(288, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(1255)%branchR2(0:0))
    call avR2(1255, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(366)%branchR2(0:1))
    call avR2(366, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8910, nGC_8908])

    call avR2(366, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8924, nGC_8923])

    allocate(vertices(2186)%branchR2(0:0))
    call avR2(2186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(1969)%branchR2(0:0))
    call avR2(1969, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(461)%branchR2(0:0))
    call avR2(461, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1590)%branchR2(0:0))
    call avR2(1590, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2338)%branchR2(0:0))
    call avR2(2338, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1677)%branchR2(0:1))
    call avR2(1677, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8783, nGC_8782])

    call avR2(1677, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(2933)%branchR2(0:0))
    call avR2(2933, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3708)%branchR2(0:0))
    call avR2(3708, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(1872)%branchR2(0:0))
    call avR2(1872, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3709)%branchR2(0:0))
    call avR2(3709, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(793)%branchR2(0:0))
    call avR2(793, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1496)%branchR2(0:1))
    call avR2(1496, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_9001, nGC_9002])

    call avR2(1496, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9003, nGC_9003])

    allocate(vertices(3279)%branchR2(0:0))
    call avR2(3279, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(2543)%branchR2(0:0))
    call avR2(2543, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2067)%branchR2(0:0))
    call avR2(2067, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(935)%branchR2(0:0))
    call avR2(935, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(3253)%branchR2(0:0))
    call avR2(3253, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3710)%branchR2(0:1))
    call avR2(3710, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9220])

    call avR2(3710, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3419)%branchR2(0:0))
    call avR2(3419, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3330)%branchR2(0:0))
    call avR2(3330, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(3411)%branchR2(0:0))
    call avR2(3411, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29946])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2404)%branchR2(0:1))
    call avR2(2404, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(2404, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(2871)%branchR2(0:1))
    call avR2(2871, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8746&
    , nGC_8746])

    call avR2(2871, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8747&
    , nGC_8747])

    allocate(vertices(1320)%branchR2(0:0))
    call avR2(1320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1575)%branchR2(0:0))
    call avR2(1575, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(2215)%branchR2(0:0))
    call avR2(2215, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8895])

    allocate(vertices(3711)%branchR2(0:1))
    call avR2(3711, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3711, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(3361)%branchR2(0:0))
    call avR2(3361, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1714)%branchR2(0:1))
    call avR2(1714, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1714, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(2297)%branchR2(0:0))
    call avR2(2297, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3712)%branchR2(0:1))
    call avR2(3712, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9213])

    call avR2(3712, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(3517)%branchR2(0:0))
    call avR2(3517, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(2782)%branchR2(0:0))
    call avR2(2782, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3713)%branchR2(0:0))
    call avR2(3713, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2266)%branchR2(0:0))
    call avR2(2266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2062)%branchR2(0:0))
    call avR2(2062, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1859)%branchR2(0:0))
    call avR2(1859, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(2639)%branchR2(0:0))
    call avR2(2639, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(957)%branchR2(0:0))
    call avR2(957, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8916])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3714)%branchR2(0:1))
    call avR2(3714, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9150])

    call avR2(3714, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(3521)%branchR2(0:0))
    call avR2(3521, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(2620)%branchR2(0:0))
    call avR2(2620, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8915])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2473)%branchR2(0:0))
    call avR2(2473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(3003)%branchR2(0:0))
    call avR2(3003, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(662)%branchR2(0:0))
    call avR2(662, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2249)%branchR2(0:0))
    call avR2(2249, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2176)%branchR2(0:1))
    call avR2(2176, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_9012, nGC_9012])

    call avR2(2176, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_9010, nGC_9011])

    allocate(vertices(2549)%branchR2(0:0))
    call avR2(2549, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(2436)%branchR2(0:0))
    call avR2(2436, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8898])

    allocate(vertices(1766)%branchR2(0:0))
    call avR2(1766, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(3322)%branchR2(0:0))
    call avR2(3322, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2209)%branchR2(0:0))
    call avR2(2209, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8961])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9199])

    allocate(vertices(487)%branchR2(0:0))
    call avR2(487, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(1713)%branchR2(0:0))
    call avR2(1713, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9093, nGC_9095&
    ])

    allocate(vertices(1347)%branchR2(0:0))
    call avR2(1347, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2142)%branchR2(0:0))
    call avR2(2142, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(511)%branchR2(0:0))
    call avR2(511, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(3066)%branchR2(0:0))
    call avR2(3066, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(2895)%branchR2(0:0))
    call avR2(2895, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2308)%branchR2(0:0))
    call avR2(2308, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9256, nGC_9255&
    ])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2508)%branchR2(0:0))
    call avR2(2508, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9126, nGC_9127&
    ])

    allocate(vertices(1279)%branchR2(0:0))
    call avR2(1279, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8843])

    allocate(vertices(2874)%branchR2(0:0))
    call avR2(2874, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(2967)%branchR2(0:0))
    call avR2(2967, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30145])

    allocate(vertices(3715)%branchR2(0:1))
    call avR2(3715, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9247])

    call avR2(3715, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(144)%branchR2(0:0))
    call avR2(144, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2595)%branchR2(0:1))
    call avR2(2595, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(2595, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(3716)%branchR2(0:5))
    call avR2(3716, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3716, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9145, nGC_9145,        &
    nGC_9145])

    call avR2(3716, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3716, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    call avR2(3716, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9143, nGC_9143,        &
    nGC_9143])

    call avR2(3716, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9144, nGC_9144,        &
    nGC_9144])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(2228)%branchR2(0:0))
    call avR2(2228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(904)%branchR2(0:1))
    call avR2(904, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_9022])

    call avR2(904, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(1778)%branchR2(0:0))
    call avR2(1778, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8964])

    allocate(vertices(2710)%branchR2(0:0))
    call avR2(2710, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2163)%branchR2(0:0))
    call avR2(2163, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1655)%branchR2(0:0))
    call avR2(1655, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8770])

    allocate(vertices(2946)%branchR2(0:0))
    call avR2(2946, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(39)%branchR2(0:0))
    call avR2(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(860)%branchR2(0:1))
    call avR2(860, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_9000, nGC_9000])

    call avR2(860, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8998, nGC_8999])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1962)%branchR2(0:0))
    call avR2(1962, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(452)%branchR2(0:0))
    call avR2(452, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(983)%branchR2(0:0))
    call avR2(983, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3040)%branchR2(0:0))
    call avR2(3040, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(561)%branchR2(0:0))
    call avR2(561, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2378)%branchR2(0:0))
    call avR2(2378, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1373)%branchR2(0:0))
    call avR2(1373, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(21)%branchR2(0:0))
    call avR2(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1982)%branchR2(0:0))
    call avR2(1982, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2323)%branchR2(0:0))
    call avR2(2323, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(3717)%branchR2(0:1))
    call avR2(3717, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9257])

    call avR2(3717, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9258])

    allocate(vertices(1230)%branchR2(0:0))
    call avR2(1230, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1269)%branchR2(0:0))
    call avR2(1269, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8893])

    allocate(vertices(1963)%branchR2(0:0))
    call avR2(1963, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(796)%branchR2(0:0))
    call avR2(796, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(425)%branchR2(0:0))
    call avR2(425, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(396)%branchR2(0:0))
    call avR2(396, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2385)%branchR2(0:0))
    call avR2(2385, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1110)%branchR2(0:3))
    call avR2(1110, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(1110, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1110, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(1110, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1812)%branchR2(0:0))
    call avR2(1812, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9255, nGC_9256, nGC_9254&
    ])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(1990)%branchR2(0:0))
    call avR2(1990, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(3114)%branchR2(0:0))
    call avR2(3114, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3145)%branchR2(0:0))
    call avR2(3145, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8796])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(1288)%branchR2(0:0))
    call avR2(1288, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(893)%branchR2(0:0))
    call avR2(893, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(2526)%branchR2(0:0))
    call avR2(2526, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2422)%branchR2(0:1))
    call avR2(2422, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8966, nGC_8967])

    call avR2(2422, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8968, nGC_8968])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1437)%branchR2(0:0))
    call avR2(1437, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(3290)%branchR2(0:0))
    call avR2(3290, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(395)%branchR2(0:1))
    call avR2(395, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(395, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(3718)%branchR2(0:1))
    call avR2(3718, 0, 33, 1, 0, SVV0, 0, [2, 1], [nGC_9006])

    call avR2(3718, 1, 34, 1, 0, SVV0, 0, [2, 1], [nGC_9007])

    allocate(vertices(2999)%branchR2(0:0))
    call avR2(2999, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2728)%branchR2(0:0))
    call avR2(2728, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(2287)%branchR2(0:0))
    call avR2(2287, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8852])

    allocate(vertices(3719)%branchR2(0:5))
    call avR2(3719, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3719, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3719, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3719, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3719, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3719, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    allocate(vertices(1407)%branchR2(0:1))
    call avR2(1407, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(1407, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2597)%branchR2(0:0))
    call avR2(2597, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1350)%branchR2(0:0))
    call avR2(1350, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(1683)%branchR2(0:0))
    call avR2(1683, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(2753)%branchR2(0:0))
    call avR2(2753, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9084])

    allocate(vertices(133)%branchR2(0:0))
    call avR2(133, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3467)%branchR2(0:0))
    call avR2(3467, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(2985)%branchR2(0:0))
    call avR2(2985, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2926)%branchR2(0:0))
    call avR2(2926, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(763)%branchR2(0:1))
    call avR2(763, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(763, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_8799, nGC_8798])

    allocate(vertices(1311)%branchR2(0:0))
    call avR2(1311, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(2274)%branchR2(0:0))
    call avR2(2274, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1863)%branchR2(0:0))
    call avR2(1863, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8964])

    allocate(vertices(2093)%branchR2(0:0))
    call avR2(2093, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(1073)%branchR2(0:0))
    call avR2(1073, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1334)%branchR2(0:3))
    call avR2(1334, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(1334, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(1334, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(1334, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2138)%branchR2(0:0))
    call avR2(2138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3720)%branchR2(0:0))
    call avR2(3720, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9133, nGC_9133, nGC_9133&
    ])

    allocate(vertices(2111)%branchR2(0:0))
    call avR2(2111, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8944, nGC_8943])

    allocate(vertices(3455)%branchR2(0:0))
    call avR2(3455, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2870)%branchR2(0:0))
    call avR2(2870, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(1130)%branchR2(0:1))
    call avR2(1130, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8819, nGC_8821])

    call avR2(1130, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8820, nGC_8822])

    allocate(vertices(2307)%branchR2(0:0))
    call avR2(2307, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1038)%branchR2(0:0))
    call avR2(1038, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3360)%branchR2(0:0))
    call avR2(3360, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(3721)%branchR2(0:1))
    call avR2(3721, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9213])

    call avR2(3721, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(1238)%branchR2(0:0))
    call avR2(1238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(274)%branchR2(0:0))
    call avR2(274, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2744)%branchR2(0:0))
    call avR2(2744, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(423)%branchR2(0:1))
    call avR2(423, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(423, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(485)%branchR2(0:0))
    call avR2(485, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1641)%branchR2(0:0))
    call avR2(1641, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2687)%branchR2(0:0))
    call avR2(2687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2094)%branchR2(0:0))
    call avR2(2094, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2803)%branchR2(0:0))
    call avR2(2803, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8857])

    allocate(vertices(2531)%branchR2(0:0))
    call avR2(2531, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1993)%branchR2(0:0))
    call avR2(1993, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2256)%branchR2(0:1))
    call avR2(2256, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(2256, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(751)%branchR2(0:0))
    call avR2(751, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8925])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2622)%branchR2(0:0))
    call avR2(2622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3722)%branchR2(0:1))
    call avR2(3722, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9202])

    call avR2(3722, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9203])

    allocate(vertices(1388)%branchR2(0:1))
    call avR2(1388, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8790, nGC_8789])

    call avR2(1388, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(3723)%branchR2(0:1))
    call avR2(3723, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9220])

    call avR2(3723, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3385)%branchR2(0:0))
    call avR2(3385, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1995)%branchR2(0:0))
    call avR2(1995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(708)%branchR2(0:3))
    call avR2(708, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(708, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(708, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(708, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(2811)%branchR2(0:0))
    call avR2(2811, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(456)%branchR2(0:3))
    call avR2(456, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(456, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(456, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(456, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(3118)%branchR2(0:0))
    call avR2(3118, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1251)%branchR2(0:0))
    call avR2(1251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2716)%branchR2(0:0))
    call avR2(2716, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3724)%branchR2(0:0))
    call avR2(3724, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3176)%branchR2(0:0))
    call avR2(3176, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1613)%branchR2(0:0))
    call avR2(1613, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3725)%branchR2(0:1))
    call avR2(3725, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3725, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1515)%branchR2(0:0))
    call avR2(1515, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8898])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(3429)%branchR2(0:0))
    call avR2(3429, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9082])

    allocate(vertices(1541)%branchR2(0:0))
    call avR2(1541, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3565)%branchR2(0:0))
    call avR2(3565, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8719, nGC_8718, nGC_8720])

    allocate(vertices(3726)%branchR2(0:1))
    call avR2(3726, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9202])

    call avR2(3726, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9203])

    allocate(vertices(3727)%branchR2(0:0))
    call avR2(3727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3728)%branchR2(0:0))
    call avR2(3728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2731)%branchR2(0:0))
    call avR2(2731, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3266)%branchR2(0:0))
    call avR2(3266, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1558)%branchR2(0:0))
    call avR2(1558, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(2395)%branchR2(0:0))
    call avR2(2395, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1113)%branchR2(0:0))
    call avR2(1113, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8851])

    allocate(vertices(3370)%branchR2(0:0))
    call avR2(3370, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2628)%branchR2(0:0))
    call avR2(2628, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3195)%branchR2(0:0))
    call avR2(3195, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3188)%branchR2(0:0))
    call avR2(3188, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1415)%branchR2(0:0))
    call avR2(1415, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1494)%branchR2(0:0))
    call avR2(1494, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2720)%branchR2(0:0))
    call avR2(2720, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(1770)%branchR2(0:0))
    call avR2(1770, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(334)%branchR2(0:0))
    call avR2(334, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(836)%branchR2(0:1))
    call avR2(836, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(836, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(2328)%branchR2(0:0))
    call avR2(2328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1124)%branchR2(0:0))
    call avR2(1124, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9256, nGC_9255&
    ])

    allocate(vertices(3477)%branchR2(0:0))
    call avR2(3477, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8735, nGC_8734, nGC_8736])

    allocate(vertices(2301)%branchR2(0:0))
    call avR2(2301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3579)%branchR2(0:0))
    call avR2(3579, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1571)%branchR2(0:0))
    call avR2(1571, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2493)%branchR2(0:0))
    call avR2(2493, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8850])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1228)%branchR2(0:0))
    call avR2(1228, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(3245)%branchR2(0:0))
    call avR2(3245, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3374)%branchR2(0:0))
    call avR2(3374, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(3729)%branchR2(0:0))
    call avR2(3729, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(1886)%branchR2(0:1))
    call avR2(1886, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(1886, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(1065)%branchR2(0:0))
    call avR2(1065, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2350)%branchR2(0:0))
    call avR2(2350, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8843])

    allocate(vertices(2178)%branchR2(0:0))
    call avR2(2178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9048, nGC_9049])

    allocate(vertices(405)%branchR2(0:0))
    call avR2(405, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8912])

    allocate(vertices(3730)%branchR2(0:0))
    call avR2(3730, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(551)%branchR2(0:1))
    call avR2(551, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(551, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(2425)%branchR2(0:0))
    call avR2(2425, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30952])

    allocate(vertices(3731)%branchR2(0:1))
    call avR2(3731, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3731, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    call avR2(636, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9024])

    allocate(vertices(3732)%branchR2(0:0))
    call avR2(3732, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3247)%branchR2(0:0))
    call avR2(3247, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8779])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(3007)%branchR2(0:0))
    call avR2(3007, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8814])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(1586, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(3733)%branchR2(0:1))
    call avR2(3733, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3733, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(3560)%branchR2(0:0))
    call avR2(3560, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9082])

    allocate(vertices(3324)%branchR2(0:0))
    call avR2(3324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1831)%branchR2(0:0))
    call avR2(1831, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(3734)%branchR2(0:1))
    call avR2(3734, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9234])

    call avR2(3734, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9235])

    allocate(vertices(1673)%branchR2(0:0))
    call avR2(1673, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1914)%branchR2(0:0))
    call avR2(1914, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

    allocate(vertices(257)%branchR2(0:0))
    call avR2(257, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3735)%branchR2(0:0))
    call avR2(3735, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2156)%branchR2(0:0))
    call avR2(2156, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29412])

    allocate(vertices(3736)%branchR2(0:1))
    call avR2(3736, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3736, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(2539)%branchR2(0:0))
    call avR2(2539, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3737)%branchR2(0:0))
    call avR2(3737, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2260)%branchR2(0:0))
    call avR2(2260, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(2535)%branchR2(0:0))
    call avR2(2535, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(546)%branchR2(0:3))
    call avR2(546, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(546, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(546, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(546, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1892)%branchR2(0:0))
    call avR2(1892, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(2919)%branchR2(0:0))
    call avR2(2919, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8724, nGC_8723])

    allocate(vertices(3738)%branchR2(0:1))
    call avR2(3738, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9220])

    call avR2(3738, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9221])

    allocate(vertices(2)%branchR2(0:0))
    call avR2(2, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(970)%branchR2(0:3))
    call avR2(970, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(970, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(970, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(970, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(1005)%branchR2(0:0))
    call avR2(1005, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9128, nGC_9126&
    ])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(291)%branchR2(0:0))
    call avR2(291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2028)%branchR2(0:0))
    call avR2(2028, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1313)%branchR2(0:0))
    call avR2(1313, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8898])

    allocate(vertices(1063)%branchR2(0:0))
    call avR2(1063, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1699)%branchR2(0:0))
    call avR2(1699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(797)%branchR2(0:0))
    call avR2(797, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9093, nGC_9095, nGC_9094])

    allocate(vertices(2585)%branchR2(0:0))
    call avR2(2585, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(2583)%branchR2(0:0))
    call avR2(2583, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2745)%branchR2(0:0))
    call avR2(2745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1755)%branchR2(0:3))
    call avR2(1755, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(1755, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1755, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(1755, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(2644)%branchR2(0:0))
    call avR2(2644, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2419)%branchR2(0:0))
    call avR2(2419, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8835])

    allocate(vertices(2462)%branchR2(0:0))
    call avR2(2462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2277)%branchR2(0:0))
    call avR2(2277, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(204)%branchR2(0:1))
    call avR2(204, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(204, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_8787, nGC_8786])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2613)%branchR2(0:1))
    call avR2(2613, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9013, nGC_9014])

    call avR2(2613, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9015, nGC_9015])

    allocate(vertices(3364)%branchR2(0:0))
    call avR2(3364, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2179)%branchR2(0:1))
    call avR2(2179, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

    call avR2(2179, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(2424)%branchR2(0:0))
    call avR2(2424, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9195])

    allocate(vertices(679)%branchR2(0:0))
    call avR2(679, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(108)%branchR2(0:0))
    call avR2(108, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1506)%branchR2(0:0))
    call avR2(1506, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9195])

    allocate(vertices(2262)%branchR2(0:0))
    call avR2(2262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2415)%branchR2(0:0))
    call avR2(2415, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(1972)%branchR2(0:0))
    call avR2(1972, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2363)%branchR2(0:0))
    call avR2(2363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3189)%branchR2(0:0))
    call avR2(3189, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2755)%branchR2(0:0))
    call avR2(2755, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(898)%branchR2(0:0))
    call avR2(898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1635)%branchR2(0:3))
    call avR2(1635, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(1635, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(1635, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1635, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(3284)%branchR2(0:0))
    call avR2(3284, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3739)%branchR2(0:1))
    call avR2(3739, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3739, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(260)%branchR2(0:1))
    call avR2(260, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8997, nGC_8997])

    call avR2(260, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8995, nGC_8996])

    allocate(vertices(2077)%branchR2(0:0))
    call avR2(2077, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2139)%branchR2(0:0))
    call avR2(2139, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30044])

    allocate(vertices(962)%branchR2(0:0))
    call avR2(962, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1789)%branchR2(0:1))
    call avR2(1789, 0, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1789, 1, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9036, nGC_9035])

    allocate(vertices(1920)%branchR2(0:0))
    call avR2(1920, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2223)%branchR2(0:1))
    call avR2(2223, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8947, nGC_8949])

    call avR2(2223, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8948, nGC_8950])

    allocate(vertices(2824)%branchR2(0:0))
    call avR2(2824, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8722, nGC_8721])

    allocate(vertices(1492)%branchR2(0:0))
    call avR2(1492, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9249])

    allocate(vertices(3197)%branchR2(0:0))
    call avR2(3197, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8749, nGC_8750, nGC_8748&
    , nGC_8748])

    allocate(vertices(2281)%branchR2(0:0))
    call avR2(2281, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(3740)%branchR2(0:0))
    call avR2(3740, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2332)%branchR2(0:1))
    call avR2(2332, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9022])

    call avR2(2332, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(2427)%branchR2(0:1))
    call avR2(2427, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(2427, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(2566)%branchR2(0:0))
    call avR2(2566, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(256)%branchR2(0:0))
    call avR2(256, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3228)%branchR2(0:0))
    call avR2(3228, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30372])

    allocate(vertices(2922)%branchR2(0:0))
    call avR2(2922, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3741)%branchR2(0:0))
    call avR2(3741, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8911])

    allocate(vertices(335)%branchR2(0:0))
    call avR2(335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(3742)%branchR2(0:1))
    call avR2(3742, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9220])

    call avR2(3742, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(2499)%branchR2(0:1))
    call avR2(2499, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(2499, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8801, nGC_8800])

    allocate(vertices(1452)%branchR2(0:1))
    call avR2(1452, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(1452, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(1500)%branchR2(0:0))
    call avR2(1500, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2490)%branchR2(0:0))
    call avR2(2490, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1623)%branchR2(0:1))
    call avR2(1623, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8799, nGC_8798])

    call avR2(1623, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(2183)%branchR2(0:0))
    call avR2(2183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1823)%branchR2(0:0))
    call avR2(1823, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(1210)%branchR2(0:0))
    call avR2(1210, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2446)%branchR2(0:0))
    call avR2(2446, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29412])

    allocate(vertices(2852)%branchR2(0:0))
    call avR2(2852, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(559)%branchR2(0:0))
    call avR2(559, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9048, nGC_9049])

    allocate(vertices(3572)%branchR2(0:0))
    call avR2(3572, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2559)%branchR2(0:0))
    call avR2(2559, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(534)%branchR2(0:1))
    call avR2(534, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(534, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8783, nGC_8782])

    allocate(vertices(2504)%branchR2(0:1))
    call avR2(2504, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8983, nGC_8983])

    call avR2(2504, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8981, nGC_8982])

    allocate(vertices(795)%branchR2(0:0))
    call avR2(795, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9128, nGC_9126, nGC_9127])

    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(2039)%branchR2(0:0))
    call avR2(2039, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3528)%branchR2(0:0))
    call avR2(3528, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8708, nGC_8707])

    allocate(vertices(1420)%branchR2(0:0))
    call avR2(1420, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2408)%branchR2(0:0))
    call avR2(2408, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9040])

    allocate(vertices(2041)%branchR2(0:0))
    call avR2(2041, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3386)%branchR2(0:0))
    call avR2(3386, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1442)%branchR2(0:0))
    call avR2(1442, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8934])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(205)%branchR2(0:0))
    call avR2(205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(592)%branchR2(0:3))
    call avR2(592, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9075, nGC_9074])

    call avR2(592, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(592, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9073, nGC_9072])

    call avR2(592, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1621)%branchR2(0:0))
    call avR2(1621, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(2627)%branchR2(0:0))
    call avR2(2627, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2134)%branchR2(0:0))
    call avR2(2134, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8962])

    allocate(vertices(3234)%branchR2(0:0))
    call avR2(3234, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(921)%branchR2(0:0))
    call avR2(921, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3010)%branchR2(0:0))
    call avR2(3010, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8797])

    allocate(vertices(1533)%branchR2(0:1))
    call avR2(1533, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_9020, nGC_9020])

    call avR2(1533, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_9018, nGC_9019])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8768])

    allocate(vertices(3311)%branchR2(0:0))
    call avR2(3311, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1885)%branchR2(0:0))
    call avR2(1885, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1730)%branchR2(0:0))
    call avR2(1730, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1335)%branchR2(0:0))
    call avR2(1335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3743)%branchR2(0:1))
    call avR2(3743, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9257])

    call avR2(3743, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9258])

    allocate(vertices(1306)%branchR2(0:0))
    call avR2(1306, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8946, nGC_8945])

    allocate(vertices(2957)%branchR2(0:0))
    call avR2(2957, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1901)%branchR2(0:0))
    call avR2(1901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(2780)%branchR2(0:0))
    call avR2(2780, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31634])

    allocate(vertices(316)%branchR2(0:0))
    call avR2(316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(1276)%branchR2(0:0))
    call avR2(1276, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2648)%branchR2(0:0))
    call avR2(2648, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(33)%branchR2(0:0))
    call avR2(33, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1709)%branchR2(0:0))
    call avR2(1709, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(442)%branchR2(0:0))
    call avR2(442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(1879)%branchR2(0:1))
    call avR2(1879, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(1879, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(2488)%branchR2(0:0))
    call avR2(2488, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8962])

    allocate(vertices(953)%branchR2(0:0))
    call avR2(953, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(923)%branchR2(0:1))
    call avR2(923, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8902, nGC_8900])

    call avR2(923, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8919, nGC_8918])

    allocate(vertices(1297)%branchR2(0:0))
    call avR2(1297, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8993])

    allocate(vertices(985)%branchR2(0:0))
    call avR2(985, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(866)%branchR2(0:0))
    call avR2(866, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

    allocate(vertices(1026)%branchR2(0:0))
    call avR2(1026, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8915])

    allocate(vertices(771)%branchR2(0:1))
    call avR2(771, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_9015, nGC_9015])

    call avR2(771, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_9013, nGC_9014])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8925])

    allocate(vertices(2998)%branchR2(0:0))
    call avR2(2998, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9083])

    allocate(vertices(3016)%branchR2(0:0))
    call avR2(3016, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2205)%branchR2(0:0))
    call avR2(2205, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(128)%branchR2(0:0))
    call avR2(128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1959)%branchR2(0:1))
    call avR2(1959, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8790, nGC_8789])

    call avR2(1959, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

    allocate(vertices(417)%branchR2(0:0))
    call avR2(417, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3744)%branchR2(0:1))
    call avR2(3744, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9165])

    call avR2(3744, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(1002)%branchR2(0:0))
    call avR2(1002, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3272)%branchR2(0:0))
    call avR2(3272, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(2524)%branchR2(0:0))
    call avR2(2524, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8913])

    allocate(vertices(1882)%branchR2(0:0))
    call avR2(1882, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(2159)%branchR2(0:0))
    call avR2(2159, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(1413)%branchR2(0:0))
    call avR2(1413, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(749)%branchR2(0:1))
    call avR2(749, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(749, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(3745)%branchR2(0:0))
    call avR2(3745, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2978)%branchR2(0:0))
    call avR2(2978, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2431)%branchR2(0:0))
    call avR2(2431, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3746)%branchR2(0:1))
    call avR2(3746, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9165])

    call avR2(3746, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(68)%branchR2(0:1))
    call avR2(68, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(68, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

  end subroutine fill_vertices_mdl10
end module vertices_info10
