!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  implicit none
  contains
  subroutine fill_vertices_mdl12()
    use class_vertices
    use class_couplings
    allocate(vertices(471)%branchR2(0:1))
    call avR2(471, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(471, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(1244)%branchR2(0:0))
    call avR2(1244, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

    allocate(vertices(1243)%branchR2(0:0))
    call avR2(1243, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8926])

    allocate(vertices(1265)%branchR2(0:0))
    call avR2(1265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(0)%branchR2(0:0))
    call avR2(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1858)%branchR2(0:0))
    call avR2(1858, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

    allocate(vertices(1627)%branchR2(0:0))
    call avR2(1627, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8898])

    allocate(vertices(34)%branchR2(0:0))
    call avR2(34, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(3446)%branchR2(0:0))
    call avR2(3446, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1016)%branchR2(0:1))
    call avR2(1016, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8862, nGC_8864])

    call avR2(1016, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8863, nGC_8865])

    allocate(vertices(121)%branchR2(0:0))
    call avR2(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3805)%branchR2(0:0))
    call avR2(3805, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9090, nGC_9090&
    ])

    allocate(vertices(2748)%branchR2(0:0))
    call avR2(2748, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8857])

    allocate(vertices(2225)%branchR2(0:0))
    call avR2(2225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(3806)%branchR2(0:0))
    call avR2(3806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(239)%branchR2(0:0))
    call avR2(239, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(3807)%branchR2(0:0))
    call avR2(3807, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8772])

    allocate(vertices(3505)%branchR2(0:0))
    call avR2(3505, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1488)%branchR2(0:1))
    call avR2(1488, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(1488, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3586)%branchR2(0:0))
    call avR2(3586, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8994])

    allocate(vertices(333)%branchR2(0:0))
    call avR2(333, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8976, nGC_8975])

    allocate(vertices(2767)%branchR2(0:0))
    call avR2(2767, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2862)%branchR2(0:0))
    call avR2(2862, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29545])

    allocate(vertices(3450)%branchR2(0:0))
    call avR2(3450, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8706, nGC_8705])

    allocate(vertices(151)%branchR2(0:0))
    call avR2(151, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1548)%branchR2(0:0))
    call avR2(1548, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(305)%branchR2(0:0))
    call avR2(305, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3535)%branchR2(0:0))
    call avR2(3535, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2897)%branchR2(0:0))
    call avR2(2897, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1531)%branchR2(0:0))
    call avR2(1531, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1284)%branchR2(0:0))
    call avR2(1284, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(3808)%branchR2(0:0))
    call avR2(3808, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(434)%branchR2(0:1))
    call avR2(434, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(434, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(116)%branchR2(0:0))
    call avR2(116, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1888)%branchR2(0:1))
    call avR2(1888, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(1888, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(2781)%branchR2(0:0))
    call avR2(2781, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2305)%branchR2(0:0))
    call avR2(2305, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(3809)%branchR2(0:0))
    call avR2(3809, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2356)%branchR2(0:0))
    call avR2(2356, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(1680)%branchR2(0:0))
    call avR2(1680, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(3283)%branchR2(0:0))
    call avR2(3283, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8818])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(440)%branchR2(0:0))
    call avR2(440, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(459)%branchR2(0:1))
    call avR2(459, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(459, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(902)%branchR2(0:0))
    call avR2(902, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1989)%branchR2(0:0))
    call avR2(1989, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8818])

    allocate(vertices(3032)%branchR2(0:0))
    call avR2(3032, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3810)%branchR2(0:0))
    call avR2(3810, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2673)%branchR2(0:0))
    call avR2(2673, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1139)%branchR2(0:0))
    call avR2(1139, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8894])

    allocate(vertices(2861)%branchR2(0:0))
    call avR2(2861, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1720)%branchR2(0:0))
    call avR2(1720, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3539)%branchR2(0:0))
    call avR2(3539, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2386)%branchR2(0:0))
    call avR2(2386, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(650)%branchR2(0:1))
    call avR2(650, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(650, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(1120)%branchR2(0:0))
    call avR2(1120, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9249])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1398)%branchR2(0:0))
    call avR2(1398, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(1740)%branchR2(0:0))
    call avR2(1740, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(497)%branchR2(0:1))
    call avR2(497, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(497, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(2061)%branchR2(0:0))
    call avR2(2061, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8911])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(286)%branchR2(0:3))
    call avR2(286, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_9061, nGC_9060])

    call avR2(286, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(286, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_9059, nGC_9058])

    call avR2(286, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(928)%branchR2(0:0))
    call avR2(928, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(3224)%branchR2(0:0))
    call avR2(3224, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30309])

    allocate(vertices(3811)%branchR2(0:0))
    call avR2(3811, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(47)%branchR2(0:1))
    call avR2(47, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(47, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(2468)%branchR2(0:0))
    call avR2(2468, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(215)%branchR2(0:0))
    call avR2(215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3812)%branchR2(0:1))
    call avR2(3812, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9165])

    call avR2(3812, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9166])

    allocate(vertices(2417)%branchR2(0:0))
    call avR2(2417, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1562)%branchR2(0:0))
    call avR2(1562, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

    allocate(vertices(2389)%branchR2(0:1))
    call avR2(2389, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(2389, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8801, nGC_8800])

    allocate(vertices(3813)%branchR2(0:1))
    call avR2(3813, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9234])

    call avR2(3813, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9235])

    allocate(vertices(3226)%branchR2(0:0))
    call avR2(3226, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8963])

    allocate(vertices(115)%branchR2(0:0))
    call avR2(115, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2690)%branchR2(0:1))
    call avR2(2690, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(2690, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(3814)%branchR2(0:0))
    call avR2(3814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(1150)%branchR2(0:0))
    call avR2(1150, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(3815)%branchR2(0:0))
    call avR2(3815, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1617)%branchR2(0:0))
    call avR2(1617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1977)%branchR2(0:1))
    call avR2(1977, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8998, nGC_8999])

    call avR2(1977, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9000, nGC_9000])

    allocate(vertices(2471)%branchR2(0:0))
    call avR2(2471, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(216)%branchR2(0:0))
    call avR2(216, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2640)%branchR2(0:0))
    call avR2(2640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1019)%branchR2(0:0))
    call avR2(1019, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3100)%branchR2(0:0))
    call avR2(3100, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2547)%branchR2(0:0))
    call avR2(2547, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1508)%branchR2(0:0))
    call avR2(1508, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2717)%branchR2(0:0))
    call avR2(2717, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8728, nGC_8727])

    allocate(vertices(1094)%branchR2(0:0))
    call avR2(1094, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8843])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3353)%branchR2(0:0))
    call avR2(3353, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3816)%branchR2(0:0))
    call avR2(3816, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9133, nGC_9133, nGC_9133&
    ])

    allocate(vertices(3291)%branchR2(0:0))
    call avR2(3291, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(31)%branchR2(0:0))
    call avR2(31, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3061)%branchR2(0:0))
    call avR2(3061, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(944)%branchR2(0:1))
    call avR2(944, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9010, nGC_9011])

    call avR2(944, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9012, nGC_9012])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(3356)%branchR2(0:0))
    call avR2(3356, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2608)%branchR2(0:0))
    call avR2(2608, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1435)%branchR2(0:0))
    call avR2(1435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2867)%branchR2(0:0))
    call avR2(2867, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3817)%branchR2(0:0))
    call avR2(3817, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(389)%branchR2(0:0))
    call avR2(389, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3515)%branchR2(0:0))
    call avR2(3515, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(780)%branchR2(0:0))
    call avR2(780, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3112)%branchR2(0:0))
    call avR2(3112, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(1642)%branchR2(0:0))
    call avR2(1642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30103])

    allocate(vertices(2377)%branchR2(0:0))
    call avR2(2377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(1950)%branchR2(0:0))
    call avR2(1950, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2475)%branchR2(0:0))
    call avR2(2475, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(3210)%branchR2(0:0))
    call avR2(3210, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1570)%branchR2(0:0))
    call avR2(1570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1183)%branchR2(0:0))
    call avR2(1183, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(3818)%branchR2(0:1))
    call avR2(3818, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9107, nGC_9107,        &
    nGC_9107])

    call avR2(3818, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9108, nGC_9108,        &
    nGC_9108])

    allocate(vertices(56)%branchR2(0:0))
    call avR2(56, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(3219)%branchR2(0:0))
    call avR2(3219, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_8719, nGC_8718, nGC_8720])

    allocate(vertices(3819)%branchR2(0:1))
    call avR2(3819, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3819, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9128, nGC_9126])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8913])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(2169)%branchR2(0:1))
    call avR2(2169, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8995, nGC_8996])

    call avR2(2169, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8997, nGC_8997])

    allocate(vertices(3507)%branchR2(0:1))
    call avR2(3507, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8764&
    , nGC_8764])

    call avR2(3507, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8765&
    , nGC_8765])

    allocate(vertices(2954)%branchR2(0:0))
    call avR2(2954, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9207])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8809])

    allocate(vertices(2663)%branchR2(0:0))
    call avR2(2663, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3518)%branchR2(0:0))
    call avR2(3518, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(3194)%branchR2(0:0))
    call avR2(3194, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1937)%branchR2(0:0))
    call avR2(1937, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1897)%branchR2(0:1))
    call avR2(1897, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(1897, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(740)%branchR2(0:0))
    call avR2(740, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8831])

    allocate(vertices(3434)%branchR2(0:0))
    call avR2(3434, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(2806)%branchR2(0:0))
    call avR2(2806, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(988)%branchR2(0:0))
    call avR2(988, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8818])

    allocate(vertices(721)%branchR2(0:0))
    call avR2(721, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2565)%branchR2(0:0))
    call avR2(2565, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1952)%branchR2(0:0))
    call avR2(1952, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2309)%branchR2(0:0))
    call avR2(2309, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8833])

    allocate(vertices(1326)%branchR2(0:0))
    call avR2(1326, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1561)%branchR2(0:0))
    call avR2(1561, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1674)%branchR2(0:0))
    call avR2(1674, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(2562)%branchR2(0:0))
    call avR2(2562, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30169])

    allocate(vertices(3820)%branchR2(0:1))
    call avR2(3820, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9243])

    call avR2(3820, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9244])

    allocate(vertices(2388)%branchR2(0:0))
    call avR2(2388, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(3206)%branchR2(0:0))
    call avR2(3206, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8766])

    allocate(vertices(3587)%branchR2(0:0))
    call avR2(3587, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(1220)%branchR2(0:0))
    call avR2(1220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(543)%branchR2(0:1))
    call avR2(543, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_9003, nGC_9003])

    call avR2(543, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_9001, nGC_9002])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9005, nGC_9004])

    allocate(vertices(319)%branchR2(0:1))
    call avR2(319, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8983, nGC_8983])

    call avR2(319, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8981, nGC_8982])

    allocate(vertices(2449)%branchR2(0:3))
    call avR2(2449, 0, 17, 1, 0, FaFV0, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(2449, 1, 17, 1, 0, FaFV0, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(2449, 2, 18, 1, 0, FaFV0, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(2449, 3, 18, 1, 0, FaFV0, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2494)%branchR2(0:0))
    call avR2(2494, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2400)%branchR2(0:0))
    call avR2(2400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(2100)%branchR2(0:1))
    call avR2(2100, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8986, nGC_8986])

    call avR2(2100, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8984, nGC_8985])

    allocate(vertices(1069)%branchR2(0:0))
    call avR2(1069, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2267)%branchR2(0:0))
    call avR2(2267, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8894])

    allocate(vertices(420)%branchR2(0:0))
    call avR2(420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(318)%branchR2(0:0))
    call avR2(318, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30370])

    allocate(vertices(3821)%branchR2(0:1))
    call avR2(3821, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9220])

    call avR2(3821, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(338)%branchR2(0:0))
    call avR2(338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1004)%branchR2(0:0))
    call avR2(1004, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

    allocate(vertices(1838)%branchR2(0:0))
    call avR2(1838, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(976)%branchR2(0:1))
    call avR2(976, 0, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    call avR2(976, 1, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3153)%branchR2(0:0))
    call avR2(3153, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(3822)%branchR2(0:1))
    call avR2(3822, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9220])

    call avR2(3822, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(3332)%branchR2(0:0))
    call avR2(3332, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(357)%branchR2(0:0))
    call avR2(357, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9195])

    allocate(vertices(3431)%branchR2(0:0))
    call avR2(3431, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8774])

    allocate(vertices(1207)%branchR2(0:0))
    call avR2(1207, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1994)%branchR2(0:0))
    call avR2(1994, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

    allocate(vertices(1651)%branchR2(0:0))
    call avR2(1651, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1341)%branchR2(0:0))
    call avR2(1341, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(271)%branchR2(0:0))
    call avR2(271, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2109)%branchR2(0:0))
    call avR2(2109, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(3823)%branchR2(0:1))
    call avR2(3823, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9165])

    call avR2(3823, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(1769)%branchR2(0:0))
    call avR2(1769, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1402)%branchR2(0:0))
    call avR2(1402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2479)%branchR2(0:0))
    call avR2(2479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1825)%branchR2(0:0))
    call avR2(1825, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3067)%branchR2(0:1))
    call avR2(3067, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8741, nGC_8740, nGC_8759&
    , nGC_8759])

    call avR2(3067, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8760&
    , nGC_8760])

    allocate(vertices(1744)%branchR2(0:0))
    call avR2(1744, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(548)%branchR2(0:0))
    call avR2(548, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8818])

    allocate(vertices(1643)%branchR2(0:0))
    call avR2(1643, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(2617)%branchR2(0:0))
    call avR2(2617, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(1175)%branchR2(0:0))
    call avR2(1175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(980)%branchR2(0:0))
    call avR2(980, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3068)%branchR2(0:0))
    call avR2(3068, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3575)%branchR2(0:0))
    call avR2(3575, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8795])

    allocate(vertices(124)%branchR2(0:0))
    call avR2(124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(2087)%branchR2(0:0))
    call avR2(2087, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8802, nGC_8803])

    allocate(vertices(3392)%branchR2(0:0))
    call avR2(3392, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2390)%branchR2(0:0))
    call avR2(2390, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(868)%branchR2(0:0))
    call avR2(868, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(842)%branchR2(0:3))
    call avR2(842, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(842, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(842, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(842, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1768)%branchR2(0:0))
    call avR2(1768, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9127, nGC_9128&
    ])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2554)%branchR2(0:0))
    call avR2(2554, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8777])

    allocate(vertices(914)%branchR2(0:0))
    call avR2(914, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1221)%branchR2(0:0))
    call avR2(1221, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8841])

    allocate(vertices(2495)%branchR2(0:0))
    call avR2(2495, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1909)%branchR2(0:0))
    call avR2(1909, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(552)%branchR2(0:0))
    call avR2(552, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3553)%branchR2(0:0))
    call avR2(3553, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8796])

    allocate(vertices(2992)%branchR2(0:0))
    call avR2(2992, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(3577)%branchR2(0:0))
    call avR2(3577, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2285)%branchR2(0:0))
    call avR2(2285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3132)%branchR2(0:0))
    call avR2(3132, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8839])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3479)%branchR2(0:0))
    call avR2(3479, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

    allocate(vertices(3542)%branchR2(0:0))
    call avR2(3542, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(482)%branchR2(0:1))
    call avR2(482, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(482, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(3246)%branchR2(0:0))
    call avR2(3246, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(646)%branchR2(0:0))
    call avR2(646, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3824)%branchR2(0:0))
    call avR2(3824, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3825)%branchR2(0:1))
    call avR2(3825, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9213])

    call avR2(3825, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(421)%branchR2(0:3))
    call avR2(421, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9055, nGC_9053])

    call avR2(421, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(421, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9052, nGC_9050])

    call avR2(421, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2958)%branchR2(0:0))
    call avR2(2958, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(3826)%branchR2(0:0))
    call avR2(3826, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9097])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2304)%branchR2(0:0))
    call avR2(2304, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1368)%branchR2(0:0))
    call avR2(1368, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9039])

    allocate(vertices(337)%branchR2(0:0))
    call avR2(337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(706)%branchR2(0:0))
    call avR2(706, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1860)%branchR2(0:0))
    call avR2(1860, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(2233)%branchR2(0:0))
    call avR2(2233, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1359)%branchR2(0:0))
    call avR2(1359, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(3523)%branchR2(0:0))
    call avR2(3523, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(2433)%branchR2(0:0))
    call avR2(2433, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(26)%branchR2(0:0))
    call avR2(26, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2198)%branchR2(0:0))
    call avR2(2198, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3085)%branchR2(0:0))
    call avR2(3085, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(2711)%branchR2(0:0))
    call avR2(2711, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2789)%branchR2(0:0))
    call avR2(2789, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3335)%branchR2(0:0))
    call avR2(3335, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29466])

    allocate(vertices(1672)%branchR2(0:0))
    call avR2(1672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2303)%branchR2(0:0))
    call avR2(2303, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8916])

    allocate(vertices(3018)%branchR2(0:0))
    call avR2(3018, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9239])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3202)%branchR2(0:0))
    call avR2(3202, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(2715)%branchR2(0:0))
    call avR2(2715, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_33237])

    allocate(vertices(2054)%branchR2(0:0))
    call avR2(2054, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2348)%branchR2(0:1))
    call avR2(2348, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(2348, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(1948)%branchR2(0:0))
    call avR2(1948, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3827)%branchR2(0:5))
    call avR2(3827, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3827, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3827, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3827, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3827, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3827, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    allocate(vertices(3828)%branchR2(0:1))
    call avR2(3828, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9213])

    call avR2(3828, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(1143)%branchR2(0:0))
    call avR2(1143, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(583)%branchR2(0:1))
    call avR2(583, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

    call avR2(583, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_9023])

    allocate(vertices(1782)%branchR2(0:0))
    call avR2(1782, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(2594)%branchR2(0:0))
    call avR2(2594, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1585)%branchR2(0:0))
    call avR2(1585, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8850])

    allocate(vertices(212)%branchR2(0:0))
    call avR2(212, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8907, nGC_8909])

    call avR2(1211, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8908, nGC_8910])

    allocate(vertices(278)%branchR2(0:0))
    call avR2(278, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(435)%branchR2(0:0))
    call avR2(435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

    allocate(vertices(250)%branchR2(0:0))
    call avR2(250, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32089])

    allocate(vertices(2012)%branchR2(0:0))
    call avR2(2012, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9084])

    allocate(vertices(109)%branchR2(0:0))
    call avR2(109, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1711)%branchR2(0:0))
    call avR2(1711, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2220)%branchR2(0:0))
    call avR2(2220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8895])

    allocate(vertices(3205)%branchR2(0:0))
    call avR2(3205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2721)%branchR2(0:0))
    call avR2(2721, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(426)%branchR2(0:3))
    call avR2(426, 0, 19, 1, 0, FaVF1, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(426, 1, 19, 1, 0, FaVF1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(426, 2, 20, 1, 0, FaVF1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(426, 3, 20, 1, 0, FaVF1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(1951)%branchR2(0:0))
    call avR2(1951, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8965])

    allocate(vertices(1751)%branchR2(0:0))
    call avR2(1751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

    allocate(vertices(916)%branchR2(0:0))
    call avR2(916, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8860])

    allocate(vertices(2689)%branchR2(0:0))
    call avR2(2689, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

    allocate(vertices(2670)%branchR2(0:1))
    call avR2(2670, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8974, nGC_8974])

    call avR2(2670, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8972, nGC_8973])

    allocate(vertices(2131)%branchR2(0:0))
    call avR2(2131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9040])

    allocate(vertices(2931)%branchR2(0:0))
    call avR2(2931, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2108)%branchR2(0:1))
    call avR2(2108, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8822, nGC_8820])

    call avR2(2108, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8845, nGC_8844])

    allocate(vertices(1447)%branchR2(0:0))
    call avR2(1447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1034)%branchR2(0:0))
    call avR2(1034, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3829)%branchR2(0:1))
    call avR2(3829, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9213])

    call avR2(3829, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9214])

    allocate(vertices(2828)%branchR2(0:0))
    call avR2(2828, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1758)%branchR2(0:0))
    call avR2(1758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1227)%branchR2(0:0))
    call avR2(1227, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9126, nGC_9128&
    ])

    allocate(vertices(2480)%branchR2(0:1))
    call avR2(2480, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8825, nGC_8823])

    call avR2(2480, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8826, nGC_8824])

    allocate(vertices(2413)%branchR2(0:0))
    call avR2(2413, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8833])

    allocate(vertices(3103)%branchR2(0:0))
    call avR2(3103, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(631)%branchR2(0:1))
    call avR2(631, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8974, nGC_8974])

    call avR2(631, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8972, nGC_8973])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1603)%branchR2(0:0))
    call avR2(1603, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8768])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2153)%branchR2(0:0))
    call avR2(2153, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3225)%branchR2(0:0))
    call avR2(3225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2702)%branchR2(0:0))
    call avR2(2702, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29690])

    allocate(vertices(547)%branchR2(0:0))
    call avR2(547, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2667)%branchR2(0:0))
    call avR2(2667, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9085])

    allocate(vertices(3248)%branchR2(0:0))
    call avR2(3248, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1209)%branchR2(0:0))
    call avR2(1209, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(1042)%branchR2(0:1))
    call avR2(1042, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(1042, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(1898)%branchR2(0:0))
    call avR2(1898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9039])

    allocate(vertices(1555)%branchR2(0:0))
    call avR2(1555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3549)%branchR2(0:0))
    call avR2(3549, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9239])

    allocate(vertices(1490)%branchR2(0:0))
    call avR2(1490, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(3830)%branchR2(0:1))
    call avR2(3830, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3830, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(1229)%branchR2(0:0))
    call avR2(1229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2315)%branchR2(0:0))
    call avR2(2315, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9094, nGC_9093&
    ])

    allocate(vertices(2516)%branchR2(0:1))
    call avR2(2516, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(2516, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(3453)%branchR2(0:0))
    call avR2(3453, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9207])

    allocate(vertices(1605)%branchR2(0:1))
    call avR2(1605, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8947, nGC_8949])

    call avR2(1605, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8948, nGC_8950])

    allocate(vertices(2098)%branchR2(0:0))
    call avR2(2098, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33353])

    allocate(vertices(3831)%branchR2(0:0))
    call avR2(3831, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9040])

    allocate(vertices(3832)%branchR2(0:0))
    call avR2(3832, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8773])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2430)%branchR2(0:0))
    call avR2(2430, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8852])

    allocate(vertices(3833)%branchR2(0:0))
    call avR2(3833, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2887)%branchR2(0:0))
    call avR2(2887, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2646)%branchR2(0:0))
    call avR2(2646, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(2561)%branchR2(0:0))
    call avR2(2561, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9039])

    allocate(vertices(2453)%branchR2(0:0))
    call avR2(2453, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1390)%branchR2(0:0))
    call avR2(1390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2002)%branchR2(0:0))
    call avR2(2002, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2829)%branchR2(0:0))
    call avR2(2829, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1161)%branchR2(0:0))
    call avR2(1161, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9238])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2144)%branchR2(0:0))
    call avR2(2144, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2358)%branchR2(0:0))
    call avR2(2358, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8993])

    allocate(vertices(2081)%branchR2(0:0))
    call avR2(2081, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(3001)%branchR2(0:0))
    call avR2(3001, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8758])

    allocate(vertices(473)%branchR2(0:1))
    call avR2(473, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8904, nGC_8906])

    call avR2(473, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8920, nGC_8921])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(1979)%branchR2(0:0))
    call avR2(1979, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(2146)%branchR2(0:0))
    call avR2(2146, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2294)%branchR2(0:1))
    call avR2(2294, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(2294, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(2863)%branchR2(0:0))
    call avR2(2863, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3834)%branchR2(0:0))
    call avR2(3834, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2104)%branchR2(0:0))
    call avR2(2104, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33353])

    allocate(vertices(2263)%branchR2(0:0))
    call avR2(2263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1208)%branchR2(0:0))
    call avR2(1208, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1721)%branchR2(0:1))
    call avR2(1721, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1721, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2158)%branchR2(0:0))
    call avR2(2158, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8836])

    allocate(vertices(2564)%branchR2(0:1))
    call avR2(2564, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(2564, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(1984)%branchR2(0:0))
    call avR2(1984, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(100)%branchR2(0:0))
    call avR2(100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2337)%branchR2(0:0))
    call avR2(2337, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8892])

    allocate(vertices(1201)%branchR2(0:0))
    call avR2(1201, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1029)%branchR2(0:0))
    call avR2(1029, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9253, nGC_9252&
    ])

    allocate(vertices(3513)%branchR2(0:0))
    call avR2(3513, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(196)%branchR2(0:1))
    call avR2(196, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8824, nGC_8826])

    call avR2(196, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8846, nGC_8847])

    allocate(vertices(2551)%branchR2(0:0))
    call avR2(2551, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

    allocate(vertices(148)%branchR2(0:1))
    call avR2(148, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8969, nGC_8970])

    call avR2(148, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8971, nGC_8971])

    allocate(vertices(3186)%branchR2(0:0))
    call avR2(3186, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

    allocate(vertices(2264)%branchR2(0:0))
    call avR2(2264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2921)%branchR2(0:0))
    call avR2(2921, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8797])

    allocate(vertices(1893)%branchR2(0:0))
    call avR2(1893, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1871)%branchR2(0:0))
    call avR2(1871, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9238])

    allocate(vertices(1873)%branchR2(0:0))
    call avR2(1873, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3377)%branchR2(0:0))
    call avR2(3377, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(864)%branchR2(0:1))
    call avR2(864, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8997, nGC_8997])

    call avR2(864, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8995, nGC_8996])

    allocate(vertices(368)%branchR2(0:0))
    call avR2(368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(97)%branchR2(0:1))
    call avR2(97, 0, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    call avR2(97, 1, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(2878)%branchR2(0:0))
    call avR2(2878, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2552)%branchR2(0:0))
    call avR2(2552, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32216])

    allocate(vertices(370)%branchR2(0:0))
    call avR2(370, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(940)%branchR2(0:1))
    call avR2(940, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8787, nGC_8786])

    call avR2(940, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(965)%branchR2(0:1))
    call avR2(965, 0, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    call avR2(965, 1, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1600)%branchR2(0:0))
    call avR2(1600, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(536)%branchR2(0:0))
    call avR2(536, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8998, nGC_8999])

    call avR2(1582, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9000, nGC_9000])

    allocate(vertices(3835)%branchR2(0:0))
    call avR2(3835, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1357)%branchR2(0:0))
    call avR2(1357, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(1687)%branchR2(0:0))
    call avR2(1687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1739)%branchR2(0:0))
    call avR2(1739, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1144)%branchR2(0:0))
    call avR2(1144, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2257)%branchR2(0:0))
    call avR2(2257, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9021])

    allocate(vertices(391)%branchR2(0:0))
    call avR2(391, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9025])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8988, nGC_8987])

    allocate(vertices(453)%branchR2(0:0))
    call avR2(453, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1445)%branchR2(0:0))
    call avR2(1445, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8929])

    allocate(vertices(2513)%branchR2(0:0))
    call avR2(2513, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3836)%branchR2(0:0))
    call avR2(3836, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(3396)%branchR2(0:0))
    call avR2(3396, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2117)%branchR2(0:0))
    call avR2(2117, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29690])

    allocate(vertices(2278)%branchR2(0:0))
    call avR2(2278, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9147])

    allocate(vertices(637)%branchR2(0:0))
    call avR2(637, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3099)%branchR2(0:0))
    call avR2(3099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(3213)%branchR2(0:0))
    call avR2(3213, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2653)%branchR2(0:0))
    call avR2(2653, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1668)%branchR2(0:0))
    call avR2(1668, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1599)%branchR2(0:3))
    call avR2(1599, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(1599, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(1599, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(1599, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2085)%branchR2(0:0))
    call avR2(2085, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1606)%branchR2(0:0))
    call avR2(1606, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2066)%branchR2(0:0))
    call avR2(2066, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8793, nGC_8794])

    allocate(vertices(2503)%branchR2(0:1))
    call avR2(2503, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(2503, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(1021)%branchR2(0:0))
    call avR2(1021, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2875)%branchR2(0:0))
    call avR2(2875, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2027)%branchR2(0:0))
    call avR2(2027, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(761)%branchR2(0:0))
    call avR2(761, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2014)%branchR2(0:0))
    call avR2(2014, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8776])

    allocate(vertices(3161)%branchR2(0:0))
    call avR2(3161, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29946])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(2674)%branchR2(0:0))
    call avR2(2674, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2368)%branchR2(0:0))
    call avR2(2368, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9039])

    allocate(vertices(2105)%branchR2(0:0))
    call avR2(2105, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3837)%branchR2(0:1))
    call avR2(3837, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3837, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9127, nGC_9128])

    allocate(vertices(3838)%branchR2(0:5))
    call avR2(3838, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3838, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3838, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3838, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    call avR2(3838, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9262, nGC_9262,        &
    nGC_9262])

    call avR2(3838, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9263, nGC_9263,        &
    nGC_9263])

    allocate(vertices(539)%branchR2(0:1))
    call avR2(539, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8888, nGC_8890])

    call avR2(539, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8889, nGC_8891])

    allocate(vertices(2086)%branchR2(0:0))
    call avR2(2086, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3294)%branchR2(0:0))
    call avR2(3294, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9242])

    allocate(vertices(1246)%branchR2(0:0))
    call avR2(1246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3839)%branchR2(0:0))
    call avR2(3839, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8773])

    allocate(vertices(2370)%branchR2(0:0))
    call avR2(2370, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1612)%branchR2(0:1))
    call avR2(1612, 0, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_9023])

    call avR2(1612, 1, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_9024])

    allocate(vertices(2478)%branchR2(0:0))
    call avR2(2478, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30952])

    allocate(vertices(1676)%branchR2(0:0))
    call avR2(1676, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3840)%branchR2(0:0))
    call avR2(3840, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2633)%branchR2(0:0))
    call avR2(2633, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9252, nGC_9253&
    ])

    allocate(vertices(1040)%branchR2(0:0))
    call avR2(1040, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(3841)%branchR2(0:0))
    call avR2(3841, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(1274)%branchR2(0:0))
    call avR2(1274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1252)%branchR2(0:0))
    call avR2(1252, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(3842)%branchR2(0:1))
    call avR2(3842, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9220])

    call avR2(3842, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9221])

    allocate(vertices(1224)%branchR2(0:0))
    call avR2(1224, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2589)%branchR2(0:1))
    call avR2(2589, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(2589, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(1667)%branchR2(0:0))
    call avR2(1667, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3180)%branchR2(0:1))
    call avR2(3180, 0, 32, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8742&
    , nGC_8742])

    call avR2(3180, 1, 32, 1, 0, FaF0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8743&
    , nGC_8743])

    allocate(vertices(3843)%branchR2(0:0))
    call avR2(3843, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1692)%branchR2(0:0))
    call avR2(1692, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1771)%branchR2(0:0))
    call avR2(1771, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2122)%branchR2(0:1))
    call avR2(2122, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

    call avR2(2122, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(2009)%branchR2(0:0))
    call avR2(2009, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1241)%branchR2(0:0))
    call avR2(1241, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1852)%branchR2(0:0))
    call avR2(1852, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2126)%branchR2(0:0))
    call avR2(2126, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2270)%branchR2(0:0))
    call avR2(2270, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(99)%branchR2(0:1))
    call avR2(99, 0, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_9023])

    call avR2(99, 1, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_9024])

    allocate(vertices(2115)%branchR2(0:0))
    call avR2(2115, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9095, nGC_9093])

    allocate(vertices(1454)%branchR2(0:1))
    call avR2(1454, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(1454, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(3359)%branchR2(0:0))
    call avR2(3359, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3139)%branchR2(0:0))
    call avR2(3139, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3159)%branchR2(0:0))
    call avR2(3159, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(3844)%branchR2(0:0))
    call avR2(3844, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(2879)%branchR2(0:0))
    call avR2(2879, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(406)%branchR2(0:0))
    call avR2(406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1954)%branchR2(0:0))
    call avR2(1954, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(1663)%branchR2(0:0))
    call avR2(1663, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2241)%branchR2(0:0))
    call avR2(2241, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1323)%branchR2(0:0))
    call avR2(1323, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8832])

    allocate(vertices(3442)%branchR2(0:0))
    call avR2(3442, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9083])

    allocate(vertices(2322)%branchR2(0:1))
    call avR2(2322, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8801, nGC_8800])

    call avR2(2322, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(2063)%branchR2(0:0))
    call avR2(2063, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(3011)%branchR2(0:0))
    call avR2(3011, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8766])

    allocate(vertices(3298)%branchR2(0:0))
    call avR2(3298, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1568)%branchR2(0:1))
    call avR2(1568, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(1568, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(3357)%branchR2(0:0))
    call avR2(3357, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2825)%branchR2(0:0))
    call avR2(2825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(1327)%branchR2(0:1))
    call avR2(1327, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8787, nGC_8786])

    call avR2(1327, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1386)%branchR2(0:0))
    call avR2(1386, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(3845)%branchR2(0:1))
    call avR2(3845, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9257])

    call avR2(3845, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9258])

    allocate(vertices(1262)%branchR2(0:0))
    call avR2(1262, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8898])

    allocate(vertices(3519)%branchR2(0:0))
    call avR2(3519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2464)%branchR2(0:1))
    call avR2(2464, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9029, nGC_9027])

    call avR2(2464, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3846)%branchR2(0:1))
    call avR2(3846, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9247])

    call avR2(3846, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(1618)%branchR2(0:1))
    call avR2(1618, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9030, nGC_9028])

    call avR2(1618, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9045, nGC_9044])

    allocate(vertices(1193)%branchR2(0:0))
    call avR2(1193, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(3437)%branchR2(0:0))
    call avR2(3437, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2989)%branchR2(0:0))
    call avR2(2989, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(946)%branchR2(0:0))
    call avR2(946, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8988, nGC_8987])

    allocate(vertices(1717)%branchR2(0:0))
    call avR2(1717, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2204)%branchR2(0:0))
    call avR2(2204, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2601)%branchR2(0:1))
    call avR2(2601, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8878, nGC_8880])

    call avR2(2601, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8879, nGC_8881])

    allocate(vertices(2444)%branchR2(0:0))
    call avR2(2444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2465)%branchR2(0:0))
    call avR2(2465, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3574)%branchR2(0:0))
    call avR2(3574, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2841)%branchR2(0:0))
    call avR2(2841, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2135)%branchR2(0:0))
    call avR2(2135, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(981)%branchR2(0:1))
    call avR2(981, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8862, nGC_8864])

    call avR2(981, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8863, nGC_8865])

    allocate(vertices(1799)%branchR2(0:1))
    call avR2(1799, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

    call avR2(1799, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(862)%branchR2(0:0))
    call avR2(862, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(171)%branchR2(0:1))
    call avR2(171, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8966, nGC_8967])

    call avR2(171, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8968, nGC_8968])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1214)%branchR2(0:0))
    call avR2(1214, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(401)%branchR2(0:1))
    call avR2(401, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_8788, nGC_8788])

    call avR2(401, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_8787, nGC_8786])

    allocate(vertices(3080)%branchR2(0:0))
    call avR2(3080, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1903)%branchR2(0:0))
    call avR2(1903, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(958)%branchR2(0:3))
    call avR2(958, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(958, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(958, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(958, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(2379)%branchR2(0:1))
    call avR2(2379, 0, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2379, 1, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_9047, nGC_9046])

    allocate(vertices(2217)%branchR2(0:0))
    call avR2(2217, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8956, nGC_8955])

    allocate(vertices(160)%branchR2(0:0))
    call avR2(160, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

    allocate(vertices(2634)%branchR2(0:0))
    call avR2(2634, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(1748)%branchR2(0:0))
    call avR2(1748, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2743)%branchR2(0:0))
    call avR2(2743, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2569)%branchR2(0:0))
    call avR2(2569, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8770])

    allocate(vertices(3387)%branchR2(0:0))
    call avR2(3387, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

    allocate(vertices(3331)%branchR2(0:0))
    call avR2(3331, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(422)%branchR2(0:3))
    call avR2(422, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_9070, nGC_9069])

    call avR2(422, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_9071, nGC_9071])

    call avR2(422, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(422, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_9068, nGC_9068])

    allocate(vertices(3218)%branchR2(0:0))
    call avR2(3218, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1351)%branchR2(0:0))
    call avR2(1351, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(306)%branchR2(0:0))
    call avR2(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(3576)%branchR2(0:0))
    call avR2(3576, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9185])

    allocate(vertices(555)%branchR2(0:0))
    call avR2(555, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1525)%branchR2(0:0))
    call avR2(1525, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8875, nGC_8874])

    allocate(vertices(816)%branchR2(0:1))
    call avR2(816, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8899, nGC_8901])

    call avR2(816, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8900, nGC_8902])

    allocate(vertices(2738)%branchR2(0:0))
    call avR2(2738, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2022)%branchR2(0:0))
    call avR2(2022, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1333)%branchR2(0:0))
    call avR2(1333, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2733)%branchR2(0:0))
    call avR2(2733, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2656)%branchR2(0:0))
    call avR2(2656, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(2316)%branchR2(0:0))
    call avR2(2316, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32089])

    allocate(vertices(1737)%branchR2(0:0))
    call avR2(1737, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3847)%branchR2(0:1))
    call avR2(3847, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9260, nGC_9260,        &
    nGC_9260])

    call avR2(3847, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9261, nGC_9261,        &
    nGC_9261])

    allocate(vertices(1223)%branchR2(0:0))
    call avR2(1223, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8877, nGC_8876])

    allocate(vertices(145)%branchR2(0:0))
    call avR2(145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3848)%branchR2(0:0))
    call avR2(3848, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2718)%branchR2(0:0))
    call avR2(2718, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3217)%branchR2(0:0))
    call avR2(3217, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3849)%branchR2(0:1))
    call avR2(3849, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9234])

    call avR2(3849, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9235])

    allocate(vertices(1912)%branchR2(0:1))
    call avR2(1912, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(1912, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(3850)%branchR2(0:0))
    call avR2(3850, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(707)%branchR2(0:0))
    call avR2(707, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    allocate(vertices(1976)%branchR2(0:0))
    call avR2(1976, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(1346)%branchR2(0:0))
    call avR2(1346, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1507)%branchR2(0:0))
    call avR2(1507, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2409)%branchR2(0:1))
    call avR2(2409, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_9003, nGC_9003])

    call avR2(2409, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_9001, nGC_9002])

    allocate(vertices(223)%branchR2(0:0))
    call avR2(223, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1877)%branchR2(0:0))
    call avR2(1877, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

    allocate(vertices(3297)%branchR2(0:0))
    call avR2(3297, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8814])

    allocate(vertices(1632)%branchR2(0:1))
    call avR2(1632, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8784, nGC_8784])

    call avR2(1632, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8790, nGC_8789])

    allocate(vertices(1322)%branchR2(0:0))
    call avR2(1322, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(1433)%branchR2(0:0))
    call avR2(1433, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3525)%branchR2(0:0))
    call avR2(3525, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9128, nGC_9127])

    allocate(vertices(2540)%branchR2(0:0))
    call avR2(2540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2604)%branchR2(0:1))
    call avR2(2604, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8995, nGC_8996])

    call avR2(2604, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8997, nGC_8997])

    allocate(vertices(1902)%branchR2(0:0))
    call avR2(1902, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1502)%branchR2(0:3))
    call avR2(1502, 0, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(1502, 1, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_9054, nGC_9054])

    call avR2(1502, 2, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(1502, 3, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9051, nGC_9051])

    allocate(vertices(2345)%branchR2(0:0))
    call avR2(2345, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1776)%branchR2(0:0))
    call avR2(1776, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3052)%branchR2(0:0))
    call avR2(3052, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30145])

    allocate(vertices(2010)%branchR2(0:0))
    call avR2(2010, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(374)%branchR2(0:0))
    call avR2(374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2341)%branchR2(0:1))
    call avR2(2341, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9022])

    call avR2(2341, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(1832)%branchR2(0:0))
    call avR2(1832, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29525])

    allocate(vertices(17)%branchR2(0:0))
    call avR2(17, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(791)%branchR2(0:1))
    call avR2(791, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_8957, nGC_8959])

    call avR2(791, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_8958, nGC_8960])

    allocate(vertices(1862)%branchR2(0:0))
    call avR2(1862, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9252, nGC_9253&
    ])

    allocate(vertices(3851)%branchR2(0:1))
    call avR2(3851, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9150])

    call avR2(3851, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(2527)%branchR2(0:0))
    call avR2(2527, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2832)%branchR2(0:0))
    call avR2(2832, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1678)%branchR2(0:0))
    call avR2(1678, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8922])

    allocate(vertices(1589)%branchR2(0:0))
    call avR2(1589, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1140)%branchR2(0:0))
    call avR2(1140, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9085])

    allocate(vertices(3259)%branchR2(0:0))
    call avR2(3259, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8796])

    allocate(vertices(2664)%branchR2(0:0))
    call avR2(2664, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1526)%branchR2(0:0))
    call avR2(1526, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(2459)%branchR2(0:0))
    call avR2(2459, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1654)%branchR2(0:0))
    call avR2(1654, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3174)%branchR2(0:0))
    call avR2(3174, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8767])

    allocate(vertices(2542)%branchR2(0:0))
    call avR2(2542, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2071)%branchR2(0:0))
    call avR2(2071, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8775])

    allocate(vertices(2319)%branchR2(0:1))
    call avR2(2319, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8905, nGC_8903])

    call avR2(2319, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8906, nGC_8904])

    allocate(vertices(523)%branchR2(0:0))
    call avR2(523, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(1856)%branchR2(0:1))
    call avR2(1856, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8801, nGC_8800])

    call avR2(1856, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8788, nGC_8788])

    allocate(vertices(684)%branchR2(0:1))
    call avR2(684, 0, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    call avR2(684, 1, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9024])

    allocate(vertices(3852)%branchR2(0:1))
    call avR2(3852, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_9213])

    call avR2(3852, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_9214])

    allocate(vertices(1750)%branchR2(0:0))
    call avR2(1750, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(3853)%branchR2(0:0))
    call avR2(3853, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9103, nGC_9103, nGC_9102&
    ])

    allocate(vertices(750)%branchR2(0:0))
    call avR2(750, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2052)%branchR2(0:0))
    call avR2(2052, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1463)%branchR2(0:0))
    call avR2(1463, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8911])

    allocate(vertices(1486)%branchR2(0:0))
    call avR2(1486, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3321)%branchR2(0:0))
    call avR2(3321, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1818)%branchR2(0:0))
    call avR2(1818, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(346)%branchR2(0:0))
    call avR2(346, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9037, nGC_9038])

    allocate(vertices(2129)%branchR2(0:0))
    call avR2(2129, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2641)%branchR2(0:0))
    call avR2(2641, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

    allocate(vertices(1434)%branchR2(0:0))
    call avR2(1434, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2477)%branchR2(0:0))
    call avR2(2477, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8944, nGC_8943])

    allocate(vertices(1267)%branchR2(0:0))
    call avR2(1267, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2925)%branchR2(0:0))
    call avR2(2925, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3854)%branchR2(0:1))
    call avR2(3854, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9202])

    call avR2(3854, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9203])

    allocate(vertices(2591)%branchR2(0:0))
    call avR2(2591, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9128, nGC_9126&
    ])

    allocate(vertices(732)%branchR2(0:0))
    call avR2(732, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3257)%branchR2(0:0))
    call avR2(3257, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1868)%branchR2(0:0))
    call avR2(1868, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3855)%branchR2(0:0))
    call avR2(3855, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2903)%branchR2(0:0))
    call avR2(2903, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30448])

    allocate(vertices(3304)%branchR2(0:0))
    call avR2(3304, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29702])

    allocate(vertices(1371)%branchR2(0:0))
    call avR2(1371, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3143)%branchR2(0:0))
    call avR2(3143, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(283)%branchR2(0:0))
    call avR2(283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(3856)%branchR2(0:1))
    call avR2(3856, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_9250, nGC_9250,        &
    nGC_9250])

    call avR2(3856, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_9251, nGC_9251,        &
    nGC_9251])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(1841)%branchR2(0:0))
    call avR2(1841, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(865)%branchR2(0:0))
    call avR2(865, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3483)%branchR2(0:0))
    call avR2(3483, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2116)%branchR2(0:0))
    call avR2(2116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(3035)%branchR2(0:0))
    call avR2(3035, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3857)%branchR2(0:1))
    call avR2(3857, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9150])

    call avR2(3857, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9151])

    allocate(vertices(3858)%branchR2(0:0))
    call avR2(3858, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9089, nGC_9089, nGC_9089&
    ])

    allocate(vertices(1684)%branchR2(0:0))
    call avR2(1684, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9254, nGC_9255&
    ])

    allocate(vertices(1791)%branchR2(0:0))
    call avR2(1791, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8769])

    allocate(vertices(251)%branchR2(0:0))
    call avR2(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9131])

    allocate(vertices(1406)%branchR2(0:0))
    call avR2(1406, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9155])

    allocate(vertices(2668)%branchR2(0:0))
    call avR2(2668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3059)%branchR2(0:0))
    call avR2(3059, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8840])

    allocate(vertices(2712)%branchR2(0:0))
    call avR2(2712, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2130)%branchR2(0:0))
    call avR2(2130, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1706)%branchR2(0:0))
    call avR2(1706, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9017, nGC_9016])

    allocate(vertices(1815)%branchR2(0:1))
    call avR2(1815, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8830, nGC_8828])

    call avR2(1815, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(1916)%branchR2(0:0))
    call avR2(1916, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33353])

    allocate(vertices(2082)%branchR2(0:0))
    call avR2(2082, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1287)%branchR2(0:0))
    call avR2(1287, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8837])

    allocate(vertices(900)%branchR2(0:0))
    call avR2(900, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8963])

    allocate(vertices(1727)%branchR2(0:0))
    call avR2(1727, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9093, nGC_9094, nGC_9095&
    ])

    allocate(vertices(110)%branchR2(0:0))
    call avR2(110, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9155])

    allocate(vertices(3859)%branchR2(0:0))
    call avR2(3859, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3860)%branchR2(0:0))
    call avR2(3860, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1781)%branchR2(0:0))
    call avR2(1781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(3424)%branchR2(0:0))
    call avR2(3424, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1405)%branchR2(0:0))
    call avR2(1405, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1891)%branchR2(0:0))
    call avR2(1891, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8769])

    allocate(vertices(1458)%branchR2(0:0))
    call avR2(1458, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9186])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2174)%branchR2(0:1))
    call avR2(2174, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2174, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9057, nGC_9056])

    allocate(vertices(2474)%branchR2(0:0))
    call avR2(2474, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1918)%branchR2(0:0))
    call avR2(1918, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1232)%branchR2(0:0))
    call avR2(1232, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1921)%branchR2(0:0))
    call avR2(1921, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1928)%branchR2(0:0))
    call avR2(1928, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9171])

    allocate(vertices(3588)%branchR2(0:0))
    call avR2(3588, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1248)%branchR2(0:0))
    call avR2(1248, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

    allocate(vertices(1752)%branchR2(0:0))
    call avR2(1752, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9130])

    allocate(vertices(1318)%branchR2(0:0))
    call avR2(1318, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2352)%branchR2(0:0))
    call avR2(2352, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9098])

    allocate(vertices(1173)%branchR2(0:0))
    call avR2(1173, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9039])

    allocate(vertices(3555)%branchR2(0:0))
    call avR2(3555, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_33237])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(424)%branchR2(0:1))
    call avR2(424, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(424, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2276)%branchR2(0:0))
    call avR2(2276, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3425)%branchR2(0:0))
    call avR2(3425, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

    allocate(vertices(118)%branchR2(0:0))
    call avR2(118, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9025])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8843])

    allocate(vertices(1595)%branchR2(0:0))
    call avR2(1595, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(991)%branchR2(0:0))
    call avR2(991, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2406)%branchR2(0:0))
    call avR2(2406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

    allocate(vertices(2362)%branchR2(0:0))
    call avR2(2362, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9254, nGC_9255&
    ])

    allocate(vertices(328)%branchR2(0:0))
    call avR2(328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2006)%branchR2(0:0))
    call avR2(2006, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2696)%branchR2(0:0))
    call avR2(2696, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8887, nGC_8886])

    allocate(vertices(3861)%branchR2(0:1))
    call avR2(3861, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_9165])

    call avR2(3861, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_9166])

    allocate(vertices(856)%branchR2(0:0))
    call avR2(856, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2520)%branchR2(0:0))
    call avR2(2520, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(150)%branchR2(0:0))
    call avR2(150, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8963])

    allocate(vertices(3109)%branchR2(0:1))
    call avR2(3109, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8761&
    , nGC_8761])

    call avR2(3109, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8739, nGC_8739, nGC_8762&
    , nGC_8762])

    allocate(vertices(1186)%branchR2(0:0))
    call avR2(1186, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3107)%branchR2(0:0))
    call avR2(3107, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(2042)%branchR2(0:0))
    call avR2(2042, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8911])

    allocate(vertices(2571)%branchR2(0:0))
    call avR2(2571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(989)%branchR2(0:0))
    call avR2(989, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(3033)%branchR2(0:0))
    call avR2(3033, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

    allocate(vertices(1998)%branchR2(0:0))
    call avR2(1998, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3862)%branchR2(0:1))
    call avR2(3862, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_9243])

    call avR2(3862, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_9244])

    allocate(vertices(441)%branchR2(0:0))
    call avR2(441, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(3863)%branchR2(0:0))
    call avR2(3863, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2586)%branchR2(0:1))
    call avR2(2586, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

    call avR2(2586, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9023])

    allocate(vertices(43)%branchR2(0:0))
    call avR2(43, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9225])

    allocate(vertices(730)%branchR2(0:0))
    call avR2(730, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(589)%branchR2(0:1))
    call avR2(589, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8930, nGC_8932])

    call avR2(589, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8931, nGC_8933])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(3249)%branchR2(0:0))
    call avR2(3249, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8730, nGC_8729])

    allocate(vertices(2880)%branchR2(0:0))
    call avR2(2880, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3060)%branchR2(0:0))
    call avR2(3060, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1384)%branchR2(0:0))
    call avR2(1384, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(267)%branchR2(0:0))
    call avR2(267, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9175])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

    allocate(vertices(3344)%branchR2(0:0))
    call avR2(3344, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31634])

    allocate(vertices(2405)%branchR2(0:0))
    call avR2(2405, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30169])

    allocate(vertices(1664)%branchR2(0:0))
    call avR2(1664, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2838)%branchR2(0:0))
    call avR2(2838, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2760)%branchR2(0:0))
    call avR2(2760, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2435)%branchR2(0:1))
    call avR2(2435, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_9022])

    call avR2(2435, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_9023])

    allocate(vertices(2335)%branchR2(0:0))
    call avR2(2335, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2619)%branchR2(0:0))
    call avR2(2619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1669)%branchR2(0:0))
    call avR2(1669, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2497)%branchR2(0:1))
    call avR2(2497, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(2497, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(1376)%branchR2(0:0))
    call avR2(1376, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3250)%branchR2(0:0))
    call avR2(3250, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2629)%branchR2(0:0))
    call avR2(2629, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8927])

    allocate(vertices(3864)%branchR2(0:1))
    call avR2(3864, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_9150])

    call avR2(3864, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(2055)%branchR2(0:0))
    call avR2(2055, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9217])

    allocate(vertices(1328)%branchR2(0:0))
    call avR2(1328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(876)%branchR2(0:1))
    call avR2(876, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8827, nGC_8829])

    call avR2(876, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8828, nGC_8830])

    allocate(vertices(1788)%branchR2(0:0))
    call avR2(1788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1528)%branchR2(0:0))
    call avR2(1528, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9225])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

    allocate(vertices(1293)%branchR2(0:0))
    call avR2(1293, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(308)%branchR2(0:0))
    call avR2(308, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1345)%branchR2(0:0))
    call avR2(1345, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

    allocate(vertices(2334)%branchR2(0:0))
    call avR2(2334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2853)%branchR2(0:0))
    call avR2(2853, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8780])

    allocate(vertices(398)%branchR2(0:0))
    call avR2(398, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9126, nGC_9128, nGC_9127])

    allocate(vertices(1821)%branchR2(0:0))
    call avR2(1821, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1436)%branchR2(0:0))
    call avR2(1436, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8816])

    allocate(vertices(3865)%branchR2(0:1))
    call avR2(3865, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_9150])

    call avR2(3865, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_9151])

    allocate(vertices(210)%branchR2(0:0))
    call avR2(210, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9048, nGC_9049])

    allocate(vertices(1786)%branchR2(0:0))
    call avR2(1786, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3866)%branchR2(0:1))
    call avR2(3866, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9136, nGC_9136,        &
    nGC_9136])

    call avR2(3866, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9137, nGC_9137,        &
    nGC_9137])

  end subroutine fill_vertices_mdl12
end module vertices_info12
