!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(2400)%branch(0:0))
    call av(2400, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2401)%branch(0:0))
    call av(2401, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_18])

    allocate(vertices(2402)%branch(0:0))
    call av(2402, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2403)%branch(0:0))
    call av(2403, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_153, nGC_153])

    allocate(vertices(2404)%branch(0:0))
    call av(2404, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_843, nGC_132])

    allocate(vertices(2405)%branch(0:0))
    call av(2405, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(2406)%branch(0:0))
    call av(2406, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(2407)%branch(0:0))
    call av(2407, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2408)%branch(0:0))
    call av(2408, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_90])

    allocate(vertices(2409)%branch(0:0))
    call av(2409, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_145, nGC_145])

    allocate(vertices(2410)%branch(0:0))
    call av(2410, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_80])

    allocate(vertices(2411)%branch(0:0))
    call av(2411, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(2412)%branch(0:0))
    call av(2412, 0, 31, 1, 0, VFFa1, 0, [0, 1], [nGC_85, nGC_88])

    allocate(vertices(2413)%branch(0:0))
    call av(2413, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_189])

    allocate(vertices(2414)%branch(0:0))
    call av(2414, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_65])

    allocate(vertices(2415)%branch(0:0))
    call av(2415, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_164, nGC_163])

    allocate(vertices(2416)%branch(0:0))
    call av(2416, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_195, nGC_195])

    allocate(vertices(2417)%branch(0:0))
    call av(2417, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_100])

    allocate(vertices(2418)%branch(0:0))
    call av(2418, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2419)%branch(0:0))
    call av(2419, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_871])

    allocate(vertices(2420)%branch(0:0))
    call av(2420, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(2421)%branch(0:0))
    call av(2421, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2422)%branch(0:0))
    call av(2422, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_137, nGC_137])

    allocate(vertices(2423)%branch(0:0))
    call av(2423, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2424)%branch(0:0))
    call av(2424, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2425)%branch(0:0))
    call av(2425, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1005])

    allocate(vertices(2426)%branch(0:0))
    call av(2426, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2427)%branch(0:0))
    call av(2427, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_135, nGC_136])

    allocate(vertices(2428)%branch(0:1))
    call av(2428, 0, 11, 6, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

    call av(2428, 1, 12, 7, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2429)%branch(0:0))
    call av(2429, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_807])

    allocate(vertices(2430)%branch(0:0))
    call av(2430, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_189])

    allocate(vertices(2431)%branch(0:0))
    call av(2431, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(2432)%branch(0:0))
    call av(2432, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(2433)%branch(0:0))
    call av(2433, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_18])

    allocate(vertices(2434)%branch(0:0))
    call av(2434, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2435)%branch(0:0))
    call av(2435, 0, 29, 1, 0, FVFa0, 0, [0, 1], [nGC_80])

    allocate(vertices(2436)%branch(0:0))
    call av(2436, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_102])

    allocate(vertices(2437)%branch(0:0))
    call av(2437, 0, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_146, nGC_193])

    allocate(vertices(2438)%branch(0:0))
    call av(2438, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2439)%branch(0:0))
    call av(2439, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(2440)%branch(0:0))
    call av(2440, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2441)%branch(0:0))
    call av(2441, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_92])

    allocate(vertices(2442)%branch(0:0))
    call av(2442, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_91])

    allocate(vertices(2443)%branch(0:0))
    call av(2443, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_166])

    allocate(vertices(2444)%branch(0:0))
    call av(2444, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2445)%branch(0:0))
    call av(2445, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2446)%branch(0:0))
    call av(2446, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1671])

    allocate(vertices(2447)%branch(0:0))
    call av(2447, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2448)%branch(0:0))
    call av(2448, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2449)%branch(0:1))
    call av(2449, 0, 17, 6, 0, FaFV0, 0, [1, 0], [nGC_7, nGC_7])

    call av(2449, 1, 18, 7, 0, FaFV0, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2450)%branch(0:0))
    call av(2450, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_145, nGC_145])

    allocate(vertices(2451)%branch(0:0))
    call av(2451, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_76])

    allocate(vertices(2452)%branch(0:0))
    call av(2452, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2453)%branch(0:0))
    call av(2453, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2454)%branch(0:0))
    call av(2454, 0, 28, 1, 0, FaVF0, 0, [0, 1], [nGC_80])

    allocate(vertices(2455)%branch(0:0))
    call av(2455, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2456)%branch(0:0))
    call av(2456, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2457)%branch(0:0))
    call av(2457, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_67])

    allocate(vertices(2458)%branch(0:0))
    call av(2458, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_126])

    allocate(vertices(2459)%branch(0:0))
    call av(2459, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2460)%branch(0:0))
    call av(2460, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(2461)%branch(0:0))
    call av(2461, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_69])

    allocate(vertices(2462)%branch(0:0))
    call av(2462, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2463)%branch(0:0))
    call av(2463, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2464)%branch(0:0))
    call av(2464, 0, 31, 1, 0, VFFa1, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2465)%branch(0:0))
    call av(2465, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_20])

    allocate(vertices(2466)%branch(0:0))
    call av(2466, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2467)%branch(0:0))
    call av(2467, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_77])

    allocate(vertices(2468)%branch(0:0))
    call av(2468, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_15])

    allocate(vertices(2469)%branch(0:0))
    call av(2469, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_114])

    allocate(vertices(2470)%branch(0:0))
    call av(2470, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_93])

    allocate(vertices(2471)%branch(0:0))
    call av(2471, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2472)%branch(0:0))
    call av(2472, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_115])

    allocate(vertices(2473)%branch(0:0))
    call av(2473, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

    allocate(vertices(2474)%branch(0:0))
    call av(2474, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2475)%branch(0:0))
    call av(2475, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2476)%branch(0:0))
    call av(2476, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_119])

    allocate(vertices(2477)%branch(0:0))
    call av(2477, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_156, nGC_155])

    allocate(vertices(2478)%branch(0:0))
    call av(2478, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1005])

    allocate(vertices(2479)%branch(0:0))
    call av(2479, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2480)%branch(0:0))
    call av(2480, 0, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_174, nGC_134])

    allocate(vertices(2481)%branch(0:0))
    call av(2481, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_143, nGC_144])

    allocate(vertices(2482)%branch(0:0))
    call av(2482, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(2483)%branch(0:0))
    call av(2483, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2484)%branch(0:0))
    call av(2484, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2485)%branch(0:0))
    call av(2485, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_128])

    allocate(vertices(2486)%branch(0:0))
    call av(2486, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2487)%branch(0:0))
    call av(2487, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_977])

    allocate(vertices(2488)%branch(0:0))
    call av(2488, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2489)%branch(0:0))
    call av(2489, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(2490)%branch(0:0))
    call av(2490, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2491)%branch(0:0))
    call av(2491, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2492)%branch(0:0))
    call av(2492, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_192, nGC_192])

    allocate(vertices(2493)%branch(0:0))
    call av(2493, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_61])

    allocate(vertices(2494)%branch(0:0))
    call av(2494, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2495)%branch(0:0))
    call av(2495, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2496)%branch(0:0))
    call av(2496, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2497)%branch(0:0))
    call av(2497, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_150, nGC_196])

    allocate(vertices(2498)%branch(0:0))
    call av(2498, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_94])

    allocate(vertices(2499)%branch(0:0))
    call av(2499, 0, 27, 1, 0, FaFV0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(2500)%branch(0:0))
    call av(2500, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_2297])

    allocate(vertices(2501)%branch(0:0))
    call av(2501, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_871])

    allocate(vertices(2502)%branch(0:0))
    call av(2502, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2503)%branch(0:0))
    call av(2503, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_182, nGC_183])

    allocate(vertices(2504)%branch(0:0))
    call av(2504, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_173, nGC_173])

    allocate(vertices(2505)%branch(0:0))
    call av(2505, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_107])

    allocate(vertices(2506)%branch(0:0))
    call av(2506, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2507)%branch(0:0))
    call av(2507, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_120])

    allocate(vertices(2508)%branch(0:0))
    call av(2508, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_953, nGC_83, nGC_953])

    allocate(vertices(2509)%branch(0:0))
    call av(2509, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_977])

    allocate(vertices(2510)%branch(0:0))
    call av(2510, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_152, nGC_151])

    allocate(vertices(2511)%branch(0:0))
    call av(2511, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_72])

    allocate(vertices(2512)%branch(0:0))
    call av(2512, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_953, nGC_83, nGC_953])

    allocate(vertices(2513)%branch(0:0))
    call av(2513, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_74])

    allocate(vertices(2514)%branch(0:0))
    call av(2514, 0, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_152, nGC_151])

    allocate(vertices(2515)%branch(0:0))
    call av(2515, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2516)%branch(0:0))
    call av(2516, 0, 31, 1, 0, VFFa1, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2517)%branch(0:0))
    call av(2517, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2518)%branch(0:0))
    call av(2518, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2519)%branch(0:0))
    call av(2519, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2520)%branch(0:0))
    call av(2520, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2521)%branch(0:0))
    call av(2521, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_77])

    allocate(vertices(2522)%branch(0:0))
    call av(2522, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2523)%branch(0:0))
    call av(2523, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2524)%branch(0:0))
    call av(2524, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_185])

    allocate(vertices(2525)%branch(0:0))
    call av(2525, 0, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_172, nGC_171])

    allocate(vertices(2526)%branch(0:0))
    call av(2526, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2527)%branch(0:0))
    call av(2527, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(2528)%branch(0:0))
    call av(2528, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_807])

    allocate(vertices(2529)%branch(0:0))
    call av(2529, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_185])

    allocate(vertices(2530)%branch(0:0))
    call av(2530, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_99])

    allocate(vertices(2531)%branch(0:0))
    call av(2531, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2532)%branch(0:0))
    call av(2532, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_91])

    allocate(vertices(2533)%branch(0:0))
    call av(2533, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2534)%branch(0:0))
    call av(2534, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_20])

    allocate(vertices(2535)%branch(0:0))
    call av(2535, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_19])

    allocate(vertices(2536)%branch(0:0))
    call av(2536, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_101])

    allocate(vertices(2537)%branch(0:0))
    call av(2537, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_75])

    allocate(vertices(2538)%branch(0:0))
    call av(2538, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(2539)%branch(0:0))
    call av(2539, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2540)%branch(0:0))
    call av(2540, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2541)%branch(0:0))
    call av(2541, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2542)%branch(0:0))
    call av(2542, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(2543)%branch(0:0))
    call av(2543, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2544)%branch(0:0))
    call av(2544, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(2545)%branch(0:0))
    call av(2545, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_108])

    allocate(vertices(2546)%branch(0:0))
    call av(2546, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2547)%branch(0:0))
    call av(2547, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2548)%branch(0:0))
    call av(2548, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_95])

    allocate(vertices(2549)%branch(0:0))
    call av(2549, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2550)%branch(0:0))
    call av(2550, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_807])

    allocate(vertices(2551)%branch(0:0))
    call av(2551, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2552)%branch(0:0))
    call av(2552, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_683])

    allocate(vertices(2553)%branch(0:0))
    call av(2553, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2554)%branch(0:0))
    call av(2554, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_126])

    allocate(vertices(2555)%branch(0:0))
    call av(2555, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(2556)%branch(0:0))
    call av(2556, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_138, nGC_181])

    allocate(vertices(2557)%branch(0:0))
    call av(2557, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

    allocate(vertices(2558)%branch(0:0))
    call av(2558, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_113])

    allocate(vertices(2559)%branch(0:0))
    call av(2559, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2560)%branch(0:0))
    call av(2560, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_67])

    allocate(vertices(2561)%branch(0:0))
    call av(2561, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_90])

    allocate(vertices(2562)%branch(0:0))
    call av(2562, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_69])

    allocate(vertices(2563)%branch(0:0))
    call av(2563, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2564)%branch(0:0))
    call av(2564, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_85, nGC_88])

    allocate(vertices(2565)%branch(0:0))
    call av(2565, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_20])

    allocate(vertices(2566)%branch(0:0))
    call av(2566, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2567)%branch(0:0))
    call av(2567, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2568)%branch(0:0))
    call av(2568, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_759])

    allocate(vertices(2569)%branch(0:0))
    call av(2569, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_17])

    allocate(vertices(2570)%branch(0:0))
    call av(2570, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(2571)%branch(0:0))
    call av(2571, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2572)%branch(0:0))
    call av(2572, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(2573)%branch(0:0))
    call av(2573, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(2574)%branch(0:0))
    call av(2574, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_154])

    allocate(vertices(2575)%branch(0:0))
    call av(2575, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2576)%branch(0:0))
    call av(2576, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2577)%branch(0:0))
    call av(2577, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_178, nGC_142])

    allocate(vertices(2578)%branch(0:0))
    call av(2578, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_64])

    allocate(vertices(2579)%branch(0:0))
    call av(2579, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

    allocate(vertices(2580)%branch(0:0))
    call av(2580, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_127])

    allocate(vertices(2581)%branch(0:0))
    call av(2581, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_86, nGC_89])

    allocate(vertices(2582)%branch(0:0))
    call av(2582, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1391])

    allocate(vertices(2583)%branch(0:0))
    call av(2583, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2584)%branch(0:0))
    call av(2584, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2585)%branch(0:0))
    call av(2585, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_115])

    allocate(vertices(2586)%branch(0:0))
    call av(2586, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

    allocate(vertices(2587)%branch(0:0))
    call av(2587, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2588)%branch(0:0))
    call av(2588, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2589)%branch(0:0))
    call av(2589, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_170, nGC_131])

    allocate(vertices(2590)%branch(0:0))
    call av(2590, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2591)%branch(0:0))
    call av(2591, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_953, nGC_953, nGC_83])

    allocate(vertices(2592)%branch(0:0))
    call av(2592, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2593)%branch(0:0))
    call av(2593, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_166])

    allocate(vertices(2594)%branch(0:0))
    call av(2594, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2595)%branch(0:0))
    call av(2595, 0, 27, 1, 0, FaFV0, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2596)%branch(0:0))
    call av(2596, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2597)%branch(0:0))
    call av(2597, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2598)%branch(0:0))
    call av(2598, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_185])

    allocate(vertices(2599)%branch(0:0))
    call av(2599, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_86, nGC_89])

    allocate(vertices(2600)%branch(0:0))
    call av(2600, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_75])

    allocate(vertices(2601)%branch(0:0))
    call av(2601, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_176, nGC_175])

    allocate(vertices(2602)%branch(0:0))
    call av(2602, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2603)%branch(0:0))
    call av(2603, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(2604)%branch(0:0))
    call av(2604, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(2605)%branch(0:0))
    call av(2605, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_166])

    allocate(vertices(2606)%branch(0:0))
    call av(2606, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_871])

    allocate(vertices(2607)%branch(0:0))
    call av(2607, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_20])

    allocate(vertices(2608)%branch(0:0))
    call av(2608, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2609)%branch(0:0))
    call av(2609, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_1345, nGC_78, nGC_78])

    allocate(vertices(2610)%branch(0:0))
    call av(2610, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2611)%branch(0:0))
    call av(2611, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2612)%branch(0:0))
    call av(2612, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2613)%branch(0:0))
    call av(2613, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_177, nGC_177])

    allocate(vertices(2614)%branch(0:0))
    call av(2614, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2615)%branch(0:1))
    call av(2615, 0, 11, 6, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

    call av(2615, 1, 12, 7, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2616)%branch(0:0))
    call av(2616, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(2617)%branch(0:0))
    call av(2617, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_115])

    allocate(vertices(2618)%branch(0:0))
    call av(2618, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(2619)%branch(0:0))
    call av(2619, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2620)%branch(0:0))
    call av(2620, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1005])

    allocate(vertices(2621)%branch(0:0))
    call av(2621, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2622)%branch(0:0))
    call av(2622, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(2623)%branch(0:0))
    call av(2623, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

    allocate(vertices(2624)%branch(0:0))
    call av(2624, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(2625)%branch(0:0))
    call av(2625, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2626)%branch(0:0))
    call av(2626, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2627)%branch(0:0))
    call av(2627, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2628)%branch(0:0))
    call av(2628, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2629)%branch(0:0))
    call av(2629, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_121])

    allocate(vertices(2630)%branch(0:0))
    call av(2630, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2631)%branch(0:0))
    call av(2631, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2632)%branch(0:0))
    call av(2632, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_184, nGC_184])

    allocate(vertices(2633)%branch(0:0))
    call av(2633, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_78, nGC_1345, nGC_78])

    allocate(vertices(2634)%branch(0:0))
    call av(2634, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_86, nGC_89])

    allocate(vertices(2635)%branch(0:0))
    call av(2635, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2636)%branch(0:0))
    call av(2636, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2637)%branch(0:1))
    call av(2637, 0, 23, 6, 0, VFaF1, 0, [1, 0], [nGC_7, nGC_7])

    call av(2637, 1, 24, 7, 0, VFaF1, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2638)%branch(0:0))
    call av(2638, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2639)%branch(0:0))
    call av(2639, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2640)%branch(0:0))
    call av(2640, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2641)%branch(0:0))
    call av(2641, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(2642)%branch(0:0))
    call av(2642, 0, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_170, nGC_131])

    allocate(vertices(2643)%branch(0:0))
    call av(2643, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(2644)%branch(0:0))
    call av(2644, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2645)%branch(0:0))
    call av(2645, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2646)%branch(0:0))
    call av(2646, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_160, nGC_159])

    allocate(vertices(2647)%branch(0:0))
    call av(2647, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_116])

    allocate(vertices(2648)%branch(0:0))
    call av(2648, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2649)%branch(0:0))
    call av(2649, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2650)%branch(0:0))
    call av(2650, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_124])

    allocate(vertices(2651)%branch(0:0))
    call av(2651, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(2652)%branch(0:0))
    call av(2652, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_158])

    allocate(vertices(2653)%branch(0:0))
    call av(2653, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_97])

    allocate(vertices(2654)%branch(0:0))
    call av(2654, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2655)%branch(0:0))
    call av(2655, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2656)%branch(0:0))
    call av(2656, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_184, nGC_184])

    allocate(vertices(2657)%branch(0:0))
    call av(2657, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_647])

    allocate(vertices(2658)%branch(0:0))
    call av(2658, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(2659)%branch(0:0))
    call av(2659, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_99])

    allocate(vertices(2660)%branch(0:0))
    call av(2660, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_655])

    allocate(vertices(2661)%branch(0:0))
    call av(2661, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_137, nGC_137])

    allocate(vertices(2662)%branch(0:0))
    call av(2662, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1611])

    allocate(vertices(2663)%branch(0:0))
    call av(2663, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(2664)%branch(0:0))
    call av(2664, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2665)%branch(0:0))
    call av(2665, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2666)%branch(0:0))
    call av(2666, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2667)%branch(0:0))
    call av(2667, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(2668)%branch(0:0))
    call av(2668, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2669)%branch(0:0))
    call av(2669, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_185])

    allocate(vertices(2670)%branch(0:0))
    call av(2670, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_149, nGC_149])

    allocate(vertices(2671)%branch(0:0))
    call av(2671, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2672)%branch(0:0))
    call av(2672, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(2673)%branch(0:0))
    call av(2673, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(2674)%branch(0:0))
    call av(2674, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2675)%branch(0:0))
    call av(2675, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_75])

    allocate(vertices(2676)%branch(0:0))
    call av(2676, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_807])

    allocate(vertices(2677)%branch(0:0))
    call av(2677, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2678)%branch(0:0))
    call av(2678, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

    allocate(vertices(2679)%branch(0:0))
    call av(2679, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_19])

    allocate(vertices(2680)%branch(0:0))
    call av(2680, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2681)%branch(0:0))
    call av(2681, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_174, nGC_134])

    allocate(vertices(2682)%branch(0:0))
    call av(2682, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2683)%branch(0:0))
    call av(2683, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_162])

    allocate(vertices(2684)%branch(0:0))
    call av(2684, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(2685)%branch(0:0))
    call av(2685, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_807])

    allocate(vertices(2686)%branch(0:0))
    call av(2686, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_174, nGC_134])

    allocate(vertices(2687)%branch(0:0))
    call av(2687, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2688)%branch(0:0))
    call av(2688, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_21])

    allocate(vertices(2689)%branch(0:0))
    call av(2689, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(2690)%branch(0:0))
    call av(2690, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_143, nGC_144])

    allocate(vertices(2691)%branch(0:0))
    call av(2691, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2692)%branch(0:0))
    call av(2692, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_92])

    allocate(vertices(2693)%branch(0:0))
    call av(2693, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(2694)%branch(0:0))
    call av(2694, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2695)%branch(0:0))
    call av(2695, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_21])

    allocate(vertices(2696)%branch(0:0))
    call av(2696, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_191, nGC_190])

    allocate(vertices(2697)%branch(0:0))
    call av(2697, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_137, nGC_137])

    allocate(vertices(2698)%branch(0:0))
    call av(2698, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(2699)%branch(0:0))
    call av(2699, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2700)%branch(0:0))
    call av(2700, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2701)%branch(0:0))
    call av(2701, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2702)%branch(0:0))
    call av(2702, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_2059])

    allocate(vertices(2703)%branch(0:0))
    call av(2703, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_77])

    allocate(vertices(2704)%branch(0:0))
    call av(2704, 0, 31, 1, 0, VFFa0, 0, [0, 1], [nGC_80])

    allocate(vertices(2705)%branch(0:0))
    call av(2705, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(1724)%branchCT(0:1))
    call avCT(1724, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(1724, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(1)%branchCT(0:1))
    call avCT(1, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(1, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(2706)%branchCT(0:0))
    call avCT(2706, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12641])

    allocate(vertices(2707)%branchCT(0:0))
    call avCT(2707, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(2708)%branchCT(0:0))
    call avCT(2708, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(5)%branchCT(0:1))
    call avCT(5, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12660])

    call avCT(5, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12656])

    allocate(vertices(6)%branchCT(0:1))
    call avCT(6, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12667])

    call avCT(6, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12665])

    allocate(vertices(38)%branchCT(0:1))
    call avCT(38, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(38, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(2040)%branchCT(0:1))
    call avCT(2040, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12681])

    call avCT(2040, 1, 8, 1, 0, VSV0, 0, [0, 1], [nGC_12678])

    allocate(vertices(1745)%branchCT(0:1))
    call avCT(1745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(1745, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12692])

    allocate(vertices(11)%branchCT(0:1))
    call avCT(11, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12698])

    call avCT(11, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12695])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_12702])

    allocate(vertices(2709)%branchCT(0:1))
    call avCT(2709, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_12708, nGC_12709])

    call avCT(2709, 1, 13, 1, 0, VS1, 0, [0, 0], [nGC_12707])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12692])

    allocate(vertices(1143)%branchCT(0:1))
    call avCT(1143, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12717])

    call avCT(1143, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12715])

    allocate(vertices(607)%branchCT(0:1))
    call avCT(607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(607, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(2710)%branchCT(0:0))
    call avCT(2710, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12725])

    allocate(vertices(15)%branchCT(0:2))
    call avCT(15, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12738, nGC_12739])

    call avCT(15, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_12729, nGC_12735])

    call avCT(15, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12740, nGC_12741])

    allocate(vertices(16)%branchCT(0:1))
    call avCT(16, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12750, nGC_12750])

    call avCT(16, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12752, nGC_12752])

    allocate(vertices(2205)%branchCT(0:0))
    call avCT(2205, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_12759, nGC_12759])

    allocate(vertices(103)%branchCT(0:1))
    call avCT(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(103, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_12777, nGC_12778])

    allocate(vertices(2711)%branchCT(0:0))
    call avCT(2711, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12781])

    allocate(vertices(2712)%branchCT(0:0))
    call avCT(2712, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12725])

    allocate(vertices(2713)%branchCT(0:0))
    call avCT(2713, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12786])

    allocate(vertices(1688)%branchCT(0:1))
    call avCT(1688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12792])

    call avCT(1688, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12789])

    allocate(vertices(20)%branchCT(0:1))
    call avCT(20, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12798])

    call avCT(20, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12795])

    allocate(vertices(865)%branchCT(0:1))
    call avCT(865, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12803])

    call avCT(865, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12801])

    allocate(vertices(21)%branchCT(0:1))
    call avCT(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(21, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(22)%branchCT(0:2))
    call avCT(22, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_12824, nGC_12823])

    call avCT(22, 1, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_12820, nGC_12814])

    call avCT(22, 2, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_12826, nGC_12825])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_12833, nGC_12834])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12837])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_12841])

    allocate(vertices(1501)%branchCT(0:1))
    call avCT(1501, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12847])

    call avCT(1501, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12846])

    allocate(vertices(175)%branchCT(0:1))
    call avCT(175, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12803])

    call avCT(175, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12801])

    allocate(vertices(29)%branchCT(0:1))
    call avCT(29, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12858])

    call avCT(29, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12854])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_12859])

    allocate(vertices(2325)%branchCT(0:1))
    call avCT(2325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12866])

    call avCT(2325, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12862])

    allocate(vertices(30)%branchCT(0:1))
    call avCT(30, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12798])

    call avCT(30, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12795])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12878])

    call avCT(31, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12874])

    allocate(vertices(961)%branchCT(0:1))
    call avCT(961, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12885])

    call avCT(961, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12881])

    allocate(vertices(32)%branchCT(0:1))
    call avCT(32, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(32, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(2715)%branchCT(0:0))
    call avCT(2715, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12894])

    allocate(vertices(33)%branchCT(0:1))
    call avCT(33, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12885])

    call avCT(33, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12881])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12903])

    allocate(vertices(2154)%branchCT(0:1))
    call avCT(2154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12698])

    call avCT(2154, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12695])

    allocate(vertices(2717)%branchCT(0:0))
    call avCT(2717, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_12915, nGC_12909,        &
    nGC_12910])

    allocate(vertices(2718)%branchCT(0:0))
    call avCT(2718, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12918])

    allocate(vertices(2430)%branchCT(0:1))
    call avCT(2430, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_12923])

    call avCT(2430, 1, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_12921])

    allocate(vertices(35)%branchCT(0:1))
    call avCT(35, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(35, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(2719)%branchCT(0:0))
    call avCT(2719, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12641])

    allocate(vertices(2720)%branchCT(0:0))
    call avCT(2720, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12931])

    allocate(vertices(37)%branchCT(0:1))
    call avCT(37, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12803])

    call avCT(37, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12801])

    allocate(vertices(7)%branchCT(0:1))
    call avCT(7, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(7, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(39)%branchCT(0:1))
    call avCT(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(39, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12952])

    allocate(vertices(41)%branchCT(0:2))
    call avCT(41, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_12965, nGC_12966])

    call avCT(41, 1, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_12956, nGC_12962])

    call avCT(41, 2, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_12967, nGC_12968])

    allocate(vertices(2721)%branchCT(0:0))
    call avCT(2721, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12971])

    allocate(vertices(42)%branchCT(0:1))
    call avCT(42, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(42, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12984])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12991, nGC_12992,        &
    nGC_12992])

    allocate(vertices(45)%branchCT(0:1))
    call avCT(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(45, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(46)%branchCT(0:1))
    call avCT(46, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13005])

    call avCT(46, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13004])

    allocate(vertices(47)%branchCT(0:2))
    call avCT(47, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_13019, nGC_13018])

    call avCT(47, 1, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_13015, nGC_13009])

    call avCT(47, 2, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_13021, nGC_13020])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13027])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(51)%branchCT(0:1))
    call avCT(51, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13035])

    call avCT(51, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13033])

    allocate(vertices(2723)%branchCT(0:0))
    call avCT(2723, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(2266)%branchCT(0:1))
    call avCT(2266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13046])

    call avCT(2266, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

    allocate(vertices(53)%branchCT(0:1))
    call avCT(53, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13055, nGC_13055])

    call avCT(53, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13057, nGC_13057])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13062, nGC_13063,         &
    nGC_13063])

    allocate(vertices(2724)%branchCT(0:0))
    call avCT(2724, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(56)%branchCT(0:0))
    call avCT(56, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13069])

    allocate(vertices(57)%branchCT(0:1))
    call avCT(57, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12803])

    call avCT(57, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12801])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13080])

    allocate(vertices(2147)%branchCT(0:1))
    call avCT(2147, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13088])

    call avCT(2147, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13085])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_13092])

    allocate(vertices(60)%branchCT(0:1))
    call avCT(60, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13099])

    call avCT(60, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13095])

    allocate(vertices(61)%branchCT(0:1))
    call avCT(61, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_9515])

    call avCT(61, 1, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_13101])

    allocate(vertices(2725)%branchCT(0:0))
    call avCT(2725, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13104])

    allocate(vertices(62)%branchCT(0:1))
    call avCT(62, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12792])

    call avCT(62, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12789])

    allocate(vertices(1756)%branchCT(0:1))
    call avCT(1756, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13118])

    call avCT(1756, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13114])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13027])

    allocate(vertices(66)%branchCT(0:1))
    call avCT(66, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_9519])

    call avCT(66, 1, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_13125])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12984])

    allocate(vertices(68)%branchCT(0:1))
    call avCT(68, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_13141, nGC_13142])

    call avCT(68, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_13143, nGC_13144])

    allocate(vertices(2726)%branchCT(0:0))
    call avCT(2726, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13147])

    allocate(vertices(2727)%branchCT(0:0))
    call avCT(2727, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_13153])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13159])

    allocate(vertices(2728)%branchCT(0:0))
    call avCT(2728, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13163])

    allocate(vertices(2729)%branchCT(0:0))
    call avCT(2729, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_13170, nGC_13164,        &
    nGC_13169])

    allocate(vertices(73)%branchCT(0:0))
    call avCT(73, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(74)%branchCT(0:1))
    call avCT(74, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_9515])

    call avCT(74, 1, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_13101])

    allocate(vertices(76)%branchCT(0:1))
    call avCT(76, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13183])

    call avCT(76, 1, 8, 1, 0, VSV0, 0, [0, 1], [nGC_13180])

    allocate(vertices(78)%branchCT(0:1))
    call avCT(78, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_13192, nGC_13193])

    call avCT(78, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_13186, nGC_13190])

    allocate(vertices(79)%branchCT(0:1))
    call avCT(79, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13200])

    call avCT(79, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13196])

    allocate(vertices(2261)%branchCT(0:0))
    call avCT(2261, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12992, nGC_12992,       &
    nGC_12991])

    allocate(vertices(80)%branchCT(0:1))
    call avCT(80, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(80, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(2215)%branchCT(0:0))
    call avCT(2215, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13215])

    allocate(vertices(2730)%branchCT(0:0))
    call avCT(2730, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13162])

    allocate(vertices(1758)%branchCT(0:1))
    call avCT(1758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13046])

    call avCT(1758, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

    allocate(vertices(2731)%branchCT(0:0))
    call avCT(2731, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12725])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13153])

    allocate(vertices(2732)%branchCT(0:0))
    call avCT(2732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(83)%branchCT(0:1))
    call avCT(83, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_9515])

    call avCT(83, 1, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_13101])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13237])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13080])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13252])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_13259, nGC_13259])

    allocate(vertices(2733)%branchCT(0:0))
    call avCT(2733, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13147])

    allocate(vertices(2734)%branchCT(0:0))
    call avCT(2734, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13271])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13275])

    allocate(vertices(94)%branchCT(0:1))
    call avCT(94, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12885])

    call avCT(94, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12881])

    allocate(vertices(95)%branchCT(0:1))
    call avCT(95, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_13293, nGC_13292])

    call avCT(95, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_13295, nGC_13294])

    allocate(vertices(96)%branchCT(0:1))
    call avCT(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    call avCT(96, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13298])

    allocate(vertices(97)%branchCT(0:1))
    call avCT(97, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_13305])

    call avCT(97, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_13304])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13237])

    allocate(vertices(99)%branchCT(0:1))
    call avCT(99, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_13312])

    call avCT(99, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_13311])

    allocate(vertices(2592)%branchCT(0:0))
    call avCT(2592, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13159])

    allocate(vertices(2735)%branchCT(0:0))
    call avCT(2735, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12984])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_13327])

    allocate(vertices(17)%branchCT(0:1))
    call avCT(17, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13333])

    call avCT(17, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13330])

    allocate(vertices(105)%branchCT(0:1))
    call avCT(105, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13337])

    call avCT(105, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_13336])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_12777, nGC_12778])

    allocate(vertices(107)%branchCT(0:1))
    call avCT(107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    call avCT(107, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13346])

    allocate(vertices(109)%branchCT(0:1))
    call avCT(109, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12798])

    call avCT(109, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12795])

    allocate(vertices(110)%branchCT(0:1))
    call avCT(110, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13360])

    call avCT(110, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13358])

    allocate(vertices(111)%branchCT(0:1))
    call avCT(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13367])

    call avCT(111, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13363])

    allocate(vertices(623)%branchCT(0:1))
    call avCT(623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(623, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(113)%branchCT(0:1))
    call avCT(113, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_13378])

    call avCT(113, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_13377])

    allocate(vertices(115)%branchCT(0:1))
    call avCT(115, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(115, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(878)%branchCT(0:0))
    call avCT(878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12837])

    allocate(vertices(117)%branchCT(0:1))
    call avCT(117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(117, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_13395])

    allocate(vertices(119)%branchCT(0:1))
    call avCT(119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12798])

    call avCT(119, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12795])

    allocate(vertices(2736)%branchCT(0:0))
    call avCT(2736, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13401])

    allocate(vertices(121)%branchCT(0:1))
    call avCT(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(121, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(2737)%branchCT(0:0))
    call avCT(2737, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(2738)%branchCT(0:0))
    call avCT(2738, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12781])

    allocate(vertices(2739)%branchCT(0:0))
    call avCT(2739, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13413])

    allocate(vertices(122)%branchCT(0:1))
    call avCT(122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12858])

    call avCT(122, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12854])

    allocate(vertices(123)%branchCT(0:1))
    call avCT(123, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_9515])

    call avCT(123, 1, 8, 1, 0, USUa0, 0, [0, 1], [nGC_13101])

    allocate(vertices(124)%branchCT(0:1))
    call avCT(124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13425])

    call avCT(124, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13424])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_13428])

    allocate(vertices(127)%branchCT(0:1))
    call avCT(127, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13435])

    call avCT(127, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13431])

    allocate(vertices(2551)%branchCT(0:0))
    call avCT(2551, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(128)%branchCT(0:1))
    call avCT(128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13445])

    call avCT(128, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13441])

    allocate(vertices(2740)%branchCT(0:0))
    call avCT(2740, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_13446, nGC_13449])

    allocate(vertices(1311)%branchCT(0:1))
    call avCT(1311, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13455])

    call avCT(1311, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13454])

    allocate(vertices(2741)%branchCT(0:0))
    call avCT(2741, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(2457)%branchCT(0:0))
    call avCT(2457, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_12841])

    allocate(vertices(131)%branchCT(0:1))
    call avCT(131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12866])

    call avCT(131, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12862])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13469])

    allocate(vertices(2743)%branchCT(0:0))
    call avCT(2743, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12725])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12984])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_13480])

    allocate(vertices(2744)%branchCT(0:0))
    call avCT(2744, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13147])

    allocate(vertices(1547)%branchCT(0:1))
    call avCT(1547, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13489])

    call avCT(1547, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13485])

    allocate(vertices(2745)%branchCT(0:0))
    call avCT(2745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12641])

    allocate(vertices(136)%branchCT(0:1))
    call avCT(136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13496])

    call avCT(136, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13495])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_13500])

    allocate(vertices(2746)%branchCT(0:0))
    call avCT(2746, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12903])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_12777, nGC_12778])

    allocate(vertices(139)%branchCT(0:1))
    call avCT(139, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_13378])

    call avCT(139, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_13377])

    allocate(vertices(882)%branchCT(0:0))
    call avCT(882, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13516])

    allocate(vertices(141)%branchCT(0:1))
    call avCT(141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13522])

    call avCT(141, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13519])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(143)%branchCT(0:1))
    call avCT(143, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13532])

    call avCT(143, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13529])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12692])

    allocate(vertices(145)%branchCT(0:1))
    call avCT(145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13542])

    call avCT(145, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13538])

    allocate(vertices(2748)%branchCT(0:0))
    call avCT(2748, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13545])

    allocate(vertices(2462)%branchCT(0:1))
    call avCT(2462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12698])

    call avCT(2462, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12695])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13554])

    allocate(vertices(2749)%branchCT(0:0))
    call avCT(2749, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_13555])

    allocate(vertices(2750)%branchCT(0:0))
    call avCT(2750, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12692])

    allocate(vertices(148)%branchCT(0:1))
    call avCT(148, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_13569, nGC_13569])

    call avCT(148, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_13571, nGC_13571])

    allocate(vertices(2225)%branchCT(0:0))
    call avCT(2225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13574])

    allocate(vertices(149)%branchCT(0:1))
    call avCT(149, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12878])

    call avCT(149, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13585])

    allocate(vertices(151)%branchCT(0:1))
    call avCT(151, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12698])

    call avCT(151, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12695])

    allocate(vertices(2751)%branchCT(0:0))
    call avCT(2751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(2752)%branchCT(0:0))
    call avCT(2752, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12903])

    allocate(vertices(153)%branchCT(0:1))
    call avCT(153, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_13604, nGC_13605])

    call avCT(153, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_13598, nGC_13601])

    allocate(vertices(154)%branchCT(0:1))
    call avCT(154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13522])

    call avCT(154, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13519])

    allocate(vertices(156)%branchCT(0:0))
    call avCT(156, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13616])

    allocate(vertices(157)%branchCT(0:1))
    call avCT(157, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12792])

    call avCT(157, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12789])

    allocate(vertices(2753)%branchCT(0:0))
    call avCT(2753, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12931])

    allocate(vertices(1776)%branchCT(0:1))
    call avCT(1776, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13360])

    call avCT(1776, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13358])

    allocate(vertices(1793)%branchCT(0:0))
    call avCT(1793, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_13630])

    allocate(vertices(2704)%branchCT(0:1))
    call avCT(2704, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_13305])

    call avCT(2704, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_13304])

    allocate(vertices(159)%branchCT(0:1))
    call avCT(159, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12878])

    call avCT(159, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(1316)%branchCT(0:1))
    call avCT(1316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13496])

    call avCT(1316, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13495])

    allocate(vertices(2285)%branchCT(0:0))
    call avCT(2285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13649])

    allocate(vertices(2754)%branchCT(0:0))
    call avCT(2754, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13652])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13657])

    allocate(vertices(162)%branchCT(0:1))
    call avCT(162, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13664])

    call avCT(162, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13665])

    allocate(vertices(163)%branchCT(0:1))
    call avCT(163, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13671])

    call avCT(163, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13670])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_13680, nGC_13681])

    allocate(vertices(466)%branchCT(0:1))
    call avCT(466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13688])

    call avCT(466, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13684])

    allocate(vertices(2755)%branchCT(0:0))
    call avCT(2755, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13469])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13695])

    allocate(vertices(167)%branchCT(0:1))
    call avCT(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13435])

    call avCT(167, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13431])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_13709, nGC_13710])

    allocate(vertices(169)%branchCT(0:1))
    call avCT(169, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13715])

    call avCT(169, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13713])

    allocate(vertices(170)%branchCT(0:1))
    call avCT(170, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12878])

    call avCT(170, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12874])

    allocate(vertices(171)%branchCT(0:1))
    call avCT(171, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13730, nGC_13730])

    call avCT(171, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13732, nGC_13732])

    allocate(vertices(2756)%branchCT(0:0))
    call avCT(2756, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(172)%branchCT(0:1))
    call avCT(172, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12885])

    call avCT(172, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12881])

    allocate(vertices(2757)%branchCT(0:0))
    call avCT(2757, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(174)%branchCT(0:1))
    call avCT(174, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_13754, nGC_13755])

    call avCT(174, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_13746, nGC_13749])

    allocate(vertices(27)%branchCT(0:1))
    call avCT(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    call avCT(27, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13346])

    allocate(vertices(176)%branchCT(0:1))
    call avCT(176, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13766])

    call avCT(176, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13764])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_13774, nGC_13773])

    allocate(vertices(1659)%branchCT(0:1))
    call avCT(1659, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13781])

    call avCT(1659, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13777])

    allocate(vertices(2758)%branchCT(0:0))
    call avCT(2758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(2059)%branchCT(0:1))
    call avCT(2059, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13360])

    call avCT(2059, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13358])

    allocate(vertices(2759)%branchCT(0:0))
    call avCT(2759, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12918])

    allocate(vertices(1007)%branchCT(0:0))
    call avCT(1007, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13797])

    allocate(vertices(2595)%branchCT(0:1))
    call avCT(2595, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_13604, nGC_13605])

    call avCT(2595, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_13598, nGC_13601])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13809])

    allocate(vertices(183)%branchCT(0:1))
    call avCT(183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13815])

    call avCT(183, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13812])

    allocate(vertices(184)%branchCT(0:1))
    call avCT(184, 0, 0, 2, 0, VVV0, 0, [3, 0], [nGC_13818])

    call avCT(184, 1, 1, 3, 0, VVV0, 0, [3, 0], [nGC_13818])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13649])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13080])

    allocate(vertices(1047)%branchCT(0:1))
    call avCT(1047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13496])

    call avCT(1047, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13495])

    allocate(vertices(1322)%branchCT(0:1))
    call avCT(1322, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13839])

    call avCT(1322, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13838])

    allocate(vertices(2760)%branchCT(0:0))
    call avCT(2760, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12918])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12984])

    allocate(vertices(191)%branchCT(0:1))
    call avCT(191, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13855])

    call avCT(191, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13851])

    allocate(vertices(192)%branchCT(0:1))
    call avCT(192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(192, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13866])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13657])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12903])

    allocate(vertices(195)%branchCT(0:1))
    call avCT(195, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12885])

    call avCT(195, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12881])

    allocate(vertices(196)%branchCT(0:2))
    call avCT(196, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_12967, nGC_12968])

    call avCT(196, 1, 29, 1, 0, FSFa0, 0, [0, 1], [nGC_12956, nGC_12962])

    call avCT(196, 2, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_12965, nGC_12966])

    allocate(vertices(197)%branchCT(0:1))
    call avCT(197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(197, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(2762)%branchCT(0:0))
    call avCT(2762, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_13555])

    allocate(vertices(2763)%branchCT(0:0))
    call avCT(2763, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(1784)%branchCT(0:0))
    call avCT(1784, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(199)%branchCT(0:1))
    call avCT(199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13333])

    call avCT(199, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13330])

    allocate(vertices(200)%branchCT(0:1))
    call avCT(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(200, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(1148)%branchCT(0:1))
    call avCT(1148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    call avCT(1148, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13298])

    allocate(vertices(1327)%branchCT(0:1))
    call avCT(1327, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_13930, nGC_13931])

    call avCT(1327, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_13925, nGC_13920])

    allocate(vertices(204)%branchCT(0:1))
    call avCT(204, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_13930, nGC_13931])

    call avCT(204, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_13925, nGC_13920])

    allocate(vertices(205)%branchCT(0:1))
    call avCT(205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12878])

    call avCT(205, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(206)%branchCT(0:1))
    call avCT(206, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_9522])

    call avCT(206, 1, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_13947])

    allocate(vertices(207)%branchCT(0:1))
    call avCT(207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13455])

    call avCT(207, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13454])

    allocate(vertices(2764)%branchCT(0:0))
    call avCT(2764, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13955])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13809])

    allocate(vertices(211)%branchCT(0:1))
    call avCT(211, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_13968, nGC_13968])

    call avCT(211, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_13970, nGC_13970])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13237])

    allocate(vertices(2765)%branchCT(0:0))
    call avCT(2765, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(2766)%branchCT(0:0))
    call avCT(2766, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(1786)%branchCT(0:0))
    call avCT(1786, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13159])

    allocate(vertices(216)%branchCT(0:1))
    call avCT(216, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13988])

    call avCT(216, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13985])

    allocate(vertices(217)%branchCT(0:1))
    call avCT(217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13046])

    call avCT(217, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

    allocate(vertices(34)%branchCT(0:1))
    call avCT(34, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13688])

    call avCT(34, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13684])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12692])

    allocate(vertices(220)%branchCT(0:1))
    call avCT(220, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12878])

    call avCT(220, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12874])

    allocate(vertices(221)%branchCT(0:1))
    call avCT(221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13781])

    call avCT(221, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13777])

    allocate(vertices(1920)%branchCT(0:0))
    call avCT(1920, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14021])

    allocate(vertices(2767)%branchCT(0:0))
    call avCT(2767, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12903])

    allocate(vertices(2768)%branchCT(0:0))
    call avCT(2768, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13555])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13237])

    allocate(vertices(2769)%branchCT(0:0))
    call avCT(2769, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(1285)%branchCT(0:0))
    call avCT(1285, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12837])

    allocate(vertices(225)%branchCT(0:1))
    call avCT(225, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13183])

    call avCT(225, 1, 8, 1, 0, SVV0, 0, [0, 1], [nGC_13180])

    allocate(vertices(2291)%branchCT(0:1))
    call avCT(2291, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12885])

    call avCT(2291, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12881])

    allocate(vertices(226)%branchCT(0:1))
    call avCT(226, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12847])

    call avCT(226, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12846])

    allocate(vertices(227)%branchCT(0:1))
    call avCT(227, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12858])

    call avCT(227, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12854])

    allocate(vertices(228)%branchCT(0:1))
    call avCT(228, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13360])

    call avCT(228, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13358])

    allocate(vertices(229)%branchCT(0:1))
    call avCT(229, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14063])

    call avCT(229, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_14064])

    allocate(vertices(2770)%branchCT(0:0))
    call avCT(2770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(230)%branchCT(0:1))
    call avCT(230, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12878])

    call avCT(230, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_14076])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_14082])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12992, nGC_12992,        &
    nGC_12991])

    allocate(vertices(1411)%branchCT(0:1))
    call avCT(1411, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14092])

    call avCT(1411, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14089])

    allocate(vertices(2771)%branchCT(0:0))
    call avCT(2771, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(237)%branchCT(0:1))
    call avCT(237, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_14103, nGC_14103])

    call avCT(237, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_14105, nGC_14105])

    allocate(vertices(2242)%branchCT(0:1))
    call avCT(2242, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(2242, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_14117, nGC_14118,        &
    nGC_14117])

    allocate(vertices(1402)%branchCT(0:1))
    call avCT(1402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12698])

    call avCT(1402, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12695])

    allocate(vertices(2772)%branchCT(0:0))
    call avCT(2772, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(241)%branchCT(0:1))
    call avCT(241, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_14135])

    call avCT(241, 1, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_14133])

    allocate(vertices(2773)%branchCT(0:0))
    call avCT(2773, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14138])

    allocate(vertices(2774)%branchCT(0:0))
    call avCT(2774, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(2775)%branchCT(0:0))
    call avCT(2775, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(244)%branchCT(0:1))
    call avCT(244, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13183])

    call avCT(244, 1, 8, 1, 0, VVS0, 0, [0, 1], [nGC_13180])

    allocate(vertices(245)%branchCT(0:1))
    call avCT(245, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12792])

    call avCT(245, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12789])

    allocate(vertices(246)%branchCT(0:1))
    call avCT(246, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13360])

    call avCT(246, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13358])

    allocate(vertices(247)%branchCT(0:1))
    call avCT(247, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13118])

    call avCT(247, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13114])

    allocate(vertices(1792)%branchCT(0:0))
    call avCT(1792, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13159])

    allocate(vertices(249)%branchCT(0:1))
    call avCT(249, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13988])

    call avCT(249, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13985])

    allocate(vertices(2393)%branchCT(0:1))
    call avCT(2393, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13489])

    call avCT(2393, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13485])

    allocate(vertices(2776)%branchCT(0:0))
    call avCT(2776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(2777)%branchCT(0:0))
    call avCT(2777, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12641])

    allocate(vertices(251)%branchCT(0:1))
    call avCT(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13200])

    call avCT(251, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13196])

    allocate(vertices(252)%branchCT(0:1))
    call avCT(252, 0, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_14204, nGC_14203])

    call avCT(252, 1, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_14206, nGC_14205])

    allocate(vertices(2778)%branchCT(0:0))
    call avCT(2778, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(2779)%branchCT(0:0))
    call avCT(2779, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13030])

    allocate(vertices(1507)%branchCT(0:1))
    call avCT(1507, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(1507, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13159])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12984])

    allocate(vertices(1340)%branchCT(0:0))
    call avCT(1340, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13616])

    allocate(vertices(2780)%branchCT(0:0))
    call avCT(2780, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14234])

    allocate(vertices(2781)%branchCT(0:0))
    call avCT(2781, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_14235])

    allocate(vertices(2782)%branchCT(0:0))
    call avCT(2782, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12725])

    allocate(vertices(2783)%branchCT(0:0))
    call avCT(2783, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12918])

    allocate(vertices(260)%branchCT(0:1))
    call avCT(260, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_14248, nGC_14248])

    call avCT(260, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_14250, nGC_14250])

    allocate(vertices(261)%branchCT(0:1))
    call avCT(261, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12885])

    call avCT(261, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12881])

    allocate(vertices(262)%branchCT(0:1))
    call avCT(262, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_14267, nGC_14268])

    call avCT(262, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_14260, nGC_14263])

    allocate(vertices(2784)%branchCT(0:0))
    call avCT(2784, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12641])

    allocate(vertices(2785)%branchCT(0:0))
    call avCT(2785, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12786])

    allocate(vertices(263)%branchCT(0:1))
    call avCT(263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(263, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(264)%branchCT(0:1))
    call avCT(264, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13532])

    call avCT(264, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13529])

    allocate(vertices(265)%branchCT(0:1))
    call avCT(265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(265, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(266)%branchCT(0:1))
    call avCT(266, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13855])

    call avCT(266, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13851])

    allocate(vertices(267)%branchCT(0:1))
    call avCT(267, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14303])

    call avCT(267, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14302])

    allocate(vertices(2786)%branchCT(0:0))
    call avCT(2786, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12903])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_14308])

    allocate(vertices(1604)%branchCT(0:0))
    call avCT(1604, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(2787)%branchCT(0:0))
    call avCT(2787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(2788)%branchCT(0:0))
    call avCT(2788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(270)%branchCT(0:1))
    call avCT(270, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13988])

    call avCT(270, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13985])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(2789)%branchCT(0:0))
    call avCT(2789, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(273)%branchCT(0:1))
    call avCT(273, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12885])

    call avCT(273, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12881])

    allocate(vertices(1120)%branchCT(0:0))
    call avCT(1120, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14336])

    allocate(vertices(275)%branchCT(0:1))
    call avCT(275, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13360])

    call avCT(275, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13358])

    allocate(vertices(276)%branchCT(0:1))
    call avCT(276, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14347])

    call avCT(276, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_14348])

    allocate(vertices(2790)%branchCT(0:0))
    call avCT(2790, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14138])

    allocate(vertices(2252)%branchCT(0:0))
    call avCT(2252, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13649])

    allocate(vertices(278)%branchCT(0:1))
    call avCT(278, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13715])

    call avCT(278, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13713])

    allocate(vertices(279)%branchCT(0:1))
    call avCT(279, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_14103, nGC_14103])

    call avCT(279, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_14105, nGC_14105])

    allocate(vertices(280)%branchCT(0:1))
    call avCT(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13005])

    call avCT(280, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13004])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13069])

    allocate(vertices(1703)%branchCT(0:1))
    call avCT(1703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13367])

    call avCT(1703, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13363])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_13680, nGC_13681])

    allocate(vertices(283)%branchCT(0:1))
    call avCT(283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(283, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13159])

    allocate(vertices(1527)%branchCT(0:1))
    call avCT(1527, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13435])

    call avCT(1527, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13431])

    allocate(vertices(2791)%branchCT(0:0))
    call avCT(2791, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_14138])

    allocate(vertices(2792)%branchCT(0:0))
    call avCT(2792, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13469])

    allocate(vertices(2793)%branchCT(0:0))
    call avCT(2793, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13413])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14413])

    allocate(vertices(2134)%branchCT(0:0))
    call avCT(2134, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14420])

    allocate(vertices(487)%branchCT(0:1))
    call avCT(487, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13489])

    call avCT(487, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13485])

    allocate(vertices(745)%branchCT(0:1))
    call avCT(745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(745, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(2794)%branchCT(0:0))
    call avCT(2794, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(289)%branchCT(0:1))
    call avCT(289, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_9521])

    call avCT(289, 1, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_14437])

    allocate(vertices(2795)%branchCT(0:0))
    call avCT(2795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13159])

    allocate(vertices(291)%branchCT(0:1))
    call avCT(291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

    call avCT(291, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13346])

    allocate(vertices(292)%branchCT(0:1))
    call avCT(292, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13099])

    call avCT(292, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13095])

    allocate(vertices(2796)%branchCT(0:0))
    call avCT(2796, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12786])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14464])

    allocate(vertices(294)%branchCT(0:1))
    call avCT(294, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13688])

    call avCT(294, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13684])

    allocate(vertices(1692)%branchCT(0:1))
    call avCT(1692, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12660])

    call avCT(1692, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12656])

    allocate(vertices(2797)%branchCT(0:0))
    call avCT(2797, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14235])

    allocate(vertices(295)%branchCT(0:1))
    call avCT(295, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13715])

    call avCT(295, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13713])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_14486])

    allocate(vertices(296)%branchCT(0:1))
    call avCT(296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(296, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12984])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13080])

    allocate(vertices(299)%branchCT(0:1))
    call avCT(299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14303])

    call avCT(299, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14507])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14082])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14517])

    allocate(vertices(1851)%branchCT(0:1))
    call avCT(1851, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_12681])

    call avCT(1851, 1, 8, 1, 0, SVV0, 0, [0, 1], [nGC_12678])

    allocate(vertices(2798)%branchCT(0:0))
    call avCT(2798, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

    allocate(vertices(2799)%branchCT(0:0))
    call avCT(2799, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12971])

    allocate(vertices(303)%branchCT(0:1))
    call avCT(303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    call avCT(303, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13298])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_13709, nGC_13710])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13237])

    allocate(vertices(306)%branchCT(0:1))
    call avCT(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(306, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_14486])

    allocate(vertices(308)%branchCT(0:1))
    call avCT(308, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12847])

    call avCT(308, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12846])

    allocate(vertices(309)%branchCT(0:1))
    call avCT(309, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12885])

    call avCT(309, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12881])

    allocate(vertices(1690)%branchCT(0:1))
    call avCT(1690, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_14572, nGC_14572])

    call avCT(1690, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_14573, nGC_14573])

    allocate(vertices(2800)%branchCT(0:0))
    call avCT(2800, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_14580, nGC_14575,       &
    nGC_14582, nGC_14582])

    allocate(vertices(311)%branchCT(0:1))
    call avCT(311, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_14594, nGC_14593])

    call avCT(311, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_14596, nGC_14595])

    allocate(vertices(2801)%branchCT(0:0))
    call avCT(2801, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12781])

    allocate(vertices(1804)%branchCT(0:1))
    call avCT(1804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14605])

    call avCT(1804, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14601])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_14618, nGC_14619])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13809])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_13395])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14630])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14082])

    allocate(vertices(318)%branchCT(0:1))
    call avCT(318, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14347])

    call avCT(318, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_14348])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14646])

    allocate(vertices(2549)%branchCT(0:1))
    call avCT(2549, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13715])

    call avCT(2549, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13713])

    allocate(vertices(2802)%branchCT(0:0))
    call avCT(2802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14235])

    allocate(vertices(2803)%branchCT(0:0))
    call avCT(2803, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13545])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_12841])

    allocate(vertices(2804)%branchCT(0:0))
    call avCT(2804, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12786])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13080])

    allocate(vertices(324)%branchCT(0:3))
    call avCT(324, 0, 21, 6, 0, FVFa1, 0, [1, 2], [nGC_14667, nGC_14669])

    call avCT(324, 1, 21, 6, 0, FVFa1, 0, [3, 0], [nGC_14672, nGC_14673])

    call avCT(324, 2, 22, 7, 0, FVFa1, 0, [1, 2], [nGC_14667, nGC_14669])

    call avCT(324, 3, 22, 7, 0, FVFa1, 0, [3, 0], [nGC_14672, nGC_14673])

    allocate(vertices(2805)%branchCT(0:0))
    call avCT(2805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14684])

    allocate(vertices(2806)%branchCT(0:0))
    call avCT(2806, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14687])

    allocate(vertices(2807)%branchCT(0:0))
    call avCT(2807, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12903])

    allocate(vertices(2075)%branchCT(0:1))
    call avCT(2075, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_14203, nGC_14204])

    call avCT(2075, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_14205, nGC_14206])

    allocate(vertices(327)%branchCT(0:1))
    call avCT(327, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14706])

    call avCT(327, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_14703])

    allocate(vertices(328)%branchCT(0:1))
    call avCT(328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12673])

    call avCT(328, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12672])

    allocate(vertices(2808)%branchCT(0:0))
    call avCT(2808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13027])

    allocate(vertices(2809)%branchCT(0:0))
    call avCT(2809, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13545])

    allocate(vertices(2810)%branchCT(0:0))
    call avCT(2810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13147])

    allocate(vertices(330)%branchCT(0:1))
    call avCT(330, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_14731, nGC_14732])

    call avCT(330, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_14733, nGC_14734])

    allocate(vertices(2811)%branchCT(0:0))
    call avCT(2811, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12781])

    allocate(vertices(332)%branchCT(0:1))
    call avCT(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12767])

    call avCT(332, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12762])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_14750, nGC_14750])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12650])

    allocate(vertices(1105)%branchCT(0:0))
    call avCT(1105, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_14762])

    allocate(vertices(335)%branchCT(0:1))
    call avCT(335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13445])

    call avCT(335, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13441])

    allocate(vertices(336)%branchCT(0:1))
    call avCT(336, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14775])

    call avCT(336, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_14776])

    allocate(vertices(2812)%branchCT(0:0))
    call avCT(2812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(2813)%branchCT(0:0))
    call avCT(2813, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14781])

    allocate(vertices(339)%branchCT(0:1))
    call avCT(339, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14788])

    call avCT(339, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14786])

    allocate(vertices(2814)%branchCT(0:0))
    call avCT(2814, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14687])

    allocate(vertices(2815)%branchCT(0:0))
    call avCT(2815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(341)%branchCT(0:1))
    call avCT(341, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13118])

    call avCT(341, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13114])

    allocate(vertices(2816)%branchCT(0:0))
    call avCT(2816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12644])

    allocate(vertices(2368)%branchCT(0:0))
    call avCT(2368, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_14805])

    allocate(vertices(342)%branchCT(0:1))
    call avCT(342, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14811])

    call avCT(342, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_14812])

    allocate(vertices(2137)%branchCT(0:1))
    call avCT(2137, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12847])

    call avCT(2137, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12846])

    allocate(vertices(1810)%branchCT(0:1))
    call avCT(1810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12878])

    call avCT(1810, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13657])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_14618, nGC_14619])

    allocate(vertices(347)%branchCT(0:1))
    call avCT(347, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14839])

    call avCT(347, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_14836])

    allocate(vertices(348)%branchCT(0:1))
    call avCT(348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(348, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(349)%branchCT(0:2))
    call avCT(349, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_13021, nGC_13020])

    call avCT(349, 1, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_13015, nGC_13009])

    call avCT(349, 2, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_13019, nGC_13018])

    allocate(vertices(350)%branchCT(0:1))
    call avCT(350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13200])

    call avCT(350, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13196])

    allocate(vertices(2817)%branchCT(0:0))
    call avCT(2817, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12786])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_13395])

    allocate(vertices(2818)%branchCT(0:0))
    call avCT(2818, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13413])

    allocate(vertices(2819)%branchCT(0:0))
    call avCT(2819, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13147])

    allocate(vertices(1812)%branchCT(0:0))
    call avCT(1812, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_14118, nGC_14117,       &
    nGC_14117])

    allocate(vertices(2820)%branchCT(0:0))
    call avCT(2820, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12971])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_14883, nGC_14882])

    allocate(vertices(355)%branchCT(0:1))
    call avCT(355, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13781])

    call avCT(355, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13777])

    allocate(vertices(2536)%branchCT(0:0))
    call avCT(2536, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14892])

    allocate(vertices(2821)%branchCT(0:0))
    call avCT(2821, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13630])

    allocate(vertices(359)%branchCT(0:1))
    call avCT(359, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14907, nGC_14908])

    call avCT(359, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14904, nGC_14900])

    allocate(vertices(2822)%branchCT(0:0))
    call avCT(2822, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12725])

    allocate(vertices(2823)%branchCT(0:0))
    call avCT(2823, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14915, nGC_14913])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_12841])

    allocate(vertices(1814)%branchCT(0:1))
    call avCT(1814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12638])

    call avCT(1814, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12635])

    allocate(vertices(365)%branchCT(0:1))
    call avCT(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12858])

    call avCT(365, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12854])

    allocate(vertices(2824)%branchCT(0:1))
    call avCT(2824, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_14933])

    call avCT(2824, 1, 13, 1, 0, SS2, 0, [0, 0], [nGC_14930])

    allocate(vertices(2249)%branchCT(0:1))
    call avCT(2249, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13781])

    call avCT(2249, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13777])

    allocate(vertices(2825)%branchCT(0:0))
    call avCT(2825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(368)%branchCT(0:1))
    call avCT(368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12878])

    call avCT(368, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12874])

    allocate(vertices(369)%branchCT(0:1))
    call avCT(369, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_14206, nGC_14205])

    call avCT(369, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_14204, nGC_14203])

    allocate(vertices(2826)%branchCT(0:0))
    call avCT(2826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

    allocate(vertices(1292)%branchCT(0:1))
    call avCT(1292, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12878])

    call avCT(1292, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12874])

    allocate(vertices(2827)%branchCT(0:0))
    call avCT(2827, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12781])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13275])

    allocate(vertices(373)%branchCT(0:1))
    call avCT(373, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_14135])

    call avCT(373, 1, 8, 1, 0, SFFa2, 0, [0, 1], [nGC_14133])

    allocate(vertices(374)%branchCT(0:1))
    call avCT(374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13489])

    call avCT(374, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13485])

    allocate(vertices(375)%branchCT(0:1))
    call avCT(375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12632])

    call avCT(375, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12627])

    allocate(vertices(2303)%branchCT(0:0))
    call avCT(2303, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14992])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_13480])

    allocate(vertices(2271)%branchCT(0:1))
    call avCT(2271, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12660])

    call avCT(2271, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12656])

    allocate(vertices(379)%branchCT(0:1))
    call avCT(379, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12660])

    call avCT(379, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12656])

    allocate(vertices(380)%branchCT(0:1))
    call avCT(380, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_13192, nGC_13193])

    call avCT(380, 1, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_13186, nGC_13190])

    allocate(vertices(381)%branchCT(0:1))
    call avCT(381, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12878])

    call avCT(381, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12874])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_14762])

    allocate(vertices(2828)%branchCT(0:0))
    call avCT(2828, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12725])

    allocate(vertices(2172)%branchCT(0:2))
    call avCT(2172, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_15043, nGC_15044])

    call avCT(2172, 1, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_15033, nGC_15038])

    call avCT(2172, 2, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_15045, nGC_15046])

    allocate(vertices(2829)%branchCT(0:0))
    call avCT(2829, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12781])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_15053])

    allocate(vertices(2830)%branchCT(0:0))
    call avCT(2830, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12903])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_13092])

    allocate(vertices(2365)%branchCT(0:1))
    call avCT(2365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12798])

    call avCT(2365, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12795])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_13092])

    allocate(vertices(926)%branchCT(0:1))
    call avCT(926, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13005])

    call avCT(926, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13004])

    allocate(vertices(389)%branchCT(0:1))
    call avCT(389, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13781])

    call avCT(389, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13777])

    allocate(vertices(390)%branchCT(0:1))
    call avCT(390, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13035])

    call avCT(390, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13033])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_13428])

    allocate(vertices(1787)%branchCT(0:0))
    call avCT(1787, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_14082])

  end subroutine fill_vertices_mdl4
end module vertices_info4
